/* A Bison parser, made by GNU Bison 2.7.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2012 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.7"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
/* Line 371 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 2003-2017, PgPool Global Development Group
 * Portions Copyright (c) 1996-2017, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */

#include "pool_parser.h"
#include "utils/elog.h"
#include "utils/palloc.h"
#include <ctype.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "nodes.h"
#include "keywords.h"
#include "gramparse.h"
#include "makefuncs.h"
#include "pool_string.h"
#include "parser.h"
#include "pg_class.h"
#include "pg_trigger.h"

/* This is a configuration parameter since PostgreSQL 9.5.
 * We set this false in pgpool-II. This is default in PostgreSQL.
 */
bool operator_precedence_warning = false;

/*
 * Definition taken from
 * postgreSQL source code file: src/include/commands/trigger.h
 */
#define TRIGGER_FIRES_ON_ORIGIN                         'O'
#define TRIGGER_FIRES_ALWAYS                            'A'
#define TRIGGER_FIRES_ON_REPLICA                        'R'
#define TRIGGER_DISABLED                                'D'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/catalog/pg_class.h
 */

#define           REPLICA_IDENTITY_DEFAULT      'd'
#define           REPLICA_IDENTITY_NOTHING      'n'
#define           REPLICA_IDENTITY_FULL         'f'
#define           REPLICA_IDENTITY_INDEX        'i'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/catalog/pg_attribute.h
 */
#define		  ATTRIBUTE_IDENTITY_ALWAYS	'a'
#define		  ATTRIBUTE_IDENTITY_BY_DEFAULT 'd'

/*
 * Definition taken from
 * postgreSQL source code file: src/include/utils/xml.h
 */
typedef enum
{
	XML_STANDALONE_YES,
	XML_STANDALONE_NO,
	XML_STANDALONE_NO_VALUE,
	XML_STANDALONE_OMITTED
} XmlStandaloneType;

/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeStringConst(char *str, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


/* Line 371 of yacc.c  */
#line 305 "gram.c"

# ifndef YY_NULL
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULL nullptr
#  else
#   define YY_NULL 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_BASE_YY_Y_TAB_H_INCLUDED
# define YY_BASE_YY_Y_TAB_H_INCLUDED
/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     EQUALS_GREATER = 269,
     LESS_EQUALS = 270,
     GREATER_EQUALS = 271,
     NOT_EQUALS = 272,
     ABORT_P = 273,
     ABSOLUTE_P = 274,
     ACCESS = 275,
     ACTION = 276,
     ADD_P = 277,
     ADMIN = 278,
     AFTER = 279,
     AGGREGATE = 280,
     ALL = 281,
     ALSO = 282,
     ALTER = 283,
     ALWAYS = 284,
     ANALYSE = 285,
     ANALYZE = 286,
     AND = 287,
     ANY = 288,
     ARRAY = 289,
     AS = 290,
     ASC = 291,
     ASSERTION = 292,
     ASSIGNMENT = 293,
     ASYMMETRIC = 294,
     AT = 295,
     ATTACH = 296,
     ATTRIBUTE = 297,
     AUTHORIZATION = 298,
     BACKWARD = 299,
     BEFORE = 300,
     BEGIN_P = 301,
     BETWEEN = 302,
     BIGINT = 303,
     BINARY = 304,
     BIT = 305,
     BOOLEAN_P = 306,
     BOTH = 307,
     BY = 308,
     CACHE = 309,
     CALLED = 310,
     CASCADE = 311,
     CASCADED = 312,
     CASE = 313,
     CAST = 314,
     CATALOG_P = 315,
     CHAIN = 316,
     CHAR_P = 317,
     CHARACTER = 318,
     CHARACTERISTICS = 319,
     CHECK = 320,
     CHECKPOINT = 321,
     CLASS = 322,
     CLOSE = 323,
     CLUSTER = 324,
     COALESCE = 325,
     COLLATE = 326,
     COLLATION = 327,
     COLUMN = 328,
     COLUMNS = 329,
     COMMENT = 330,
     COMMENTS = 331,
     COMMIT = 332,
     COMMITTED = 333,
     CONCURRENTLY = 334,
     CONFIGURATION = 335,
     CONFLICT = 336,
     CONNECTION = 337,
     CONSTRAINT = 338,
     CONSTRAINTS = 339,
     CONTENT_P = 340,
     CONTINUE_P = 341,
     CONVERSION_P = 342,
     COPY = 343,
     COST = 344,
     CREATE = 345,
     CROSS = 346,
     CSV = 347,
     CUBE = 348,
     CURRENT_P = 349,
     CURRENT_CATALOG = 350,
     CURRENT_DATE = 351,
     CURRENT_ROLE = 352,
     CURRENT_SCHEMA = 353,
     CURRENT_TIME = 354,
     CURRENT_TIMESTAMP = 355,
     CURRENT_USER = 356,
     CURSOR = 357,
     CYCLE = 358,
     DATA_P = 359,
     DATABASE = 360,
     DAY_P = 361,
     DEALLOCATE = 362,
     DEC = 363,
     DECIMAL_P = 364,
     DECLARE = 365,
     DEFAULT = 366,
     DEFAULTS = 367,
     DEFERRABLE = 368,
     DEFERRED = 369,
     DEFINER = 370,
     DELETE_P = 371,
     DELIMITER = 372,
     DELIMITERS = 373,
     DEPENDS = 374,
     DESC = 375,
     DETACH = 376,
     DICTIONARY = 377,
     DISABLE_P = 378,
     DISCARD = 379,
     DISTINCT = 380,
     DO = 381,
     DOCUMENT_P = 382,
     DOMAIN_P = 383,
     DOUBLE_P = 384,
     DROP = 385,
     EACH = 386,
     ELSE = 387,
     ENABLE_P = 388,
     ENCODING = 389,
     ENCRYPTED = 390,
     END_P = 391,
     ENUM_P = 392,
     ESCAPE = 393,
     EVENT = 394,
     EXCEPT = 395,
     EXCLUDE = 396,
     EXCLUDING = 397,
     EXCLUSIVE = 398,
     EXECUTE = 399,
     EXISTS = 400,
     EXPLAIN = 401,
     EXTENSION = 402,
     EXTERNAL = 403,
     EXTRACT = 404,
     FALSE_P = 405,
     FAMILY = 406,
     FETCH = 407,
     FILTER = 408,
     FIRST_P = 409,
     FLOAT_P = 410,
     FOLLOWING = 411,
     FOR = 412,
     FORCE = 413,
     FOREIGN = 414,
     FORWARD = 415,
     FREEZE = 416,
     FROM = 417,
     FULL = 418,
     FUNCTION = 419,
     FUNCTIONS = 420,
     GENERATED = 421,
     GLOBAL = 422,
     GRANT = 423,
     GRANTED = 424,
     GREATEST = 425,
     GROUP_P = 426,
     GROUPING = 427,
     HANDLER = 428,
     HAVING = 429,
     HEADER_P = 430,
     HOLD = 431,
     HOUR_P = 432,
     IDENTITY_P = 433,
     IF_P = 434,
     ILIKE = 435,
     IMMEDIATE = 436,
     IMMUTABLE = 437,
     IMPLICIT_P = 438,
     IMPORT_P = 439,
     IN_P = 440,
     INCLUDING = 441,
     INCREMENT = 442,
     INDEX = 443,
     INDEXES = 444,
     INHERIT = 445,
     INHERITS = 446,
     INITIALLY = 447,
     INLINE_P = 448,
     INNER_P = 449,
     INOUT = 450,
     INPUT_P = 451,
     INSENSITIVE = 452,
     INSERT = 453,
     INSTEAD = 454,
     INT_P = 455,
     INTEGER = 456,
     INTERSECT = 457,
     INTERVAL = 458,
     INTO = 459,
     INVOKER = 460,
     IS = 461,
     ISNULL = 462,
     ISOLATION = 463,
     JOIN = 464,
     KEY = 465,
     LABEL = 466,
     LANGUAGE = 467,
     LARGE_P = 468,
     LAST_P = 469,
     LATERAL_P = 470,
     LEADING = 471,
     LEAKPROOF = 472,
     LEAST = 473,
     LEFT = 474,
     LEVEL = 475,
     LIKE = 476,
     LIMIT = 477,
     LISTEN = 478,
     LOAD = 479,
     LOCAL = 480,
     LOCALTIME = 481,
     LOCALTIMESTAMP = 482,
     LOCATION = 483,
     LOCK_P = 484,
     LOCKED = 485,
     LOGGED = 486,
     MAPPING = 487,
     MATCH = 488,
     MATERIALIZED = 489,
     MAXVALUE = 490,
     METHOD = 491,
     MINUTE_P = 492,
     MINVALUE = 493,
     MODE = 494,
     MONTH_P = 495,
     MOVE = 496,
     NAME_P = 497,
     NAMES = 498,
     NATIONAL = 499,
     NATURAL = 500,
     NCHAR = 501,
     NEW = 502,
     NEXT = 503,
     NO = 504,
     NONE = 505,
     NOT = 506,
     NOTHING = 507,
     NOTIFY = 508,
     NOTNULL = 509,
     NOWAIT = 510,
     NULL_P = 511,
     NULLIF = 512,
     NULLS_P = 513,
     NUMERIC = 514,
     OBJECT_P = 515,
     OF = 516,
     OFF = 517,
     OFFSET = 518,
     OIDS = 519,
     OLD = 520,
     ON = 521,
     ONLY = 522,
     OPERATOR = 523,
     OPTION = 524,
     OPTIONS = 525,
     OR = 526,
     ORDER = 527,
     ORDINALITY = 528,
     OUT_P = 529,
     OUTER_P = 530,
     OVER = 531,
     OVERLAPS = 532,
     OVERLAY = 533,
     OVERRIDING = 534,
     OWNED = 535,
     OWNER = 536,
     PARALLEL = 537,
     PARSER = 538,
     PARTIAL = 539,
     PARTITION = 540,
     PASSING = 541,
     PASSWORD = 542,
     PGPOOL = 543,
     PLACING = 544,
     PLANS = 545,
     POLICY = 546,
     POSITION = 547,
     PRECEDING = 548,
     PRECISION = 549,
     PRESERVE = 550,
     PREPARE = 551,
     PREPARED = 552,
     PRIMARY = 553,
     PRIOR = 554,
     PRIVILEGES = 555,
     PROCEDURAL = 556,
     PROCEDURE = 557,
     PROGRAM = 558,
     PUBLICATION = 559,
     QUOTE = 560,
     RANGE = 561,
     READ = 562,
     REAL = 563,
     REASSIGN = 564,
     RECHECK = 565,
     RECURSIVE = 566,
     REF = 567,
     REFERENCES = 568,
     REFERENCING = 569,
     REFRESH = 570,
     REINDEX = 571,
     RELATIVE_P = 572,
     RELEASE = 573,
     RENAME = 574,
     REPEATABLE = 575,
     REPLACE = 576,
     REPLICA = 577,
     RESET = 578,
     RESTART = 579,
     RESTRICT = 580,
     RETURNING = 581,
     RETURNS = 582,
     REVOKE = 583,
     RIGHT = 584,
     ROLE = 585,
     ROLLBACK = 586,
     ROLLUP = 587,
     ROW = 588,
     ROWS = 589,
     RULE = 590,
     SAVEPOINT = 591,
     SCHEMA = 592,
     SCHEMAS = 593,
     SCROLL = 594,
     SEARCH = 595,
     SECOND_P = 596,
     SECURITY = 597,
     SELECT = 598,
     SEQUENCE = 599,
     SEQUENCES = 600,
     SERIALIZABLE = 601,
     SERVER = 602,
     SESSION = 603,
     SESSION_USER = 604,
     SET = 605,
     SETS = 606,
     SETOF = 607,
     SHARE = 608,
     SHOW = 609,
     SIMILAR = 610,
     SIMPLE = 611,
     SKIP = 612,
     SMALLINT = 613,
     SNAPSHOT = 614,
     SOME = 615,
     SQL_P = 616,
     STABLE = 617,
     STANDALONE_P = 618,
     START = 619,
     STATEMENT = 620,
     STATISTICS = 621,
     STDIN = 622,
     STDOUT = 623,
     STORAGE = 624,
     STRICT_P = 625,
     STRIP_P = 626,
     SUBSCRIPTION = 627,
     SUBSTRING = 628,
     SYMMETRIC = 629,
     SYSID = 630,
     SYSTEM_P = 631,
     TABLE = 632,
     TABLES = 633,
     TABLESAMPLE = 634,
     TABLESPACE = 635,
     TEMP = 636,
     TEMPLATE = 637,
     TEMPORARY = 638,
     TEXT_P = 639,
     THEN = 640,
     TIME = 641,
     TIMESTAMP = 642,
     TO = 643,
     TRAILING = 644,
     TRANSACTION = 645,
     TRANSFORM = 646,
     TREAT = 647,
     TRIGGER = 648,
     TRIM = 649,
     TRUE_P = 650,
     TRUNCATE = 651,
     TRUSTED = 652,
     TYPE_P = 653,
     TYPES_P = 654,
     UNBOUNDED = 655,
     UNCOMMITTED = 656,
     UNENCRYPTED = 657,
     UNION = 658,
     UNIQUE = 659,
     UNKNOWN = 660,
     UNLISTEN = 661,
     UNLOGGED = 662,
     UNTIL = 663,
     UPDATE = 664,
     USER = 665,
     USING = 666,
     VACUUM = 667,
     VALID = 668,
     VALIDATE = 669,
     VALIDATOR = 670,
     VALUE_P = 671,
     VALUES = 672,
     VARCHAR = 673,
     VARIADIC = 674,
     VARYING = 675,
     VERBOSE = 676,
     VERSION_P = 677,
     VIEW = 678,
     VIEWS = 679,
     VOLATILE = 680,
     WHEN = 681,
     WHERE = 682,
     WHITESPACE_P = 683,
     WINDOW = 684,
     WITH = 685,
     WITHIN = 686,
     WITHOUT = 687,
     WORK = 688,
     WRAPPER = 689,
     WRITE = 690,
     XML_P = 691,
     XMLATTRIBUTES = 692,
     XMLCONCAT = 693,
     XMLELEMENT = 694,
     XMLEXISTS = 695,
     XMLFOREST = 696,
     XMLNAMESPACES = 697,
     XMLPARSE = 698,
     XMLPI = 699,
     XMLROOT = 700,
     XMLSERIALIZE = 701,
     XMLTABLE = 702,
     YEAR_P = 703,
     YES_P = 704,
     ZONE = 705,
     NOT_LA = 706,
     NULLS_LA = 707,
     WITH_LA = 708,
     POSTFIXOP = 709,
     UMINUS = 710
   };
#endif
/* Tokens.  */
#define IDENT 258
#define FCONST 259
#define SCONST 260
#define BCONST 261
#define XCONST 262
#define Op 263
#define ICONST 264
#define PARAM 265
#define TYPECAST 266
#define DOT_DOT 267
#define COLON_EQUALS 268
#define EQUALS_GREATER 269
#define LESS_EQUALS 270
#define GREATER_EQUALS 271
#define NOT_EQUALS 272
#define ABORT_P 273
#define ABSOLUTE_P 274
#define ACCESS 275
#define ACTION 276
#define ADD_P 277
#define ADMIN 278
#define AFTER 279
#define AGGREGATE 280
#define ALL 281
#define ALSO 282
#define ALTER 283
#define ALWAYS 284
#define ANALYSE 285
#define ANALYZE 286
#define AND 287
#define ANY 288
#define ARRAY 289
#define AS 290
#define ASC 291
#define ASSERTION 292
#define ASSIGNMENT 293
#define ASYMMETRIC 294
#define AT 295
#define ATTACH 296
#define ATTRIBUTE 297
#define AUTHORIZATION 298
#define BACKWARD 299
#define BEFORE 300
#define BEGIN_P 301
#define BETWEEN 302
#define BIGINT 303
#define BINARY 304
#define BIT 305
#define BOOLEAN_P 306
#define BOTH 307
#define BY 308
#define CACHE 309
#define CALLED 310
#define CASCADE 311
#define CASCADED 312
#define CASE 313
#define CAST 314
#define CATALOG_P 315
#define CHAIN 316
#define CHAR_P 317
#define CHARACTER 318
#define CHARACTERISTICS 319
#define CHECK 320
#define CHECKPOINT 321
#define CLASS 322
#define CLOSE 323
#define CLUSTER 324
#define COALESCE 325
#define COLLATE 326
#define COLLATION 327
#define COLUMN 328
#define COLUMNS 329
#define COMMENT 330
#define COMMENTS 331
#define COMMIT 332
#define COMMITTED 333
#define CONCURRENTLY 334
#define CONFIGURATION 335
#define CONFLICT 336
#define CONNECTION 337
#define CONSTRAINT 338
#define CONSTRAINTS 339
#define CONTENT_P 340
#define CONTINUE_P 341
#define CONVERSION_P 342
#define COPY 343
#define COST 344
#define CREATE 345
#define CROSS 346
#define CSV 347
#define CUBE 348
#define CURRENT_P 349
#define CURRENT_CATALOG 350
#define CURRENT_DATE 351
#define CURRENT_ROLE 352
#define CURRENT_SCHEMA 353
#define CURRENT_TIME 354
#define CURRENT_TIMESTAMP 355
#define CURRENT_USER 356
#define CURSOR 357
#define CYCLE 358
#define DATA_P 359
#define DATABASE 360
#define DAY_P 361
#define DEALLOCATE 362
#define DEC 363
#define DECIMAL_P 364
#define DECLARE 365
#define DEFAULT 366
#define DEFAULTS 367
#define DEFERRABLE 368
#define DEFERRED 369
#define DEFINER 370
#define DELETE_P 371
#define DELIMITER 372
#define DELIMITERS 373
#define DEPENDS 374
#define DESC 375
#define DETACH 376
#define DICTIONARY 377
#define DISABLE_P 378
#define DISCARD 379
#define DISTINCT 380
#define DO 381
#define DOCUMENT_P 382
#define DOMAIN_P 383
#define DOUBLE_P 384
#define DROP 385
#define EACH 386
#define ELSE 387
#define ENABLE_P 388
#define ENCODING 389
#define ENCRYPTED 390
#define END_P 391
#define ENUM_P 392
#define ESCAPE 393
#define EVENT 394
#define EXCEPT 395
#define EXCLUDE 396
#define EXCLUDING 397
#define EXCLUSIVE 398
#define EXECUTE 399
#define EXISTS 400
#define EXPLAIN 401
#define EXTENSION 402
#define EXTERNAL 403
#define EXTRACT 404
#define FALSE_P 405
#define FAMILY 406
#define FETCH 407
#define FILTER 408
#define FIRST_P 409
#define FLOAT_P 410
#define FOLLOWING 411
#define FOR 412
#define FORCE 413
#define FOREIGN 414
#define FORWARD 415
#define FREEZE 416
#define FROM 417
#define FULL 418
#define FUNCTION 419
#define FUNCTIONS 420
#define GENERATED 421
#define GLOBAL 422
#define GRANT 423
#define GRANTED 424
#define GREATEST 425
#define GROUP_P 426
#define GROUPING 427
#define HANDLER 428
#define HAVING 429
#define HEADER_P 430
#define HOLD 431
#define HOUR_P 432
#define IDENTITY_P 433
#define IF_P 434
#define ILIKE 435
#define IMMEDIATE 436
#define IMMUTABLE 437
#define IMPLICIT_P 438
#define IMPORT_P 439
#define IN_P 440
#define INCLUDING 441
#define INCREMENT 442
#define INDEX 443
#define INDEXES 444
#define INHERIT 445
#define INHERITS 446
#define INITIALLY 447
#define INLINE_P 448
#define INNER_P 449
#define INOUT 450
#define INPUT_P 451
#define INSENSITIVE 452
#define INSERT 453
#define INSTEAD 454
#define INT_P 455
#define INTEGER 456
#define INTERSECT 457
#define INTERVAL 458
#define INTO 459
#define INVOKER 460
#define IS 461
#define ISNULL 462
#define ISOLATION 463
#define JOIN 464
#define KEY 465
#define LABEL 466
#define LANGUAGE 467
#define LARGE_P 468
#define LAST_P 469
#define LATERAL_P 470
#define LEADING 471
#define LEAKPROOF 472
#define LEAST 473
#define LEFT 474
#define LEVEL 475
#define LIKE 476
#define LIMIT 477
#define LISTEN 478
#define LOAD 479
#define LOCAL 480
#define LOCALTIME 481
#define LOCALTIMESTAMP 482
#define LOCATION 483
#define LOCK_P 484
#define LOCKED 485
#define LOGGED 486
#define MAPPING 487
#define MATCH 488
#define MATERIALIZED 489
#define MAXVALUE 490
#define METHOD 491
#define MINUTE_P 492
#define MINVALUE 493
#define MODE 494
#define MONTH_P 495
#define MOVE 496
#define NAME_P 497
#define NAMES 498
#define NATIONAL 499
#define NATURAL 500
#define NCHAR 501
#define NEW 502
#define NEXT 503
#define NO 504
#define NONE 505
#define NOT 506
#define NOTHING 507
#define NOTIFY 508
#define NOTNULL 509
#define NOWAIT 510
#define NULL_P 511
#define NULLIF 512
#define NULLS_P 513
#define NUMERIC 514
#define OBJECT_P 515
#define OF 516
#define OFF 517
#define OFFSET 518
#define OIDS 519
#define OLD 520
#define ON 521
#define ONLY 522
#define OPERATOR 523
#define OPTION 524
#define OPTIONS 525
#define OR 526
#define ORDER 527
#define ORDINALITY 528
#define OUT_P 529
#define OUTER_P 530
#define OVER 531
#define OVERLAPS 532
#define OVERLAY 533
#define OVERRIDING 534
#define OWNED 535
#define OWNER 536
#define PARALLEL 537
#define PARSER 538
#define PARTIAL 539
#define PARTITION 540
#define PASSING 541
#define PASSWORD 542
#define PGPOOL 543
#define PLACING 544
#define PLANS 545
#define POLICY 546
#define POSITION 547
#define PRECEDING 548
#define PRECISION 549
#define PRESERVE 550
#define PREPARE 551
#define PREPARED 552
#define PRIMARY 553
#define PRIOR 554
#define PRIVILEGES 555
#define PROCEDURAL 556
#define PROCEDURE 557
#define PROGRAM 558
#define PUBLICATION 559
#define QUOTE 560
#define RANGE 561
#define READ 562
#define REAL 563
#define REASSIGN 564
#define RECHECK 565
#define RECURSIVE 566
#define REF 567
#define REFERENCES 568
#define REFERENCING 569
#define REFRESH 570
#define REINDEX 571
#define RELATIVE_P 572
#define RELEASE 573
#define RENAME 574
#define REPEATABLE 575
#define REPLACE 576
#define REPLICA 577
#define RESET 578
#define RESTART 579
#define RESTRICT 580
#define RETURNING 581
#define RETURNS 582
#define REVOKE 583
#define RIGHT 584
#define ROLE 585
#define ROLLBACK 586
#define ROLLUP 587
#define ROW 588
#define ROWS 589
#define RULE 590
#define SAVEPOINT 591
#define SCHEMA 592
#define SCHEMAS 593
#define SCROLL 594
#define SEARCH 595
#define SECOND_P 596
#define SECURITY 597
#define SELECT 598
#define SEQUENCE 599
#define SEQUENCES 600
#define SERIALIZABLE 601
#define SERVER 602
#define SESSION 603
#define SESSION_USER 604
#define SET 605
#define SETS 606
#define SETOF 607
#define SHARE 608
#define SHOW 609
#define SIMILAR 610
#define SIMPLE 611
#define SKIP 612
#define SMALLINT 613
#define SNAPSHOT 614
#define SOME 615
#define SQL_P 616
#define STABLE 617
#define STANDALONE_P 618
#define START 619
#define STATEMENT 620
#define STATISTICS 621
#define STDIN 622
#define STDOUT 623
#define STORAGE 624
#define STRICT_P 625
#define STRIP_P 626
#define SUBSCRIPTION 627
#define SUBSTRING 628
#define SYMMETRIC 629
#define SYSID 630
#define SYSTEM_P 631
#define TABLE 632
#define TABLES 633
#define TABLESAMPLE 634
#define TABLESPACE 635
#define TEMP 636
#define TEMPLATE 637
#define TEMPORARY 638
#define TEXT_P 639
#define THEN 640
#define TIME 641
#define TIMESTAMP 642
#define TO 643
#define TRAILING 644
#define TRANSACTION 645
#define TRANSFORM 646
#define TREAT 647
#define TRIGGER 648
#define TRIM 649
#define TRUE_P 650
#define TRUNCATE 651
#define TRUSTED 652
#define TYPE_P 653
#define TYPES_P 654
#define UNBOUNDED 655
#define UNCOMMITTED 656
#define UNENCRYPTED 657
#define UNION 658
#define UNIQUE 659
#define UNKNOWN 660
#define UNLISTEN 661
#define UNLOGGED 662
#define UNTIL 663
#define UPDATE 664
#define USER 665
#define USING 666
#define VACUUM 667
#define VALID 668
#define VALIDATE 669
#define VALIDATOR 670
#define VALUE_P 671
#define VALUES 672
#define VARCHAR 673
#define VARIADIC 674
#define VARYING 675
#define VERBOSE 676
#define VERSION_P 677
#define VIEW 678
#define VIEWS 679
#define VOLATILE 680
#define WHEN 681
#define WHERE 682
#define WHITESPACE_P 683
#define WINDOW 684
#define WITH 685
#define WITHIN 686
#define WITHOUT 687
#define WORK 688
#define WRAPPER 689
#define WRITE 690
#define XML_P 691
#define XMLATTRIBUTES 692
#define XMLCONCAT 693
#define XMLELEMENT 694
#define XMLEXISTS 695
#define XMLFOREST 696
#define XMLNAMESPACES 697
#define XMLPARSE 698
#define XMLPI 699
#define XMLROOT 700
#define XMLSERIALIZE 701
#define XMLTABLE 702
#define YEAR_P 703
#define YES_P 704
#define ZONE 705
#define NOT_LA 706
#define NULLS_LA 707
#define WITH_LA 708
#define POSTFIXOP 709
#define UMINUS 710



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{
/* Line 387 of yacc.c  */
#line 239 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;


/* Line 387 of yacc.c  */
#line 1303 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int base_yyparse (void *YYPARSE_PARAM);
#else
int base_yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int base_yyparse (core_yyscan_t yyscanner);
#else
int base_yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */

#endif /* !YY_BASE_YY_Y_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

/* Line 390 of yacc.c  */
#line 1343 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(N) (N)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  788
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   97207

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  473
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  653
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2661
/* YYNRULES -- Number of states.  */
#define YYNSTATES  5314

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   710

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   462,     2,     2,
     467,   468,   460,   458,   471,   459,   469,   461,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   472,   470,
     454,   456,   455,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   465,     2,   466,   463,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   457,
     464
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   233,   235,   237,   239,
     241,   243,   245,   247,   249,   251,   253,   255,   257,   258,
     264,   266,   268,   269,   272,   273,   276,   277,   280,   283,
     287,   291,   293,   297,   301,   304,   306,   308,   311,   314,
     317,   321,   325,   331,   337,   343,   344,   348,   354,   360,
     366,   372,   376,   382,   386,   392,   396,   402,   408,   415,
     417,   419,   426,   431,   441,   449,   451,   452,   455,   456,
     458,   460,   462,   464,   466,   468,   472,   475,   479,   483,
     486,   492,   494,   498,   502,   506,   510,   512,   516,   520,
     523,   526,   529,   532,   536,   540,   544,   548,   550,   554,
     556,   560,   562,   564,   567,   570,   573,   575,   577,   579,
     581,   583,   585,   587,   591,   597,   599,   601,   603,   605,
     607,   608,   610,   612,   615,   619,   621,   624,   628,   631,
     633,   635,   638,   640,   643,   645,   649,   653,   656,   660,
     665,   669,   672,   677,   679,   681,   683,   685,   687,   690,
     693,   696,   699,   702,   707,   714,   719,   726,   737,   751,
     756,   763,   774,   788,   793,   800,   805,   812,   818,   826,
     838,   853,   855,   859,   864,   868,   871,   877,   881,   888,
     893,   900,   907,   914,   920,   926,   933,   943,   948,   954,
     962,   969,   974,   983,   988,   991,   996,  1000,  1007,  1012,
    1016,  1020,  1024,  1028,  1031,  1034,  1038,  1043,  1048,  1052,
    1056,  1060,  1064,  1068,  1072,  1077,  1082,  1086,  1089,  1093,
    1096,  1099,  1103,  1107,  1110,  1113,  1117,  1122,  1127,  1132,
    1138,  1140,  1144,  1147,  1149,  1151,  1152,  1155,  1156,  1159,
    1160,  1162,  1164,  1166,  1170,  1174,  1177,  1178,  1180,  1184,
    1188,  1190,  1196,  1200,  1202,  1205,  1207,  1211,  1214,  1218,
    1225,  1236,  1238,  1240,  1242,  1244,  1248,  1250,  1254,  1256,
    1258,  1260,  1265,  1267,  1271,  1276,  1283,  1288,  1297,  1300,
    1303,  1315,  1325,  1327,  1329,  1331,  1332,  1334,  1336,  1338,
    1340,  1344,  1347,  1348,  1350,  1352,  1354,  1358,  1362,  1364,
    1366,  1370,  1374,  1378,  1382,  1387,  1391,  1394,  1396,  1397,
    1400,  1401,  1405,  1406,  1408,  1409,  1411,  1415,  1418,  1420,
    1422,  1424,  1428,  1429,  1431,  1435,  1437,  1450,  1466,  1478,
    1493,  1507,  1524,  1526,  1528,  1531,  1534,  1537,  1540,  1542,
    1543,  1545,  1546,  1550,  1551,  1553,  1557,  1559,  1563,  1565,
    1567,  1569,  1571,  1573,  1578,  1581,  1586,  1589,  1590,  1594,
    1596,  1598,  1601,  1604,  1606,  1610,  1615,  1621,  1624,  1630,
    1636,  1638,  1641,  1643,  1646,  1649,  1652,  1656,  1660,  1664,
    1665,  1667,  1669,  1671,  1673,  1675,  1677,  1679,  1683,  1685,
    1691,  1699,  1703,  1712,  1717,  1727,  1739,  1742,  1743,  1747,
    1748,  1750,  1754,  1756,  1759,  1762,  1765,  1766,  1768,  1772,
    1776,  1783,  1788,  1789,  1791,  1793,  1796,  1799,  1800,  1804,
    1808,  1811,  1813,  1815,  1818,  1821,  1826,  1827,  1829,  1830,
    1837,  1839,  1841,  1843,  1847,  1851,  1855,  1861,  1864,  1867,
    1870,  1871,  1875,  1880,  1885,  1886,  1889,  1890,  1895,  1896,
    1900,  1909,  1921,  1929,  1940,  1946,  1949,  1953,  1954,  1963,
    1975,  1980,  1982,  1983,  1990,  1996,  2005,  2010,  2017,  2019,
    2020,  2024,  2025,  2027,  2030,  2033,  2036,  2038,  2041,  2045,
    2048,  2051,  2054,  2057,  2061,  2065,  2069,  2071,  2075,  2077,
    2078,  2080,  2083,  2086,  2088,  2090,  2094,  2101,  2112,  2114,
    2115,  2117,  2120,  2123,  2124,  2127,  2130,  2132,  2133,  2139,
    2147,  2149,  2150,  2158,  2161,  2162,  2166,  2172,  2178,  2187,
    2190,  2191,  2194,  2197,  2200,  2202,  2208,  2211,  2212,  2215,
    2223,  2230,  2241,  2248,  2255,  2262,  2269,  2277,  2284,  2294,
    2304,  2311,  2319,  2326,  2335,  2344,  2353,  2362,  2369,  2376,
    2384,  2392,  2401,  2408,  2418,  2425,  2433,  2436,  2439,  2442,
    2445,  2447,  2450,  2452,  2453,  2461,  2468,  2473,  2474,  2476,
    2480,  2485,  2487,  2491,  2493,  2496,  2499,  2502,  2505,  2507,
    2509,  2520,  2534,  2537,  2538,  2541,  2544,  2546,  2547,  2553,
    2558,  2563,  2575,  2590,  2603,  2619,  2625,  2633,  2645,  2648,
    2650,  2655,  2656,  2665,  2677,  2679,  2681,  2689,  2699,  2708,
    2719,  2728,  2733,  2734,  2740,  2741,  2744,  2745,  2748,  2749,
    2752,  2753,  2756,  2757,  2759,  2761,  2763,  2765,  2767,  2776,
    2793,  2814,  2816,  2818,  2821,  2823,  2827,  2829,  2831,  2833,
    2837,  2839,  2842,  2843,  2845,  2848,  2853,  2855,  2857,  2859,
    2861,  2863,  2867,  2868,  2870,  2871,  2873,  2875,  2880,  2881,
    2883,  2887,  2888,  2890,  2892,  2894,  2896,  2899,  2900,  2901,
    2904,  2907,  2909,  2912,  2915,  2918,  2921,  2933,  2947,  2949,
    2953,  2959,  2961,  2965,  2971,  2973,  2976,  2979,  2981,  2990,
    2995,  3001,  3006,  3011,  3016,  3020,  3028,  3037,  3044,  3051,
    3058,  3065,  3072,  3077,  3085,  3091,  3100,  3104,  3106,  3110,
    3114,  3116,  3118,  3120,  3122,  3124,  3126,  3128,  3132,  3134,
    3138,  3142,  3144,  3145,  3147,  3151,  3159,  3169,  3179,  3188,
    3192,  3193,  3207,  3209,  3213,  3219,  3225,  3229,  3236,  3239,
    3241,  3242,  3245,  3246,  3249,  3254,  3255,  3257,  3258,  3265,
    3274,  3283,  3285,  3289,  3295,  3301,  3309,  3319,  3327,  3337,
    3343,  3350,  3357,  3362,  3369,  3374,  3381,  3390,  3395,  3402,
    3407,  3414,  3420,  3428,  3430,  3432,  3434,  3437,  3439,  3442,
    3444,  3446,  3448,  3452,  3456,  3460,  3464,  3467,  3470,  3472,
    3476,  3478,  3480,  3482,  3484,  3486,  3488,  3490,  3494,  3496,
    3499,  3502,  3506,  3508,  3512,  3518,  3521,  3524,  3525,  3532,
    3539,  3546,  3553,  3560,  3567,  3574,  3583,  3593,  3602,  3611,
    3621,  3630,  3640,  3650,  3658,  3669,  3671,  3673,  3675,  3677,
    3679,  3681,  3684,  3686,  3688,  3691,  3695,  3699,  3703,  3707,
    3710,  3712,  3715,  3717,  3721,  3724,  3726,  3728,  3730,  3732,
    3734,  3736,  3738,  3740,  3749,  3758,  3767,  3776,  3785,  3794,
    3804,  3807,  3808,  3810,  3813,  3815,  3817,  3819,  3822,  3824,
    3827,  3830,  3832,  3834,  3836,  3838,  3840,  3842,  3844,  3847,
    3850,  3852,  3855,  3859,  3863,  3867,  3871,  3876,  3881,  3885,
    3889,  3893,  3898,  3903,  3907,  3912,  3917,  3919,  3921,  3923,
    3924,  3932,  3940,  3951,  3953,  3955,  3958,  3963,  3969,  3971,
    3975,  3978,  3981,  3984,  3987,  3989,  3992,  3995,  4000,  4004,
    4007,  4010,  4013,  4016,  4020,  4023,  4026,  4029,  4035,  4041,
    4047,  4049,  4053,  4055,  4058,  4062,  4063,  4070,  4077,  4087,
    4091,  4092,  4096,  4097,  4103,  4106,  4107,  4111,  4115,  4119,
    4127,  4135,  4146,  4148,  4150,  4152,  4154,  4156,  4171,  4189,
    4191,  4192,  4194,  4195,  4197,  4198,  4201,  4202,  4204,  4208,
    4214,  4220,  4228,  4231,  4232,  4234,  4235,  4237,  4239,  4240,
    4243,  4246,  4247,  4257,  4270,  4278,  4281,  4282,  4286,  4289,
    4291,  4295,  4297,  4301,  4304,  4306,  4308,  4311,  4315,  4318,
    4320,  4324,  4328,  4332,  4335,  4338,  4340,  4342,  4344,  4346,
    4349,  4351,  4353,  4355,  4357,  4362,  4368,  4370,  4374,  4378,
    4380,  4384,  4388,  4394,  4401,  4403,  4407,  4410,  4412,  4416,
    4418,  4421,  4426,  4432,  4434,  4436,  4438,  4440,  4444,  4448,
    4451,  4454,  4456,  4459,  4462,  4465,  4467,  4470,  4473,  4476,
    4479,  4481,  4483,  4485,  4489,  4493,  4499,  4502,  4503,  4506,
    4508,  4512,  4518,  4520,  4523,  4525,  4526,  4531,  4538,  4543,
    4550,  4555,  4562,  4566,  4572,  4578,  4584,  4586,  4590,  4592,
    4596,  4599,  4602,  4604,  4607,  4609,  4612,  4624,  4635,  4646,
    4649,  4652,  4653,  4663,  4666,  4667,  4678,  4690,  4702,  4708,
    4714,  4723,  4727,  4731,  4738,  4745,  4747,  4749,  4751,  4753,
    4755,  4757,  4761,  4763,  4769,  4775,  4782,  4789,  4796,  4803,
    4810,  4819,  4828,  4835,  4842,  4850,  4860,  4870,  4879,  4890,
    4897,  4904,  4911,  4918,  4925,  4934,  4941,  4950,  4957,  4966,
    4974,  4984,  4991,  5000,  5008,  5018,  5027,  5038,  5048,  5060,
    5069,  5080,  5090,  5102,  5111,  5120,  5128,  5135,  5142,  5149,
    5156,  5165,  5174,  5183,  5192,  5199,  5209,  5211,  5212,  5215,
    5216,  5224,  5234,  5243,  5251,  5258,  5265,  5272,  5279,  5286,
    5293,  5300,  5310,  5320,  5327,  5336,  5343,  5352,  5361,  5370,
    5379,  5386,  5395,  5402,  5411,  5419,  5429,  5437,  5447,  5454,
    5462,  5464,  5468,  5472,  5476,  5478,  5480,  5482,  5484,  5486,
    5493,  5500,  5507,  5514,  5521,  5528,  5536,  5544,  5551,  5561,
    5571,  5578,  5585,  5592,  5599,  5608,  5617,  5626,  5633,  5641,
    5648,  5655,  5661,  5663,  5664,  5668,  5672,  5678,  5685,  5692,
    5699,  5708,  5710,  5714,  5716,  5722,  5728,  5735,  5743,  5748,
    5753,  5758,  5765,  5779,  5781,  5783,  5787,  5791,  5793,  5795,
    5797,  5799,  5801,  5803,  5805,  5806,  5808,  5810,  5812,  5814,
    5816,  5818,  5819,  5823,  5826,  5827,  5830,  5833,  5836,  5839,
    5843,  5847,  5850,  5853,  5856,  5859,  5863,  5866,  5872,  5877,
    5881,  5885,  5889,  5891,  5893,  5894,  5898,  5901,  5904,  5906,
    5909,  5911,  5915,  5918,  5920,  5921,  5931,  5943,  5956,  5971,
    5975,  5980,  5985,  5986,  5989,  5995,  5997,  5998,  6000,  6003,
    6007,  6011,  6015,  6017,  6020,  6022,  6024,  6026,  6028,  6030,
    6032,  6033,  6039,  6044,  6051,  6056,  6060,  6066,  6072,  6077,
    6082,  6089,  6094,  6101,  6108,  6114,  6122,  6132,  6139,  6141,
    6142,  6149,  6161,  6173,  6185,  6199,  6209,  6221,  6223,  6225,
    6236,  6241,  6244,  6250,  6253,  6254,  6259,  6265,  6271,  6276,
    6283,  6285,  6289,  6291,  6293,  6295,  6297,  6299,  6302,  6307,
    6309,  6311,  6313,  6314,  6316,  6317,  6319,  6320,  6324,  6325,
    6328,  6333,  6337,  6343,  6345,  6347,  6349,  6351,  6353,  6355,
    6357,  6359,  6361,  6363,  6367,  6370,  6372,  6374,  6376,  6378,
    6379,  6385,  6389,  6390,  6392,  6394,  6396,  6398,  6402,  6412,
    6416,  6417,  6420,  6424,  6427,  6431,  6439,  6441,  6445,  6447,
    6452,  6457,  6465,  6468,  6470,  6472,  6474,  6478,  6481,  6490,
    6496,  6497,  6502,  6506,  6507,  6510,  6511,  6519,  6522,  6523,
    6529,  6533,  6534,  6537,  6540,  6543,  6547,  6549,  6553,  6555,
    6558,  6560,  6561,  6563,  6566,  6567,  6576,  6578,  6582,  6586,
    6592,  6595,  6597,  6601,  6609,  6611,  6612,  6616,  6619,  6622,
    6625,  6626,  6629,  6632,  6634,  6636,  6640,  6644,  6646,  6649,
    6654,  6659,  6662,  6666,  6672,  6678,  6680,  6682,  6692,  6702,
    6704,  6707,  6712,  6717,  6722,  6725,  6728,  6732,  6734,  6738,
    6745,  6747,  6748,  6751,  6752,  6756,  6760,  6765,  6770,  6775,
    6780,  6784,  6787,  6789,  6791,  6792,  6794,  6796,  6797,  6799,
    6805,  6807,  6808,  6810,  6811,  6815,  6817,  6821,  6826,  6830,
    6833,  6836,  6838,  6840,  6842,  6843,  6846,  6851,  6857,  6860,
    6864,  6866,  6868,  6870,  6872,  6876,  6877,  6879,  6881,  6883,
    6885,  6887,  6891,  6892,  6894,  6898,  6900,  6902,  6904,  6906,
    6908,  6911,  6916,  6921,  6927,  6930,  6931,  6933,  6937,  6939,
    6940,  6942,  6945,  6949,  6952,  6957,  6960,  6964,  6967,  6968,
    6973,  6979,  6982,  6983,  6985,  6989,  6992,  6996,  6999,  7003,
    7006,  7010,  7013,  7017,  7019,  7024,  7028,  7033,  7039,  7044,
    7050,  7055,  7061,  7064,  7069,  7071,  7073,  7074,  7076,  7081,
    7087,  7092,  7093,  7096,  7099,  7102,  7104,  7106,  7107,  7112,
    7115,  7117,  7120,  7123,  7128,  7130,  7134,  7136,  7139,  7143,
    7150,  7155,  7156,  7159,  7166,  7169,  7171,  7175,  7180,  7181,
    7184,  7185,  7188,  7189,  7192,  7197,  7198,  7200,  7201,  7203,
    7207,  7211,  7219,  7232,  7234,  7238,  7241,  7245,  7249,  7251,
    7254,  7257,  7260,  7263,  7265,  7267,  7271,  7275,  7278,  7281,
    7285,  7291,  7298,  7301,  7305,  7309,  7314,  7315,  7317,  7319,
    7321,  7323,  7325,  7328,  7333,  7335,  7337,  7339,  7341,  7344,
    7348,  7352,  7353,  7355,  7357,  7359,  7361,  7363,  7366,  7369,
    7372,  7375,  7378,  7380,  7384,  7385,  7387,  7389,  7391,  7393,
    7399,  7402,  7404,  7406,  7408,  7410,  7415,  7417,  7420,  7423,
    7425,  7429,  7433,  7436,  7438,  7439,  7445,  7448,  7454,  7457,
    7459,  7463,  7467,  7468,  7470,  7472,  7474,  7476,  7478,  7480,
    7484,  7488,  7492,  7496,  7500,  7504,  7508,  7509,  7511,  7516,
    7518,  7522,  7526,  7532,  7535,  7538,  7542,  7546,  7550,  7554,
    7558,  7562,  7566,  7570,  7574,  7578,  7582,  7586,  7590,  7593,
    7596,  7600,  7604,  7607,  7610,  7614,  7620,  7625,  7632,  7636,
    7642,  7647,  7654,  7659,  7666,  7672,  7680,  7684,  7687,  7692,
    7695,  7699,  7703,  7708,  7712,  7717,  7721,  7726,  7732,  7739,
    7746,  7754,  7761,  7769,  7776,  7784,  7788,  7793,  7798,  7805,
    7808,  7812,  7817,  7819,  7821,  7825,  7828,  7831,  7835,  7839,
    7843,  7847,  7851,  7855,  7859,  7863,  7867,  7871,  7875,  7879,
    7883,  7886,  7889,  7895,  7902,  7909,  7917,  7921,  7926,  7928,
    7930,  7933,  7938,  7940,  7942,  7944,  7947,  7950,  7953,  7956,
    7958,  7960,  7965,  7969,  7975,  7982,  7991,  7998,  8005,  8010,
    8015,  8017,  8019,  8021,  8027,  8029,  8031,  8036,  8038,  8043,
    8045,  8050,  8052,  8057,  8059,  8061,  8063,  8065,  8067,  8069,
    8076,  8081,  8086,  8091,  8096,  8103,  8109,  8115,  8121,  8126,
    8133,  8138,  8143,  8148,  8153,  8159,  8167,  8175,  8185,  8191,
    8196,  8203,  8209,  8217,  8225,  8233,  8236,  8240,  8244,  8248,
    8253,  8254,  8259,  8261,  8265,  8269,  8271,  8273,  8275,  8278,
    8281,  8282,  8285,  8290,  8295,  8302,  8308,  8309,  8315,  8316,
    8319,  8320,  8322,  8326,  8330,  8333,  8336,  8337,  8344,  8346,
    8347,  8351,  8352,  8355,  8358,  8359,  8361,  8366,  8369,  8372,
    8375,  8378,  8381,  8386,  8390,  8396,  8401,  8405,  8411,  8413,
    8415,  8417,  8419,  8421,  8423,  8425,  8427,  8429,  8431,  8433,
    8435,  8437,  8439,  8441,  8443,  8445,  8447,  8452,  8454,  8459,
    8461,  8466,  8468,  8471,  8473,  8476,  8478,  8482,  8484,  8488,
    8490,  8494,  8498,  8500,  8504,  8508,  8512,  8515,  8517,  8521,
    8525,  8526,  8528,  8530,  8532,  8534,  8536,  8538,  8540,  8542,
    8547,  8551,  8554,  8558,  8559,  8563,  8567,  8570,  8573,  8575,
    8576,  8579,  8582,  8586,  8589,  8591,  8593,  8597,  8603,  8605,
    8608,  8613,  8616,  8617,  8619,  8620,  8622,  8625,  8628,  8631,
    8635,  8641,  8643,  8644,  8646,  8649,  8650,  8653,  8655,  8656,
    8658,  8659,  8661,  8665,  8669,  8672,  8674,  8676,  8678,  8682,
    8684,  8687,  8689,  8693,  8695,  8697,  8699,  8701,  8703,  8705,
    8707,  8710,  8712,  8714,  8716,  8718,  8720,  8723,  8730,  8733,
    8737,  8743,  8745,  8747,  8749,  8751,  8753,  8755,  8758,  8761,
    8763,  8765,  8767,  8769,  8771,  8775,  8777,  8779,  8781,  8783,
    8785,  8787,  8789,  8791,  8793,  8795,  8797,  8799,  8801,  8803,
    8805,  8807,  8809,  8811,  8813,  8815,  8817,  8819,  8821,  8823,
    8825,  8827,  8829,  8831,  8833,  8835,  8837,  8839,  8841,  8843,
    8845,  8847,  8849,  8851,  8853,  8855,  8857,  8859,  8861,  8863,
    8865,  8867,  8869,  8871,  8873,  8875,  8877,  8879,  8881,  8883,
    8885,  8887,  8889,  8891,  8893,  8895,  8897,  8899,  8901,  8903,
    8905,  8907,  8909,  8911,  8913,  8915,  8917,  8919,  8921,  8923,
    8925,  8927,  8929,  8931,  8933,  8935,  8937,  8939,  8941,  8943,
    8945,  8947,  8949,  8951,  8953,  8955,  8957,  8959,  8961,  8963,
    8965,  8967,  8969,  8971,  8973,  8975,  8977,  8979,  8981,  8983,
    8985,  8987,  8989,  8991,  8993,  8995,  8997,  8999,  9001,  9003,
    9005,  9007,  9009,  9011,  9013,  9015,  9017,  9019,  9021,  9023,
    9025,  9027,  9029,  9031,  9033,  9035,  9037,  9039,  9041,  9043,
    9045,  9047,  9049,  9051,  9053,  9055,  9057,  9059,  9061,  9063,
    9065,  9067,  9069,  9071,  9073,  9075,  9077,  9079,  9081,  9083,
    9085,  9087,  9089,  9091,  9093,  9095,  9097,  9099,  9101,  9103,
    9105,  9107,  9109,  9111,  9113,  9115,  9117,  9119,  9121,  9123,
    9125,  9127,  9129,  9131,  9133,  9135,  9137,  9139,  9141,  9143,
    9145,  9147,  9149,  9151,  9153,  9155,  9157,  9159,  9161,  9163,
    9165,  9167,  9169,  9171,  9173,  9175,  9177,  9179,  9181,  9183,
    9185,  9187,  9189,  9191,  9193,  9195,  9197,  9199,  9201,  9203,
    9205,  9207,  9209,  9211,  9213,  9215,  9217,  9219,  9221,  9223,
    9225,  9227,  9229,  9231,  9233,  9235,  9237,  9239,  9241,  9243,
    9245,  9247,  9249,  9251,  9253,  9255,  9257,  9259,  9261,  9263,
    9265,  9267,  9269,  9271,  9273,  9275,  9277,  9279,  9281,  9283,
    9285,  9287,  9289,  9291,  9293,  9295,  9297,  9299,  9301,  9303,
    9305,  9307,  9309,  9311,  9313,  9315,  9317,  9319,  9321,  9323,
    9325,  9327,  9329,  9331,  9333,  9335,  9337,  9339,  9341,  9343,
    9345,  9347,  9349,  9351,  9353,  9355,  9357,  9359,  9361,  9363,
    9365,  9367,  9369,  9371,  9373,  9375,  9377,  9379,  9381,  9383,
    9385,  9387,  9389,  9391,  9393,  9395,  9397,  9399,  9401,  9403,
    9405,  9407,  9409,  9411,  9413,  9415,  9417,  9419,  9421,  9423,
    9425,  9427,  9429,  9431,  9433,  9435,  9437,  9439,  9441,  9443,
    9445,  9447,  9449,  9451,  9453,  9455,  9457,  9459,  9461,  9463,
    9465,  9467,  9469,  9471,  9473,  9475,  9477,  9479,  9481,  9483,
    9485,  9487,  9489,  9491,  9493,  9495,  9497,  9499,  9501,  9503,
    9505,  9507,  9509,  9511,  9513,  9515,  9517,  9519,  9521,  9523,
    9525,  9527,  9529,  9531,  9533,  9535,  9537,  9539,  9541,  9543,
    9545,  9547,  9549,  9551,  9553,  9555,  9557,  9559,  9561,  9563,
    9565,  9567,  9569,  9571,  9573,  9575,  9577,  9579,  9581,  9583,
    9585,  9587,  9589,  9591,  9593,  9595,  9597,  9599,  9601,  9603,
    9605,  9607,  9609,  9611,  9613,  9615,  9617,  9619,  9621,  9623,
    9625,  9627,  9629,  9631,  9633,  9635,  9637,  9639,  9641,  9643,
    9645,  9647,  9649,  9651,  9653,  9655,  9657,  9659,  9661,  9663,
    9665,  9667
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     474,     0,    -1,   475,    -1,   475,   470,   476,    -1,   476,
      -1,   696,    -1,   879,    -1,   876,    -1,   877,    -1,   763,
      -1,   882,    -1,   710,    -1,   632,    -1,   635,    -1,   640,
      -1,   653,    -1,   655,    -1,   806,    -1,   489,    -1,   835,
      -1,   836,    -1,   841,    -1,   837,    -1,   664,    -1,   610,
      -1,   880,    -1,   518,    -1,   831,    -1,   538,    -1,   845,
      -1,   486,    -1,   484,    -1,   849,    -1,   885,    -1,   884,
      -1,   662,    -1,   893,    -1,   516,    -1,   541,    -1,   888,
      -1,   737,    -1,   513,    -1,   542,    -1,   672,    -1,   602,
      -1,   698,    -1,   819,    -1,   887,    -1,   881,    -1,   629,
      -1,   636,    -1,   649,    -1,   654,    -1,   779,    -1,   488,
      -1,   605,    -1,   712,    -1,   719,    -1,   842,    -1,   720,
      -1,   663,    -1,   618,    -1,   491,    -1,   609,    -1,   558,
      -1,   846,    -1,   601,    -1,   626,    -1,   823,    -1,   673,
      -1,   692,    -1,   477,    -1,   483,    -1,   659,    -1,   870,
      -1,   910,    -1,   932,    -1,   700,    -1,   920,    -1,   517,
      -1,   816,    -1,   699,    -1,   821,    -1,   723,    -1,   724,
      -1,   725,    -1,   624,    -1,   727,    -1,   850,    -1,   628,
      -1,   825,    -1,   487,    -1,   661,    -1,   878,    -1,   908,
      -1,   899,    -1,   746,    -1,   750,    -1,   759,    -1,   656,
      -1,   768,    -1,   911,    -1,   860,    -1,   608,    -1,   869,
      -1,   922,    -1,   858,    -1,   905,    -1,   726,    -1,   826,
      -1,   810,    -1,   809,    -1,   811,    -1,   832,    -1,   751,
      -1,   760,    -1,   851,    -1,   741,    -1,   936,    -1,   862,
      -1,   735,    -1,   861,    -1,   927,    -1,   890,    -1,   507,
      -1,   495,    -1,   512,    -1,   867,    -1,    -1,    90,   330,
    1115,   478,   479,    -1,   430,    -1,   453,    -1,    -1,   479,
     482,    -1,    -1,   480,   481,    -1,    -1,   287,  1113,    -1,
     287,   256,    -1,   135,   287,  1113,    -1,   402,   287,  1113,
      -1,   190,    -1,    82,   222,  1114,    -1,   413,   408,  1113,
      -1,   410,  1117,    -1,     3,    -1,   481,    -1,   375,  1112,
      -1,    23,  1117,    -1,   330,  1117,    -1,   185,   330,  1117,
      -1,   185,   171,  1117,    -1,    90,   410,  1115,   478,   479,
      -1,    28,   330,  1116,   478,   480,    -1,    28,   410,  1116,
     478,   480,    -1,    -1,   185,   105,  1105,    -1,    28,   330,
    1116,   485,   510,    -1,    28,   330,    26,   485,   510,    -1,
      28,   410,  1116,   485,   510,    -1,    28,   410,    26,   485,
     510,    -1,   130,   330,  1117,    -1,   130,   330,   179,   145,
    1117,    -1,   130,   410,  1117,    -1,   130,   410,   179,   145,
    1117,    -1,   130,   171,  1117,    -1,   130,   171,   179,   145,
    1117,    -1,    90,   171,  1115,   478,   479,    -1,    28,   171,
    1116,   490,   410,  1117,    -1,    22,    -1,   130,    -1,    90,
     337,   492,    43,  1116,   493,    -1,    90,   337,  1118,   493,
      -1,    90,   337,   179,   251,   145,   492,    43,  1116,   493,
      -1,    90,   337,   179,   251,   145,  1118,   493,    -1,  1118,
      -1,    -1,   493,   494,    -1,    -1,   558,    -1,   768,    -1,
     609,    -1,   673,    -1,   750,    -1,   867,    -1,   288,   350,
     497,    -1,   350,   496,    -1,   350,   225,   496,    -1,   350,
     348,   496,    -1,   390,   865,    -1,   348,    64,    35,   390,
     865,    -1,   498,    -1,   499,   388,   500,    -1,   499,   456,
     500,    -1,   499,   388,   111,    -1,   499,   456,   111,    -1,
     497,    -1,   499,   162,    94,    -1,   386,   450,   504,    -1,
      60,  1113,    -1,   337,  1113,    -1,   243,   505,    -1,   330,
     506,    -1,   348,    43,   506,    -1,   348,    43,   111,    -1,
     436,   269,  1047,    -1,   390,   359,  1113,    -1,  1118,    -1,
     499,   469,  1118,    -1,   501,    -1,   500,   471,   501,    -1,
     503,    -1,   616,    -1,   307,   401,    -1,   307,    78,    -1,
     320,   307,    -1,   346,    -1,   395,    -1,   150,    -1,   266,
      -1,   506,    -1,  1113,    -1,     3,    -1,  1031,  1113,  1033,
      -1,  1031,   467,  1112,   468,  1113,    -1,   616,    -1,   111,
      -1,   225,    -1,  1113,    -1,   111,    -1,    -1,  1120,    -1,
    1113,    -1,   323,   508,    -1,   288,   323,   509,    -1,   509,
      -1,   386,   450,    -1,   390,   208,   220,    -1,   348,    43,
      -1,   499,    -1,    26,    -1,   350,   496,    -1,   507,    -1,
     350,   498,    -1,   507,    -1,   288,   354,   499,    -1,   288,
     354,    26,    -1,   354,   499,    -1,   354,   386,   450,    -1,
     354,   390,   208,   220,    -1,   354,   348,    43,    -1,   354,
      26,    -1,   350,    84,   514,   515,    -1,    26,    -1,  1101,
      -1,   114,    -1,   181,    -1,    66,    -1,   124,    26,    -1,
     124,   381,    -1,   124,   383,    -1,   124,   290,    -1,   124,
     345,    -1,    28,   377,   990,   519,    -1,    28,   377,   179,
     145,   990,   519,    -1,    28,   377,   990,   520,    -1,    28,
     377,   179,   145,   990,   520,    -1,    28,   377,    26,   185,
     380,  1104,   350,   380,  1104,   925,    -1,    28,   377,    26,
     185,   380,  1104,   280,    53,  1117,   350,   380,  1104,   925,
      -1,    28,   188,  1102,   519,    -1,    28,   188,   179,   145,
    1102,   519,    -1,    28,   188,    26,   185,   380,  1104,   350,
     380,  1104,   925,    -1,    28,   188,    26,   185,   380,  1104,
     280,    53,  1117,   350,   380,  1104,   925,    -1,    28,   344,
    1102,   519,    -1,    28,   344,   179,   145,  1102,   519,    -1,
      28,   423,  1102,   519,    -1,    28,   423,   179,   145,  1102,
     519,    -1,    28,   234,   423,  1102,   519,    -1,    28,   234,
     423,   179,   145,  1102,   519,    -1,    28,   234,   423,    26,
     185,   380,  1104,   350,   380,  1104,   925,    -1,    28,   234,
     423,    26,   185,   380,  1104,   280,    53,  1117,   350,   380,
    1104,   925,    -1,   521,    -1,   519,   471,   521,    -1,    41,
     285,  1102,   533,    -1,   121,   285,  1102,    -1,    22,   566,
      -1,    22,   179,   251,   145,   566,    -1,    22,    73,   566,
      -1,    22,    73,   179,   251,   145,   566,    -1,    28,   833,
    1118,   522,    -1,    28,   833,  1118,   130,   251,   256,    -1,
      28,   833,  1118,   350,   251,   256,    -1,    28,   833,  1118,
     350,   366,  1114,    -1,    28,   833,  1118,   350,   527,    -1,
      28,   833,  1118,   323,   527,    -1,    28,   833,  1118,   350,
     369,  1118,    -1,    28,   833,  1118,    22,   166,   571,    35,
     178,   612,    -1,    28,   833,  1118,   531,    -1,    28,   833,
    1118,   130,   178,    -1,    28,   833,  1118,   130,   178,   179,
     145,    -1,   130,   833,   179,   145,  1118,   523,    -1,   130,
     833,  1118,   523,    -1,    28,   833,  1118,   834,   398,  1012,
     524,   525,    -1,    28,   833,  1118,   643,    -1,    22,   576,
      -1,    28,    83,  1104,   690,    -1,   414,    83,  1104,    -1,
     130,    83,   179,   145,  1104,   523,    -1,   130,    83,  1104,
     523,    -1,   350,   430,   264,    -1,   350,   432,   264,    -1,
      69,   266,  1104,    -1,   350,   432,    69,    -1,   350,   231,
      -1,   350,   407,    -1,   133,   393,  1104,    -1,   133,    29,
     393,  1104,    -1,   133,   322,   393,  1104,    -1,   133,   393,
      26,    -1,   133,   393,   410,    -1,   123,   393,  1104,    -1,
     123,   393,    26,    -1,   123,   393,   410,    -1,   133,   335,
    1104,    -1,   133,    29,   335,  1104,    -1,   133,   322,   335,
    1104,    -1,   123,   335,  1104,    -1,   190,  1102,    -1,   249,
     190,  1102,    -1,   261,   732,    -1,   251,   261,    -1,   281,
     388,  1116,    -1,   350,   380,  1104,    -1,   350,   527,    -1,
     323,   527,    -1,   322,   178,   526,    -1,   133,   333,   220,
     342,    -1,   123,   333,   220,   342,    -1,   158,   333,   220,
     342,    -1,   249,   158,   333,   220,   342,    -1,   643,    -1,
     350,   111,  1035,    -1,   130,   111,    -1,    56,    -1,   325,
      -1,    -1,    71,   732,    -1,    -1,   411,  1035,    -1,    -1,
     252,    -1,   163,    -1,   111,    -1,   411,   188,  1104,    -1,
     467,   529,   468,    -1,   430,   527,    -1,    -1,   530,    -1,
     529,   471,   530,    -1,  1121,   456,   704,    -1,  1121,    -1,
    1121,   469,  1121,   456,   704,    -1,  1121,   469,  1121,    -1,
     532,    -1,   531,   532,    -1,   324,    -1,   324,   478,   616,
      -1,   350,   614,    -1,   350,   166,   571,    -1,   157,   417,
     185,   467,   535,   468,    -1,   157,   417,   162,   467,   536,
     468,   388,   467,   536,   468,    -1,  1113,    -1,   616,    -1,
     256,    -1,   534,    -1,   535,   471,   534,    -1,   537,    -1,
     536,   471,   537,    -1,   238,    -1,   235,    -1,   534,    -1,
      28,   398,   732,   539,    -1,   540,    -1,   539,   471,   540,
      -1,    22,    42,  1004,   523,    -1,   130,    42,   179,   145,
    1118,   523,    -1,   130,    42,  1118,   523,    -1,    28,    42,
    1118,   834,   398,  1012,   524,   523,    -1,    68,   933,    -1,
      68,    26,    -1,    88,   549,  1102,   579,   550,   543,   544,
     545,   551,   478,   546,    -1,    88,   467,   907,   468,   388,
     544,   545,   478,   546,    -1,   162,    -1,   388,    -1,   303,
      -1,    -1,  1113,    -1,   367,    -1,   368,    -1,   547,    -1,
     467,   553,   468,    -1,   547,   548,    -1,    -1,    49,    -1,
     264,    -1,   161,    -1,   117,   883,  1113,    -1,   256,   883,
    1113,    -1,    92,    -1,   175,    -1,   305,   883,  1113,    -1,
     138,   883,  1113,    -1,   158,   305,   580,    -1,   158,   305,
     460,    -1,   158,   251,   256,   580,    -1,   158,   256,   580,
      -1,   134,  1113,    -1,    49,    -1,    -1,   430,   264,    -1,
      -1,   552,   118,  1113,    -1,    -1,   411,    -1,    -1,   554,
      -1,   553,   471,   554,    -1,  1121,   555,    -1,   503,    -1,
     616,    -1,   460,    -1,   467,   556,   468,    -1,    -1,   557,
      -1,   556,   471,   557,    -1,   503,    -1,    90,   559,   377,
    1102,   467,   560,   468,   590,   591,   596,   597,   598,    -1,
      90,   559,   377,   179,   251,   145,  1102,   467,   560,   468,
     590,   591,   596,   597,   598,    -1,    90,   559,   377,  1102,
     261,   732,   561,   591,   596,   597,   598,    -1,    90,   559,
     377,   179,   251,   145,  1102,   261,   732,   561,   591,   596,
     597,   598,    -1,    90,   559,   377,  1102,   285,   261,  1102,
     561,   533,   591,   596,   597,   598,    -1,    90,   559,   377,
     179,   251,   145,  1102,   285,   261,  1102,   561,   533,   591,
     596,   597,   598,    -1,   383,    -1,   381,    -1,   225,   383,
      -1,   225,   381,    -1,   167,   383,    -1,   167,   381,    -1,
     407,    -1,    -1,   562,    -1,    -1,   467,   563,   468,    -1,
      -1,   564,    -1,   562,   471,   564,    -1,   565,    -1,   563,
     471,   565,    -1,   566,    -1,   573,    -1,   576,    -1,   567,
      -1,   576,    -1,  1118,  1012,   641,   568,    -1,  1118,   568,
      -1,  1118,   430,   270,   568,    -1,   568,   569,    -1,    -1,
      83,  1104,   570,    -1,   570,    -1,   572,    -1,    71,   732,
      -1,   251,   256,    -1,   256,    -1,   404,   803,   599,    -1,
     298,   210,   803,   599,    -1,    65,   467,  1035,   468,   578,
      -1,   111,  1036,    -1,   166,   571,    35,   178,   612,    -1,
     313,  1102,   579,   582,   586,    -1,    29,    -1,    53,   111,
      -1,   113,    -1,   251,   113,    -1,   192,   114,    -1,   192,
     181,    -1,   221,  1102,   574,    -1,   574,   186,   575,    -1,
     574,   142,   575,    -1,    -1,   112,    -1,    84,    -1,   178,
      -1,   189,    -1,   369,    -1,    76,    -1,    26,    -1,    83,
    1104,   577,    -1,   577,    -1,    65,   467,  1035,   468,   690,
      -1,   404,   467,   580,   468,   803,   599,   690,    -1,   404,
     600,   690,    -1,   298,   210,   467,   580,   468,   803,   599,
     690,    -1,   298,   210,   600,   690,    -1,   141,   772,   467,
     583,   468,   803,   599,   585,   690,    -1,   159,   210,   467,
     580,   468,   313,  1102,   579,   582,   586,   690,    -1,   249,
     190,    -1,    -1,   467,   580,   468,    -1,    -1,   581,    -1,
     580,   471,   581,    -1,  1118,    -1,   233,   163,    -1,   233,
     284,    -1,   233,   356,    -1,    -1,   584,    -1,   583,   471,
     584,    -1,   774,   430,   813,    -1,   774,   430,   268,   467,
     813,   468,    -1,   427,   467,  1035,   468,    -1,    -1,   587,
      -1,   588,    -1,   587,   588,    -1,   588,   587,    -1,    -1,
     266,   409,   589,    -1,   266,   116,   589,    -1,   249,    21,
      -1,   325,    -1,    56,    -1,   350,   256,    -1,   350,   111,
      -1,   191,   467,  1101,   468,    -1,    -1,   592,    -1,    -1,
     285,    53,   593,   467,   594,   468,    -1,     3,    -1,  1122,
      -1,   595,    -1,   594,   471,   595,    -1,  1118,   775,   776,
      -1,  1040,   775,   776,    -1,   467,  1035,   468,   775,   776,
      -1,   430,   527,    -1,   430,   264,    -1,   432,   264,    -1,
      -1,   266,    77,   130,    -1,   266,    77,   116,   334,    -1,
     266,    77,   295,   334,    -1,    -1,   380,  1104,    -1,    -1,
     411,   188,   380,  1104,    -1,    -1,   411,   188,  1108,    -1,
      90,   366,   732,   898,   266,  1071,   162,   981,    -1,    90,
     366,   179,   251,   145,   732,   898,   266,  1071,   162,   981,
      -1,    90,   559,   377,   603,    35,   936,   604,    -1,    90,
     559,   377,   179,   251,   145,   603,    35,   936,   604,    -1,
    1102,   579,   596,   597,   598,    -1,   430,   104,    -1,   430,
     249,   104,    -1,    -1,    90,   607,   234,   423,   606,    35,
     936,   604,    -1,    90,   607,   234,   423,   179,   251,   145,
     606,    35,   936,   604,    -1,  1102,   579,   528,   598,    -1,
     407,    -1,    -1,   315,   234,   423,   770,  1102,   604,    -1,
      90,   559,   344,  1102,   611,    -1,    90,   559,   344,   179,
     251,   145,  1102,   611,    -1,    28,   344,  1102,   613,    -1,
      28,   344,   179,   145,  1102,   613,    -1,   613,    -1,    -1,
     467,   613,   468,    -1,    -1,   614,    -1,   613,   614,    -1,
      35,  1014,    -1,    54,   616,    -1,   103,    -1,   249,   103,
      -1,   187,   615,   616,    -1,   235,   616,    -1,   238,   616,
      -1,   249,   235,    -1,   249,   238,    -1,   280,    53,   732,
      -1,   344,   242,   732,    -1,   364,   478,   616,    -1,   324,
      -1,   324,   478,   616,    -1,    53,    -1,    -1,     4,    -1,
     458,     4,    -1,   459,     4,    -1,  1114,    -1,   616,    -1,
     617,   471,   616,    -1,    90,   780,   619,   625,   212,   506,
      -1,    90,   780,   619,   625,   212,   506,   173,   620,   621,
     623,    -1,   397,    -1,    -1,  1104,    -1,  1104,   733,    -1,
     193,   620,    -1,    -1,   415,   620,    -1,   249,   415,    -1,
     622,    -1,    -1,   130,   625,   212,   506,   523,    -1,   130,
     625,   212,   179,   145,   506,   523,    -1,   301,    -1,    -1,
      90,   380,  1104,   627,   228,  1113,   528,    -1,   281,  1116,
      -1,    -1,   130,   380,  1104,    -1,   130,   380,   179,   145,
    1104,    -1,    90,   147,  1104,   478,   630,    -1,    90,   147,
     179,   251,   145,  1104,   478,   630,    -1,   630,   631,    -1,
      -1,   337,  1104,    -1,   422,   506,    -1,   162,   506,    -1,
      56,    -1,    28,   147,  1104,   409,   633,    -1,   633,   634,
      -1,    -1,   388,   506,    -1,    28,   147,  1104,   490,    20,
     236,  1104,    -1,    28,   147,  1104,   490,    25,   796,    -1,
      28,   147,  1104,   490,    59,   467,  1012,    35,  1012,   468,
      -1,    28,   147,  1104,   490,    72,   732,    -1,    28,   147,
    1104,   490,    87,   732,    -1,    28,   147,  1104,   490,   128,
    1012,    -1,    28,   147,  1104,   490,   164,   784,    -1,    28,
     147,  1104,   490,   625,   212,  1104,    -1,    28,   147,  1104,
     490,   268,   815,    -1,    28,   147,  1104,   490,   268,    67,
     732,   411,  1106,    -1,    28,   147,  1104,   490,   268,   151,
     732,   411,  1106,    -1,    28,   147,  1104,   490,   337,  1104,
      -1,    28,   147,  1104,   490,   139,   393,  1104,    -1,    28,
     147,  1104,   490,   377,   732,    -1,    28,   147,  1104,   490,
     384,   340,   283,   732,    -1,    28,   147,  1104,   490,   384,
     340,   122,   732,    -1,    28,   147,  1104,   490,   384,   340,
     382,   732,    -1,    28,   147,  1104,   490,   384,   340,    80,
     732,    -1,    28,   147,  1104,   490,   344,   732,    -1,    28,
     147,  1104,   490,   423,   732,    -1,    28,   147,  1104,   490,
     234,   423,   732,    -1,    28,   147,  1104,   490,   159,   377,
     732,    -1,    28,   147,  1104,   490,   159,   104,   434,  1104,
      -1,    28,   147,  1104,   490,   347,  1104,    -1,    28,   147,
    1104,   490,   391,   157,  1012,   212,  1104,    -1,    28,   147,
    1104,   490,   398,  1012,    -1,    90,   159,   104,   434,  1104,
     639,   641,    -1,   173,   620,    -1,   249,   173,    -1,   415,
     620,    -1,   249,   415,    -1,   637,    -1,   638,   637,    -1,
     638,    -1,    -1,    28,   159,   104,   434,  1104,   639,   643,
      -1,    28,   159,   104,   434,  1104,   638,    -1,   270,   467,
     642,   468,    -1,    -1,   646,    -1,   642,   471,   646,    -1,
     270,   467,   644,   468,    -1,   645,    -1,   644,   471,   645,
      -1,   646,    -1,   350,   646,    -1,    22,   646,    -1,   130,
     647,    -1,   647,   648,    -1,  1121,    -1,  1113,    -1,    90,
     347,  1104,   650,   652,   159,   104,   434,  1104,   641,    -1,
      90,   347,   179,   251,   145,  1104,   650,   652,   159,   104,
     434,  1104,   641,    -1,   398,  1113,    -1,    -1,   422,  1113,
      -1,   422,   256,    -1,   651,    -1,    -1,    28,   347,  1104,
     651,   643,    -1,    28,   347,  1104,   651,    -1,    28,   347,
    1104,   643,    -1,    90,   159,   377,  1102,   467,   560,   468,
     590,   347,  1104,   641,    -1,    90,   159,   377,   179,   251,
     145,  1102,   467,   560,   468,   590,   347,  1104,   641,    -1,
      90,   159,   377,  1102,   285,   261,  1102,   561,   533,   347,
    1104,   641,    -1,    90,   159,   377,   179,   251,   145,  1102,
     285,   261,  1102,   561,   533,   347,  1104,   641,    -1,    28,
     159,   377,   990,   519,    -1,    28,   159,   377,   179,   145,
     990,   519,    -1,   184,   159,   337,  1104,   658,   162,   347,
    1104,   204,  1104,   641,    -1,   222,   388,    -1,   140,    -1,
     657,   467,   991,   468,    -1,    -1,    90,   410,   232,   157,
     660,   347,  1104,   641,    -1,    90,   410,   232,   179,   251,
     145,   157,   660,   347,  1104,   641,    -1,  1116,    -1,   410,
      -1,   130,   410,   232,   157,   660,   347,  1104,    -1,   130,
     410,   232,   179,   145,   157,   660,   347,  1104,    -1,    28,
     410,   232,   157,   660,   347,  1104,   643,    -1,    90,   291,
    1104,   266,  1102,   669,   670,   667,   665,   666,    -1,    28,
     291,  1104,   266,  1102,   668,   665,   666,    -1,   411,   467,
    1035,   468,    -1,    -1,   430,    65,   467,  1035,   468,    -1,
      -1,   388,  1117,    -1,    -1,   388,  1117,    -1,    -1,    35,
       3,    -1,    -1,   157,   671,    -1,    -1,    26,    -1,   343,
      -1,   198,    -1,   409,    -1,   116,    -1,    90,    20,   236,
    1104,   398,   188,   173,   620,    -1,    90,   393,  1104,   674,
     675,   266,  1102,   677,   683,   686,   144,   302,  1110,   467,
     687,   468,    -1,    90,    83,   393,  1104,    24,   675,   266,
    1102,   689,   690,   157,   131,   333,   686,   144,   302,  1110,
     467,   687,   468,    -1,    45,    -1,    24,    -1,   199,   261,
      -1,   676,    -1,   675,   271,   676,    -1,   198,    -1,   116,
      -1,   409,    -1,   409,   261,   580,    -1,   396,    -1,   314,
     678,    -1,    -1,   679,    -1,   678,   679,    -1,   680,   681,
     883,   682,    -1,   247,    -1,   265,    -1,   377,    -1,   333,
      -1,  1118,    -1,   157,   684,   685,    -1,    -1,   131,    -1,
      -1,   333,    -1,   365,    -1,   426,   467,  1035,   468,    -1,
      -1,   688,    -1,   687,   471,   688,    -1,    -1,  1112,    -1,
       4,    -1,  1113,    -1,  1121,    -1,   162,  1102,    -1,    -1,
      -1,   690,   691,    -1,   251,   113,    -1,   113,    -1,   192,
     181,    -1,   192,   114,    -1,   251,   413,    -1,   249,   190,
      -1,    90,   139,   393,  1104,   266,  1121,   144,   302,  1110,
     467,   468,    -1,    90,   139,   393,  1104,   266,  1121,   426,
     693,   144,   302,  1110,   467,   468,    -1,   694,    -1,   693,
      32,   694,    -1,  1118,   185,   467,   695,   468,    -1,     5,
      -1,   695,   471,     5,    -1,    28,   139,   393,  1104,   697,
      -1,   133,    -1,   133,   322,    -1,   133,    29,    -1,   123,
      -1,    90,    37,  1104,    65,   467,  1035,   468,   690,    -1,
     130,    37,  1104,   523,    -1,    90,    25,  1110,   794,   701,
      -1,    90,    25,  1110,   705,    -1,    90,   268,   813,   701,
      -1,    90,   398,   732,   701,    -1,    90,   398,   732,    -1,
      90,   398,   732,    35,   467,  1002,   468,    -1,    90,   398,
     732,    35,   137,   467,   708,   468,    -1,    90,   398,   732,
      35,   306,   701,    -1,    90,   384,   340,   283,   732,   701,
      -1,    90,   384,   340,   122,   732,   701,    -1,    90,   384,
     340,   382,   732,   701,    -1,    90,   384,   340,    80,   732,
     701,    -1,    90,    72,   732,   701,    -1,    90,    72,   179,
     251,   145,   732,   701,    -1,    90,    72,   732,   162,   732,
      -1,    90,    72,   179,   251,   145,   732,   162,   732,    -1,
     467,   702,   468,    -1,   703,    -1,   702,   471,   703,    -1,
    1121,   456,   704,    -1,  1121,    -1,   791,    -1,  1125,    -1,
    1069,    -1,   616,    -1,  1113,    -1,   250,    -1,   467,   706,
     468,    -1,   707,    -1,   706,   471,   707,    -1,     3,   456,
     704,    -1,   709,    -1,    -1,  1113,    -1,   709,   471,  1113,
      -1,    28,   398,   732,    22,   416,   711,  1113,    -1,    28,
     398,   732,    22,   416,   711,  1113,    45,  1113,    -1,    28,
     398,   732,    22,   416,   711,  1113,    24,  1113,    -1,    28,
     398,   732,   319,   416,  1113,   388,  1113,    -1,   179,   251,
     145,    -1,    -1,    90,   268,    67,   732,   715,   157,   398,
    1012,   411,  1106,   716,    35,   713,    -1,   714,    -1,   713,
     471,   714,    -1,   268,  1112,   813,   717,   718,    -1,   268,
    1112,   815,   717,   718,    -1,   164,  1112,   784,    -1,   164,
    1112,   467,  1074,   468,   784,    -1,   369,  1012,    -1,   111,
      -1,    -1,   151,   732,    -1,    -1,   157,   340,    -1,   157,
     272,    53,   732,    -1,    -1,   310,    -1,    -1,    90,   268,
     151,   732,   411,  1106,    -1,    28,   268,   151,   732,   411,
    1106,    22,   713,    -1,    28,   268,   151,   732,   411,  1106,
     130,   721,    -1,   722,    -1,   721,   471,   722,    -1,   268,
    1112,   467,  1074,   468,    -1,   164,  1112,   467,  1074,   468,
      -1,   130,   268,    67,   732,   411,  1106,   523,    -1,   130,
     268,    67,   179,   145,   732,   411,  1106,   523,    -1,   130,
     268,   151,   732,   411,  1106,   523,    -1,   130,   268,   151,
     179,   145,   732,   411,  1106,   523,    -1,   130,   280,    53,
    1117,   523,    -1,   309,   280,    53,  1117,   388,  1116,    -1,
     130,   728,   179,   145,   731,   523,    -1,   130,   728,   731,
     523,    -1,   130,   729,   179,   145,  1103,   523,    -1,   130,
     729,  1103,   523,    -1,   130,   730,  1104,   266,   732,   523,
      -1,   130,   730,   179,   145,  1104,   266,   732,   523,    -1,
     130,   398,   734,   523,    -1,   130,   398,   179,   145,   734,
     523,    -1,   130,   128,   734,   523,    -1,   130,   128,   179,
     145,   734,   523,    -1,   130,   188,    79,   731,   523,    -1,
     130,   188,    79,   179,   145,   731,   523,    -1,   377,    -1,
     344,    -1,   423,    -1,   234,   423,    -1,   188,    -1,   159,
     377,    -1,    72,    -1,    87,    -1,   366,    -1,   384,   340,
     283,    -1,   384,   340,   122,    -1,   384,   340,   382,    -1,
     384,   340,    80,    -1,    20,   236,    -1,   139,   393,    -1,
     147,    -1,   159,   104,   434,    -1,   304,    -1,   337,    -1,
     347,    -1,   291,    -1,   335,    -1,   393,    -1,   732,    -1,
     731,   471,   732,    -1,  1118,    -1,  1118,   733,    -1,   469,
    1107,    -1,   733,   469,  1107,    -1,  1012,    -1,   734,   471,
    1012,    -1,   396,   947,   991,   736,   523,    -1,    86,   178,
      -1,   324,   178,    -1,    -1,    75,   266,   738,   732,   206,
     740,    -1,    75,   266,   739,  1104,   206,   740,    -1,    75,
     266,   398,  1012,   206,   740,    -1,    75,   266,   128,  1012,
     206,   740,    -1,    75,   266,    25,   796,   206,   740,    -1,
      75,   266,   164,   784,   206,   740,    -1,    75,   266,   268,
     815,   206,   740,    -1,    75,   266,    83,  1104,   266,   732,
     206,   740,    -1,    75,   266,    83,  1104,   266,   128,   732,
     206,   740,    -1,    75,   266,   291,  1104,   266,   732,   206,
     740,    -1,    75,   266,   335,  1104,   266,   732,   206,   740,
      -1,    75,   266,   391,   157,  1012,   212,  1104,   206,   740,
      -1,    75,   266,   393,  1104,   266,   732,   206,   740,    -1,
      75,   266,   268,    67,   732,   411,  1106,   206,   740,    -1,
      75,   266,   268,   151,   732,   411,  1106,   206,   740,    -1,
      75,   266,   213,   260,   616,   206,   740,    -1,    75,   266,
      59,   467,  1012,    35,  1012,   468,   206,   740,    -1,    73,
      -1,   188,    -1,   344,    -1,   366,    -1,   377,    -1,   423,
      -1,   234,   423,    -1,    72,    -1,    87,    -1,   159,   377,
      -1,   384,   340,    80,    -1,   384,   340,   122,    -1,   384,
     340,   283,    -1,   384,   340,   382,    -1,    20,   236,    -1,
     105,    -1,   139,   393,    -1,   147,    -1,   159,   104,   434,
      -1,   625,   212,    -1,   304,    -1,   330,    -1,   337,    -1,
     347,    -1,   372,    -1,   380,    -1,  1113,    -1,   256,    -1,
     342,   211,   742,   266,   743,   732,   206,   745,    -1,   342,
     211,   742,   266,   744,  1104,   206,   745,    -1,   342,   211,
     742,   266,   398,  1012,   206,   745,    -1,   342,   211,   742,
     266,   128,  1012,   206,   745,    -1,   342,   211,   742,   266,
      25,   796,   206,   745,    -1,   342,   211,   742,   266,   164,
     784,   206,   745,    -1,   342,   211,   742,   266,   213,   260,
     616,   206,   745,    -1,   157,   506,    -1,    -1,    73,    -1,
     159,   377,    -1,   344,    -1,   377,    -1,   423,    -1,   234,
     423,    -1,   105,    -1,   139,   393,    -1,   625,   212,    -1,
     304,    -1,   330,    -1,   337,    -1,   372,    -1,   380,    -1,
    1113,    -1,   256,    -1,   152,   747,    -1,   241,   747,    -1,
     933,    -1,   748,   933,    -1,   248,   749,   933,    -1,   299,
     749,   933,    -1,   154,   749,   933,    -1,   214,   749,   933,
      -1,    19,  1114,   749,   933,    -1,   317,  1114,   749,   933,
      -1,  1114,   749,   933,    -1,    26,   749,   933,    -1,   160,
     749,   933,    -1,   160,  1114,   749,   933,    -1,   160,    26,
     749,   933,    -1,    44,   749,   933,    -1,    44,  1114,   749,
     933,    -1,    44,    26,   749,   933,    -1,   162,    -1,   185,
      -1,   748,    -1,    -1,   168,   752,   266,   755,   388,   756,
     758,    -1,   328,   752,   266,   755,   162,   756,   523,    -1,
     328,   168,   269,   157,   752,   266,   755,   162,   756,   523,
      -1,   753,    -1,    26,    -1,    26,   300,    -1,    26,   467,
     580,   468,    -1,    26,   300,   467,   580,   468,    -1,   754,
      -1,   753,   471,   754,    -1,   343,   579,    -1,   313,   579,
      -1,    90,   579,    -1,  1118,   579,    -1,  1101,    -1,   377,
    1101,    -1,   344,  1101,    -1,   159,   104,   434,  1103,    -1,
     159,   347,  1103,    -1,   164,   783,    -1,   105,  1103,    -1,
     128,   731,    -1,   212,  1103,    -1,   213,   260,   617,    -1,
     337,  1103,    -1,   380,  1103,    -1,   398,   731,    -1,    26,
     378,   185,   337,  1103,    -1,    26,   345,   185,   337,  1103,
      -1,    26,   165,   185,   337,  1103,    -1,   757,    -1,   756,
     471,   757,    -1,  1116,    -1,   171,  1116,    -1,   430,   168,
     269,    -1,    -1,   168,   753,   388,  1117,   761,   762,    -1,
     328,   753,   162,  1117,   762,   523,    -1,   328,    23,   269,
     157,   753,   162,  1117,   762,   523,    -1,   430,    23,   269,
      -1,    -1,   169,    53,  1116,    -1,    -1,    28,   111,   300,
     764,   766,    -1,   764,   765,    -1,    -1,   185,   337,  1103,
      -1,   157,   330,  1117,    -1,   157,   410,  1117,    -1,   168,
     752,   266,   767,   388,   756,   758,    -1,   328,   752,   266,
     767,   162,   756,   523,    -1,   328,   168,   269,   157,   752,
     266,   767,   162,   756,   523,    -1,   378,    -1,   165,    -1,
     345,    -1,   399,    -1,   338,    -1,    90,   769,   188,   770,
     771,   266,  1102,   772,   467,   773,   468,   528,   598,  1000,
      -1,    90,   769,   188,   770,   179,   251,   145,  1108,   266,
    1102,   772,   467,   773,   468,   528,   598,  1000,    -1,   404,
      -1,    -1,    79,    -1,    -1,  1108,    -1,    -1,   411,  1106,
      -1,    -1,   774,    -1,   773,   471,   774,    -1,  1118,   775,
     776,   777,   778,    -1,  1040,   775,   776,   777,   778,    -1,
     467,  1035,   468,   775,   776,   777,   778,    -1,    71,   732,
      -1,    -1,   732,    -1,    -1,    36,    -1,   120,    -1,    -1,
     452,   154,    -1,   452,   214,    -1,    -1,    90,   780,   164,
    1110,   785,   327,   790,   798,   803,    -1,    90,   780,   164,
    1110,   785,   327,   377,   467,   805,   468,   798,   803,    -1,
      90,   780,   164,  1110,   785,   798,   803,    -1,   271,   321,
      -1,    -1,   467,   782,   468,    -1,   467,   468,    -1,   787,
      -1,   782,   471,   787,    -1,   784,    -1,   783,   471,   784,
      -1,  1110,   781,    -1,  1124,    -1,  1118,    -1,  1118,  1095,
      -1,   467,   786,   468,    -1,   467,   468,    -1,   792,    -1,
     786,   471,   792,    -1,   788,   789,   791,    -1,   789,   788,
     791,    -1,   789,   791,    -1,   788,   791,    -1,   791,    -1,
     185,    -1,   274,    -1,   195,    -1,   185,   274,    -1,   419,
      -1,  1119,    -1,   791,    -1,  1012,    -1,  1119,   733,   462,
     398,    -1,   352,  1119,   733,   462,   398,    -1,   787,    -1,
     787,   111,  1035,    -1,   787,   456,  1035,    -1,   787,    -1,
     467,   460,   468,    -1,   467,   795,   468,    -1,   467,   272,
      53,   795,   468,    -1,   467,   795,   272,    53,   795,   468,
      -1,   793,    -1,   795,   471,   793,    -1,  1110,   794,    -1,
     796,    -1,   797,   471,   796,    -1,   800,    -1,   798,   800,
      -1,    55,   266,   256,   196,    -1,   327,   256,   266,   256,
     196,    -1,   370,    -1,   182,    -1,   362,    -1,   425,    -1,
     148,   342,   115,    -1,   148,   342,   205,    -1,   342,   115,
      -1,   342,   205,    -1,   217,    -1,   251,   217,    -1,    89,
     616,    -1,   334,   616,    -1,   511,    -1,   282,  1118,    -1,
      35,   801,    -1,   212,   506,    -1,   391,   802,    -1,   429,
      -1,   799,    -1,  1113,    -1,  1113,   471,  1113,    -1,   157,
     398,  1012,    -1,   802,   471,   157,   398,  1012,    -1,   430,
     701,    -1,    -1,   789,   791,    -1,   804,    -1,   805,   471,
     804,    -1,    28,   164,   784,   807,   808,    -1,   799,    -1,
     807,   799,    -1,   325,    -1,    -1,   130,   164,   783,   523,
      -1,   130,   164,   179,   145,   783,   523,    -1,   130,    25,
     797,   523,    -1,   130,    25,   179,   145,   797,   523,    -1,
     130,   268,   814,   523,    -1,   130,   268,   179,   145,   814,
     523,    -1,   467,  1012,   468,    -1,   467,  1012,   471,  1012,
     468,    -1,   467,   250,   471,  1012,   468,    -1,   467,  1012,
     471,   250,   468,    -1,  1066,    -1,  1118,   469,   813,    -1,
     815,    -1,   814,   471,   815,    -1,   813,   812,    -1,   126,
     817,    -1,   818,    -1,   817,   818,    -1,  1113,    -1,   212,
     506,    -1,    90,    59,   467,  1012,    35,  1012,   468,   430,
     164,   784,   820,    -1,    90,    59,   467,  1012,    35,  1012,
     468,   432,   164,   820,    -1,    90,    59,   467,  1012,    35,
    1012,   468,   430,   195,   820,    -1,    35,   183,    -1,    35,
      38,    -1,    -1,   130,    59,   822,   467,  1012,    35,  1012,
     468,   523,    -1,   179,   145,    -1,    -1,    90,   780,   391,
     157,  1012,   212,  1104,   467,   824,   468,    -1,   162,   361,
     430,   164,   784,   471,   388,   361,   430,   164,   784,    -1,
     388,   361,   430,   164,   784,   471,   162,   361,   430,   164,
     784,    -1,   162,   361,   430,   164,   784,    -1,   388,   361,
     430,   164,   784,    -1,   130,   391,   822,   157,  1012,   212,
    1104,   523,    -1,   316,   827,  1102,    -1,   316,   828,  1104,
      -1,   316,   467,   829,   468,   827,  1102,    -1,   316,   467,
     829,   468,   828,  1104,    -1,   188,    -1,   377,    -1,   337,
      -1,   376,    -1,   105,    -1,   830,    -1,   829,   471,   830,
      -1,   421,    -1,    28,   380,  1104,   350,   527,    -1,    28,
     380,  1104,   323,   527,    -1,    28,    25,   796,   319,   388,
    1104,    -1,    28,    72,   732,   319,   388,  1104,    -1,    28,
      87,   732,   319,   388,  1104,    -1,    28,   105,  1105,   319,
     388,  1105,    -1,    28,   128,   732,   319,   388,  1104,    -1,
      28,   128,   732,   319,    83,  1104,   388,  1104,    -1,    28,
     159,   104,   434,  1104,   319,   388,  1104,    -1,    28,   164,
     784,   319,   388,  1104,    -1,    28,   171,  1115,   319,   388,
    1115,    -1,    28,   625,   212,  1104,   319,   388,  1104,    -1,
      28,   268,    67,   732,   411,  1106,   319,   388,  1104,    -1,
      28,   268,   151,   732,   411,  1106,   319,   388,  1104,    -1,
      28,   291,  1104,   266,  1102,   319,   388,  1104,    -1,    28,
     291,   179,   145,  1104,   266,  1102,   319,   388,  1104,    -1,
      28,   304,  1104,   319,   388,  1104,    -1,    28,   337,  1104,
     319,   388,  1104,    -1,    28,   347,  1104,   319,   388,  1104,
      -1,    28,   372,  1104,   319,   388,  1104,    -1,    28,   377,
     990,   319,   388,  1104,    -1,    28,   377,   179,   145,   990,
     319,   388,  1104,    -1,    28,   344,  1102,   319,   388,  1104,
      -1,    28,   344,   179,   145,  1102,   319,   388,  1104,    -1,
      28,   423,  1102,   319,   388,  1104,    -1,    28,   423,   179,
     145,  1102,   319,   388,  1104,    -1,    28,   234,   423,  1102,
     319,   388,  1104,    -1,    28,   234,   423,   179,   145,  1102,
     319,   388,  1104,    -1,    28,   188,  1102,   319,   388,  1104,
      -1,    28,   188,   179,   145,  1102,   319,   388,  1104,    -1,
      28,   159,   377,   990,   319,   388,  1104,    -1,    28,   159,
     377,   179,   145,   990,   319,   388,  1104,    -1,    28,   377,
     990,   319,   833,  1104,   388,  1104,    -1,    28,   377,   179,
     145,   990,   319,   833,  1104,   388,  1104,    -1,    28,   234,
     423,  1102,   319,   833,  1104,   388,  1104,    -1,    28,   234,
     423,   179,   145,  1102,   319,   833,  1104,   388,  1104,    -1,
      28,   377,   990,   319,    83,  1104,   388,  1104,    -1,    28,
     377,   179,   145,   990,   319,    83,  1104,   388,  1104,    -1,
      28,   159,   377,   990,   319,   833,  1104,   388,  1104,    -1,
      28,   159,   377,   179,   145,   990,   319,   833,  1104,   388,
    1104,    -1,    28,   335,  1104,   266,  1102,   319,   388,  1104,
      -1,    28,   393,  1104,   266,  1102,   319,   388,  1104,    -1,
      28,   139,   393,  1104,   319,   388,  1104,    -1,    28,   330,
    1115,   319,   388,  1115,    -1,    28,   410,  1115,   319,   388,
    1115,    -1,    28,   380,  1104,   319,   388,  1104,    -1,    28,
     366,   732,   319,   388,  1104,    -1,    28,   384,   340,   283,
     732,   319,   388,  1104,    -1,    28,   384,   340,   122,   732,
     319,   388,  1104,    -1,    28,   384,   340,   382,   732,   319,
     388,  1104,    -1,    28,   384,   340,    80,   732,   319,   388,
    1104,    -1,    28,   398,   732,   319,   388,  1104,    -1,    28,
     398,   732,   319,    42,  1104,   388,  1104,   523,    -1,    73,
      -1,    -1,   350,   104,    -1,    -1,    28,   164,   784,   119,
     266,   147,  1104,    -1,    28,   393,  1104,   266,  1102,   119,
     266,   147,  1104,    -1,    28,   234,   423,  1102,   119,   266,
     147,  1104,    -1,    28,   188,  1102,   119,   266,   147,  1104,
      -1,    28,    25,   796,   350,   337,  1104,    -1,    28,    72,
     732,   350,   337,  1104,    -1,    28,    87,   732,   350,   337,
    1104,    -1,    28,   128,   732,   350,   337,  1104,    -1,    28,
     147,  1104,   350,   337,  1104,    -1,    28,   164,   784,   350,
     337,  1104,    -1,    28,   268,   815,   350,   337,  1104,    -1,
      28,   268,    67,   732,   411,  1106,   350,   337,  1104,    -1,
      28,   268,   151,   732,   411,  1106,   350,   337,  1104,    -1,
      28,   377,   990,   350,   337,  1104,    -1,    28,   377,   179,
     145,   990,   350,   337,  1104,    -1,    28,   366,   732,   350,
     337,  1104,    -1,    28,   384,   340,   283,   732,   350,   337,
    1104,    -1,    28,   384,   340,   122,   732,   350,   337,  1104,
      -1,    28,   384,   340,   382,   732,   350,   337,  1104,    -1,
      28,   384,   340,    80,   732,   350,   337,  1104,    -1,    28,
     344,  1102,   350,   337,  1104,    -1,    28,   344,   179,   145,
    1102,   350,   337,  1104,    -1,    28,   423,  1102,   350,   337,
    1104,    -1,    28,   423,   179,   145,  1102,   350,   337,  1104,
      -1,    28,   234,   423,  1102,   350,   337,  1104,    -1,    28,
     234,   423,   179,   145,  1102,   350,   337,  1104,    -1,    28,
     159,   377,   990,   350,   337,  1104,    -1,    28,   159,   377,
     179,   145,   990,   350,   337,  1104,    -1,    28,   398,   732,
     350,   337,  1104,    -1,    28,   268,   815,   350,   467,   838,
     468,    -1,   839,    -1,   838,   471,   839,    -1,  1121,   456,
     250,    -1,  1121,   456,   840,    -1,   791,    -1,  1125,    -1,
    1069,    -1,   616,    -1,  1113,    -1,    28,    25,   796,   281,
     388,  1116,    -1,    28,    72,   732,   281,   388,  1116,    -1,
      28,    87,   732,   281,   388,  1116,    -1,    28,   105,  1105,
     281,   388,  1116,    -1,    28,   128,   732,   281,   388,  1116,
      -1,    28,   164,   784,   281,   388,  1116,    -1,    28,   625,
     212,  1104,   281,   388,  1116,    -1,    28,   213,   260,   616,
     281,   388,  1116,    -1,    28,   268,   815,   281,   388,  1116,
      -1,    28,   268,    67,   732,   411,  1106,   281,   388,  1116,
      -1,    28,   268,   151,   732,   411,  1106,   281,   388,  1116,
      -1,    28,   337,  1104,   281,   388,  1116,    -1,    28,   398,
     732,   281,   388,  1116,    -1,    28,   380,  1104,   281,   388,
    1116,    -1,    28,   366,   732,   281,   388,  1116,    -1,    28,
     384,   340,   122,   732,   281,   388,  1116,    -1,    28,   384,
     340,    80,   732,   281,   388,  1116,    -1,    28,   159,   104,
     434,  1104,   281,   388,  1116,    -1,    28,   347,  1104,   281,
     388,  1116,    -1,    28,   139,   393,  1104,   281,   388,  1116,
      -1,    28,   304,  1104,   281,   388,  1116,    -1,    28,   372,
    1104,   281,   388,  1116,    -1,    90,   304,  1104,   843,   803,
      -1,   844,    -1,    -1,   157,   377,   991,    -1,   157,    26,
     378,    -1,    28,   304,  1104,   350,   701,    -1,    28,   304,
    1104,    22,   377,   991,    -1,    28,   304,  1104,   350,   377,
     991,    -1,    28,   304,  1104,   130,   377,   991,    -1,    90,
     372,  1104,    82,  1113,   304,   847,   803,    -1,   848,    -1,
     847,   471,   848,    -1,  1121,    -1,    28,   372,  1104,   350,
     701,    -1,    28,   372,  1104,    82,  1113,    -1,    28,   372,
    1104,   315,   304,   803,    -1,    28,   372,  1104,   350,   304,
     847,   803,    -1,    28,   372,  1104,   133,    -1,    28,   372,
    1104,   123,    -1,   130,   372,  1104,   523,    -1,   130,   372,
     179,   145,  1104,   523,    -1,    90,   780,   335,  1104,    35,
     266,   856,   388,  1102,  1000,   126,   857,   852,    -1,   252,
      -1,   854,    -1,   467,   853,   468,    -1,   853,   470,   855,
      -1,   855,    -1,   936,    -1,   911,    -1,   927,    -1,   920,
      -1,   858,    -1,   854,    -1,    -1,   343,    -1,   409,    -1,
     116,    -1,   198,    -1,   199,    -1,    27,    -1,    -1,   253,
    1118,   859,    -1,   471,  1113,    -1,    -1,   223,  1118,    -1,
     406,  1118,    -1,   406,   460,    -1,    18,   863,    -1,    46,
     863,   866,    -1,   364,   390,   866,    -1,    77,   863,    -1,
     136,   863,    -1,   331,   863,    -1,   336,  1118,    -1,   318,
     336,  1118,    -1,   318,  1118,    -1,   331,   863,   388,   336,
    1118,    -1,   331,   863,   388,  1118,    -1,   296,   390,  1113,
      -1,    77,   297,  1113,    -1,   331,   297,  1113,    -1,   433,
      -1,   390,    -1,    -1,   208,   220,   502,    -1,   307,   267,
      -1,   307,   435,    -1,   113,    -1,   251,   113,    -1,   864,
      -1,   865,   471,   864,    -1,   865,   864,    -1,   865,    -1,
      -1,    90,   559,   423,  1102,   579,   528,    35,   936,   868,
      -1,    90,   271,   321,   559,   423,  1102,   579,   528,    35,
     936,   868,    -1,    90,   559,   311,   423,  1102,   467,   580,
     468,   528,    35,   936,   868,    -1,    90,   271,   321,   559,
     311,   423,  1102,   467,   580,   468,   528,    35,   936,   868,
      -1,   430,    65,   269,    -1,   430,    57,    65,   269,    -1,
     430,   225,    65,   269,    -1,    -1,   224,  1109,    -1,    90,
     105,  1105,   478,   871,    -1,   872,    -1,    -1,   873,    -1,
     872,   873,    -1,   874,   875,  1114,    -1,   874,   875,   503,
      -1,   874,   875,   111,    -1,     3,    -1,    82,   222,    -1,
     134,    -1,   228,    -1,   281,    -1,   380,    -1,   382,    -1,
     456,    -1,    -1,    28,   105,  1105,   430,   871,    -1,    28,
     105,  1105,   871,    -1,    28,   105,  1105,   350,   380,  1104,
      -1,    28,   105,  1105,   510,    -1,   130,   105,  1105,    -1,
     130,   105,   179,   145,  1105,    -1,    28,    72,   732,   315,
     422,    -1,    28,   376,   350,   497,    -1,    28,   376,   323,
     509,    -1,    90,   128,   732,   883,  1012,   568,    -1,    28,
     128,   732,   522,    -1,    28,   128,   732,   130,   251,   256,
      -1,    28,   128,   732,   350,   251,   256,    -1,    28,   128,
     732,    22,   576,    -1,    28,   128,   732,   130,    83,  1104,
     523,    -1,    28,   128,   732,   130,    83,   179,   145,  1104,
     523,    -1,    28,   128,   732,   414,    83,  1104,    -1,    35,
      -1,    -1,    28,   384,   340,   122,   732,   701,    -1,    28,
     384,   340,    80,   732,    22,   232,   157,  1103,   886,   731,
      -1,    28,   384,   340,    80,   732,    28,   232,   157,  1103,
     886,   731,    -1,    28,   384,   340,    80,   732,    28,   232,
     321,   732,   886,   732,    -1,    28,   384,   340,    80,   732,
      28,   232,   157,  1103,   321,   732,   886,   732,    -1,    28,
     384,   340,    80,   732,   130,   232,   157,  1103,    -1,    28,
     384,   340,    80,   732,   130,   232,   179,   145,   157,  1103,
      -1,   430,    -1,   453,    -1,    90,   715,    87,   732,   157,
    1113,   388,  1113,   162,   732,    -1,    69,   895,  1102,   889,
      -1,    69,   895,    -1,    69,   895,  1108,   266,  1102,    -1,
     411,  1108,    -1,    -1,   412,   896,   897,   895,    -1,   412,
     896,   897,   895,  1102,    -1,   412,   896,   897,   895,   893,
      -1,   412,   467,   891,   468,    -1,   412,   467,   891,   468,
    1102,   898,    -1,   892,    -1,   891,   471,   892,    -1,   894,
      -1,   421,    -1,   161,    -1,   163,    -1,     3,    -1,   894,
     895,    -1,   894,   895,  1102,   898,    -1,    31,    -1,    30,
      -1,   421,    -1,    -1,   163,    -1,    -1,   161,    -1,    -1,
     467,  1103,   468,    -1,    -1,   146,   900,    -1,   146,   894,
     895,   900,    -1,   146,   421,   900,    -1,   146,   467,   901,
     468,   900,    -1,   936,    -1,   911,    -1,   927,    -1,   920,
      -1,   932,    -1,   602,    -1,   605,    -1,   608,    -1,   908,
      -1,   902,    -1,   901,   471,   902,    -1,   903,   904,    -1,
    1120,    -1,   894,    -1,   503,    -1,   616,    -1,    -1,   296,
    1104,   906,    35,   907,    -1,   467,  1074,   468,    -1,    -1,
     936,    -1,   911,    -1,   927,    -1,   920,    -1,   144,  1104,
     909,    -1,    90,   559,   377,   603,    35,   144,  1104,   909,
     604,    -1,   467,  1071,   468,    -1,    -1,   107,  1104,    -1,
     107,   296,  1104,    -1,   107,    26,    -1,   107,   296,    26,
      -1,   944,   198,   204,   912,   913,   917,   919,    -1,  1102,
      -1,  1102,    35,  1118,    -1,   936,    -1,   279,   914,   416,
     936,    -1,   467,   915,   468,   936,    -1,   467,   915,   468,
     279,   914,   416,   936,    -1,   111,   417,    -1,   410,    -1,
     376,    -1,   916,    -1,   915,   471,   916,    -1,  1118,  1096,
      -1,   266,    81,   918,   126,   409,   350,   928,  1000,    -1,
     266,    81,   918,   126,   252,    -1,    -1,   467,   773,   468,
    1000,    -1,   266,    83,  1104,    -1,    -1,   326,  1099,    -1,
      -1,   944,   116,   162,   992,   921,  1001,   919,    -1,   411,
     981,    -1,    -1,   229,   947,   991,   923,   925,    -1,   185,
     924,   239,    -1,    -1,    20,   353,    -1,   333,   353,    -1,
     333,   143,    -1,   353,   409,   143,    -1,   353,    -1,   353,
     333,   143,    -1,   143,    -1,    20,   143,    -1,   255,    -1,
      -1,   255,    -1,   357,   230,    -1,    -1,   944,   409,   992,
     350,   928,   980,  1001,   919,    -1,   929,    -1,   928,   471,
     929,    -1,   930,   456,  1035,    -1,   467,   931,   468,   456,
    1035,    -1,  1118,  1096,    -1,   930,    -1,   931,   471,   930,
      -1,   110,   933,   934,   102,   935,   157,   936,    -1,  1104,
      -1,    -1,   934,   249,   339,    -1,   934,   339,    -1,   934,
      49,    -1,   934,   197,    -1,    -1,   430,   176,    -1,   432,
     176,    -1,   938,    -1,   937,    -1,   467,   938,   468,    -1,
     467,   937,   468,    -1,   940,    -1,   939,   952,    -1,   939,
     951,   973,   956,    -1,   939,   951,   955,   974,    -1,   941,
     939,    -1,   941,   939,   952,    -1,   941,   939,   951,   973,
     956,    -1,   941,   939,   951,   955,   974,    -1,   940,    -1,
     937,    -1,   343,   950,  1098,   945,   980,  1000,   965,   972,
    1052,    -1,   343,   949,  1099,   945,   980,  1000,   965,   972,
    1052,    -1,   979,    -1,   377,   990,    -1,   939,   403,   948,
     939,    -1,   939,   202,   948,   939,    -1,   939,   140,   948,
     939,    -1,   430,   942,    -1,   453,   942,    -1,   430,   311,
     942,    -1,   943,    -1,   942,   471,   943,    -1,  1104,   898,
      35,   467,   907,   468,    -1,   941,    -1,    -1,   204,   946,
      -1,    -1,   383,   947,  1102,    -1,   381,   947,  1102,    -1,
     225,   383,   947,  1102,    -1,   225,   381,   947,  1102,    -1,
     167,   383,   947,  1102,    -1,   167,   381,   947,  1102,    -1,
     407,   947,  1102,    -1,   377,  1102,    -1,  1102,    -1,   377,
      -1,    -1,    26,    -1,   125,    -1,    -1,   125,    -1,   125,
     266,   467,  1071,   468,    -1,    26,    -1,    -1,   952,    -1,
      -1,   272,    53,   953,    -1,   954,    -1,   953,   471,   954,
      -1,  1035,   411,  1069,   778,    -1,  1035,   777,   778,    -1,
     957,   958,    -1,   958,   957,    -1,   957,    -1,   958,    -1,
     955,    -1,    -1,   222,   959,    -1,   222,   959,   471,   960,
      -1,   152,   964,   961,   963,   267,    -1,   263,   960,    -1,
     263,   962,   963,    -1,  1035,    -1,    26,    -1,  1035,    -1,
    1114,    -1,   467,  1035,   468,    -1,    -1,  1037,    -1,   333,
      -1,   334,    -1,   154,    -1,   248,    -1,   171,    53,   966,
      -1,    -1,   967,    -1,   966,   471,   967,    -1,  1035,    -1,
     968,    -1,   970,    -1,   969,    -1,   971,    -1,   467,   468,
      -1,   332,   467,  1071,   468,    -1,    93,   467,  1071,   468,
      -1,   172,   351,   467,   966,   468,    -1,   174,  1035,    -1,
      -1,   975,    -1,   157,   307,   267,    -1,   973,    -1,    -1,
     976,    -1,   975,   976,    -1,   977,   978,   926,    -1,   157,
     409,    -1,   157,   249,   210,   409,    -1,   157,   353,    -1,
     157,   210,   353,    -1,   261,  1101,    -1,    -1,   417,   467,
    1071,   468,    -1,   979,   471,   467,  1071,   468,    -1,   162,
     981,    -1,    -1,   982,    -1,   981,   471,   982,    -1,   990,
     985,    -1,   990,   985,   993,    -1,   995,   986,    -1,   215,
     995,   986,    -1,  1005,   985,    -1,   215,  1005,   985,    -1,
     937,   985,    -1,   215,   937,   985,    -1,   983,    -1,   467,
     983,   468,   984,    -1,   467,   983,   468,    -1,   982,    91,
     209,   982,    -1,   982,   987,   209,   982,   989,    -1,   982,
     209,   982,   989,    -1,   982,   245,   987,   209,   982,    -1,
     982,   245,   209,   982,    -1,    35,  1118,   467,  1103,   468,
      -1,    35,  1118,    -1,  1118,   467,  1103,   468,    -1,  1118,
      -1,   984,    -1,    -1,   984,    -1,    35,   467,  1003,   468,
      -1,    35,  1118,   467,  1003,   468,    -1,  1118,   467,  1003,
     468,    -1,    -1,   163,   988,    -1,   219,   988,    -1,   329,
     988,    -1,   194,    -1,   275,    -1,    -1,   411,   467,  1103,
     468,    -1,   266,  1035,    -1,  1102,    -1,  1102,   460,    -1,
     267,  1102,    -1,   267,   467,  1102,   468,    -1,   990,    -1,
     991,   471,   990,    -1,   990,    -1,   990,  1118,    -1,   990,
      35,  1118,    -1,   379,  1110,   467,  1071,   468,   994,    -1,
     320,   467,  1035,   468,    -1,    -1,  1040,   999,    -1,   334,
     162,   467,   997,   468,   999,    -1,  1040,   998,    -1,   996,
      -1,   997,   471,   996,    -1,    35,   467,  1003,   468,    -1,
      -1,   453,   273,    -1,    -1,   427,  1035,    -1,    -1,   427,
    1035,    -1,   427,    94,   261,   933,    -1,    -1,  1003,    -1,
      -1,  1004,    -1,  1003,   471,  1004,    -1,  1118,  1012,   524,
      -1,   447,   467,  1037,  1049,    74,  1006,   468,    -1,   447,
     467,   442,   467,  1010,   468,   471,  1037,  1049,    74,  1006,
     468,    -1,  1007,    -1,  1006,   471,  1007,    -1,  1118,  1012,
      -1,  1118,  1012,  1008,    -1,  1118,   157,   273,    -1,  1009,
      -1,  1008,  1009,    -1,     3,  1036,    -1,   111,  1036,    -1,
     251,   256,    -1,   256,    -1,  1011,    -1,  1010,   471,  1011,
      -1,  1036,    35,  1121,    -1,   111,  1036,    -1,  1014,  1013,
      -1,   352,  1014,  1013,    -1,  1014,    34,   465,  1112,   466,
      -1,   352,  1014,    34,   465,  1112,   466,    -1,  1014,    34,
      -1,   352,  1014,    34,    -1,  1013,   465,   466,    -1,  1013,
     465,  1112,   466,    -1,    -1,  1016,    -1,  1018,    -1,  1020,
      -1,  1024,    -1,  1030,    -1,  1031,  1033,    -1,  1031,   467,
    1112,   468,    -1,  1018,    -1,  1021,    -1,  1025,    -1,  1030,
      -1,  1119,  1017,    -1,  1119,   733,  1017,    -1,   467,  1071,
     468,    -1,    -1,   200,    -1,   201,    -1,   358,    -1,    48,
      -1,   308,    -1,   155,  1019,    -1,   129,   294,    -1,   109,
    1017,    -1,   108,  1017,    -1,   259,  1017,    -1,    51,    -1,
     467,  1112,   468,    -1,    -1,  1022,    -1,  1023,    -1,  1022,
      -1,  1023,    -1,    50,  1029,   467,  1071,   468,    -1,    50,
    1029,    -1,  1026,    -1,  1027,    -1,  1026,    -1,  1027,    -1,
    1028,   467,  1112,   468,    -1,  1028,    -1,    63,  1029,    -1,
      62,  1029,    -1,   418,    -1,   244,    63,  1029,    -1,   244,
      62,  1029,    -1,   246,  1029,    -1,   420,    -1,    -1,   387,
     467,  1112,   468,  1032,    -1,   387,  1032,    -1,   386,   467,
    1112,   468,  1032,    -1,   386,  1032,    -1,   203,    -1,   453,
     386,   450,    -1,   432,   386,   450,    -1,    -1,   448,    -1,
     240,    -1,   106,    -1,   177,    -1,   237,    -1,  1034,    -1,
     448,   388,   240,    -1,   106,   388,   177,    -1,   106,   388,
     237,    -1,   106,   388,  1034,    -1,   177,   388,   237,    -1,
     177,   388,  1034,    -1,   237,   388,  1034,    -1,    -1,   341,
      -1,   341,   467,  1112,   468,    -1,  1037,    -1,  1035,    11,
    1012,    -1,  1035,    71,   732,    -1,  1035,    40,   386,   450,
    1035,    -1,   458,  1035,    -1,   459,  1035,    -1,  1035,   458,
    1035,    -1,  1035,   459,  1035,    -1,  1035,   460,  1035,    -1,
    1035,   461,  1035,    -1,  1035,   462,  1035,    -1,  1035,   463,
    1035,    -1,  1035,   454,  1035,    -1,  1035,   455,  1035,    -1,
    1035,   456,  1035,    -1,  1035,    15,  1035,    -1,  1035,    16,
    1035,    -1,  1035,    17,  1035,    -1,  1035,  1068,  1035,    -1,
    1068,  1035,    -1,  1035,  1068,    -1,  1035,    32,  1035,    -1,
    1035,   271,  1035,    -1,   251,  1035,    -1,   451,  1035,    -1,
    1035,   221,  1035,    -1,  1035,   221,  1035,   138,  1035,    -1,
    1035,   451,   221,  1035,    -1,  1035,   451,   221,  1035,   138,
    1035,    -1,  1035,   180,  1035,    -1,  1035,   180,  1035,   138,
    1035,    -1,  1035,   451,   180,  1035,    -1,  1035,   451,   180,
    1035,   138,  1035,    -1,  1035,   355,   388,  1035,    -1,  1035,
     355,   388,  1035,   138,  1035,    -1,  1035,   451,   355,   388,
    1035,    -1,  1035,   451,   355,   388,  1035,   138,  1035,    -1,
    1035,   206,   256,    -1,  1035,   207,    -1,  1035,   206,   251,
     256,    -1,  1035,   254,    -1,  1062,   277,  1062,    -1,  1035,
     206,   395,    -1,  1035,   206,   251,   395,    -1,  1035,   206,
     150,    -1,  1035,   206,   251,   150,    -1,  1035,   206,   405,
      -1,  1035,   206,   251,   405,    -1,  1035,   206,   125,   162,
    1035,    -1,  1035,   206,   251,   125,   162,  1035,    -1,  1035,
     206,   261,   467,  1074,   468,    -1,  1035,   206,   251,   261,
     467,  1074,   468,    -1,  1035,    47,  1097,  1036,    32,  1035,
      -1,  1035,   451,    47,  1097,  1036,    32,  1035,    -1,  1035,
      47,   374,  1036,    32,  1035,    -1,  1035,   451,    47,   374,
    1036,    32,  1035,    -1,  1035,   185,  1086,    -1,  1035,   451,
     185,  1086,    -1,  1035,  1070,  1065,   937,    -1,  1035,  1070,
    1065,   467,  1035,   468,    -1,   404,   937,    -1,  1035,   206,
     127,    -1,  1035,   206,   251,   127,    -1,   111,    -1,  1037,
      -1,  1036,    11,  1012,    -1,   458,  1036,    -1,   459,  1036,
      -1,  1036,   458,  1036,    -1,  1036,   459,  1036,    -1,  1036,
     460,  1036,    -1,  1036,   461,  1036,    -1,  1036,   462,  1036,
      -1,  1036,   463,  1036,    -1,  1036,   454,  1036,    -1,  1036,
     455,  1036,    -1,  1036,   456,  1036,    -1,  1036,    15,  1036,
      -1,  1036,    16,  1036,    -1,  1036,    17,  1036,    -1,  1036,
    1068,  1036,    -1,  1068,  1036,    -1,  1036,  1068,    -1,  1036,
     206,   125,   162,  1036,    -1,  1036,   206,   251,   125,   162,
    1036,    -1,  1036,   206,   261,   467,  1074,   468,    -1,  1036,
     206,   251,   261,   467,  1074,   468,    -1,  1036,   206,   127,
      -1,  1036,   206,   251,   127,    -1,  1092,    -1,  1111,    -1,
      10,  1096,    -1,   467,  1035,   468,  1096,    -1,  1087,    -1,
    1039,    -1,   937,    -1,   937,  1095,    -1,   145,   937,    -1,
      34,   937,    -1,    34,  1075,    -1,  1063,    -1,  1064,    -1,
     172,   467,  1071,   468,    -1,  1110,   467,   468,    -1,  1110,
     467,  1072,   951,   468,    -1,  1110,   467,   419,  1073,   951,
     468,    -1,  1110,   467,  1072,   471,   419,  1073,   951,   468,
      -1,  1110,   467,    26,  1072,   951,   468,    -1,  1110,   467,
     125,  1072,   951,   468,    -1,  1110,   467,   460,   468,    -1,
    1038,  1050,  1051,  1055,    -1,  1041,    -1,  1038,    -1,  1041,
      -1,    72,   157,   467,  1035,   468,    -1,    96,    -1,    99,
      -1,    99,   467,  1112,   468,    -1,   100,    -1,   100,   467,
    1112,   468,    -1,   226,    -1,   226,   467,  1112,   468,    -1,
     227,    -1,   227,   467,  1112,   468,    -1,    97,    -1,   101,
      -1,   349,    -1,   410,    -1,    95,    -1,    98,    -1,    59,
     467,  1035,    35,  1012,   468,    -1,   149,   467,  1077,   468,
      -1,   278,   467,  1079,   468,    -1,   292,   467,  1081,   468,
      -1,   373,   467,  1082,   468,    -1,   392,   467,  1035,    35,
    1012,   468,    -1,   394,   467,    52,  1085,   468,    -1,   394,
     467,   216,  1085,   468,    -1,   394,   467,   389,  1085,   468,
      -1,   394,   467,  1085,   468,    -1,   257,   467,  1035,   471,
    1035,   468,    -1,    70,   467,  1071,   468,    -1,   170,   467,
    1071,   468,    -1,   218,   467,  1071,   468,    -1,   438,   467,
    1071,   468,    -1,   439,   467,   242,  1121,   468,    -1,   439,
     467,   242,  1121,   471,  1044,   468,    -1,   439,   467,   242,
    1121,   471,  1071,   468,    -1,   439,   467,   242,  1121,   471,
    1044,   471,  1071,   468,    -1,   440,   467,  1037,  1049,   468,
      -1,   441,   467,  1045,   468,    -1,   443,   467,  1047,  1035,
    1048,   468,    -1,   444,   467,   242,  1121,   468,    -1,   444,
     467,   242,  1121,   471,  1035,   468,    -1,   445,   467,  1035,
     471,  1042,  1043,   468,    -1,   446,   467,  1047,  1035,    35,
    1014,   468,    -1,   422,  1035,    -1,   422,   249,   416,    -1,
     471,   363,   449,    -1,   471,   363,   249,    -1,   471,   363,
     249,   416,    -1,    -1,   437,   467,  1045,   468,    -1,  1046,
      -1,  1045,   471,  1046,    -1,  1035,    35,  1121,    -1,  1035,
      -1,   127,    -1,    85,    -1,   295,   428,    -1,   371,   428,
      -1,    -1,   286,  1037,    -1,   286,  1037,    53,   312,    -1,
     286,    53,   312,  1037,    -1,   286,    53,   312,  1037,    53,
     312,    -1,   431,   171,   467,   952,   468,    -1,    -1,   153,
     467,   427,  1035,   468,    -1,    -1,   429,  1053,    -1,    -1,
    1054,    -1,  1053,   471,  1054,    -1,  1118,    35,  1056,    -1,
     276,  1056,    -1,   276,  1118,    -1,    -1,   467,  1057,  1058,
     951,  1059,   468,    -1,  1118,    -1,    -1,   285,    53,  1071,
      -1,    -1,   306,  1060,    -1,   334,  1060,    -1,    -1,  1061,
      -1,    47,  1061,    32,  1061,    -1,   400,   293,    -1,   400,
     156,    -1,    94,   333,    -1,  1035,   293,    -1,  1035,   156,
      -1,   333,   467,  1071,   468,    -1,   333,   467,   468,    -1,
     467,  1071,   471,  1035,   468,    -1,   333,   467,  1071,   468,
      -1,   333,   467,   468,    -1,   467,  1071,   471,  1035,   468,
      -1,    33,    -1,   360,    -1,    26,    -1,     8,    -1,  1067,
      -1,   458,    -1,   459,    -1,   460,    -1,   461,    -1,   462,
      -1,   463,    -1,   454,    -1,   455,    -1,   456,    -1,    15,
      -1,    16,    -1,    17,    -1,     8,    -1,   268,   467,   813,
     468,    -1,  1066,    -1,   268,   467,   813,   468,    -1,  1066,
      -1,   268,   467,   813,   468,    -1,   221,    -1,   451,   221,
      -1,   180,    -1,   451,   180,    -1,  1035,    -1,  1071,   471,
    1035,    -1,  1073,    -1,  1072,   471,  1073,    -1,  1035,    -1,
     789,    13,  1035,    -1,   789,    14,  1035,    -1,  1012,    -1,
    1074,   471,  1012,    -1,   465,  1071,   466,    -1,   465,  1076,
     466,    -1,   465,   466,    -1,  1075,    -1,  1076,   471,  1075,
      -1,  1078,   162,  1035,    -1,    -1,     3,    -1,   448,    -1,
     240,    -1,   106,    -1,   177,    -1,   237,    -1,   341,    -1,
    1113,    -1,  1035,  1080,  1083,  1084,    -1,  1035,  1080,  1083,
      -1,   289,  1035,    -1,  1036,   185,  1036,    -1,    -1,  1035,
    1083,  1084,    -1,  1035,  1084,  1083,    -1,  1035,  1083,    -1,
    1035,  1084,    -1,  1071,    -1,    -1,   162,  1035,    -1,   157,
    1035,    -1,  1035,   162,  1071,    -1,   162,  1071,    -1,  1071,
      -1,   937,    -1,   467,  1071,   468,    -1,    58,  1091,  1088,
    1090,   136,    -1,  1089,    -1,  1088,  1089,    -1,   426,  1035,
     385,  1035,    -1,   132,  1035,    -1,    -1,  1035,    -1,    -1,
    1118,    -1,  1118,  1095,    -1,   469,  1107,    -1,   469,   460,
      -1,   465,  1035,   466,    -1,   465,  1094,   472,  1094,   466,
      -1,  1035,    -1,    -1,  1093,    -1,  1095,  1093,    -1,    -1,
    1096,  1093,    -1,    39,    -1,    -1,  1099,    -1,    -1,  1100,
      -1,  1099,   471,  1100,    -1,  1035,    35,  1121,    -1,  1035,
       3,    -1,  1035,    -1,   460,    -1,  1102,    -1,  1101,   471,
    1102,    -1,  1118,    -1,  1118,  1095,    -1,  1104,    -1,  1103,
     471,  1104,    -1,  1118,    -1,  1118,    -1,  1118,    -1,  1121,
      -1,  1118,    -1,  1113,    -1,  1119,    -1,  1118,  1095,    -1,
    1112,    -1,     4,    -1,  1113,    -1,     6,    -1,     7,    -1,
    1110,  1113,    -1,  1110,   467,  1072,   951,   468,  1113,    -1,
    1015,  1113,    -1,  1031,  1113,  1033,    -1,  1031,   467,  1112,
     468,  1113,    -1,   395,    -1,   150,    -1,   256,    -1,     9,
      -1,     5,    -1,  1112,    -1,   458,  1112,    -1,   459,  1112,
      -1,  1116,    -1,  1120,    -1,   101,    -1,   349,    -1,  1116,
      -1,  1117,   471,  1116,    -1,     3,    -1,  1122,    -1,  1123,
      -1,     3,    -1,  1122,    -1,  1124,    -1,     3,    -1,  1122,
      -1,  1123,    -1,  1124,    -1,     3,    -1,  1122,    -1,  1123,
      -1,  1124,    -1,  1125,    -1,    18,    -1,    19,    -1,    20,
      -1,    21,    -1,    22,    -1,    23,    -1,    24,    -1,    25,
      -1,    27,    -1,    28,    -1,    29,    -1,    37,    -1,    38,
      -1,    40,    -1,    41,    -1,    42,    -1,    44,    -1,    45,
      -1,    46,    -1,    53,    -1,    54,    -1,    55,    -1,    56,
      -1,    57,    -1,    60,    -1,    61,    -1,    64,    -1,    66,
      -1,    67,    -1,    68,    -1,    69,    -1,    74,    -1,    75,
      -1,    76,    -1,    77,    -1,    78,    -1,    80,    -1,    81,
      -1,    82,    -1,    84,    -1,    85,    -1,    86,    -1,    87,
      -1,    88,    -1,    89,    -1,    92,    -1,    93,    -1,    94,
      -1,   102,    -1,   103,    -1,   104,    -1,   105,    -1,   106,
      -1,   107,    -1,   110,    -1,   112,    -1,   114,    -1,   115,
      -1,   116,    -1,   117,    -1,   118,    -1,   119,    -1,   121,
      -1,   122,    -1,   123,    -1,   124,    -1,   127,    -1,   128,
      -1,   129,    -1,   130,    -1,   131,    -1,   133,    -1,   134,
      -1,   135,    -1,   137,    -1,   138,    -1,   139,    -1,   141,
      -1,   142,    -1,   143,    -1,   144,    -1,   146,    -1,   147,
      -1,   148,    -1,   151,    -1,   153,    -1,   154,    -1,   156,
      -1,   158,    -1,   160,    -1,   164,    -1,   165,    -1,   166,
      -1,   167,    -1,   169,    -1,   173,    -1,   175,    -1,   176,
      -1,   177,    -1,   178,    -1,   179,    -1,   181,    -1,   182,
      -1,   183,    -1,   184,    -1,   186,    -1,   187,    -1,   188,
      -1,   189,    -1,   190,    -1,   191,    -1,   193,    -1,   196,
      -1,   197,    -1,   198,    -1,   199,    -1,   205,    -1,   208,
      -1,   210,    -1,   211,    -1,   212,    -1,   213,    -1,   214,
      -1,   217,    -1,   220,    -1,   223,    -1,   224,    -1,   225,
      -1,   228,    -1,   229,    -1,   230,    -1,   231,    -1,   232,
      -1,   233,    -1,   234,    -1,   235,    -1,   236,    -1,   237,
      -1,   238,    -1,   239,    -1,   240,    -1,   241,    -1,   242,
      -1,   243,    -1,   247,    -1,   248,    -1,   249,    -1,   252,
      -1,   253,    -1,   255,    -1,   258,    -1,   260,    -1,   261,
      -1,   262,    -1,   264,    -1,   265,    -1,   268,    -1,   269,
      -1,   270,    -1,   273,    -1,   276,    -1,   279,    -1,   280,
      -1,   281,    -1,   282,    -1,   283,    -1,   284,    -1,   285,
      -1,   286,    -1,   287,    -1,   290,    -1,   291,    -1,   293,
      -1,   296,    -1,   297,    -1,   295,    -1,   299,    -1,   300,
      -1,   301,    -1,   302,    -1,   303,    -1,   304,    -1,   305,
      -1,   306,    -1,   307,    -1,   309,    -1,   310,    -1,   311,
      -1,   312,    -1,   314,    -1,   315,    -1,   316,    -1,   317,
      -1,   318,    -1,   319,    -1,   320,    -1,   321,    -1,   322,
      -1,   323,    -1,   324,    -1,   325,    -1,   327,    -1,   328,
      -1,   330,    -1,   331,    -1,   332,    -1,   334,    -1,   335,
      -1,   336,    -1,   337,    -1,   338,    -1,   339,    -1,   340,
      -1,   341,    -1,   342,    -1,   344,    -1,   345,    -1,   346,
      -1,   347,    -1,   348,    -1,   350,    -1,   351,    -1,   353,
      -1,   354,    -1,   356,    -1,   357,    -1,   359,    -1,   361,
      -1,   362,    -1,   363,    -1,   364,    -1,   365,    -1,   366,
      -1,   367,    -1,   368,    -1,   369,    -1,   370,    -1,   371,
      -1,   372,    -1,   375,    -1,   376,    -1,   378,    -1,   380,
      -1,   381,    -1,   382,    -1,   383,    -1,   384,    -1,   390,
      -1,   391,    -1,   393,    -1,   396,    -1,   397,    -1,   398,
      -1,   399,    -1,   400,    -1,   401,    -1,   402,    -1,   405,
      -1,   406,    -1,   407,    -1,   408,    -1,   409,    -1,   412,
      -1,   413,    -1,   414,    -1,   415,    -1,   416,    -1,   420,
      -1,   422,    -1,   423,    -1,   424,    -1,   425,    -1,   428,
      -1,   431,    -1,   432,    -1,   433,    -1,   434,    -1,   435,
      -1,   436,    -1,   448,    -1,   449,    -1,   450,    -1,    47,
      -1,    48,    -1,    50,    -1,    51,    -1,    62,    -1,    63,
      -1,    70,    -1,   108,    -1,   109,    -1,   145,    -1,   149,
      -1,   155,    -1,   170,    -1,   172,    -1,   195,    -1,   200,
      -1,   201,    -1,   203,    -1,   218,    -1,   244,    -1,   246,
      -1,   250,    -1,   257,    -1,   259,    -1,   274,    -1,   278,
      -1,   292,    -1,   294,    -1,   308,    -1,   333,    -1,   352,
      -1,   358,    -1,   373,    -1,   386,    -1,   387,    -1,   392,
      -1,   394,    -1,   417,    -1,   418,    -1,   437,    -1,   438,
      -1,   439,    -1,   440,    -1,   441,    -1,   442,    -1,   443,
      -1,   444,    -1,   445,    -1,   446,    -1,   447,    -1,    43,
      -1,    49,    -1,    72,    -1,    79,    -1,    91,    -1,    98,
      -1,   161,    -1,   163,    -1,   180,    -1,   194,    -1,   206,
      -1,   207,    -1,   209,    -1,   219,    -1,   221,    -1,   245,
      -1,   254,    -1,   275,    -1,   277,    -1,   329,    -1,   355,
      -1,   379,    -1,   421,    -1,    26,    -1,    30,    -1,    31,
      -1,    32,    -1,    33,    -1,    34,    -1,    35,    -1,    36,
      -1,    39,    -1,    52,    -1,    58,    -1,    59,    -1,    65,
      -1,    71,    -1,    73,    -1,    83,    -1,    90,    -1,    95,
      -1,    96,    -1,    97,    -1,    99,    -1,   100,    -1,   101,
      -1,   111,    -1,   113,    -1,   120,    -1,   125,    -1,   126,
      -1,   132,    -1,   136,    -1,   140,    -1,   150,    -1,   152,
      -1,   157,    -1,   159,    -1,   162,    -1,   168,    -1,   171,
      -1,   174,    -1,   185,    -1,   192,    -1,   202,    -1,   204,
      -1,   215,    -1,   216,    -1,   222,    -1,   226,    -1,   227,
      -1,   251,    -1,   256,    -1,   263,    -1,   266,    -1,   267,
      -1,   271,    -1,   272,    -1,   289,    -1,   298,    -1,   313,
      -1,   326,    -1,   343,    -1,   349,    -1,   360,    -1,   374,
      -1,   377,    -1,   385,    -1,   388,    -1,   389,    -1,   395,
      -1,   403,    -1,   404,    -1,   410,    -1,   411,    -1,   419,
      -1,   426,    -1,   427,    -1,   429,    -1,   430,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   812,   812,   828,   840,   850,   851,   852,   853,   854,
     855,   856,   857,   858,   859,   860,   861,   862,   863,   864,
     865,   866,   867,   868,   869,   870,   871,   872,   873,   874,
     875,   876,   877,   878,   879,   880,   881,   882,   883,   884,
     885,   886,   887,   888,   889,   890,   891,   892,   893,   894,
     895,   896,   897,   898,   899,   900,   901,   902,   903,   904,
     905,   906,   907,   908,   909,   910,   911,   912,   913,   914,
     915,   916,   917,   918,   919,   920,   921,   922,   923,   924,
     925,   926,   927,   928,   929,   930,   931,   932,   933,   934,
     935,   936,   937,   938,   939,   940,   941,   942,   943,   944,
     945,   946,   947,   948,   949,   950,   951,   952,   953,   954,
     955,   956,   957,   958,   959,   960,   961,   962,   963,   964,
     965,   966,   967,   968,   969,   970,   971,   972,   974,   984,
     995,   996,   997,  1006,  1007,  1011,  1012,  1016,  1021,  1025,
    1035,  1043,  1047,  1051,  1056,  1060,  1108,  1110,  1114,  1118,
    1122,  1126,  1140,  1158,  1166,  1177,  1178,  1182,  1190,  1198,
    1206,  1227,  1234,  1241,  1248,  1255,  1262,  1279,  1297,  1308,
    1309,  1320,  1330,  1340,  1355,  1373,  1374,  1378,  1385,  1393,
    1394,  1395,  1396,  1397,  1398,  1412,  1419,  1425,  1431,  1440,
    1448,  1456,  1460,  1468,  1476,  1483,  1492,  1493,  1501,  1512,
    1520,  1528,  1539,  1547,  1555,  1562,  1571,  1581,  1582,  1586,
    1587,  1590,  1592,  1596,  1597,  1598,  1599,  1603,  1604,  1605,
    1611,  1623,  1627,  1631,  1646,  1653,  1654,  1655,  1659,  1660,
    1661,  1665,  1666,  1670,  1671,  1680,  1681,  1688,  1695,  1705,
    1712,  1722,  1723,  1728,  1729,  1735,  1741,  1747,  1753,  1759,
    1765,  1771,  1781,  1791,  1792,  1796,  1797,  1805,  1820,  1826,
    1832,  1838,  1844,  1863,  1872,  1881,  1890,  1899,  1910,  1921,
    1930,  1939,  1950,  1961,  1970,  1979,  1988,  1997,  2006,  2015,
    2026,  2040,  2041,  2046,  2059,  2075,  2084,  2093,  2102,  2111,
    2120,  2128,  2136,  2145,  2154,  2163,  2172,  2189,  2198,  2207,
    2216,  2226,  2239,  2254,  2263,  2272,  2287,  2295,  2305,  2315,
    2322,  2329,  2337,  2345,  2352,  2359,  2367,  2375,  2383,  2390,
    2397,  2405,  2412,  2419,  2427,  2435,  2443,  2451,  2459,  2467,
    2477,  2484,  2492,  2500,  2508,  2516,  2524,  2531,  2538,  2545,
    2551,  2561,  2562,  2566,  2567,  2568,  2572,  2580,  2584,  2585,
    2589,  2596,  2603,  2610,  2620,  2623,  2624,  2628,  2629,  2634,
    2638,  2642,  2647,  2654,  2656,  2661,  2665,  2669,  2680,  2688,
    2700,  2714,  2715,  2716,  2720,  2721,  2726,  2727,  2732,  2742,
    2752,  2772,  2785,  2786,  2791,  2800,  2810,  2820,  2846,  2852,
    2885,  2914,  2936,  2937,  2941,  2942,  2951,  2952,  2953,  2956,
    2957,  2962,  2963,  2967,  2971,  2975,  2979,  2983,  2987,  2991,
    2995,  2999,  3003,  3007,  3011,  3015,  3019,  3028,  3032,  3036,
    3040,  3044,  3048,  3052,  3053,  3058,  3062,  3069,  3076,  3077,
    3078,  3079,  3080,  3084,  3088,  3096,  3107,  3124,  3142,  3161,
    3180,  3199,  3231,  3232,  3233,  3234,  3235,  3242,  3249,  3250,
    3254,  3255,  3259,  3260,  3264,  3268,  3275,  3279,  3286,  3287,
    3288,  3292,  3293,  3296,  3318,  3337,  3359,  3360,  3364,  3371,
    3372,  3373,  3404,  3411,  3418,  3429,  3440,  3452,  3463,  3472,
    3490,  3491,  3510,  3517,  3524,  3531,  3542,  3552,  3553,  3554,
    3558,  3559,  3560,  3561,  3562,  3563,  3564,  3573,  3580,  3584,
    3597,  3612,  3626,  3641,  3655,  3673,  3694,  3695,  3699,  3700,
    3704,  3705,  3708,  3714,  3718,  3726,  3731,  3737,  3738,  3742,
    3747,  3754,  3755,  3765,  3767,  3769,  3771,  3774,  3777,  3780,
    3784,  3785,  3786,  3787,  3788,  3791,  3792,  3796,  3797,  3800,
    3812,  3813,  3816,  3817,  3820,  3831,  3842,  3856,  3857,  3858,
    3859,  3862,  3863,  3864,  3865,  3868,  3869,  3872,  3873,  3876,
    3894,  3905,  3929,  3942,  3958,  3972,  3973,  3974,  3986,  3999,
    4015,  4028,  4029,  4041,  4061,  4071,  4084,  4092,  4103,  4104,
    4107,  4108,  4111,  4112,  4115,  4119,  4123,  4127,  4131,  4135,
    4139,  4143,  4147,  4151,  4155,  4160,  4164,  4168,  4174,  4175,
    4179,  4180,  4181,  4186,  4189,  4190,  4202,  4214,  4229,  4230,
    4238,  4239,  4243,  4244,  4248,  4249,  4253,  4254,  4258,  4268,
    4281,  4282,  4292,  4303,  4304,  4317,  4324,  4341,  4349,  4360,
    4363,  4367,  4371,  4375,  4379,  4391,  4401,  4404,  4408,  4421,
    4430,  4439,  4448,  4457,  4466,  4475,  4484,  4493,  4502,  4511,
    4520,  4529,  4538,  4547,  4556,  4565,  4574,  4583,  4592,  4601,
    4610,  4619,  4628,  4637,  4646,  4664,  4675,  4676,  4677,  4678,
    4682,  4683,  4687,  4688,  4698,  4706,  4718,  4719,  4723,  4727,
    4735,  4739,  4743,  4750,  4754,  4759,  4764,  4771,  4778,  4783,
    4793,  4805,  4820,  4821,  4826,  4827,  4831,  4832,  4842,  4851,
    4859,  4876,  4896,  4916,  4937,  4968,  4977,  4998,  5013,  5014,
    5018,  5026,  5041,  5050,  5062,  5063,  5075,  5083,  5100,  5124,
    5141,  5155,  5156,  5160,  5161,  5165,  5166,  5170,  5171,  5175,
    5189,  5193,  5194,  5198,  5199,  5200,  5201,  5202,  5212,  5230,
    5251,  5277,  5278,  5279,  5283,  5285,  5307,  5309,  5311,  5313,
    5315,  5320,  5321,  5325,  5326,  5330,  5341,  5342,  5346,  5355,
    5359,  5363,  5368,  5378,  5379,  5383,  5384,  5388,  5389,  5393,
    5394,  5395,  5399,  5403,  5404,  5405,  5409,  5410,  5415,  5416,
    5443,  5444,  5445,  5446,  5447,  5448,  5461,  5471,  5485,  5487,
    5492,  5497,  5499,  5504,  5514,  5515,  5516,  5517,  5529,  5549,
    5571,  5581,  5592,  5602,  5612,  5623,  5632,  5639,  5646,  5655,
    5664,  5673,  5682,  5691,  5701,  5710,  5722,  5725,  5726,  5729,
    5733,  5740,  5741,  5742,  5743,  5744,  5745,  5748,  5751,  5752,
    5760,  5767,  5768,  5771,  5773,  5784,  5795,  5806,  5817,  5830,
    5831,  5847,  5862,  5863,  5867,  5879,  5889,  5897,  5906,  5915,
    5916,  5919,  5920,  5923,  5924,  5925,  5928,  5942,  5947,  5957,
    5966,  5978,  5979,  5983,  5991,  6003,  6013,  6026,  6036,  6058,
    6068,  6086,  6096,  6106,  6116,  6126,  6136,  6146,  6156,  6166,
    6176,  6186,  6196,  6210,  6211,  6212,  6213,  6214,  6215,  6216,
    6217,  6218,  6219,  6220,  6221,  6222,  6227,  6228,  6229,  6230,
    6231,  6232,  6233,  6238,  6239,  6240,  6244,  6245,  6248,  6249,
    6252,  6254,  6259,  6260,  6270,  6281,  6282,  6283,  6317,  6325,
    6333,  6341,  6349,  6357,  6365,  6373,  6381,  6394,  6402,  6410,
    6418,  6426,  6434,  6442,  6450,  6462,  6463,  6464,  6465,  6466,
    6467,  6468,  6469,  6470,  6471,  6472,  6473,  6474,  6475,  6480,
    6481,  6482,  6483,  6484,  6485,  6486,  6487,  6488,  6489,  6490,
    6491,  6495,  6496,  6510,  6520,  6530,  6540,  6550,  6560,  6570,
    6582,  6583,  6588,  6589,  6590,  6591,  6592,  6593,  6598,  6599,
    6600,  6601,  6602,  6603,  6604,  6605,  6608,  6609,  6619,  6625,
    6633,  6641,  6649,  6657,  6665,  6673,  6681,  6689,  6697,  6705,
    6713,  6721,  6729,  6737,  6745,  6753,  6763,  6764,  6767,  6768,
    6778,  6794,  6808,  6834,  6836,  6838,  6840,  6847,  6856,  6857,
    6860,  6867,  6874,  6881,  6895,  6903,  6911,  6919,  6927,  6935,
    6943,  6951,  6959,  6967,  6975,  6983,  6991,  6999,  7007,  7015,
    7027,  7028,  7032,  7033,  7038,  7039,  7049,  7062,  7072,  7084,
    7085,  7088,  7089,  7099,  7109,  7110,  7114,  7118,  7122,  7133,
    7146,  7160,  7177,  7178,  7179,  7180,  7181,  7193,  7219,  7248,
    7249,  7253,  7254,  7258,  7259,  7263,  7264,  7267,  7268,  7276,
    7287,  7298,  7311,  7312,  7315,  7316,  7319,  7320,  7321,  7324,
    7325,  7326,  7342,  7354,  7367,  7382,  7383,  7386,  7387,  7391,
    7392,  7396,  7397,  7402,  7414,  7421,  7428,  7443,  7444,  7448,
    7449,  7464,  7473,  7482,  7491,  7500,  7512,  7513,  7514,  7515,
    7516,  7522,  7526,  7541,  7542,  7548,  7558,  7562,  7567,  7575,
    7616,  7620,  7624,  7628,  7636,  7637,  7641,  7651,  7652,  7658,
    7659,  7666,  7670,  7674,  7678,  7682,  7686,  7690,  7694,  7698,
    7702,  7706,  7710,  7714,  7718,  7722,  7727,  7734,  7738,  7742,
    7746,  7750,  7756,  7757,  7764,  7765,  7769,  7770,  7773,  7785,
    7789,  7804,  7815,  7816,  7821,  7822,  7837,  7847,  7860,  7870,
    7883,  7893,  7906,  7914,  7916,  7918,  7923,  7925,  7930,  7931,
    7936,  7954,  7963,  7964,  7968,  7972,  7984,  7995,  8006,  8019,
    8020,  8021,  8025,  8037,  8038,  8048,  8060,  8064,  8068,  8072,
    8079,  8099,  8108,  8117,  8126,  8137,  8138,  8141,  8142,  8143,
    8146,  8147,  8150,  8160,  8169,  8186,  8195,  8204,  8213,  8222,
    8231,  8240,  8249,  8258,  8267,  8276,  8285,  8294,  8304,  8314,
    8323,  8332,  8341,  8350,  8360,  8370,  8380,  8390,  8400,  8410,
    8420,  8430,  8440,  8450,  8460,  8470,  8481,  8492,  8503,  8514,
    8524,  8534,  8545,  8556,  8566,  8576,  8584,  8593,  8602,  8611,
    8620,  8629,  8638,  8647,  8656,  8665,  8679,  8680,  8683,  8684,
    8694,  8702,  8711,  8719,  8736,  8745,  8754,  8763,  8772,  8781,
    8790,  8799,  8808,  8817,  8826,  8835,  8844,  8853,  8862,  8871,
    8880,  8889,  8898,  8907,  8916,  8925,  8934,  8943,  8952,  8970,
    8979,  8980,  8983,  8985,  8991,  8992,  8993,  8994,  8995,  9004,
    9012,  9020,  9028,  9036,  9044,  9052,  9060,  9068,  9076,  9084,
    9092,  9100,  9108,  9116,  9124,  9132,  9140,  9148,  9156,  9164,
    9172,  9190,  9209,  9210,  9214,  9218,  9238,  9245,  9253,  9261,
    9278,  9291,  9295,  9302,  9311,  9320,  9329,  9338,  9348,  9358,
    9376,  9384,  9400,  9417,  9418,  9419,  9424,  9430,  9439,  9440,
    9441,  9442,  9443,  9447,  9448,  9451,  9452,  9453,  9454,  9458,
    9459,  9460,  9472,  9482,  9483,  9486,  9495,  9501,  9520,  9527,
    9534,  9541,  9548,  9555,  9562,  9570,  9578,  9586,  9594,  9602,
    9609,  9616,  9625,  9626,  9627,  9631,  9634,  9637,  9640,  9643,
    9650,  9652,  9654,  9659,  9661,  9673,  9686,  9699,  9717,  9738,
    9739,  9740,  9741,  9751,  9767,  9777,  9778,  9782,  9783,  9787,
    9791,  9795,  9813,  9814,  9815,  9816,  9817,  9818,  9819,  9826,
    9827,  9838,  9845,  9852,  9863,  9880,  9887,  9903,  9920,  9926,
    9942,  9955,  9964,  9972,  9980,  9989, 10000, 10011, 10021, 10022,
   10033, 10043, 10054, 10065, 10076, 10087, 10096, 10108, 10109, 10123,
   10146, 10154, 10163, 10174, 10175, 10187, 10201, 10215, 10227, 10235,
   10248, 10249, 10253, 10254, 10255, 10256, 10257, 10270, 10280, 10293,
   10294, 10298, 10299, 10302, 10303, 10306, 10307, 10311, 10312, 10325,
   10332, 10342, 10349, 10359, 10360, 10361, 10362, 10363, 10364, 10365,
   10366, 10367, 10371, 10375, 10382, 10389, 10390, 10394, 10395, 10396,
   10406, 10416, 10417, 10421, 10422, 10423, 10424, 10434, 10441, 10459,
   10460, 10470, 10476, 10482, 10488, 10504, 10522, 10526, 10534, 10540,
   10547, 10553, 10560, 10569, 10570, 10574, 10576, 10581, 10592, 10602,
   10612, 10618, 10627, 10636, 10642, 10643, 10654, 10668, 10669, 10680,
   10691, 10692, 10695, 10696, 10697, 10698, 10699, 10700, 10701, 10702,
   10705, 10706, 10710, 10711, 10712, 10723, 10741, 10742, 10746, 10751,
   10775, 10786, 10787, 10797, 10808, 10811, 10812, 10813, 10814, 10815,
   10818, 10819, 10820, 10868, 10869, 10873, 10874, 10889, 10890, 10897,
   10905, 10913, 10921, 10929, 10937, 10948, 10949, 10976, 10990, 11005,
   11006, 11025, 11029, 11033, 11050, 11057, 11064, 11074, 11075, 11078,
   11090, 11091, 11095, 11107, 11115, 11120, 11125, 11130, 11135, 11143,
   11151, 11156, 11161, 11168, 11169, 11173, 11174, 11175, 11182, 11183,
   11187, 11188, 11192, 11193, 11197, 11201, 11202, 11205, 11214, 11227,
   11228, 11229, 11230, 11234, 11235, 11239, 11241, 11251, 11256, 11259,
   11264, 11265, 11273, 11283, 11284, 11285, 11293, 11297, 11298, 11301,
   11302, 11327, 11328, 11332, 11333, 11337, 11338, 11339, 11340, 11341,
   11345, 11358, 11365, 11372, 11379, 11380, 11384, 11385, 11389, 11390,
   11394, 11395, 11399, 11410, 11411, 11412, 11413, 11417, 11418, 11428,
   11434, 11452, 11453, 11457, 11458, 11464, 11469, 11477, 11484, 11492,
   11498, 11505, 11540, 11565, 11569, 11595, 11599, 11611, 11624, 11638,
   11649, 11664, 11670, 11675, 11681, 11688, 11689, 11697, 11701, 11705,
   11711, 11718, 11723, 11724, 11725, 11726, 11730, 11731, 11743, 11744,
   11749, 11756, 11763, 11770, 11781, 11782, 11795, 11799, 11806, 11819,
   11832, 11833, 11848, 11858, 11870, 11875, 11876, 11879, 11880, 11883,
   11884, 11889, 11890, 11895, 11896, 11904, 11909, 11910, 11914, 11918,
   11924, 11949, 11959, 11972, 11973, 11977, 11991, 12048, 12062, 12064,
   12069, 12071, 12073, 12075, 12080, 12082, 12087, 12095, 12115, 12120,
   12127, 12132, 12138, 12143, 12152, 12154, 12157, 12161, 12162, 12163,
   12164, 12165, 12166, 12171, 12191, 12192, 12193, 12194, 12205, 12211,
   12219, 12220, 12226, 12231, 12236, 12241, 12246, 12251, 12256, 12261,
   12267, 12273, 12279, 12286, 12308, 12317, 12321, 12329, 12333, 12341,
   12353, 12374, 12378, 12384, 12388, 12401, 12409, 12419, 12421, 12423,
   12425, 12427, 12429, 12434, 12435, 12442, 12451, 12459, 12468, 12479,
   12487, 12488, 12489, 12493, 12495, 12497, 12499, 12501, 12503, 12505,
   12510, 12515, 12521, 12529, 12534, 12541, 12548, 12552, 12556, 12592,
   12593, 12595, 12603, 12618, 12620, 12622, 12624, 12626, 12628, 12630,
   12632, 12634, 12636, 12638, 12640, 12642, 12644, 12647, 12649, 12651,
   12654, 12656, 12658, 12660, 12663, 12668, 12676, 12681, 12689, 12694,
   12702, 12707, 12716, 12724, 12732, 12740, 12758, 12766, 12774, 12782,
   12790, 12806, 12814, 12822, 12830, 12838, 12846, 12854, 12858, 12862,
   12866, 12870, 12878, 12886, 12894, 12902, 12922, 12944, 12955, 12962,
   12978, 12983, 12989, 13014, 13016, 13018, 13020, 13022, 13024, 13026,
   13028, 13030, 13032, 13034, 13036, 13038, 13040, 13042, 13044, 13046,
   13048, 13050, 13052, 13056, 13060, 13064, 13068, 13073, 13089, 13090,
   13091, 13106, 13140, 13142, 13144, 13155, 13179, 13190, 13201, 13208,
   13218, 13228, 13237, 13241, 13247, 13254, 13261, 13271, 13278, 13306,
   13341, 13352, 13353, 13360, 13366, 13370, 13374, 13378, 13382, 13386,
   13390, 13394, 13398, 13402, 13406, 13410, 13414, 13418, 13422, 13426,
   13428, 13432, 13441, 13446, 13453, 13468, 13475, 13479, 13483, 13487,
   13491, 13498, 13506, 13514, 13518, 13522, 13526, 13530, 13534, 13540,
   13544, 13553, 13557, 13561, 13566, 13580, 13582, 13586, 13588, 13590,
   13593, 13596, 13599, 13600, 13603, 13611, 13621, 13622, 13625, 13626,
   13627, 13632, 13636, 13640, 13644, 13655, 13656, 13660, 13661, 13669,
   13670, 13674, 13675, 13680, 13688, 13690, 13704, 13707, 13734, 13735,
   13738, 13739, 13750, 13768, 13775, 13784, 13801, 13846, 13854, 13862,
   13870, 13878, 13899, 13900, 13901, 13904, 13905, 13908, 13911, 13912,
   13913, 13916, 13917, 13920, 13921, 13922, 13923, 13924, 13925, 13926,
   13927, 13928, 13929, 13930, 13931, 13934, 13936, 13941, 13943, 13948,
   13950, 13952, 13954, 13956, 13958, 13970, 13974, 13981, 13985, 13991,
   13995, 14004, 14015, 14016, 14019, 14023, 14027, 14033, 14034, 14039,
   14043, 14050, 14051, 14052, 14053, 14054, 14055, 14056, 14057, 14067,
   14071, 14078, 14085, 14086, 14102, 14106, 14111, 14115, 14130, 14135,
   14139, 14142, 14145, 14146, 14147, 14150, 14157, 14167, 14181, 14182,
   14186, 14197, 14198, 14201, 14202, 14205, 14209, 14216, 14220, 14224,
   14232, 14243, 14244, 14248, 14249, 14253, 14254, 14257, 14258, 14268,
   14269, 14273, 14274, 14277, 14293, 14301, 14309, 14331, 14332, 14343,
   14347, 14374, 14376, 14381, 14384, 14387, 14389, 14391, 14393, 14403,
   14405, 14416, 14420, 14424, 14428, 14432, 14441, 14448, 14480, 14484,
   14490, 14497, 14501, 14505, 14511, 14512, 14514, 14515, 14516, 14520,
   14550, 14577, 14581, 14587, 14589, 14606, 14607, 14608, 14613, 14614,
   14615, 14620, 14621, 14622, 14623, 14629, 14630, 14631, 14632, 14633,
   14653, 14654, 14655, 14656, 14657, 14658, 14659, 14660, 14661, 14662,
   14663, 14664, 14665, 14666, 14667, 14668, 14669, 14670, 14671, 14672,
   14673, 14674, 14675, 14676, 14677, 14678, 14679, 14680, 14681, 14682,
   14683, 14684, 14685, 14686, 14687, 14688, 14689, 14690, 14691, 14692,
   14693, 14694, 14695, 14696, 14697, 14698, 14699, 14700, 14701, 14702,
   14703, 14704, 14705, 14706, 14707, 14708, 14709, 14710, 14711, 14712,
   14713, 14714, 14715, 14716, 14717, 14718, 14719, 14720, 14721, 14722,
   14723, 14724, 14725, 14726, 14727, 14728, 14729, 14730, 14731, 14732,
   14733, 14734, 14735, 14736, 14737, 14738, 14739, 14740, 14741, 14742,
   14743, 14744, 14745, 14746, 14747, 14748, 14749, 14750, 14751, 14752,
   14753, 14754, 14755, 14756, 14757, 14758, 14759, 14760, 14761, 14762,
   14763, 14764, 14765, 14766, 14767, 14768, 14769, 14770, 14771, 14772,
   14773, 14774, 14775, 14776, 14777, 14778, 14779, 14780, 14781, 14782,
   14783, 14784, 14785, 14786, 14787, 14788, 14789, 14790, 14791, 14792,
   14793, 14794, 14795, 14796, 14797, 14798, 14799, 14800, 14801, 14802,
   14803, 14804, 14805, 14806, 14807, 14808, 14809, 14810, 14811, 14812,
   14813, 14814, 14815, 14816, 14817, 14818, 14819, 14820, 14821, 14822,
   14823, 14824, 14825, 14826, 14827, 14828, 14829, 14830, 14831, 14832,
   14833, 14834, 14835, 14836, 14837, 14838, 14839, 14840, 14841, 14842,
   14843, 14844, 14845, 14846, 14847, 14848, 14849, 14850, 14851, 14852,
   14853, 14854, 14855, 14856, 14857, 14858, 14859, 14860, 14861, 14862,
   14863, 14864, 14865, 14866, 14867, 14868, 14869, 14870, 14871, 14872,
   14873, 14874, 14875, 14876, 14877, 14878, 14879, 14880, 14881, 14882,
   14883, 14884, 14885, 14886, 14887, 14888, 14889, 14890, 14891, 14892,
   14893, 14894, 14895, 14896, 14897, 14898, 14899, 14900, 14901, 14902,
   14903, 14904, 14905, 14906, 14907, 14908, 14909, 14910, 14911, 14912,
   14913, 14914, 14915, 14916, 14917, 14918, 14919, 14920, 14921, 14922,
   14923, 14924, 14925, 14926, 14927, 14928, 14929, 14930, 14931, 14932,
   14933, 14934, 14948, 14949, 14950, 14951, 14952, 14953, 14954, 14955,
   14956, 14957, 14958, 14959, 14960, 14961, 14962, 14963, 14964, 14965,
   14966, 14967, 14968, 14969, 14970, 14971, 14972, 14973, 14974, 14975,
   14976, 14977, 14978, 14979, 14980, 14981, 14982, 14983, 14984, 14985,
   14986, 14987, 14988, 14989, 14990, 14991, 14992, 14993, 14994, 14995,
   14996, 14997, 15011, 15012, 15013, 15014, 15015, 15016, 15017, 15018,
   15019, 15020, 15021, 15022, 15023, 15024, 15025, 15026, 15027, 15028,
   15029, 15030, 15031, 15032, 15033, 15043, 15044, 15045, 15046, 15047,
   15048, 15049, 15050, 15051, 15052, 15053, 15054, 15055, 15056, 15057,
   15058, 15059, 15060, 15061, 15062, 15063, 15064, 15065, 15066, 15067,
   15068, 15069, 15070, 15071, 15072, 15073, 15074, 15075, 15076, 15077,
   15078, 15079, 15080, 15081, 15082, 15083, 15084, 15085, 15086, 15087,
   15088, 15089, 15090, 15091, 15092, 15093, 15094, 15095, 15096, 15097,
   15098, 15099, 15100, 15101, 15102, 15103, 15104, 15105, 15106, 15107,
   15108, 15109, 15110, 15111, 15112, 15113, 15114, 15115, 15116, 15117,
   15118, 15119
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT",
  "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P",
  "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA",
  "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE",
  "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P",
  "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER",
  "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY",
  "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PGPOOL", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "PUBLICATION",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT",
  "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P",
  "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept", "stmtblock",
  "stmtmulti", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "ForValues", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULL
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,    60,    62,    61,   709,    43,    45,
      42,    47,    37,    94,   710,    91,    93,    40,    41,    46,
      59,    44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   473,   474,   475,   475,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   476,
     476,   476,   476,   476,   476,   476,   476,   476,   476,   477,
     478,   478,   478,   479,   479,   480,   480,   481,   481,   481,
     481,   481,   481,   481,   481,   481,   482,   482,   482,   482,
     482,   482,   483,   484,   484,   485,   485,   486,   486,   486,
     486,   487,   487,   487,   487,   487,   487,   488,   489,   490,
     490,   491,   491,   491,   491,   492,   492,   493,   493,   494,
     494,   494,   494,   494,   494,   495,   495,   495,   495,   496,
     496,   496,   497,   497,   497,   497,   498,   498,   498,   498,
     498,   498,   498,   498,   498,   498,   498,   499,   499,   500,
     500,   501,   501,   502,   502,   502,   502,   503,   503,   503,
     503,   504,   504,   504,   504,   504,   504,   504,   505,   505,
     505,   506,   506,   507,   507,   508,   508,   508,   508,   509,
     509,   510,   510,   511,   511,   512,   512,   512,   512,   512,
     512,   512,   513,   514,   514,   515,   515,   516,   517,   517,
     517,   517,   517,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   519,   519,   520,   520,   521,   521,   521,   521,   521,
     521,   521,   521,   521,   521,   521,   521,   521,   521,   521,
     521,   521,   521,   521,   521,   521,   521,   521,   521,   521,
     521,   521,   521,   521,   521,   521,   521,   521,   521,   521,
     521,   521,   521,   521,   521,   521,   521,   521,   521,   521,
     521,   521,   521,   521,   521,   521,   521,   521,   521,   521,
     521,   522,   522,   523,   523,   523,   524,   524,   525,   525,
     526,   526,   526,   526,   527,   528,   528,   529,   529,   530,
     530,   530,   530,   531,   531,   532,   532,   532,   532,   533,
     533,   534,   534,   534,   535,   535,   536,   536,   537,   537,
     537,   538,   539,   539,   540,   540,   540,   540,   541,   541,
     542,   542,   543,   543,   544,   544,   545,   545,   545,   546,
     546,   547,   547,   548,   548,   548,   548,   548,   548,   548,
     548,   548,   548,   548,   548,   548,   548,   549,   549,   550,
     550,   551,   551,   552,   552,   553,   553,   554,   555,   555,
     555,   555,   555,   556,   556,   557,   558,   558,   558,   558,
     558,   558,   559,   559,   559,   559,   559,   559,   559,   559,
     560,   560,   561,   561,   562,   562,   563,   563,   564,   564,
     564,   565,   565,   566,   567,   567,   568,   568,   569,   569,
     569,   569,   570,   570,   570,   570,   570,   570,   570,   570,
     571,   571,   572,   572,   572,   572,   573,   574,   574,   574,
     575,   575,   575,   575,   575,   575,   575,   576,   576,   577,
     577,   577,   577,   577,   577,   577,   578,   578,   579,   579,
     580,   580,   581,   582,   582,   582,   582,   583,   583,   584,
     584,   585,   585,   586,   586,   586,   586,   586,   587,   588,
     589,   589,   589,   589,   589,   590,   590,   591,   591,   592,
     593,   593,   594,   594,   595,   595,   595,   596,   596,   596,
     596,   597,   597,   597,   597,   598,   598,   599,   599,   600,
     601,   601,   602,   602,   603,   604,   604,   604,   605,   605,
     606,   607,   607,   608,   609,   609,   610,   610,   611,   611,
     612,   612,   613,   613,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   615,   615,
     616,   616,   616,   616,   617,   617,   618,   618,   619,   619,
     620,   620,   621,   621,   622,   622,   623,   623,   624,   624,
     625,   625,   626,   627,   627,   628,   628,   629,   629,   630,
     630,   631,   631,   631,   631,   632,   633,   633,   634,   635,
     635,   635,   635,   635,   635,   635,   635,   635,   635,   635,
     635,   635,   635,   635,   635,   635,   635,   635,   635,   635,
     635,   635,   635,   635,   635,   636,   637,   637,   637,   637,
     638,   638,   639,   639,   640,   640,   641,   641,   642,   642,
     643,   644,   644,   645,   645,   645,   645,   646,   647,   648,
     649,   649,   650,   650,   651,   651,   652,   652,   653,   653,
     653,   654,   654,   654,   654,   655,   655,   656,   657,   657,
     658,   658,   659,   659,   660,   660,   661,   661,   662,   663,
     664,   665,   665,   666,   666,   667,   667,   668,   668,   669,
     669,   670,   670,   671,   671,   671,   671,   671,   672,   673,
     673,   674,   674,   674,   675,   675,   676,   676,   676,   676,
     676,   677,   677,   678,   678,   679,   680,   680,   681,   681,
     682,   683,   683,   684,   684,   685,   685,   686,   686,   687,
     687,   687,   688,   688,   688,   688,   689,   689,   690,   690,
     691,   691,   691,   691,   691,   691,   692,   692,   693,   693,
     694,   695,   695,   696,   697,   697,   697,   697,   698,   699,
     700,   700,   700,   700,   700,   700,   700,   700,   700,   700,
     700,   700,   700,   700,   700,   700,   701,   702,   702,   703,
     703,   704,   704,   704,   704,   704,   704,   705,   706,   706,
     707,   708,   708,   709,   709,   710,   710,   710,   710,   711,
     711,   712,   713,   713,   714,   714,   714,   714,   714,   715,
     715,   716,   716,   717,   717,   717,   718,   718,   719,   720,
     720,   721,   721,   722,   722,   723,   723,   724,   724,   725,
     726,   727,   727,   727,   727,   727,   727,   727,   727,   727,
     727,   727,   727,   728,   728,   728,   728,   728,   728,   728,
     728,   728,   728,   728,   728,   728,   729,   729,   729,   729,
     729,   729,   729,   730,   730,   730,   731,   731,   732,   732,
     733,   733,   734,   734,   735,   736,   736,   736,   737,   737,
     737,   737,   737,   737,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   737,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   739,
     739,   739,   739,   739,   739,   739,   739,   739,   739,   739,
     739,   740,   740,   741,   741,   741,   741,   741,   741,   741,
     742,   742,   743,   743,   743,   743,   743,   743,   744,   744,
     744,   744,   744,   744,   744,   744,   745,   745,   746,   746,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   748,   748,   749,   749,
     750,   751,   751,   752,   752,   752,   752,   752,   753,   753,
     754,   754,   754,   754,   755,   755,   755,   755,   755,   755,
     755,   755,   755,   755,   755,   755,   755,   755,   755,   755,
     756,   756,   757,   757,   758,   758,   759,   760,   760,   761,
     761,   762,   762,   763,   764,   764,   765,   765,   765,   766,
     766,   766,   767,   767,   767,   767,   767,   768,   768,   769,
     769,   770,   770,   771,   771,   772,   772,   773,   773,   774,
     774,   774,   775,   775,   776,   776,   777,   777,   777,   778,
     778,   778,   779,   779,   779,   780,   780,   781,   781,   782,
     782,   783,   783,   784,   784,   784,   784,   785,   785,   786,
     786,   787,   787,   787,   787,   787,   788,   788,   788,   788,
     788,   789,   790,   791,   791,   791,   792,   792,   792,   793,
     794,   794,   794,   794,   795,   795,   796,   797,   797,   798,
     798,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   800,   800,   800,
     800,   800,   801,   801,   802,   802,   803,   803,   804,   805,
     805,   806,   807,   807,   808,   808,   809,   809,   810,   810,
     811,   811,   812,   812,   812,   812,   813,   813,   814,   814,
     815,   816,   817,   817,   818,   818,   819,   819,   819,   820,
     820,   820,   821,   822,   822,   823,   824,   824,   824,   824,
     825,   826,   826,   826,   826,   827,   827,   828,   828,   828,
     829,   829,   830,   831,   831,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,   833,   833,   834,   834,
     835,   835,   835,   835,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   837,
     838,   838,   839,   839,   840,   840,   840,   840,   840,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   842,   843,   843,   844,   844,   845,   845,   845,   845,
     846,   847,   847,   848,   849,   849,   849,   849,   849,   849,
     850,   850,   851,   852,   852,   852,   853,   853,   854,   854,
     854,   854,   854,   855,   855,   856,   856,   856,   856,   857,
     857,   857,   858,   859,   859,   860,   861,   861,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   863,   863,   863,   864,   864,   864,   864,   864,
     865,   865,   865,   866,   866,   867,   867,   867,   867,   868,
     868,   868,   868,   869,   870,   871,   871,   872,   872,   873,
     873,   873,   874,   874,   874,   874,   874,   874,   874,   875,
     875,   876,   876,   876,   877,   878,   878,   879,   880,   880,
     881,   882,   882,   882,   882,   882,   882,   882,   883,   883,
     884,   885,   885,   885,   885,   885,   885,   886,   886,   887,
     888,   888,   888,   889,   889,   890,   890,   890,   890,   890,
     891,   891,   892,   892,   892,   892,   892,   893,   893,   894,
     894,   895,   895,   896,   896,   897,   897,   898,   898,   899,
     899,   899,   899,   900,   900,   900,   900,   900,   900,   900,
     900,   900,   901,   901,   902,   903,   903,   904,   904,   904,
     905,   906,   906,   907,   907,   907,   907,   908,   908,   909,
     909,   910,   910,   910,   910,   911,   912,   912,   913,   913,
     913,   913,   913,   914,   914,   915,   915,   916,   917,   917,
     917,   918,   918,   918,   919,   919,   920,   921,   921,   922,
     923,   923,   924,   924,   924,   924,   924,   924,   924,   924,
     925,   925,   926,   926,   926,   927,   928,   928,   929,   929,
     930,   931,   931,   932,   933,   934,   934,   934,   934,   934,
     935,   935,   935,   936,   936,   937,   937,   938,   938,   938,
     938,   938,   938,   938,   938,   939,   939,   940,   940,   940,
     940,   940,   940,   940,   941,   941,   941,   942,   942,   943,
     944,   944,   945,   945,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   947,   947,   948,   948,   948,   949,   949,
     950,   950,   951,   951,   952,   953,   953,   954,   954,   955,
     955,   955,   955,   956,   956,   957,   957,   957,   958,   958,
     959,   959,   960,   961,   961,   961,   962,   963,   963,   964,
     964,   965,   965,   966,   966,   967,   967,   967,   967,   967,
     968,   969,   970,   971,   972,   972,   973,   973,   974,   974,
     975,   975,   976,   977,   977,   977,   977,   978,   978,   979,
     979,   980,   980,   981,   981,   982,   982,   982,   982,   982,
     982,   982,   982,   982,   982,   983,   983,   983,   983,   983,
     983,   984,   984,   984,   984,   985,   985,   986,   986,   986,
     986,   986,   987,   987,   987,   987,   988,   988,   989,   989,
     990,   990,   990,   990,   991,   991,   992,   992,   992,   993,
     994,   994,   995,   995,   996,   997,   997,   998,   998,   999,
     999,  1000,  1000,  1001,  1001,  1001,  1002,  1002,  1003,  1003,
    1004,  1005,  1005,  1006,  1006,  1007,  1007,  1007,  1008,  1008,
    1009,  1009,  1009,  1009,  1010,  1010,  1011,  1011,  1012,  1012,
    1012,  1012,  1012,  1012,  1013,  1013,  1013,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1015,  1015,  1015,  1015,  1016,  1016,
    1017,  1017,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,
    1023,  1024,  1024,  1025,  1025,  1026,  1027,  1028,  1028,  1028,
    1028,  1028,  1028,  1029,  1029,  1030,  1030,  1030,  1030,  1031,
    1032,  1032,  1032,  1033,  1033,  1033,  1033,  1033,  1033,  1033,
    1033,  1033,  1033,  1033,  1033,  1033,  1033,  1034,  1034,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1036,  1036,  1036,  1036,  1036,  1036,  1036,
    1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,
    1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1037,  1037,
    1037,  1037,  1037,  1037,  1037,  1037,  1037,  1037,  1037,  1037,
    1037,  1037,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1039,
    1039,  1040,  1040,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1042,  1042,  1043,  1043,  1043,
    1043,  1044,  1045,  1045,  1046,  1046,  1047,  1047,  1048,  1048,
    1048,  1049,  1049,  1049,  1049,  1050,  1050,  1051,  1051,  1052,
    1052,  1053,  1053,  1054,  1055,  1055,  1055,  1056,  1057,  1057,
    1058,  1058,  1059,  1059,  1059,  1060,  1060,  1061,  1061,  1061,
    1061,  1061,  1062,  1062,  1062,  1063,  1063,  1064,  1065,  1065,
    1065,  1066,  1066,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1068,  1068,  1069,  1069,  1070,
    1070,  1070,  1070,  1070,  1070,  1071,  1071,  1072,  1072,  1073,
    1073,  1073,  1074,  1074,  1075,  1075,  1075,  1076,  1076,  1077,
    1077,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1079,
    1079,  1080,  1081,  1081,  1082,  1082,  1082,  1082,  1082,  1082,
    1083,  1084,  1085,  1085,  1085,  1086,  1086,  1087,  1088,  1088,
    1089,  1090,  1090,  1091,  1091,  1092,  1092,  1093,  1093,  1093,
    1093,  1094,  1094,  1095,  1095,  1096,  1096,  1097,  1097,  1098,
    1098,  1099,  1099,  1100,  1100,  1100,  1100,  1101,  1101,  1102,
    1102,  1103,  1103,  1104,  1105,  1106,  1107,  1108,  1109,  1110,
    1110,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,
    1111,  1111,  1111,  1111,  1112,  1113,  1114,  1114,  1114,  1115,
    1116,  1116,  1116,  1117,  1117,  1118,  1118,  1118,  1119,  1119,
    1119,  1120,  1120,  1120,  1120,  1121,  1121,  1121,  1121,  1121,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     1,     0,     2,     0,     2,     0,     2,     2,     3,
       3,     1,     3,     3,     2,     1,     1,     2,     2,     2,
       3,     3,     5,     5,     5,     0,     3,     5,     5,     5,
       5,     3,     5,     3,     5,     3,     5,     5,     6,     1,
       1,     6,     4,     9,     7,     1,     0,     2,     0,     1,
       1,     1,     1,     1,     1,     3,     2,     3,     3,     2,
       5,     1,     3,     3,     3,     3,     1,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     5,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     3,     1,     2,     3,     2,     1,
       1,     2,     1,     2,     1,     3,     3,     2,     3,     4,
       3,     2,     4,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     4,     6,     4,     6,    10,    13,     4,
       6,    10,    13,     4,     6,     4,     6,     5,     7,    11,
      14,     1,     3,     4,     3,     2,     5,     3,     6,     4,
       6,     6,     6,     5,     5,     6,     9,     4,     5,     7,
       6,     4,     8,     4,     2,     4,     3,     6,     4,     3,
       3,     3,     3,     2,     2,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     3,     4,     4,     4,     5,
       1,     3,     2,     1,     1,     0,     2,     0,     2,     0,
       1,     1,     1,     3,     3,     2,     0,     1,     3,     3,
       1,     5,     3,     1,     2,     1,     3,     2,     3,     6,
      10,     1,     1,     1,     1,     3,     1,     3,     1,     1,
       1,     4,     1,     3,     4,     6,     4,     8,     2,     2,
      11,     9,     1,     1,     1,     0,     1,     1,     1,     1,
       3,     2,     0,     1,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     3,     2,     1,     0,     2,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     3,     0,     1,     3,     1,    12,    15,    11,    14,
      13,    16,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     4,     2,     4,     2,     0,     3,     1,
       1,     2,     2,     1,     3,     4,     5,     2,     5,     5,
       1,     2,     1,     2,     2,     2,     3,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     5,
       7,     3,     8,     4,     9,    11,     2,     0,     3,     0,
       1,     3,     1,     2,     2,     2,     0,     1,     3,     3,
       6,     4,     0,     1,     1,     2,     2,     0,     3,     3,
       2,     1,     1,     2,     2,     4,     0,     1,     0,     6,
       1,     1,     1,     3,     3,     3,     5,     2,     2,     2,
       0,     3,     4,     4,     0,     2,     0,     4,     0,     3,
       8,    11,     7,    10,     5,     2,     3,     0,     8,    11,
       4,     1,     0,     6,     5,     8,     4,     6,     1,     0,
       3,     0,     1,     2,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     3,     1,     3,     1,     0,
       1,     2,     2,     1,     1,     3,     6,    10,     1,     0,
       1,     2,     2,     0,     2,     2,     1,     0,     5,     7,
       1,     0,     7,     2,     0,     3,     5,     5,     8,     2,
       0,     2,     2,     2,     1,     5,     2,     0,     2,     7,
       6,    10,     6,     6,     6,     6,     7,     6,     9,     9,
       6,     7,     6,     8,     8,     8,     8,     6,     6,     7,
       7,     8,     6,     9,     6,     7,     2,     2,     2,     2,
       1,     2,     1,     0,     7,     6,     4,     0,     1,     3,
       4,     1,     3,     1,     2,     2,     2,     2,     1,     1,
      10,    13,     2,     0,     2,     2,     1,     0,     5,     4,
       4,    11,    14,    12,    15,     5,     7,    11,     2,     1,
       4,     0,     8,    11,     1,     1,     7,     9,     8,    10,
       8,     4,     0,     5,     0,     2,     0,     2,     0,     2,
       0,     2,     0,     1,     1,     1,     1,     1,     8,    16,
      20,     1,     1,     2,     1,     3,     1,     1,     1,     3,
       1,     2,     0,     1,     2,     4,     1,     1,     1,     1,
       1,     3,     0,     1,     0,     1,     1,     4,     0,     1,
       3,     0,     1,     1,     1,     1,     2,     0,     0,     2,
       2,     1,     2,     2,     2,     2,    11,    13,     1,     3,
       5,     1,     3,     5,     1,     2,     2,     1,     8,     4,
       5,     4,     4,     4,     3,     7,     8,     6,     6,     6,
       6,     6,     4,     7,     5,     8,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       3,     1,     0,     1,     3,     7,     9,     9,     8,     3,
       0,    13,     1,     3,     5,     5,     3,     6,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     6,     4,     6,     8,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     1,
       1,     1,     3,     3,     3,     3,     2,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     2,
       2,     3,     1,     3,     5,     2,     2,     0,     6,     6,
       6,     6,     6,     6,     6,     8,     9,     8,     8,     9,
       8,     9,     9,     7,    10,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     2,     3,     3,     3,     3,     2,
       1,     2,     1,     3,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     8,     8,     8,     8,     8,     8,     9,
       2,     0,     1,     2,     1,     1,     1,     2,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     3,     2,     2,     2,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     6,     6,     9,     3,
       0,     3,     0,     5,     2,     0,     3,     3,     3,     7,
       7,    10,     1,     1,     1,     1,     1,    14,    17,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     0,     1,     1,     0,     2,
       2,     0,     9,    12,     7,     2,     0,     3,     2,     1,
       3,     1,     3,     2,     1,     1,     2,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       3,     3,     5,     6,     1,     3,     2,     1,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     1,     2,     2,     2,     2,
       1,     1,     1,     3,     3,     5,     2,     0,     2,     1,
       3,     5,     1,     2,     1,     0,     4,     6,     4,     6,
       4,     6,     3,     5,     5,     5,     1,     3,     1,     3,
       2,     2,     1,     2,     1,     2,    11,    10,    10,     2,
       2,     0,     9,     2,     0,    10,    11,    11,     5,     5,
       8,     3,     3,     6,     6,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     5,     6,     6,     6,     6,     6,
       8,     8,     6,     6,     7,     9,     9,     8,    10,     6,
       6,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     9,    11,     8,
      10,     9,    11,     8,     8,     7,     6,     6,     6,     6,
       8,     8,     8,     8,     6,     9,     1,     0,     2,     0,
       7,     9,     8,     7,     6,     6,     6,     6,     6,     6,
       6,     9,     9,     6,     8,     6,     8,     8,     8,     8,
       6,     8,     6,     8,     7,     9,     7,     9,     6,     7,
       1,     3,     3,     3,     1,     1,     1,     1,     1,     6,
       6,     6,     6,     6,     6,     7,     7,     6,     9,     9,
       6,     6,     6,     6,     8,     8,     8,     6,     7,     6,
       6,     5,     1,     0,     3,     3,     5,     6,     6,     6,
       8,     1,     3,     1,     5,     5,     6,     7,     4,     4,
       4,     6,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     3,     2,     0,     2,     2,     2,     2,     3,
       3,     2,     2,     2,     2,     3,     2,     5,     4,     3,
       3,     3,     1,     1,     0,     3,     2,     2,     1,     2,
       1,     3,     2,     1,     0,     9,    11,    12,    14,     3,
       4,     4,     0,     2,     5,     1,     0,     1,     2,     3,
       3,     3,     1,     2,     1,     1,     1,     1,     1,     1,
       0,     5,     4,     6,     4,     3,     5,     5,     4,     4,
       6,     4,     6,     6,     5,     7,     9,     6,     1,     0,
       6,    11,    11,    11,    13,     9,    11,     1,     1,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     3,     0,     1,     1,     1,     1,     3,     9,     3,
       0,     2,     3,     2,     3,     7,     1,     3,     1,     4,
       4,     7,     2,     1,     1,     1,     3,     2,     8,     5,
       0,     4,     3,     0,     2,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     1,     2,     0,     8,     1,     3,     3,     5,
       2,     1,     3,     7,     1,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     9,     1,
       2,     4,     4,     4,     2,     2,     3,     1,     3,     6,
       1,     0,     2,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     2,     3,
       1,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       1,     3,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     4,
       5,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     1,     4,     3,     4,     5,     4,     5,
       4,     5,     2,     4,     1,     1,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     6,
       4,     0,     2,     6,     2,     1,     3,     4,     0,     2,
       0,     2,     0,     2,     4,     0,     1,     0,     1,     3,
       3,     7,    12,     1,     3,     2,     3,     3,     1,     2,
       2,     2,     2,     1,     1,     3,     3,     2,     2,     3,
       5,     6,     2,     3,     3,     4,     0,     1,     1,     1,
       1,     1,     2,     4,     1,     1,     1,     1,     2,     3,
       3,     0,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     1,     3,     0,     1,     1,     1,     1,     5,
       2,     1,     1,     1,     1,     4,     1,     2,     2,     1,
       3,     3,     2,     1,     0,     5,     2,     5,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     0,     1,     4,     1,
       3,     3,     5,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       3,     3,     2,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     4,     3,     5,     6,     8,     6,     6,     4,     4,
       1,     1,     1,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     5,     0,     5,     0,     2,
       0,     1,     3,     3,     2,     2,     0,     6,     1,     0,
       3,     0,     2,     2,     0,     1,     4,     2,     2,     2,
       2,     2,     4,     3,     5,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     0,     1,     2,     0,     2,     1,     0,     1,
       0,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     6,     2,     3,
       5,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1621,  1404,   621,  1490,  1489,  1404,   257,     0,  1492,     0,
    1404,   418,  1096,     0,     0,     0,     0,   621,  1404,     0,
    1621,     0,     0,     0,     0,     0,  1634,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1404,     0,     0,
    1641,     0,     0,     0,     0,  1634,     0,  1494,     0,     0,
       0,     0,     0,     2,     4,    71,    72,    31,    30,    91,
      54,    18,    62,   125,   124,   126,    41,    37,    79,    26,
      28,    38,    42,    64,    66,    44,    55,   103,    63,    24,
      61,    86,    67,    89,    49,    12,    13,    50,    14,    51,
      15,    52,    16,    99,    73,    92,    35,    60,    23,    43,
      69,    70,     5,    45,    81,    77,    11,    56,    57,    59,
      83,    84,    85,   108,    87,   120,    40,   117,    96,    97,
     114,    98,   115,     9,   100,    53,    17,   111,   110,   112,
      80,    46,    82,    68,    90,   109,    27,   113,    19,    20,
      22,    21,    58,    29,    65,    32,    88,   116,   106,   102,
     121,   119,   127,   104,    74,     7,     8,    93,     6,    25,
      48,    10,    34,    33,    47,    39,   123,    36,  1492,    95,
     107,    94,    75,   101,    78,   105,   122,    76,   118,  1594,
    1593,  1643,  1597,  1620,     0,  1609,  1403,  1402,  1388,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   620,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1414,  2215,  2230,  2231,  2232,  2233,  2234,
    2235,  2236,  2237,   389,  2238,  2239,  2240,  2241,  2242,  2243,
    2244,  2245,  2246,  2247,  2248,  2512,  2513,  2514,  2515,  2249,
    2250,  2251,  2252,  2253,  2254,  2255,  2516,  2517,  2256,  2257,
    2258,  2259,  2260,  2518,  2261,  2262,  2263,  2264,  2265,  2266,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2283,  2519,  2520,  2284,
    2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,
    2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,
    2305,  2306,  2307,  2308,  2309,  2310,  2521,  2311,  2312,  2313,
    2522,  2314,  2315,  2316,  2523,  2317,  2318,  2319,  2320,  2321,
    2322,  2323,  2324,  2524,  2525,  2325,  2326,  2327,  2328,  2329,
    2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,
    2340,  2341,  2526,  2342,  2343,  2344,  2345,  2527,  2528,  2529,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2530,  2354,
    2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,
    2365,  2366,  2367,  2368,  2369,  2370,  2371,  2372,  2373,  2531,
    2532,  2374,  2375,  2376,  2533,  2377,  2378,  2379,  2534,  2380,
    2535,  2381,  2382,  2383,  2384,  2385,  2386,  2387,  2388,  2389,
    2536,  2390,  2537,  2391,  2392,  2393,  2394,  2395,  2396,  2397,
    2398,  2399,  2400,  2401,  2538,  2402,  2539,  2405,  2403,  2404,
    2406,  2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2540,
    2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,
    2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,
    2435,  2541,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,
    2444,  2445,  2446,  2447,  2448,  2449,  2450,  2451,  2542,  2452,
    2453,  2454,  2455,  2543,  2456,  2457,  2458,  2459,  2460,  2461,
    2462,  2463,  2464,  2465,  2466,  2467,  2468,  2544,  2469,  2470,
    2471,  2472,  2473,  2474,  2475,  2476,  2545,  2546,  2477,  2478,
    2547,  2479,  2548,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
    2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,
    2549,  2550,  2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,
    2505,  2506,  2507,  2508,  2551,  2552,  2553,  2554,  2555,  2556,
    2557,  2558,  2559,  2560,  2561,  2509,  2510,  2511,   388,  1584,
    2183,  2216,  2217,  1491,  1471,   621,     0,  1391,   417,  1621,
       0,     0,     0,     0,     0,     0,     0,     0,   849,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   176,     0,     0,     0,     0,   443,   442,     0,     0,
       0,  1069,   448,     0,     0,     0,     0,     0,   609,  1533,
    2403,  1531,  1585,   258,   261,   262,   259,   260,  2205,     0,
    1191,  1192,  1194,     0,     0,     0,  1204,   889,   890,     0,
       0,     0,   898,     0,     0,     0,   887,     0,     0,     0,
     903,   900,     0,   904,   901,   884,   902,   891,     0,   883,
       0,     0,  1204,   905,     0,     0,   885,     0,     0,     0,
       0,  1392,  1530,   449,  1621,     0,  1508,  1509,  1510,  1492,
    1499,  1511,  1504,  1506,  1505,  1507,  1503,  2204,  2231,  1009,
    1009,  1009,  1009,  1006,  1007,  1009,  1009,  1009,  2422,     0,
       0,   988,     0,   990,  2206,  1009,  1014,   509,   509,   509,
       0,  1013,  1018,   509,     0,  1385,  1423,  2188,  1633,     0,
     989,  1384,     0,     0,     0,  2477,  1522,     0,     0,  1219,
    1215,  1217,  1218,  1216,     0,     0,     0,  2438,  1396,   240,
    2449,  2545,  2477,   239,   233,   235,   207,  2235,     0,     0,
    1013,     0,  1393,  1394,   971,  1640,  1638,     0,  2170,  2254,
    2269,  2357,   230,  2433,  2439,  2449,  2545,  2477,  2508,   186,
     196,   191,     0,   251,  2449,  2545,  2477,   247,  1414,     0,
    1610,  1740,  2179,     0,  1387,  1386,  1493,     0,  1496,     0,
    2417,  1614,  1617,  1498,  1615,  1606,     0,     0,     1,  1621,
    1487,  1637,  1637,     0,  1637,     0,  1598,  1606,  1601,  1605,
       0,     0,     0,     0,  2215,  2562,  2563,  2564,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,  2578,  2579,  2580,  2581,  2582,  2583,  2584,     0,     0,
       0,  2189,  2216,  2220,     0,   908,     0,  1426,  2184,  1055,
       0,     0,     0,     0,     0,     0,     0,  1105,  1104,  2221,
    2211,  2212,     0,  2209,  2210,  2222,  2223,  2224,     0,  2330,
       0,     0,     0,  2081,  2092,  2093,  2094,  2258,  2314,  2089,
    2090,  2091,  2083,  2084,  2085,  2086,  2087,  2088,     0,     0,
    1186,  2082,     0,  2330,     0,     0,   155,     0,   132,     0,
       0,  2330,     0,     0,     0,     0,     0,     0,     0,  2330,
       0,     0,     0,     0,     0,   155,  2362,     0,   132,  2330,
       0,     0,  1408,     0,     0,     0,  1410,  1413,  1389,  1474,
       0,  2179,     0,     0,     0,   942,   935,     0,   943,   950,
       0,     0,   952,     0,     0,   936,     0,     0,     0,     0,
     955,   956,     0,   957,   937,   958,   938,   959,   939,   960,
       0,     0,     0,     0,   940,     0,     0,     0,  1400,     0,
    1524,  1526,  1525,  1523,   509,     0,     0,     0,     0,  2330,
       0,     0,   132,  1459,     0,  2330,   132,     0,     0,   447,
     446,   132,  2209,   445,   444,  2258,  2314,     0,  1095,     0,
    1343,   132,  2330,     0,   178,  2330,   693,  2330,  1498,     0,
     624,     0,     0,   804,  2362,   132,     0,     0,     0,     0,
       0,     0,  1072,     0,     0,     0,   608,   621,  1534,  1532,
       0,  1195,   232,   231,  1193,   896,  2330,  1137,   345,   345,
       0,     0,  2330,  1445,  2218,  1815,  1844,  1822,  1844,  1844,
    1811,  1811,  2298,  1824,  2330,  1812,  1813,  1849,     0,  1844,
    1811,  1816,     0,  1814,  1852,  1852,  1839,   345,   912,  1796,
    1797,  1798,  1799,  1825,  1826,  1800,  1831,  1832,  1836,  1801,
    1866,  1811,  2219,   897,     0,   888,  2330,   345,  1101,  2330,
    2213,   165,     0,   886,  2258,  2314,  2330,   345,  1188,     0,
    2330,   161,  2330,   345,  2330,   625,     0,     0,  2330,   345,
    2330,  2362,   163,     0,  2330,   345,   906,  2330,   345,  2181,
    2330,     0,     0,  1527,     0,  1501,  2549,  1516,     0,  1512,
    1519,  1515,  1621,  1009,  1008,     0,  1009,     0,  1009,     0,
    1009,     0,  1009,     0,     0,     0,  1009,  2207,  2208,   991,
       0,  1015,     0,     0,  1022,  1021,  1020,     0,     0,     0,
    1023,     0,  1744,  1561,     0,  1382,   234,   185,     0,   246,
     245,  1399,     0,     0,     0,  1072,  1222,     0,  1220,  1211,
    1212,  1395,   238,   236,     0,     0,     0,     0,     0,     0,
    1401,     0,     0,     0,     0,  2192,  2194,  2195,  2095,  2165,
       0,  2513,  2514,  2515,  2154,     0,  2516,  2517,  2518,  2564,
    1997,  1984,  1993,  1998,  1985,  1987,  1994,  2519,  2520,  1932,
    2521,  2522,  2202,  2523,  2524,  2525,  2527,  2528,  2529,  2530,
    1989,  1991,  2531,  2532,     0,  2203,  2534,  2535,  2386,  2537,
    2538,  2540,  2541,  1995,  2543,  2544,  2545,  2546,  2547,  2548,
    2201,     0,  1996,  2550,  2552,  2553,  2554,  2555,  2557,  2558,
    2559,  2560,     0,     0,     0,  2176,     0,  1964,     0,  1804,
    1805,  1827,  1828,  1806,  1833,  1834,  1807,     0,  2175,  1869,
    2046,  1963,  1980,     0,  1969,  1970,     0,  1962,  1958,  1623,
    2171,     0,  1959,  2191,  2193,  2155,  1623,  2169,   199,   253,
       0,   254,  2177,  2449,   187,   229,   201,   228,   202,   200,
       0,  2256,   188,     0,     0,   189,     0,     0,     0,     0,
     250,   248,     0,  1390,     0,  1742,  1741,  2162,     0,  2163,
    2180,   917,  1486,  1484,  1485,  1483,     0,  1480,  1482,  1495,
    1492,  2105,     0,  1616,     0,     0,     0,  1596,  1595,     3,
    1498,  1635,  1636,     0,     0,     0,     0,     0,     0,     0,
       0,  1689,  1651,  1652,  1654,  1686,  1690,  1698,     0,  1602,
       0,     0,  1746,     0,     0,     0,     0,     0,     0,  1136,
    2190,     0,     0,     0,     0,     0,   909,     0,     0,     0,
    1432,     0,  1434,  1435,  1436,     0,     0,     0,  1437,  1438,
    1426,   242,  1444,  1442,  1425,  1427,  1440,     0,     0,     0,
       0,     0,     0,     0,  1451,     0,   169,   170,     0,   637,
     621,     0,  2330,     0,     0,     0,     0,     0,  1144,  1151,
       0,     0,     0,     0,     0,     0,     0,     0,  1145,  1143,
    1146,   244,  1155,  1172,  1175,     0,  1103,  1106,     0,     0,
       0,     0,     0,  1277,     0,     0,     0,  1277,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   269,   281,   340,   600,     0,     0,     0,   603,     0,
    2330,     0,     0,     0,     0,  1190,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   130,
     131,   136,     0,     0,     0,     0,     0,     0,     0,   586,
     599,     0,     0,     0,     0,     0,   596,     0,     0,   132,
     273,   576,   582,     0,     0,     0,   700,   699,     0,     0,
       0,     0,  1359,  1358,     0,     0,     0,     0,  1449,  1448,
       0,     0,     0,     0,  1277,     0,   263,   265,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   381,   382,     0,     0,     0,   136,     0,
       0,     0,     0,   275,     0,     0,  1409,  1406,  1407,     0,
    1412,     0,  1470,     0,   949,     0,     0,     0,     0,   951,
       0,   944,     0,     0,   941,  2258,  2314,     0,     0,     0,
       0,     0,     0,     0,   954,     0,     0,     0,   420,     0,
       0,   801,     0,     0,     0,     0,     0,     0,   812,     0,
    1426,  1458,     0,     0,     0,   630,     0,  2330,     0,   134,
     850,     0,   802,   448,     0,     0,     0,  1167,  1342,   134,
       0,     0,   172,     0,     0,   697,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   742,   741,     0,     0,     0,
     803,     0,     0,   134,     0,  2330,   579,  2330,     0,   509,
     509,     0,     0,  1071,  1074,     0,     0,     0,     0,  1588,
    1590,  1589,     0,  1587,     0,   343,   344,     0,  1178,   799,
    1203,     0,     0,  1843,  1830,  1838,  1837,     0,  1820,  1819,
    1818,     0,  1817,     0,  1844,  1844,  1842,  1821,  1796,     0,
       0,     0,  1848,     0,  1846,     0,   879,  1792,  1788,     0,
    1855,  1856,  1857,  1854,  1867,  1853,     0,  1802,  1858,  1811,
    1808,   899,     0,     0,  1176,     0,     0,  2330,   345,  2330,
       0,  2330,     0,     0,     0,  1180,   345,     0,     0,  1360,
       0,   895,   893,   892,   894,     0,     0,   877,     0,     0,
       0,  2330,   345,     0,     0,   872,     0,     0,   874,     0,
       0,     0,     0,  1621,     0,   218,   219,   217,  1517,   220,
    1518,  1514,  1500,     0,   999,     0,  1003,     0,   994,     0,
    1000,     0,   995,   992,   993,     0,   998,     0,     0,   510,
     512,     0,     0,  2281,  2297,     0,  2320,  2350,  2351,  2439,
    2445,     0,  2472,  2482,     0,  1024,  1050,  1019,   711,     0,
       0,  1571,  1383,  2112,     0,  1621,     0,     0,     0,     0,
     237,   208,     0,     0,     0,  1052,  2438,  1398,   970,   621,
       0,  1960,     0,  1967,  1968,  2153,     0,     0,     0,     0,
       0,     0,  1966,  2120,     0,     0,     0,     0,     0,  1892,
       0,     0,     0,  2133,     0,  2139,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,  1893,  1873,  1874,
    1964,  2105,     0,  1965,  2198,     0,  1866,  2174,  2095,     0,
    2092,  2093,  2094,     0,     0,     0,  2168,     0,  2103,     0,
       0,  1907,  2101,  1909,     0,     0,     0,     0,  2089,  2090,
    2091,  2083,  2084,  2085,  2086,  2087,  2088,  2099,  1889,     0,
       0,  2048,     0,  1888,     0,     0,  1702,     0,  2196,  2156,
    1702,   255,   256,   252,     0,     0,   204,   203,     0,   222,
     226,   227,   198,   225,     0,   221,   206,  2037,  2036,   205,
     197,   194,   192,   209,   211,   212,   195,   193,   249,     0,
    2161,     0,  2225,  2585,  2586,  2587,  2588,  2589,  2590,  2591,
    2592,  2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,  2601,
    2602,  2603,  2604,  2605,  2606,  2607,  2608,  2609,  2610,  2611,
    2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,
    2622,  2623,  2624,  2625,  2626,  2627,  2628,  2629,  2630,  2631,
    2632,  2633,  2634,  2635,  2636,  2637,  2638,  2639,  2640,  2641,
    2642,  2643,  2644,  2645,  2646,  2647,  2648,  2649,  2650,  2651,
    2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,  2661,
    2158,  2157,  2186,  2226,  2227,  2228,  2229,  2164,     0,     0,
     345,  1478,     0,  1475,  1699,     0,  1618,     0,     0,  1488,
    1613,  1612,  1644,  1645,  1088,  1611,  1669,  1670,  1665,     0,
       0,     0,  1695,  1693,  1661,  1655,  1660,  1658,     0,  1662,
    1869,  1688,  1600,  1649,  1650,  1653,  1599,     0,  1691,     0,
    1574,  1689,  1654,  1558,     0,  1536,     0,  1747,     0,     0,
       0,     0,     0,  1116,  1118,     0,  1117,     0,  1120,     0,
    1129,     0,     0,  1115,  1134,     0,  1123,  1121,     0,  1447,
       0,     0,   910,     0,     0,     0,     0,  1433,     0,     0,
    2472,   241,  1436,  1441,  1428,  1439,     0,     0,     0,     0,
       0,  1054,  1053,     0,     0,  1076,     0,     0,     0,  1454,
     498,     0,   342,     0,     0,     0,     0,     0,     0,     0,
       0,   797,   794,     0,     0,   793,     0,   635,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   673,     0,
    1277,     0,   705,     0,  1153,     0,     0,  1152,     0,  1156,
       0,     0,  1154,  1149,  1150,  2439,  2449,  2477,   243,  1174,
       0,  1173,  1171,  1098,     0,  1099,     0,     0,     0,     0,
       0,  2307,  2330,   285,   304,     0,  1276,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   327,     0,     0,   330,   329,     0,     0,     0,
       0,     0,   334,   313,     0,   314,     0,     0,   333,     0,
       0,   601,   602,     0,     0,     0,     0,  1277,     0,   277,
       0,     0,     0,     0,     0,     0,     0,  1187,     0,   728,
       0,     0,     0,     0,     0,  1346,     0,     0,   158,     0,
     153,   157,     0,     0,     0,     0,   584,   585,   598,     0,
     589,   590,   587,   591,   592,     0,     0,     0,     0,     0,
       0,     0,   583,     0,     0,   695,   694,   698,     0,     0,
       0,  1355,     0,  1167,     0,     0,  1354,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1224,  1223,     0,
       0,     0,     0,     0,     0,   840,     0,     0,     0,     0,
       0,     0,     0,     0,   160,   715,     0,   714,     0,   154,
     159,     0,     0,     0,     0,     0,     0,     0,   216,  1405,
    1411,  1473,  2187,  1472,     0,     0,     0,     0,   953,     0,
       0,     0,     0,     0,     0,     0,   945,   946,   947,   948,
       0,     0,     0,     0,     0,   395,     0,     0,     0,  2218,
       0,   828,   800,     0,     0,     0,   814,     0,   817,   820,
       0,  1424,   467,     0,     0,   627,   673,     0,     0,   451,
     167,     0,     0,     0,     0,   730,     0,     0,     0,  1341,
     129,   176,   178,   449,     0,   177,   179,   181,   182,   183,
     180,   184,     0,   692,   696,     0,     0,     0,     0,   623,
       0,     0,     0,     0,     0,   743,   747,   746,   750,   748,
       0,   744,     0,     0,  1767,     0,     0,   152,     0,     0,
     574,   578,     0,     0,     0,     0,   451,   550,   356,  2330,
       0,   509,     0,  2330,     0,  1073,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,   345,  1138,     0,  1446,     0,
       0,     0,   345,  1841,  1840,  1793,  1789,     0,     0,     0,
       0,   913,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1809,   345,  1102,   166,  2214,     0,   881,     0,     0,
       0,     0,   345,  1189,   869,   162,   345,   626,     0,   345,
     164,     0,     0,     0,   618,   345,   907,   345,  2182,     0,
     345,  1529,  2330,   509,  1502,  1513,   996,  1005,  1004,  1002,
    1001,   997,     0,  1016,     0,   508,     0,     0,     0,  1030,
    1031,     0,     0,  1029,  1032,     0,  1034,  1026,  1025,  1035,
    1036,     0,     0,  1052,   709,     0,     0,     0,     0,  1568,
       0,  1566,     0,  1745,  1570,  1559,  1521,     0,  1520,     0,
     567,     0,     0,  1221,     0,     0,  1013,     0,     0,   345,
    1397,     0,   972,   978,     0,     0,     0,     0,     0,     0,
     981,   982,   983,   974,   984,   975,   985,     0,   976,     0,
       0,     0,     0,  2166,  2116,     0,  2117,     0,     0,  2152,
    2148,     0,     0,     0,     0,     0,  2121,  2124,  2125,  2126,
    2123,  2127,  2122,     0,     0,  2128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2541,     0,     0,     0,     0,
    1933,     0,     0,  2076,     0,  2105,  2138,     0,     0,     0,
       0,     0,     0,  2105,  2144,     0,     0,     0,     0,  2035,
       0,  2032,     0,     0,     0,     0,  2165,     0,     0,  2199,
    1870,  1884,  1885,  1886,  1890,  2173,     0,  2167,     0,     0,
    1871,  1898,     0,  2145,  1925,     0,  1930,  1913,     0,  1906,
       0,  1911,  1915,  1894,     0,  1891,     0,  2168,  2104,     0,
    2102,     0,  1881,  1882,  1883,  1875,  1876,  1877,  1878,  1879,
    1880,  1887,  2080,  2078,  2079,     0,     0,     0,  2056,     0,
       0,  1910,  2323,  2357,     0,  1634,  1634,  1634,  1622,  1632,
    2172,     0,  1762,     0,     0,     0,     0,  1972,     0,  2109,
    1643,  2107,  1121,  1762,  2178,     0,     0,  1866,     0,  1743,
    2159,  2162,   915,   916,   914,  1498,  1481,  1477,  1476,  2106,
    1497,  1621,     0,  1086,  1087,     0,  1091,     0,     0,  1663,
    1696,     0,  1687,     0,  1667,  1668,  1659,  1697,  1572,     0,
    1692,  1604,  1603,     0,  1765,     0,     0,     0,  1550,  1538,
       0,  1748,     0,  1702,  1576,     0,  2165,  1700,  1319,  1225,
    1284,  1119,     0,  1811,  1130,     0,  1114,     0,  1113,  1811,
       0,  1131,     0,  1811,  1320,  1226,  1285,   911,  1321,  1227,
    1286,  1322,  1228,  1443,  1431,  1430,  1429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   778,  2330,   345,  1452,  1323,     0,  1229,   341,  1453,
    1287,  1457,   796,   795,     0,     0,  1288,     0,   636,     0,
     640,     0,   642,   643,   644,     0,     0,     0,   645,     0,
    2258,  2314,   647,   650,   657,   662,   652,     0,     0,   664,
     658,     0,     0,     0,     0,     0,     0,   670,   675,     0,
       0,     0,     0,     0,     0,     0,  1147,  1148,  1324,  1232,
       0,  1289,  1097,     0,  1233,   168,     0,     0,   270,  2330,
     287,     0,   677,   778,  1279,   311,     0,     0,   326,   321,
     322,   320,  2330,   345,  2330,   345,     0,     0,     0,     0,
       0,   323,   318,   319,   315,     0,     0,   328,  2234,  2299,
    2450,     0,   681,   683,     0,   688,   331,  1251,   352,   351,
     350,     0,   335,     0,   357,   360,   332,   309,   312,   310,
     306,   282,     0,     0,     0,     0,     0,     0,     0,     0,
    2185,     0,     0,  1182,     0,  1327,  1290,     0,  1310,     0,
       0,     0,     0,   722,  1347,  1349,  1339,  1239,  1348,   156,
    1266,   145,     0,     0,   141,     0,     0,     0,     0,   135,
       0,  1330,  1240,     0,     0,   274,   577,   588,   593,  1245,
     597,   594,  1300,   595,  1337,  1241,  1333,  1269,  1295,  1340,
    1356,  1242,  1167,  1351,  1353,     0,  1277,     0,   264,   266,
       0,   284,     0,  1243,     0,  1293,  1332,  1268,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1460,     0,     0,
       0,     0,     0,     0,   345,     0,     0,     0,  1279,  2330,
     345,  1331,     0,  1274,     0,  1308,     0,   383,     0,  1267,
       0,     0,   276,  1247,  1302,     0,     0,   214,   213,   215,
     962,   922,   961,     0,  2297,     0,   921,   923,     0,     0,
       0,   924,     0,     0,     0,     0,   920,   918,   919,   394,
       0,   419,   392,   393,   395,     0,     0,   827,     0,     0,
       0,     0,   816,     0,     0,     0,  1450,     0,   132,   634,
       0,     0,     0,   629,   672,   677,     0,     0,     0,     0,
     450,   454,   458,   459,   460,     0,     0,     0,     0,   146,
     133,     0,   858,     0,   509,     0,   732,  1345,  1344,  1166,
       0,   178,   171,     0,     0,   693,     0,  1498,     0,     0,
     356,   811,   809,   808,   810,     0,     0,     0,   832,   807,
       0,  1766,  1768,     0,     0,     0,     0,     0,     0,   567,
     453,     0,     0,   512,     0,     0,   554,     0,     0,     0,
       0,   356,     0,     0,     0,  1108,     0,  1126,  1109,     0,
       0,     0,     0,  1160,  1167,  1161,  1139,     0,     0,   606,
    1591,  1592,     0,  1179,     0,     0,  1810,  1823,   880,     0,
    1851,  1850,  1852,  1852,     0,  1794,     0,  1835,  1860,  1861,
    1862,  1863,  1864,  1865,     0,  1859,  1803,  1177,   345,     0,
     345,     0,   345,  1181,  1361,     0,   878,     0,     0,   345,
     871,   873,     0,   875,     0,  1017,   511,     0,     0,     0,
       0,  1028,   604,  1033,     0,  1045,  1040,  1042,     0,  1046,
     708,     0,     0,  1569,  1562,  1564,  1563,     0,     0,  1560,
    2113,   870,     0,   573,  1213,  1214,     0,     0,   345,     0,
    1047,     0,     0,   979,   973,     0,     0,   977,     0,   980,
       0,     0,  1639,  2114,  2115,     0,     0,     0,  2149,     0,
       0,  2010,     0,  1986,  1988,  2000,     0,  2011,  1971,  2012,
    1990,  1992,     0,  2096,     0,     0,  2001,     0,  1935,  1936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1951,  1950,  2002,
    2075,     0,     0,  2136,  2137,  2003,     0,     0,  2143,     0,
       0,     0,  2008,  2013,     0,     0,     0,     0,  2019,     0,
    2040,     0,     0,     0,  1961,  2106,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,  1914,  1908,     0,  1912,  1916,
       0,     0,     0,  1902,     0,     0,  1900,  1926,  1896,     0,
       0,  1927,     0,     0,     0,  1979,     0,     0,  1634,  1634,
    1634,  1634,  1631,     0,     0,     0,     0,  2436,  2561,     0,
    1726,  1701,  1703,  1713,  1726,  1731,  1726,  1981,  1760,  1982,
       0,  2179,     0,  1672,  1643,  1643,  1643,  1978,     0,     0,
       0,     0,  1642,  1672,   190,     0,   223,   210,  2161,     0,
    1479,     0,  1646,     0,  2097,  1091,     0,  1648,     0,     0,
    1694,  1656,  1573,  1557,     0,  1555,  1542,  1544,  1543,     0,
       0,  1545,  2165,     0,  1555,  1537,  1581,     0,     0,  1765,
       0,  1580,     0,  1811,  1111,  1112,     0,  1135,     0,  1057,
    1058,     0,  1056,     0,     0,     0,   497,  1075,     0,     0,
       0,   778,     0,     0,   501,     0,  1455,     0,  1338,  1265,
     638,   639,     0,   651,     0,   660,   659,     0,     0,     0,
       0,     0,     0,     0,   646,   666,   610,   667,   669,     0,
       0,   668,   671,   674,  1277,     0,   706,  1253,     0,  1306,
    1141,  1280,     0,  1100,     0,     0,     0,     0,     0,     0,
     467,   305,     0,     0,     0,   365,     0,   289,   297,   363,
     303,     0,  1283,   337,     0,   308,     0,   301,   324,   316,
     325,   317,   336,   338,     0,   685,   686,   684,   680,     0,
     687,   689,     0,   354,     0,     0,     0,  1326,     0,  1277,
       0,   278,     0,  1249,     0,  1304,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1309,     0,     0,
       0,     0,   727,     0,   724,     0,     0,   138,   137,     0,
     144,     0,     0,     0,     0,     0,  1357,     0,     0,     0,
       0,     0,     0,     0,   283,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   384,   347,     0,   835,     0,     0,     0,   386,
       0,     0,     0,     0,     0,  1325,  1234,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,   397,   398,   132,
     396,     0,     0,   826,  2386,  2083,  2084,   824,   830,   821,
     823,   825,   822,     0,   829,   778,     0,     0,   813,   818,
     819,     0,     0,     0,     0,     0,   482,     0,     0,     0,
     473,     0,     0,  1167,   466,   469,   470,     0,     0,   630,
     633,   631,   632,   665,     0,   453,   489,   536,     0,   148,
       0,     0,   149,   147,     0,     0,   356,   729,     0,   726,
       0,   174,   449,     0,   697,     0,     0,     0,  1167,   622,
     749,   752,   745,     0,   831,   833,   805,     0,   677,     0,
       0,   579,     0,   509,  1530,   562,     0,   538,   453,   536,
     548,   547,   549,     0,   556,   355,     0,     0,   567,   556,
       0,     0,  1076,  1107,     0,     0,     0,  1157,  1162,  1158,
       0,     0,  1122,     0,  1159,  1140,  1094,  1377,  1378,  1375,
    1376,     0,     0,     0,  1583,     0,  1829,     0,  1847,  1845,
    1790,  1795,  1868,   882,     0,   865,     0,   867,   345,   716,
       0,   619,   345,     0,     0,     0,     0,  1027,     0,  1043,
       0,     0,  1010,  1049,     0,     0,  1567,  1565,   565,     0,
    1052,     0,  1011,  1051,     0,     0,     0,     0,     0,     0,
       0,  2118,     0,  2151,  2147,     0,  1983,  2119,     0,  2131,
    2130,  2076,     0,     0,  1934,  1946,  1947,  1948,  2132,     0,
    1956,     0,     0,  1943,  1944,  1945,  1937,  1938,  1939,  1940,
    1941,  1942,  1949,  2141,  2140,  2134,  2135,     0,  2005,  2006,
    2007,  2142,  2014,     0,  2249,  2041,  2018,  2034,  2033,     0,
       0,     0,  2021,     0,     0,  2030,     0,  2077,  2200,  1872,
       0,     0,  1899,  2146,  1917,     0,     0,     0,  1895,  2096,
       0,     0,     0,     0,     0,  1904,     0,     0,     0,  2059,
    2054,  2055,  2073,     0,     0,     0,     0,     0,     0,  1625,
    1624,  1630,  1726,  1731,  1726,     0,     0,  1606,     0,  1713,
       0,  1725,  1711,  1724,     0,     0,  1737,  1735,     0,  1737,
       0,  1737,     0,  1705,     0,  1727,  1707,  1724,  1709,     0,
    1752,     0,  2180,  1761,     0,  1685,     0,     0,     0,     0,
    2110,  2111,     0,  2108,  1973,  1685,     0,  2160,  1619,     0,
    1647,  1089,  1090,  1664,  1657,  2277,  1763,     0,  1556,     0,
       0,     0,  1547,  1553,  1535,     0,     0,  1577,  1555,  1578,
    1132,     0,     0,  1124,  1063,  1066,  1064,  1062,  1065,     0,
       0,     0,   778,     0,     0,   517,     0,  1083,  1083,     0,
       0,   503,   559,  1167,   781,     0,     0,     0,   779,   345,
    1230,     0,   661,     0,     0,   656,   654,   653,   655,     0,
     611,  1336,  1231,     0,     0,     0,     0,  1142,     0,     0,
    1252,     0,   286,     0,   463,     0,   298,     0,   294,     0,
    1278,     0,     0,     0,     0,   293,   367,     0,   364,     0,
     345,   345,   339,   682,   353,   358,   359,   362,     0,     0,
       0,     0,     0,  1282,     0,     0,     0,     0,     0,     0,
       0,   859,   842,     0,     0,   860,   861,     0,     0,     0,
    1184,  1185,  1183,  1311,  1312,  1317,  1314,  1313,  1316,  1318,
    1315,     0,  1237,     0,     0,   720,   142,   139,   140,   143,
    1263,  1246,  1301,  1352,     0,     0,     0,  1244,     0,  1294,
       0,  1259,  1255,     0,     0,     0,     0,     0,  1335,  1273,
    1299,  1334,  1271,  1297,  1270,  1296,  1272,  1298,     0,  1264,
       0,  1770,   839,     0,     0,     0,   345,   345,   838,   718,
    1248,  1303,     0,     0,   925,     0,     0,   927,   928,     0,
     930,   402,   422,   738,   798,     0,     0,   815,   777,     0,
     471,     0,   477,   480,     0,     0,   484,   485,   483,   472,
    1167,   509,   558,     0,     0,   788,     0,   628,     0,   451,
       0,   486,     0,     0,   455,   151,   150,     0,     0,     0,
     733,   737,   735,   734,   736,   731,     0,   722,   178,  2330,
       0,     0,     0,     0,   560,  1350,     0,   762,   806,     0,
    1769,   712,     0,   356,   575,     0,     0,     0,   451,   567,
       0,   456,   461,   462,   467,     0,   550,   537,     0,   538,
       0,     0,   564,  1422,     0,   568,   570,     0,     0,     0,
    1110,  1127,  1128,     0,     0,  1167,     0,     0,     0,     0,
     613,   345,  1791,   345,   345,  1210,     0,   876,  1039,  1038,
    1037,   605,     0,  1041,   710,     0,   566,   345,     0,   987,
     967,   986,   966,   968,     0,   965,   963,   964,  2150,  1999,
    2009,  2129,  2075,  2106,     0,     0,  1957,     0,     0,  2004,
    2551,     0,     0,     0,     0,  2038,  2039,  2020,     0,  2376,
    2025,     0,     0,     0,  1923,  1921,  1918,     0,  1919,  1903,
       0,     0,  1901,  1897,     0,  1928,  2045,     0,  2061,  2058,
    2072,  2106,  1629,  1628,  1627,  1626,  1712,  1708,  1710,     0,
    2556,     0,  1715,  1722,     0,  1704,     0,  1736,  1732,     0,
    1733,     0,     0,  1734,     0,     0,  1706,     0,  1722,     0,
    1759,  1643,     0,     0,  2050,  1976,  1977,  1974,  1643,  2197,
    2050,   224,     0,     0,  1554,  1539,     0,  1540,  1546,     0,
       0,     0,     0,  1582,  1575,  1125,  1133,     0,     0,     0,
     499,     0,  1167,     0,     0,     0,  1085,  1085,     0,  1167,
     558,   783,   782,   785,   780,   784,  1456,     0,   648,   649,
     663,  1254,     0,  1307,  1261,     0,  1571,   288,     0,   678,
       0,     0,   290,   366,   368,   291,   292,   295,   347,   307,
     300,     0,     0,     0,  1250,     0,  1305,  1257,  1328,  1235,
    1291,     0,     0,   848,     0,     0,     0,     0,  1329,  1236,
    1292,     0,     0,     0,     0,  1571,     0,     0,     0,     0,
       0,     0,     0,  1465,     0,  1281,   346,   837,   836,   347,
     385,  1275,     0,   926,   931,   932,   929,     0,   391,   399,
     423,   132,     0,     0,  1201,  1201,     0,   778,     0,     0,
     468,   481,     0,   558,   516,     0,   474,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   725,   724,   173,     0,   451,     0,   677,     0,   756,
     757,   751,   753,     0,   764,   768,   834,     0,     0,   567,
     453,     0,     0,  1528,   452,     0,     0,   464,     0,   554,
     538,   550,     0,   551,     0,   555,     0,  1415,     0,     0,
       0,     0,  1163,     0,  1169,     0,  1121,  1092,  1164,     0,
    1762,     0,     0,     0,     0,   617,  1202,   866,   868,   717,
    1044,     0,  1048,   345,   969,  2077,  1952,     0,     0,     0,
       0,  2015,     0,  2016,  2043,  2042,  2022,  2026,     0,  2023,
    2024,  1920,  1924,  1922,  1905,  2047,     0,  1643,  2074,  1755,
       0,  1758,     0,     0,  1714,     0,     0,  1716,     0,     0,
    1718,  1720,     0,     0,     0,     0,     0,     0,  2183,     0,
    2276,  2525,  2435,     0,  1671,  1673,  1676,  1678,  1677,  1679,
    1675,  1684,     0,  1608,     0,  1607,  2098,  1764,     0,     0,
       0,  1077,     0,  1579,  1045,     0,   345,  1083,   558,   518,
    2386,   519,  1082,  1084,  1088,  1088,     0,   558,   778,   641,
       0,     0,   271,   676,     0,     0,   299,   349,   361,     0,
    1571,     0,     0,   846,   855,   855,   843,     0,     0,   862,
    1238,   721,     0,     0,   267,  1260,  1256,     0,     0,  1467,
    1468,     0,     0,     0,     0,     0,   345,   934,     0,   425,
     432,   403,   408,  1459,     0,  1459,     0,   405,   409,  1459,
     404,  1459,   401,   402,     0,  1201,     0,  1198,  1197,   776,
       0,   507,   581,   475,     0,   527,     0,     0,   789,     0,
       0,   453,   536,     0,   496,   495,   491,   490,   492,   493,
     494,   488,   487,     0,   677,   852,   356,  1422,   719,     0,
       0,   690,     0,   754,   759,   758,  1459,   763,     0,     0,
       0,   677,     0,   563,   538,   453,   536,   457,   467,   540,
       0,   541,   556,   550,   554,   552,   553,     0,     0,     0,
     567,  1469,  1076,     0,  1168,     0,     0,     0,     0,     0,
       0,  1205,   612,     0,     0,   616,   607,   677,  1012,  1953,
       0,  1954,     0,     0,     0,  2028,  2027,     0,  2064,  1760,
       0,     0,  1754,     0,     0,  1784,     0,     0,     0,  1723,
    1739,     0,  1719,  1717,     0,  1728,     0,  1730,  1973,     0,
       0,     0,  1680,     0,  2049,  2051,     0,  1975,     0,  1552,
    1762,     0,  1549,     0,  1059,     0,  1060,  1085,   522,     0,
    1091,  1091,   509,   778,   500,  1262,     0,   679,   581,     0,
     302,     0,   279,  1258,     0,     0,   857,   857,     0,     0,
       0,     0,   379,   378,   373,   380,     0,   376,   372,   371,
     374,     0,  1461,     0,  1462,  1463,  1466,   387,   400,     0,
     430,     0,   428,   427,   429,     0,   416,     0,     0,     0,
       0,     0,     0,   390,   421,  1196,  1200,  1199,     0,     0,
     476,     0,   478,   513,   514,   515,     0,   479,   523,   524,
       0,   786,     0,   791,     0,     0,     0,   677,   535,   701,
       0,     0,     0,  1416,     0,     0,   561,     0,   765,   766,
     761,     0,     0,   713,  1422,   550,     0,   538,   465,     0,
     438,   554,   556,     0,  1419,     0,   569,     0,   356,  1167,
    1170,  1165,  1381,     0,     0,   615,   614,   707,  1955,  2031,
    2017,  2044,  2029,  2060,     0,     0,     0,  1753,  1756,     0,
    1787,     0,     0,     0,     0,  1773,     0,  1721,     0,     0,
    1729,     0,     0,     0,  1674,     0,     0,  1541,  1551,  1078,
       0,     0,  1088,     0,   778,     0,  1080,  1079,   516,   502,
    1571,   296,   348,     0,     0,     0,   853,   856,   844,   845,
     864,   863,   723,  1571,     0,     0,   369,     0,     0,   426,
     435,     0,   433,   406,   411,     0,   415,   413,   412,   407,
     410,     0,   506,     0,     0,     0,     0,   525,     0,   526,
     557,     0,   790,     0,     0,     0,   703,   851,     0,     0,
     451,   677,   755,   760,     0,     0,  1417,   554,   538,   550,
       0,     0,   542,  1083,  1083,   556,   436,  1420,  1421,     0,
     556,  1093,  1380,  1379,  1621,     0,     0,  2512,  2277,  2484,
       0,  2062,  2065,  2063,  2057,     0,     0,  1785,  1786,  1771,
       0,     0,  1775,  1738,  1751,  1682,     0,  1681,  2052,  2053,
    1762,   345,  1091,     0,   504,   520,   527,   272,  1571,   847,
       0,   268,     0,   377,   375,  1464,   431,     0,   414,   768,
     580,   532,     0,   531,     0,   529,   528,   787,   792,     0,
     677,   841,  1422,   691,   767,     0,   556,   550,   554,     0,
     539,     0,  1085,  1085,   440,     0,  1762,  1363,  1621,  1362,
    1364,  1372,  1369,  1371,  1370,  1368,  1208,  1209,     0,  2069,
    2068,  2067,  2071,  2070,  1757,     0,  1774,  1777,     0,     0,
       0,  1783,  1776,  1778,     0,  1749,  1683,  1548,  1061,  1081,
       0,   778,   280,   854,     0,   434,     0,   530,   534,   533,
     677,   702,  1418,   771,   439,   554,   556,  1083,   543,   545,
     544,   356,  1067,     0,  1373,  1367,  1606,  1593,     0,     0,
       0,     0,  1780,  1781,  1782,  1779,     0,   521,   505,     0,
       0,   704,   773,     0,   769,   772,   774,   775,   556,   437,
    1085,   556,  1365,  1621,     0,     0,  2066,     0,     0,   370,
       0,   739,     0,   441,   546,  1762,  1366,     0,     0,     0,
    1750,     0,   770,  1068,     0,     0,  1772,   771,     0,     0,
       0,  1206,  1207,   740
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    52,    53,    54,    55,  1491,  2410,  2280,  3159,  3160,
      56,    57,  1487,    58,    59,    60,    61,  1410,    62,   993,
    1632,  2425,    63,  2121,   760,   761,   762,  1942,  1943,  2359,
    1944,  1932,  1296,  1769,  1431,   734,   735,  1392,  1432,    65,
      66,  1290,  1923,    67,    68,    69,  1461,  1537,  1462,  1404,
    1678,  4181,  4900,  2972,  2248,  3208,  2973,  2974,  3578,  3579,
    3654,  4915,  4921,  4916,  4917,    70,  1553,  1554,    71,    72,
    3124,  3120,  3699,  4518,  4519,  4752,   570,  2387,  4521,  4522,
    4738,  4739,  4933,  5071,  5072,  2426,  1624,  3202,  3787,  3150,
    4270,  3151,  4271,  3152,  4272,  3136,  3734,  3735,  4215,  3736,
    3153,  4231,  4781,  3154,  2140,  4950,  2467,  1791,  1789,  4765,
    4044,  4045,  5044,  4957,  4958,  4959,  5175,  4233,  4276,  4277,
    4810,  5111,  5112,  3206,  3794,  4282,  4536,  2861,    74,   666,
    1658,  3303,   667,  2470,   605,   668,  2427,    79,  2460,  4952,
    2461,  1512,  2289,  4918,  3283,    80,  1017,  3545,  4605,  4835,
    4836,    81,   222,    82,  1640,    83,    84,  2405,  3143,    85,
    2157,  2878,    86,    87,  2907,  2908,  2909,    88,  3570,  4458,
    1463,  2961,  2962,  2963,  2964,  3600,    89,  1635,  2434,  2435,
      90,    91,    92,    93,  2576,  2577,    94,  2346,    95,    96,
      97,    98,  3634,  4145,  4247,  3003,  3166,  3759,  4245,    99,
    2428,  1648,  2450,  2451,  4257,  4561,  4562,  4563,  4796,  5102,
    4565,  4798,  4980,  4800,  5273,  5274,  4527,  3524,  4058,   101,
    4224,  4225,  4964,   102,  2155,   103,   104,   105,  1608,  2397,
    2398,  3708,  1601,  2390,  2391,  3773,  3774,   106,  3077,   107,
    4121,  4122,   606,  4971,  4906,  5058,   108,   109,  4125,  4126,
     110,   111,   112,   113,   114,   658,   659,   660,  1105,  1106,
    2833,  1057,   115,  2040,   116,   956,   957,  3101,   117,  1183,
    2620,  2621,  4320,   118,   691,  1124,  1125,  2429,   120,   700,
    2596,   702,  1804,  3285,  3286,  3852,   121,   122,  2573,  2599,
     123,  1397,  2131,  2132,  4039,  2430,   607,  1664,  2474,  2856,
    4680,  4681,  4436,  4694,  2786,  3477,   125,   608,  1436,  2204,
    1077,  1078,  2477,  3216,  2100,  2101,  2102,  3811,  2103,  3218,
    2104,  1369,  2105,  1027,  1028,  3224,  3225,  3226,  3807,  3814,
    2419,  4594,  4595,   126,  1434,  2202,   127,   128,   129,  1475,
     878,  1087,  1088,   130,   620,   621,   131,  4757,   132,  1031,
     133,  4603,   134,   135,   725,   726,  1167,  1168,   136,   137,
    2218,  3581,   138,   139,   140,  2997,  2998,  4137,   141,   142,
    1627,  1628,   143,   144,  3042,  3043,   145,   146,   147,  5199,
    5253,  5254,  5255,  3821,  5124,  5201,  1155,   149,   150,   151,
     188,   916,   917,   918,  2431,  4587,   153,   154,  1393,  1394,
    1395,  1396,  2126,   155,   156,   157,   158,   159,   160,   161,
    1612,   162,   163,  4731,   164,   165,  1572,   166,  1326,  1327,
     167,   168,   564,   778,  1330,  1336,   169,   670,  1118,  1119,
    1120,  1771,   170,  1163,   959,   671,  1113,   172,   672,  2084,
    2808,  3489,  3490,  3491,  3494,  4421,  4018,   673,  2804,   175,
    1811,  2582,  2585,  2800,   674,  2813,  2814,  2815,  3497,   675,
     693,  1020,  2483,   676,  1257,   180,   181,   182,   787,   781,
     782,   184,  1916,  2748,   709,  1343,   747,   748,   795,  3462,
    2052,  2053,  2075,  2076,  1352,  1353,  2065,  2067,  2788,  2068,
    2796,  2058,  3995,  4664,  4665,  4666,  4667,  4668,  4669,  4404,
    2071,  2072,  1355,  1356,  1357,  2080,   185,  2752,  3441,  3442,
    3443,  3971,  3972,  3986,  3982,  4388,  4650,  3444,  1153,  1363,
    4396,  5225,  3445,  4639,  4640,  4852,  3990,  3453,  3485,  3190,
    3191,  3192,  3446,  5024,  5025,  5222,  5223,  4854,  4855,  2106,
    1708,  1059,  1258,  1060,  1720,  1259,  1692,  1062,  1260,  1261,
    1262,  1065,  1263,  1264,  1265,  1068,  1684,  1266,  1267,  1702,
    1717,  1718,  1331,  4856,  1269,  1270,  1271,  3448,  1272,  3925,
    4352,  4341,  2680,  2681,  1939,  3921,  3386,  1911,  2738,  4673,
    4874,  4875,  3425,  3950,  4368,  4637,  5016,  5131,  5132,  1273,
    1274,  1275,  2735,  1907,   881,  1276,  3710,  1909,  2674,  2760,
    2761,  1814,  1834,  2627,  2643,  2644,  2654,  3345,  2662,  2667,
    3373,  3374,  2675,  2704,  1277,  2629,  2630,  3329,  1836,  1278,
    1319,  1951,  1370,  1831,  2699,  1286,  1279,  1280,  1805,   771,
    4646,  1109,   837,  2989,  2031,   920,   706,  1281,  1282,  1283,
    1284,  1468,   852,  1080,  1081,   560,   831,   854,  2965,   561,
     562,   833,  2036
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4583
static const int yypact[] =
{
    9436,   810, 12815, -4583, -4583,   810, -4583, 65551,   434,   654,
    1021,   165, 13899, 65999, 73167,   900,   828, 14963,   810, 73167,
    1568, 50319, 62415,   845, 73167,  1129,   858, 50319, 73167,  1778,
   73615,  1121,  1272,   886, 74063, 66447, 61071,  1442, 73167,  1247,
    1349, 74511, 66895,  1184, 67343,   858, 46763,   326,  1137, 74959,
   73167,  2388,  1699,  1312, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,   434, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,  1645,
   -4583,   957,  1831,  1433,   978,  1140, -4583, -4583, -4583, 58831,
   73167, 73167, 73167,  1564, 73167,  1419, 73167,   320, 58831, 54799,
   67791,  1671,  1481, 43173, 75407, -4583, 73167, 53007, 73167, 73167,
   75855, 73167, 73167, 73167,  1361, 63759, 73167,  1607, 73167, 73167,
   53455, 76303,  1754,  1224, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, 73167, 15410,  1129, -4583, -4583,  2388,
   73167,  1738, 58831, 73167,  1546, 76751,  1631, 73167, -4583, 73167,
    1648, 77199,   443,  1956, 54799,  2009, 43622,  1747, 73167, 73167,
   54799, 77647, 78095, 78543, 73167, 73167, -4583, -4583,  1741, 73167,
   73167, -4583,  1878, 55247,  1535,  1904,  2098,  2004,  1278, -4583,
   68239, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, 57935,
     828, -4583, -4583,  1862, 59279, 73167,  2028, -4583, -4583, 78991,
   94153,  1838, -4583,   459, 59727, 55695,  2146,  1833, 44071,  2229,
   -4583, -4583, 56143, -4583, -4583, -4583, -4583, -4583, 79439, -4583,
   79887,  1927,  2028, -4583, 94587, 56591, -4583,  2079, 80335, 80783,
   81231, -4583,  1819,  1515,  1403, 39108, -4583, -4583, -4583,   434,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,   191,  1820,
     209,   206,   293, -4583, -4583,   208,   213,   215,   191,  2287,
    2287, -4583, 73167, -4583, -4583,  1820,    36,  1849,  1849,  1849,
    2103,   -23, -4583,  1849,  1984, -4583, -4583, -4583, -4583, 67343,
   -4583,  1902, 68687, 73167, 69135,  1129,  1909,  2356,  1917, -4583,
   -4583, -4583, -4583, -4583,  1977, 73167, 73167, 73167, -4583, -4583,
    2365,  1992,  2206,  1946, -4583, -4583, -4583,  2159,  2167,  2213,
      98,  1129,  2066, -4583,  2325, -4583,  2240, 27638, 27638,  1129,
   69583, 81679,   258, 57935,  1129, 70031,  2102,  1200,  2255, -4583,
   -4583, -4583,   650, -4583,  2513,  2115,  2349,  1946,  1224, 40460,
   -4583,  2120,   785, 67343, -4583, -4583, -4583,   332,  2425, 29498,
   73167,  2126, -4583,  2124,  2126,  2142,  2161,  1433, -4583,  9436,
   73167,  1421,  1421,  2552,  1421,  1877,  1905, -4583,  2007, -4583,
    2458,  2426, 67343,  2170,   214, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,  1476,  2176,
     785, -4583,   241, -4583,  1492,  2179,  1487,   967, -4583, -4583,
     234, 73167,   207,  2220, 70479,  6278,  2241,   785,  2245, -4583,
   -4583, -4583,  2395,  1071, -4583, -4583, -4583, -4583,  2533,  2579,
    6185,   306, 70927, -4583, -4583, -4583, -4583, 73167, 73167, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,  2259,  1077,
   -4583, -4583,  2261,  2583,  2472,   776,  2560,  2430,  1031,  2485,
    1618,  2608,  9287,  1190,  1651,   889, 68687, 73167,  2574,  2612,
    7016,  1425,   709,  2503,  1202,  2560,  2633,  2476,  1031,  2657,
    9008, 73167, -4583,  2588,  2699,   677, -4583,   108, -4583,  2406,
    2553,    52,  2585, 58831,  2362, -4583, -4583, 73167, -4583, -4583,
   95021,  2434, -4583,   678, 58831, -4583,  2582,  2433, 44520, 73167,
   -4583, -4583, 73167, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
    2518,  2709, 73167, 95021, -4583,  2656, 73167, 73167, -4583,  2401,
   -4583, -4583, -4583, -4583,  1849, 73167,  2403,  2806, 95021,  2621,
     114, 73167,  1592,  2838, 73167,  2625,  1592,  2441, 82127, -4583,
   -4583,  1592, -4583, -4583, -4583, 73167, 73167,  2411,  1503,  2613,
    2723,  1592,  2630,  2842,  2843,  2637,  2491,  2639,  2124,  2809,
    2614,   903,  1204,   175,  1952,  1592,  2474, 82575, 83023, 73167,
    2475, 73167,  2821, 58831, 73167,  2746, -4583,  2603, -4583, -4583,
    1134, -4583, -4583, -4583, -4583, -4583,  2760, -4583,   155,   229,
    2761,  2440,  2768, -4583, -4583, -4583,  2496, -4583,  2496,  2496,
    2450,  2450,  2627,  2452,  2777, -4583, -4583, -4583,  2154,  2496,
    2450, -4583, 95889, -4583,  1561,  1611, -4583,   182, -4583,  2890,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,  2459, -4583,
     966,  1993, -4583, -4583,  2494, -4583,  2784,   185, -4583,  2786,
   -4583,  2463, 83471, -4583, 83919, 84367,  2791,   269, -4583, 54799,
    2792,  2463,  2795,   229,  2797, -4583,   914,  2781,  2798,   182,
    2799,  1954,  2463, 58383,  2801,   288, -4583,  2807,   316, -4583,
    2808,  2688, 29498, -4583,  2580, -4583,  1137, -4583,  1737, -4583,
   49423, -4583,  1403,  1820, -4583, 73167,  1820, 73167,  1820, 73167,
    1820, 73167,  1820, 73167, 73167, 73167,  1820, -4583, -4583, -4583,
   73167,  2489, 73167, 73167, -4583, -4583, -4583, 62863, 54799, 63311,
   -4583, 73167, -4583,    89,  1129, -4583, -4583, -4583,  1289, -4583,
    1946, -4583, 95021,  2923, 54799,  2821, -4583,  1764, -4583, -4583,
   -4583, -4583, -4583, -4583,  2740, 73167,  2812,  2815, 62863, 54799,
   -4583, 84815, 57935,  2697,  2498, -4583, -4583, -4583, -4583, -4583,
    2008,  2961,   192,  2968, 29498,  2507,   192,   192,  2509,  2824,
   -4583, -4583, -4583,   244,  2515,  2516, -4583,   199,   199, -4583,
    2517,  2519, -4583,   220,  2520,  2523,  2980,  2987,   225,  2526,
    2527,  2529,  2154,   192, 29498, -4583,  2531,   199,  2534,  2536,
    2537,  3000,  2539, -4583,  3003,  2542,   318,   338,  2543,  2544,
   -4583,  2517, -4583,   245,  2545,  2554,  2555,  2556,  2559,  2561,
    2562,  2563, 29498, 29498, 29498, -4583, 26243,   785,  1129, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583,   262,  5583, -4583,
    2589, -4583, -4583,  2742, -4583, -4583, 29498, -4583, -4583,    87,
   -4583,   264, -4583, -4583, -4583,   785,  2823,  2564, -4583, -4583,
     276,  2565, -4583,   376, -4583, -4583, -4583, -4583, -4583, -4583,
   57039,  2997, -4583,   349,  1129,   108,  1416,  2939, 48527, 48975,
   -4583, -4583,  2814, -4583, 73167, -4583, -4583, 29498, 46315, -4583,
     785,   130, -4583, -4583, -4583, -4583,  1829, -4583, -4583, -4583,
     434, 13029,  1830,  2126, 73167, 73167,  3002, -4583, -4583, -4583,
    2124, -4583, -4583,  1433,  1433, 29498,  1433,   235,  1145, 28103,
   29498,  2881,  2779,   254,   742,  2883, -4583,  2782,  1877,  1905,
   67343, 73167, 85263,  2694, 29498,  2658,  2660,  2708, 47659, -4583,
     785,  2661,  2628,  2664,  2716, 51215,  2586,  2666,  2670,  2726,
   -4583,  2840, -4583, -4583,  2672,  2741,  2678, 85711, -4583, -4583,
     864, -4583, -4583, -4583,   864, -4583,  2611,  1404,   976,  1354,
    2680,   255,  1127,  2986, -4583,   201, -4583, -4583,  2733, -4583,
    6034, 73167,  2926,  9835,  2810,   306,  2811,  2730, -4583, -4583,
    2857,  2693, 73167,  2700,  2833,   306,   802, 86159, -4583, -4583,
   -4583, -4583, -4583, -4583,  4609, 25374, -4583,   -38,  2702,  2681,
    2713, 73167, 60175,   350,  2828,  2829,  1682,  2097,   197,  2763,
   73167,  1551,  2836, 73167,  2632,  2712,  2717,  2928,  2634,  2038,
    3024,  2638, -4583, -4583, -4583,  1396,  1804,  2827, -4583,  2929,
    2966,  7801,  2704,  2705, 92851, -4583,  2735,   579, 44969, 73167,
   73167,  2736,  2744,  2743,  2745,   602,  3027,  1397,  2747, -4583,
   -4583, -4583,  1397, 73167,  2748,  2749, 73167, 95889,   306, -4583,
    3081,   306,   306,  1765,  3085,  2753,   400,  2900,    81,  1592,
    2638,  1716, -4583,  2755,  2756,   279, -4583,  2876,  2769,  2770,
    2822,  1129, -4583, -4583,  2772,  2844,  2773,   631, -4583, -4583,
    2771, 67343,  2877,  2878,   178,  1287,  2638, -4583,  2776,  2778,
    2634,  2634, 73167, 73167, 73167, 73167, 73167,   195,  3123,  3125,
    2780,   161,  2837,  2706, -4583,  1397, 53903,  2785, -4583,  1397,
   73167,  2787,  1512,  2638,  1692,   110, -4583, -4583, -4583,  1224,
   -4583, 73167, -4583, 73167, -4583,  2970, 95021,  2913,  2978, -4583,
    2752, -4583,  2981,   306, -4583, 73167, 73167,  2982,  2925,  2932,
     930, 95021,  2933,  2994, -4583,  2995,  2996,  2804,  2775,  2818,
   48093, -4583,  2411,  2739,  3177,  3072, 73167, 51215, -4583,  3194,
     864, -4583, 95021,  2955,  3079, -4583, 73167,  2974,    41, -4583,
    3115,  2816, -4583, -4583,   987, 73167,   246,  2800, -4583, -4583,
    3084, 54799,  1466,  3086,  1129,  2817,  3087,  2967,  1129, 54799,
    3006, 73167, 73167, 73167, 73167, -4583, -4583,  2975,   711,   122,
   -4583, 53903,  2989, -4583, 73167,  2990,  1716,  2991,  3203,    94,
    1849, 86607,  3088, -4583, 87055,  2783,  3208, 95021,  3032, -4583,
    2063, -4583,  2907, -4583, 58831, -4583, -4583, 58831, -4583, -4583,
   -4583, 95021, 73167, -4583,  2788, -4583, -4583, 29498, -4583, -4583,
   -4583,  2287, -4583, 95021,  2496,  2496, -4583, -4583,  3214,  2863,
    2865,  2287, -4583,  2287, -4583, 95021, -4583,  2802,  2803,  2287,
    2868,  2872,  2882, -4583,  2805,  2885,  2287, -4583, -4583,  2074,
   -4583, -4583, 58831, 58831, -4583, 54799, 54799,  3108,   288,  3119,
    2854,  3121,  2860, 44969, 44969, -4583,   442, 54799, 73167, -4583,
   73167, -4583, -4583, -4583, -4583, 95021, 95021, -4583, 54799, 53903,
    3129,  3130,   229, 73167, 73167, -4583, 73167, 73167, -4583, 73167,
   73167,  1843, 87503,  1403, 57487, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, 73167, -4583, 73167, -4583, 73167, -4583, 73167,
   -4583, 73167, -4583, -4583, -4583, 73167, -4583, 73167,  1844, -4583,
   -4583,  1863,   121, 73167, 73167,   328, 58831, 73167,  3016, 73167,
   73167, 73167, 73167, 73167,  2889,  2565,   563, -4583,  1169,   450,
   67343,  3023, -4583, -4583,  1864,  2388,  1239, 73167,  1230,  1977,
   -4583, -4583, 63311, 62415,  3117,    96, 73167, -4583, -4583,  4789,
   29498,   785, 27173, -4583, -4583, 13029,  2855, 29498, 29498,  2820,
    2287,  2287, -4583,   997, 29498, 29498, 29498,  2287,  2287,  4231,
   29498, 44969, 29498, 33683, 23540, 29498, 29498, 26708, -4583, 29498,
    3040, 34607, 29498,  1416,  3041, 29498,  1416,  4231,  3274,  3274,
    1824,  6368,  2825,   785, -4583,  2287,  1105, -4583,   416, 95021,
   29498, 29498, 29498, 29498, 51215,  2902,   240, 73167, 29498,  2826,
    1221, -4583, 29498, -4583,  2831, 29498,  2912,   805, 29498, 29498,
   29498, 29498, 29498, 29498, 29498, 29498, 29498, -4583, 35957,   418,
    3133,  3148,    33,   410, 71375, 27638,  3143, 22608, -4583,   193,
    3143, -4583, -4583, -4583, 73167,  2997, -4583, -4583,  2917, -4583,
   -4583, -4583, -4583, -4583,   265, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583,  2839, -4583, -4583, -4583, -4583,  2839, -4583,  2841,
   11459,  2845, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,  3134,  3136,
     229, 73167,   332, 64207, -4583, 29498, -4583,  1865,  2851, -4583,
    3106, -4583,  2850, -4583,  9364,  3106, -4583, -4583,   302,  2973,
    3118,  3064, -4583, -4583, -4583,  2861, 13029, -4583,  1910, 13029,
    1938, -4583, -4583, -4583, -4583, -4583, -4583,  1270, -4583, 73167,
     963,  2881,   742,  2922,  1073,  3299, 73167, -4583, 40910,  1873,
   54799, 73167, 73167,  3061, -4583,  3283, -4583, 95889, -4583,  2869,
   -4583, 95455, 91535, -4583, -4583,   585, -4583,   921, 54799, -4583,
   73167, 73167, -4583, 51215, 54799, 73167, 73167, -4583, 54799, 73167,
   73167, -4583, -4583, -4583, -4583, -4583, 49871,   850, 62415,  3001,
   61519, -4583, -4583,  2874, 73167,  2931,  3135,  3137,  1310, -4583,
   -4583, 87951, -4583,  3083, 54799, 73167, 73167, 29498,  3090, 73167,
   73167, -4583,   298,  2962,  2963, -4583, 73167,  2964,  3112, 58831,
    2886, 73167, 73167, 95021,  2969,   750, 58831,  2934, 45418, 73167,
   73167, 73167, 73167,  3015,  3199, 95021, 73167,  3147,  1408, 67343,
     174,  1612,  2638,  3104, -4583,  3217,  1215, -4583, 54799, -4583,
   73167,  3095, -4583, -4583, -4583, 71823,  3322,  3007, -4583, -4583,
   88399, -4583, -4583, -4583,  1881, -4583, 54799, 54799, 73167, 10484,
   88847,  1447,  3116, -4583, -4583, 95021, -4583, 73167, 73167, 73167,
    3222,  3150, 73167, 64655, 89295, 89743,    78,  1522,  3151, 73167,
   65103,  3152, -4583,  3042, 73167, -4583, -4583, 51663, 54799, 73167,
     814, 51215, -4583, -4583, 73167, -4583,  3110,   771, -4583, 73167,
    8184, -4583, -4583,  2985,  2999, 73167,  3120,   180,  1832,  2638,
   73167, 73167,  2910,  1887, 54799, 73167, 51215, -4583,  3122,  1065,
   67343, 67343, 54799, 73167, 67343, -4583, 73167, 81679, -4583, 54799,
    1057, -4583,  3063, 54799, 73167, 13282, -4583, -4583, -4583,   306,
   -4583, -4583, -4583, -4583, -4583, 73167, 73167,   306, 73167, 73167,
     306,  1365, -4583, 54799, 73167, -4583, -4583, -4583, 54799, 73167,
   73167, -4583, 54799,  2800, 73167, 51215, -4583, 73167,  7535, 73167,
   73167, 73167, 73167, 73167, 73167, 54799, 73167, -4583, -4583,  1283,
    1405,    88,  1269,   718, 73167,  3204, 73167, 90191, 54799, 73167,
   73167,  1129, 73167,   364, -4583, -4583,  3038, -4583, 54799,  1057,
   -4583, 11625, 73167, 73167,  3004,  3005,   230,  3080, -4583, -4583,
   -4583, -4583, -4583, -4583,   282,  3354, 90639,   282, -4583,   282,
    3184,  2983,  2984,   282, 73167, 73167, -4583, -4583, -4583, -4583,
    3179, 73167,   282,   282,   282,  3093,  3138,   139,  3209,  2942,
    1891, -4583, -4583, 29498, 95021, 73167, -4583,  1906, -4583,  2943,
     711, -4583, -4583, 51215, 73167,   187,   643,  3255,  3140, 60623,
    1087,  3247, 73167,  2992, 73167,  3370,  3028, 67343,  2411, -4583,
    1087, 73167, -4583,  1870, 62415, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, 73167, -4583, -4583,  3248, 73167, 29498,  3105, -4583,
    1129,  2411,  2411,  2411,  2411, -4583, -4583, -4583, -4583,  3153,
    1799, -4583,  2945,  2411, 73167,  3066,  3272,  1087,  2958,  3281,
   -4583,  1716,  3282,  1285, 73167,  3167, 60623,  2137,  3009,  3185,
    3395,  1849,  1129,  3186,  3174, -4583, 25808,  6583,  3180,  3236,
   57935,  3275,  3277,  3293, -4583,   155, -4583,  3419, -4583, 29498,
    1913,  2993,   182, -4583, -4583,  2998,  2803,  3010,  3012,  3008,
    3011, -4583,  2287,   198,  3013,  1279,   150,  3128,  2287,  3226,
    3018, -4583,   185, -4583,  2463, -4583, 73167, -4583, 73167, 73167,
   73167, 73167,   269, -4583, -4583,  2463,   229, -4583,  3260,   182,
    2463,  3126,  3317, 57935, -4583,   288, -4583,   316, -4583,  3212,
     229, -4583,  3229,  1849, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583,  1914, -4583, 73167, -4583,  3302,  3303,  3305,  3020,
    3021,  3060, 73167,  3029,  3020,   306,  3020,  2565,  2565,  3020,
    3021, 54351,  3475,  3332, -4583,  3114,  3036,  3342,   137, -4583,
     692,    75,  3266, -4583, -4583, -4583, -4583, 95021, -4583, 54799,
    3076, 73167, 73167, -4583,   100,  3241,  3037, 54351,  3456,   229,
   -4583, 58831, -4583, -4583, 95021,  3124,  3139, 58831,  3251,  3101,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, 95021, -4583,  3301,
   73167, 73167,  1918, -4583, -4583,  1776, -4583,  1795, 29498,   181,
   -4583, 11966,  1920, 29498,  3050,  3057, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583,  3058,  3371, -4583,  1928,  1958,  1964,  3069,
    3070,  5235,  3071, 11591,  3073,  3067, 33683, 33683, 26243,  2075,
   -4583, 33683,  3074,  3263,  1969, 11479,  3075,  3077, 12061, 28568,
   29498, 28568, 28568, 12326,  3075,  3082,  1970, 51215,  3257, 12364,
    1978, -4583, 29498, 51215,  5493, 29498, -4583, 29498,  3089, -4583,
   -4583,  2624,  2624,  2624,  4231, -4583,  3094, -4583, 33683, 33683,
   -4583,  2960, 26243, -4583, -4583,  3385, -4583, -4583,  1573, -4583,
    3091, -4583, -4583,  3109, 44969,  6717, 29498,   375, 29498,  2826,
   29498,  3160,  2624,  2624,  2624,   435,   435,   257,   257,   257,
     394,   410, -4583, -4583, -4583,  3096,  3098,  3107,  3276,  3111,
   29498, -4583,  2198,  2218, 73167,  2548,  2725,  2793, -4583, -4583,
   -4583, 36858,  3146, 29498, 29498, 29498,  3113, -4583,  2351, 13029,
      84, -4583,   268,  3146, -4583,  1224,  2287,  1105, 49423, -4583,
   -4583, 29498, -4583, -4583, -4583,  2124, -4583, -4583, -4583, 13029,
   -4583,  2388, 29498, -4583, -4583,   907,  3099, 29498,  1910, -4583,
   -4583,  3144, -4583, 29498, -4583, -4583, -4583,  2565, -4583,  3325,
   -4583, -4583, -4583, 36858,  3156,  3145,   851, 40009,  3290, -4583,
   73167, -4583, 73167,   109, -4583,  3141, -4583, -4583, -4583, -4583,
   -4583, -4583, 91535,  1993, -4583, 95455, -4583, 95455, -4583,  1993,
    3508, -4583, 91535,  1790, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, 54799, 54799,  3309,
   73167,  3310,  3326, 29498,   865, 73167,  3127,  3131,  1474,  3403,
   73167, -4583,  3451,   229, -4583, -4583,  3211, -4583, 13029, -4583,
   -4583, -4583, -4583, -4583, 54799, 73167, -4583, 57935, -4583, 73167,
   -4583, 95021, -4583, -4583, -4583, 73167,  3172, 73167, -4583, 73167,
   73167, 73167, -4583, -4583, -4583, -4583, -4583,   974, 95021, -4583,
   -4583, 73167, 73167,   636,  3219,  3224, 73167, -4583,  1102,  2876,
   11994, 73167, 73167, 73167,  3414, 73167, -4583, -4583, -4583, -4583,
    3358, -4583, -4583, 91535, -4583,  2463,  1245,  3231,  2638,  3373,
   -4583,  3476,  3352, -4583,   909, -4583, 73167,  3286, -4583, -4583,
   -4583, -4583,  3484,   229,  3487,   229, 73167, 73167, 73167, 73167,
    3292, -4583, -4583, -4583, -4583,  3294,  3415, -4583, 51215, 51215,
   51215,  1979, -4583, -4583,  1129, -4583, -4583, -4583, -4583, -4583,
   -4583,  3449, -4583,  2012, -4583,  1583, -4583, -4583, -4583, -4583,
   -4583, -4583, 54799, 73167, 12317,  3491, 73167, 73167, 73167,  1706,
   -4583,   945, 95021, -4583, 93285, -4583, -4583,  2016, -4583,  3188,
   73167,  3252, 54799,  3230,  3175,  3175, -4583, -4583,  3175, -4583,
   -4583, -4583,  3423,  3360, -4583,   309,  3362, 54799,  3242, -4583,
    3264, -4583, -4583,  3265,  1990,  2638,  1716, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583,  1010, -4583, -4583,  1375,   301,  2140,  2638, -4583,
    3494, -4583,  3267, -4583,  3268, -4583, -4583, -4583,  3429,  3430,
    3431,  3279,  3280,  3327,  3284,  3287,  3333, -4583,  3291,  3334,
    3295,  3337,  3416,  3304,   229, 95021,  3418,  1129,  3331,  3542,
     229, -4583,  3306, -4583,  3312, -4583,  3648, -4583, 73167, -4583,
    3313,  2152,  2638, -4583, -4583, 54799, 73167, -4583, -4583, -4583,
   -4583, -4583, -4583, 95021, 73167,  3485, -4583, -4583,   282, 73167,
   73167, -4583,  3490,  3496, 73167,  3501, -4583, -4583, -4583, -4583,
     231, -4583, -4583, -4583,  3093,  3520, 42263, -4583,  3694,  6388,
    3240,   116, -4583, 51215, 42263,  1879,  2289,   138,  1592, -4583,
   57935, 73167, 57935, -4583,   643,  3352, 73167, 73167, 73167,  3243,
    3238, -4583, -4583, -4583, -4583, 54799,   212, 54799,  2287, -4583,
   -4583,  3314, -4583, 73167,  1849,  3710,  3557, -4583,  3175, -4583,
    3672,  2843,  1466,  3396,  1650,  2491,  3612,  2124,   144, 51215,
    3009, -4583, -4583, -4583, -4583, 73167, 73167,   711,  1129, -4583,
    3253,  3249, -4583, 73167,  3565, 73167, 73167, 73167, 73167,  3076,
    3256, 73167,  3258, 95021,    67,  3460,  3464,  2634,  3697,  3589,
    2388,  3009,  3347,  3591, 73167, -4583,  2023,   166, -4583,  1129,
   57935, 92417,  3580, -4583,  5887, -4583, -4583,  1016, 73167,  3568,
   -4583, -4583,  2388, -4583, 95021,  2029, -4583, -4583, -4583,  2287,
   -4583, -4583,  1698,  1698,  3278, -4583,  3285, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583,  3270, -4583, -4583, -4583,   288,  3336,
     229,  3338,   229, -4583, -4583, 73167, -4583, 73167, 53903,   229,
   -4583, -4583, 73167, -4583,  3598, -4583, -4583,  3408,  3411,  3417,
   73167,  3020, -4583,  3288, 54799,  1260, -4583, -4583,  3483, -4583,
   -4583, 67343,  3406, -4583, -4583, -4583, -4583,  3613,  3614, -4583,
   -4583, -4583,   247, -4583, -4583, -4583, 54799, 62863,   448, 54799,
   -4583,  3549,  3554, -4583, -4583,  3559,   306, -4583,  3567, -4583,
    3570,  3571, -4583, -4583, -4583,  3315, 12636, 29498, -4583,  3638,
   95021, -4583,  7005, -4583, -4583, -4583, 29498, -4583, -4583, -4583,
   -4583, -4583, 29498, -4583, 29498,  3616, -4583, 24006,  3770,  3770,
    3318, 95021, 33683, 33683, 33683, 33683,  1636,  2534, 33683, 33683,
   33683, 33683, 33683, 33683, 33683, 33683, 33683, 34148,   384, -4583,
    3506, 29498, 29498,  3628,  3616, -4583, 95021,  3320,  3075,  3323,
    3324, 29498, -4583, -4583,  2031, 35057,  3328, 51215, -4583, 29498,
   11499,  2036,  3364, 12948,   785,  7317,  1129, 29498,  3427,  3504,
   29498,  2040, 29498,  3631, -4583, -4583, -4583,  3330, -4583, -4583,
   95021, 29498,  3340,  3142, 33683, 33683,  3519, -4583,  3771, 29498,
   26243, -4583,  3518,  3367, 41360, -4583, 24472,  3335,   858,   858,
     858,   858, -4583, 73167, 73167, 73167, 37308,  3633,  3343, 36407,
   72271,  3341,  1364, -4583, 72271, 72719, 72271, -4583,  3345, -4583,
    3348,   785, 29498,  3630,   608,   608,  3518, -4583, 29498, 29498,
   29033,  3349, -4583,  3630,   108,  3351, -4583, -4583, 13029,  3350,
   -4583,  3355, -4583,  3353, -4583,  3099,  1042, -4583,  7634,  3532,
   -4583, -4583, -4583,  3341, 29963,  3498, -4583, -4583, -4583,  3393,
    2041, -4583, -4583,  3741,  3498, -4583, -4583,  2055, 40910,  3156,
   29498,   785,  2057,  1816, -4583, -4583, 91535, -4583,  3428,  2463,
    2463,   853,  3020,  3668,   853,  7893, -4583, -4583, 37758, 73167,
   73167, -4583, 73167,  2071,  1685, 73167, -4583, 73167, -4583, -4583,
   -4583, -4583,  3792, -4583, 73167, -4583, -4583,  3420,  3422, 73167,
   73167, 73167, 73167,  3617, -4583, -4583,  2179, -4583, -4583, 54799,
   73167, -4583, -4583, -4583,   374,  2164,  2638, -4583,  3440, -4583,
   -4583, -4583,  3634, -4583,  3781,  3455, 73167,  3691, 73167,  3372,
   -4583,  1685,  3674,  1594,  2634,   400,  4603, -4583,    86, -4583,
   -4583,  3443, -4583, -4583, 73167, -4583, 73167, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583,  3505, -4583, -4583, -4583, -4583, 51663,
   -4583, -4583, 73167, -4583, 51215, 42263, 51215, -4583,  1376,   413,
    2267,  2638, 73167, -4583,  3450, -4583,  3458,  3463,  3521,  1035,
     224,  3471,  3472,  3527,  3375,  3397,  3398, -4583, 51215, 42724,
    3551, 73167,  2463,  3401,  3441,   191,  1129, -4583, -4583,  1129,
    2463,  1129, 73167, 73167, 73167, 51215, -4583,  3819,  3493, 73167,
   73167, 73167, 73167,  3459, -4583, 73167, 73167,  3718,   693,  1965,
   54799, 73167, 73167, 54799, 73167, 73167, 73167, 73167, 73167, 73167,
    3730, 73167, -4583,  3807,  3734,  2129,  3776,  3486, 73167, -4583,
   73167,  1129,  2876, 73167, 73167, -4583, -4583,  3425,  3685,   282,
   -4583,  3688,  3690,   282,   282,  3693,   282, -4583, -4583,  1592,
   -4583,   231, 73167, -4583,  3353,  1396,  1804, -4583, -4583, -4583,
   -4583, -4583, -4583,  2942, -4583, -4583,  2160, 73167, -4583, -4583,
   -4583, 73167,  3435, 73167, 73167, 33683, -4583,  1707,   793,  1178,
   -4583,  3687, 73167,  2800, -4583, -4583, -4583,  3603, 73167, -4583,
   -4583, -4583, -4583, -4583,    72,  3256, -4583,  3715, 60623,  2463,
   54799, 54799,  2463, -4583, 95021,  3444,  3009, -4583,   281,  3522,
   54799,  1466,  1616, 91087,  2817,  3473,  3642, 36858,  1010, -4583,
    3442,  3601, -4583,  3448,  3446, -4583, -4583, 73167,  3352, 53903,
    2078,  1716,  3877,   735,  1819, -4583, 61967,  3636,  3256,  3715,
   -4583, -4583, -4583,  3841,  3543, -4583,  2388, 73167,  3076,  3543,
    1129, 73167,  2931, -4583, 91535, 29498, 29498, -4583,  3453, -4583,
    3461,  8497, -4583,  3524,  3454, -4583, -4583, -4583, -4583, -4583,
   -4583,  3538,  3465, 73167, -4583,  3462, -4583,  3468, -4583, -4583,
   -4583, -4583, -4583, -4583, 73167, -4583, 73167, -4583,   229, -4583,
    3584, -4583,   229, 73167, 73167, 73167, 73167,  3020,   306, -4583,
    3759, 54351, -4583, -4583,  2083, 73167, -4583, -4583, -4583,  3831,
      96,  3774, -4583, -4583,   523,   523,   523,  3731,   523,   523,
     523, -4583, 29498, 13029, -4583,  3470, -4583, 13029,  7950, 13029,
    3628, -4583,  2090, 29498, -4583,   622,   622,   622,  3569,  3777,
   -4583,  1659,  3474,   622,   622,   622,   415,   415,   221,   221,
     221,  3770,   384, 13029, 13029, -4583, -4583,  3478, -4583, -4583,
   -4583,  3075, -4583, 30428,  3635,  3887, -4583, -4583, -4583,  3514,
    3515,  3480, -4583, 29498, 30893,  3479, 95889,  3675, -4583,  1642,
   29498, 29498,  5202, -4583,  4342, 29498, 95021,  2105,  5202,   426,
   29498,  5320,  5354, 29498, 29498,  4648,  8272,  3489, 29498, 91969,
   -4583, -4583, -4583,  2106, 29498, 73167, 73167, 73167, 73167, -4583,
   -4583, -4583, 72271, 72719, 72271,  3488, 35507, 24923,  1364,  3500,
   73167, -4583, -4583,  3502, 36858,  3744,  3679, -4583, 36858,  3679,
    1797,  3679,  3752,  3596, 41810, -4583, -4583,  3516, -4583,  3711,
   -4583, 22608,   -38, 13029,  3932,  3812, 29498,  3525,  3529,  3530,
   13029, 13029, 29498, -4583,  1129,  3812,  1129, -4583, -4583, 44969,
   -4583, -4583, -4583, -4583, -4583,  3726, 13029, 27638, -4583,  2388,
    1986, 73167,   785,   583, -4583,  3533, 73167, -4583,  3498, 13029,
   -4583,  3597,  2117, -4583, -4583, -4583, -4583, -4583, -4583,  3611,
   62415,  3838, -4583, 29498,  2135, -4583,  3572,  3930,   141,  2147,
    2155,  1685, -4583,  2800, -4583,  1478,  3813,   359, -4583,   229,
   -4583, 95021, -4583, 73167, 73167, -4583, -4583, -4583, -4583, 73167,
    2586, -4583, -4583, 73167, 73167, 73167, 73167, -4583, 54799, 73167,
   -4583, 73167, -4583, 51215,  2289,  1707,  3825,  3749, -4583,   306,
   -4583,  1707,  3750,   191, 73167, -4583, -4583,  2107, -4583, 95021,
     229,   229, -4583, -4583, -4583, -4583, -4583,  3552,  3954,  3632,
   73167, 73167, 73167, -4583, 73167, 54799, 73167, 73167,  2287,  2287,
   95021,  3540, -4583,  2287,  2287,  3544, -4583, 54799, 73167, 73167,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583,  3625, -4583, 29498,  3952, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583, 54799, 73167,  3645, -4583,  3647, -4583,
    1869, -4583, -4583, 73167, 73167, 73167, 73167,  3875, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, 73167, -4583,
   73167, -4583, -4583,  1129,  1129, 95021,   229,   229, -4583, -4583,
   -4583, -4583,  3816,   282, -4583,   282,   282, -4583, -4583,   282,
   -4583,  3573,   391, -4583,  1685,  1571,  3862, -4583,  3874, 29498,
   -4583,  1002,  3569, -4583,  3927,  4006, -4583, -4583, -4583, -4583,
    2800,  1849,  3637, 58831,   353, -4583,  3857,   187,  3782, 60623,
    3494,  1639,  3577,  3698, -4583,  2463,  2463,  3639, 73167,  4011,
   -4583, -4583, -4583, -4583, -4583, -4583, 54799,  3230, -4583,  3796,
    1009,  3890, 73167, 29498,  3341, -4583,  1691,  3894, -4583,  1129,
   -4583, -4583,  3705,  3009, -4583,  2388, 73167,  3794, 60623,  3076,
    2156, -4583, -4583, -4583,  3626,  4005,  2137, -4583,  3494,  3636,
    1227, 73167, -4583,  3629,  4025, -4583, -4583,  3900,  3797,  3599,
   -4583, 13029, 13029,  1129, 96323,  5887, 95021,  3907, 73167,   800,
    3878,   229, -4583,   229,   229, -4583, 73167, -4583,  3020,  3020,
    3020, -4583,  3798, -4583, -4583,  3864, -4583,   229, 54351, -4583,
   -4583, -4583, -4583, -4583,   523, -4583, -4583, -4583, 13029, -4583,
   -4583, -4583, -4583,  8631, 33683,  3910, -4583,  3606, 95021, -4583,
    3607,  2157,  2182, 34607,  3763, -4583, -4583, -4583,  8649,  3660,
   13029,  3714,  3615,  3618,  5202,  5202,  4342,  2184, -4583,  5202,
   29498, 29498,  5202,  5202, 29498, -4583, -4583,  8751,  3802, -4583,
   -4583,  8793, -4583, -4583, -4583, -4583, -4583, -4583, -4583, 52111,
    3621,  3257, 72271,  3623, 73167,  1364, 36858, -4583, -4583,  1857,
   -4583, 36858,  3882, -4583, 36858, 58831, -4583, 73167,  3627, 73167,
   -4583,    84, 31358, 29498,  3663, -4583, -4583, -4583,  3518, -4583,
    3663, -4583,  3641, 73167,  2564, -4583,   851, -4583, -4583,  4010,
   37758,  3969, 29498, -4583, -4583, -4583, -4583, 54351,  3830, 54351,
    1685,  9820,  2800, 37758, 45867, 73167, 73167, 73167,  3785,  2800,
    3637, -4583, -4583, -4583, -4583, -4583, -4583,  3643, -4583, -4583,
   -4583, -4583,  3713, -4583, -4583,    30,  3023, -4583,  2188, -4583,
    4064,  3958, -4583, -4583, -4583, -4583, -4583, -4583,  3807, -4583,
   -4583, 42263, 54799, 73167, -4583,  3716, -4583, -4583, -4583, -4583,
   -4583, 39559, 44969, -4583,  1035,  3646,  3649,   224, -4583, -4583,
   -4583, 73167,  9839,  3652,    31,  3023, 73167, 73167,  3653,  3654,
    1654,  1472,  1647,  3020,  3948, -4583, -4583, -4583, -4583,  3807,
   -4583, -4583,   282, -4583, -4583, -4583, -4583, 51215, -4583,  2352,
   -4583,  1592,  3992, 58831,  4077,  4077, 73167, -4583,  9959,  3858,
   -4583, -4583,  3937,  3637,  3889,  3936, -4583,  3661, 73167,  3827,
    3666, 73167,  3659,  3783,  1252,  1252, 73167, 73167, 73167,  2197,
    2388,  2463,  3441,  1466,  3990, 60623,  4034,  3352,   183, -4583,
   -4583,  1691, -4583,  1530,  4009,  3717, -4583, 73167,  4109,  3076,
    3256, 73167,  3677, -4583, -4583, 61967,  3876,  2289, 96757,  3464,
    3636,  2137,  3814, -4583,  3815, -4583,  1350, -4583,  2388, 73167,
   73167, 37758, -4583, 95455, -4583,  2199, -4583, -4583, -4583,  3753,
    3146,  3789,  3791,  3686, 73167,   129, -4583, -4583, -4583, -4583,
   -4583, 73167, -4583,   448, -4583, -4583,  5436, 33683, 95021,  2201,
   29498, -4583, 29498, -4583,  4102, -4583, -4583, -4583,   766, -4583,
   -4583, -4583,  5202,  5202,  5202, -4583,  4103,  3518, -4583, -4583,
    2208,  4122, 32753,  4084, -4583, 73167,  2209, -4583, 29498,  3692,
   -4583, -4583, 36858,  1857,  3696,  2210, 73167,  2214, 95021,  3701,
    3699,    45,  3704, 23074,  3689, -4583, -4583, -4583, -4583, -4583,
   13029, 13029, 73167, -4583,  3706, -4583, -4583, -4583,  3748, 73167,
    2215, -4583,   745, 13029,  1260,   853,   448,  3930,  3637, -4583,
    3708, -4583, -4583, -4583,   365,   365, 73167,  3637, -4583, -4583,
   73167,  3804, -4583, -4583, 51215,  3987, -4583,  3761, -4583,   532,
    3023, 73167, 95021, -4583,    74,  4019, -4583, 95021, 95021, -4583,
   -4583, -4583, 29498,  3805, -4583, -4583, -4583,   809,   407, -4583,
   -4583, 73167, 73167, 73167, 73167, 73167,   229, -4583,  2216, -4583,
   38658, -4583, -4583,  2838,  1129,  2838,  1679, -4583, -4583,  2838,
   -4583,  2838, -4583,  3573,  1129,  4077,  1004, -4583, -4583, -4583,
    1538,  3929,  3719, -4583,  1026,  3916,  3808,  3721, -4583, 58831,
    4185,  3256,  3715, 73167, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583,  2223,  3352,  4040,  3009,  3629, -4583, 73167,
    3758, -4583, 36858, -4583, -4583, -4583,  2838, -4583,  1644,  3727,
    4049,  3352,  2388, -4583,  3636,  3256,  3715, -4583, -4583, -4583,
    3728, -4583,  3543,  2137,  3464, -4583, -4583,  4131,  3928,  4134,
    3076, -4583,  2931,  2230, -4583,  8497, 96323, 95021,  4075,  3772,
    3773, -4583, -4583,  3790, 73167, -4583, -4583,  3352, -4583,  5436,
    2238, -4583,  2252,  2264,  3892,  3795, -4583, 29498,  1623,  3345,
   52111,  3739, -4583, 33683,  2268, -4583,  3308, 73167,  2272, -4583,
   13029, 73167, -4583, -4583, 29498, -4583,  2307, -4583, -4583, 29498,
    3740, 29498, -4583, 31358,  3737, -4583,  4175, -4583,  2388, -4583,
    3146, 37758, -4583,  3865, -4583,  4050, -4583, 73167,  3787, 44969,
    3099,  3099,  1849, -4583,  1685, -4583, 73167, -4583,  3719, 29498,
   -4583,  3837, -4583, -4583,  2309,   759,  3908,  3908,  2321,  2323,
   10331, 73167, -4583, -4583, -4583, -4583,  2328, -4583, -4583, -4583,
   -4583,  2335,  3021,  1647,  3021, -4583,  3020, -4583, -4583, 51215,
   -4583, 52559, -4583, -4583, -4583,  1129, -4583,  1129,  3963, 73167,
   47211,  1129,  1129, -4583, -4583, -4583, -4583, -4583,  4090,  4033,
   -4583,  1716, -4583, -4583, -4583, -4583,   216, -4583,  3961,  3962,
   73167, -4583,  3757, -4583,  2339,  3494,  3888,  3352, -4583, -4583,
   73167,  4201,  4202, -4583,  1141, 73167,  3341, 73167, -4583, -4583,
   -4583, 29498,  3938, -4583,  3629,  2137,  3494,  3636,  2289, 38208,
   -4583,  3464,  3543,  3972, -4583,  3975, -4583,  3778,  3009,  5887,
   -4583, -4583,   972,  4074,  4085, -4583, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583,  3075, 31823, 31823,  3784, -4583, -4583, 73167,
    3569,  3779, 32753, 51215,  2345, -4583, 93719, -4583,  2355,  2360,
   -4583,  2367, 31358,  2368, -4583, 73167,  3786, -4583, -4583, -4583,
   40910, 54351,   365,  3793, -4583,  3800, -4583, -4583,  3889,  1685,
    3023, -4583, 13029, 73167, 58831,  4204, -4583, -4583, -4583, -4583,
   -4583, -4583, -4583,  3023,  3866,   809, -4583,   407, 73167, -4583,
   -4583,  2375, -4583, -4583, -4583, 73167,  3442, -4583,  3442, -4583,
   -4583,  3925, -4583,  1186,   916,   916,  4143, -4583,  3852, -4583,
   -4583,  3801, -4583,  4267,  3926, 73167, -4583, -4583,  1035,  2388,
   60623,  3352, -4583, -4583, 10456, 58831, -4583,  3464,  3636,  2137,
   29498,  2376, -4583,  3930,   141,  3543, -4583, -4583, -4583, 37758,
    3543, -4583, -4583, -4583,  2572, 58831, 58831, 33218,  3941,   194,
   11572, -4583, -4583, -4583, -4583,  2380, 34607, -4583, -4583, -4583,
   73167,  4002,  1020, -4583,  3956, -4583,  2381, -4583, -4583, -4583,
    1468,   448,  3099, 29498,  1685, -4583,  3916, -4583,  3023, -4583,
   73167, -4583,  3817, -4583, -4583, -4583, -4583, 52559,  3442,  3717,
   -4583, -4583,  4258, -4583,  1070, -4583, -4583, -4583, -4583, 73167,
    3352,  3540,  3629, -4583, -4583,  3818,  3543,  2137,  3464, 10635,
   -4583, 38208, 73167, 73167, -4583,  2382,  3146, -4583,  2330, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583,  3810,  3811,  4254, -4583,
   -4583, -4583, -4583, -4583, -4583,  3257, -4583, -4583, 33683, 33683,
    4031, -4583,  1020, -4583,  3821, -4583, -4583, -4583, -4583, -4583,
   10862, -4583, -4583, -4583,   809, -4583,  4145, -4583, -4583, -4583,
    3352, -4583, -4583, 50767, -4583,  3464,  3543,  3930, -4583, -4583,
   -4583,  3009, -4583,  2174, -4583, -4583,  2190,  2161,  3902,  4130,
   32288,  4220,  3569,  3569, -4583, -4583, 29498, -4583,  1685,  2386,
    3995, -4583, -4583,  2391, -4583, -4583, -4583, -4583,  3543, -4583,
   73167,  3543, -4583,  2330,  3940,  3942, -4583, 73167, 10981, -4583,
   58831, -4583, 50767, -4583, -4583,  3146, -4583,  3868,  3869,  2392,
   -4583,  3842, -4583, -4583,  4140,  4146, -4583, 50767, 58831, 58831,
    2396, -4583, -4583, -4583
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4583, -4583, -4583,  3523, -4583,  -862,   333,  2757,  -689, -4583,
   -4583, -4583,  1267, -4583, -4583, -4583, -4583,  3466, -4583,  1892,
   -2354, -4583, -4583,   134,  -383, -1279,   112,  3014,  1548, -4583,
   -1110, -4583, -4583,  -574,    90, -4583,  -351,   250, -4583, -4583,
   -4583, -4583, -4583, -4583, -4583, -4583,  -761,  1996,  2067,  1386,
    4454, -2735, -4583, -4583, -1352, -3085, -4583,   717, -4583,   744,
   -4054, -4476, -4583,  -909,  -738, -4583, -4583,  1985, -4583, -4583,
   -4583,  1205,   629,  -421, -4583, -4583, -4583, -4583, -4583, -4583,
   -4583,  -596, -4583, -4583,  -833,   151,    35, -2367, -3620, -4583,
   -4583,   587,  -239, -1406, -4583, -3474, -4583,   127, -2520, -4583,
   -4583, -4583,  -206, -1361,  1486, -4583,  -672, -1126,  1789,  -702,
   -4583,   -86, -4583,  -808,  -610,  -607,  -725, -3654, -4127, -4583,
   -4583, -4583,  -837, -4144, -4389, -3684, -4157,  1497, -4583,   153,
   -3024, -3112,   156,   559, -4583,   158,   159, -4583,   584,  -532,
    -890, -1488, -4583,  -721, -4583, -4583, -4583, -2839, -4583, -4583,
   -4583, -4583,    53, -4583, -4583, -4583, -4583,   628, -4583, -4583,
   -4583, -4583, -4583, -4583, -2619,  1962,  1963, -4583, -3034, -4583,
    -860, -4583,   772, -2876,  1411, -4583, -4583,  1197,  3482,   612,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -1588, -4583, -4583,
   -4583, -4583,   143,  -175, -4583, -4583, -4583, -4583, -4583, -4583,
     160, -4583,  1987,  1198, -4583, -4583,  -173, -4583, -4583, -4583,
   -4583, -4583, -4583,  -778,  -921,  -900, -4583, -2881, -4583, -4583,
   -4583,  -143, -4583, -4583, -4583, -4583, -4583, -4583,  -770, -4583,
    1263, -3049, -4583, -4583,  1265, -4583, -4583, -4583, -4583, -4583,
    -699,   -84,  2789, -4583,  -314,  -504, -4583, -4583, -4583,   -83,
   -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -1047,   -57,
    -805,  -537, -4583, -4583, -4583, -4583, -4583, -2079, -4583, -4583,
   -4583, -4583, -3570, -4583,  4378,  2011,  -218,   163, -4583,   -22,
      47,  3259, -1124, -2556,   555,  -274, -4583, -4583, -4583, -2484,
   -4583, -4583, -4583, -4583, -3406,   167, -4583,  3250, -4583, -3681,
   -4396, -3432, -3941, -4291, -4450, -3396, -4583, -4583, -4583, -4583,
    -783,  -186, -4583, -4583, -1387,  2310, -1867, -4583, -2004,   610,
    1585,  3452, -2642,  -129,  2750, -3688,  -668, -3148, -4583, -4583,
   -2213,  -407, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
    -578,  2687,  -199, -4583, -4583,  3803, -4583, -4196, -4583,  3769,
   -4583, -4583, -4583, -4583,  2604,  2607, -4583,  2610, -4583, -4583,
   -1396,  1348, -4583, -4583, -4583, -4583,   799, -4583, -4583, -4583,
   -4583, -4583, -4583, -4583,  1251,   786, -4583, -4583, -4583, -4583,
   -4583,  -691,  -849, -4583, -4583,   169, -4583, -4583, -4583, -4583,
    2270,  -864,  -693,  3667,   170, -4582, -4583, -4583, -1073, -4583,
    3045, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -2578, -4583, -4583, -4181, -4583, -4583, -4583, -4583, -4583,  2394,
    2397,    51,   -50, -4583, -4583,  -937, -4583,  -544, -4583,  2677,
   -4583, -4583, -4583, -4583, -1693,   171,   660, -4583,     3, -4583,
   -4583,    29, -4583,   425, -4583, -4583, -3300,     6, -4583, -4583,
   -4583, -4583, -4275, -4583,     7,  -593,   950, -2703, -4583,   172,
      15, -4583, -4583,    59,   322,   -36,   -42,   -19,     1,   124,
    3132, -4583,  3163, -4583,    27,  1898, -4583, -4583,  -793,  -163,
   -4583,  1668,  -617,  2369,  3103,  3149, -4583,  1664, -4583, -4583,
    1672, -4583,   996,  -571,  -411, -4583, -4583, -4583, -4583,   458,
    -603,  2383, -4583,  3154, -4583, -4583, -4583, -1792, -2737, -3323,
    1028, -3318, -3245,   502,   488, -1277,  -184,    49,  -729,  3155,
   -4583, -4583,  1034,  -379, -4583, -4583,  -377, -2720,   977, -4583,
   -4213, -2233,  1039,  -810,  -662, -4583,  -743, -4583,  -541,  1022,
    2790, -1024, -4583, -4583,  -985, 13038, -4583, -4583, -4583, 15135,
   15285, -4583, -4583, 15708, 16135, -4583,  -856, 16558,  6393,  -997,
   -1734,  -329, 13711, -1723, -1165, -2555, -4583, -3438, -2470, -4583,
   -4583, -4583,  -137,  1097,   370, -4583, -4237, -4583, -4583,    77,
   -4583,  -546, -4583,  -545, -4583, -4583, -4583,  -525, -4174,  2581,
   -4583, -4583, -4583,  -164, -4583, 17359, -2649, -4583,  -730, -2650,
   -2663, -3319, -1759, -4583, -4583, -4583, -4583, -4583, -4583, -4583,
   -1469, -3171,  -515,  1773, -4583, -4583,  1866, -4583, -4583, -4583,
   -1246,  1723,  -734, -2541,  1780, -4583,  -731,  2587,  -739,  7322,
    -635,  6280,  -472, -2173, -1210, -1514, -4583,  1580, -4583,    13,
     -16,    -8,  -145,   140,  -543,  2720, 13145,  -587, -1298,  9508,
   12811, 12541, -3032
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2568
static const yytype_int16 yytable[] =
{
     622,   183,  1511,   173,   879,  1358,   174,   176,   987,   707,
    1768,  1291,   845,   695,   739,   786,  1788,  1287,   796,   695,
    2032,   183,   558,  2302,  1108,  1144,  1145,  1146,  1698,   612,
    1376,  1150,  1023,  1516,   694,  1728,  2213,  2139,  1320,   880,
     694,  3308,  3149,  3463,  1321,  1021,  1558,   604,  2205,  1332,
    2758,  2225,  3571,  1570,  1824,  1688,  1689,  2361,  1704,   178,
     828,  1637,   887,  2455,  1305,  1697,  3483,  3551,  3172,   701,
     657,   669,   773,  2626,  2037,   907,  3815,  2032,  1121,  4010,
    4047,  2214,  3595,   740,  3597,  3720,  4046,  3785,  2991,  3289,
      64,  3937,  3456,   770,  3712,  3769,  4084,  2826,  2828,  1091,
    3040,  3074,  3712,  3454,  3455,   972,  2242,  4437,  4041,  3496,
    1610,  3743,  1102,  1437,  1615,  4286,  3968,  1099,   790,  1619,
    1115,  4289,  2588,  4295,  2037,  4230,  3799,  3985,  2763,  1629,
    2659,  1510,  4579,   834,   836,  4279,  3475,   840,  2323,  1536,
    1467,   798,  2689,  1653,  4643,  3394,  4695,   733,  2198,  1563,
    2475,    73,  4581,    75,   767,   894,    76,  1033,    77,    78,
     100,  2531,   904,   119,   799,  2112,  1023,   124,  4278,   148,
     152,   171,   177,  3782,   784,   759,  4543,  1433,  1351,  1298,
    3502,  4702,  1685,  1686,  4655,  2070,  4657,  1320,  2327,  2328,
    4812,  2037,  1354,  1696,  4024,  4823,  3447, -1844, -2190,  3983,
     677,  3988,  3905,  2339, -1811,  4973, -2316,   677, -2352, -2246,
    1649,  1675,  4435, -2375,   568, -2406,  2038,  1622,   677, -2218,
    4724,   912,  1688,  1689,  4580, -1824,  2226, -2218, -2218,  1406,
   -1849,  4905,  3351,  1650,  2825,  1126,   618,  2334,  1675,  3162,
    1704,  1675,  1697,  3139,  4890,  4891, -2219,  2216,  3447, -2567,
   -1839,  2216,  4920,  2216, -2219, -2219,  1398, -2567, -2567,  2452,
    1179,  2321,  3306,   618,   900,  2598,  1719,   618,  1879,   618,
     618,  2751,  2416, -2189,  1809,  3501,  1606,  3805,  3717,  2697,
    3293,  3449,  3737,  4698,   618,  1675,  2556,   618,  3106,  3552,
    3107,  1914,  1598, -2319,  3111,  4322,  4323,  1885,  4325,  4326,
    4327,  3122,   677,  3116,  3117,  3118,  3767,  4240,  3097,  2399,
    1464,   677,  2243,  3327,   618,   677,   913,  2123, -2187,  1130,
    4733,  4734,   179, -1852,  2151,  1675,  2408,  2872,  1887,  4758,
    1157,  3790,  5084,  3449,  2152,  1322,  1141,  1407,  2145,   853,
    1685,  1686,   179, -1852,  1675,  4792,  3260,   888,  3262,  3140,
    5210,  3858,  1929,  1464,   618,  2464,   793,  4228,   677,   914,
     908,  1156,     3,     4,  1399,  1148,  2739,  1696,   683,  1295,
     683,   683,  1675,   785,  2216,   683,  4763,   683,  4833,  2465,
    4701,  4723,  1761,  3750,  3649,  4538,  3086,  3251,  4123,  2056,
    1921,   684,  1548,   684,   684,  3351,  4870,  4241,   684,  1770,
     684,  2783,  5106,  2049,  -132,  1879,  1347,  3068,  3297,  -132,
    3575,  1464,   618,  2946,  2697,   915,   677,  2356,  2299,  1300,
   -2373,  1879,   880,  2216,   843,  4992,  3351,  1317,  2453, -2190,
    2357,  1318,  2561,  2217,  1885,  4902,  4097,  4814,  3069,   981,
    1925,  1570, -2081,  4866,  2732,   991,  1879,  2216,  1149, -2081,
    1885,  2733, -2100,  4813,  2039,   683,  2358,  1922,  1005, -2100,
    1930,  2244,  1127,  1129,  1131,  1887,  2557,  1133,  1134,  1135,
    2578,  2947,  4444,  2286,   880,  1885,  1349,  1140,   684,  4242,
    1676,  1887,  2153,  2057,  3298,  2784,  2216,  5211,  2245,   776,
    3294,  1714,  4124,  1323,  1549,  1324,  3859,  4539,  1675,  2558,
    2740,  1726,  1726,  1142,  1675,   797,  1887,  1676,  2409,  -424,
    1676,  2246,  1845,  2247,  1529,  1400,  1023,  1317,   970,  2227,
    2154,  1318,   973,  1873,  3141,  3552,  1872,  3123,   618,  1752,
    2228,  4888,  2229,  1023,  2241,  2305,   998,  2401,  3100,  4229,
    4893,  1474,  3751,  1003,  4834,  1528,  1736,   977,  2241,  2340,
     958,  1919,  1047,  1401,  1676,  3460,  4106,  1408,  1915,  4945,
    1810,  2466,  2911,  1074,  3738,  3637,  2322,  1726,  2986,  1149,
     183,  1149,   960,  3712,  1931,   961,   962,  2341,  1772,  1569,
    3498,  1607,  1933,  1607,  1402,  2623,  2695,  1945,  1945,  2454,
    2230,  5164,  5152,  2579,  1676,  1023,  5042,  4140,  3697,  3698,
    5242,  1810,  5115,  1022,   622,  1806,  1317,  2628,  1828,  3142,
    1318,  2335,  1683,  1676,  2698,  2045,  1409,  4357,   955,  1122,
    2873,  1816,  3806,  2417,  4243,  5085,  1677,  2037,   963,   786,
    1188,  3098,   569,  3351,  2089,  1359,  1825, -2568, -2568, -2568,
    4051,  1676,  1607,  2146,  2297,  3985, -2373,  2300,  1403,   689,
     690,  4385,  2182,  1705,  2045,  4389,  1723,  2307,  1317, -1844,
   -2190,  2552,  1318,  4914,  3245,   183,  1687,   689,   690,  4991,
    1123,  4239,  1128,  2037,  1132,  2562, -2316,  4985, -2352, -2246,
    1136, -2218,  3517, -2375,  3366, -2406,  4285,  1691,  2660,  3650,
    4244,   694, -1849,   694,  2184,   694,  2678,   844,  1114,  1161,
    2047,   694,  1137,  1138,  2192,  2360,  2535,  1139, -2219,  4331,
    2259, -2567, -1839,  1023, -2373,  2275,  1117,  4376,  5186,  4378,
    1906,  1023,  1023,  5195,   982,  1180,  1927, -2373,  4424,  1875,
     982,  1917,  2766,  1288,  2511, -2189,  1297,  1022,  1299,  1587,
    1734,  2081,  5068,   982,  4261,   798,  4887,  2560,  1582,  3414,
    1699,   689,   690,  1325,  4614,  2082,  2570,  2316,  1152,  1754,
     689,   690,  4073, -2319,  1465,  1466,  2201,  1676,   799,  2787,
    1699,  1700,  4445,  1676,   880,  5157, -2081,  2287,  2734,  4319,
    2290,  2291,  1580,  2580,  2912,  1701, -2100,  1757,  5161,  1542,
     183,  1700,   173,   777,  1575,   174,   176,  4003,  1481,  5246,
    4577,  4110,  4520,  2581,  2930,  1703,  5135,  1465,  1466,  3547,
    1472,  1473,  1307,  1464,   618,  2032,  2902,  3761,   677,  3782,
     978,  3504,  1152,  3505,   733,  1158,  1160,  2446,  1328,  3646,
    1489,  1543,  2392,   618,  4204,  3295,  1075,  3072,  2493,  2494,
    2978,  5107,  3361,  3362,  3363,  3364,  3365,  3366,   178,  4419,
    4164,  1362,  2717,  1490,  2886,   563,  5278,  2830,  -132,  -132,
    5109,  2987,  2370,  4203,  4032,  1465,  1466,  1380,  1901,  1902,
    1903,  1904,  1905,  1906,   694,  3363,  3364,  3365,  3366,    64,
     793,  3447,  4901,  5232,  3447,  1294,  2758,  2758,  2758,  1302,
    3357,   179,  2903,  1413,  1347,  1903,  1904,  1905,  1906,  1595,
    2267,  5249,  5250,  2837,  1333,  1773,  1482,  4216,  1775,  2447,
    1777,  5094,  1779,  1726,  1781,   863,  2265,  2193,  1785,  3851,
     565,  2198,   864,   865,   866,  2968,   613,  1391,  1620,  1621,
    2133,  3572,  5108,  3348,  3349,  2315,  3691,  3692,  3368,  2512,
      73,  4641,    75,  2975,  1567,    76,  1381,    77,    78,   100,
    4804,  4022,   119,  5208,  1662, -1811,   124,  2490,   148,   152,
     171,   177,  4601,  3447,  1349,  5188,  3449,  3619,  2999,  3449,
    1380,  1521,  5171,  2302,  4217,  3398,  3399,  2969,  5261,  2274,
    4138,  5187,  4047,  1641,  4300,  2718,   179,   785,  2468,  5294,
    2719,   719,  1544,  2572,  1741,  4047,  4266,  4882,  1382,  5122,
    2636,  4046,   618,  1726,   704,  1350,  2135,  2194,   733,  1158,
    2376,  3816,  1522,  2563,  4165,  4845,  2845,  3044,  4034,  4619,
    4267,  3499,  1523,  5218,  2136,  1642,  2720,  1730,  1732,  3690,
    4254,  5055, -1811,  3466,  1726,  2979,  1742,  3073,  1308,  3573,
     619,  2133,  4946,  5245,  4912,  3296,  2266,  4913,  3449,  1381,
    4420,  3548,  2377,  2831,  3539,  1581,  2832,  1483,  2906,  2134,
    3011,  2567,  2568,  4647,  4644,  4914,  2970,  3722,  4651,  1607,
    1668,  4653,  1710,  1698,   720,  3620, -2568, -2568, -2568,  3996,
    3361,  3362,  3363,  3364,  3365,  3366,  5286,  1022,  3471,  3217,
    3011,  1545,  1383,  1406,   800,  1484,  3540,   791,  1607,  5056,
    2622,  1382,  2625,  2637,  1022,  3137,  1309,  2448,  2632,   797,
    3155,   179,  1568,  3725,  2646,  2647,  2648,  2135,  4966,  1175,
    2449,  2537,  3709,   183,  2664,  2666,  1485,  2887,  4990,  2676,
    3709,  5219,  3817,   694,   618,  2136,  1873,  4999,  1812,  3012,
    1774,  4997,  1776,  1711,  1778,  2122,  1780,  3815,  1782,  1783,
    1784,  4965,  4987,  4047,  4883,  1786,  2492,  4573,  2559,   792,
    2721,  4430,  2564,  2137,  2566,  5172,  1022,  2569,  3727,  3012,
    1524,  5123,  5192,  5193,  2638,  3473,   801,  1121,  4568,  1454,
    2847,  5238,  2514,  1669,  2805,  4986,  1643,  4947,  4602,  4953,
     614,  4035,  3013, -1811,  2525,  1383,  4011,  1743,  4036,  4118,
     186,  1407,  4268,  1712,  1525,  2530,  1713,  4459,  1526,  2529,
    2488,  1710,  3447,  2378,  3818,  4846,  1486,  3812,  2798,  2544,
     786,  1497,  3013,   721,  1547,  2971,  3621,  3487,  1645,   793,
    1548,  4037,  3574,  3575,  2639,   708,  1670,  2640,  2147,  1527,
    1498,  5173,  1874,   187,  1388,   615,  1389,  3014,  1384,  1646,
    1317,  1876,  4038,  4529,  1318,  1385,  4012,  3541,  3730,  3576,
    2848,  3488,   722,   723,  3622,  1918,  5174,  1465,  1466,  2138,
    2464,  5220,  3156,  2652,  2137,  2902,  5221,  3014,  4774,  4885,
    2043,   616,  1711,   617,  1022,  1644,  1386,  1935,  1936,  1499,
      35,  4218,  1022,  1022,  2465,  3623,  1744,  3449,  2413,  4840,
    3731,  2050,  2051,  4119,  2055,  3058,  5280,  1714,  5116,  2574,
    4954,  3059,  2379,   912,   880,  3732,   694,  1387,   566,  -155,
    2799,   694,   694,  4423,   799,   799,  5239,   799,  4775,  4862,
    2916,  1671,  1549,  4003,  4988,   719,  4776,   912,  2641,  4408,
    2797,  4401,  1712,  4582,  3015,  1713,  2705,  1388,  2706,  1389,
   -2209,  2903,  2806,   724,  -155,  2059,  3542,  4583,  1476,  3819,
     794,   869,   870,   871,  4777,   872,   873,   874,   875,   876,
     877,  2707,  -672,  1500,  3015,   745,  4317, -1811,  2148,  3384,
    2138,  -155,  4955,  1672,  3001,  3391, -1811,   802,  1687, -1811,
    1375,  2575, -1811,  4904,  2060,  3026,  2236,  1390,  4908,  4909,
    2251,   717,  4266,  1647,  4120,   677,  3733,  4817,   913,  1362,
    2414,   186,  4641,  3060,  1715,  4818,    40,  3157,   720,  3447,
    2917,  1501,  4708,  3447,  1502,  3820,  4267,  1477,   694,  3198,
    4778,  5194,   913,  1716,  4219,  2301,  5196,  2141,   694,  3712,
    2418,  4779,  1013,  4047,   179,  2642,  1714,  1341,  2928,  5039,
      44,   914,  2061,  3002,   187,  3975,  3248,  4803,   744,  3016,
    1454,  1489,  3158,  2177,  2149,  2142,  1504,  3017,  2292,  3258,
    3018,  1513,  2708,  1673,   746,   914,  4555,  2709,  1137,  1138,
    2059,  3645,  2710,  1550,  1490,  2329,  2330,  2331,  2332,  3016,
      48,  2660,  2660,   663,  5046,  5047,  2660,  3017,  2062,  2306,
    3018,  1937,  5244,    49,  3449,  2311,   718,   915,  3449,  1514,
    1506,   694,  1833,    14,   694,   694,  3249,  2906,  2243,  2060,
    4222,  1551,  4584,  4791,  3025,  3564,    50,  3976,  2371,  2372,
    1507,   915,  1842,  2660,  2660,  2523,  3563,  2513,  2302,  1023,
    2807,  3004,  3005,  1938,  4260,  3008,  1342,    19,  2486,  2396,
    1509,  5113,  1552,  1715,  2063,  4255,  2423,  3048,  3977,  1304,
    3067,  2127,  5279,  1858,  3061,  4460,  3871,   721,  3027,   880,
     880,  4464,  2128,  3978,   768,  4819,  3030,  1391,  1870,  3033,
    2318,  2902,  1391,  3979,  2441,  2442,  2443,  2444,  3070,  2129,
    3092,  3019,  4441,  2758,  5293,  3565,   694,  5295,     3,     4,
    2293,  3709,  3062,  2294,   779,  2143,   722,   723,  5100,  3980,
    4194,   803,  1515,  1014,  4197,  4198,  2711,  4200,  2433,  3071,
    1714,  4780,  2438,  2062,  2324,  4136,  2712,  2589,    40,  3885,
    3886,  3887,  3888,  3063,  2424,  3893,  3894,  3895,  3896,  3897,
    3898,  3899,  3900,  3901,  3902,  1391,  4760,  2842,  3169,  1391,
    3651,  4054,  1058,  1879,  5170,  3647,  4108,  2903,   663,  4442,
    3019,  4303,    44,  4304,  2925,   797,   797,  2244,   797,  1015,
     583,  3181,  3182,  3183,  3184,  1016,  1058,  1308,    14,  2063,
    3840,  4047,   583,  3189,   896,  1385,  3064,   880,  3168,  2904,
    3850,  3941,  3942,  3981,  2245,  4948,  2347,  2536,  3403,   788,
    3404,  4972,    48,  2540,  2491,  2142,  1538,  3178,  4996,  2233,
    1726,   897,    19,  1887,  2499,    49,  2500,  2246,    32,  2247,
      35,  2859,  2504,  3405,  3065,  3648,  4109,  2905,   585,  2510,
    4055,  3851,  2130,  4707,  3523,  4523,  4213,  2278,    50,   741,
     585,  2234,  2281,  2243,  1539,  1309,    40,  2277,  1540,  -572,
    4969,  1497,    51,  5113,  2241,  3066,  5229,  1365,  1175,  3235,
    4214,  3889,  4613,  3890,   183,  4832,  4524,  4983,  1377,   829,
    1498,  2422,  4086,  1371,  4736,  1541,    40,  2860,   846,  2439,
      44,  4544,   789,   583,  4335, -1606,  4336,  4056,  2546,  4057,
    2547,  2347,  2548,  4732,  2549,  1366,  2550, -1606,  4054,  3211,
    2551,  2595, -1606,  5007,  3009,  2344,  1378,  1372,  2252,  2350,
      44,  1373,   841,   677,  -449,  1117,   183,  4894,   960,  1499,
      48,   961,   962,  2906,  3447,  4545,  1367,  2645,  4897,  3406,
    2700,  3447,   186,    49,  3407,  2399,  3447,  1379,  3470,  3447,
    4440,   585,  1374,  2243,  3282,  4087,  1006, -1606,  2511,  2353,
      48,  3815,  3791,  2634,  2635,  3795,    50,  2948,  2855,  2583,
    2649,  2650,  4542,  4794,   839,  3447,  2515, -1606,  2292,  2594,
      51,  4684,  1607,  4686,   963,   187,  3880,  4055,  3447,  1007,
    4828,  3044,  2619,    32,   596,  2859,   597,  3891,  2688,  2347,
    4448,  4449,  2244,  1023,  4553,  3452,   596,  3892,   597,  1494,
      51,  4572,  4729,  1500,   862,  3906,  3229,  4795, -1606,  3449,
    1623,    40,  1008,  5120, -1076,  2949,  3449, -1606,  2767,  2245,
    4337,  3449,   602,  2233,  3449,  4730,  -449,  3281,  3350,  5014,
    4938,   861,  1518,  5096,  4056,  4939,  4057,  1495,  4559,  3498,
    3378,  3520,  2246,  1757,  2247,    44,  1023,   902,  3975,  2913,
    3449,  1501,  1578,   576,  1502,  2234,  4560,  5015,  1009,  3269,
    3976,  1006,  2420,  3449, -1606,  2301,   911,  3461,  3408,  2892,
    1519, -1605,  3401,  2354,   965,  1593, -1606,  4978,  3409,  2241,
    2888, -1606,   683, -1605,  4940,    48,  2457,  3616, -1605,   664,
    1604,  3977,  2244,  1699,  1007,  5006,  1504,   596,    49,   597,
    2293,  1520,  4212,  2294,   880,   684,  4391,  4533,  4052,  4979,
    3427,  2355,  5049,   968,  1700,  2221,  3979,  2222,  3503,  2245,
    3976,    50,  1489,  1623,   971,  3617, -1606,  3763,  1701,  1347,
    2880,  4498,   692, -1605,  1348,   665,  3447,   583,   692,  3605,
    1506,   974,  2246,  1699,  2247,  1490, -1606,  1945, -1606,  3553,
    2789,  3977,  3606, -1605,  4499,  4976,  3618, -1642, -1070,  3770,
    1507,  2924, -1642,  2243,  1700,  3186,  3978,  5183,   988,  3780,
    3187,   694,  3464,  1009,  3580,  2223,  3979,  4729,  1703,  2241,
    1509,  1001,  4597,  1188,  4729,   179,  3351, -1606,  4096,  3917,
    3352,  3353,  3354,  1328, -1605,   585, -1606,  3447,  1025,  1349,
    4730,   712,  3980, -1605,  2882,  2883,  2849,  4730,  2852,  1651,
    1022,  1749,  -571,  2894,  4513,  2896,  4514,  4515,  2846,  2900,
    4516,  3449,  4166,  4648,  2758,  1757,  3981, -1642,   713,  2758,
    1699,  1652,   714,  1750,  3010,  2758,  3412,   179,  1010,   694,
    1350,  3173,  1497,  2809,  4167,  3721,  5241,   791,  2623,  3556,
    3187,  1700,   966,  4183,  3377,  1492,  3379,  3380,  4074, -1643,
    5038,  1498,  4082,  5154, -1643,  4935,  5281,  4937, -1642,  2988,
    2216,  4941,  1555,  4942,  4184,  1559,  3250,  3252,  3253,  1299,
    2224,  1023,  3449,  3861,  1813,  1011,  3981,  2660,  2660,  2660,
    2660,  4262,  1012,  2660,  2660,  2660,  2660,  2660,  2660,  2660,
    2660,  2660,  2660,  3089,   829,  1763,  5271,  1030,  1764,   792,
    1499,  2703,  2244,  4111,   846,  3512,  1694,  1695,  4977,  4688,
    3915,  2243,  4088,  3611,  4095,  1082,  4697, -1606,  2910, -1643,
    2818,  1073,  1818,  2682, -1605,  1819,  2685,  3447,  3028,  2245,
    3766,  3031,  3323,  2794,  2795,  3828,  3829,  2045,  2834,  2660,
    2660,   596,  3508,   597,  2838,  2623,  1083,  1687,  2841,  2113,
    3355,  3324,  2246,   599,  2247,  4416,  3325,  1096,  4649,  2243,
   -1643, -1666, -1666,  4091,   601,   223,  3739,  1623,  4031,   793,
     567,  3356,  1089,  1687,  2865,  2113,  1112,  4288,   661,  1317,
    1023,  1103,  1337,  1318,  1500,  3447,   677,  2041,  2044,  2241,
    2042,  2045,   694,  3530,  3509,  3510,  2975,   742,  4107,  3105,
     694,  2541,  2553,   694,  2045,  2554,  1143,  3112,  3113,  1152,
    1152,  1151,  3449,  1152,  3115,  3084,  3447,  3644,  2918,    40,
    2999,  2555,  2586,  2780,  2554,  2587,  1757,   979,  3131,   980,
    1165,  2817,  1501,  3357,  2045,  1502,   982,  3044,  3102,  2922,
    5268,  3102,  2923,  3102,  3722,  2993,  2301,  3102,  2994,  3127,
    3723,  3718,  3128,    44,  3458,  3459,  3102,  3102,  3102,  1147,
    2244,  2243,  3724,  1154,  3132,  4785,  1162,  3133,  2966,  3177,
    3449,  3236,  3275,  2243,  2045,  2554,  3322,  1504,  3331,  2045,
     983,  2045,   984,  4049,  4050,  2243,  3337,  2245,  1166,  2045,
    3725,  4741,  3726,    48,  2995,  3707,   179,  3200,  1172,  1164,
     794,  3449,  3006,  3707,  1174,  1175,    49,  3217,  2244,   982,
    2246,  3315,  2247,  3021,  3180,  4273,  3338,  4593,  1176,  2045,
    5227,  1506,  3339,  4737,  3447,  2045,  1177,  3370,  3383,    50,
    2045,  2045,  1173,  3034,  4742,  2245,  3388,  3598,  3036,  3389,
    3599,  1507,  3039,    51,  1181,  3727,  3212,  2241,  3174,  3632,
    1687,  3259,  1375,  3261,  1022,  3056,  1152,  3709,  2246,  4743,
    2247,  1509,  3311,  1832,  3640,    51,  5252,  3652,  3081,  1178,
    3603,  3728,  1182,  3604,  3627,  5151,  4744,  3628,   982,  3684,
    4745,  3803,  3756,  2481,  3804,  2482,  2263,  3826,  2243,  3912,
    2045,  4075,  3913,   829,  3922,  2241,  1184,  3923,  3933,  4020,
    4746,  2045,  4021,  4747,   846,  3244,  3246,  1022,  2511,  3449,
    2244,  3254,  3199,  4025,  1306,  4030,  4026,  4748,  2832,  3358,
    3359,  3360,  2244,  3361,  3362,  3363,  3364,  3365,  3366,  4053,
    3729,  1687,  2554,  2113,  2244,  3730,  4263,  2245, -2473,  2554,
     880,  4314,  1303,  1023,  1810,  1023,  1310,  1312,  4332,  2245,
    2660,  2045,  3854,  3320,  3447,  1311,  3740,  3204,  3742,  3205,
    2246,  2245,  2247,  4358,  4370,  5303,  2587,  2045,   694,  3428,
    1316,  3429,  2246,    28,  2247,  4426,  1329,  3731,  2832,  4824,
    4205,  1335,  4206,  1665,  2246,  3867,  2247,  1334,  2365,  3430,
    1570,  3431,  3732,  4432,  4112,  1345,  4433,  2241,  4749,  4096,
    1337,  4616,  3749,  2380,  3752,  4438,  4750,  3882,  2554,  2241,
    1360,  3474,   786,  4439,  4574,  4621,  2554,  4575,  4622,  1338,
    1361,  2241,  1878,  1023,  2402,  1879,  3447,  1364, -2473, -2568,
   -2568, -2568,  5282,  1368,  5283,  3847,  3809,  2244,  1375,  3449,
    4623,  3911,  4631,  2045,  1411,  2587,  4703,  4751,  1337,  4704,
   -1594,  3997,  3998,  3999,  1885,  4786,   786,  4825,  2554,  4841,
    4826,  1886,  2587,    40,  2245,  4457,  4849,  4859,  4865,  4850,
    1757,  3777,  4867,  4880,  4928,  3777,  4881,  4929, -2473,  2479,
    1344,  4968,  1346,  3733,  1924,  1887,  3953,  2246,  4998,  2247,
   -2473,  4881,  4390,  2487,  4393, -2473,  5008,    44,  1435,  2587,
   -2473,  3287, -2220,  4089,  1438,  1058, -2473,  3992,  1440, -2473,
    5009,  3449, -2473,  3389,  1441, -2475,  1474,  2501,  1479,  3301,
    1478,    40,  5010,  4572,  2241,  2045,  5021,  3287,  1480,  5022,
    5027,  4070,   703,  1757,   705,  1486,  2037,    48,   711,  1488,
   -2473,  1493,  1022,  1496,   728,   736,   703,  1531,   743,  1530,
      49,   736,   736,  3860,   772,    44,   775,  2528,  1058,  1546,
   -2473,   786,  3433,  3434,  3435,  5030,  2623,  5054,  3777,  3465,
    2587,   694,   183,    50,   960,   179,  5121,   961,   962,  5060,
    1556,  5061,  2587, -2489,  2587,  1557,  5064,    51, -1374,  5065,
   -1374,  4381,  1560,  5066,  1888,    48,  5067,  5092,  1565,  1889,
    5093, -2473,  1566,  5139, -2473, -2475,  5140,  1571,    49,  1573,
   -2473,  1574,  4189,  5143,  5197,    28,  1757,  1579,  5144,  1576,
    3535,  2045,  3536,  3537,  3538,  5145,  5147,  4201,  2045,  2045,
     963,    50,  1583,  5166,  5190,  1892,  5167,  5191,  5214,  5226,
    5251,  3777,  4873,  4881,  5289,    51,  1584,  5065,  1590,  5291,
    5306,  1022,  5292,  5140,  5313, -2475,  1591,  5292,  1594,  1597,
    1600,  1603,  1605,  1611, -2473,  1616,  1614, -2475,  1607,  1625,
    1626,  1630, -2475, -2489,  3707,  1631,  -175, -2475,  1633,  1634,
    1636,  1638,  1894, -2475,  4839,  1639, -2475,  1654,  1661, -2475,
    1663,  2690,  4353,  1667,   205,  1674,  1680,  1681,  4135,   830,
     835,   835,   838,  1682,   835,    40,  1683,  1687,   847,  1691,
     772,  1690,  1693,   882,  1707,   708,  1709, -2475,  1721,  1722,
     772,  1725,   835, -2489,  1726,   772,  1733,  1737,  1745,   835,
    1738,   772,  1740,  1746,  1748, -2489,  1753, -2475,  3601,    44,
   -2489, -2473,  1756,  1759,  1760, -2489,  1787,  1762,  1815,  4593,
    1820, -2489,  3474,  1829, -2489,  1830, -1815, -2489,  1878,  1822,
    3474,  1879,  1823, -1822,  1837, -2473,  1838, -2473, -2473,  1896,
    1870,  1839,  1840,  1841,    51, -1812,  1843,  1844, -2475,    48,
    1845, -2475, -1813,  1846,  1847, -2489,  1848, -2475,  1850,  3638,
    1885,  1851,    49,  1852,  1853, -1816,  1854, -2568, -1814,  1855,
    1856,  1857,  1859, -2473,  3528, -2489, -2473, -2473, -2473,  1912,
    1910,  1860,  1861,  1862,  1870,    50,  1863,  1914,  1864,  1865,
    1866,  1887,  1928,  1940,  1948,  1915,  1924,  2048,  1348,  5198,
    2077,  2703,  1350,  2079,  2088,  2092,  2090,  3688,  2091,  2108,
    2109, -2475,  2110,  2111,  2114,  2113, -2489,  3421,  2115, -2489,
    2118,  3675,  2117,  2116,   712, -2489,  2119,  2125,  2144,  2150,
    2156,  2179,  2186,  3440,  2187,  1897,  2183,  2185, -2568, -2568,
   -2568,  2188,  1901,  1902,  1903,  1904,  1905,  1906,  2190,  2191,
    2206,  2207,  3102,  2208,  2219,  2220,  2231,  2235,  3400,  2237,
    2238,  2241,   708,   179,  3700,  2239,  2240,  2249,  2253,  2250,
    3711,  2255,  4549,  2270,  2254,  2260,  2261,  1878,  3711, -2489,
    1879,  2271,  3607,  2264,  1022,  3440,  1022,  4311, -2475,   785,
    5020,  2272,  2276,  2273,  2288,  2279,  2283,  2284,  2295,   694,
   -2568,  2296,  2298,  2303,  2304, -2568,  1454,   694,  2313,  1885,
    1878,  2317, -2475,  1879, -2475, -2475, -2568,  2308,  2309,  2310,
    2312,  2314,  2319,  2320,  2325,  2336,  2326,  2337,  2338,  2660,
     708,  3753,  3775,  2348,  2342,  2352,  2364,  2343,  4624,  2366,
    1887, -2568,  1885,  4342,  2367,  2884,  2368,  2369,  2373, -2568,
   -2475,  2374,  2385, -2475, -2475, -2475, -2489,  2899,  2375,  2381,
    2382,  2383,  2384,  3808,  1022,  2386,  2393,  4235,  4236,  4308,
    4309,  4310,  2394,  1887,  4273,  3842,  2388,  2395,  2400,  4740,
   -2489,  2403, -2489, -2489,  2404,  2407,   578,  2412,  1894,  2421,
    2418,  2432,  2436,  2437,  2440,  3685,  2445,  2932,  2463,  1515,
    2456,  2459,  2462,  2478,  2480,  2472,  2484,  3411,  2495,  2497,
    2476,  2498,  3827,  2516,   829,  2489,  2505,   829, -2489,  3947,
    2506, -2489, -2489, -2489,  2518,  2519,  2520,  2502,  2503,  3798,
    2507,  2521,  2508,  2509,  2532,  2533,  2565,  2571,  2584,  2597,
    3940,  2628,  2677,  2683,   921,  1879,  4414,  2633,  2696, -2568,
     772,  3824,   830,  2702, -2568,   835,  2687,   838,  2714,   835,
    2716,  2737,   846,   846,  2736,  2751,   882,  2765,   792,  2769,
    2768,   994,  2772,   835,  2773, -2568,  1188,  2771,  2781,  3351,
     835,  2782, -2568,  3352,  3353,  3354,  2790, -2568,  2791,   694,
   -2568,  2792,  2793,  2803,  2810,  2821,  2822,  2824,  2850,  2864,
    1152,  2853,  2855,  5023,   830,  2857,  2869,  2858,  2879,   838,
    2874,  2875,  2877,  2881,   847,  2897,  2898,  2889,   882,  2901,
    2914,  2920,  2885, -2568,  2915,  1300,  1304,  2931,  4463,  2936,
    2937,  2950,  2955,  2982,  2977,  2956,   846,  1894,   835,  2983,
    3928,  2992,  3020,  3076,   786,  3088,  2985,  3099,  3000,  3103,
    3108,  3114,  3095,  3096,  3109,  3110,  3119,  3125,  3126,  3134,
    3146,  3147,  3121,   786,  3161,  3165,  3167,  3176,  2347,  3179,
    1894, -2568,  3188,  3193,  3185,  3163,  3130,  3194,  1901,  1902,
    1903,  1904,  1905,  1906,  3849,  3195,  3196,  3197,  3201,   772,
    3210,  4412,   736,   736,   736,  1188,  3209,  3213,  3351,  3207,
    3214,  3474,  3352,  3353,  3354,   772,  3227,  1171,  3228,  3863,
    3232,  3230,  2660,  3231,  3234,  3955,  3956,  3957,  3958,  3930,
    3240,  3237,  3241,  3239, -2568,  3474,  3255,  1285,  1285,  1714,
     772,   736,  3265,  3267,  3268,   736,  3242,  2660,  3272,  3243,
    3274,  3247,  4065,  4066,  4067,  4068,  3256,  3277,  3278,   772,
    3279,  1757,  1754,   772,  3280,  5262,  5263, -2568,  3288,  1285,
    1723,  2598,  3290,  3291,  3292,  3299,  3302,  3307,  1149,  3309,
     772,  3316,  1188,  3319,  3356,  3351,  3314,  3313,  3333,  3352,
    3353,  3354,   772,  4558,  3317,  3334,  3335,  1878,  4500,  4501,
    1879,  4503,   179,  3336,  3347,  4455,  3931,  3340,  3341,  3343,
   -2073,  3346,  3369,  3385,  3397,  3375,  2045,  3402,  3419,  4534,
    3382,  3476,  3424,  3480,   179,  3482,  3493,  3396,  3410,  1885,
   -2568,  3506,  3486,  3420,   772,  3422, -2568,  1901,  1902,  1903,
    1904,  1905,  1906,  3452,  3423,  3511,  3357,  1188,  3426,  3513,
    3351,  3457,   772,  3484,  3352,  3353,  3354,   835,   835,  3711,
    1887,  3522,  3514, -2568,  3518,  2302,  3525,  3500,  3519,  3527,
    1901,  1902,  1903,  1904,  1905,  1906,  3534,  3549,  4659,  3300,
    3560,  4494,  3550,  4139,  3562,  4674,   736,   736,   694,  3566,
    4147,  3568,  3569,  4148,  3567,  4149,  3312,  4146,  3583,  3584,
    4932,  4740,  3586,  3356,  3592,  3594,  3593,  3602,  3612,  3318,
    3631,  3633,   694,   830,  3629,  3635,  1810,  3636,   694,  3639,
    3641,  3653,  3642,  3643,   847,  3655,  3656,  3943,   882,  4753,
    4207,  3657,  3658,  3659,  3662,  4188,  4210,  3660,  3661,  3674,
    3665,  3667,  3663,  3102,  3669,  3664,   835,  3102,  3102,  3666,
    3102,  3676,  3670,  3668,  4922,  3700,  4924,  3678,  2660,  4071,
    2334,  3689,  3671,  3702,  3680,  3357,  3693,  3713,   772, -2568,
    3681,  3683,  3694,  4551, -2568,   835,   835,  3696,  3716,  3748,
    3356,  3747,  3754,  3757,  3758,  3760,  3765,  3762,  1137,  1138,
    3777,  3776,  3779,  3786,  3792,  5138,  3789,   772,   772,   772,
    3793,   835,  3796,   830,  3797,  3800,  3801,  3813,  3832,   829,
   -2568,  3823,  1870,  3843,  3830,  3844,   846,  3834,  3845,  3836,
    3707,  3831,  3853,  3855,  3846,  3864,  3856,  3857,  3962,  3848,
    3865,  3967,  3358,  3359,  3360,  3866,  3361,  3362,  3363,  3364,
    3365,  3366,  3357,  3868,  3874,  3356,  3869,  3870,  3372,  1878,
    1832,  3351,  1879, -2072,  4287,  3371,  3924,  1894,  3908,  3883,
     793,  3909,  3910,  3935,  3948,  3965,  3916,  3936,  3989,  4014,
    4168,  3994,   835,  4171,   835,   835,  3954,  4783,  3939,  4019,
    3966,  1885,  3974,  5076,  5078,  3991,  4007,  4004, -2568,  4006,
    4009,  5070,  4023,  4008,  4017,  4040,  4033,  4061,  4076,  4069,
    4077,  4063,  1285,  4064,  4078,  4079,  4081,  3357,  4114,  4083,
    4085,  4099,  1887,  4130,  4848,   880,  4115,  4102,  4321,  4321,
    4321,  4116,  4321,  4321,  4321,  4283,  4691,  2660,  4117,  4127,
    4128,   694,  1790,  1790,  4129,  4131,  4132,   772,  4143,   703,
    4141,  4144,  4154,  4155, -2568,  4163,  4160,  4178,  4180,  4182,
    4090,  3358,  3359,  3360,  4185,  3361,  3362,  3363,  3364,  3365,
    3366,  4193,  4843,  4192,  4195,  1821,  4196,  4220,   772,  4199,
    4248,  1827,  4209,  3532,  4714,  4223,  4232,  4252,  4253,  3944,
    4246,  4238,  4265,  2554,  1285,  4256,  4258,  4259,  4280,  2347,
    3543,  4275,  4296,  4281,  4293,  4297,  4298,  4312,  4294,  4709,
    4301,  4306,  4299,  1872,  4302,  4316,  4318,  4324,  4329,  4334,
    4344,  4338,  4345,  4346,  1285,  5277,  4339,  4343,  4347,  5168,
    4351, -2568, -2074,  4386,  4387,  4379, -2568,  4366,  3358,  3359,
    3360,  4394,  3361,  3362,  3363,  3364,  3365,  3366,  4382,  4384,
   -2568,  5215,  1285,  1285,  1285,  4395,  1285,  1901,  1902,  1903,
    1904,  1905,  1906,  4399,  4400,  4402,  4403,  4413,  4409,  4422,
    4411,  3287, -2568,  4405,  5277,  4425,  1285,  4406,  4407,  4427,
    4429,  4435,  4434,  4443,  4461,  4462,  4465,  4472,  4471,  5277,
    4858,  4484,  4473,  4491,  3624,  4487,  3626,  4493,  4428,  4934,
    4504,  4858,  4512,  3358,  3359,  3360,  4525,  3361,  3362,  3363,
    3364,  3365,  3366,  4496,   772,  4497,  4526,  1285,  4531,  1894,
    4517,  4532,  4540,  4541,  4546,  4547,  4550,  4554,  4535,  4556,
    4548,  4564,  4567,  2660,  2660,  4571,  4576,  5070,  4578,  4586,
    4588,  5083,  4589,  4590,  4599,  1285,  4591,  4610,  4611,  1285,
    1285,  4604,  4617,  4618,  4620,  4625,  4627,  4628,  4415,  4417,
     772,   772,  2087,  4629,  1285,  4466,  4630,  4636,  4642,  3440,
    4645,  4652,  4672,  4679,  4656,  4682,  4685,  3673,  4696,  4705,
    4926,  4700,   694,  4706,  4711,  4735,   694,   736,  4502,  4676,
    4754,  4699,  4756,  4717,  4219,  4762,  4718,  5013,   179,  4722,
    4727,  4728,  4764,  4506,  4766,  3687, -2568,  4772,  4767,  4769,
    4773,  4481,  4482,  4770,  5029,  4789,  4485,  4486,  4790,  5031,
    4797,  5033,  2189,  4799,  4802,  4806,  4808,   736,  4815,  4816,
    4829,  4827,  4830,  1023,  4831,  4844,  4847,  4851,  4857,  4861,
    4873,   772,  2215,  4864,  4878,  4898,  4869,  4507,  4508,  4868,
     772,  4871,  4899,   835,  4877,  4889,  4905,  3102,  4949,  3102,
    3102,   829,  4956,  3102,  4896,  4911,  4951,   846,  4960,  4961,
    4963,  4970,  4975,  4982,  4981,  4989,  4993,  4994,   882,  4995,
     772,  5002,  5003,  5004,  5011,  5005,  5019,  5032,  5035,  4570,
    5036,  5012,  5041,   772,  5043,  5040,   772,  5053,  5057,  5075,
    5048,  5081, -2568,  5082,  5091,  2932,  5028,  5086,  5088,  1901,
    1902,  1903,  1904,  1905,  1906,  5095,  5098,  5099,  5125,  1878,
    5105,  5117,  1879,  4566,  5118,  5119,  1880,  1881,  1882,  5126,
    5136,   772,  5134,  3949,  5162,  4478,  3825,  5160,  5169,  5084,
    5153,  5085,   835,   835,   835,   835,   772,  4488,  5155,  5177,
     880,  1885,  5178,  5179,  5209,  5217,  5224,  4592,  1886,  5237,
     772,  5258,  5259,  4715,  5234,  5243,  5260,  5264,  5266,  5270,
    5284,  2362,  5285,   772,  5287,  4713,  3440,  5290,  5304,  5305,
    3440,  5297,  1887,  5298,  5308,   835,   835,  3474,  4321,  5307,
    5309,  5045,  1339,  3170,  3049,  2349,  3467,  2981,   880,  1439,
    3577,  4105,  4098,  1947,  4569,  5269,   835,  5163,  3087,  3701,
    4202,  3450,  4943,  5069,  5235,  4234,  4807,  4755,  4530,  4782,
    3516,   179,   179,  3276,  1023,   772,  5156,  4689,  5231,  5089,
    1878,  5087,  3875,  1879,  5248,  3521,  4284,  1880,  1881,  1882,
    5176,   835,   835,   835,   835,  4264,  5051,  4227,  3144,  3145,
    3596,  4103,  3764,  3884,   772,  1517,  4251,  4788,  4692,  4693,
    4693,   772,  1885,  3450,  2362,  3772,  5310,  3135,  4793,  1886,
    4552,  5236,  5302,  3714,   830,  4768,  3719,   830,  3907,  5181,
    4716,  4907,   838,  5059,  4719,   710,  4313,  1285,  1807,  2411,
    4884,  1888,  2827,  1887,  4290,  1817,  1889,  3507,  1602,  5000,
    2522,  1097,  2591,  1024,  2485,  2592,  3677,  4133,  4677,  2593,
    3768,  4153,  1813,  5200,  5296,  1313,  2776,  1890,  1891,  2124,
    2777,  2545,   847,   847,  4269,  4678,  4418,  5150,  4027,  1920,
    3472,  2802,  1892,   882,   882,  3711,  2074,  3481,  3287,  4005,
    3479,  5146,  5034,  4410,  2801,  4377,  2046,  3969,  4392,  4863,
    3963,  5018,  5017,   835,   835,  3964,  4028,  5299,  5216,  5265,
     835,  5137,   772,  4842,   694,  1893,  3918,  4675,  2496,  5148,
    5133,  5149,  3417,  2741,  3469,  3328,  3102,  3415,     0,  1894,
       0,  2073,  2750,     0,     0,     0,     0,  1790,     0,  2078,
       0,     0,     0,     0,   835,  2083,   847,     0,     0,     0,
     772,   772,  1888,   835,     0,     0,     0,  1889,     0,     0,
     772,     0,  4821,     0,     0,     0,     0,   772,     0,     0,
       0,     0,   703,   703,     0,     0,  2600,     0, -2568, -2568,
    1285,     0,  1285,     0,     0,     0,     0,  1285,  1285,     0,
       0,     0,     0,  1892,  1285,  1285,  1285,  3287,     0,  3287,
    1285,   882,  1285,  1285,  1285,  1285,  1285,  1285,     0,  1285,
    1023,  1285,  1285,     0,     0,  1285,  1896,   179,     0,     0,
       0,     0,     0,     0,     0,     0, -2568,     0,     0,     0,
    1285,  1285,  1285,  1285,     0,     0,     0,   835,  1285,  4787,
    1894,     0,  1285,     0,     0,  1285,     0,     0,  1285,  1285,
    1285,  1285,  1285,  1285,  1285,  1285,  1285,   786,  1285,     0,
       0,     0,     0,     0,   772,  1285,     0,  1285,  1497,     0,
       0,     0,     0,     0,   772,     0,     0,  4820,     0,     0,
       0,     0,     0,     0,     0,     0,  1878,  1498,     0,  1879,
       0,     0,     0,     0,  1414,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4923,     0,  4925,     0,     0,
       0,     0,  1897,     0,     0,  1898,  1899,  1900,  1885,  1901,
    1902,  1903,  1904,  1905,  1906, -2568,     0,  1896,  1415,     0,
       0,     0,     0,     0,     0,     0,  1499,  4090,  3440,     0,
       0,  4919,  4919,  3440,  2147,     0,  3440,     0,     0,  1887,
       0,     0,     0,     0,  1022,   880,     0,     0,  4936,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4944,     0,
     694,   694,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,     0,     0,     0,  1417,     0,     0,
       0,   772,     0,   772,     0,  1285,     0,     0,     0,  4091,
       0,     0,     0,     0,     0,     0,  4237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4364,     0,     0,     0,
    1500,  1418,     0,  1897,     0,     0,  1898,  1899,  1900,   772,
    1901,  1902,  1903,  1904,  1905,  1906,  2811,     0,  2816,     0,
       0,     0,     0,     0,  2601,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1419,     0, -2568,     0,
    4693,     0,     0, -2568,     0,     0,     0,     0,  1501,   838,
       0,  1502,     0,     0,     0,     0,     0,     0,   703,     0,
     703,     0,  2301,     0,  4092,     0,     0,     0,     0,     0,
    1420,  4984,  2602,     0,     0,     0,     0,  1285,  5159, -2568,
       0,     0,   179,     0,     0,     0,     0,     0,     0,   830,
       0,   835,   835,  1504,     0,     0,   847,     0,   882,     0,
     835,  1422,   835,     0,  2603,     0,   835,  1385,     0,   772,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     179,     0,     0,  5097,     0,  1022,  1894,  2604,     0,  5073,
     736,  5074,     0,     0,     0,  5079,  5080,  1506,  2605,     0,
    2215,     0,    35,     0,  2199,     0,  1424,  5037,  2934,  5206,
    5207,     0,     0,  1425,     0,  2945,     0,  1507,  2606,     0,
       0,  1426,     0,  2607,   772,     0,     0,     0,  1813,  2200,
       0,     0,     0,     0,     0,     0,     0,  1509,     0,  4093,
       0,  1428,  4094,     0,  3440,   772,     0,     0,     0,  1429,
    2990,  2990,     0,     0,     0,  1870,     0,     0,     0,     0,
     772,   772,     0,     0,   772,     0,   838,   736,     0,     0,
       0,     0,  2608, -2568,     0,     0,     0,     0,     0,     0,
       0,  5165,     0,     0,     0,   835,  3450,     0,   835,  3450,
       0,     0,     0,  2609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,   772,
     772,     0,     0,     0,     0,     0,     0,     0,     0,  4919,
       0,  4919,     0,     0,  3075,     0,  3078,  3080,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2241,     0,     0,     0,     0,     0,     0,     0,   694,     0,
     694,     0,     0,  4447,     0,     0,   835,     0,     0,     0,
     205,     0,     0,  2610,   835,   835,     0,     0,  3450, -2568,
       0,   835,     0,  5233,     0,     0,  1901,  1902,  1903,  1904,
    1905,  1906,     0,  1285,  3440,   835,     0,     0,     0,  2611,
       0,  4468,  5311,  5312,   179,   183,  2612,  5202,     0,  2215,
    5203,  5204,  2990,  2613,   772,  4693,  4693,   772,     0,     0,
       0,  3171,  4483,     0,   703,     0,     0,     0,     0,     0,
       0,  1022,     0,     0,     0,     0,   835,  1285,  5182,     0,
       0,  2614,  5257,     0,     0,     0,  2615,     0,     0,  2616,
       0,     0,     0,     0,  3075,     0,     0,     0,     0,     0,
       0,  3287,     0,  5205,   835,     0,  3203,  2617,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   183,
     179,  5202,     0,     0,  5203,  5204,     0,  4509,     0,  1285,
    1878,     0,  2618,  1879,     0,     0,     0,     0,  4919,     0,
       0,     0,     0,  4693,     0,     0,     0,  5276,     0,     0,
       0,     0,     0,     0,     0,     0,   835,     0,   835,  2990,
     835,  2990,  1885,  1878,     0,     0,  1879,   694,     0, -2568,
    1880,  1881,  1882,     0,     0,     0,  5275,  5205,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1883,     0,     0,
       0,     0,     0,  1887,  1790,  1885,  5276,     0,     0,     0,
       0,     0,  1886,     0,   183,     0,  5202,     0,     0,  5203,
    5204,  5276,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5275,  1887,     0,     0,     0,
       0,   772,     0,     0,     0,     0,     0,     0,  4598,     0,
    5275,   830,     0,     0,     0,     0,     0,   847,  1188,     0,
       0,  3351,     0,     0,     0,  3352,  3353,  3354,     0,     0,
     835,     0,  5205,     0,     0,     0,     0,  3450,  1285,     0,
       0,     0,  4360,  1285,     0,     0,     0,     0,     0,     0,
    1813,     0,  1188,     0,     0,  3351,     0,     0,     0,  3352,
    3353,  3354,     0,     0,     0,     0,  1285,  1285,  1285,     0,
       0,  1285, -2568,     0,     0,     0,  4361, -2568,     0,  1285,
    1285,  1285,  1285,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1285,     0,     0,  1285,     0,  1285,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,  1285,  1285,
    1889,   179,  1285, -2568,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   882,     0,  1285,     0,  1285,     0,
    1285,  1890,  1891,     0,  1188,     0,   179,  3351,     0,     0,
       0,  3352,  3353,  3354,     0,     0,  1892,     0,     0,     0,
    1285,     0,     0,     0,   772,     0,     0,     0,     0,     0,
    1894,  3451,     0,  1285,  1285,  1285,     0,     0,     0,     0,
       0,     0,     0,  1679,     0,     0,     0,     0,     0,  1893,
       0,  1285,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1878,  1285,  1894,  1879,     0,  1895,  1285,  1880,  1881,
    1882,  1706,     0,  1285,     0,     0,     0,     0,     0,     0,
    5256,     0,     0,  3451,     0,  1883,  3356,  3492,     0,     0,
    3495,  1724,  2816,  1885,     0,     0,     0,     0,     0,     0,
    1886,  1735,     0,     0,     0,     0,     0,  1739,     0,     0,
       0,     0,     0,  1747,  3450,     0,     0, -2568,  3450,  1755,
    3356,     0,  1758,     0,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,  1285,     0,  2990,     0,     0,     0,     0,
    1790,     0,     0,     0,     0,     0,  1877,     0,  3357,     0,
    1896,  1878,     0,     0,  1879,     0,     0,     0,  1880,  1881,
    1882,     0,     0,     0,     0,   179,     0,   835,     0,   835,
     835,   835,     0,     0,     0,  1883,     0,     0,  1884,     0,
       0,     0,  3357,  1885,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1813,     0, -2568,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2568,  1887,     0,     0,     0,     0,     0,
    1901,  1902,  1903,  1904,  1905,  1906,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,  1889,     0,
    3673,     0,     0,     0,     0,     0,  1897,     0,     0,  1898,
    1899,  1900,     0,  1901,  1902,  1903,  1904,  1905,  1906,  1890,
    1891,     0,     0,     0,  3357,     0,  3342,     0,     0,     0,
       0,     0,     0,     0,  1892,     0,     0,     0,     0,     0,
     772,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1813,     0,     0,     0,     0,  1813,
    1813,     0,     0,     0,     0,     0,     0,  1893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1894,     0,  1888,  1895,     0,     0,     0,  1889,     0,
       0,     0,     0,     0,  3358,  3359,  3360,     0,  3361,  3362,
    3363,  3364,  3365,  3366,     0,     0,     0,     0,     0,  1890,
    1891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4537,  1892,     0,     0,     0,  3358,  3359,
    3360,     0,  3361,  3362,  3363,  3364,  3365,  3366,     0,     0,
       0,     0,     0,     0,   835,     0,     0,     0,     0,  2990,
    2990,     0,     0,     0,     0,     0,     0,  1893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1896,  5001,
       0,  1894,     0,     0,  1895,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   772,   772,   772,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   772,     0,     0,     0,     0,     0,     0,
    3358,  3359,  3360,     0,  3361,  3362,  3363,  3364,  3365,  3366,
       0,     0,     0,     0,     0,  1790,   772,     0,     0,     0,
       0,     0,     0,     0,     0,  1790,   772,   772,     0,     0,
       0,   772,  3219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   772,     0,     0,     0,  1896,     0,
       0,     0,  1414,     0,  1897,     0,     0,  1898,  1899,  1900,
       0,  1901,  1902,  1903,  1904,  1905,  1906,     0,     0,  3450,
       0,     0,     0,     0,  3392,     0,  3450,     0,     0,     0,
       0,  3450,     0,     0,  3450,  4654,  1415,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   835,     0,     0,     0,     0,     0,     0,     0,
    3450,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   772,     0,  3450,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   772,     0,     0,
       0,     0,     0,     0,  1897,  1417,     0,  1898,  1899,  1900,
       0,  1901,  1902,  1903,  1904,  1905,  1906,  1285,  5142,     0,
       0,     0,     0,     0,  2158,     0,  1285,     0,     0,  2159,
       0,   846,  1285,     0,  1285,     0,     0,  1285,     0,  1418,
       0,     0,  1285,  1285,  1285,  1285,     0,     0,  1285,  1285,
    1285,  1285,  1285,  1285,  1285,  1285,  1285,  1285,     0,     0,
       0,  1285,  1285,  2160,     0,     0,     0,     0,     0,  3220,
       0,  1285,     0,   846,  1419,  1285,  2161,     0,     0,  1285,
       0,     0,     0,     0,     0,     0,     0,  1285,     0,     0,
    1285,  2162,  1285,     0,     0,     0,     0,     0,     0,     0,
       0,  1285,     0,     0,  1285,  1285,     0,     0,  1420,  1285,
    1285,     0,     0,     0,  3951,     0,  1285,     0,     0,     0,
       0,     0,     0,   772,   772,   772,   830,     0,     0,  3451,
    3973,     0,  2163,     0,  3973,  3987,  3973,     0,     0,  1422,
       0,  3450,  1285,  2164,     0,  1385,     0,     0,  1285,  1285,
    1285,     0,  2517,     0,     0,     0,     0,     0,     0,     0,
    2524,     0,     0,  2165,     0,     0,     0,     0,  2166,     0,
       0,     0,     0,     0,  1285,     0,  2534,  1442,     0,     0,
      35,     0,     0,  1443,  1424,     0,     0,     0,  2816,     0,
    1285,  1425,     0,     0,     0,     0,     0,     0,     0,  1426,
       0,     0,  3450,     0,     0,     0,     0,  2200,  4048,  1790,
    1790,     0,  2362,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,  1444,     0,     0,  1429,     0,   835,
     835,   835,   835,     0,     0,     0,     0,     0,  2167,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3222,     0,
       0,     0,     0,     0,     0,     0,     0,   559,  2215,     0,
       0,     0,     0,   611,   559,     0,     0,     0,     0,   662,
       0,   559,  2168,     0,  1445,     0,  4101,   559,  1446,     0,
     716,     0,  1430,     0,     0,  1447,  3223,  2418,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   783,
     783,     0,     0,  1414,     0,   205,     0,     0,     0,     0,
       0,     0,     0,  1449,     0,     0,     0,     0,     0,  4962,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1415,     0,     0,
       0,  2169,  3450,     0,     0,  1450,  1878,     0,  2170,  1879,
       0,  2171,     0,  1880,  1881,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1878,  1416,  4186,  1879,
    1883,     0,     0,  1880,  1881,  1882,     0,     0,  1885,     0,
       0,  2172,     0,     0,     0,  1886,     0,     0,  2173,     0,
    1883,     0,     0,     0,     0,  2174,  1417,     0,  1885,     0,
    3450,     0,  2175,     0,  1451,  1886,  1452,   835,     0,  1887,
       0,   772,     0,   835,     0,  1285,  1453,     0,     0,     0,
       0,     0,   772,     0,     0,  1454,     0,  2176,  4226,  1887,
    1418,  3450,     0,     0,     0,     0,  1455,     0,  2215,     0,
       0,     0,     0,     0,     0,     0,   842,     0,     0,     0,
       0,     0,     0,   772,   884,     0,   885,  3451,   889,   890,
       0,   893,     0,   895,  2774,  1419,   901,  3075,   903,     0,
       0,     0,     0,     0,  1456,     0,  4274,  1457,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,   772,     0,     0,
       0,  2362,     0,     0,     0,  1285,  1285,     0,     0,  1420,
       0,     0,     0,     0,     0,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,  1889,  2990,     0,  2990,     0,     0,  1421,
    1422,     0,     0,   772,     0,     0,  1385,     0,  1888,  3450,
       0,     0,     0,  1889,  1890,  1891,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1892,
       0,     0,  1285,     0,  1890,  1891,     0,  1423,     0,  1460,
       0,    35,     0,  1285,     0,  1424,     0,     0,     0,  1892,
       0,     0,  1425,     0,     0,     0,     0,     0,  3219,     0,
    1426,     0,  1893,     0,     0,     0,     0,     0,  1427,     0,
       0,     0,     0,  1285,   846,     0,  1894,     0,  1414,  1895,
    1428,     0,  1893,  1285,  1285,     0,     0,     0,  1429,     0,
    1285,  1285,     0,     0,     0,  1285,  1894,     0,     0,  1895,
    1285,     0,     0,  1285,  1285,     0,     0,     0,  1285,  4369,
       0,     0,  1415,     0,  1285,   772,   772,   772,   772,     0,
       0,     0,  3973,  3987,  3973,  5185,  1285,  3973,     0,     0,
    4383,     0,     0,     0,  3451,     0,     0,     0,  3451,  3450,
       0,     0,     0,  1430,  4398,   846,   846,     0,     0,     0,
       0,  1285,     0,     0,     0,     0,  1285,     0,     0,     0,
       0,     0,  1285,  1896,     0,  1878,     0,     0,  1879,   882,
       0,  1417,  1880,  1881,  1882,     0,     0,  1285,     0,     0,
       0,  3492,     0,  1896,     0,     0,  2816,     0,     0,  1883,
       0,     0,     0,     0,     0,     0,     0,  1885,     0,     0,
     703,     0,     0,  1285,  1886,  1418,     0,     0,     0,     0,
       0,  3450,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2990,  2990,     0,     0,     0,  1887,     0,
       0,     0,     0,     0,     0,  3220,     0,     0,     0,     0,
    1419,  2215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4467,     0,     0,     0,     0,  1897,
       0,     0,  1898,  1899,  1900,     0,  1901,  1902,  1903,  1904,
    1905,  1906,     0,     0,  1420,     0,  2686,     0,     0,  1897,
       0,     0,  1898,  1899,  1900,     0,  1901,  1902,  1903,  1904,
    1905,  1906,     0,   967,     0,     0,  3715,     0,     0,     0,
       0,   976,     0,  1285,     0,  1422,     0,     0,   989,   990,
    5301,  1385,   996,     0,   999,  1000,     0,     0,     0,  1002,
       0,     0,     0,     0,     0,   835,     0,     0,   846,   846,
    1019,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
     835,     0,  1889,     0,     0,  1029,    35,     0,     0,     0,
    3221,     0,     0,     0,     0,     0,     0,  1425,     0,     0,
       0,     0,     0,  1890,  1891,  1426,     0,     0,  1093,  1285,
    1095,     0,     0,  2200,     0,     0,     0,     0,  1892,  3233,
    1111,     0,     0,   830,     0,  1428,  3238,     0,     0,  2215,
       0,     0,     0,  1429,     0,     0,     0,     0,  1790,     0,
       0,     0,     0,     0,     0,     0,  3257,     0,     0,     0,
       0,  1893,   559,  1285,  3222,     0,  3263,     0,     0,     0,
    3264,     0,     0,  3266,     0,  1894,   835,     0,  3203,  3270,
       0,  3271,     0,     0,  3273,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1170,     0,  1430,     0,
       0,     0,  3223,  1878,     0,     0,  1879,     0,   772,     0,
    1880,  1881,  1882,  1070,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1883,  1442,     0,
       0,     0,     0,     0,  1443,  1885,     0,  1070,     0,     0,
       0,     0,  1886,  3310,  1285,     0,     0,  1532,     0,     0,
     783,     0,     0,  1285,     0,     0,     0,     0,     0,     0,
       0,     0,  1896,     0,     0,     0,  1887,     0,     0,     0,
    1285,  1285,     0,     0,  1285,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
       0,     0,  3973,     0,     0,     0,  3451,     0,     0,     0,
       0,  3451,     0,     0,  3451,   830,     0,  3075,     0,  4658,
       0,  1405,  1285,  1285,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1533,     0,  1446,
    4048,     0,  1285,     0,     0,     0,  1447,     0,     0,  1448,
       0,     0,     0,  4048,   882,   835,   835,   835,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1897,     0,
       0,  1898,  1899,  1900,  1449,  1901,  1902,  1903,  1904,  1905,
    1906,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
    1889,  1564,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   847,   882,     0,     0,     0,  1450,  1577,     0,     0,
       0,  1890,  1891,     0,     0,     0,     0,     0,     0,  1588,
       0,     0,  1589,     0,     0,     0,  1892,     0,     0,     0,
       0,     0,  1592,     0,     0,     0,     0,  1596,     0,     0,
       0,     0,     0,   847,     0,  1599,   772,     0,     0,     0,
       0,  1609,     0,     0,  1613,     0,     0,     0,  4226,  1893,
       0,   772,     0,     0,     0,  1451,   772,  1452,  2990,     0,
       0,     0,     0,  1894,     0,  2215,  1895,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
       0,   772,     0,     0,  1666,  4274,     0,  1455,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   835,
     772,  4048,     0,     0,     0,     0,     0,  3526,     0,     0,
       0,     0,     0,  1070,     0,  1878,     0,     0,  1879,     0,
       0,     0,  1880,  1881,  1882,  1534,     0,  1285,  1457,  1458,
    1285,     0,  1285,     0,     0,     0,  1070,     0,     0,  1883,
       0,     0,     0,     0,     0,     0,     0,  1885,     0,     0,
    1896,  1070,  1285,     0,  1886,     0,  1535,     0,  1285,     0,
       0,     0,  3451,     0,     0,     0,  4658,     0,     0,     0,
       0,     0,     0,  1285,     0,     0,     0,     0,  1887,     0,
       0,     0,  4876,     0,     0,     0,     0,  3585,     0,  3587,
       0,     0,     0,     0,     0,   559,     0,   559,     0,   559,
       0,   559,     0,   559,   559,   559,   772,     0,     0,     0,
     559,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1460,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1285,     0,     0,  1070,     0,     0,     0,     0,
       0,   835,   835,   835,   835,     0,  1897,     0,     0,  1898,
    1899,  1900,     0,  1901,  1902,  1903,  1904,  1905,  1906,     0,
       0,     0,     0,  3876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,  1889,     0,     0,     0,     0,     0,     0,   772,
       0,     0,  3451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   860,  1890,  1891,     0,     0,     0,  3672,     0,
       0,     0,   892,     0,  3679,     0,     0,     0,  1892,     0,
       0,     0,     0,   910,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1070,     0,  1442,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,  1285,     0,     0,
     830,  1893,     0,  1285,     0,     0,  1532,  5026,     0,     0,
       0,     0,     0,     0,  1285,  1894,     0,     0,  1895,  1285,
       0,  1285,     0,  1285,     0,     0,     0,     0,     0,     0,
       0,  4048,     0,     0,  1444,     0,     0,   835,     0,   882,
       0,     0,     0,     0,   783,     0,     0,     0,     0,  1285,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1878,     0,     0,  1879,     0,     0,     0,  1880,
    1881,  1882,     0,     0,     0,     0,  1533,     0,  1446,  1790,
    1790,     0,     0,     0,     0,  1447,  1883,     0,  1448,     0,
       0,     0,  1896,     0,  1885,     0,     0,     0,     0,     0,
       0,  1886,     0,     0,     0,     0,     0,     0,     0,     0,
     835,  2178,     0,  1449,     0,     0,  1934,  5103,     0,     0,
       0,  1285,     0,     0,     0,  1887,     0,     0,     0,  5114,
       0,     0,  3833,     0,  3835,     0,  3837,     0,     0,     0,
       0,     0,     0,  3841,     0,  1450,     0,     0,     0,     0,
       0,     0,     0,     0,  1285,  1285,     0,     0,     0,  3075,
       0,     0,  1285,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1285,     0,     0,  4876,     0,     0,     0,  2268,
    2816,  1070,  3862,     0,     0,     0,     0,     0,  1897,     0,
       0,  1898,  1899,  1900,   847,  1901,  1902,  1903,  1904,  1905,
    1906,     0,     0,     0,  1451,  3927,  1452,     0,   835,     0,
       0,     0,     0,     0,     0,  1790,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,  1455,     0,     0,  1889,
    2215,     0,     0,  1442,     0,   830,     0,     0,  1070,  1443,
    1285,     0,     0,     0,     0,     0,     0,     0,     0,  4048,
    1890,  1891,     0,     0,     0,   847,   847,  1285,     0,     0,
       0,     0,     0,     0,  3046,  1892,  1285,  1457,  1458,     0,
    5026,     0,     0,     0,     0,     0,     0,  1070,     0,     0,
    1444,     0,     0,  1285,     0,     0,     0,     0,     0,     0,
     835,     0,     0,     0,     0,  3047,   919,     0,  1893,     0,
    1070,     0,   964,     0,     0,     0,  2406,     0,     0,     0,
       0,  1878,  1894,     0,  1879,  1895,     0,     0,  1880,  1881,
    1882,  5114,   835,   835,     0,     0,     0,     0,     0,     0,
    2256,     0,     0,     0,  1446,  1883,     0,     0,     0,     0,
       0,  1447,     0,  1885,  1448,     0,     0,     0,  1285,  1285,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,  1460,
       0,     0,     0,     0,     0,     0,     0,     0,  1878,  1449,
       0,  1879,     0,     0,  1887,  1880,  1881,  1882,     0,  1070,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1285,     0,  1883,     0,  1070,     0,  1285,     0,     0,  1896,
    1885,  1450,     0,  1070,     0,     0,     0,  1886,     0,     0,
     835,     0,     0,     0,     0,  1070,     0,  5026,     0,     0,
     830,     0,     0,     0,     0,     0,     0,     0,  2526,     0,
    2527,  1887,     0,     0,     0,     0,     0,     0,   847,   847,
       0,     0,     0,     0,     0,     0,     0,  2538,     0,  2539,
       0,     0,     0,     0,     0,     0,     0,  1169,     0,     0,
    1451,     0,  1452,   559,     0,   559,     0,   559,     0,   559,
    1070,   559,  1453,     0,     0,   559,     0,     0,     0,     0,
       0,  1454,  1292,  1888,  1070,     0,     0,     0,  1889,     0,
       0,     0,  1455,     0,     0,  1897,  1070,     0,  1898,  1899,
    1900,  1315,  1901,  1902,  1903,  1904,  1905,  1906,  1070,  1890,
    1891,     0,  4013,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1340,     0,  1892,     0,     0,     0,     0,     0,
    2257,     0,     0,  1457,  1458,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,  1889,     0,     0,  1070,  1070,
       0,     0,     0,     0,     0,     0,     0,  1893,     0,     0,
       0,  2258,     0,     0,     0,     0,  1890,  1891,     0,     0,
       0,  1894,     0,     0,  1895,     0,     0,     0,     0,     0,
       0,  1892,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1471,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1893,     0,  1442,     0,     0,     0,
       0,     0,  1443,     0,     0,  1460,     0,     0,  1894,     0,
       0,  1895,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1896,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1070,     0,     0,     0,     0,     0,     0,     0,
    1878,     0,     0,  1879,     0,     0,     0,  1880,  1881,  1882,
       0,     0,  4305,     0,     0,     0,  4307,     0,     0,     0,
    1618,     0,     0,     0,  1883,  1896,     0,  1446,     0,     0,
       0,     0,  1885,     0,  1447,     0,     0,  1448,     0,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1656,
    1659,  1660,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1449,  1887,  1897,     0,     0,  1898,  1899,  1900,
       0,  1901,  1902,  1903,  1904,  1905,  1906,     0,     0,     0,
       0,  4042,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2819,  2820,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2835,  2836,     0,     0,     0,  2839,  2840,     0,     0,     0,
    2843,  1897,     0,     0,  1898,  1899,  1900,     0,  1901,  1902,
    1903,  1904,  1905,  1906,  2854,     0,     0,     0,  4330,     0,
       0,  2863,     0,     0,     0,  2866,  2867,     0,     0,  2870,
    2871,     0,     0,  1451,     0,  1452,  2876,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,  2893,
       0,  2895,  1888,     0,  1454,     0,     0,  1889,     0,     0,
       0,     0,     0,     0,     0,  1455,     0,     0,     0,  1292,
    2919,     0,     0,     0,     0,  2921,     0,     0,  1890,  1891,
       0,     0,     0,     0,     0,     0,     0,     0,  2926,     0,
    1070,     0,     0,  1892,  1070,  1070,     0,  2933,     0,  2935,
    1292,     0,  2938,  2941,  2943,     0,  1457,  1458,     0,  2951,
    2954,     0,     0,  4446,     0,     0,     0,     0,     0,  2967,
       0,     0,     0,     0,  2976,     0,  1893,     0,     0,  2980,
       0,     0,  3219,     0,  1459,     0,     0,     0,     0,     0,
    1894,     0,     0,  1895,     0,  2996,     0,     0,     0,     0,
       0,     0,  1414,  3007,  4469,  4470,  1070,     0,     0,     0,
       0,     0,     0,     0,  3022,     0,     0,     0,  1070,     0,
       0,     0,     0,     0,     0,     0,  3029,     0,     0,  3032,
       0,     0,     0,     0,  3035,     0,  1415,     0,     0,  3037,
    3038,     0,     0,     0,  3041,     0,     0,  3045,  1460,     0,
       0,  3052,  3053,  3054,  3055,     0,  3057,     0,  1070,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3082,
    3083,     0,  3085,     0,     0,     0,     0,  1896,     0,     0,
       0,     0,  3093,  3094,     0,     0,  1949,     0,     0,  1878,
    4510,  4511,  1879,     0,     0,  1417,  1880,  1881,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,  1878,     0,     0,
    1879,     0,     0,  1883,  1880,  1881,  1882,     0,     0,     0,
       0,  1885,     0,     0,     0,     0,     0,     0,  1886,  1418,
       0,  1883,     0,  2085,  3138,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,     0,  3220,
       0,     0,  3175,     0,  1419,     0,     0,     0,     0,     0,
    1887,     0,     0,  1897,     0,     0,  1898,  1899,  1900,     0,
    1901,  1902,  1903,  1904,  1905,  1906,     0,     0,     0,     0,
    4365,     0,     0,     0,     0,     0,     0,     0,  1420,     0,
       0,     0,     0,     0,     0,  4606,     0,  4607,  4608,  1878,
       0,     0,  1879,  2209,     0,     0,  1880,  1881,  1882,     0,
       0,  4612,  2232,     0,     0,     0,     0,     0,     0,  1422,
       0,     0,     0,  1883,     0,  1385,     0,  1070,     0,     0,
       0,  1885,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,  1878,  2269,     0,  1879,     0,     0,     0,  1880,  1881,
    1882,  1888,     0,     0,     0,  2282,  1889,     0,  2285,     0,
      35,     0,  1887,     0,  1424,  1883,     0,     0,     0,  1888,
       0,  1425,     0,  1885,  1889,     0,     0,  1890,  1891,  1426,
    1886,     0,     0,     0,     0,     0,     0,  2200,     0,     0,
       0,     0,  1892,     0,     0,  1890,  1891,     0,     0,  1428,
       0,     0,     0,     0,  1887,     0,     0,  1429,  2333,  1070,
    1892,     0,  3305,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2351,     0,     0,  1893,     0,     0,  3222,     0,
       0,     0,     0,     0,     0,  2363,     0,     0,     0,  1894,
       0,  3321,  1895,  1893,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1894,     0,     0,
    1895,     0,  1430,     0,     0,     0,  3223,     0,     0,     0,
       0,  1888,     0,     0,     0,     0,  1889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2415,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,  1891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1892,  1888,     0,     0,  2458,     0,  1889,     0,
    1070,     0,     0,  2471,     0,     0,  1896,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1070,     0,  1890,
    1891,     0,     0,     0,  1896,  1893,     0,     0,     0,     0,
    1070,     0,     0,     0,  1892,     0,     0,     0,     0,  1894,
       0,     0,  1895,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1894,     0,     0,  1895,     0,     0,  4838,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,  1897,     0,  2543,  1898,  1899,  1900,     0,  1901,
    1902,  1903,  1904,  1905,  1906,     0,     0,     0,     0,  4615,
    1897,     0,     0,  1898,  1899,  1900,  1896,  1901,  1902,  1903,
    1904,  1905,  1906,     0,     0,     0,     0,  4626,     0,     0,
       0,     0,  1292,  1292,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,  1447,  2590,
    4886,  1448,     0,     0,     0,     0,     0,     0,  1896,     0,
       0,     0,     0,     0,     0,  3529,     0,     0,     0,  3531,
       0,     0,     0,     0,     0,  3533,  1449,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3544,  3546,     0,     0,     0,  3546,     0,     0,     0,
    4927,  3557,  3558,  3559,     0,  3561,     0,     0,  1450,     0,
       0,     0,  1897,     0,     0,  1898,  1899,  1900,     0,  1901,
    1902,  1903,  1904,  1905,  1906,  1070,  3582,     0,  1070,  4635,
    1070,     0,     0,     0,     0,  1070,  3588,  3589,  3590,  3591,
       0,     0,     0,     0,     0,     0,  2749,     0,     0,     0,
       0,     0,     0,     0,  1897,     0,  2764,  1898,  1899,  1900,
       0,  1901,  1902,  1903,  1904,  1905,  1906,  1451,     0,  1452,
       0,  4638,     0,  3608,     0,     0,  3613,  3614,  3615,  1453,
       0,     0,     0,     0,  1070,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1455,
       0,  1070,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,  1443,  1070,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,  1561,     0,     0,
    1457,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,  1562,     0,
       0,     0,     0,  2775,     0,  2778,     0,     0,  3682,     0,
       0,     0,  1878,     0,     0,  1879,  3686,     0,     0,  1880,
    1881,  1882,     0,     0,     0,  1070,     0,  1070,     0,     0,
    1499,     0,     0,     0,  3695,     0,  1883,     0,     0,     0,
    2783,  1292,     0,     0,  1885,     0,     0,     0,     0,     0,
    1446,  1886,     0,     0,     0,     0,     0,  1447,     0,     0,
    1448,  3741,  1460,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1887,  -128,     0,     0,     0,
       0,     0,     0,     0,     0,  1449,     0,     0,     0,     0,
       0,     0,     0,     0,     1,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     2,     0,     3,     4,  1070,     0,
       0,     0,     0,  3778,  1500,     0,     0,  1450,  3784,     0,
       0,     0,     5,     0,  2784,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1070,     0,     0,     0,
       0,     0,     6,     0,     7,     8,     0,     0,  3822,     0,
       0,     9,     0,    10,     0,     0,     0,     0,     0,  1070,
       0,     0,  1501,     0,    11,  1502,    12,  1070,     0,     0,
       0,     0,     0,     0,     0,     0,  1503,     0,  1452,     0,
       0,     0,     0,    13,  1888,  3838,    14,  3839,  1453,  1889,
       0,     0,     0,     0,     0,     0,  2957,  1454,     0,     0,
      15,     0,    16,     0,     0,     0,    17,  1504,  1455,     0,
    1890,  1891,    18,     0,     0,     0,     0,  2984,     0,     0,
      19,     0,    20,     0,     0,  1892,     0,     0,    21,     0,
       0,     0,     0,     0,     0,     0,  1070,     0,     0,     0,
       0,     0,     0,     0,    22,  5228,  1505,     0,     0,  1457,
    1458,  1506,     0,     0,  1070,     0,     0,     0,  1893,     0,
      23,     0,     0,     0,     0,     0,     0,  1070,     0,     0,
       0,  1507,  1894,     0,     0,  1895,     0,  1508,     0,     0,
       0,  3050,  3051,     0,     0,     0,     0,     0,     0,     0,
       0,  1509,     0,     0,     0,     0,     0,     0,     0,    24,
      25,     0,     0,     0,     0,    26,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    27,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    28,
       0,     0,     0,     0,     0,     0,     0,   832,     0,     0,
       0,  1460,     0,     0,     0,     0,   832,   855,     0,     0,
       0,     0,     0,     0,     0,   855,     0,     0,     0,  1896,
       0,     0,     0,  1070,    29,     0,     0,     0,   855,     0,
       0,     0,    30,     0,     0,     0,  3164,     0,     0,     0,
       0,     0,     0,     0,  1070,    31,     0,     0,     0,     0,
       0,    32,    33,     0,    34,     0,     0,     0,     0,    35,
       0,     0,     0,     0,    36,     0,     0,    37,     0,  1070,
       0,     0,    38,     0,     0,  2785,     0,     0,    39,    40,
       0,     0,     0,     0,     0,     0,    41,     0,     0,     0,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      43,     0,     0,  1070,     0,  4059,     0,  4060,     0,     0,
       0,     0,     0,    44,  4062,  1897,     0,     0,  1898,  1899,
    1900,     0,  1901,  1902,  1903,  1904,  1905,  1906,  1878,     0,
    4072,  1879,    45,     0,     0,  1880,  1881,  1882,     0,     0,
       0,     0,    46,     0,     0,     0,  4080,  1878,    47,     0,
    1879,     0,  1883,    48,  1880,  1881,  1882,  1442,     0,     0,
    1885,     0,     0,  1443,  4100,     0,    49,  1886,     0,     0,
       0,  1883,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,  4104,     0,     0,     0,  1886,     0,     0,    50,
       0,  1887,  4113,     0,     0,     0,     0,     0,     0,  1070,
       0,     0,     0,    51,  1444,     0,  -128,     0,     0,     0,
    1887,  4142,     0,  3304,     0,     0,     0,     0,     0,     0,
       0,     0,  4150,  4151,  4152,     0,     0,     0,     0,  4156,
    4157,  4158,  4159,     0,     0,  4161,  4162,     0,     0,     0,
       0,  4169,  4170,     0,  4172,  4173,  4174,  4175,  4176,  4177,
       0,  4179,     0,     0,     0,     0,     0,     0,  1446,     0,
    4187,     0,     0,  4190,  4191,  1447,     0,  1878,  1448,     0,
    1879,     0,     0,     0,  1880,  1881,  1882,     0,     0,     0,
       0,     0,  3546,     0,     0,     0,     0,     0,     0,     0,
       0,  1883,     0,  1449,     0,     0,     0,     0,  1070,  1885,
    1888,     0,     0,     0,  4211,  1889,  1886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,  1070,     0,  1889,  1450,  1890,  1891,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1892,     0,     0,     0,  1890,  1891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1892,     0,     0,     0,     0,     0,  3432,     0,     0,     0,
       0,     0,     0,     0,  1893,     0,     0,     0,     0,     0,
     832,     0,     0,     0,  1451,     0,  1452,     0,  1894,     0,
       0,  1895,   855,  1893,     0,     0,  1453,     0,   855,     0,
       0,     0,     0,  3546,     0,  1454,     0,  1894,     0,     0,
    1895,   855,     0,     0,     0,     0,  1455,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   855,     0,     0,
       0,     0,   832,     0,     0,  4315,     0,     0,  1072,  1888,
       0,     0,   832,   855,  1889,     0,     0,  1070,     0,     0,
     855,     0,     0,     0,  2180,     0,     0,  1457,  1458,     0,
       0,     0,  1072,   855,     0,  1890,  1891,     0,     0,     0,
       0,     0,     0,   855,     0,  1896,     0,     0,     0,     0,
    1892,     0,     0,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,  1896,     0,     0,  1070,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1893,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1894,     0,     0,
    1895,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1460,
       0,     0,     0,     0,     0,   832,   832,     0,     0,     0,
       0,   855,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1897,     0,     0,  1898,  1899,  1900,     0,  1901,  1902,
    1903,  1904,  1905,  1906,     0,     0,     0,   832,  4687,     0,
    1897,     0,     0,  1898,  1899,  1900,     0,  1901,  1902,  1903,
    1904,  1905,  1906,     0,     0,     0,     0,  4721,     0,     0,
       0,     0,     0,     0,  1896,     0,     0,     0,     0,  1070,
       0,     0,  3630,     0,     0,     0,     0,     0,     0,  1070,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1878,
       0,     0,  1879,     0,     0,     0,  1880,  1881,  1882,  4450,
       0,     0,     0,  4451,  4452,  4453,  4454,     0,     0,  4456,
       0,     0,     0,  1883,     0,     0,     0,     0,     0,     0,
       0,  1885,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4474,  4475,  4476,     0,  4477,     0,  4479,  4480,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,  4489,  4490,
    1897,     0,     0,  1898,  1899,  1900,     0,  1901,  1902,  1903,
    1904,  1905,  1906,     0,     0,     0,     0,  4761,     0,     0,
       0,   832,     0,     0,     0,  4495,     0,     0,  1072,     0,
       0,     0,   832,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1070,     0,     0,     0,  4505,     0,
       0,  1072,     0,     0,  1878,     0,     0,  1879,  3744,  3745,
    3746,  1880,  1881,  1882,     0,     0,  1072,     0,     0,     0,
       0,     0,     0,     0,     0,  3755,     0,     0,  1883,     0,
       0,     0,  1070,     0,     0,     0,  1885,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,  1442,     0,  3771,     0,
       0,  1888,  1443,  1070,     0,     0,  1889,     0,  3781,  3783,
       0,   832,     0,  3788,     0,     0,     0,  1887,     0,     0,
       0,     0,  4557,     0,     0,     0,  3802,  1890,  1891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1892,  1444,     0,     0,     0,     0,     0,     0,
    1072,  4585,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1070,     0,
       0,     0,     0,     0,     0,  1893,  4609,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   855,     0,  1894,
       0,     0,  1895,     0,     0,     0,     0,  1446,     0,     0,
       0,   855,     0,     0,  1447,     0,     0,  1448,     0,     0,
     832,     0,     0,     0,     0,     0,     0,     0,   855,  1292,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,  1889,  1449,  1878,     0,     0,  1879,     0,     0,     0,
    1880,  1881,  1882,     0,     0,     0,   855,     0,     0,     0,
       0,     0,  1890,  1891,     0,     0,     0,  1883,     0,     0,
    1072,     0,   855,     0,  1450,  1885,     0,  1892,     0,     0,
       0,     0,  1886,     0,     0,     0,  1896,   855,     0,  1070,
     855,     0,     0,   559,     0,     0,     0,     0,     0,     0,
       0,     0,   832,     0,     0,     0,  1887,     0,     0,     0,
    1893,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1894,     0,     0,  1895,     0,     0,
       0,  1070,   832,  1451,     0,  1452,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,  4710,  1454,  3959,  3960,  3961,     0,     0,
     832,   832,   832,     0,   832,  1455,     0,     0,     0,     0,
       0,  4720,     0,     0,     0,     0,  4725,  4726,     0,     0,
       0,     0,  1897,     0,   832,  1898,  1899,  1900,     0,  1901,
    1902,  1903,  1904,  1905,  1906,     0,     0,     0,     0,  5062,
       0,     0,     0,  2927,     0,     0,  1457,  1458,   855,     0,
       0,  1896,     0,     0,     0,  1888,   855,   855,     0,     0,
    1889,     0,     0,     0,     0,   832,  2033,  4784,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,     0,
       0,  1890,  1891,     0,     0,     0,     0,  4801,     0,     0,
       0,     0,     0,   832,     0,     0,  1892,   832,   832,     0,
       0,     0,     0,     0,  1070,     0,     0,     0,     0,     0,
    1878,     0,   832,  1879,     0,     0,  1072,  1880,  1881,  1882,
       0,     0,     0,  2033,  3546,     0,     0,     0,     0,  1893,
       0,  4837,     0,     0,  1883,     0,     0,     0,  1460,     0,
       0,     0,  1885,  1894,     0,     0,  1895,  1897,     0,  1886,
    1898,  1899,  1900,     0,  1901,  1902,  1903,  1904,  1905,  1906,
       0,     0,     0,     0,  5184,     0,     0,     0,     0,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1072,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4895,     0,  1072,     0,     0,     0,  1070,     0,     0,  1878,
    1896,  4903,  1879,     0,     0,     0,  1880,  1881,  1882,     0,
       0,     0,     0,     0,     0,  1072,     0,     0,     0,     0,
       0,  1070,     0,  1883,     0,     0,     0,     0,     0,     0,
       0,  1885,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,  4208,     0,     0,     0,  1889,     0,     0,
       0,  1070,  1887,  4967,  4221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   855,     0,     0,     0,  1890,  1891,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1892,  1072,  4250,  1897,     0,     0,  1898,
    1899,  1900,     0,  1901,  1902,  1903,  1904,  1905,  1906,  1072,
       0,     0,     0,  5247,     0,  1070,     0,     0,  1072,     0,
    1070,  1070,     0,     0,  3546,  2033,  1893,     0,     0,  2471,
    1072,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1894,     0,     0,  1895,     0,     0,     0,     0,     0,   855,
       0,     0,     0,     0,     0,     0,     0,   855,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   855,
       0,  1888,     0,     0,     0,  2543,  1889,     0,     0,     0,
       0,     0,     0,     0,     0,  1072,  5050,     0,     0,     0,
       0,     0,   832,     0,     0,   832,     0,  1890,  1891,  1072,
       0,  5063,     0,     0,     0,   832,     0,     0,     0,     0,
       0,  1072,  1892,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1072,     0,     0,     0,  1896,     0,     0,
    1070,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     832,   832,     0,   855,   855,  1893,     0,     0,     0,     0,
    5090,     0,     0,     0,     0,   855,     0,     0,     0,  1894,
       0,     0,  1895,  1072,  1072,  5101,   855,   855,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   855,     0,     0,     0,     0,  4372,  4373,  4374,
    4375,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   832,     0,     0,     0,     0,     0,
       0,     0,     0,  1897,     0,     0,  1898,  1899,  1900,     0,
    1901,  1902,  1903,  1904,  1905,  1906,     0,     0,     0,     0,
    5267,     0,     0,  5158,     0,     0,  1896,     0,   832,     0,
     832,     0,     0,     0,     0,   832,   832,     0,     0,     0,
       0,     0,   832,   832,   832,     0,     0,     0,   832,     0,
     832,   832,   832,   832,   832,   832,     0,   832,     0,   832,
     832,     0,     0,   832,     0,  5180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1072,   832,   832,
     832,   832,  2033,     0,     0,     0,   832,     0,     0,     0,
     832,     0,     0,   832,     0,     0,   832,   832,   832,   832,
     832,   832,   832,   832,   832,     0,   832,     0,     0,  1070,
       0,     0,     0,   832,     0,   832,     0,     0,     0,     0,
       0,     0,  1897,     0,     0,  1898,  1899,  1900,     0,  1901,
    1902,  1903,  1904,  1905,  1906,     0,     0,     0,     0,  5300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5240,
       0,     0,     0,     0,     0,     0,     0,  1878,     0,     0,
    1879,     0,     0,     0,  1880,  1881,  1882,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1878,     0,     0,
    1879,  1883,     0,     0,  1880,  1881,  1882,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,  1886,  1878,     0,     0,
    1879,  1883,     0,     0,  1880,  1881,  1882,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
    1887,  1883,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
    1887,     0,     0,   832,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1878,     0,     0,  1879,     0,     0,     0,  1880,  1881,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,   855,  1878,
       0,     0,  1879,     0,  1883,  1072,  1880,  1881,  1882,  1072,
    1072,     0,  1885,     0,     0,     0,   855,     0,     0,  1886,
    4600,  2033,   855,  1883,     0,     0,   855,     0,     0,     0,
       0,  1885,     0,     0,   855,     0,  3371,     0,  1886,  1888,
       0,  3372,     0,  1887,  1889,     0,     0,  1442,     0,     0,
       0,     0,   855,  1443,     0,   832,     0,     0,     0,  1888,
       0,     0,  1887,     0,  1889,  1890,  1891,   832,     0,     0,
       0,  1072,     0,     0,   832,     0,     0,     0,     0,  1888,
    1892,     0,     0,  1072,  1889,  1890,  1891,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,   855,     0,     0,     0,
    1892,     0,     0,     0,     0,  1890,  1891,     0,     0,     0,
       0,     0,     0,  1893,   855,   855,     0,     0,     0,     0,
    1892,     0,     0,  1072,     0,     0,     0,  1894,  5212,     0,
    1895,     0,     0,  1893,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2033,   855,  1894,  1446,  2033,
    1895,     0,  1888,  1893,     0,  1447,     0,  1889,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,  1894,     0,     0,
    1895,  1888,   855,     0,  2033,     0,  1889,     0,  1890,  1891,
     855,     0,     0,  1449,     0,     0,     0,   855,     0,     0,
       0,   855,     0,  1892,  3919,     0,     0,  1890,  1891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   855,  1892,     0,  1896,  1450,   855,     0,     0,     0,
     855,     0,     0,  2033,     0,     0,  1893,     0,     0,     0,
       0,     0,     0,   855,  1896,     0,     0,     0,     0,     0,
    1894,     0,     0,  1895,     0,  1893,   855,     0,  4759,     0,
       0,     0,     0,     0,  1896,     0,   855,     0,     0,  1894,
       0,     0,  1895,  4771,     0,  5213,     0,     0,  1292,     0,
    3920,     0,     0,     0,  1451,     0,  1452,     0,     0,     0,
    3344,     0,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,  4805,     0,  1454,     0,     0,     0,     0,
       0,   832,  1072,     0,     0,     0,  1455,     0,     0,     0,
    1897,  2033,  4822,  1898,  1899,  1900,     0,  1901,  1902,  1903,
    1904,  1905,  1906,     0,     0,  2770,     0,  1896,     0,     0,
    1897,     0,     0,  1898,  1899,  1900,     0,  1901,  1902,  1903,
    1904,  1905,  1906,     0,  3090,   832,  1896,  1457,  1458,     0,
    1897,     0,     0,  1898,  1899,  1900,     0,  1901,  1902,  1903,
    1904,  1905,  1906,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1878,  3091,     0,  1879,     0,     0,
       0,  1880,  1881,  1882,  1072,     0,     0,     0,   855,     0,
       0,     0,     0,     0,     0,     0,     0,   832,  1883,     0,
       0,  3330,     0,     0,     0,     0,  1885,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,  1442,     0,  4892,     0,
       0,     0,  1443,  1897,     0,     0,  1898,  1899,  1900,     0,
    1901,  1902,  1903,  1904,  1905,  1906,     0,  1887,     0,  1460,
       0,   855,  1897,     0,     0,  1898,  1899,  1900,     0,  1901,
    1902,  1903,  1904,  1905,  1906,     0,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,  1878,
       0,     0,  1879,     0,     0,     0,  1880,  1881,  1882,   855,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1883,     0,  1072,  3376,   855,     0,     0,
       0,  1885,     0,     0,     0,   855,     0,     0,  1886,   832,
       0,  4974,  1072,     0,     0,   832,     0,  1446,     0,     0,
       0,     0,     0,     0,  1447,  1072,     0,  1448,     0,     0,
       0,     0,  1887,     0,     0,     0,   832,     0,     0,     0,
       0,   832,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,  1889,  1449,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   832,   832,   832,     0,     0,   832,
       0,     0,  1890,  1891,     0,     0,     0,   832,   832,   832,
     832,     0,     0,     0,  1450,  2033,     0,  1892,     0,     0,
     832,  2033,     0,   832,     0,   832,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   832,   832,     0,     0,
     832,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1893,     0,     0,     0,   832,     0,   832,     0,   832,     0,
       0,     0,     0,     0,  1894,     0,     0,  1895,     0,     0,
       0,  1888,     0,  1451,     0,  1452,  1889,     0,   832,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,   832,
       0,   832,   832,   832,  1454,     0,     0,  1890,  1891,     0,
       0,     0,     0,     0,     0,  1455,   855,     0,     0,   832,
       0,     0,  1892,     0,     0,     0,     0,     0,     0,     0,
     832,     0,     0,     0,     0,   832,     0,     0,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   832,     0,  3554,     0,  1893,  1457,  1458,     0,     0,
       0,  1896,     0,     0,     0,     0,     0,     0,     0,  1894,
    1072,     0,  1895,  1072,  1878,  1072,     0,  1879,     0,  1442,
    1072,  1880,  1881,  1882,  3555,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   855,   855,     0,  1883,     0,
       0,   832,     0,     0,     0,     0,  1885,     0,     0,     0,
       0,     0,  1878,  1886,     0,  1879,     0,     0,     0,  1880,
    1881,  1882,   855,     0,     0,   855,  1444,     0,     0,  1072,
       0,     0,     0,     0,     0,     0,  1883,  1887,     0,  3387,
       0,     0,     0,     0,  1885,     0,  1072,     0,  1460,     0,
       0,  1886,     0,     0,     0,     0,  1896,  1897,     0,     0,
    1898,  1899,  1900,     0,  1901,  1902,  1903,  1904,  1905,  1906,
       0,  1072,     0,     0,     0,  1887,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,  1447,     0,     0,
    1448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2033,  2033,  2033,     0,
       0,     0,     0,     0,     0,  1449,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3381,     0,
     855,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1072,     0,  1072,     0,     0,     0,  1888,  1450,     0,     0,
     855,  1889,  1897,     0,     0,  1898,  1899,  1900,     0,  1901,
    1902,  1903,  1904,  1905,  1906,   855,     0,     0,     0,     0,
       0,     0,  1890,  1891,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,  1892,     0,  1889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,  1452,     0,
    1890,  1891,     0,     0,     0,     0,     0,     0,  1453,     0,
    1893,     0,     0,  1072,     0,  1892,     0,  1454,     0,     0,
       0,     0,     0,     0,  1894,     0,     0,  1895,  1455,     0,
       0,     0,     0,   855,     0,     0,     0,     0,     0,     0,
       0,  1072,     0,     0,     0,     0,     0,     0,  1893,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1894,     0,  1072,  1895,  3609,     0,     0,  1457,
    1458,  2033,  1072,     0,  1878,     0,     0,  1879,   855,     0,
     855,  1880,  1881,  1882,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   855,     0,   855,     0,  3610,  1883,     0,
       0,     0,     0,     0,     0,     0,  1885,     0,     0,     0,
       0,  1896,     0,  1886,     0,     0,     0,  2033,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,  1072,     0,     0,     0,     0,     0,     0,     0,  1896,
       0,     0,     0,     0,     0,     0,     0,     0,   855,  1072,
       0,  1460,     0,     0,     0,     0,     0,     0,     0,   848,
     857,     0,  1072,     0,     0,     0,     0,     0,   857,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   857,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   855,  1897,     0,     0,
    1898,  1899,  1900,     0,  1901,  1902,  1903,  1904,  1905,  1906,
       0,     0,   855,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   855,  1897,  1888,   855,  1898,  1899,
    1900,  1889,  1901,  1902,  1903,  1904,  1905,  1906,     0,     0,
       0,     0,     0,     0,     0,   832,     0,     0,  1072,     0,
     189,     0,  1890,  1891,   832,     0,     0,     0,     0,     0,
     832,     0,   832,     0,     0,   832,     0,  1892,     0,  1072,
     832,   832,   832,   832,     0,     0,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,     0,     0,     0,   832,
     832,     0,     0,     0,  1072,     0,     0,   190,     0,   832,
    1893,     0,     0,   832,     0,  2033,     0,   832,     0,     0,
       0,     0,   191,     0,  1894,   832,     0,  1895,   832,     0,
     832,     0,     0,     0,     0,     0,     0,     0,  1072,   832,
     192,     0,   832,   832,     0,     0,   193,   832,   832,     0,
       0,     0,     0,     0,   832,     0,     0,     0,     0,     0,
       0,     0,     0,   194,   832,     0,     0,   832,     0,     0,
       0,     0,     0,     0,   195,     0,  1878,     0,     0,  1879,
     832,     0,   196,  1880,  1881,  1882,   832,   832,   832,     0,
       0,     0,     0,     0,   197,     0,     0,     0,     0,   198,
    1883,     0,     0,  3926,     0,     0,   199,     0,  1885,     0,
       0,  1896,   832,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,   200,     0,     0,     0,     0,   832,     0,
     856,     0,     0,     0,  1072,     0,     0,     0,   856,  1887,
       0,  3872,     0,     0,     0,     0,   832,     0,   201,     0,
       0,   856,     0,     0,     0,     0,     0,  1878,     0,     0,
    1879,     0,     0,     0,  1880,  1881,  1882,     0,     0,   202,
       0,     0,     0,     0,     0,     0,     0,   855,     0,     0,
       0,  1883,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,  1897,     0,     0,
    1898,  1899,  1900,     0,  1901,  1902,  1903,  1904,  1905,  1906,
    1887,     0,     0,     0,     0,     0,   204,  2033,     0,     0,
       0,     0,  2033,  1072,  2033,     0,   205,     0,     0,   206,
       0,     0,     0,     0,     0,   857,     0,     0,  1888,     0,
       0,   857,     0,  1889,     0,     0,  2033,  1072,     0,     0,
       0,     0,     0,     0,   857,   207,     0,     0,     0,     0,
     208,     0,   209,  2033,  1890,  1891,     0,     0,     0,   210,
     857,     0,   211,     0,     0,     0,     0,     0,   855,  1892,
       0,   855,     0,     0,     0,   848,   857,     0,     0,     0,
       0,   212,     0,   857,     0,     0,     0,   213,     0,     0,
       0,   214,   215,     0,     0,   216,   857,     0,     0,   217,
       0,     0,  1893,     0,     0,     0,   857,     0,   218,  1888,
       0,     0,     0,   219,  1889,     0,  1894,     0,     0,  1895,
       0,     0,     0,     0,     0,   220,     0,     0,     0,     0,
       0,     0,     0,   832,     0,  1890,  1891,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1892,     0,     0,     0,     0,     0,     0,     0,   855,   855,
       0,     0,  1072,     0,     0,     0,     0,     0,   855,     0,
       0,     0,     0,     0,     0,   832,     0,     0,     0,     0,
       0,     0,     0,  1893,     0,     0,     0,   855,     0,     0,
       0,     0,     0,     0,   857,     0,     0,  1894,     0,     0,
    1895,     0,     0,  1896,  1442,     0,     0,     0,     0,     0,
    1443,     0,  1072,   832,   832,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,   855,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     832,     0,     0,     0,  1896,  1499,     0,     0,     0,     0,
       0,   832,     0,     0,     0,   856,     0,     0,     0,  1897,
       0,   856,  1898,  1899,  1900,  1446,  1901,  1902,  1903,  1904,
    1905,  1906,  1447,     0,   856,  1448,     0,     0,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,     0,     0,
     856,   832,   832,     0,  1072,     0,     0,     0,   832,   832,
    1449,     0,     0,   832,  1072,     0,   856,     0,   832,     0,
       0,   832,   832,   856,     0,     0,   832,     0,     0,     0,
       0,     0,   832,     0,     0,     0,   856,     0,     0,  1500,
       0,     0,  1450,     0,   832,   848,   856,     0,     0,     0,
    1897,     0,   832,  1898,  1899,  1900,   832,  1901,  1902,  1903,
    1904,  1905,  1906,     0,     0,     0,     0,     0,     0,   832,
       0,     0,     0,     0,   832,     0,     0,     0,     0,     0,
     832,     0,     0,     0,     0,     0,     0,  1501,     0,     0,
    1502,     0,     0,     0,     0,   832,     0,     0,     0,     0,
       0,  1503,     0,  1452,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,     0,     0,     0,     0,
       0,   832,  1454,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1504,  1455,   856,     0,     0,     0,     0,  1072,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   855,     0,     0,     0,
       0,  2033,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3023,     0,     0,  1457,  1458,  1506,  1072,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   855,     0,     0,  1507,     0,  1072,     0,
     857,     0,  3024,     0,     0,   855,     0,     0,     0,     0,
       0,     0,     0,     0,   857,     0,  1509,     0,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   857,   855,     0,     0,     0,     0,     0,  1061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,  1061,  1072,     0,     0,  1460,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   832,     0,     0,
     857,     0,     0,   857,     0,     0,     0,     0,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   855,     0,     0,     0,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1071,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1071,
       0,     0,  1072,     0,  1072,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   855,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   857,   832,     0,     0,     0,  1072,     0,     0,   857,
     857,   832,     0,     0,     0,     0,     0,     0,     0,  2035,
       0,     0,     0,     0,     0,     0,     0,     0,   832,   832,
       0,     0,   832,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   832,     0,     0,
       0,     0,     0,     0,   832,     0,     0,     0,     0,   832,
     856,     0,   832,   832,     0,     0,     0,     0,     0,     0,
     832,   832,     0,     0,   856,     0,  2035,     0,     0,   571,
       0,     0,     0,     0,   572,     0,     0,     0,   832,     0,
     832,   856,     0,     0,     0,   855,   573,   855,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   574,   856,
       0,     0,     0,     0,     0,     0,     0,     0,  1061,     0,
       0,   575,     0,     0,     0,   856,     0,     0,     0,  1072,
     855,     0,   576,     0,     0,     0,  -850,     0,     0,   832,
     856,  1061,     0,   856,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   577,     0,  1061,     0,     0,     0,
     578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2033,     0,   579,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,   580,     0,
       0,     0,     0,     0,     0,     0,   581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   582,     0,
       0,     0,     0,     0,     0,     0,   583,     0,     0,     0,
     584,     0,     0,     0,     0,  1071,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4811, -1070,     0,     0,
    1061,     0,     0,     0,     0,     0,     0,   857,  1071,   832,
       0,  1072,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   856,     0,  1071,     0,     0,     0,     0,     0,   856,
     856,     0,     0,     0,   585,   832,  1072,     0,   832,  2034,
     832,     0,     0,  -572,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2035,     0,
     832,     0,     0,     0,     0,     0,   832,     0,     0,     0,
     832,     0,     0,     0,     0,     0,  1072,   586,     0,     0,
     587,   832,   857,     0,     0,     0,     0,     0,     0,     0,
     857,     0,     0,     0,     0,     0,  2034,     0,     0,     0,
     588,     0,   857,     0,     0,     0,     0,  1071,     0,     0,
    1061,     0,     0,   589,     0,     0,     0,     0,     0,     0,
    -449,     0,  2033,     0,     0,     0,     0,     0,     0,     0,
    1072,     0,     0,     0,     0,  1072,  1072,     0,     0,   590,
     832,     0,     0,     0,     0,     0,   591,     0,     0,     0,
       0,     0,     0,  -449,     0,     0,   592,     0,   855,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   848,   848,   593,   857,   857,     0,     0,
       0,   594,     0,     0,     0,     0,  -449,   832,   857,   595,
     596,     0,   597,   598,     0,     0,     0,     0,     0,   857,
     857,     0,   599,     0,     0,     0,     0,   600,     0,     0,
     832,     0,     0,   601,     0,   857,   602,  1071,     0,   603,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -449,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1072,  1072,     0,   848,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   832,     0,     0,   832,     0,
       0,   832,     0,     0,     0,     0,     0,   856,     0,     0,
       0,     0,   832,     0,     0,     0,     0,   832,     0,   832,
       0,   832,     0,     0,     0,     0,     0,     0,     0,   832,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1061,   832,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2034,     0,
       0,     0,     0,     0,     0,  2035,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2033,     0,   855,
       0,     0,   856,     0,     0,     0,     0,     0,     0,     0,
     856,     0,     0,     0,     0,     0,     0,     0,  1268,  1268,
       0,     0,   856,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   832,
       0,     0,     0,     0,     0,     0,     0,   832,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1061,  2107,     0,     0,     0,     0,     0,     0,
       0,     0,   832,   832,     0,     0,     0,     0,     0,     0,
     832,  2033,     0,     0,  1072,  1061,   856,   856,     0,     0,
     832,     0,     0,     0,     0,     0,     0,     0,   856,   855,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   856,
     856,     0,   832,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   856,     0,     0,     0,     0,
    2107,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   832,  1061,     0,     0,     0,   832,  1071,
       0,     0,     0,     0,     0,     0,     0,   832,     0,  1061,
       0,   857,     0,   832,   832,   832,     0,     0,  1061,     0,
       0,     0,  1071,     0,   832,     0,     0,     0,     0,   857,
    1061,     0,     0,     0,  2035,   857,     0,     0,     0,   857,
       0,   832,     0,     0,     0,     0,     0,   857,     0,     0,
       0,     0,     0,     0,     0,   855,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2034,     0,     0,     0,   832,
       0,     0,     0,     0,     0,  1061,     0,   848,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1061,
       0,  1071,     0,     0,     0,     0,   832,   832,     0,   857,
       0,  1061,     0,     0,     0,     0,  1071,     0,     0,     0,
       0,     0,     0,  1061,     0,  2107,     0,   857,   857,     0,
       0,  2033,     0,     0,     0,     0,     0,  1071,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   832,     0,
       0,     0,     0,     0,   832,     0,     0,     0,  2035,   857,
       0,     0,  2035,  1061,  1061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   832,     0,
    2033,     0,     0,     0,     0,   857,     0,  2035,     0,     0,
       0,     0,  1071,   857,     0,  2033,   832,   832,     0,     0,
     857,     0,     0,     0,   857,     0,  1071,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1071,     0,
       0,     0,     0,     0,   857,     0,     0,     0,     0,   857,
    1071,     0,     0,   857,     0,     0,  2035,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   857,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
    1071,  1071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   856,     0,     0,     0,  1835,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1061,     0,   856,
       0,     0,     0,     0,  2034,   856,     0,     0,     0,   856,
       0,     0,     0,     0,     0,  1849,     0,   856,     0,     0,
       0,     0,     0,     0,  2035,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   856,     0,     0,     0,     0,
       0,     0,     0,  1867,  1868,  1869,     0,  1871,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   623,     0,     0,     0,  1913,   624,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   856,
     625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   856,   856,     0,
       0,   857,   626,     0,  1071,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,   627,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2034,   856,
     628,     0,  2034,     0,     0,     0,  2054,     0,     0,     0,
    2066,  2069,  2762,     0,     0,     0,     0,     0,   629,     0,
       0,     0,     0,     0,   857,   856,     0,  2034,     0,     0,
       0,     0,     0,   856,     0,     0,     0,     0,     0,     0,
     856,   630,     0,     0,   856,     0,     0,     0,     0,     0,
       0,     0,   631,     0,     0,     0,     0,     0,     0,     0,
     632,     0,   857,     0,   856,     0,     0,     0,     0,   856,
       0,     0,   633,   856,     0,     0,  2034,   634,     0,     0,
     857,     0,     0,     0,   635,  1061,   856,     0,   857,  1061,
    1061,     0,     0,     0,     0,     0,     0,     0,   848,   856,
       0,   636,     0,     0,     0,     0,     0,     0,     0,   856,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   637,     0,     0,
       0,  1061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1061,  2034,     0,     0,     0,  2035,     0,
       0,     0,     0,     0,  2035,     0,     0,     0,     0,     0,
       0,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2823,   639,     0,     0,  2107,  2829,     0,     0,
       0,     0,     0,  1061,   640,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   205,     0,     0,   641,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   856,     0,   642,     0,     0,     0,     0,   643,     0,
     644,     0,     0,     0,     0,     0,     0,   645,  1071,   857,
     646,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1071,     0,     0,     0,     0,     0,     0,     0,     0,   647,
       0,     0,     0,     0,     0,   648,     0,     0,     0,     0,
     649,     0,     0,   650,   856,     0,     0,   651,     0,     0,
       0,     0,     0,     0,   652,     0,   653,     0,     0,     0,
    1071,   654,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   655,     0,     0,     0,     0,     0,     0,
       0,     0,   856,     0,     0,     0,   656,     0,   857,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     856,     0,     0,     0,     0,     0,     0,     0,   856,     0,
       0,     0,     0,     0,     0,   857,     0,     0,   857,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     922,     0,  1061,     0,     0,   923,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   924,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   925,   926,     0,     0,     0,     0,  2034,     0,
       0,     0,     0,   927,  2034,     0,     0,   928,     0,  2035,
    2035,  2035,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1061,   929,     0,     0,     0,     0,
       0,     0,     0,   857,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   930,  1071,
       0,     0,     0,   857,     0,     0,     0,     0,  2631,   931,
       0,     0,     0,     0,     0,     0,     0,   932,   857,     0,
       0,  2651,     0,  2653,     0,     0,  2665,  2668,  2673,   933,
       0,     0,     0,  2679,   934,     0,  2684,     0,     0,   856,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2691,  2692,  2693,  2694,     0,     0,     0,   935,  2701,
       0,     0,     0,  2713,     0,     0,  2715,     0,     0,  2722,
    2723,  2724,  2725,  2726,  2727,  2728,  2729,  2730,     0,  2731,
       0,  2107,     0,   936,     0,  1061,  1268,     0,  2759,     0,
       0,     0,     0,     0,     0,     0,   857,     0,     0,     0,
       0,     0,  1061,     0,   937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1061,     0,     0,   856,   856,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2035,     0,     0,     0,   938,     0,
       0,   857,     0,   857,     0,   856,     0,     0,   856,     0,
       0,     0,     0,     0,     0,     0,   857,     0,   857,     0,
       0,   939,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   205,     0,     0,   940,     0,     0,     0,     0,     0,
    2035,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1071,     0,     0,     0,     0,     0,     0,     0,
     941,     0,     0,     0,     0,   942,     0,   943,     0,  1071,
       0,     0,     0,     0,   944,     0,  2779,   945,     0,     0,
       0,   857,  1071,     0,     0,  1063,     0,     0,     0,  2034,
    2034,  2034,     0,     0,     0,     0,   946,     0,     0,     0,
       0,     0,   947,     0,     0,     0,     0,   948,     0,  1063,
     949,     0,     0,   856,   950,     0,     0,     0,     0,     0,
       0,   951,     0,   952,     0,     0,     0,     0,   953,   857,
       0,     0,     0,   856,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,   856,     0,
       0,     0,     0,   954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   857,     0,     0,
     857,     0,     0,     0,     0,     0,     0,     0,  2868,     0,
    1061,     0,     0,  1061,     0,  1061,     0,     0,     0,     0,
    1061,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2762,  2762,
    2762,     0,     0,     0,     0,     0,   856,     0,     0,     0,
       0,     0,     0,     0,     0,  1064,     0,     0,     0,  1061,
       0,     0,     0,     0,     0,     0,     0,     0,  2035,     0,
       0,     0,     0,     0,     0,     0,  1061,     0,     0,  1064,
       0,     0,     0,     0,  2034,     0,     0,     0,     0,     0,
       0,   856,     0,   856,     0,     0,     0,     0,     0,     0,
       0,  1061,     0,     0,     0,     0,   856,  2107,   856,     0,
    2829,     0,  2829,     0,     0,     0,     0,  2107,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2034,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1071,     0,     0,     0,
    1061,   856,  1061,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1071,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,  2107,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   856,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
     857,     0,     0,     0,     0,   856,     0,     0,     0,     0,
       0,     0,     0,  1063,  3129,     0,     0,     0,     0,     0,
       0,     0,     0,  1061,     0,     0,     0,   856,     0,     0,
     856,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1071,     0,  1071,
    2035,  1061,     0,     0,     0,  2035,     0,  2035,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1061,     0,     0,     0,     0,  2035,
       0,     0,  1061,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2035,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2034,     0,
       0,   857,     0,     0,   857,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1064,     0,     0,     0,     0,
    1071,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1064,     0,
       0,  1061,     0,     0,     0,     0,     0,     0,  1071,     0,
       0,     0,     0,  1064,     0,     0,     0,     0,     0,  1061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2829,  1061,     0,     0,     0,     0,     0,     0,  2829,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   857,   857,     0,     0,     0,     0,  1063,     0,     0,
       0,   857,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     857,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1064,  1066,  3326,
       0,     0,     0,     0,  3332,     0,     0,     0,  1071,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     856,     0,  1066,     0,     0,     0,  2829,     0,  1061,  1871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1071,
    2673,     0,  2673,  2673,     0,     0,     0,     0,     0,  1061,
       0,     0,   857,  3390,     0,     0,  3393,     0,  3395,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2034,     0,     0,     0,  1061,  2034,     0,  2034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3413,     0,  3416,
       0,  3418,     0,     0,     0,     0,     0,     0,     0,  2034,
       0,     0,     0,     0,     0,     0,     0,  1064,  1061,     0,
       0,     0,     0,     0,     0,     0,  2034,     0,     0,     0,
       0,     0,     0,     0,  2759,  2759,  2759,     0,     0,     0,
       0,   856,     0,     0,   856,  1071,     0,     0,     0,     0,
       0,     0,  3468,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2054,     0,     0,  1071,     0,  3478,     0,
       0,     0,     0,  1063,  2069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1071,     0,     0,     0,     0,
       0,   856,   856,     0,  3515,     0,     0,     0,     0,     0,
    1063,   856,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     856,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2762,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,  2035,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,  1061,     0,     0,     0,     0,     0,     0,
       0,  2107,     0,  1064,     0,     0,   857,     0,     0,     0,
       0,  1066,   856,     0,     0,     0,     0,  1061,   857,     0,
       0,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
    1064,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
    2829,     0,     0,     0,     0,     0,     0,     0,     0,  1064,
    1066,     0,     0,     0,     0,  1067,     0,     0,     0,     0,
       0,     0,     0,     0,  2829,     0,     0,     0,     0,     0,
       0,     0,  1064,     0,     0,     0,     0,   857,     0,  1067,
       0,     0,  1061,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,  1061,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,  1064,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,  1064,     0,     0,     0,
    1063,  1063,     0,     0,     0,  1064,     0,     0,     0,   856,
       0,     0,     0,     0,  2034,     0,     0,  1064,     0,  1071,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   856,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   856,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2107,
       0,     0,  1064,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1061,   856,  1064,     0,   857,     0,
     857,     0,     0,     0,  1061,     0,     0,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1064,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   857,  1063,     0,     0,     0,     0,     0,
       0,     0,   848,     0,     0,     0,     0,     0,     0,     0,
    1064,  1064,     0,     0,     0,     0,     0,     0,  3873,     0,
       0,     0,     0,     0,     0,     0,     0,  3877,     0,     0,
       0,     0,     0,  3878,     0,  3879,     0,   856,  2035,     0,
       0,     0,     0,     0,   848,  1067,     0,     0,     0,     0,
       0,  1071,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,  1071,  3903,  3904,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1061,
    2679,     0,     0,  1067,     0,     0,     0,     0,  3929,     0,
       0,  3932,     0,  3934,     0,     0,     0,     0,     0,     0,
       0,     0,  3938,     0,     0,     0,     0,     0,     0,   856,
    3945,  3946,     0,     0,     0,     0,  2762,  1061,     0,     0,
       0,  2762,     0,  1066,     0,     0,     0,  2762,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1061,     0,
       0,     0,     0,  3993,  1064,     0,     0,     0,     0,  4000,
    4001,  2759,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,     0,  1067,  1069,     0,
       0,     0,     0,     0,     0,  4016,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,  1071,     0,     0,     0,
       0,  4029,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1061,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,  1063,  1063,   856,     0,
     856,     0,     0,     0,  1071,  2035,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1071,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   857,     0,   856,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1067,  1063,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,  2034,     0,
    1071,     0,     0,     0,  1061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,  1061,     0,     0,     0,
       0,     0,  1064,     0,     0,     0,  1064,  1064,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4596,
       0,  1071,     0,     0,     0,     0,     0,     0,  1064,     0,
       0,     0,     0,  1066,  1066,     0,     0,     0,     0,     0,
    1064,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2035,     0,   857,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1071,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1064,     0,     0,  1067,     0,     0,     0,     0,     0,  1061,
       0,  1069,     0,     0,     0,  2034,  4291,  4292,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   856,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2035,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   857,  4328,     0,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,  4333,   848,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
    1069,  1063,     0,     0,     0,     0,  2829,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1061,  1067,     0,  4348,  4350,     0,     0,     0,     0,
       0,  4354,  4355,     0,     0,     0,  4356,     0,     0,     0,
       0,  4359,     0,     0,  4362,  4363,  1061,     0,     0,  4367,
       0,     0,     0,     0,     0,  4371,   848,   848,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1061,     0,     0,     0,
       0,     0,  2759,     0,     0,     0,     0,  2759,   857,     0,
       0,  1067,     0,  2759,     0,     0,     0,     0,     0,     0,
    1069,     0,  1063,     0,     0,     0,  1067,     0,  1268,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,  2829,  1063,
    2034,     0,   856,     0,     0,     0,     0,  1067,     0,     0,
    1061,     0,  1063,     0,  4431,  1061,  1061,     0,     0,     0,
       0,  1064,     0,  1071,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2035,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,  1071,     0,  1066,     0,     0,     0,  1066,
    1066,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,  2035,  2034,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,     0,     0,     0,     0,  2035,   848,
     848,     0,   856,     0,  4492,     0,     0,  1071,     0,     0,
       0,     0,  1071,  1071,     0,  1061,     0,     0,     0,     0,
       0,  1066,  1064,     0,     0,     0,     0,     0,     0,     0,
    1067,  1067,     0,  1066,     0,     0,     0,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1064,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4528,     0,     0,  1066,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
    1063,     0,  1063,     0,     0,     0,     0,  1063,     0,     0,
       0,  4596,  1071,     0,     0,     0,     0,     0,   856,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1067,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2034,  1069,     0,     0,  1063,     0,
       0,     0,     0,     0,  1061,     0,     0,     0,     0,     0,
       0,  4632,  4633,     0,     0,  4634,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1066,  2034,     0,     0,     0,  1064,     0,     0,
    1064,     0,  1064,  4670,  4671,     0,     0,  1064,  2034,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,  1063,
       0,     0,     0,  4683,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,  1064,     0,     0,     0,
    1069,  1071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1064,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1064,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,     0,
       0,     0,  1067,     0,     0,     0,  1067,  1067,  1063,  1069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,  1069,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,  1064,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,  1067,     0,
       0,     0,     0,  1069,  1069,     0,     0,     0,     0,     0,
    1067,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,  2679,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,     0,     0,  1063,     0,     0,  4860,
    1064,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,  1871,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1064,     0,     0,     0,     0,     0,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4910,     0,     0,     0,  1069,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1064,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
    1066,     0,     0,  1066,     0,  1066,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4670,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
    5052,  1067,     0,     0,     0,  1064,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1908,     0,     0,
       0,  1066,     0,     0,     0,     0,  1064,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,  1069,
    1069,  1064,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1908,     0,  5104,     0,     0,  1064,     0,     0,     0,     0,
    1066,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,  1067,     0,     0,  5130,  5130,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,  1067,
    1063,     0,     0,  4670,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,  1064,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5189,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,  5130,     0,
       0,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
    1064,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,  1064,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,     0,  1067,     0,     0,
    1067,     0,  1067,     0,     0,     0,     0,  1067,     0,     0,
       0,  5130,     0,     0,     0,     0,     0,  5288,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,  1069,     0,     0,     0,  1066,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1067,  1066,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,  1064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,  1067,     0,  1067,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1908,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1908,     0,
    1067,  1064,  2661,     0,  1066,     0,     0,     0,     0,     0,
       0,  1064,     0,     0,     0,     0,  1908,  1908,  1908,     0,
    1908,     0,     0,     0,  1063,     0,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,  1908,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1908,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1066,  1067,     0,
       0,     0,     0,     0,     0,     0,  1064,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1069,     0,     0,  1069,  1064,  1069,     0,     0,     0,     0,
    1069,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1064,     0,     0,     0,     0,
       0,     0,     0,  1908,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1908,     0,     0,  1908,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,  1066,     0,     0,  1067,     0,     0,     0,     0,
    1064,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,  1069,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1067,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,     0,     0,
    1069,     0,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1064,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1064,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,  1066,     0,     0,     0,     0,     0,
       0,  1067,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,  1064,     0,     0,     0,
       0,  1069,     0,     0,  1067,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,  1063,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1064,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,  1067,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1064,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,     0,  1067,
       0,     0,     0,  1064,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1908,     0,     0,     0,     0,     0,     0,  1064,     0,     0,
       0,     0,  1064,  1064,  1066,     0,     0,     0,     0,     0,
    1908,     0,  1908,     0,     0,  2661,  2661,     0,  3367,     0,
    2661,     0,     0,     0,  1908,     0,     0,  1908,     0,     0,
       0,     0,  1908,     0,     0,     0,     0,     0,  1908,     0,
       0,     0,     0,  1908,     0,     0,  1066,     0,     0,     0,
    1908,  1908,  1908,  1908,     0,     0,     0,  2661,  2661,     0,
    1908,  1067,     0,     0,  1069,     0,     0,     0,     0,     0,
       0,  1067,  1908,     0,  1908,     0,     0,     0,     0,     0,
       0,  1908,  1908,  1908,  1908,  1908,  1908,  1908,  1908,  1908,
    1908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1064,     0,     0,     0,     0,     0,  1908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,  1069,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1908,     0,     0,
       0,     0,     0,     0,  1067,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1067,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1064,  1069,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,  1066,  1066,     0,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,  1908,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1069,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,  1908,     0,     0,     0,     0,
       0,  1908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3367,  3367,     0,
       0,  2661,  2661,  2661,  2661,     0,     0,  2661,  2661,  2661,
    2661,  2661,  2661,  2661,  2661,  2661,  2661,  3367,  1067,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,  1908,
       0,     0,  1908,  1067,  1908,     0,     0,  3367,  3367,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1908,  2661,  2661,  1908,     0,  1908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,  1067,  1067,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1908,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2661,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1908,     0,     0,     0,  1908,  1908,  1908,     0,
       0,     0,     0,     0,  3367,  3367,  3367,  3367,     0,     0,
       0,     0,  3367,  3367,  3367,  3367,  3367,  3367,  3367,  3367,
    3367,  3367,  1908,  1908,     0,     0,     0,     0,     0,     0,
    1069,     0,     0,     0,     0,  1069,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1908,     0,
       0,  1908,     0,  1908,     0,     0,     0,  1908,     0,     0,
    3367,  3367,     0,     0,  1908,  1908,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1908,     0,     0,     0,     0,     0,     0,  1908,
    1908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1908,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,  1908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3367,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1908,  1908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1908,     0,     0,
       0,     0,  1908,  2661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1908,     0,  1908,
       0,     0,     0,  1908,  1908,  1908,     0,     0,  1908,     0,
       0,  1908,  1908,     0,     0,     0,  1908,     0,     0,     0,
    1908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3367,  2661,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1908,  1908,  1908,     0,     0,     0,     0,     0,     0,
       0,  2661,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1908,
    1908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1908,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3367,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2661,     0,     0,  3367,     0,     0,     0,  1908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3367,
       0,  2661,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1908,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2661,  2661,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,  3367,  3367,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,  2753,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,  1908,   239,   240,
     241,   805,   242,   243,   244,   245,  1191,   806,  1192,  1193,
       0,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,  1209,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  2754,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    1215,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,  1224,
     395,   396,   821,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,  1232,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,     0,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,   517,   518,
     519,     0,  1241,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,  2755,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,  1252,
       0,     0,     0,     0,     0,     0,  1253,  1254,  2756,     0,
       0,     0,     0,     0,     0,  1256,  2757,   804,  1185,   618,
    1186,  1187,  1188,   677,  1189,     0,     0,     0,     0,     0,
       0,     0,   225,   226,   227,   228,   229,   230,   231,   232,
       0,   234,   235,   236,     0,     0,     0,     0,  1190,     0,
       0,   237,   238,     0,   239,   240,   241,   805,   242,   243,
     244,   245,  1191,   806,  1192,  1193,     0,   249,   250,   251,
     252,   253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,
     259,   260,   261,   262,  1198,     0,  1199,     0,   264,   265,
     266,   267,   268,   808,   269,   270,   271,     0,   272,   273,
     274,   275,   276,   277,     0,   809,   278,   279,   280,  1200,
    1201,  1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,
     285,   286,  1207,  1208,   289,  1209,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,   301,   302,  1042,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,   315,  1210,
     317,   318,   319,  1211,  1212,   321,     0,   322,   323,  1213,
     325,     0,   326,     0,   327,   811,     0,   812,   328,   329,
     330,   331,     0,   332,  1214,     0,  1215,   335,     0,   336,
     337,   338,   339,   340,   813,   341,   342,   343,   344,     0,
     345,   346,   347,   348,   349,   350,     0,   351,   814,   352,
     353,   354,   355,   356,  1216,  1217,     0,  1218,     0,   360,
     815,   816,   361,   817,   362,   363,   364,   365,   366,     0,
       0,   367,  1219,   818,   369,   819,     0,   370,   371,   372,
    1220,  1221,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,  1222,   820,
    1223,   391,   392,   393,   394,  1224,   395,   396,   821,   397,
    1225,  1226,   399,  1227,   401,   402,   403,     0,   404,   405,
       0,     0,  1228,   407,   408,     0,     0,   409,   410,   822,
     411,   823,  1229,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,     0,   422,   423,  1230,   425,   426,   427,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,  1231,   440,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   824,   458,   459,   460,  1232,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    40,   471,   472,
     473,   474,   475,  1233,   476,   477,   478,   479,   480,   825,
     481,   482,  1234,   484,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,  1235,     0,   498,
     499,    44,   500,   826,   501,   502,   503,   504,   505,     0,
    1236,  1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,
     513,   514,   515,   516,   517,   518,   519,     0,  1241,   520,
     521,   522,   523,   524,  1242,     0,   525,   526,   527,   528,
     529,  1116,  1243,     0,   532,   827,   533,   534,   535,   536,
       0,     0,   537,     0,    49,   538,   539,   540,   541,   542,
     543,   544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,
    1251,   554,   555,   556,   557,  1252,     0,    50,     0,     0,
       0,     0,  1253,  1254,     0,     0,     0,     0,     0,     0,
       0,  1256,  4872,   804,  1185,   618,  1186,  1187,  1188,   677,
    1189,     0,     0,     0,     0,     0,     0,     0,   225,   226,
     227,   228,   229,   230,   231,   232,     0,   234,   235,   236,
       0,     0,     0,     0,  1190,     0,     0,   237,   238,     0,
     239,   240,   241,   805,   242,   243,   244,   245,  1191,   806,
    1192,  1193,     0,   249,   250,   251,   252,   253,  1194,  1195,
     254,   255,  1196,  1197,   258,     0,   259,   260,   261,   262,
    1198,     0,  1199,     0,   264,   265,   266,   267,   268,   808,
     269,   270,   271,     0,   272,   273,   274,   275,   276,   277,
       0,   809,   278,   279,   280,  1200,  1201,  1202,  1203,  1204,
    1205,  1206,   281,   282,   283,   284,   285,   286,  1207,  1208,
     289,  1209,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,   301,   302,  1042,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,   315,  1210,   317,   318,   319,  1211,
    1212,   321,     0,   322,   323,  1213,   325,     0,   326,     0,
     327,   811,     0,   812,   328,   329,   330,   331,     0,   332,
    1214,     0,  1215,   335,     0,   336,   337,   338,   339,   340,
     813,   341,   342,   343,   344,     0,   345,   346,   347,   348,
     349,   350,     0,   351,   814,   352,   353,   354,   355,   356,
    1216,  1217,     0,  1218,     0,   360,   815,   816,   361,   817,
     362,   363,   364,   365,   366,     0,     0,   367,  1219,   818,
     369,   819,     0,   370,   371,   372,  1220,  1221,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,  1222,   820,  1223,   391,   392,   393,
     394,  1224,   395,   396,   821,   397,  1225,  1226,   399,  1227,
     401,   402,   403,     0,   404,   405,     0,     0,  1228,   407,
     408,     0,     0,   409,   410,   822,   411,   823,  1229,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,     0,
     422,   423,  1230,   425,   426,   427,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,  1231,   440,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,     0,   456,   457,   824,
     458,   459,   460,  1232,   462,   463,   464,   465,   466,   467,
     468,   469,   470,     0,   471,   472,   473,   474,   475,  1233,
     476,   477,   478,   479,   480,   825,   481,   482,  1234,   484,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,  1235,     0,   498,   499,     0,   500,   826,
     501,   502,   503,   504,   505,     0,  1236,  1237,     0,     0,
     508,   509,  1238,   511,  1239,  1240,   513,   514,   515,   516,
     517,   518,   519,     0,  1241,   520,   521,   522,   523,   524,
    1242,     0,   525,   526,   527,   528,   529,   530,  1243,     0,
     532,   827,   533,   534,   535,   536,     0,     0,   537,     0,
       0,   538,   539,   540,   541,   542,   543,   544,  1244,  1245,
    1246,  1247,   549,  1248,  1249,  1250,  1251,   554,   555,   556,
     557,  1252,     0,     0,     0,     0,     0,     0,  1253,  1254,
       0,     0,     0,     0,     0,     0,     0,  1256,  2663,   804,
    1185,   618,  1186,  1187,  1188,   677,  1189,     0,     0,     0,
       0,     0,     0,     0,   225,   226,   227,   228,   229,   230,
     231,   232,     0,   234,   235,   236,     0,     0,     0,     0,
    1190,     0,     0,   237,   238,     0,   239,   240,   241,   805,
     242,   243,   244,   245,  1191,   806,  1192,  1193,     0,   249,
     250,   251,   252,   253,  1194,  1195,   254,   255,  1196,  1197,
     258,     0,   259,   260,   261,   262,  1198,     0,  1199,     0,
     264,   265,   266,   267,   268,   808,   269,   270,   271,     0,
     272,   273,   274,   275,   276,   277,     0,   809,   278,   279,
     280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,   281,   282,
     283,   284,   285,   286,  1207,  1208,   289,  1209,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   301,   302,  1042,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
     315,  1210,   317,   318,   319,  1211,  1212,   321,     0,   322,
     323,  1213,   325,     0,   326,     0,   327,   811,     0,   812,
     328,   329,   330,   331,     0,   332,  1214,     0,  1215,   335,
       0,   336,   337,   338,   339,   340,   813,   341,   342,   343,
     344,     0,   345,   346,   347,   348,   349,   350,     0,   351,
     814,   352,   353,   354,   355,   356,  1216,  1217,     0,  1218,
       0,   360,   815,   816,   361,   817,   362,   363,   364,   365,
     366,     0,     0,   367,  1219,   818,   369,   819,     0,   370,
     371,   372,  1220,  1221,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
    1222,   820,  1223,   391,   392,   393,   394,  1224,   395,   396,
     821,   397,  1225,  1226,   399,  1227,   401,   402,   403,     0,
     404,   405,     0,     0,  1228,   407,   408,     0,     0,   409,
     410,   822,   411,   823,  1229,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,     0,   422,   423,  1230,   425,
     426,   427,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,  1231,   440,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,     0,   456,   457,   824,   458,   459,   460,  1232,
     462,   463,   464,   465,   466,   467,   468,   469,   470,     0,
     471,   472,   473,   474,   475,  1233,   476,   477,   478,   479,
     480,   825,   481,   482,  1234,   484,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,  1235,
       0,   498,   499,     0,   500,   826,   501,   502,   503,   504,
     505,     0,  1236,  1237,     0,     0,   508,   509,  1238,   511,
    1239,  1240,   513,   514,   515,   516,   517,   518,   519,     0,
    1241,   520,   521,   522,   523,   524,  1242,     0,   525,   526,
     527,   528,   529,   530,  1243,     0,   532,   827,   533,   534,
     535,   536,     0,     0,   537,     0,     0,   538,   539,   540,
     541,   542,   543,   544,  1244,  1245,  1246,  1247,   549,  1248,
    1249,  1250,  1251,   554,   555,   556,   557,  1252,     0,     0,
       0,     0,     0,     0,  1253,  1254,     0,     0,     0,     0,
       0,     0,     0,  1256,  3881,   804,  1185,   618,  1186,  1187,
    1188,   677,  1189,     0,     0,     0,     0,     0,     0,     0,
     225,   226,   227,   228,   229,   230,   231,   232,     0,   234,
     235,   236,     0,     0,     0,     0,  1190,     0,     0,   237,
     238,     0,   239,   240,   241,   805,   242,   243,   244,   245,
    1191,   806,  1192,  1193,     0,   249,   250,   251,   252,   253,
    1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,   260,
     261,   262,  1198,     0,  1199,     0,   264,   265,   266,   267,
     268,   808,   269,   270,   271,     0,   272,   273,   274,   275,
     276,   277,     0,   809,   278,   279,   280,  1200,  1201,  1202,
    1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,   286,
    1207,  1208,   289,  1209,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,   301,
     302,  1042,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,   315,  1210,   317,   318,
     319,  1211,  1212,   321,     0,   322,   323,  1213,   325,     0,
     326,     0,   327,   811,     0,   812,   328,   329,   330,   331,
       0,   332,  1214,     0,  1215,   335,     0,   336,   337,   338,
     339,   340,   813,   341,   342,   343,   344,     0,   345,   346,
     347,   348,   349,   350,     0,   351,   814,   352,   353,   354,
     355,   356,  1216,  1217,     0,  1218,     0,   360,   815,   816,
     361,   817,   362,   363,   364,   365,   366,     0,     0,   367,
    1219,   818,   369,   819,     0,   370,   371,   372,  1220,  1221,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,  1222,   820,  1223,   391,
     392,   393,   394,  1224,   395,   396,   821,   397,  1225,  1226,
     399,  1227,   401,   402,   403,     0,   404,   405,     0,     0,
    1228,   407,   408,     0,     0,   409,   410,   822,   411,   823,
    1229,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,     0,   422,   423,  1230,   425,   426,   427,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
    1231,   440,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,     0,   456,
     457,   824,   458,   459,   460,  1232,   462,   463,   464,   465,
     466,   467,   468,   469,   470,     0,   471,   472,   473,   474,
     475,  1233,   476,   477,   478,   479,   480,   825,   481,   482,
    1234,   484,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,  1235,     0,   498,   499,     0,
     500,   826,   501,   502,   503,   504,   505,     0,  1236,  1237,
       0,     0,   508,   509,  1238,   511,  1239,  1240,   513,   514,
     515,   516,   517,   518,   519,     0,  1241,   520,   521,   522,
     523,   524,  1242,     0,   525,   526,   527,   528,   529,   530,
    1243,     0,   532,   827,   533,   534,   535,   536,     0,     0,
     537,     0,     0,   538,   539,   540,   541,   542,   543,   544,
    1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,   554,
     555,   556,   557,  1252,     0,     0,   224,     0,     0,     0,
    1253,  1254,     0,     0,     0,     0,     0,     0,     0,  1256,
    3952,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,  3970,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0, -1726,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0, -1726,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351, -1726,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361, -1726,   362,   363,   364,   365,   366,     0,     0,
     367,   368, -1726,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389, -1726,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457, -1726,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,     0,     0,  1034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1337,   225,   226,   227,   228,   229,   230,   231,   232,
       0,   234,   235,   236,     0,     0,     0,     0,     0,     0,
       0,   237,   238,     0,   239,   240,   241,   805,   242,   243,
     244,     0,  1035,   806,  1036,  1037,     0,   249,   250,   251,
     252,   253,     0,     0,   254,   255,  1038,  1039,   258,     0,
     259,   260,   261,   262,     0,     0,   807,     0,   264,   265,
     266,   267,   268,   808,   269,   270,   271,     0,   272,   273,
     274,   275,   276,   277,     0,   809,   278,   279,   280,     0,
       0,     0,   810,     0,     0,     0,   281,   282,   283,   284,
     285,   286,  1040,  1041,   289,     0,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,   301,   302,  1042,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,   315,     0,
     317,   318,   319,     0,     0,   321,     0,   322,   323,  1043,
     325,     0,   326,     0,   327,   811,     0,   812,   328,   329,
     330,   331,     0,   332,     0,     0,     0,   335,     0,   336,
     337,   338,   339,   340,   813,   341,   342,   343,   344,  2093,
     345,   346,   347,   348,   349,   350,     0,   351,   814,  2094,
     353,   354,   355,   356,  1045,  1046,     0,  1047,     0,   360,
     815,   816,   361,   817,   362,   363,   364,   365,   366,     0,
       0,   367,     0,   818,   369,   819,     0,   370,   371,   372,
       0,     0,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,  1048,   820,
    1049,   391,   392,   393,     0,     0,   395,   396,   821,   397,
       0,     0,   399,  1050,   401,   402,   403,     0,   404,   405,
       0,     0,   406,   407,   408,     0,     0,   409,  2096,   822,
     411,   823,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,     0,   422,   423,     0,   425,     0,   427,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,  1051,   440,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
       0,   456,   457,   824,   458,   459,   460,     0,   462,   463,
     464,   465,   466,   467,   468,   469,   470,     0,   471,   472,
     473,   474,   475,     0,   476,   477,  2097,   479,   480,   825,
     481,   482,  1053,   484,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,     0,   498,
     499,     0,   500,   826,   501,   502,   503,   504,   505,     0,
    1054,  1055,     0,     0,   508,   509,     0,   511,     0,     0,
     513,   514,   515,   516,   517,   518,   519,     0,     0,   520,
     521,   522,   523,   524,     0,     0,   525,   526,   527,   528,
     529,     0,  1056,  2098,   532,   827,   533,   534,   535,   536,
       0,     0,   537,     0,     0,   538,   539,   540,   541,   542,
     543,  1034,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   555,   556,   557,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  2203,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,     0,  1035,   806,  1036,  1037,
       0,   249,   250,   251,   252,   253,     0,     0,   254,   255,
    1038,  1039,   258,     0,   259,   260,   261,   262,     0,     0,
     807,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,     0,     0,     0,   810,     0,     0,     0,
     281,   282,   283,   284,   285,   286,  1040,  1041,   289,     0,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,     0,   317,   318,   319,     0,     0,   321,
       0,   322,   323,  1043,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,     0,     0,
       0,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,  2093,   345,   346,   347,   348,   349,   350,
       0,   351,   814,  2094,   353,   354,   355,   356,  1045,  1046,
       0,  1047,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,     0,   818,   369,   819,
       0,   370,   371,   372,     0,     0,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1048,   820,  1049,   391,   392,   393,     0,     0,
     395,   396,   821,   397,     0,     0,   399,  1050,   401,   402,
     403,     0,   404,   405,     0,     0,   406,   407,   408,     0,
       0,   409,  2096,   822,   411,   823,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
       0,   425,     0,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1051,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,     0,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,     0,   476,   477,
    2097,   479,   480,   825,   481,   482,  1053,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1054,  1055,     0,     0,   508,   509,
       0,   511,     0,     0,   513,   514,   515,   516,   517,   518,
     519,     0,     0,   520,   521,   522,   523,   524,     0,     0,
     525,   526,   527,   528,   529,     0,  1056,  2098,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,     0,   804,  1185,   618,  1186,
    1187,  1188,   677,  1189,     0,     0,   555,   556,   557,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,  3215,  1190,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,  1191,   806,  1192,  1193,     0,   249,   250,   251,   252,
     253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,
     260,   261,   262,  1198,     0,  1199,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,
     286,  1207,  1208,   289,  1209,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,  1210,   317,
     318,   319,  1211,  1212,   321,     0,   322,   323,  1213,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,  1214,     0,  1215,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,  1216,  1217,     0,  1218,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,  1219,   818,   369,   819,     0,   370,   371,   372,  1220,
    1221,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1222,   820,  1223,
     391,   392,   393,   394,  1224,   395,   396,   821,   397,  1225,
    1226,   399,  1227,   401,   402,   403,     0,   404,   405,     0,
       0,  1228,   407,   408,     0,     0,   409,   410,   822,   411,
     823,  1229,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,  1230,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1231,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,  1232,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    40,   471,   472,   473,
     474,   475,  1233,   476,   477,   478,   479,   480,   825,   481,
     482,  1234,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  1235,     0,   498,   499,
      44,   500,   826,   501,   502,   503,   504,   505,     0,  1236,
    1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,   513,
     514,   515,   516,   517,   518,   519,     0,  1241,   520,   521,
     522,   523,   524,  1242,     0,   525,   526,   527,   528,   529,
    1116,  1243,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,    49,   538,   539,   540,   541,   542,   543,
     544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,
     554,   555,   556,   557,  1252,     0,    50,     0,     0,     0,
       0,  1253,  1254,     0,     0,     0,     0,     0,     0,     0,
    1256,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,  1191,   806,  1192,  1193,
    2669,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,  1209,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
    2670,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    1215,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,  2671,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,  1224,
     395,   396,   821,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,  1232,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,  2672,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,   517,   518,
     519,     0,  1241,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,  1252,
       0,     0,     0,     0,     0,     0,  1253,  1254,     0,     0,
       0,     0,     0,     0,     0,  1256,   804,  1185,   618,  1186,
    1187,  1188,   677,  1189,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,  1190,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,  1191,   806,  1192,  1193,     0,   249,   250,   251,   252,
     253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,
     260,   261,   262,  1198,     0,  1199,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,
     286,  1207,  1208,   289,  1209,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,  1210,   317,
     318,   319,  1211,  1212,   321,     0,   322,   323,  1213,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,  1214,     0,  1215,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,  1216,  1217,     0,  1218,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,  1219,   818,   369,   819,     0,   370,   371,   372,  1220,
    1221,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1222,   820,  1223,
     391,   392,   393,   394,  1224,   395,   396,   821,   397,  1225,
    1226,   399,  1227,   401,   402,   403,     0,   404,   405,     0,
       0,  1228,   407,   408,     0,     0,   409,   410,   822,   411,
     823,  1229,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,  1230,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1231,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,  1232,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,  1233,   476,   477,   478,   479,   480,   825,   481,
     482,  1234,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  1235,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1236,
    1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,   513,
     514,   515,   516,   517,   518,   519,     0,  1241,   520,   521,
     522,   523,   524,  1242,     0,   525,   526,   527,   528,   529,
     530,  1243,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,
     554,   555,   556,   557,  1252,     0,     0,     0,     0,     0,
       0,  1253,  1254,     0,     0,     0,     0,     0,  1832,  2624,
    1256,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,  1191,   806,  1192,  1193,
       0,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,  1209,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    1215,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,  1224,
     395,   396,   821,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,  1232,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,     0,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,   517,   518,
     519,     0,  1241,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,  1252,
       0,     0,     0,     0,     0,     0,  1253,  1254,  1255,     0,
       0,     0,     0,     0,     0,  1256,   804,  1185,   618,  1186,
    1187,  1188,   677,  1189,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,  2064,
     234,   235,   236,     0,     0,     0,     0,  1190,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,  1191,   806,  1192,  1193,     0,   249,   250,   251,   252,
     253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,
     260,   261,   262,  1198,     0,  1199,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,
     286,  1207,  1208,   289,  1209,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,  1210,   317,
     318,   319,  1211,  1212,   321,     0,   322,   323,  1213,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,  1214,     0,  1215,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,  1216,  1217,     0,  1218,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,  1219,   818,   369,   819,     0,   370,   371,   372,  1220,
    1221,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1222,   820,  1223,
     391,   392,   393,   394,  1224,   395,   396,   821,   397,  1225,
    1226,   399,  1227,   401,   402,   403,     0,   404,   405,     0,
       0,  1228,   407,   408,     0,     0,   409,   410,   822,   411,
     823,  1229,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,  1230,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1231,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,  1232,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,  1233,   476,   477,   478,   479,   480,   825,   481,
     482,  1234,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  1235,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1236,
    1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,   513,
     514,   515,   516,   517,   518,   519,     0,  1241,   520,   521,
     522,   523,   524,  1242,     0,   525,   526,   527,   528,   529,
     530,  1243,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,
     554,   555,   556,   557,  1252,     0,     0,     0,     0,     0,
       0,  1253,  1254,     0,     0,     0,     0,     0,     0,     0,
    1256,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,  1191,   806,  1192,  1193,
       0,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,  1209,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
    2670,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    1215,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,  1224,
     395,   396,   821,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,  1232,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,     0,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,   517,   518,
     519,     0,  1241,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,  1252,
       0,     0,     0,     0,     0,     0,  1253,  1254,     0,     0,
       0,     0,     0,     0,     0,  1256,   804,  1185,   618,  1186,
    1187,  1188,   677,  1189,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,  1190,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,  1191,   806,  1192,  1193,     0,   249,   250,   251,   252,
     253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,
     260,   261,   262,  1198,     0,  1199,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,
     286,  1207,  1208,   289,  1209,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,  1210,   317,
     318,   319,  1211,  1212,   321,     0,   322,   323,  1213,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,  1214,     0,  1215,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,  1216,  1217,     0,  1218,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,  1219,   818,   369,   819,     0,   370,   371,   372,  1220,
    1221,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1222,   820,  1223,
     391,   392,   393,   394,  1224,   395,   396,   821,   397,  1225,
    1226,   399,  1227,   401,   402,   403,     0,   404,   405,     0,
       0,  1228,   407,   408,     0,     0,   409,   410,   822,   411,
     823,  1229,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,  1230,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1231,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,  1232,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,  1233,   476,   477,   478,   479,   480,   825,   481,
     482,  1234,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  1235,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1236,
    1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,   513,
     514,   515,   516,   517,   518,   519,     0,  1241,   520,   521,
     522,   523,   524,  1242,     0,   525,   526,   527,   528,   529,
     530,  1243,  4002,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,
     554,   555,   556,   557,  1252,     0,     0,     0,     0,     0,
       0,  1253,  1254,     0,     0,     0,     0,     0,     0,     0,
    1256,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,  1191,   806,  1192,  1193,
       0,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,  1209,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    1215,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,  1224,
     395,   396,   821,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,  1232,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,     0,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,   517,   518,
     519,     0,  1241,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,  1252,
       0,     0,     0,     0,     0,     0,  1253,  1254,     0,     0,
       0,     0,     0,     0,     0,  1256,   804,  1185,   618,  1186,
    1187,  1188,   677,  1189,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,  1190,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,  1191,   806,  1192,  1193,     0,   249,   250,   251,   252,
     253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,
     260,   261,   262,  1198,     0,  1199,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,  4015,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,
     286,  1207,  1208,   289,  1209,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,  1210,   317,
     318,   319,  1211,  1212,   321,     0,   322,   323,  1213,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,  1214,     0,  1215,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,  1216,  1217,     0,  1218,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,  1219,   818,   369,   819,     0,   370,   371,   372,  1220,
    1221,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1222,   820,  1223,
     391,   392,   393,   394,  1224,   395,   396,   821,   397,  1225,
    1226,   399,  1227,   401,   402,   403,     0,   404,   405,     0,
       0,  1228,   407,   408,     0,     0,   409,   410,   822,   411,
     823,  1229,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,  1230,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1231,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,  1232,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,  1233,   476,   477,   478,   479,   480,   825,   481,
     482,  1234,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  1235,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1236,
    1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,   513,
     514,   515,   516,   517,   518,   519,     0,  1241,   520,   521,
     522,   523,   524,  1242,     0,   525,   526,   527,   528,   529,
     530,  1243,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,
     554,   555,   556,   557,  1252,     0,     0,     0,     0,     0,
       0,  1253,  1254,     0,     0,     0,     0,     0,     0,     0,
    1256,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,  1191,   806,  1192,  1193,
       0,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,  1209,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    1215,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,  1224,
     395,   396,   821,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,  1232,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,     0,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,   517,   518,
     519,     0,  1241,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,  4340,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,  1252,
       0,     0,     0,     0,     0,     0,  1253,  1254,     0,     0,
       0,     0,     0,     0,     0,  1256,   804,  1185,   618,  1186,
    1187,  1188,   677,  1189,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,  1190,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,  1191,   806,  1192,  1193,     0,   249,   250,   251,   252,
     253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,
     260,   261,   262,  1198,     0,  1199,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,
     286,  1207,  1208,   289,  1209,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,  1210,   317,
     318,   319,  1211,  1212,   321,     0,   322,   323,  1213,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,  1214,     0,  1215,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,  1216,  1217,     0,  1218,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,  1219,   818,   369,   819,     0,   370,   371,   372,  1220,
    1221,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1222,   820,  1223,
     391,   392,  4349,   394,  1224,   395,   396,   821,   397,  1225,
    1226,   399,  1227,   401,   402,   403,     0,   404,   405,     0,
       0,  1228,   407,   408,     0,     0,   409,   410,   822,   411,
     823,  1229,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,  1230,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1231,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,  1232,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,  1233,   476,   477,   478,   479,   480,   825,   481,
     482,  1234,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  1235,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1236,
    1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,   513,
     514,   515,   516,   517,   518,   519,     0,  1241,   520,   521,
     522,   523,   524,  1242,     0,   525,   526,   527,   528,   529,
     530,  1243,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,
     554,   555,   556,   557,  1252,     0,     0,     0,     0,     0,
       0,  1253,  1254,     0,     0,     0,     0,     0,     0,     0,
    1256,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,  1191,   806,  1192,  1193,
       0,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,  4660,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,  1209,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    4661,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,  1224,
     395,   396,   821,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
    4662,  1232,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,     0,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,   517,   518,
     519,     0,  1241,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,  1252,
       0,     0,     0,     0,     0,     0,  1253,  1254,     0,     0,
       0,     0,     0,     0,     0,  4663,   804,  1185,   618,  1186,
    1187,  1188,   677,  1189,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,  1190,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
    5127,  1191,   806,  1192,  1193,     0,   249,   250,   251,   252,
     253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,
     260,   261,   262,  1198,     0,  1199,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,  5128,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,
     286,  1207,  1208,   289,  1209,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,  1210,   317,
     318,   319,  1211,  1212,   321,     0,   322,   323,  1213,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,  1214,     0,  1215,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,  1216,  1217,     0,  1218,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,  1219,   818,   369,   819,     0,   370,   371,   372,  1220,
    1221,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1222,   820,  1223,
     391,   392,   393,   394,  1224,   395,   396,   821,   397,  1225,
    1226,   399,  1227,   401,   402,   403,     0,   404,   405,     0,
       0,  1228,   407,   408,     0,     0,   409,   410,   822,   411,
     823,  1229,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,  1230,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1231,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,  1232,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,  1233,   476,   477,   478,   479,   480,   825,   481,
     482,  1234,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  1235,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1236,
    1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,   513,
     514,   515,   516,  5129,   518,   519,     0,  1241,   520,   521,
     522,   523,   524,  1242,     0,   525,   526,   527,   528,   529,
     530,  1243,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,
     554,   555,   556,   557,  1252,     0,     0,     0,     0,     0,
       0,  1253,  1254,     0,     0,     0,     0,     0,     0,     0,
    1256,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,  1191,   806,  1192,  1193,
       0,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,  5128,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,  1209,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    1215,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,  1224,
     395,   396,   821,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,  1232,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,     0,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,  5129,   518,
     519,     0,  1241,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,  1252,
       0,     0,     0,     0,     0,     0,  1253,  1254,     0,     0,
       0,     0,     0,     0,     0,  1256,   804,  1185,   618,  1186,
    1187,  1188,   677,  1189,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,  1190,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,  1191,   806,  1192,  1193,     0,   249,   250,   251,   252,
     253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,
     260,   261,   262,  1198,     0,  1199,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,
     286,  1207,  1208,   289,  4853,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,  1210,   317,
     318,   319,  1211,  1212,   321,     0,   322,   323,  1213,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,  1214,     0,  1215,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,  1216,  1217,     0,  1218,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,  1219,   818,   369,   819,     0,   370,   371,   372,  1220,
    1221,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1222,   820,  1223,
     391,   392,   393,   394,     0,   395,   396,   821,   397,  1225,
    1226,   399,  1227,   401,   402,   403,     0,   404,   405,     0,
       0,  1228,   407,   408,     0,     0,   409,   410,   822,   411,
     823,  1229,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,  1230,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1231,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,  2655,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,  1233,   476,   477,   478,   479,   480,   825,   481,
     482,  1234,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  1235,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1236,
    1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,  1242,     0,   525,   526,   527,   528,   529,
     530,  1243,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,
     554,   555,   556,   557,     0,     0,     0,     0,     0,     0,
       0,  2656,  2657,     0,     0,     0,     0,     0,     0,     0,
    2658,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244, -2568,  1191,   806,  1192,  1193,
       0,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,  5128,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,  1209,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    1215,   335,     0,   336,   337,   338,   339,   340, -2568,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,     0,     0,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369, -2568,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,  1224,
     395,   396,     0,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,  1232,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480, -2568,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,     0,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,  5129,   518,
     519,     0,  1241,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557, -2568,
       0,     0,     0,     0,     0,     0,  1253,  1254,     0,     0,
       0,     0,     0,     0,     0,  1256,   804,  1185,   618,  1186,
    1187,  1188,   677,  1189,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,  1190,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,  1191,   806,  1192,  1193,     0,   249,   250,   251,   252,
     253,  1194,  1195,   254,   255,  1196,  1197,   258,     0,   259,
     260,   261,   262,  1198,     0,  1199,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,   281,   282,   283,   284,   285,
     286,  1207,  1208,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,  1210,   317,
     318,   319,  1211,  1212,   321,     0,   322,   323,  1213,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,  1214,     0,  1215,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,  1216,  1217,     0,  1218,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,  1219,   818,   369,   819,     0,   370,   371,   372,  1220,
    1221,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1222,   820,  1223,
     391,   392,   393,   394,     0,   395,   396,   821,   397,  1225,
    1226,   399,  1227,   401,   402,   403,     0,   404,   405,     0,
       0,  1228,   407,   408,     0,     0,   409,   410,   822,   411,
     823,  1229,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,  1230,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1231,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,  2655,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,  1233,   476,   477,   478,   479,   480,   825,   481,
     482,  1234,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  1235,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1236,
    1237,     0,     0,   508,   509,  1238,   511,  1239,  1240,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,  1242,     0,   525,   526,   527,   528,   529,
     530,  1243,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,  1244,  1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,
     554,   555,   556,   557,     0,     0,     0,     0,     0,     0,
       0,  2656,  2657,     0,     0,     0,     0,     0,     0,     0,
    2658,   804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,
       0,     0,     0,     0,     0,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,  1190,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,  1191,   806,  1192,  1193,
       0,   249,   250,   251,   252,   253,  1194,  1195,   254,   255,
    1196,  1197,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,  1207,  1208,   289,     0,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,  1042,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,  1210,   317,   318,   319,  1211,  1212,   321,
       0,   322,   323,  1213,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
    1215,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,  1216,  1217,
       0,  1218,     0,   360,     0,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,  1222,   820,  1223,   391,   392,   393,   394,     0,
     395,   396,   821,   397,  1225,  1226,   399,  1227,   401,   402,
     403,     0,   404,   405,     0,     0,  1228,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1231,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,  2655,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,  1234,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,  1236,  1237,     0,     0,   508,   509,
    1238,   511,  1239,  1240,   513,   514,   515,   516,   517,   518,
     519,     0,     0,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,  1243,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,     0,
       0,     0,     0,     0,     0,     0,  2656,  2657,     0,     0,
     804,  1185,   618,  1186,  1187,  2658,   677,  1189,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,  1190,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,   245,  1191,   806,  1192,  1193,     0,
     249,   250,   251,   252,   253,  1194,  1195,   254,   255,  1196,
    1197,   258,     0,   259,   260,   261,   262,  1198,     0,  1199,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,   281,
     282,   283,   284,   285,   286,  1207,  1208,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,  1042,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,  1210,   317,   318,   319,  1211,  1212,   321,     0,
     322,   323,  1213,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,  1214,     0,  1215,
     335,     0,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,  1216,  1217,     0,
    1218,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,  1219,   818,   369,   819,     0,
     370,   371,   372,  1220,  1221,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,  1222,   820,  1223,   391,   392,   393,   394,     0,   395,
     396,   821,   397,  1225,  1226,   399,  1227,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,   822,   411,   823,  1229,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,  1230,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,  1231,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
    2655,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,  1233,   476,   477,   478,
     479,   480,   825,   481,   482,  1234,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
    1235,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,  1236,  1237,     0,     0,   508,   509,  1238,
     511,  1239,  1240,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,  1242,     0,   525,
     526,   527,   528,   529,   530,  1243,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,   549,
    1248,  1249,  1250,  1251,   554,   555,   556,   557,     0,     0,
     804,  1185,   618,  1186,  1187,     0,   677,  1189,     0,     0,
       0,     0,     0,     0,  2658,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,  1190,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,   245,  1191,   806,  1192,  1193,     0,
    3914,   250,   251,   252,   253,  1194,  1195,   254,   255,  1196,
    1197,   258,     0,   259,   260,   261,   262,  1198,     0,  1199,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,   281,
     282,   283,   284,   285,   286,  1207,  1208,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,  1042,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,  1210,   317,   318,   319,  1211,  1212,   321,     0,
     322,   323,  1213,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,  1214,     0,  1215,
     335,     0,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,  1216,  1217,     0,
    1218,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,  1219,   818,   369,   819,     0,
     370,   371,   372,  1220,  1221,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,  1222,   820,  1223,   391,   392,   393,   394,     0,   395,
     396,   821,   397,  1225,  1226,   399,  1227,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,   822,   411,   823,  1229,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,  1230,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,  1231,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
    2655,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,  1233,   476,   477,   478,
     479,   480,   825,   481,   482,  1234,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
    1235,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,  1236,  1237,     0,     0,   508,   509,  1238,
     511,  1239,  1240,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,  1242,     0,   525,
     526,   527,   528,   529,   530,  1243,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,   549,
    1248,  1249,  1250,  1251,   554,   555,   556,   557,     0,     0,
     804,  1185,   618,  1186,  1187,     0,   677,  1189,     0,     0,
       0,     0,     0,     0,  2658,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,  1190,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,   245,  1191,   806,  1192,  1193,     0,
     249,   250,   251,   252,   253,  1194,  1195,   254,   255,  1196,
    1197,   258,     0,   259,   260,   261,   262,  1198,     0,  1199,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,   281,
     282,   283,   284,   285,   286,  1207,  1208,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,  1042,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,  1210,   317,   318,   319,  1211,  1212,   321,     0,
     322,   323,  1213,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,  1214,     0,  1215,
     335,     0,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,  1216,  1217,     0,
    1218,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,  1219,   818,   369,   819,     0,
     370,   371,   372,  1220,  1221,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,  1222,   820,  1223,   391,   392,   393,   394,     0,   395,
     396,   821,   397,  1225,  1226,   399,  1227,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,   822,   411,   823,  1229,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,  1230,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,  1231,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
    2655,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,  1233,   476,   477,   478,
     479,   480,   825,   481,   482,  1234,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
    1235,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,  1236,  1237,     0,     0,   508,   509,  1238,
     511,  1239,  1240,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,  1242,     0,   525,
     526,   527,   528,   529,   530,  1243,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,  4380,
    1248,  1249,  1250,  1251,   554,   555,   556,   557,     0,     0,
     804,  1185,   618,  1186,  1187,  1188,   677,  1189,     0,     0,
       0,     0,     0,     0,  2658,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,  1190,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,     0,  1191,   806,  1192,  1193,     0,
     249,   250,   251,   252,   253,  1194,  1195,   254,   255,  1196,
    1197,   258,     0,   259,   260,   261,   262,  1198,     0,  1199,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,   281,
     282,   283,   284,   285,   286,  1207,  1208,   289,  1209,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,  1042,   304,   305,     0,
     306,   307,   308,     0,   309,     0,   311,     0,   312,   313,
     314,   315,  1210,   317,   318,   319,  1211,  1212,   321,     0,
     322,   323,  1213,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,  1214,     0,  1215,
     335,     0,   336,   337,   338,   339,   340,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,  1216,  1217,     0,
    1218,     0,   360,     0,     0,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,  1219,   818,   369,     0,     0,
     370,   371,   372,  1220,  1221,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,  1222,   820,  1223,   391,   392,   393,   394,  1224,   395,
     396,     0,   397,  1225,  1226,   399,  1227,   401,   402,   403,
       0,   404,   405,     0,     0,  1228,   407,   408,     0,     0,
     409,   410,   822,   411,   823,  1229,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,  1230,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,  1231,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
    1232,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,  1233,   476,   477,   478,
     479,   480,     0,   481,   482,  1234,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
    1235,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,  1236,  1237,     0,     0,   508,   509,  1238,
     511,  1239,  1240,   513,   514,   515,   516,   517,   518,   519,
       0,  1241,   520,   521,   522,   523,   524,  1242,     0,   525,
     526,   527,   528,   529,   530,  1243,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,   549,
    1248,  1249,  1250,  1251,   554,   555,   556,   557,     0,     0,
     804,     0,     0,     0,     0,  1253,  1254,     0,     0,     0,
       0,     0,     0,     0,  1256,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,   245,   246,   806,   247,   248,     0,
     249,   250,   251,   252,   253,     0,  1195,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,  1198,     0,  1199,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,  1211,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,  1214,     0,   334,
     335,     0,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,  3436,     0,   367,  1219,   818,   369,   819,     0,
     370,   371,   372,  1220,  1221,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   820,   390,   391,   392,   393,   394,     0,   395,
     396,   821,   397,     0,  1226,   399,   400,   401,   402,   403,
       0,   404,   405,     0,   769,   406,   407,   408,     0,     0,
     409,   410,   822,   411,   823,  1229,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,  1230,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
     461,  3437,   463,   464,   465,   466,   467,   468,   469,   470,
      40,   471,   472,   473,   474,   475,  1233,   476,   477,   478,
     479,   480,   825,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
    1235,     0,   498,   499,    44,   500,   826,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,  1238,
     511,  1239,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,  1242,     0,   525,
     526,   527,   528,   529,  1116,   531,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,    49,   538,   539,
     540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,   549,
    1248,  1249,  1250,  1251,  3438,   555,   556,   557,     0,     0,
      50,   804,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3439,     0,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,     0,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,   246,   806,   247,   248,
       0,   249,   250,   251,   252,   253,     0,  1195,   254,   255,
     256,   257,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,   316,   317,   318,   319,  1211,     0,   321,
       0,   322,   323,   324,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
     334,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,   357,   358,
       0,   359,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,  3436,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   820,   390,   391,   392,   393,   394,     0,
     395,   396,   821,   397,     0,  1226,   399,   400,   401,   402,
     403,     0,   404,   405,     0,   769,   406,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,   461,  3437,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,   483,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,   506,   507,     0,     0,   508,   509,
    1238,   511,  1239,     0,   513,   514,   515,   516,   517,   518,
     519,     0,     0,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,   531,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,  3438,   555,   556,   557,     0,
       0,   804,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3439,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,     0,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,   246,   806,   247,   248,
       0,   249,   250,   251,   252,   253,     0,  1195,   254,   255,
     256,   257,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,   316,   317,   318,   319,  1211,     0,   321,
       0,   322,   323,   324,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
     334,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,   357,   358,
       0,   359,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   820,   390,   391,   392,   393,   394,     0,
     395,   396,   821,   397,     0,  1226,   399,   400,   401,   402,
     403,     0,   404,   405,     0,     0,   406,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,   461,  3437,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,   483,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,   506,   507,     0,     0,   508,   509,
    1238,   511,  1239,     0,   513,   514,   515,   516,   517,   518,
     519,     0,     0,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,   531,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,  3438,   555,   556,   557,     0,
       0,   804,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    51,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,     0,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,   246,   806,   247,   248,
       0,   249,   250,   251,   252,   253,     0,  1195,   254,   255,
     256,   257,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,   316,   317,   318,   319,  1211,     0,   321,
       0,   322,   323,   324,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
     334,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,   357,   358,
       0,   359,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   820,   390,   391,   392,   393,   394,     0,
     395,   396,   821,   397,     0,  1226,   399,   400,   401,   402,
     403,     0,   404,   405,     0,     0,   406,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,   483,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,   506,   507,     0,     0,   508,   509,
    1238,   511,  1239,     0,   513,   514,   515,   516,   517,   518,
     519,     0,     0,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,   531,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,     0,
       0,   804,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4043,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,     0,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,   246,   806,   247,   248,
       0,   249,   250,   251,   252,   253,     0,  1195,   254,   255,
     256,   257,   258,     0,   259,   260,   261,   262,  1198,     0,
    1199,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,   316,   317,   318,   319,  1211,     0,   321,
       0,   322,   323,   324,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,  1214,     0,
     334,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,   357,   358,
       0,   359,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,  1219,   818,   369,   819,
       0,   370,   371,   372,  1220,  1221,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   820,   390,   391,   392,   393,   394,     0,
     395,   396,   821,   397,     0,  1226,   399,   400,   401,   402,
     403,     0,   404,   405,     0,     0,   406,   407,   408,     0,
       0,   409,   410,   822,   411,   823,  1229,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
    1230,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,  1233,   476,   477,
     478,   479,   480,   825,   481,   482,   483,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  1235,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,   506,   507,     0,     0,   508,   509,
    1238,   511,  1239,     0,   513,   514,   515,   516,   517,   518,
     519,     0,     0,   520,   521,   522,   523,   524,  1242,     0,
     525,   526,   527,   528,   529,   530,   531,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,  1244,  1245,  1246,  1247,
     549,  1248,  1249,  1250,  1251,   554,   555,   556,   557,     0,
       0,   849,  1464,   618,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,  5110,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,     0,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,   246,   806,   247,   248,
       0,   249,   250,   251,   252,   253,     0,     0,   254,   255,
     256,   257,   258,     0,   259,   260,   261,   262,   263,     0,
     807,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,     0,     0,     0,   810,     0,     0,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,   316,   317,   318,   319,   320,  1765,   321,
       0,   322,   323,   324,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,   333,     0,
     334,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,   357,   358,
       0,   359,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,   368,   818,   369,   819,
       0,   370,   371,   372,     0,     0,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   820,   390,   391,   392,   393,   394,     0,
     395,   396,   821,   397,     0,   398,   399,   400,   401,   402,
     403,     0,   404,   405,  1766,     0,   406,   407,   408,     0,
       0,   409,   410,   822,   411,   823,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
     424,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   825,   481,   482,   483,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,     0,   500,   826,   501,   502,
     503,   504,   505,     0,   506,   507,     0,     0,   508,   509,
     510,   511,   512,  1767,   513,   514,   515,   516,   517,   518,
     519,     0,     0,   520,   521,   522,   523,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
       0,   849,     0,     0,     0,     0,  1465,  1466,  4930,     0,
       0,     0,     0,     0,     0,  4931,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     3,     4,
       0,     0,     0,     0,     0,   237,   238,     0,   239,   240,
     241,   805,   242,   243,   244,   245,   246,   806,   247,   248,
       0,   249,   250,   251,   252,   253,     0,     0,   254,   255,
     256,   257,   258,     0,   259,   260,   261,   262,   263,     0,
     807,     0,   264,   265,   266,   267,   268,   808,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,   809,
     278,   279,   280,     0,     0,     0,   810,     0,     0,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,   316,   317,   318,   319,   320,     0,   321,
       0,   322,   323,   324,   325,     0,   326,     0,   327,   811,
       0,   812,   328,   329,   330,   331,     0,   332,   333,     0,
     334,   335,     0,   336,   337,   338,   339,   340,   813,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,   814,   352,   353,   354,   355,   356,   357,   358,
       0,   359,     0,   360,   815,   816,   361,   817,   362,   363,
     364,   365,   366,     0,     0,   367,   368,   818,   369,   819,
       0,   370,   371,   372,     0,     0,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   820,   390,   391,   392,   393,   394,     0,
     395,   396,   821,   397,     0,   398,   399,   400,   401,   402,
     403,     0,   404,   405,     0,     0,   406,   407,   408,     0,
       0,   409,   410,   822,   411,   823,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
     424,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,   824,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    40,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   825,   481,   482,   483,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,    44,   500,   826,   501,   502,
     503,   504,   505,     0,   506,   507,     0,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,   518,
     519,     0,     0,   520,   521,   522,   523,   524,     0,     0,
     525,   526,   527,   528,   529,  1116,   531,     0,   532,   827,
     533,   534,   535,   536,     0,     0,   537,     0,    49,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
       0,    50,   804,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    51,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,   805,   242,   243,   244,   245,   246,   806,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,   807,     0,   264,   265,   266,   267,   268,   808,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
     809,   278,   279,   280,     0,     0,     0,   810,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
     811,     0,   812,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,   813,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,   814,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,   815,   816,   361,   817,   362,
     363,   364,   365,   366,     0,     0,   367,   368,   818,   369,
     819,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   820,   390,   391,   392,   393,   394,
       0,   395,   396,   821,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,   822,   411,   823,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   824,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   825,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,   826,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
     827,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,     0,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4712,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    40,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,    44,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,  1116,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,    49,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,     0,    50,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,   225,   226,
     227,   228,   229,   230,   231,   232,     0,   234,   235,   236,
       0,     0,     0,     0,     0,     0,     0,   237,   238,     0,
     239,   240,   241,     0,   242,   243,   244,   245,   246,     0,
     247,   248,     0,   249,   250,   251,   252,   253,     0,     0,
     254,   255,   256,   257,   258,     0,   259,   260,   261,   262,
     263,     0,     0,     0,   264,   265,   266,   267,   268,     0,
     269,   270,   271,     0,   272,   273,   274,   275,   276,   277,
       0,     0,   278,   279,   280,     0,     0,     0,     0,     0,
       0,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,   315,   316,   317,   318,   319,   320,
       0,   321,     0,   322,   323,   324,   325,     0,   326,     0,
     327,     0,     0,     0,   328,   329,   330,   331,     0,   332,
     333,     0,   334,   335,     0,   336,   337,   338,   339,   340,
       0,   341,   342,   343,   344,     0,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,   354,   355,   356,
     357,   358,     0,   359,     0,   360,     0,     0,   361,     0,
     362,   363,   364,   365,   366,     0,     0,   367,   368,     0,
     369,     0,     0,   370,   371,   372,     0,     0,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,     0,   390,   391,   392,   393,
     394,     0,   395,   396,     0,   397,     0,   398,   399,   400,
     401,   402,   403,     0,   404,   405,     0,     0,   406,   407,
     408,     0,     0,   409,   410,     0,   411,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,     0,
     422,   423,   424,   425,   426,   427,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,     0,   456,   457,     0,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,     0,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,     0,   500,     0,
     501,   502,   503,   504,   505,     0,   506,   507,     0,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,   518,   519,     0,     0,   520,   521,   522,   523,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,     0,
     532,     0,   533,   534,   535,   536,     0,     0,   537,     0,
       0,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,     0,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1314,   225,   226,
     227,   228,   229,   230,   231,   232,     0,   234,   235,   236,
       0,     0,     0,     0,     0,     0,     0,   237,   238,     0,
     239,   240,   241,     0,   242,   243,   244,   245,   246,     0,
     247,   248,     0,   249,   250,   251,   252,   253,     0,     0,
     254,   255,   256,   257,   258,     0,   259,   260,   261,   262,
     263,     0,     0,     0,   264,   265,   266,   267,   268,     0,
     269,   270,   271,     0,   272,   273,   274,   275,   276,   277,
       0,     0,   278,   279,   280,     0,     0,     0,     0,     0,
       0,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,   315,   316,   317,   318,   319,   320,
       0,   321,     0,   322,   323,   324,   325,     0,   326,     0,
     327,     0,     0,     0,   328,   329,   330,   331,     0,   332,
     333,     0,   334,   335,     0,   336,   337,   338,   339,   340,
       0,   341,   342,   343,   344,     0,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,   354,   355,   356,
     357,   358,     0,   359,     0,   360,     0,     0,   361,     0,
     362,   363,   364,   365,   366,     0,     0,   367,   368,     0,
     369,     0,     0,   370,   371,   372,     0,     0,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,     0,   390,   391,   392,   393,
     394,     0,   395,   396,     0,   397,     0,   398,   399,   400,
     401,   402,   403,     0,   404,   405,     0,     0,   406,   407,
     408,     0,     0,   409,   410,     0,   411,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,     0,
     422,   423,   424,   425,   426,   427,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,     0,   456,   457,     0,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,     0,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,     0,   500,     0,
     501,   502,   503,   504,   505,     0,   506,   507,     0,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,   518,   519,     0,     0,   520,   521,   522,   523,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,     0,
     532,     0,   533,   534,   535,   536,     0,     0,   537,     0,
       0,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,     0,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2812,   225,   226,
     227,   228,   229,   230,   231,   232,     0,   234,   235,   236,
       0,     0,     0,     0,     0,     0,     0,   237,   238,     0,
     239,   240,   241,     0,   242,   243,   244,   245,   246,     0,
     247,   248,     0,   249,   250,   251,   252,   253,     0,     0,
     254,   255,   256,   257,   258,     0,   259,   260,   261,   262,
     263,     0,     0,     0,   264,   265,   266,   267,   268,     0,
     269,   270,   271,     0,   272,   273,   274,   275,   276,   277,
       0,     0,   278,   279,   280,     0,     0,     0,     0,     0,
       0,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,   315,   316,   317,   318,   319,   320,
       0,   321,     0,   322,   323,   324,   325,     0,   326,     0,
     327,     0,     0,     0,   328,   329,   330,   331,     0,   332,
     333,     0,   334,   335,     0,   336,   337,   338,   339,   340,
       0,   341,   342,   343,   344,     0,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,   354,   355,   356,
     357,   358,     0,   359,     0,   360,     0,     0,   361,     0,
     362,   363,   364,   365,   366,     0,     0,   367,   368,     0,
     369,     0,     0,   370,   371,   372,     0,     0,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,     0,   390,   391,   392,   393,
     394,     0,   395,   396,     0,   397,     0,   398,   399,   400,
     401,   402,   403,     0,   404,   405,     0,     0,   406,   407,
     408,     0,     0,   409,   410,     0,   411,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,     0,
     422,   423,   424,   425,   426,   427,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,     0,   456,   457,     0,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,     0,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,     0,   500,     0,
     501,   502,   503,   504,   505,     0,   506,   507,     0,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,   518,   519,     0,     0,   520,   521,   522,   523,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,     0,
     532,     0,   533,   534,   535,   536,     0,     0,   537,     0,
       0,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,     0,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3949,   225,   226,
     227,   228,   229,   230,   231,   232,     0,   234,   235,   236,
       0,     0,     0,     0,     0,     0,     0,   237,   238,     0,
     239,   240,   241,     0,   242,   243,   244,   245,   246,     0,
     247,   248,     0,   249,   250,   251,   252,   253,     0,     0,
     254,   255,   256,   257,   258,     0,   259,   260,   261,   262,
     263,     0,     0,     0,   264,   265,   266,   267,   268,     0,
     269,   270,   271,     0,   272,   273,   274,   275,   276,   277,
       0,     0,   278,   279,   280,     0,     0,     0,     0,     0,
       0,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,   315,   316,   317,   318,   319,   320,
       0,   321,     0,   322,   323,   324,   325,     0,   326,     0,
     327,     0,     0,     0,   328,   329,   330,   331,     0,   332,
     333,     0,   334,   335,     0,   336,   337,   338,   339,   340,
       0,   341,   342,   343,   344,     0,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,   354,   355,   356,
     357,   358,     0,   359,     0,   360,     0,     0,   361,     0,
     362,   363,   364,   365,   366,     0,     0,   367,   368,     0,
     369,     0,     0,   370,   371,   372,     0,     0,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,     0,   390,   391,   392,   393,
     394,     0,   395,   396,     0,   397,     0,   398,   399,   400,
     401,   402,   403,     0,   404,   405,     0,     0,   406,   407,
     408,     0,     0,   409,   410,     0,   411,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,     0,
     422,   423,   424,   425,   426,   427,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,     0,   456,   457,     0,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,     0,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,     0,   500,     0,
     501,   502,   503,   504,   505,     0,   506,   507,     0,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,   518,   519,     0,     0,   520,   521,   522,   523,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,     0,
     532,     0,   533,   534,   535,   536,     0,     0,   537,     0,
       0,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,     0,     0,     0,     0,  1034,  1464,   618,     0,
       0,   863,   677,     0,     0,     0,     0,  4397,   864,   865,
     866,   225,   226,   227,   228,   229,   230,   231,   232,  1953,
     234,   235,   236,  1954,  1955,  1956,  1957,  1958,  1959,  1960,
     237,   238,  1961,   239,   240,   241,   805,   242,   243,   244,
       0,  1035,   806,  1036,  1037,  1962,   249,   250,   251,   252,
     253,  1963,  1964,   254,   255,  1038,  1039,   258,  1965,   259,
     260,   261,   262,     0,  1966,   807,  1967,   264,   265,   266,
     267,   268,   808,   269,   270,   271,  1968,   272,   273,   274,
     275,   276,   277,  1969,   809,   278,   279,   280,  1970,  1971,
    1972,   810,  1973,  1974,  1975,   281,   282,   283,   284,   285,
     286,  1040,  1041,   289,  1976,   290,  1977,   291,   292,   293,
     294,   295,   296,  1978,   297,   298,   299,   300,  1979,  1980,
     301,   302,  1042,   304,   305,  1981,   306,   307,   308,  1982,
     309,   310,   311,  1983,   312,   313,   314,   315,     0,   317,
     318,   319,     0,  1984,   321,  1985,   322,   323,  1043,   325,
    1986,   326,  1987,   327,   811,  1988,   812,   328,   329,   330,
     331,  1989,   332,     0,  1990,     0,   335,  1991,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,  1992,   345,
     346,   347,   348,   349,   350,  1993,   351,   814,     0,   353,
     354,   355,   356,  1045,  1046,  1994,  1047,  1995,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,  1996,  1997,
     367,     0,   818,   369,   819,  1998,   370,   371,   372,  1999,
    2000,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1048,   820,  1049,
     391,   392,   393,  3703,  2001,   395,   396,   821,   397,  2002,
       0,   399,  1050,   401,   402,   403,  2003,   404,   405,  2004,
    2005,  3704,   407,   408,  2006,  2007,   409,     0,   822,   411,
     823,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,  2008,   422,   423,     0,   425,     0,   427,   428,
     429,  2009,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1051,   440,   441,   442,   443,  2010,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,  2011,
     456,   457,   824,   458,   459,   460,     0,   462,   463,   464,
     465,   466,   467,   468,   469,   470,  2012,   471,   472,   473,
     474,   475,  2013,   476,   477,  2097,   479,   480,   825,   481,
     482,  1053,   484,  2014,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,  2015,   498,   499,
    2016,   500,   826,   501,   502,   503,   504,   505,  2017,  1054,
    1055,  2018,  2019,   508,   509,     0,   511,     0,  2020,   513,
     514,   515,   516,   517,   518,   519,  2021,  2022,   520,   521,
     522,   523,   524,  2023,  2024,   525,   526,   527,   528,   529,
       0,  1056,  2025,   532,   827,   533,   534,   535,   536,  2026,
    2027,   537,  2028,  2029,   538,   539,   540,   541,   542,   543,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   555,   556,   557,     0,     0,     0,   869,   870,   871,
       0,  3705,  3706,   874,   875,   876,   877,  1034,  1464,   618,
       0,     0,   863,   677,     0,     0,     0,     0,     0,   864,
     865,   866,   225,   226,   227,   228,   229,   230,   231,   232,
    1953,   234,   235,   236,  1954,  1955,  1956,  1957,  1958,  1959,
    1960,   237,   238,  1961,   239,   240,   241,   805,   242,   243,
     244,     0,  1035,   806,  1036,  1037,  1962,   249,   250,   251,
     252,   253,  1963,  1964,   254,   255,  1038,  1039,   258,  1965,
     259,   260,   261,   262,     0,  1966,   807,  1967,   264,   265,
     266,   267,   268,   808,   269,   270,   271,  1968,   272,   273,
     274,   275,   276,   277,  1969,   809,   278,   279,   280,  1970,
    1971,  1972,   810,  1973,  1974,  1975,   281,   282,   283,   284,
     285,   286,  1040,  1041,   289,  1976,   290,  1977,   291,   292,
     293,   294,   295,   296,  1978,   297,   298,   299,   300,  1979,
    1980,   301,   302,  1042,   304,   305,  1981,   306,   307,   308,
    1982,   309,   310,   311,  1983,   312,   313,   314,   315,     0,
     317,   318,   319,     0,  1984,   321,  1985,   322,   323,  1043,
     325,  1986,   326,  1987,   327,   811,  1988,   812,   328,   329,
     330,   331,  1989,   332,     0,  1990,     0,   335,  1991,   336,
     337,   338,   339,   340,   813,   341,   342,   343,   344,  1992,
     345,   346,   347,   348,   349,   350,  1993,   351,   814,     0,
     353,   354,   355,   356,  1045,  1046,  1994,  1047,  1995,   360,
     815,   816,   361,   817,   362,   363,   364,   365,   366,  1996,
    1997,   367,     0,   818,   369,   819,  1998,   370,   371,   372,
    1999,  2000,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,  1048,   820,
    1049,   391,   392,   393,  4134,  2001,   395,   396,   821,   397,
    2002,     0,   399,  1050,   401,   402,   403,  2003,   404,   405,
    2004,  2005,  3704,   407,   408,  2006,  2007,   409,     0,   822,
     411,   823,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,  2008,   422,   423,     0,   425,     0,   427,
     428,   429,  2009,   430,   431,   432,   433,   434,   435,   436,
     437,   438,  1051,   440,   441,   442,   443,  2010,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
    2011,   456,   457,   824,   458,   459,   460,     0,   462,   463,
     464,   465,   466,   467,   468,   469,   470,  2012,   471,   472,
     473,   474,   475,  2013,   476,   477,  2097,   479,   480,   825,
     481,   482,  1053,   484,  2014,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,  2015,   498,
     499,  2016,   500,   826,   501,   502,   503,   504,   505,  2017,
    1054,  1055,  2018,  2019,   508,   509,     0,   511,     0,  2020,
     513,   514,   515,   516,   517,   518,   519,  2021,  2022,   520,
     521,   522,   523,   524,  2023,  2024,   525,   526,   527,   528,
     529,     0,  1056,  2025,   532,   827,   533,   534,   535,   536,
    2026,  2027,   537,  2028,  2029,   538,   539,   540,   541,   542,
     543,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   555,   556,   557,     0,   224,     0,   869,   870,
     871,   863,  3705,  3706,   874,   875,   876,   877,   864,   865,
     866,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     867,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   868,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   224,     0,   869,   870,   871,
     863,   872,   873,   874,   875,   876,   877,   864,   865,   866,
     225,   226,   227,   228,   229,   230,   231,   232,     0,   234,
     235,   236,     0,     0,     0,     0,     0,     0,     0,   237,
     238,     0,   239,   240,   241,     0,   242,   243,   244,   245,
     246,     0,   247,   248,     0,   249,   250,   251,   252,   253,
       0,     0,   254,   255,   256,   257,   258,     0,   259,   985,
     261,   262,   263,     0,     0,     0,   264,   265,   266,   267,
     268,     0,   269,   270,   271,     0,   272,   273,   274,   275,
     276,   277,     0,     0,   278,   279,   280,     0,     0,     0,
       0,     0,     0,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,   315,   316,   317,   318,
     319,   320,     0,   986,     0,   322,   323,   324,   325,     0,
     326,     0,   327,     0,     0,     0,   328,   329,   330,   331,
       0,   332,   333,     0,   334,   335,     0,   336,   337,   338,
     339,   340,     0,   341,   342,   343,   344,     0,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,   353,   354,
     355,   356,   357,   358,     0,   359,     0,   360,     0,     0,
     361,     0,   362,   363,   364,   365,   366,     0,     0,   367,
     368,     0,   369,     0,     0,   370,   371,   372,     0,     0,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,     0,   390,   391,
     392,   393,   394,     0,   395,   396,     0,   397,     0,   398,
     399,   400,   401,   402,   403,     0,   404,   405,     0,     0,
     406,   407,   408,     0,     0,   409,   410,     0,   411,     0,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,     0,   422,   423,   424,   425,   426,   427,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,     0,   456,
     457,     0,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,     0,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,     0,
     500,     0,   501,   502,   503,   504,   505,     0,   506,   507,
       0,     0,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,   518,   519,     0,     0,   520,   521,   522,
     523,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,     0,   532,     0,   533,   534,   535,   536,     0,     0,
     537,     0,     0,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   224,     0,   869,   870,   871,   863,
     872,   873,   874,   875,   876,   877,   864,   865,   866,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,  1084,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,  1085,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
    1086,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   224,     0,   869,   870,   871,   863,   872,
     873,   874,   875,   876,   877,   864,   865,   866,   225,   226,
     227,   228,   229,   230,   231,   232,     0,   234,   235,   236,
       0,     0,     0,     0,     0,     0,     0,   237,   238,     0,
     239,   240,   241,     0,   242,   243,   244,   245,   246,     0,
     247,   248,     0,   249,   250,   251,   252,   253,     0,     0,
     254,   255,   256,   257,   258,     0,   259,  1585,   261,   262,
     263,     0,     0,     0,   264,   265,   266,   267,   268,     0,
     269,   270,   271,     0,   272,   273,   274,   275,   276,   277,
       0,     0,   278,   279,   280,     0,     0,     0,     0,     0,
       0,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,   315,   316,   317,   318,   319,   320,
       0,  1586,     0,   322,   323,   324,   325,     0,   326,     0,
     327,     0,     0,     0,   328,   329,   330,   331,     0,   332,
     333,     0,   334,   335,     0,   336,   337,   338,   339,   340,
       0,   341,   342,   343,   344,     0,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,   353,   354,   355,   356,
     357,   358,     0,   359,     0,   360,     0,     0,   361,     0,
     362,   363,   364,   365,   366,     0,     0,   367,   368,     0,
     369,     0,     0,   370,   371,   372,     0,     0,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,     0,   390,   391,   392,   393,
     394,     0,   395,   396,     0,   397,     0,   398,   399,   400,
     401,   402,   403,     0,   404,   405,     0,     0,   406,   407,
     408,     0,     0,   409,   410,     0,   411,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,     0,
     422,   423,   424,   425,   426,   427,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,     0,   456,   457,     0,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,     0,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,     0,   500,     0,
     501,   502,   503,   504,   505,     0,   506,   507,     0,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,   518,   519,     0,     0,   520,   521,   522,   523,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,     0,
     532,     0,   533,   534,   535,   536,     0,     0,   537,     0,
       0,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   224,     0,   869,   870,   871,   863,   872,   873,
     874,   875,   876,   877,   864,   865,   866,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   224,     0,   869,   870,   871,   863,   872,   873,   874,
     875,   876,   877,   864,   865,   866,   225,   226,   227,   228,
     229,   230,   231,   232,     0,   234,   235,   236,     0,     0,
       0,     0,     0,     0,     0,   237,   238,     0,   239,   240,
     241,     0,   242,   243,   244,   245,   246,     0,   247,   248,
       0,   249,   250,   251,   252,   253,     0,     0,   254,   255,
     256,   257,   258,     0,   259,  2890,   261,   262,   263,     0,
       0,     0,   264,   265,   266,   267,   268,     0,   269,   270,
     271,     0,   272,   273,   274,   275,   276,   277,     0,     0,
     278,   279,   280,     0,     0,     0,     0,     0,     0,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,   315,   316,   317,   318,   319,   320,     0,  2891,
       0,   322,   323,   324,   325,     0,   326,     0,   327,     0,
       0,     0,   328,   329,   330,   331,     0,   332,   333,     0,
     334,   335,     0,   336,   337,   338,   339,   340,     0,   341,
     342,   343,   344,     0,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,   353,   354,   355,   356,   357,   358,
       0,   359,     0,   360,     0,     0,   361,     0,   362,   363,
     364,   365,   366,     0,     0,   367,   368,     0,   369,     0,
       0,   370,   371,   372,     0,     0,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,     0,   390,   391,   392,   393,   394,     0,
     395,   396,     0,   397,     0,   398,   399,   400,   401,   402,
     403,     0,   404,   405,     0,     0,   406,   407,   408,     0,
       0,   409,   410,     0,   411,     0,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,     0,   422,   423,
     424,   425,   426,   427,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,     0,   456,   457,     0,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,     0,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,   484,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,     0,   500,     0,   501,   502,
     503,   504,   505,     0,   506,   507,     0,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,   518,
     519,     0,     0,   520,   521,   522,   523,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,     0,   532,     0,
     533,   534,   535,   536,     0,     0,   537,     0,     0,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     224,     0,   869,   870,   871,   863,   872,   873,   874,   875,
     876,   877,   864,   865,   866,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,  4690,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,  1952,     0,
       0,   869,   870,   871,     0,   872,   873,   874,   875,   876,
     877,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,  1953,   234,   235,   236,  1954,  1955,  1956,  1957,  1958,
    1959,  1960,   237,   238,  1961,   239,   240,   241,   805,   242,
     243,   244,   245,   246,   806,   247,   248,  1962,   249,   250,
     251,   252,   253,  1963,  1964,   254,   255,   256,   257,   258,
    1965,   259,   260,   261,   262,   263,  1966,   807,  1967,   264,
     265,   266,   267,   268,   808,   269,   270,   271,  1968,   272,
     273,   274,   275,   276,   277,  1969,   809,   278,   279,   280,
    1970,  1971,  1972,   810,  1973,  1974,  1975,   281,   282,   283,
     284,   285,   286,   287,   288,   289,  1976,   290,  1977,   291,
     292,   293,   294,   295,   296,  1978,   297,   298,   299,   300,
    1979,  1980,   301,   302,   303,   304,   305,  1981,   306,   307,
     308,  1982,   309,   310,   311,  1983,   312,   313,   314,   315,
     316,   317,   318,   319,   320,  1984,   321,  1985,   322,   323,
     324,   325,  1986,   326,  1987,   327,   811,  1988,   812,   328,
     329,   330,   331,  1989,   332,   333,  1990,   334,   335,  1991,
     336,   337,   338,   339,   340,   813,   341,   342,   343,   344,
    1992,   345,   346,   347,   348,   349,   350,  1993,   351,   814,
     352,   353,   354,   355,   356,   357,   358,  1994,   359,  1995,
     360,   815,   816,   361,   817,   362,   363,   364,   365,   366,
    1996,  1997,   367,   368,   818,   369,   819,  1998,   370,   371,
     372,  1999,  2000,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     820,   390,   391,   392,   393,   394,  2001,   395,   396,   821,
     397,  2002,   398,   399,   400,   401,   402,   403,  2003,   404,
     405,  2004,  2005,   406,   407,   408,  2006,  2007,   409,   410,
     822,   411,   823,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,  2008,   422,   423,   424,   425,   426,
     427,   428,   429,  2009,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,  2010,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,  2011,   456,   457,   824,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,  2012,   471,
     472,   473,   474,   475,  2013,   476,   477,   478,   479,   480,
     825,   481,   482,   483,   484,  2014,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  2015,
     498,   499,  2016,   500,   826,   501,   502,   503,   504,   505,
    2017,   506,   507,  2018,  2019,   508,   509,   510,   511,   512,
    2020,   513,   514,   515,   516,   517,   518,   519,  2021,  2022,
     520,   521,   522,   523,   524,  2023,  2024,   525,   526,   527,
     528,   529,   530,   531,  2025,   532,   827,   533,   534,   535,
     536,  2026,  2027,   537,  2028,  2029,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,  2030,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,   774,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,  1034,     0,     0,     0,     0,     0,     0,     0,
       0,  5077,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,   805,   242,   243,   244,     0,  1035,   806,  1036,
    1037,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,  1038,  1039,   258,     0,   259,   260,   261,   262,     0,
       0,   807,     0,   264,   265,   266,   267,   268,   808,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
     809,   278,   279,   280,     0,     0,     0,   810,     0,     0,
       0,   281,   282,   283,   284,   285,   286,  1040,  1041,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,  1042,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,     0,   317,   318,   319,     0,     0,
     321,     0,   322,   323,  1043,   325,     0,   326,     0,   327,
     811,     0,   812,   328,   329,   330,   331,     0,   332,     0,
       0,     0,   335,     0,   336,   337,   338,   339,   340,   813,
     341,   342,   343,   344,  2093,   345,   346,   347,   348,   349,
     350,     0,   351,   814,  2094,   353,   354,   355,   356,  1045,
    1046,     0,  1047,     0,   360,   815,   816,   361,   817,   362,
     363,   364,   365,   366,     0,     0,   367,     0,   818,   369,
     819,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,  1048,   820,  1049,   391,   392,   393,     0,
       0,   395,   396,   821,   397,     0,     0,   399,  1050,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,  2095,   409,  2096,   822,   411,   823,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,     0,   425,     0,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,  1051,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   824,   458,
     459,   460,     0,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,  2097,   479,   480,   825,   481,   482,  1053,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,     0,   498,   499,     0,   500,   826,   501,
     502,   503,   504,   505,     0,  1054,  1055,     0,     0,   508,
     509,     0,   511,     0,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,     0,  1056,  2098,   532,
     827,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,  2389,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   555,   556,   557,
       0,   225,   226,   227,   228,   229,   230,   231,   232,  2099,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
       0,  1035,   806,  1036,  1037,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,  1038,  1039,   258,     0,   259,
     260,   261,   262,     0,     0,   807,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,     0,     0,
       0,   810,     0,     0,     0,   281,   282,   283,   284,   285,
     286,  1040,  1041,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,     0,   317,
     318,   319,     0,     0,   321,     0,   322,   323,  1043,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,     0,     0,     0,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,  2093,   345,
     346,   347,   348,   349,   350,     0,   351,   814,  2094,   353,
     354,   355,   356,  1045,  1046,     0,  1047,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,     0,   818,   369,   819,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1048,   820,  1049,
     391,   392,   393,     0,     0,   395,   396,   821,   397,     0,
       0,   399,  1050,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,  2095,   409,  2096,   822,   411,
     823,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,     0,   425,     0,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1051,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,     0,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,  2097,   479,   480,   825,   481,
     482,  1053,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1054,
    1055,     0,     0,   508,   509,     0,   511,     0,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
       0,  1056,  2098,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     849,  1464,   618,     0,     0,     0,   677,     0,     0,     0,
       0,   555,   556,   557,     0,   225,   226,   227,   228,   229,
     230,   231,   232,  2099,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,   245,   246,   806,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,   807,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,     0,     0,     0,   810,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,  1941,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,  1765,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,   368,   818,   369,   819,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   820,   390,   391,   392,   393,   394,     0,   395,
     396,   821,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,  1766,     0,   406,   407,   408,     0,     0,
     409,   410,   822,   411,   823,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   825,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,  1767,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   849,  1464,
     618,     0,     0,     0,   677,  1465,  1466,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,   805,   242,
     243,   244,   245,   246,   806,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,   807,     0,   264,
     265,   266,   267,   268,   808,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,   809,   278,   279,   280,
       0,     0,     0,   810,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,  1946,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,  1765,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,   811,     0,   812,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,   813,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,   814,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,   815,   816,   361,   817,   362,   363,   364,   365,   366,
       0,     0,   367,   368,   818,   369,   819,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     820,   390,   391,   392,   393,   394,     0,   395,   396,   821,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,  1766,     0,   406,   407,   408,     0,     0,   409,   410,
     822,   411,   823,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   824,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     825,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,   826,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
    1767,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,   827,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   849,  1464,   618,     0,
       0,     0,   677,  1465,  1466,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,   246,   806,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,   807,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,     0,     0,
       0,   810,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,  1765,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,   368,   818,   369,   819,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   820,   390,
     391,   392,   393,   394,     0,   395,   396,   821,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,  1766,
       0,   406,   407,   408,     0,     0,   409,   410,   822,   411,
     823,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   825,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,  1767,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   849,     0,   618,     0,     0,     0,
     677,  1465,  1466,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,   805,   242,   243,   244,   245,   246,
     806,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,   807,     0,   264,   265,   266,   267,   268,
     808,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,   809,   278,   279,   280,     0,     0,     0,   810,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,  2844,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,  1765,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,   811,     0,   812,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,   813,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,   814,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,   815,   816,   361,
     817,   362,   363,   364,   365,   366,     0,     0,   367,   368,
     818,   369,   819,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   820,   390,   391,   392,
     393,   394,     0,   395,   396,   821,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,  1766,     0,   406,
     407,   408,     0,     0,   409,   410,   822,   411,   823,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     824,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   825,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
     826,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,  1767,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,   827,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,   677,   689,
     690,     0,     0,     0,     0,     0,     0,   225,   678,   227,
     228,   229,   230,   231,   232,   679,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   680,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   681,   324,   325,     0,   326,     0,   682,
       0,   683,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,   684,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   685,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   686,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   687,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   688,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
    1952,  5272,   618,     0,     0,     0,   677,   689,   690,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,  1953,   234,   235,   236,  1954,  1955,  1956,
    1957,  1958,  1959,  1960,   237,   238,  1961,   239,   240,   241,
     805,   242,   243,   244,   245,   246,   806,   247,   248,  1962,
     249,   250,   251,   252,   253,  1963,  1964,   254,   255,   256,
     257,   258,  1965,   259,   260,   261,   262,   263,  1966,   807,
    1967,   264,   265,   266,   267,   268,   808,   269,   270,   271,
    1968,   272,   273,   274,   275,   276,   277,  1969,   809,   278,
     279,   280,  1970,  1971,  1972,   810,  1973,  1974,  1975,   281,
     282,   283,   284,   285,   286,   287,   288,   289,  1976,   290,
    1977,   291,   292,   293,   294,   295,   296,  1978,   297,   298,
     299,   300,  1979,  1980,   301,   302,   303,   304,   305,  1981,
     306,   307,   308,  1982,   309,   310,   311,  1983,   312,   313,
     314,   315,   316,   317,   318,   319,   320,  1984,   321,  1985,
     322,   323,   324,   325,  1986,   326,  1987,   327,   811,  1988,
     812,   328,   329,   330,   331,  1989,   332,   333,  1990,   334,
     335,  1991,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,  1992,   345,   346,   347,   348,   349,   350,  1993,
     351,   814,   352,   353,   354,   355,   356,   357,   358,  1994,
     359,  1995,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,  1996,  1997,   367,   368,   818,   369,   819,  1998,
     370,   371,   372,  1999,  2000,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   820,   390,   391,   392,   393,   394,  2001,   395,
     396,   821,   397,  2002,   398,   399,   400,   401,   402,   403,
    2003,   404,   405,  2004,  2005,   406,   407,   408,  2006,  2007,
     409,   410,   822,   411,   823,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,  2008,   422,   423,   424,
     425,   426,   427,   428,   429,  2009,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
    2010,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,  2011,   456,   457,   824,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
    2012,   471,   472,   473,   474,   475,  2013,   476,   477,   478,
     479,   480,   825,   481,   482,   483,   484,  2014,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,  2015,   498,   499,  2016,   500,   826,   501,   502,   503,
     504,   505,  2017,   506,   507,  2018,  2019,   508,   509,   510,
     511,   512,  2020,   513,   514,   515,   516,   517,   518,   519,
    2021,  2022,   520,   521,   522,   523,   524,  2023,  2024,   525,
     526,   527,   528,   529,   530,   531,  2025,   532,   827,   533,
     534,   535,   536,  2026,  2027,   537,  2028,  2029,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,  1952,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,  1953,   234,   235,   236,  1954,  1955,  1956,  1957,  1958,
    1959,  1960,   237,   238,  1961,   239,   240,   241,   805,   242,
     243,   244,   245,   246,   806,   247,   248,  1962,   249,   250,
     251,   252,   253,  1963,  1964,   254,   255,   256,   257,   258,
    1965,   259,   260,   261,   262,   263,  1966,   807,  1967,   264,
     265,   266,   267,   268,   808,   269,   270,   271,  1968,   272,
     273,   274,   275,   276,   277,  1969,   809,   278,   279,   280,
    1970,  1971,  1972,   810,  1973,  1974,  1975,   281,   282,   283,
     284,   285,   286,   287,   288,   289,  1976,   290,  1977,   291,
     292,   293,   294,   295,   296,  1978,   297,   298,   299,   300,
    1979,  1980,   301,   302,   303,   304,   305,  1981,   306,   307,
     308,  1982,   309,   310,   311,  1983,   312,   313,   314,   315,
     316,   317,   318,   319,   320,  1984,   321,  1985,   322,   323,
     324,   325,  1986,   326,  1987,   327,   811,  1988,   812,   328,
     329,   330,   331,  1989,   332,   333,  1990,   334,   335,  1991,
     336,   337,   338,   339,   340,   813,   341,   342,   343,   344,
    1992,   345,   346,   347,   348,   349,   350,  1993,   351,   814,
     352,   353,   354,   355,   356,   357,   358,  1994,   359,  1995,
     360,   815,   816,   361,   817,   362,   363,   364,   365,   366,
    1996,  1997,   367,   368,   818,   369,   819,  1998,   370,   371,
     372,  1999,  2000,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     820,   390,   391,   392,   393,   394,  2001,   395,   396,   821,
     397,  2002,   398,   399,   400,   401,   402,   403,  2003,   404,
     405,  2004,  2005,   406,   407,   408,  2006,  2007,   409,   410,
     822,   411,   823,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,  2008,   422,   423,   424,   425,   426,
     427,   428,   429,  2009,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,  2010,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,  2011,   456,   457,   824,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,  2012,   471,
     472,   473,   474,   475,  2013,   476,   477,   478,   479,   480,
     825,   481,   482,   483,   484,  2014,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  2015,
     498,   499,  2016,   500,   826,   501,   502,   503,   504,   505,
    2017,   506,   507,  2018,  2019,   508,   509,   510,   511,   512,
    2020,   513,   514,   515,   516,   517,   518,   519,  2021,  2022,
     520,   521,   522,   523,   524,  2023,  2024,   525,   526,   527,
     528,   529,   530,   531,  2025,   532,   827,   533,   534,   535,
     536,  2026,  2027,   537,  2028,  2029,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,  1952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,  2958,   230,   231,   232,  1953,
     234,   235,   236,  1954,  1955,  1956,  1957,  1958,  1959,  1960,
     237,   238,  1961,   239,   240,   241,   805,   242,   243,   244,
     245,   246,   806,   247,   248,  1962,   249,   250,   251,   252,
     253,  1963,  1964,   254,   255,   256,   257,   258,  1965,   259,
     260,   261,   262,   263,  1966,   807,  1967,   264,   265,   266,
     267,   268,   808,   269,   270,   271,  1968,   272,   273,   274,
     275,   276,   277,  1969,   809,   278,   279,   280,  1970,  1971,
    1972,   810,  1973,  1974,  1975,   281,   282,   283,   284,   285,
     286,   287,   288,   289,  1976,   290,  1977,   291,   292,   293,
     294,   295,   296,  1978,   297,   298,   299,   300,  1979,  1980,
     301,   302,   303,  2959,   305,  1981,   306,   307,   308,  1982,
     309,   310,   311,  1983,   312,   313,   314,   315,   316,   317,
     318,   319,   320,  1984,   321,  1985,   322,   323,   324,   325,
    1986,   326,  1987,   327,   811,  1988,   812,   328,   329,   330,
     331,  1989,   332,   333,  1990,   334,   335,  1991,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,  1992,   345,
     346,   347,   348,   349,   350,  1993,   351,   814,   352,   353,
     354,   355,   356,   357,   358,  1994,   359,  1995,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,  1996,  1997,
     367,   368,   818,   369,   819,  1998,   370,   371,   372,  1999,
    2000,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   820,   390,
     391,   392,   393,   394,  2001,   395,   396,   821,   397,  2002,
     398,   399,   400,   401,   402,   403,  2003,   404,   405,  2004,
    2005,   406,   407,   408,  2006,  2007,   409,   410,   822,   411,
     823,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,  2008,   422,   423,   424,   425,   426,   427,   428,
     429,  2009,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,  2010,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,  2011,
     456,   457,   824,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,  2012,   471,   472,   473,
     474,   475,  2013,  2960,   477,   478,   479,   480,   825,   481,
     482,   483,   484,  2014,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,  2015,   498,   499,
    2016,   500,   826,   501,   502,   503,   504,   505,  2017,   506,
     507,  2018,  2019,   508,   509,   510,   511,   512,  2020,   513,
     514,   515,   516,   517,   518,   519,  2021,  2022,   520,   521,
     522,   523,   524,  2023,  2024,   525,   526,   527,   528,   529,
     530,   531,  2025,   532,   827,   533,   534,   535,   536,  2026,
    2027,   537,  2028,  2029,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   804,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,   805,   242,   243,   244,   245,   246,
     806,   247,   248,     0,   249,   250,   251,   252,   253,     0,
    1195,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,  1198,     0,  1199,     0,   264,   265,   266,   267,   268,
     808,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,   809,   278,   279,   280,  1200,  1201,  1202,  1203,
    1204,  1205,  1206,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
    1211,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,   811,     0,   812,   328,   329,   330,   331,     0,
     332,  1214,     0,   334,   335,     0,   336,   337,   338,   339,
     340,   813,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,   814,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,   815,   816,   361,
     817,   362,   363,   364,   365,   366,     0,     0,   367,  1219,
     818,   369,   819,     0,   370,   371,   372,  1220,  1221,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   820,   390,   391,   392,
     393,   394,     0,   395,   396,   821,   397,     0,  1226,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,   822,   411,   823,  1229,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,  1230,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     824,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
    1233,   476,   477,   478,   479,   480,   825,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,  1235,     0,   498,   499,     0,   500,
     826,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,  1238,   511,  1239,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,  1242,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,   827,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,  1244,
    1245,  1246,  1247,   549,  1248,  1249,  1250,  1251,   554,   555,
     556,   557,   849,     0,   618,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,   805,   242,   243,   244,   245,   246,   806,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,   807,     0,   264,   265,   266,   267,   268,   808,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
     809,   278,   279,   280,     0,     0,     0,   810,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,  1765,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
     811,     0,   812,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,   813,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,   814,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,   815,   816,   361,   817,   362,
     363,   364,   365,   366,     0,     0,   367,   368,   818,   369,
     819,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   820,   390,   391,   392,   393,   394,
       0,   395,   396,   821,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,  1766,     0,   406,   407,   408,
       0,     0,   409,   410,   822,   411,   823,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   824,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   825,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,   826,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,  1767,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
     827,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     849,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,   886,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,   245,   246,   806,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,   807,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,     0,     0,     0,   810,     0,     0,   850,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,   368,   818,   369,   819,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   820,   390,   391,   392,   393,   394,     0,   395,
     396,   821,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,   822,   411,   823,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,   851,   476,   477,   478,
     479,   480,   825,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   849,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,   905,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,   805,   242,
     243,   244,   245,   246,   806,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,   807,     0,   264,
     265,   266,   267,   268,   808,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,   809,   278,   279,   280,
       0,     0,     0,   810,     0,     0,   850,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,   811,     0,   812,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,   813,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,   814,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,   815,   816,   361,   817,   362,   363,   364,   365,   366,
       0,     0,   367,   368,   818,   369,   819,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   906,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     820,   390,   391,   392,   393,   394,     0,   395,   396,   821,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
     822,   411,   823,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   824,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,   851,   476,   477,   478,   479,   480,
     825,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,   826,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,   827,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   849,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,   246,   806,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,   807,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,     0,     0,
       0,   810,     0,     0,   850,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,   368,   818,   369,   819,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   820,   390,
     391,   392,   393,   394,     0,   395,   396,   821,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,   822,   411,
     823,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,   851,   476,   477,   478,   479,   480,   825,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,  2345,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   849,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,   805,   242,   243,   244,   245,   246,
     806,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,   807,     0,   264,   265,   266,   267,   268,
     808,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,   809,   278,   279,   280,     0,     0,     0,   810,
       0,     0,   850,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,   811,     0,   812,   328,   329,   330,   331,     0,
     332,   333,  3284,   334,   335,     0,   336,   337,   338,   339,
     340,   813,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,   814,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,   815,   816,   361,
     817,   362,   363,   364,   365,   366,     0,     0,   367,   368,
     818,   369,   819,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   820,   390,   391,   392,
     393,   394,     0,   395,   396,   821,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,   822,   411,   823,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     824,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
     851,   476,   477,   478,   479,   480,   825,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
     826,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,   827,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   849,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,   805,   242,   243,   244,   245,   246,   806,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,   807,     0,   264,   265,   266,   267,   268,   808,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
     809,   278,   279,   280,     0,     0,     0,   810,     0,     0,
     850,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
     811,     0,   812,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,   813,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,   814,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,   815,   816,   361,   817,   362,
     363,   364,   365,   366,     0,     0,   367,   368,   818,   369,
     819,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   820,   390,   391,   392,   393,   394,
       0,   395,   396,   821,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,   822,   411,   823,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   824,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,   851,   476,
     477,   478,   479,   480,   825,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,   826,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
     827,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     849,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,   245,   246,   806,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,   807,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,     0,     0,     0,   810,     0,     0,   850,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,   368,   818,   369,   819,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,  1004,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   820,   390,   391,   392,   393,   394,     0,   395,
     396,   821,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,   822,   411,   823,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,   851,   476,   477,   478,
     479,   480,   825,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   849,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,   805,   242,
     243,   244,   245,   246,   806,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,   807,     0,   264,
     265,   266,   267,   268,   808,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,   809,   278,   279,   280,
       0,     0,     0,   810,     0,     0,   850,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,   811,     0,   812,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,  1079,   813,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,   814,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,   815,   816,   361,   817,   362,   363,   364,   365,   366,
       0,     0,   367,   368,   818,   369,   819,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     820,   390,   391,   392,   393,   394,     0,   395,   396,   821,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
     822,   411,   823,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   824,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,   851,   476,   477,   478,   479,   480,
     825,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,   826,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,   827,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   849,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,   246,   806,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,   807,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,     0,     0,
       0,   810,     0,     0,   850,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,  1090,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,   368,   818,   369,   819,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   820,   390,
     391,   392,   393,   394,     0,   395,   396,   821,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,   822,   411,
     823,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,   851,   476,   477,   478,   479,   480,   825,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   849,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,   805,   242,   243,   244,   245,   246,
     806,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,   807,     0,   264,   265,   266,   267,   268,
     808,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,   809,   278,   279,   280,     0,     0,     0,   810,
       0,     0,   850,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,   811,     0,   812,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
    1100,   813,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,   814,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,   815,   816,   361,
     817,   362,   363,   364,   365,   366,     0,     0,   367,   368,
     818,   369,   819,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,  1101,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   820,   390,   391,   392,
     393,   394,     0,   395,   396,   821,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,   822,   411,   823,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     824,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
     851,   476,   477,   478,   479,   480,   825,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
     826,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,   827,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   849,     0,   618,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,   805,   242,   243,   244,   245,   246,   806,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,   807,     0,   264,   265,   266,   267,   268,   808,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
     809,   278,   279,   280,     0,     0,     0,   810,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
    1926,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
     811,     0,   812,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,   813,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,   814,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,   815,   816,   361,   817,   362,
     363,   364,   365,   366,     0,     0,   367,   368,   818,   369,
     819,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   820,   390,   391,   392,   393,   394,
       0,   395,   396,   821,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,   822,   411,   823,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   824,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   825,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,   826,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
     827,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     849,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     3,     4,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,   245,   246,   806,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,   807,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,     0,     0,     0,   810,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,   368,   818,   369,   819,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   820,   390,   391,   392,   393,   394,     0,   395,
     396,   821,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,   822,   411,   823,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   825,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   849,     0,
     618,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,   805,   242,
     243,   244,   245,   246,   806,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,   807,     0,   264,
     265,   266,   267,   268,   808,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,   809,   278,   279,   280,
       0,     0,     0,   810,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,   811,     0,   812,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,   813,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,   814,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,   815,   816,   361,   817,   362,   363,   364,   365,   366,
       0,     0,   367,   368,   818,   369,   819,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     820,   390,   391,   392,   393,   394,     0,   395,   396,   821,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
     822,   411,   823,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   824,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     825,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,   826,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,   827,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   849,     0,   618,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
     245,   246,   806,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,   807,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,     0,     0,
       0,   810,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,  1751,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,   368,   818,   369,   819,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   820,   390,
     391,   392,   393,   394,     0,   395,   396,   821,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,   822,   411,
     823,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   825,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   804,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,   805,   242,   243,   244,   245,   246,
     806,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,   807,     0,   264,   265,   266,   267,   268,
     808,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,   809,   278,   279,   280,     0,     0,     0,   810,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,   811,     0,   812,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,   813,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,   814,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,   815,   816,   361,
     817,   362,   363,   364,   365,   366,     0,     0,   367,   368,
     818,   369,   819,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   820,   390,   391,   392,
     393,   394,     0,   395,   396,   821,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,   822,   411,   823,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     824,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   825,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
     826,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,   827,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   804,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,   805,   242,   243,   244,   245,   246,   806,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,   807,     0,   264,   265,   266,   267,   268,   808,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
     809,   278,   279,   280,     0,     0,     0,   810,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
     811,     0,   812,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,  1026,   813,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,   814,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,   815,   816,   361,   817,   362,
     363,   364,   365,   366,     0,     0,   367,   368,   818,   369,
     819,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   820,   390,   391,   392,   393,   394,
       0,   395,   396,   821,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,   822,   411,   823,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   824,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   825,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,   826,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
     827,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     804,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,   245,   246,   806,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,   807,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,     0,     0,     0,   810,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,  1076,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,   368,   818,   369,   819,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   820,   390,   391,   392,   393,   394,     0,   395,
     396,   821,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,   822,   411,   823,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   825,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
    2133,   259,   260,   261,   262,   263,     0,     0,  2210,   264,
     265,   266,   267,   268,     0,   269,   270,   271,  2134,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,  2211,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,  2136,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,  2212,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,  2137,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,  2138,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,  2133,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,  2134,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,  2211,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,  2136,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,  3148,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,  2137,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,  2138,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   737,   231,   232,   696,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,   697,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,   738,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   698,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   699,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,   696,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,   697,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,  2851,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   698,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   699,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,  2133,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
    2134,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,  2211,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,  2136,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,  2137,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,  2138,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,   696,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,   697,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   698,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   699,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,  1792,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,  1793,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,  1794,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,  1795,   327,     0,     0,     0,  1796,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,  1797,  1798,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
    1799,   466,   467,   468,   469,   470,     0,  1800,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
    1801,   500,     0,  1802,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,  1803,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,   697,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   698,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   699,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,   898,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   899,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,   769,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     3,     4,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,  2939,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,  2940,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,  2952,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,  2953,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,   609,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   610,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,   729,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   730,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   731,   507,     0,     0,   732,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,   763,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   764,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   765,   507,     0,     0,   766,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
     769,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,   858,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     859,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,  1018,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,   729,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,  1159,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,  1289,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,  1300,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   749,   255,   256,   257,  1301,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   752,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   753,   459,   460,   461,   462,   463,   464,   754,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,  1293,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   756,   507,     0,
       0,   757,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   758,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,  1412,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,   769,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,  1469,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,  1470,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,  2742,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
    2743,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,  2744,   500,     0,   501,  2745,   503,  2746,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,  2747,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,   618,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,  3970,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,  3984,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   340,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   715,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   727,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   749,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   750,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   751,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   752,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   753,   459,   460,   461,   462,   463,   464,   754,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   755,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   756,   507,     0,
       0,   757,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   758,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     780,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   883,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   891,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   909,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     969,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   975,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,   992,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   995,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   997,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
    1032,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,  1092,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,  1094,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,  1104,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,  1107,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
    1110,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   749,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   752,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   753,
     459,   460,   461,   462,   463,   464,   754,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,  1293,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   756,   507,     0,     0,   757,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   758,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,  1617,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,  1655,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,  1657,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
    1727,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,  1729,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,  1731,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,   340,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,  1826,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,  2086,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,   340,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,     0,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   749,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
     340,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   752,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   753,   459,   460,   461,   462,   463,   464,   754,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,  1293,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,  2120,   502,   503,   504,   505,     0,   756,   507,     0,
       0,   757,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   758,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   749,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   752,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   753,
     459,   460,   461,   462,   463,   464,  2195,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,  2196,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   756,   507,     0,     0,  2197,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   758,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,  2469,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,  2473,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,  2542,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
    2862,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   749,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   752,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   753,
     459,   460,   461,   462,   463,   464,   754,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,  2196,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   756,   507,     0,     0,  2197,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   758,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,  2929,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,     0,   242,
     243,   244,   245,   246,     0,   247,   248,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,   256,   257,   258,
       0,   259,   260,   261,   262,   263,     0,     0,     0,   264,
     265,   266,   267,   268,     0,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,     0,   278,   279,   280,
       0,     0,     0,     0,     0,     0,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,   321,     0,   322,   323,
     324,   325,     0,   326,     0,   327,     0,     0,     0,   328,
     329,   330,   331,     0,   332,   333,     0,   334,   335,     0,
     336,   337,   338,   339,  2942,     0,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,   353,   354,   355,   356,   357,   358,     0,   359,     0,
     360,     0,     0,   361,     0,   362,   363,   364,   365,   366,
       0,     0,   367,   368,     0,   369,     0,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
       0,   390,   391,   392,   393,   394,     0,   395,   396,     0,
     397,     0,   398,   399,   400,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,   410,
       0,   411,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,   424,   425,   426,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,     0,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,     0,   500,     0,   501,   502,   503,   504,   505,
       0,   506,   507,     0,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,     0,   532,     0,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,     0,   242,   243,   244,
     245,   246,     0,   247,   248,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,   256,   257,   258,     0,   259,
     260,   261,   262,   263,     0,     0,     0,   264,   265,   266,
     267,   268,     0,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,     0,   278,   279,   280,     0,     0,
       0,     0,     0,     0,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,   321,     0,   322,   323,   324,   325,
       0,   326,     0,   327,     0,     0,     0,   328,   329,   330,
     331,     0,   332,   333,     0,   334,   335,     0,   336,   337,
     338,   339,  2944,     0,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,   353,
     354,   355,   356,   357,   358,     0,   359,     0,   360,     0,
       0,   361,     0,   362,   363,   364,   365,   366,     0,     0,
     367,   368,     0,   369,     0,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,     0,   390,
     391,   392,   393,   394,     0,   395,   396,     0,   397,     0,
     398,   399,   400,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,   410,     0,   411,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,     0,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
       0,   500,     0,   501,   502,   503,   504,   505,     0,   506,
     507,     0,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,     0,   532,     0,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,     0,   242,   243,   244,   245,   246,
       0,   247,   248,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,   256,   257,   258,     0,   259,   260,   261,
     262,   263,     0,     0,     0,   264,   265,   266,   267,   268,
       0,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,     0,   278,   279,   280,     0,     0,     0,     0,
       0,     0,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   321,     0,   322,   323,   324,   325,     0,   326,
       0,   327,     0,     0,     0,   328,   329,   330,   331,     0,
     332,   333,     0,   334,   335,     0,   336,   337,   338,   339,
    3079,     0,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,   353,   354,   355,
     356,   357,   358,     0,   359,     0,   360,     0,     0,   361,
       0,   362,   363,   364,   365,   366,     0,     0,   367,   368,
       0,   369,     0,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,     0,   390,   391,   392,
     393,   394,     0,   395,   396,     0,   397,     0,   398,   399,
     400,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,   410,     0,   411,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,   424,   425,   426,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
       0,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,     0,   500,
       0,   501,   502,   503,   504,   505,     0,   506,   507,     0,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
       0,   532,     0,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,  3104,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,   245,   246,     0,   247,   248,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,   256,
     257,   258,     0,   259,   260,   261,   262,   263,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,   321,     0,
     322,   323,   324,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,   333,     0,   334,
     335,     0,   336,   337,   338,   339,  4249,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,   353,   354,   355,   356,   357,   358,     0,
     359,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,   368,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,     0,   390,   391,   392,   393,   394,     0,   395,
     396,     0,   397,     0,   398,   399,   400,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,   410,     0,   411,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,   424,
     425,   426,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,   506,   507,     0,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,  1034,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,   805,   242,
     243,   244,     0,  1035,   806,  1036,  1037,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,  1038,  1039,   258,
       0,   259,   260,   261,   262,     0,     0,   807,     0,   264,
     265,   266,   267,   268,   808,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,   809,   278,   279,   280,
       0,     0,     0,   810,     0,     0,     0,   281,   282,   283,
     284,   285,   286,  1040,  1041,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,  1042,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
       0,   317,   318,   319,     0,     0,   321,     0,   322,   323,
    1043,   325,     0,   326,     0,   327,   811,     0,   812,   328,
     329,   330,   331,     0,   332,     0,     0,     0,   335,     0,
     336,   337,   338,   339,   340,   813,   341,   342,   343,   344,
    2093,   345,   346,   347,   348,   349,   350,     0,   351,   814,
    2094,   353,   354,   355,   356,  1045,  1046,     0,  1047,     0,
     360,   815,   816,   361,   817,   362,   363,   364,   365,   366,
       0,     0,   367,     0,   818,   369,   819,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,  1048,
     820,  1049,   391,   392,   393,     0,     0,   395,   396,   821,
     397,     0,     0,   399,  1050,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,  2096,
     822,   411,   823,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,     0,   425,     0,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,  1051,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   824,   458,   459,   460,     0,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,  2097,   479,   480,
     825,   481,   482,  1053,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
     498,   499,     0,   500,   826,   501,   502,   503,   504,   505,
       0,  1054,  1055,     0,     0,   508,   509,     0,   511,     0,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,     0,  1056,  2098,   532,   827,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   555,   556,   557,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,     0,   242,   243,   244,   245,   246,     0,   247,
     248,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,   256,   257,   258,     0,   259,   260,   261,   262,   263,
       0,     0,     0,   264,   265,   266,   267,   268,     0,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
       0,   278,   279,   280,     0,     0,     0,     0,     0,     0,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     321,     0,   322,   323,   324,   325,     0,   326,     0,   327,
       0,     0,     0,   328,   329,   330,   331,     0,   332,   333,
       0,   334,   335,     0,   336,   337,   338,   339,   340,     0,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,   353,   354,   355,   356,   357,
     358,     0,   359,     0,   360,     0,     0,   361,     0,   362,
     363,   364,   365,   366,     0,     0,   367,   368,     0,   369,
       0,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,     0,   390,   391,   392,   393,   394,
       0,   395,   396,     0,   397,     0,   398,   399,   400,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,   410,     0,   411,     0,   412,   413,   414,
     415,   416,   417,   418,     0,   420,   421,     0,     0,   422,
     423,   424,   425,   426,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,     0,   458,
     459,   460,   461,     0,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,     0,   500,     0,   501,
     502,   503,   504,   505,     0,   506,   507,     0,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,     0,   532,
       0,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
    1034,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,     0,  1035,   806,  1036,  1037,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,  1038,
    1039,   258,     0,   259,   260,   261,   262,     0,     0,   807,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,     0,     0,     0,   810,     0,     0,     0,   281,
     282,   283,   284,   285,   286,  1040,  1041,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,  1042,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,     0,   317,   318,   319,     0,     0,   321,     0,
     322,   323,  1043,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,     0,     0,     0,
     335,     0,   336,   337,   338,   339,   340,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,     0,   353,   354,   355,   356,  1045,  1046,     0,
    1047,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,     0,   818,   369,   819,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,  1048,   820,  1049,   391,   392,   393,     0,     0,   395,
     396,   821,   397,  2191,     0,   399,  1050,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,     0,   822,   411,   823,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,     0,
     425,     0,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,  1051,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
       0,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,  2097,
     479,   480,   825,   481,   482,  1053,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,     0,   498,   499,  3810,   500,   826,   501,   502,   503,
     504,   505,     0,  1054,  1055,     0,     0,   508,   509,     0,
     511,     0,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,     0,  1056,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,  1034,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   555,   556,   557,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,   805,   242,   243,   244,     0,  1035,
     806,  1036,  1037,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,  1038,  1039,   258,     0,   259,   260,   261,
     262,     0,     0,   807,     0,   264,   265,   266,   267,   268,
     808,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,   809,   278,   279,   280,     0,     0,     0,   810,
       0,     0,     0,   281,   282,   283,   284,   285,   286,  1040,
    1041,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
    1042,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,     0,   317,   318,   319,
       0,     0,   321,     0,   322,   323,  1043,   325,     0,   326,
       0,   327,   811,     0,   812,   328,   329,   330,   331,     0,
     332,     0,     0,     0,   335,     0,   336,   337,   338,   339,
     340,   813,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,   814,     0,   353,   354,   355,
     356,  1045,  1046,     0,  1047,     0,   360,   815,   816,   361,
     817,   362,   363,   364,   365,   366,     0,     0,   367,     0,
     818,   369,   819,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,  1048,   820,  1049,   391,   392,
     393,  2262,     0,   395,   396,   821,   397,     0,     0,   399,
    1050,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,     0,   822,   411,   823,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,     0,   425,     0,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,  1051,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     824,   458,   459,   460,     0,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,  1052,   479,   480,   825,   481,   482,  1053,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,     0,   498,   499,     0,   500,
     826,   501,   502,   503,   504,   505,     0,  1054,  1055,     0,
       0,   508,   509,     0,   511,     0,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,     0,  1056,
       0,   532,   827,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,  1034,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   555,
     556,   557,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,   805,   242,
     243,   244,     0,  1035,   806,  1036,  1037,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,  1038,  1039,   258,
       0,   259,   260,   261,   262,     0,     0,   807,     0,   264,
     265,   266,   267,   268,   808,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,   809,   278,   279,   280,
       0,     0,     0,   810,     0,     0,     0,   281,   282,   283,
     284,   285,   286,  1040,  1041,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,  1042,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
       0,   317,   318,   319,     0,     0,   321,     0,   322,   323,
    1043,   325,     0,   326,     0,   327,   811,     0,   812,   328,
     329,   330,   331,     0,   332,     0,     0,     0,   335,     0,
     336,   337,   338,   339,   340,   813,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,   814,
       0,   353,   354,   355,   356,  1045,  1046,     0,  1047,     0,
     360,   815,   816,   361,   817,   362,   363,   364,   365,   366,
       0,     0,   367,     0,   818,   369,   819,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,  1048,
     820,  1049,   391,   392,   393,  3625,     0,   395,   396,   821,
     397,     0,     0,   399,  1050,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,     0,
     822,   411,   823,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,     0,   425,     0,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,  1051,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   824,   458,   459,   460,     0,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,  1052,   479,   480,
     825,   481,   482,  1053,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
     498,   499,     0,   500,   826,   501,   502,   503,   504,   505,
       0,  1054,  1055,     0,     0,   508,   509,     0,   511,     0,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,     0,  1056,     0,   532,   827,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,  1034,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   555,   556,   557,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,   805,   242,   243,   244,     0,  1035,   806,  1036,
    1037,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,  1038,  1039,   258,     0,   259,   260,   261,   262,     0,
       0,   807,     0,   264,   265,   266,   267,   268,   808,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
     809,   278,   279,   280,     0,     0,     0,   810,     0,     0,
       0,   281,   282,   283,   284,   285,   286,  1040,  1041,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,  1042,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,     0,   317,   318,   319,     0,     0,
     321,     0,   322,   323,  1043,   325,  5141,   326,     0,   327,
     811,     0,   812,   328,   329,   330,   331,     0,   332,     0,
       0,     0,   335,     0,   336,   337,   338,   339,   340,   813,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,   814,     0,   353,   354,   355,   356,  1045,
    1046,     0,  1047,     0,   360,   815,   816,   361,   817,   362,
     363,   364,   365,   366,     0,     0,   367,     0,   818,   369,
     819,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,  1048,   820,  1049,   391,   392,   393,     0,
       0,   395,   396,   821,   397,     0,     0,   399,  1050,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,     0,   822,   411,   823,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,     0,   425,     0,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,  1051,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   824,   458,
     459,   460,     0,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,  1052,   479,   480,   825,   481,   482,  1053,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,     0,   498,   499,     0,   500,   826,   501,
     502,   503,   504,   505,     0,  1054,  1055,     0,     0,   508,
     509,     0,   511,     0,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,     0,  1056,     0,   532,
     827,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,  1034,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   555,   556,   557,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
       0,  1035,   806,  1036,  1037,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,  1038,  1039,   258,     0,   259,
     260,   261,   262,     0,     0,   807,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,     0,     0,
       0,   810,     0,     0,     0,   281,   282,   283,   284,   285,
     286,  1040,  1041,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,  1042,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,     0,   317,
     318,   319,     0,     0,   321,     0,   322,   323,  1043,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,     0,     0,     0,   335,     0,   336,   337,
     338,   339,  1044,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,     0,   353,
     354,   355,   356,  1045,  1046,     0,  1047,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,     0,   818,   369,   819,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,  1048,   820,  1049,
     391,   392,   393,     0,     0,   395,   396,   821,   397,     0,
       0,   399,  1050,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,     0,   822,   411,
     823,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,     0,   425,     0,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,  1051,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,     0,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,  1052,   479,   480,   825,   481,
     482,  1053,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,  1054,
    1055,     0,     0,   508,   509,     0,   511,     0,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
       0,  1056,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
    1034,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   555,   556,   557,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
     805,   242,   243,   244,     0,  1035,   806,  1036,  1037,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,  1038,
    1039,   258,     0,   259,   260,   261,   262,     0,     0,   807,
       0,   264,   265,   266,   267,   268,   808,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,   809,   278,
     279,   280,     0,     0,     0,   810,     0,     0,     0,   281,
     282,   283,   284,   285,   286,  1040,  1041,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,  1042,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,     0,   317,   318,   319,     0,     0,   321,     0,
     322,   323,  1043,   325,     0,   326,     0,   327,   811,     0,
     812,   328,   329,   330,   331,     0,   332,     0,     0,     0,
     335,     0,   336,   337,   338,   339,  1098,   813,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,   814,     0,   353,   354,   355,   356,  1045,  1046,     0,
    1047,     0,   360,   815,   816,   361,   817,   362,   363,   364,
     365,   366,     0,     0,   367,     0,   818,   369,   819,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,  1048,   820,  1049,   391,   392,   393,     0,     0,   395,
     396,   821,   397,     0,     0,   399,  1050,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,     0,   822,   411,   823,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,     0,
     425,     0,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,  1051,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,   824,   458,   459,   460,
       0,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,  1052,
     479,   480,   825,   481,   482,  1053,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,     0,   498,   499,     0,   500,   826,   501,   502,   503,
     504,   505,     0,  1054,  1055,     0,     0,   508,   509,     0,
     511,     0,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,     0,  1056,     0,   532,   827,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,  1034,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   555,   556,   557,     0,   225,
     226,   227,   228,   229,   230,   231,   232,     0,   234,   235,
     236,     0,     0,     0,     0,     0,     0,     0,   237,   238,
       0,   239,   240,   241,   805,   242,   243,   244,     0,  1035,
     806,  1036,  1037,     0,   249,   250,   251,   252,   253,     0,
       0,   254,   255,  1038,  1039,   258,     0,   259,   260,   261,
     262,     0,     0,   807,     0,   264,   265,   266,   267,   268,
     808,   269,   270,   271,     0,   272,   273,   274,   275,   276,
     277,     0,   809,   278,   279,   280,     0,     0,     0,   810,
       0,     0,     0,   281,   282,   283,   284,   285,   286,  1040,
    1041,   289,     0,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   301,   302,
    1042,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,   315,     0,   317,   318,   319,
       0,     0,   321,     0,   322,   323,  1043,   325,     0,   326,
       0,   327,   811,     0,   812,   328,   329,   330,   331,     0,
     332,     0,     0,     0,   335,     0,   336,   337,   338,   339,
     340,   813,   341,   342,   343,   344,     0,   345,   346,   347,
     348,   349,   350,     0,   351,   814,     0,   353,   354,   355,
     356,  1045,  1046,     0,  1047,     0,   360,   815,   816,   361,
     817,   362,   363,   364,   365,   366,     0,     0,   367,     0,
     818,   369,   819,     0,   370,   371,   372,     0,     0,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,  1048,   820,  1049,   391,   392,
     393,     0,     0,   395,   396,   821,   397,     0,     0,   399,
    1050,   401,   402,   403,     0,   404,   405,     0,     0,   406,
     407,   408,     0,     0,   409,     0,   822,   411,   823,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
       0,   422,   423,     0,   425,     0,   427,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,  1051,
     440,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,     0,   456,   457,
     824,   458,   459,   460,     0,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     0,   471,   472,   473,   474,   475,
       0,   476,   477,  1052,   479,   480,   825,   481,   482,  1053,
     484,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,     0,   498,   499,     0,   500,
     826,   501,   502,   503,   504,   505,     0,  1054,  1055,     0,
       0,   508,   509,     0,   511,     0,     0,   513,   514,   515,
     516,   517,   518,   519,     0,     0,   520,   521,   522,   523,
     524,     0,     0,   525,   526,   527,   528,   529,     0,  1056,
       0,   532,   827,   533,   534,   535,   536,     0,     0,   537,
       0,     0,   538,   539,   540,   541,   542,   543,  1034,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   555,
     556,   557,     0,   225,   226,   227,   228,   229,   230,   231,
     232,     0,   234,   235,   236,     0,     0,     0,     0,     0,
       0,     0,   237,   238,     0,   239,   240,   241,   805,   242,
     243,   244,     0,  1035,   806,  1036,  1037,     0,   249,   250,
     251,   252,   253,     0,     0,   254,   255,  1038,  1039,   258,
       0,   259,   260,   261,   262,     0,     0,   807,     0,   264,
     265,   266,   267,   268,   808,   269,   270,   271,     0,   272,
     273,   274,   275,   276,   277,     0,   809,   278,   279,   280,
       0,     0,     0,   810,     0,     0,     0,   281,   282,   283,
     284,   285,   286,  1040,  1041,   289,     0,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   301,   302,  1042,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,   315,
       0,   317,   318,   319,     0,     0,   321,     0,   322,   323,
    1043,   325,     0,   326,     0,   327,   811,     0,   812,   328,
     329,   330,   331,     0,   332,     0,     0,     0,   335,     0,
     336,   337,   338,   339,   340,   813,   341,   342,   343,   344,
       0,   345,   346,   347,   348,   349,   350,     0,   351,   814,
       0,   353,   354,   355,   356,  1045,  1046,     0,  1047,     0,
     360,   815,   816,   361,   817,   362,   363,   364,   365,   366,
       0,     0,   367,     0,   818,   369,   819,     0,   370,   371,
     372,     0,     0,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,  1048,
     820,  1049,   391,   392,   393,     0,     0,   395,   396,   821,
     397,     0,     0,   399,  1050,   401,   402,   403,     0,   404,
     405,     0,     0,   406,   407,   408,     0,     0,   409,     0,
     822,   411,   823,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,     0,   422,   423,     0,   425,     0,
     427,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,  1051,   440,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,     0,   456,   457,   824,   458,   459,   460,     0,   462,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   471,
     472,   473,   474,   475,     0,   476,   477,  2097,   479,   480,
     825,   481,   482,  1053,   484,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
     498,   499,     0,   500,   826,   501,   502,   503,   504,   505,
       0,  1054,  1055,     0,     0,   508,   509,     0,   511,     0,
       0,   513,   514,   515,   516,   517,   518,   519,     0,     0,
     520,   521,   522,   523,   524,     0,     0,   525,   526,   527,
     528,   529,     0,  1056,     0,   532,   827,   533,   534,   535,
     536,     0,     0,   537,     0,     0,   538,   539,   540,   541,
     542,   543,  1034,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   555,   556,   557,     0,   225,   226,   227,
     228,   229,   230,   231,   232,     0,   234,   235,   236,     0,
       0,     0,     0,     0,     0,     0,   237,   238,     0,   239,
     240,   241,   805,   242,   243,   244,     0,  1035,   806,  1036,
    1037,     0,   249,   250,   251,   252,   253,     0,     0,   254,
     255,  1038,  1039,   258,     0,   259,   260,   261,   262,     0,
       0,   807,     0,   264,   265,   266,   267,   268,   808,   269,
     270,   271,     0,   272,   273,   274,   275,   276,   277,     0,
     809,   278,   279,   280,     0,     0,     0,   810,     0,     0,
       0,   281,   282,   283,   284,   285,   286,  1040,  1041,   289,
       0,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   301,   302,  1042,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,   315,     0,   317,   318,   319,     0,     0,
     321,     0,   322,   323,  1043,   325,     0,   326,     0,   327,
     811,     0,   812,   328,   329,   330,   331,     0,   332,     0,
       0,     0,   335,     0,   336,   337,   338,   339,   340,   813,
     341,   342,   343,   344,     0,   345,   346,   347,   348,   349,
     350,     0,   351,   814,     0,   353,   354,   355,   356,  1045,
    1046,     0,  1047,     0,   360,   815,   816,   361,   817,   362,
     363,   364,   365,   366,     0,     0,   367,     0,   818,   369,
     819,     0,   370,   371,   372,     0,     0,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,  1048,   820,  1049,   391,   392,   393,     0,
       0,   395,   396,   821,   397,     0,     0,   399,  1050,   401,
     402,   403,     0,   404,   405,     0,     0,   406,   407,   408,
       0,     0,   409,     0,   822,   411,   823,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,     0,   422,
     423,     0,   425,     0,   427,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,  1051,   440,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,     0,   456,   457,   824,   458,
     459,   460,     0,   462,   463,   464,   465,   466,   467,   468,
     469,   470,     0,   471,   472,   473,   474,   475,     0,   476,
     477,     0,   479,   480,   825,   481,   482,  1053,   484,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,     0,   498,   499,     0,   500,   826,   501,
     502,   503,   504,   505,     0,  1054,  1055,     0,     0,   508,
     509,     0,   511,     0,     0,   513,   514,   515,   516,   517,
     518,   519,     0,     0,   520,   521,   522,   523,   524,     0,
       0,   525,   526,   527,   528,   529,     0,  1056,     0,   532,
     827,   533,   534,   535,   536,     0,     0,   537,     0,     0,
     538,   539,   540,   541,   542,   543,  1034,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   555,   556,   557,
       0,   225,   226,   227,   228,   229,   230,   231,   232,     0,
     234,   235,   236,     0,     0,     0,     0,     0,     0,     0,
     237,   238,     0,   239,   240,   241,   805,   242,   243,   244,
       0,     0,   806,     0,     0,     0,   249,   250,   251,   252,
     253,     0,     0,   254,   255,     0,     0,   258,     0,   259,
     260,   261,   262,     0,     0,   807,     0,   264,   265,   266,
     267,   268,   808,   269,   270,   271,     0,   272,   273,   274,
     275,   276,   277,     0,   809,   278,   279,   280,     0,     0,
       0,   810,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,     0,   289,     0,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,   315,     0,   317,
     318,   319,     0,     0,   321,     0,   322,   323,     0,   325,
       0,   326,     0,   327,   811,     0,   812,   328,   329,   330,
     331,     0,   332,     0,     0,     0,   335,     0,   336,   337,
     338,   339,   340,   813,   341,   342,   343,   344,     0,   345,
     346,   347,   348,   349,   350,     0,   351,   814,     0,   353,
     354,   355,   356,     0,     0,     0,     0,     0,   360,   815,
     816,   361,   817,   362,   363,   364,   365,   366,     0,     0,
     367,     0,   818,   369,   819,     0,   370,   371,   372,     0,
       0,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   820,     0,
     391,   392,   393,     0,     0,   395,   396,   821,   397,     0,
       0,   399,     0,   401,   402,   403,     0,   404,   405,     0,
       0,   406,   407,   408,     0,     0,   409,     0,   822,   411,
     823,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,     0,   422,   423,     0,   425,     0,   427,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   440,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,     0,
     456,   457,   824,   458,   459,   460,     0,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   471,   472,   473,
     474,   475,     0,   476,   477,     0,   479,   480,   825,   481,
     482,     0,   484,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,     0,   498,   499,
       0,   500,   826,   501,   502,   503,   504,   505,     0,     0,
       0,     0,     0,   508,   509,     0,   511,     0,     0,   513,
     514,   515,   516,   517,   518,   519,     0,     0,   520,   521,
     522,   523,   524,     0,     0,   525,   526,   527,   528,   529,
       0,     0,     0,   532,   827,   533,   534,   535,   536,     0,
       0,   537,     0,     0,   538,   539,   540,   541,   542,   543,
    4809,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   555,   556,   557,     0,   225,   226,   227,   228,   229,
     230,   231,   232,     0,   234,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   237,   238,     0,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
     249,   250,   251,   252,   253,     0,     0,   254,   255,     0,
       0,   258,     0,   259,   260,   261,   262,     0,     0,     0,
       0,   264,   265,   266,   267,   268,     0,   269,   270,   271,
       0,   272,   273,   274,   275,   276,   277,     0,     0,   278,
     279,   280,     0,     0,     0,     0,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,     0,   289,     0,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,   315,     0,   317,   318,   319,     0,     0,   321,     0,
     322,   323,     0,   325,     0,   326,     0,   327,     0,     0,
       0,   328,   329,   330,   331,     0,   332,     0,     0,     0,
     335,     0,   336,   337,   338,   339,   340,     0,   341,   342,
     343,   344,     0,   345,   346,   347,   348,   349,   350,     0,
     351,     0,     0,   353,   354,   355,   356,     0,     0,     0,
       0,     0,   360,     0,     0,   361,     0,   362,   363,   364,
     365,   366,     0,     0,   367,     0,     0,   369,     0,     0,
     370,   371,   372,     0,     0,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,     0,     0,   391,   392,   393,     0,     0,   395,
     396,     0,   397,     0,     0,   399,     0,   401,   402,   403,
       0,   404,   405,     0,     0,   406,   407,   408,     0,     0,
     409,     0,     0,   411,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,     0,   422,   423,     0,
     425,     0,   427,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   440,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,     0,   456,   457,     0,   458,   459,   460,
       0,   462,   463,   464,   465,   466,   467,   468,   469,   470,
       0,   471,   472,   473,   474,   475,     0,   476,   477,     0,
     479,   480,     0,   481,   482,     0,   484,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,     0,   498,   499,     0,   500,     0,   501,   502,   503,
     504,   505,     0,     0,     0,     0,     0,   508,   509,     0,
     511,     0,     0,   513,   514,   515,   516,   517,   518,   519,
       0,     0,   520,   521,   522,   523,   524,     0,     0,   525,
     526,   527,   528,   529,     0,     0,     0,   532,     0,   533,
     534,   535,   536,     0,     0,   537,     0,     0,   538,   539,
     540,   541,   542,   543,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   555,   556,   557
};

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4583)))

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2568)))

static const yytype_int16 yycheck[] =
{
      16,     0,   892,     0,   203,   798,     0,     0,   586,    25,
    1120,   750,   198,    21,    36,    51,  1142,   748,   181,    27,
    1318,    20,     7,  1511,   659,   697,   698,   699,  1052,    14,
     835,   703,   619,   893,    21,  1082,  1442,  1398,   772,   203,
      27,  2597,  2409,  2763,   773,   619,   908,    12,  1435,   779,
    1917,  1447,  2933,   917,  1178,  1040,  1041,  1571,  1055,     0,
     189,   998,   207,  1651,   757,  1050,  2803,  2906,  2422,    22,
      17,    20,    45,  1832,  1320,   220,  3224,  1375,   665,  3475,
    3518,  1442,  2958,    36,  2960,  3134,  3518,  3199,  2261,  2573,
       0,  3410,  2755,    44,  3126,  3180,  3570,  2101,  2102,   642,
    2313,  2334,  3134,  2753,  2754,   577,  1458,  4048,  3514,  2812,
     972,  3145,   655,   847,   976,  3799,  3439,   654,   168,   981,
     664,  3802,  1815,  3811,  1370,  3745,  3211,  3445,  1920,   991,
    1853,   892,  4276,   190,   191,  3789,  2785,   194,  1534,   900,
     861,   183,  1876,  1005,  4381,  2686,  4437,    35,  1427,   910,
    1664,     0,  4279,     0,    42,   212,     0,   629,     0,     0,
       0,  1749,   219,     0,   183,  1375,   753,     0,  3788,     0,
       0,     0,     0,  3197,    50,    41,  4230,   845,   795,   753,
    2822,  4456,  1038,  1039,  4397,  1350,  4399,   921,  1540,  1541,
    4579,  1437,   795,  1049,  3494,  4591,  2751,     5,     5,  3444,
       9,  3446,  3373,    42,     5,  4787,     0,     9,     0,     0,
      35,    56,    71,     0,    49,     0,    86,   987,     9,     5,
    4495,   113,  1207,  1208,  4278,     5,    29,    13,    14,    22,
       5,   157,    11,  1003,  2101,    26,     5,    42,    56,  2412,
    1237,    56,  1227,    56,  4694,  4695,     5,    73,  2803,     5,
       5,    73,  4728,    73,    13,    14,    22,    13,    14,   137,
     162,    83,   162,     5,   215,   169,  1071,     5,    11,     5,
       5,   162,    26,     5,   185,  2816,   162,   111,   162,    39,
     143,  2751,   144,  4440,     5,    56,   165,     5,  2367,  2908,
    2369,   204,   964,     0,  2373,  3865,  3866,    40,  3868,  3869,
    3870,   162,     9,  2382,  2383,  2384,   162,    26,    78,  1607,
       4,     9,   231,   132,     5,     9,   208,  1390,   266,    26,
    4501,  4502,     0,     5,   123,    56,   285,    29,    71,  4525,
     713,   264,   116,  2803,   133,     3,   300,   130,    83,   199,
    1196,  1197,    20,     5,    56,   162,  2519,   207,  2521,   162,
     156,   104,     3,     4,     5,   261,   272,   285,     9,   251,
     220,   712,    30,    31,   130,   388,   333,  1223,   162,   111,
     162,   162,    56,    51,    73,   162,  4533,   162,   249,   285,
     350,   350,  1112,   171,    83,    32,    22,   237,   164,   154,
     114,   185,    28,   185,   185,    11,   351,   116,   185,  1120,
     185,    36,  4984,  1340,     4,    11,   152,   319,   333,     9,
     324,     4,     5,   335,    39,   307,     9,   307,   337,    43,
     162,    11,   586,    73,   104,  4814,    11,   465,   306,   467,
     320,   469,   104,    83,    40,  4710,   350,  4581,   350,   584,
      64,  1305,    26,  4656,    26,   590,    11,    73,   471,    33,
      40,    33,    26,  4580,   324,   162,   346,   181,   603,    33,
     111,   380,   680,   681,   682,    71,   345,   685,   686,   687,
      20,   393,   113,  1497,   638,    40,   222,   695,   185,   198,
     325,    71,   281,   248,   409,   120,    73,   293,   407,   163,
     353,   341,   268,   161,   130,   163,   249,   144,    56,   378,
     467,   471,   471,   467,    56,   183,    71,   325,   467,   118,
     325,   430,   467,   432,   897,   281,  1103,   465,   575,   322,
     319,   469,   579,  1257,   337,  3144,  1256,   388,     5,  1103,
     333,  4688,   335,  1120,   467,   256,   593,  1610,   256,   467,
    4697,   467,   330,   600,   415,   896,  1089,   104,   467,   388,
     566,  1285,   203,   319,   325,   471,  3605,   350,   471,  4755,
     471,   467,   388,   104,   426,   256,   388,   471,   388,   471,
     569,   471,   569,  3605,   225,   569,   569,   416,  1122,   471,
     471,   467,  1303,   467,   350,  1831,  1884,  1308,  1309,   467,
     393,  5067,  5042,   143,   325,  1182,  4887,  3629,   367,   368,
    5182,   471,  4991,   619,   620,  1148,   465,   426,  1182,   422,
     469,   416,   420,   325,   374,   471,   409,  3936,   565,   669,
     322,  1164,   456,   377,   343,   409,   471,  1873,   569,   665,
       8,   401,   467,    11,  1364,   798,  1179,    15,    16,    17,
    3521,   325,   467,   388,  1506,  3963,   388,  1509,   414,   458,
     459,  3974,  1413,   471,   471,  3978,   471,  1517,   465,   467,
     467,  1787,   469,   256,   466,   664,   467,   458,   459,  4813,
     678,  3756,   680,  1919,   682,   347,   470,  4804,   470,   470,
     688,   467,  2855,   470,   463,   470,  3798,   467,  1853,   388,
     409,   678,   467,   680,  1415,   682,  1861,   377,   663,   715,
    1335,   688,   689,   690,  1425,  1569,  1753,   692,   467,  3880,
    1471,   467,   467,  1300,   456,  1485,   665,  3962,  5107,  3964,
     463,  1308,  1309,  5119,   584,   741,  1300,   469,  4028,   467,
     590,   467,   467,   749,  1719,   467,   752,   753,   754,   938,
     471,  1358,  4923,   603,  3778,   787,  4687,  1794,   934,   374,
     432,   458,   459,   421,  4324,  1358,  1803,  1527,   709,   471,
     458,   459,   388,   470,   458,   459,  1434,   325,   787,   467,
     432,   453,   413,   325,   938,  5050,   360,  1498,   360,   256,
    1501,  1502,   104,   333,  2180,   467,   360,   471,  5063,    80,
     789,   453,   789,   467,   923,   789,   789,  3460,    22,  5188,
    4274,   388,   411,   353,  2210,   467,  5019,   458,   459,   173,
     867,   868,   162,     4,     5,  2113,   173,  3171,     9,  3843,
     377,  2825,   773,  2827,   712,   713,   714,   116,   777,  3042,
     430,   122,  1602,     5,  3715,   143,   377,   119,  1694,  1695,
      69,  4985,   458,   459,   460,   461,   462,   463,   789,   266,
     157,   802,    47,   453,   104,   421,  5245,   272,   458,   459,
    4987,  2257,  1583,  3702,  3506,   458,   459,     3,   458,   459,
     460,   461,   462,   463,   861,   460,   461,   462,   463,   789,
     272,  3436,   350,  5158,  3439,   751,  2753,  2754,  2755,   755,
     268,   569,   249,   844,   152,   460,   461,   462,   463,   956,
    1478,  5192,  5193,  2113,   780,  1123,   130,   114,  1126,   198,
    1128,  4965,  1130,   471,  1132,     8,   337,   115,  1136,   471,
     266,  2200,    15,    16,    17,   111,    26,   837,   985,   986,
      65,    22,  4986,  2656,  2657,   304,  3109,  3110,  2661,  1722,
     789,  4379,   789,  2241,   267,   789,    82,   789,   789,   789,
    4570,  3492,   789,  5127,  1011,    34,   789,  1687,   789,   789,
     789,   789,   162,  3518,   222,  5109,  3436,    22,  2266,  3439,
       3,    82,    56,  2461,   181,  2698,  2699,   163,  5215,   377,
    3629,  5108,  4420,    80,  3823,   180,   664,   665,  1660,  5280,
     185,   105,   283,   430,    80,  4433,   261,   252,   134,    27,
       3,  4433,     5,   471,   159,   263,   141,   205,   896,   897,
      80,  3224,   123,  1796,   321,   249,  2126,  2315,   165,  4338,
     285,  2813,   133,     3,   159,   122,   221,  1084,  1085,  3108,
    3767,   272,   111,  2767,   471,   264,   122,   319,   388,   130,
     212,    65,    38,  5187,   235,   353,   467,   238,  3518,    82,
     467,   415,   122,   468,    80,   377,   471,   281,   415,    83,
       3,  1800,  1801,  4386,  4382,   256,   252,    65,  4391,   467,
    1017,  4394,   106,  2097,   188,   130,   454,   455,   456,   471,
     458,   459,   460,   461,   462,   463,  5260,  1103,  2781,  2476,
       3,   382,   228,    22,   116,   319,   122,   140,   467,   340,
    1830,   134,  1832,   106,  1120,  2403,   456,   396,  1838,   787,
      23,   789,   435,   111,  1844,  1845,  1846,   141,  4772,   469,
     409,  1756,  3126,  1122,  1854,  1855,   350,   377,  4812,  1859,
    3134,   111,   116,  1120,     5,   159,  1870,  4825,  1154,    82,
    1125,  4822,  1127,   177,  1129,   281,  1131,  4295,  1133,  1134,
    1135,  4771,  4806,  4591,   409,  1140,  1693,  4269,  1793,   202,
     355,  4042,  1797,   298,  1799,   249,  1182,  1802,   166,    82,
     281,   199,  5113,  5114,   177,   268,   198,  1764,  4263,   270,
     330,   111,  1725,    49,   111,  4805,   283,   183,   388,   163,
     290,   338,   135,   272,  1737,   228,   154,   283,   345,   164,
     390,   130,   467,   237,   315,  1748,   240,  4083,   319,  1746,
    1682,   106,  3767,   283,   198,   449,   185,  3221,   255,  1763,
    1256,    35,   135,   337,    22,   411,   281,   376,    24,   272,
      28,   378,   323,   324,   237,   377,   102,   240,   111,   350,
      54,   325,  1258,   433,   380,   345,   382,   190,   281,    45,
     465,  1267,   399,   251,   469,   288,   214,   283,   256,   350,
     410,   410,   376,   377,   319,  1281,   350,   458,   459,   404,
     261,   251,   185,  1851,   298,   173,   256,   190,    26,  4685,
    1330,   381,   177,   383,  1300,   382,   319,  1303,  1304,   103,
     323,   113,  1308,  1309,   285,   350,   382,  3767,   311,  4618,
     298,  1343,  1344,   268,  1346,    22,  5247,   341,  4992,   140,
     284,    28,   382,   113,  1478,   313,  1303,   350,   297,   288,
     357,  1308,  1309,  4026,  1343,  1344,   256,  1346,    76,  4652,
     115,   197,   130,  3996,  4808,   105,    84,   113,   341,  4002,
    2079,  3991,   237,   116,   287,   240,   125,   380,   127,   382,
     319,   249,   279,   467,   323,   210,   382,   130,   281,   343,
     403,   454,   455,   456,   112,   458,   459,   460,   461,   462,
     463,   150,   270,   187,   287,    26,  3860,   456,   251,  2677,
     404,   350,   356,   249,   319,  2683,   465,   409,   467,   468,
     469,   222,   471,  4712,   249,  2285,  1453,   430,  4717,  4718,
       4,   280,   261,   199,   369,     9,   404,    57,   208,  1360,
     423,   390,  4850,   130,   448,    65,   343,   330,   188,  3974,
     205,   235,  4471,  3978,   238,   409,   285,   350,  1415,   144,
     178,  5115,   208,   467,   256,   249,  5120,    83,  1425,  4471,
     430,   189,   164,  4881,  1122,   448,   341,    26,  2209,  4881,
     377,   251,   307,   388,   433,    91,   177,  4569,   211,   402,
     270,   430,   375,  1410,   337,   111,   280,   410,   103,  2516,
     413,   281,   251,   339,   125,   251,   467,   256,  1465,  1466,
     210,   471,   261,   281,   453,  1542,  1543,  1544,  1545,   402,
     417,  2656,  2657,    90,  4890,  4891,  2661,   410,   353,  1515,
     413,    85,  5186,   430,  3974,  1521,   234,   307,  3978,   319,
     324,  1498,  1190,   110,  1501,  1502,   237,   415,   231,   249,
    3733,   319,   295,  4557,  2285,   280,   453,   163,  1585,  1586,
     344,   307,  1210,  2698,  2699,  1734,  2923,  1723,  3026,  2126,
     467,  2270,  2271,   127,  3777,  2274,   125,   144,  1677,  1606,
     364,  4989,   350,   448,   409,  3768,    90,  2318,   194,   359,
    2330,   157,  5246,  1241,   281,  4085,  3325,   337,  2289,  1733,
    1734,  4091,   168,   209,   390,   225,  2297,  1487,  1256,  2300,
    1531,   173,  1492,   219,  1641,  1642,  1643,  1644,   319,   185,
    2351,  2280,   114,  3460,  5278,   350,  1583,  5281,    30,    31,
     235,  3605,   319,   238,   467,   251,   376,   377,   467,   245,
    3689,   471,   422,   335,  3693,  3694,   395,  3696,  1634,   350,
     341,   369,  1638,   353,   337,  3629,   405,   388,   343,  3352,
    3353,  3354,  3355,   350,   168,  3358,  3359,  3360,  3361,  3362,
    3363,  3364,  3365,  3366,  3367,  1555,  4527,  2119,  2418,  1559,
    3046,   113,   630,    11,   468,   280,   280,   249,    90,   181,
    2349,  3834,   377,  3836,  2207,  1343,  1344,   380,  1346,   391,
     167,  2441,  2442,  2443,  2444,   397,   654,   388,   110,   409,
    3268,  5119,   167,  2453,   323,   288,   281,  1851,  2417,   281,
     430,  3414,  3415,   329,   407,   157,  1556,  1754,   125,     0,
     127,  4786,   417,  1760,  1691,   111,   281,  2437,  4820,   158,
     471,   350,   144,    71,  1701,   430,  1703,   430,   315,   432,
     323,   411,  1709,   150,   319,   350,   350,   319,   225,  1716,
     192,   471,   328,  4468,  2860,   164,    29,  1487,   453,   297,
     225,   190,  1492,   231,   319,   456,   343,   350,   323,   234,
    4784,    35,   467,  5191,   467,   350,  5152,   281,   469,  2489,
      53,   125,  4318,   127,  1763,  4604,   195,  4801,   281,   189,
      54,  1631,   178,   281,  4509,   350,   343,   467,   198,  1639,
     377,   142,   470,   167,   125,   140,   127,   249,  1773,   251,
    1775,  1651,  1777,   321,  1779,   319,  1781,   152,   113,  2471,
    1785,  1823,   157,  4837,  2276,  1555,   319,   315,     4,  1559,
     377,   319,   393,     9,   311,  1764,  1815,  4698,  1815,   103,
     417,  1815,  1815,   415,  4379,   186,   350,  1843,  4704,   256,
    1887,  4386,   390,   430,   261,  3133,  4391,   350,  2775,  4394,
    4053,   225,   350,   231,  2565,   251,   311,   202,  2833,   337,
     417,  4999,  3204,  1840,  1841,  3207,   453,   335,   411,  1810,
    1847,  1848,  4229,   333,   300,  4420,  1726,   222,   103,  1822,
     467,  4427,   467,  4429,  1815,   433,  3345,   192,  4433,   344,
    4600,  3179,  1829,   315,   381,   411,   383,   251,  1875,  1749,
    4063,  4064,   380,  2480,  4248,   427,   381,   261,   383,   281,
     467,  4268,   430,   187,   423,  3374,  2480,   377,   263,  4379,
     407,   343,   377,  4998,   467,   393,  4386,   272,  1934,   407,
     261,  4391,   407,   158,  4394,   453,   423,  2562,  2658,   306,
     251,   260,   281,  4967,   249,   256,   251,   319,   247,   471,
    2670,   467,   430,   471,   432,   377,  2533,   340,    91,   337,
    4420,   235,   930,    83,   238,   190,   265,   334,   423,  2533,
     163,   311,  1629,  4433,   140,   249,   212,  2760,   395,  2168,
     319,   140,  2702,   281,   236,   953,   152,   333,   405,   467,
    2166,   157,   162,   152,   305,   417,  1653,   281,   157,   421,
     968,   194,   380,   432,   344,  4834,   280,   381,   430,   383,
     235,   350,  3725,   238,  2168,   185,   209,  4220,  3522,   365,
    2740,   319,  4893,   467,   453,   333,   219,   335,  2823,   407,
     163,   453,   430,   407,   393,   319,   202,   377,   467,   152,
    2159,   162,    21,   202,   157,   467,  4591,   167,    27,   456,
     324,   393,   430,   432,   432,   453,   222,  2768,   403,  2909,
    2058,   194,   469,   222,   185,  4792,   350,   152,   188,  3185,
     344,  2206,   157,   231,   453,   266,   209,  5101,   321,  3195,
     271,  2058,  2765,   423,  2934,   393,   219,   430,   467,   467,
     364,   340,  4295,     8,   430,  1763,    11,   263,  3576,  3387,
      15,    16,    17,  2042,   263,   225,   272,  4652,   236,   222,
     453,   323,   245,   272,  2161,  2162,  2128,   453,  2130,   157,
    2126,   157,   234,  2170,  4193,  2172,  4195,  4196,  2126,  2176,
    4199,  4591,   157,   266,  3991,   471,   329,   222,   350,  3996,
     432,   179,   354,   179,  2279,  4002,  2714,  1815,   234,  2126,
     263,   271,    35,  2084,   179,   266,  5180,   140,  3394,  2910,
     271,   453,   572,    24,  2669,   888,  2671,  2672,  3554,   152,
    4880,    54,  3568,  5044,   157,  4743,  5251,  4745,   263,   337,
      73,  4749,   905,  4751,    45,   908,  2505,  2506,  2507,  2195,
      83,  2768,  4652,  3307,  1162,    87,   329,  3352,  3353,  3354,
    3355,  3779,   188,  3358,  3359,  3360,  3361,  3362,  3363,  3364,
    3365,  3366,  3367,  2348,   624,   468,  5240,   179,   471,   202,
     103,  1889,   380,  3609,   634,  2850,    62,    63,  4796,  4432,
    3385,   231,  3574,  2984,  3576,    79,  4439,   403,  2179,   222,
    2090,   393,   468,  1863,   403,   471,  1866,  4792,  2295,   407,
    3177,  2298,   466,   333,   334,  3242,  3243,   471,  2108,  3414,
    3415,   381,   462,   383,  2114,  3501,   423,   467,  2118,   469,
     185,   466,   430,   393,   432,   279,   471,   340,   411,   231,
     263,   333,   334,   166,   404,     5,  3138,   407,   462,   272,
      10,   206,    53,   467,  2144,   469,   467,  3801,    18,   465,
    2877,   212,   468,   469,   187,  4850,     9,   468,   468,   467,
     471,   471,  2289,  2877,  2847,  2848,  3604,    37,  3606,  2366,
    2297,   468,   468,  2300,   471,   471,   467,  2374,  2375,  2270,
    2271,   337,  4792,  2274,  2381,  2341,  4881,   337,  2188,   343,
    3628,   468,   468,   468,   471,   471,   471,   381,  2395,   383,
     423,   468,   235,   268,   471,   238,  2206,  3645,  2364,   468,
    5231,  2367,   471,  2369,    65,   468,   249,  2373,   471,   468,
      71,  3131,   471,   377,    13,    14,  2382,  2383,  2384,   266,
     380,   231,    83,   471,   468,  4548,   467,   471,  2238,  2436,
    4850,   468,   468,   231,   471,   471,   468,   280,   468,   471,
     381,   471,   383,  3519,  3520,   231,   468,   407,   421,   471,
     111,    49,   113,   417,  2264,  3126,  2084,  2464,    43,    53,
     403,  4881,  2272,  3134,   208,   469,   430,  3804,   380,  2279,
     430,  2607,   432,  2283,  2440,  3786,   468,  4294,   269,   471,
    5150,   324,   468,  4512,  4989,   471,   269,   468,   468,   453,
     471,   471,   450,  2303,    92,   407,   468,   468,  2308,   471,
     471,   344,  2312,   467,   388,   166,  2472,   467,  2423,  3002,
     467,  2518,   469,  2520,  2480,  2325,  2417,  4471,   430,   117,
     432,   364,  2601,   465,  3017,   467,  5196,   337,  2338,   266,
     468,   192,   157,   471,   468,  5041,   134,   471,  2348,   337,
     138,   468,  3164,   430,   471,   432,  1474,   468,   231,   468,
     471,   337,   471,   923,   468,   467,   266,   471,   468,   468,
     158,   471,   471,   161,   934,  2502,  2503,  2533,  3503,  4989,
     380,  2508,  2463,   468,   269,   468,   471,   175,   471,   454,
     455,   456,   380,   458,   459,   460,   461,   462,   463,   468,
     251,   467,   471,   469,   380,   256,   468,   407,     0,   471,
    2714,   468,   450,  3140,   471,  3142,    43,   208,   468,   407,
    3725,   471,  3291,  2620,  5119,   450,  3140,   430,  3142,   432,
     430,   407,   432,   468,   468,  5295,   471,   471,  2565,   381,
     460,   383,   430,   253,   432,   468,   161,   298,   471,  4593,
     430,   467,   432,  1013,   430,  3316,   432,   471,  1576,   381,
    3464,   383,   313,   468,   337,    53,   471,   467,   256,  4097,
     468,  4334,  3155,  1591,  3157,   468,   264,  3347,   471,   467,
     162,  2785,  2658,   468,   468,   468,   471,   471,   471,   468,
     204,   467,     8,  3220,  1612,    11,  5191,   467,    90,    15,
      16,    17,   468,   467,   470,  3280,  3220,   380,   469,  5119,
     468,  3381,   468,   471,   434,   471,   468,   305,   468,   471,
     470,  3454,  3455,  3456,    40,   468,  2702,   468,   471,   468,
     471,    47,   471,   343,   407,  4081,   468,   468,   468,   471,
     471,   471,   468,   468,   468,   471,   471,   471,   140,  1667,
     792,   468,   794,   404,   471,    71,  3426,   430,   468,   432,
     152,   471,  3979,  1681,  3981,   157,   468,   377,   467,   471,
     162,  2571,   467,  3575,   319,  1693,   168,  3451,   185,   171,
     468,  5191,   174,   471,   145,     0,   467,  1705,   145,  2589,
     469,   343,   468,  5100,   467,   471,   468,  2597,   266,   471,
     468,  3546,    22,   471,    24,   185,  3992,   417,    28,   319,
     202,   266,  2768,   145,    34,    35,    36,   145,    38,   185,
     430,    41,    42,  3306,    44,   377,    46,  1745,  1746,   266,
     222,  2807,  2745,  2746,  2747,   468,  4022,   468,   471,  2766,
     471,  2768,  2781,   453,  2781,  2463,  4999,  2781,  2781,   468,
     157,   468,   471,     0,   471,   319,   468,   467,   468,   471,
     470,  3966,   145,   468,   180,   417,   471,   468,   220,   185,
     471,   263,   113,   468,   266,    90,   471,   411,   430,   266,
     272,   236,  3682,   468,   252,   253,   471,   393,   468,   467,
    2887,   471,  2889,  2890,  2891,   468,   468,  3699,   471,   471,
    2781,   453,   260,   468,   468,   221,   471,   471,   468,   468,
     468,   471,   471,   471,   468,   467,   423,   471,   340,   468,
     468,  2877,   471,   471,   468,   140,   157,   471,   212,   468,
     467,    65,   251,    35,   326,   434,   251,   152,   467,   266,
     157,   251,   157,    90,  3605,    43,    43,   162,   251,   398,
     251,    82,   268,   168,  4617,   281,   171,   423,   423,   174,
      79,  1879,  3926,   157,   301,   145,   145,   467,  3629,   189,
     190,   191,   192,   145,   194,   343,   420,   467,   198,   467,
     200,   294,   145,   203,    34,   377,   467,   202,   434,   145,
     210,   145,   212,   140,   471,   215,   145,   145,   157,   219,
     145,   221,   145,   145,   145,   152,   145,   222,  2964,   377,
     157,   403,   145,   145,   266,   162,   467,   377,    35,  4826,
     220,   168,  3126,   266,   171,   467,     5,   174,     8,   157,
    3134,    11,   157,     5,   467,   427,   467,   429,   430,   355,
    2658,   157,   467,   467,   467,     5,   467,   467,   263,   417,
     467,   266,     5,   467,   467,   202,   467,   272,   467,  3015,
      40,   467,   430,   467,   467,     5,   467,    47,     5,   467,
     467,   467,   467,   465,  2874,   222,   468,   469,   470,   277,
     431,   467,   467,   467,  2702,   453,   467,   204,   467,   467,
     467,    71,    35,    94,   220,   471,   471,    35,   157,   467,
     157,  2719,   263,   261,   350,   337,   388,  3104,   388,   388,
     422,   326,   388,   337,   388,   469,   263,  2735,   388,   266,
     388,  3077,   222,   337,   323,   272,   388,   456,   388,    83,
     337,   145,   342,  2751,   217,   451,   266,   266,   454,   455,
     456,   388,   458,   459,   460,   461,   462,   463,   388,   256,
     388,   410,  3108,   380,   266,   266,   333,   261,   138,   467,
     388,   467,   377,  2781,  3120,   388,   178,    83,   281,   471,
    3126,   145,  4238,   377,   185,   411,   411,     8,  3134,   326,
      11,   377,  2982,   388,  3140,  2803,  3142,  3848,   403,  2807,
    4853,   388,   105,   388,    53,   388,   388,   388,    53,  3126,
     180,   388,   242,   388,   388,   185,   270,  3134,   304,    40,
       8,   380,   427,    11,   429,   430,    47,   388,   388,   337,
     388,   388,   285,   285,   388,    42,   388,    42,   388,  4334,
     377,  3158,  3188,   388,   337,   388,   206,   471,  4343,   266,
      71,   221,    40,  3913,   206,  2163,   434,   206,   206,    47,
     465,   266,   388,   468,   469,   470,   403,  2175,   266,   266,
     206,   206,   206,  3219,  3220,   430,   467,  3750,  3751,  3844,
    3845,  3846,    35,    71,  4575,  3272,   398,   145,    24,  4517,
     427,   266,   429,   430,   145,   251,   111,   411,   268,   145,
     430,   145,   145,   266,   228,  3095,   261,  2215,    35,   422,
     251,   251,   251,    35,   212,   157,   339,   138,    34,   386,
     467,   386,  3239,   145,  1674,   467,   388,  1677,   465,  3422,
     388,   468,   469,   470,   145,   411,   145,   465,   465,  3210,
     388,   411,   467,   388,   145,   145,   260,   388,   255,   162,
     138,   426,   242,   242,   564,    11,  4017,   467,   386,   180,
     570,  3232,   572,   467,   185,   575,   471,   577,   467,   579,
     388,   153,  1722,  1723,   171,   162,   586,   390,   202,   468,
     471,   591,   178,   593,   178,   355,     8,   472,   467,    11,
     600,   471,   180,    15,    16,    17,   353,   185,   210,  3316,
     221,   267,   471,   411,    35,   274,    53,   468,   337,   256,
    3291,   467,   411,    35,   624,   210,   256,   210,   236,   629,
     388,   388,   388,   467,   634,   340,   157,   423,   638,   212,
     256,   266,   393,   221,   147,    43,   359,   251,  4089,   147,
     220,   220,   220,   388,   264,   333,  1796,   268,   658,   380,
    3396,   471,   319,   179,  3420,   347,   266,   307,   266,    35,
     206,   212,   388,   388,   411,   411,   303,   188,   456,   456,
     145,   261,   264,  3439,   157,    35,   378,   159,  3268,   304,
     268,   451,   467,   347,   261,   423,  2394,   145,   458,   459,
     460,   461,   462,   463,  3284,   467,   145,   145,   261,   709,
      35,  4009,   712,   713,   714,     8,   251,   251,    11,   430,
     266,  3605,    15,    16,    17,   725,   266,   727,   212,  3309,
     157,   176,  4617,   176,    35,  3428,  3429,  3430,  3431,    32,
     450,   468,   450,   465,   355,  3629,   240,   747,   748,   341,
     750,   751,   212,   347,   157,   755,   468,  4642,   266,   468,
     251,   468,  3539,  3540,  3541,  3542,   468,   185,   185,   769,
     185,   471,   471,   773,   434,  5218,  5219,   355,    23,   779,
     471,   169,   388,   467,   162,   239,   430,   266,   471,    53,
     790,   260,     8,   212,   206,    11,   377,   393,   468,    15,
      16,    17,   802,  4253,   423,   468,   468,     8,  4163,  4164,
      11,  4166,  3210,   162,   467,  4078,    32,   468,   468,   468,
     277,   468,   468,   286,   450,   468,   471,   162,   388,  4221,
     468,   452,   276,   409,  3232,   230,   266,   468,   467,    40,
     451,    53,   417,   467,   844,   467,    47,   458,   459,   460,
     461,   462,   463,   427,   467,   266,   268,     8,   467,   269,
      11,   468,   862,   427,    15,    16,    17,   867,   868,  3605,
      71,   188,   266,   451,   467,  5083,   145,   456,   467,   388,
     458,   459,   460,   461,   462,   463,   434,   388,  4401,  2587,
     196,  4154,   388,  3629,   256,  4408,   896,   897,  3605,   388,
    3636,   145,   270,  3639,   251,  3641,  2604,  3635,   342,   145,
    4740,  4929,   145,   206,   342,   220,   342,   188,   147,  2617,
     388,   411,  3629,   923,   456,   222,   471,   287,  3635,   287,
     408,   157,   388,   388,   934,   388,   388,   138,   938,  4521,
    3717,   232,   232,   232,   337,  3681,  3723,   388,   388,   251,
     337,   337,   388,  3689,   337,   388,   956,  3693,  3694,   388,
    3696,   350,   266,   388,  4731,  3701,  4733,   145,  4853,  3549,
      42,   206,   388,   173,   388,   268,   206,     3,   978,   180,
     388,   388,   206,  4246,   185,   985,   986,   206,   468,   471,
     206,   468,   398,     3,   157,    43,   104,   321,  3705,  3706,
     471,   468,   157,   467,   264,  5023,   468,  1007,  1008,  1009,
     266,  1011,    35,  1013,   145,   388,   145,   157,   468,  2159,
     221,   173,  3420,   145,   466,   337,  2166,   411,   337,   411,
    4471,   466,   269,   347,   337,   206,   143,   143,  3436,   471,
     206,  3439,   454,   455,   456,   206,   458,   459,   460,   461,
     462,   463,   268,   206,   136,   206,   206,   206,   162,     8,
     465,    11,    11,   277,  3800,   157,   422,   268,   468,   471,
     272,   468,   468,   162,   427,   162,   468,   467,   453,   267,
    3660,   171,  1082,  3663,  1084,  1085,   471,  4546,   468,   416,
     467,    40,   471,  4939,  4940,   467,   466,   468,    47,   468,
     467,  4931,    81,   468,   326,   157,   398,    35,   388,   212,
     196,   411,  1112,   411,    53,   380,   145,   268,   388,   467,
     166,   398,    71,   468,  4637,  4009,   388,   342,  3864,  3865,
    3866,   388,  3868,  3869,  3870,  3796,  4434,  5022,   337,   388,
     388,  3848,  1142,  1143,   337,   468,   468,  1147,   467,  1149,
     319,   430,    53,   380,   355,   157,   417,   147,    71,   145,
     104,   454,   455,   456,   398,   458,   459,   460,   461,   462,
     463,   206,  4622,   468,   206,  1175,   206,   210,  1178,   206,
    3760,  1181,   467,  2881,  4482,   302,   191,   434,   266,   138,
     388,   467,    35,   471,  1194,   314,   468,   471,    77,  3779,
    2898,   285,   398,   380,   471,   471,   388,   168,   467,  4472,
     468,   347,   467,  4663,   466,   104,   162,   206,   468,   162,
      53,   467,   428,   428,  1224,  5243,   468,   312,   468,  5075,
     471,   180,   277,   209,   275,   467,   185,   468,   454,   455,
     456,   209,   458,   459,   460,   461,   462,   463,   468,   467,
     451,  5136,  1252,  1253,  1254,   379,  1256,   458,   459,   460,
     461,   462,   463,   467,   273,    53,   174,   261,  4004,   456,
    4006,  3851,   221,   468,  5292,   398,  1276,   468,   468,   388,
     162,    71,   430,   190,   179,   256,   256,    53,   456,  5307,
    4645,   471,   380,   388,  2992,   471,  2994,    65,  4040,  4740,
     145,  4656,   206,   454,   455,   456,   164,   458,   459,   460,
     461,   462,   463,   388,  1314,   388,   162,  1317,   111,   268,
     467,    35,   185,   261,   467,   347,    35,   251,   411,   159,
     411,   157,   347,  5218,  5219,   261,   430,  5167,    53,   430,
      35,  4951,   162,   266,   157,  1345,   467,   269,   204,  1349,
    1350,   193,   162,   467,   467,   312,   416,   363,  4019,  4020,
    1360,  1361,  1362,   468,  1364,  4093,   468,   285,   467,  3767,
     467,   209,   429,    83,   467,   126,   266,  3075,   313,    35,
    4735,   388,  4089,   145,   388,   157,  4093,  1387,  4165,   468,
     118,   468,    35,   467,   256,   178,   467,  4847,  3796,   467,
     467,   467,   233,  4180,   188,  3103,   355,   468,   467,   302,
     347,  4118,  4119,   467,  4864,   145,  4123,  4124,   104,  4869,
     131,  4871,  1422,   426,    35,   468,   270,  1427,   334,   334,
     361,   398,   361,  4740,   468,    53,    53,    35,    74,   467,
     471,  1441,  1442,   467,   416,   178,   467,  4183,  4184,   468,
    1450,   467,   411,  1453,   468,   467,   157,  4193,   249,  4195,
    4196,  2601,   266,  4199,   380,   380,   467,  2607,   380,   468,
       5,   151,   434,   144,   467,   467,    65,   269,  1478,    65,
    1480,   126,   430,   430,   312,   415,   467,   467,   471,  4266,
      35,   416,   162,  1493,   427,   350,  1496,   380,   310,   256,
    4892,   131,   451,   190,   467,  3203,  4861,   266,   266,   458,
     459,   460,   461,   462,   463,   347,    35,    35,   164,     8,
     302,   269,    11,  4259,   269,   467,    15,    16,    17,   164,
     471,  1531,   468,   467,   388,  4115,  3234,    53,   333,   116,
     467,   409,  1542,  1543,  1544,  1545,  1546,  4127,   468,   468,
    4434,    40,     5,   347,   333,   273,   320,  4293,    47,    21,
    1560,   471,   471,  4482,   467,   467,    32,   256,   467,   144,
     388,  1571,   162,  1573,    74,  4481,  3974,   302,   430,   430,
    3978,   361,    71,   361,   164,  1585,  1586,  4471,  4324,   467,
     164,  4889,   789,  2421,  2318,  1558,  2768,  2250,  4482,   853,
    2934,  3604,  3578,  1309,  4265,  5234,  1606,  5065,  2343,  3124,
    3701,  2751,  4753,  4929,  5167,  3748,  4575,  4523,  4211,  4545,
    2854,  4019,  4020,  2554,  4931,  1625,  5048,  4433,  5156,  4959,
       8,  4958,  3330,    11,  5191,  2858,  3797,    15,    16,    17,
    5085,  1641,  1642,  1643,  1644,  3781,  4898,  3739,  2406,  2406,
    2959,  3599,  3175,  3351,  1654,   893,  3764,  4552,  4435,  4436,
    4437,  1661,    40,  2803,  1664,  3187,  5307,  2400,  4561,    47,
    4247,  5169,  5292,  3128,  1674,  4538,  3133,  1677,  3376,  5098,
    4484,  4715,  1682,  4907,  4487,    27,  3851,  1687,  1149,  1620,
    4684,   180,  2102,    71,  3804,  1165,   185,  2832,   966,  4826,
    1733,   652,  1818,   620,  1674,  1818,  3078,  3628,  4413,  1819,
    3179,  3645,  3410,  5124,  5283,   768,  2042,   206,   207,  1394,
    2043,  1764,  1722,  1723,  3784,  4416,  4021,  5040,  3498,  1286,
    2782,  2082,   221,  1733,  1734,  4471,  1353,  2793,  4318,  3463,
    2788,  5032,  4873,  4005,  2081,  3963,  1334,  3439,  3980,  4653,
    3436,  4850,  4849,  1753,  1754,  3436,  3499,  5287,  5140,  5222,
    1760,  5022,  1762,  4620,  4471,   254,  3389,  4410,  1698,  5035,
    5015,  5036,  2719,  1912,  2771,  2629,  4512,  2717,    -1,   268,
      -1,  1352,  1915,    -1,    -1,    -1,    -1,  1787,    -1,  1355,
      -1,    -1,    -1,    -1,  1794,  1360,  1796,    -1,    -1,    -1,
    1800,  1801,   180,  1803,    -1,    -1,    -1,   185,    -1,    -1,
    1810,    -1,  4589,    -1,    -1,    -1,    -1,  1817,    -1,    -1,
      -1,    -1,  1822,  1823,    -1,    -1,  1826,    -1,   206,   207,
    1830,    -1,  1832,    -1,    -1,    -1,    -1,  1837,  1838,    -1,
      -1,    -1,    -1,   221,  1844,  1845,  1846,  4427,    -1,  4429,
    1850,  1851,  1852,  1853,  1854,  1855,  1856,  1857,    -1,  1859,
    5167,  1861,  1862,    -1,    -1,  1865,   355,  4265,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,
    1880,  1881,  1882,  1883,    -1,    -1,    -1,  1887,  1888,  4550,
     268,    -1,  1892,    -1,    -1,  1895,    -1,    -1,  1898,  1899,
    1900,  1901,  1902,  1903,  1904,  1905,  1906,  4663,  1908,    -1,
      -1,    -1,    -1,    -1,  1914,  1915,    -1,  1917,    35,    -1,
      -1,    -1,    -1,    -1,  1924,    -1,    -1,  4588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    54,    -1,    11,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4732,    -1,  4734,    -1,    -1,
      -1,    -1,   451,    -1,    -1,   454,   455,   456,    40,   458,
     459,   460,   461,   462,   463,    47,    -1,   355,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,  4386,    -1,
      -1,  4727,  4728,  4391,   111,    -1,  4394,    -1,    -1,    71,
      -1,    -1,    -1,    -1,  4740,  4889,    -1,    -1,  4744,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4754,    -1,
    4727,  4728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4740,    -1,    -1,    -1,   148,    -1,    -1,
      -1,  2041,    -1,  2043,    -1,  2045,    -1,    -1,    -1,   166,
      -1,    -1,    -1,    -1,    -1,    -1,  3754,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,
     187,   182,    -1,   451,    -1,    -1,   454,   455,   456,  2079,
     458,   459,   460,   461,   462,   463,  2086,    -1,  2088,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,   180,    -1,
    4887,    -1,    -1,   185,    -1,    -1,    -1,    -1,   235,  2119,
      -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,  2128,    -1,
    2130,    -1,   249,    -1,   251,    -1,    -1,    -1,    -1,    -1,
     251,  4802,    73,    -1,    -1,    -1,    -1,  2147,  5054,   221,
      -1,    -1,  4550,    -1,    -1,    -1,    -1,    -1,    -1,  2159,
      -1,  2161,  2162,   280,    -1,    -1,  2166,    -1,  2168,    -1,
    2170,   282,  2172,    -1,   105,    -1,  2176,   288,    -1,  2179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4588,    -1,    -1,  4970,    -1,  4931,   268,   128,    -1,  4935,
    2200,  4937,    -1,    -1,    -1,  4941,  4942,   324,   139,    -1,
    2210,    -1,   323,    -1,   325,    -1,   327,  4878,  2218,  5125,
    5126,    -1,    -1,   334,    -1,  2225,    -1,   344,   159,    -1,
      -1,   342,    -1,   164,  2234,    -1,    -1,    -1,  3936,   350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,   366,
      -1,   362,   369,    -1,  4652,  2255,    -1,    -1,    -1,   370,
    2260,  2261,    -1,    -1,    -1,  4663,    -1,    -1,    -1,    -1,
    2270,  2271,    -1,    -1,  2274,    -1,  2276,  2277,    -1,    -1,
      -1,    -1,   213,   355,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5068,    -1,    -1,    -1,  2295,  3436,    -1,  2298,  3439,
      -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,    -1,  2319,
    2320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5065,
      -1,  5067,    -1,    -1,  2334,    -1,  2336,  2337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5065,    -1,
    5067,    -1,    -1,  4061,    -1,    -1,  2366,    -1,    -1,    -1,
     301,    -1,    -1,   304,  2374,  2375,    -1,    -1,  3518,   451,
      -1,  2381,    -1,  5160,    -1,    -1,   458,   459,   460,   461,
     462,   463,    -1,  2393,  4792,  2395,    -1,    -1,    -1,   330,
      -1,  4099,  5308,  5309,  4802,  5124,   337,  5124,    -1,  2409,
    5124,  5124,  2412,   344,  2414,  5192,  5193,  2417,    -1,    -1,
      -1,  2421,  4120,    -1,  2424,    -1,    -1,    -1,    -1,    -1,
      -1,  5167,    -1,    -1,    -1,    -1,  2436,  2437,  5099,    -1,
      -1,   372,  5198,    -1,    -1,    -1,   377,    -1,    -1,   380,
      -1,    -1,    -1,    -1,  2454,    -1,    -1,    -1,    -1,    -1,
      -1,  5041,    -1,  5124,  2464,    -1,  2466,   398,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5198,
    4878,  5198,    -1,    -1,  5198,  5198,    -1,  4185,    -1,  2489,
       8,    -1,   423,    11,    -1,    -1,    -1,    -1,  5234,    -1,
      -1,    -1,    -1,  5280,    -1,    -1,    -1,  5243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2516,    -1,  2518,  2519,
    2520,  2521,    40,     8,    -1,    -1,    11,  5234,    -1,    47,
      15,    16,    17,    -1,    -1,    -1,  5243,  5198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    71,  2554,    40,  5292,    -1,    -1,    -1,
      -1,    -1,    47,    -1,  5283,    -1,  5283,    -1,    -1,  5283,
    5283,  5307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5292,    71,    -1,    -1,    -1,
      -1,  2591,    -1,    -1,    -1,    -1,    -1,    -1,  4296,    -1,
    5307,  2601,    -1,    -1,    -1,    -1,    -1,  2607,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
    2620,    -1,  5283,    -1,    -1,    -1,    -1,  3767,  2628,    -1,
      -1,    -1,    32,  2633,    -1,    -1,    -1,    -1,    -1,    -1,
    4338,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,  2656,  2657,  2658,    -1,
      -1,  2661,   180,    -1,    -1,    -1,    32,   185,    -1,  2669,
    2670,  2671,  2672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2682,    -1,    -1,  2685,    -1,  2687,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,  2698,  2699,
     185,  5099,  2702,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2714,    -1,  2716,    -1,  2718,    -1,
    2720,   206,   207,    -1,     8,    -1,  5124,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,   221,    -1,    -1,    -1,
    2740,    -1,    -1,    -1,  2744,    -1,    -1,    -1,    -1,    -1,
     268,  2751,    -1,  2753,  2754,  2755,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1029,    -1,    -1,    -1,    -1,    -1,   254,
      -1,  2771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,  2782,   268,    11,    -1,   271,  2787,    15,    16,
      17,  1057,    -1,  2793,    -1,    -1,    -1,    -1,    -1,    -1,
    5198,    -1,    -1,  2803,    -1,    32,   206,  2807,    -1,    -1,
    2810,  1077,  2812,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,  1087,    -1,    -1,    -1,    -1,    -1,  1093,    -1,    -1,
      -1,    -1,    -1,  1099,  3974,    -1,    -1,   355,  3978,  1105,
     206,    -1,  1108,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2853,    -1,  2855,    -1,    -1,    -1,    -1,
    2860,    -1,    -1,    -1,    -1,    -1,     3,    -1,   268,    -1,
     355,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,  5283,    -1,  2887,    -1,  2889,
    2890,  2891,    -1,    -1,    -1,    32,    -1,    -1,    35,    -1,
      -1,    -1,   268,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4618,    -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   451,    71,    -1,    -1,    -1,    -1,    -1,
     458,   459,   460,   461,   462,   463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,
    4658,    -1,    -1,    -1,    -1,    -1,   451,    -1,    -1,   454,
     455,   456,    -1,   458,   459,   460,   461,   462,   463,   206,
     207,    -1,    -1,    -1,   268,    -1,   471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
    3000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4712,    -1,    -1,    -1,    -1,  4717,
    4718,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,   180,   271,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,    -1,   454,   455,   456,    -1,   458,   459,
     460,   461,   462,   463,    -1,    -1,    -1,    -1,    -1,   206,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4223,   221,    -1,    -1,    -1,   454,   455,
     456,    -1,   458,   459,   460,   461,   462,   463,    -1,    -1,
      -1,    -1,    -1,    -1,  3104,    -1,    -1,    -1,    -1,  3109,
    3110,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,  4827,
      -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3146,  3147,  3148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3163,    -1,    -1,    -1,    -1,    -1,    -1,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
      -1,    -1,    -1,    -1,    -1,  3185,  3186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3195,  3196,  3197,    -1,    -1,
      -1,  3201,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3214,    -1,    -1,    -1,   355,    -1,
      -1,    -1,    55,    -1,   451,    -1,    -1,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,    -1,    -1,  4379,
      -1,    -1,    -1,    -1,   471,    -1,  4386,    -1,    -1,    -1,
      -1,  4391,    -1,    -1,  4394,  4395,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3291,    -1,  4433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3307,    -1,    -1,
      -1,    -1,    -1,    -1,   451,   148,    -1,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,  3327,  5026,    -1,
      -1,    -1,    -1,    -1,    20,    -1,  3336,    -1,    -1,    25,
      -1,  4481,  3342,    -1,  3344,    -1,    -1,  3347,    -1,   182,
      -1,    -1,  3352,  3353,  3354,  3355,    -1,    -1,  3358,  3359,
    3360,  3361,  3362,  3363,  3364,  3365,  3366,  3367,    -1,    -1,
      -1,  3371,  3372,    59,    -1,    -1,    -1,    -1,    -1,   212,
      -1,  3381,    -1,  4523,   217,  3385,    72,    -1,    -1,  3389,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3397,    -1,    -1,
    3400,    87,  3402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3411,    -1,    -1,  3414,  3415,    -1,    -1,   251,  3419,
    3420,    -1,    -1,    -1,  3424,    -1,  3426,    -1,    -1,    -1,
      -1,    -1,    -1,  3433,  3434,  3435,  3436,    -1,    -1,  3439,
    3440,    -1,   128,    -1,  3444,  3445,  3446,    -1,    -1,   282,
      -1,  4591,  3452,   139,    -1,   288,    -1,    -1,  3458,  3459,
    3460,    -1,  1728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1736,    -1,    -1,   159,    -1,    -1,    -1,    -1,   164,    -1,
      -1,    -1,    -1,    -1,  3484,    -1,  1752,    22,    -1,    -1,
     323,    -1,    -1,    28,   327,    -1,    -1,    -1,  3498,    -1,
    3500,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,
      -1,    -1,  4652,    -1,    -1,    -1,    -1,   350,  3518,  3519,
    3520,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    69,    -1,    -1,   370,    -1,  3539,
    3540,  3541,  3542,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     7,  3568,    -1,
      -1,    -1,    -1,    13,    14,    -1,    -1,    -1,    -1,    19,
      -1,    21,   268,    -1,   119,    -1,  3586,    27,   123,    -1,
      30,    -1,   425,    -1,    -1,   130,   429,   430,   133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,
      50,    -1,    -1,    55,    -1,   301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   158,    -1,    -1,    -1,    -1,    -1,  4769,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,
      -1,   337,  4792,    -1,    -1,   190,     8,    -1,   344,    11,
      -1,   347,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,   119,  3678,    11,
      32,    -1,    -1,    15,    16,    17,    -1,    -1,    40,    -1,
      -1,   377,    -1,    -1,    -1,    47,    -1,    -1,   384,    -1,
      32,    -1,    -1,    -1,    -1,   391,   148,    -1,    40,    -1,
    4850,    -1,   398,    -1,   249,    47,   251,  3717,    -1,    71,
      -1,  3721,    -1,  3723,    -1,  3725,   261,    -1,    -1,    -1,
      -1,    -1,  3732,    -1,    -1,   270,    -1,   423,  3738,    71,
     182,  4881,    -1,    -1,    -1,    -1,   281,    -1,  3748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,    -1,    -1,  3763,   204,    -1,   206,  3767,   208,   209,
      -1,   211,    -1,   213,  2040,   217,   216,  3777,   218,    -1,
      -1,    -1,    -1,    -1,   319,    -1,  3786,   322,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3797,    -1,    -1,
      -1,  3801,    -1,    -1,    -1,  3805,  3806,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
      -1,    -1,    -1,   185,  3834,    -1,  3836,    -1,    -1,   281,
     282,    -1,    -1,  3843,    -1,    -1,   288,    -1,   180,  4989,
      -1,    -1,    -1,   185,   206,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,  3872,    -1,   206,   207,    -1,   319,    -1,   414,
      -1,   323,    -1,  3883,    -1,   327,    -1,    -1,    -1,   221,
      -1,    -1,   334,    -1,    -1,    -1,    -1,    -1,    35,    -1,
     342,    -1,   254,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,    -1,    -1,  3913,  5054,    -1,   268,    -1,    55,   271,
     362,    -1,   254,  3923,  3924,    -1,    -1,    -1,   370,    -1,
    3930,  3931,    -1,    -1,    -1,  3935,   268,    -1,    -1,   271,
    3940,    -1,    -1,  3943,  3944,    -1,    -1,    -1,  3948,  3949,
      -1,    -1,    89,    -1,  3954,  3955,  3956,  3957,  3958,    -1,
      -1,    -1,  3962,  3963,  3964,  5105,  3966,  3967,    -1,    -1,
    3970,    -1,    -1,    -1,  3974,    -1,    -1,    -1,  3978,  5119,
      -1,    -1,    -1,   425,  3984,  5125,  5126,    -1,    -1,    -1,
      -1,  3991,    -1,    -1,    -1,    -1,  3996,    -1,    -1,    -1,
      -1,    -1,  4002,   355,    -1,     8,    -1,    -1,    11,  4009,
      -1,   148,    15,    16,    17,    -1,    -1,  4017,    -1,    -1,
      -1,  4021,    -1,   355,    -1,    -1,  4026,    -1,    -1,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,
    4040,    -1,    -1,  4043,    47,   182,    -1,    -1,    -1,    -1,
      -1,  5191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4063,  4064,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,    -1,
     217,  4081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4094,    -1,    -1,    -1,    -1,   451,
      -1,    -1,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,    -1,    -1,   251,    -1,   468,    -1,    -1,   451,
      -1,    -1,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,    -1,   573,    -1,    -1,   468,    -1,    -1,    -1,
      -1,   581,    -1,  4143,    -1,   282,    -1,    -1,   588,   589,
    5290,   288,   592,    -1,   594,   595,    -1,    -1,    -1,   599,
      -1,    -1,    -1,    -1,    -1,  4165,    -1,    -1,  5308,  5309,
     610,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,
    4180,    -1,   185,    -1,    -1,   625,   323,    -1,    -1,    -1,
     327,    -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,    -1,
      -1,    -1,    -1,   206,   207,   342,    -1,    -1,   648,  4209,
     650,    -1,    -1,   350,    -1,    -1,    -1,    -1,   221,  2485,
     660,    -1,    -1,  4223,    -1,   362,  2492,    -1,    -1,  4229,
      -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,  4238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2512,    -1,    -1,    -1,
      -1,   254,   692,  4253,   391,    -1,  2522,    -1,    -1,    -1,
    2526,    -1,    -1,  2529,    -1,   268,  4266,    -1,  4268,  2535,
      -1,  2537,    -1,    -1,  2540,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   726,    -1,   425,    -1,
      -1,    -1,   429,     8,    -1,    -1,    11,    -1,  4298,    -1,
      15,    16,    17,   630,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    22,    -1,
      -1,    -1,    -1,    -1,    28,    40,    -1,   654,    -1,    -1,
      -1,    -1,    47,  2599,  4334,    -1,    -1,    41,    -1,    -1,
     780,    -1,    -1,  4343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   355,    -1,    -1,    -1,    71,    -1,    -1,    -1,
    4360,  4361,    -1,    -1,  4364,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4379,
      -1,    -1,  4382,    -1,    -1,    -1,  4386,    -1,    -1,    -1,
      -1,  4391,    -1,    -1,  4394,  4395,    -1,  4397,    -1,  4399,
      -1,   841,  4402,  4403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   121,    -1,   123,
    4420,    -1,  4422,    -1,    -1,    -1,   130,    -1,    -1,   133,
      -1,    -1,    -1,  4433,  4434,  4435,  4436,  4437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   451,    -1,
      -1,   454,   455,   456,   158,   458,   459,   460,   461,   462,
     463,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,
     185,   911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4481,  4482,    -1,    -1,    -1,   190,   927,    -1,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,   939,
      -1,    -1,   942,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   952,    -1,    -1,    -1,    -1,   957,    -1,    -1,
      -1,    -1,    -1,  4523,    -1,   965,  4526,    -1,    -1,    -1,
      -1,   971,    -1,    -1,   974,    -1,    -1,    -1,  4538,   254,
      -1,  4541,    -1,    -1,    -1,   249,  4546,   251,  4548,    -1,
      -1,    -1,    -1,   268,    -1,  4555,   271,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,    -1,    -1,    -1,
      -1,  4571,    -1,    -1,  1014,  4575,    -1,   281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4589,
    4590,  4591,    -1,    -1,    -1,    -1,    -1,  2863,    -1,    -1,
      -1,    -1,    -1,   930,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,   319,    -1,  4617,   322,   323,
    4620,    -1,  4622,    -1,    -1,    -1,   953,    -1,    -1,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,
     355,   968,  4642,    -1,    47,    -1,   350,    -1,  4648,    -1,
      -1,    -1,  4652,    -1,    -1,    -1,  4656,    -1,    -1,    -1,
      -1,    -1,    -1,  4663,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,  4672,    -1,    -1,    -1,    -1,  2943,    -1,  2945,
      -1,    -1,    -1,    -1,    -1,  1125,    -1,  1127,    -1,  1129,
      -1,  1131,    -1,  1133,  1134,  1135,  4696,    -1,    -1,    -1,
    1140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     414,  1151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4722,    -1,    -1,  1052,    -1,    -1,    -1,    -1,
      -1,  4731,  4732,  4733,  4734,    -1,   451,    -1,    -1,   454,
     455,   456,    -1,   458,   459,   460,   461,   462,   463,    -1,
      -1,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4769,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,  4789,
      -1,    -1,  4792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   200,   206,   207,    -1,    -1,    -1,  3074,    -1,
      -1,    -1,   210,    -1,  3080,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1162,    -1,    22,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,  4847,    -1,    -1,
    4850,   254,    -1,  4853,    -1,    -1,    41,  4857,    -1,    -1,
      -1,    -1,    -1,    -1,  4864,   268,    -1,    -1,   271,  4869,
      -1,  4871,    -1,  4873,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4881,    -1,    -1,    69,    -1,    -1,  4887,    -1,  4889,
      -1,    -1,    -1,    -1,  1334,    -1,    -1,    -1,    -1,  4899,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,   121,    -1,   123,  4939,
    4940,    -1,    -1,    -1,    -1,   130,    32,    -1,   133,    -1,
      -1,    -1,   355,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4970,  1411,    -1,   158,    -1,    -1,  1303,  4977,    -1,    -1,
      -1,  4981,    -1,    -1,    -1,    71,    -1,    -1,    -1,  4989,
      -1,    -1,  3258,    -1,  3260,    -1,  3262,    -1,    -1,    -1,
      -1,    -1,    -1,  3269,    -1,   190,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5014,  5015,    -1,    -1,    -1,  5019,
      -1,    -1,  5022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5032,    -1,    -1,  5035,    -1,    -1,    -1,  1479,
    5040,  1368,  3308,    -1,    -1,    -1,    -1,    -1,   451,    -1,
      -1,   454,   455,   456,  5054,   458,   459,   460,   461,   462,
     463,    -1,    -1,    -1,   249,   468,   251,    -1,  5068,    -1,
      -1,    -1,    -1,    -1,    -1,  5075,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   180,    -1,   281,    -1,    -1,   185,
    5100,    -1,    -1,    22,    -1,  5105,    -1,    -1,  1435,    28,
    5110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5119,
     206,   207,    -1,    -1,    -1,  5125,  5126,  5127,    -1,    -1,
      -1,    -1,    -1,    -1,   319,   221,  5136,   322,   323,    -1,
    5140,    -1,    -1,    -1,    -1,    -1,    -1,  1474,    -1,    -1,
      69,    -1,    -1,  5153,    -1,    -1,    -1,    -1,    -1,    -1,
    5160,    -1,    -1,    -1,    -1,   350,   564,    -1,   254,    -1,
    1497,    -1,   570,    -1,    -1,    -1,  1616,    -1,    -1,    -1,
      -1,     8,   268,    -1,    11,   271,    -1,    -1,    15,    16,
      17,  5191,  5192,  5193,    -1,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,   123,    32,    -1,    -1,    -1,    -1,
      -1,   130,    -1,    40,   133,    -1,    -1,    -1,  5218,  5219,
      47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,   158,
      -1,    11,    -1,    -1,    71,    15,    16,    17,    -1,  1576,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5260,    -1,    32,    -1,  1591,    -1,  5266,    -1,    -1,   355,
      40,   190,    -1,  1600,    -1,    -1,    -1,    47,    -1,    -1,
    5280,    -1,    -1,    -1,    -1,  1612,    -1,  5287,    -1,    -1,
    5290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1738,    -1,
    1740,    71,    -1,    -1,    -1,    -1,    -1,    -1,  5308,  5309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1757,    -1,  1759,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   725,    -1,    -1,
     249,    -1,   251,  1773,    -1,  1775,    -1,  1777,    -1,  1779,
    1667,  1781,   261,    -1,    -1,  1785,    -1,    -1,    -1,    -1,
      -1,   270,   750,   180,  1681,    -1,    -1,    -1,   185,    -1,
      -1,    -1,   281,    -1,    -1,   451,  1693,    -1,   454,   455,
     456,   769,   458,   459,   460,   461,   462,   463,  1705,   206,
     207,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   790,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     319,    -1,    -1,   322,   323,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,    -1,    -1,  1745,  1746,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,
      -1,   350,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,
      -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   862,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,   414,    -1,    -1,   268,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,    -1,
      -1,    -1,    -1,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,  3838,    -1,    -1,    -1,  3842,    -1,    -1,    -1,
     978,    -1,    -1,    -1,    32,   355,    -1,   123,    -1,    -1,
      -1,    -1,    40,    -1,   130,    -1,    -1,   133,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1007,
    1008,  1009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   158,    71,   451,    -1,    -1,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,    -1,    -1,    -1,
      -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2091,  2092,    -1,   190,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2110,  2111,    -1,    -1,    -1,  2115,  2116,    -1,    -1,    -1,
    2120,   451,    -1,    -1,   454,   455,   456,    -1,   458,   459,
     460,   461,   462,   463,  2134,    -1,    -1,    -1,   468,    -1,
      -1,  2141,    -1,    -1,    -1,  2145,  2146,    -1,    -1,  2149,
    2150,    -1,    -1,   249,    -1,   251,  2156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,  2169,
      -1,  2171,   180,    -1,   270,    -1,    -1,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,    -1,    -1,    -1,  1147,
    2190,    -1,    -1,    -1,    -1,  2195,    -1,    -1,   206,   207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2208,    -1,
    2097,    -1,    -1,   221,  2101,  2102,    -1,  2217,    -1,  2219,
    1178,    -1,  2222,  2223,  2224,    -1,   322,   323,    -1,  2229,
    2230,    -1,    -1,  4059,    -1,    -1,    -1,    -1,    -1,  2239,
      -1,    -1,    -1,    -1,  2244,    -1,   254,    -1,    -1,  2249,
      -1,    -1,    35,    -1,   350,    -1,    -1,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,  2265,    -1,    -1,    -1,    -1,
      -1,    -1,    55,  2273,  4100,  4101,  2163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2284,    -1,    -1,    -1,  2175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2296,    -1,    -1,  2299,
      -1,    -1,    -1,    -1,  2304,    -1,    89,    -1,    -1,  2309,
    2310,    -1,    -1,    -1,  2314,    -1,    -1,  2317,   414,    -1,
      -1,  2321,  2322,  2323,  2324,    -1,  2326,    -1,  2215,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2339,
    2340,    -1,  2342,    -1,    -1,    -1,    -1,   355,    -1,    -1,
      -1,    -1,  2352,  2353,    -1,    -1,  1314,    -1,    -1,     8,
    4186,  4187,    11,    -1,    -1,   148,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    32,    15,    16,    17,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,   182,
      -1,    32,    -1,  1361,  2404,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,  2432,    -1,   217,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,   451,    -1,    -1,   454,   455,   456,    -1,
     458,   459,   460,   461,   462,   463,    -1,    -1,    -1,    -1,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,    -1,    -1,    -1,  4301,    -1,  4303,  4304,     8,
      -1,    -1,    11,  1441,    -1,    -1,    15,    16,    17,    -1,
      -1,  4317,  1450,    -1,    -1,    -1,    -1,    -1,    -1,   282,
      -1,    -1,    -1,    32,    -1,   288,    -1,  2394,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,     8,  1480,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,   180,    -1,    -1,    -1,  1493,   185,    -1,  1496,    -1,
     323,    -1,    71,    -1,   327,    32,    -1,    -1,    -1,   180,
      -1,   334,    -1,    40,   185,    -1,    -1,   206,   207,   342,
      47,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,
      -1,    -1,   221,    -1,    -1,   206,   207,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    71,    -1,    -1,   370,  1546,  2476,
     221,    -1,  2592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1560,    -1,    -1,   254,    -1,    -1,   391,    -1,
      -1,    -1,    -1,    -1,    -1,  1573,    -1,    -1,    -1,   268,
      -1,  2621,   271,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,
     271,    -1,   425,    -1,    -1,    -1,   429,    -1,    -1,    -1,
      -1,   180,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1625,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,   180,    -1,    -1,  1654,    -1,   185,    -1,
    2587,    -1,    -1,  1661,    -1,    -1,   355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2604,    -1,   206,
     207,    -1,    -1,    -1,   355,   254,    -1,    -1,    -1,    -1,
    2617,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,   268,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,    -1,   271,    -1,    -1,  4613,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    69,    -1,    -1,
      -1,    -1,   451,    -1,  1762,   454,   455,   456,    -1,   458,
     459,   460,   461,   462,   463,    -1,    -1,    -1,    -1,   468,
     451,    -1,    -1,   454,   455,   456,   355,   458,   459,   460,
     461,   462,   463,    -1,    -1,    -1,    -1,   468,    -1,    -1,
      -1,    -1,  1800,  1801,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,   130,  1817,
    4686,   133,    -1,    -1,    -1,    -1,    -1,    -1,   355,    -1,
      -1,    -1,    -1,    -1,    -1,  2875,    -1,    -1,    -1,  2879,
      -1,    -1,    -1,    -1,    -1,  2885,   158,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2901,  2902,    -1,    -1,    -1,  2906,    -1,    -1,    -1,
    4736,  2911,  2912,  2913,    -1,  2915,    -1,    -1,   190,    -1,
      -1,    -1,   451,    -1,    -1,   454,   455,   456,    -1,   458,
     459,   460,   461,   462,   463,  2822,  2936,    -1,  2825,   468,
    2827,    -1,    -1,    -1,    -1,  2832,  2946,  2947,  2948,  2949,
      -1,    -1,    -1,    -1,    -1,    -1,  1914,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   451,    -1,  1924,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   249,    -1,   251,
      -1,   468,    -1,  2983,    -1,    -1,  2986,  2987,  2988,   261,
      -1,    -1,    -1,    -1,  2881,    -1,    -1,    -1,   270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,
      -1,  2898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    28,  2923,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    -1,    -1,   319,    -1,    -1,
     322,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    69,    -1,   350,    -1,
      -1,    -1,    -1,  2041,    -1,  2043,    -1,    -1,  3088,    -1,
      -1,    -1,     8,    -1,    -1,    11,  3096,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,  2992,    -1,  2994,    -1,    -1,
     103,    -1,    -1,    -1,  3114,    -1,    32,    -1,    -1,    -1,
      36,  2079,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
     123,    47,    -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,
     133,  3141,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,     0,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   158,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    30,    31,  3075,    -1,
      -1,    -1,    -1,  3193,   187,    -1,    -1,   190,  3198,    -1,
      -1,    -1,    46,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3103,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    68,    69,    -1,    -1,  3228,    -1,
      -1,    75,    -1,    77,    -1,    -1,    -1,    -1,    -1,  3126,
      -1,    -1,   235,    -1,    88,   238,    90,  3134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,   251,    -1,
      -1,    -1,    -1,   107,   180,  3265,   110,  3267,   261,   185,
      -1,    -1,    -1,    -1,    -1,    -1,  2234,   270,    -1,    -1,
     124,    -1,   126,    -1,    -1,    -1,   130,   280,   281,    -1,
     206,   207,   136,    -1,    -1,    -1,    -1,  2255,    -1,    -1,
     144,    -1,   146,    -1,    -1,   221,    -1,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   168,  5151,   319,    -1,    -1,   322,
     323,   324,    -1,    -1,  3221,    -1,    -1,    -1,   254,    -1,
     184,    -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,
      -1,   344,   268,    -1,    -1,   271,    -1,   350,    -1,    -1,
      -1,  2319,  2320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   223,
     224,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   189,    -1,    -1,
      -1,   414,    -1,    -1,    -1,    -1,   198,   199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,   355,
      -1,    -1,    -1,  3330,   288,    -1,    -1,    -1,   220,    -1,
      -1,    -1,   296,    -1,    -1,    -1,  2414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3351,   309,    -1,    -1,    -1,    -1,
      -1,   315,   316,    -1,   318,    -1,    -1,    -1,    -1,   323,
      -1,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,  3376,
      -1,    -1,   336,    -1,    -1,   411,    -1,    -1,   342,   343,
      -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,    -1,  3410,    -1,  3525,    -1,  3527,    -1,    -1,
      -1,    -1,    -1,   377,  3534,   451,    -1,    -1,   454,   455,
     456,    -1,   458,   459,   460,   461,   462,   463,     8,    -1,
    3550,    11,   396,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,  3566,     8,   412,    -1,
      11,    -1,    32,   417,    15,    16,    17,    22,    -1,    -1,
      40,    -1,    -1,    28,  3584,    -1,   430,    47,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,    -1,  3602,    -1,    -1,    -1,    47,    -1,    -1,   453,
      -1,    71,  3612,    -1,    -1,    -1,    -1,    -1,    -1,  3506,
      -1,    -1,    -1,   467,    69,    -1,   470,    -1,    -1,    -1,
      71,  3631,    -1,  2591,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3642,  3643,  3644,    -1,    -1,    -1,    -1,  3649,
    3650,  3651,  3652,    -1,    -1,  3655,  3656,    -1,    -1,    -1,
      -1,  3661,  3662,    -1,  3664,  3665,  3666,  3667,  3668,  3669,
      -1,  3671,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,
    3680,    -1,    -1,  3683,  3684,   130,    -1,     8,   133,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,  3702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,   158,    -1,    -1,    -1,    -1,  3605,    40,
     180,    -1,    -1,    -1,  3724,   185,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,
      -1,    -1,  3629,    -1,   185,   190,   206,   207,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,  2744,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
     572,    -1,    -1,    -1,   249,    -1,   251,    -1,   268,    -1,
      -1,   271,   584,   254,    -1,    -1,   261,    -1,   590,    -1,
      -1,    -1,    -1,  3823,    -1,   270,    -1,   268,    -1,    -1,
     271,   603,    -1,    -1,    -1,    -1,   281,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   619,    -1,    -1,
      -1,    -1,   624,    -1,    -1,  3855,    -1,    -1,   630,   180,
      -1,    -1,   634,   635,   185,    -1,    -1,  3754,    -1,    -1,
     642,    -1,    -1,    -1,   319,    -1,    -1,   322,   323,    -1,
      -1,    -1,   654,   655,    -1,   206,   207,    -1,    -1,    -1,
      -1,    -1,    -1,   665,    -1,   355,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   355,    -1,    -1,  3804,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,    -1,    -1,    -1,   747,   748,    -1,    -1,    -1,
      -1,   753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   451,    -1,    -1,   454,   455,   456,    -1,   458,   459,
     460,   461,   462,   463,    -1,    -1,    -1,   779,   468,    -1,
     451,    -1,    -1,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,    -1,    -1,    -1,    -1,   468,    -1,    -1,
      -1,    -1,    -1,    -1,   355,    -1,    -1,    -1,    -1,  3926,
      -1,    -1,  3000,    -1,    -1,    -1,    -1,    -1,    -1,  3936,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,  4069,
      -1,    -1,    -1,  4073,  4074,  4075,  4076,    -1,    -1,  4079,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4110,  4111,  4112,    -1,  4114,    -1,  4116,  4117,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,  4128,  4129,
     451,    -1,    -1,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,    -1,    -1,    -1,    -1,   468,    -1,    -1,
      -1,   923,    -1,    -1,    -1,  4155,    -1,    -1,   930,    -1,
      -1,    -1,   934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4061,    -1,    -1,    -1,  4178,    -1,
      -1,   953,    -1,    -1,     8,    -1,    -1,    11,  3146,  3147,
    3148,    15,    16,    17,    -1,    -1,   968,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3163,    -1,    -1,    32,    -1,
      -1,    -1,  4099,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    22,    -1,  3186,    -1,
      -1,   180,    28,  4120,    -1,    -1,   185,    -1,  3196,  3197,
      -1,  1013,    -1,  3201,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,  4252,    -1,    -1,    -1,  3214,   206,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    69,    -1,    -1,    -1,    -1,    -1,    -1,
    1052,  4281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4185,    -1,
      -1,    -1,    -1,    -1,    -1,   254,  4306,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1089,    -1,   268,
      -1,    -1,   271,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,  1103,    -1,    -1,   130,    -1,    -1,   133,    -1,    -1,
    1112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1120,  3307,
      -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,   185,   158,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,  1148,    -1,    -1,    -1,
      -1,    -1,   206,   207,    -1,    -1,    -1,    32,    -1,    -1,
    1162,    -1,  1164,    -1,   190,    40,    -1,   221,    -1,    -1,
      -1,    -1,    47,    -1,    -1,    -1,   355,  1179,    -1,  4296,
    1182,    -1,    -1,  4413,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1194,    -1,    -1,    -1,    71,    -1,    -1,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,
      -1,  4338,  1224,   249,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4473,   270,  3433,  3434,  3435,    -1,    -1,
    1252,  1253,  1254,    -1,  1256,   281,    -1,    -1,    -1,    -1,
      -1,  4491,    -1,    -1,    -1,    -1,  4496,  4497,    -1,    -1,
      -1,    -1,   451,    -1,  1276,   454,   455,   456,    -1,   458,
     459,   460,   461,   462,   463,    -1,    -1,    -1,    -1,   468,
      -1,    -1,    -1,   319,    -1,    -1,   322,   323,  1300,    -1,
      -1,   355,    -1,    -1,    -1,   180,  1308,  1309,    -1,    -1,
     185,    -1,    -1,    -1,    -1,  1317,  1318,  4547,    -1,    -1,
      -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,  4567,    -1,    -1,
      -1,    -1,    -1,  1345,    -1,    -1,   221,  1349,  1350,    -1,
      -1,    -1,    -1,    -1,  4471,    -1,    -1,    -1,    -1,    -1,
       8,    -1,  1364,    11,    -1,    -1,  1368,    15,    16,    17,
      -1,    -1,    -1,  1375,  4604,    -1,    -1,    -1,    -1,   254,
      -1,  4611,    -1,    -1,    32,    -1,    -1,    -1,   414,    -1,
      -1,    -1,    40,   268,    -1,    -1,   271,   451,    -1,    47,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
      -1,    -1,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4679,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4700,    -1,  1474,    -1,    -1,    -1,  4593,    -1,    -1,     8,
     355,  4711,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,  1497,    -1,    -1,    -1,    -1,
      -1,  4618,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   180,  3721,    -1,    -1,    -1,   185,    -1,    -1,
      -1,  4658,    71,  4773,  3732,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1556,    -1,    -1,    -1,   206,   207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,  1576,  3763,   451,    -1,    -1,   454,
     455,   456,    -1,   458,   459,   460,   461,   462,   463,  1591,
      -1,    -1,    -1,   468,    -1,  4712,    -1,    -1,  1600,    -1,
    4717,  4718,    -1,    -1,  4834,  1607,   254,    -1,    -1,  3797,
    1612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,  1631,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1639,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1651,
      -1,   180,    -1,    -1,    -1,  3843,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1667,  4896,    -1,    -1,    -1,
      -1,    -1,  1674,    -1,    -1,  1677,    -1,   206,   207,  1681,
      -1,  4911,    -1,    -1,    -1,  1687,    -1,    -1,    -1,    -1,
      -1,  1693,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1705,    -1,    -1,    -1,   355,    -1,    -1,
    4827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1722,  1723,    -1,  1725,  1726,   254,    -1,    -1,    -1,    -1,
    4960,    -1,    -1,    -1,    -1,  1737,    -1,    -1,    -1,   268,
      -1,    -1,   271,  1745,  1746,  4975,  1748,  1749,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1764,    -1,    -1,    -1,    -1,  3955,  3956,  3957,
    3958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1796,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   451,    -1,    -1,   454,   455,   456,    -1,
     458,   459,   460,   461,   462,   463,    -1,    -1,    -1,    -1,
     468,    -1,    -1,  5053,    -1,    -1,   355,    -1,  1830,    -1,
    1832,    -1,    -1,    -1,    -1,  1837,  1838,    -1,    -1,    -1,
      -1,    -1,  1844,  1845,  1846,    -1,    -1,    -1,  1850,    -1,
    1852,  1853,  1854,  1855,  1856,  1857,    -1,  1859,    -1,  1861,
    1862,    -1,    -1,  1865,    -1,  5095,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1879,  1880,  1881,
    1882,  1883,  1884,    -1,    -1,    -1,  1888,    -1,    -1,    -1,
    1892,    -1,    -1,  1895,    -1,    -1,  1898,  1899,  1900,  1901,
    1902,  1903,  1904,  1905,  1906,    -1,  1908,    -1,    -1,  5026,
      -1,    -1,    -1,  1915,    -1,  1917,    -1,    -1,    -1,    -1,
      -1,    -1,   451,    -1,    -1,   454,   455,   456,    -1,   458,
     459,   460,   461,   462,   463,    -1,    -1,    -1,    -1,   468,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    32,    -1,    -1,    15,    16,    17,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,     8,    -1,    -1,
      11,    32,    -1,    -1,    15,    16,    17,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      71,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      71,    -1,    -1,  2045,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2090,     8,
      -1,    -1,    11,    -1,    32,  2097,    15,    16,    17,  2101,
    2102,    -1,    40,    -1,    -1,    -1,  2108,    -1,    -1,    47,
    4298,  2113,  2114,    32,    -1,    -1,  2118,    -1,    -1,    -1,
      -1,    40,    -1,    -1,  2126,    -1,   157,    -1,    47,   180,
      -1,   162,    -1,    71,   185,    -1,    -1,    22,    -1,    -1,
      -1,    -1,  2144,    28,    -1,  2147,    -1,    -1,    -1,   180,
      -1,    -1,    71,    -1,   185,   206,   207,  2159,    -1,    -1,
      -1,  2163,    -1,    -1,  2166,    -1,    -1,    -1,    -1,   180,
     221,    -1,    -1,  2175,   185,   206,   207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    69,    -1,  2188,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,
      -1,    -1,    -1,   254,  2206,  2207,    -1,    -1,    -1,    -1,
     221,    -1,    -1,  2215,    -1,    -1,    -1,   268,   156,    -1,
     271,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2237,  2238,   268,   123,  2241,
     271,    -1,   180,   254,    -1,   130,    -1,   185,   133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,
     271,   180,  2264,    -1,  2266,    -1,   185,    -1,   206,   207,
    2272,    -1,    -1,   158,    -1,    -1,    -1,  2279,    -1,    -1,
      -1,  2283,    -1,   221,   295,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2303,   221,    -1,   355,   190,  2308,    -1,    -1,    -1,
    2312,    -1,    -1,  2315,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,  2325,   355,    -1,    -1,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,   254,  2338,    -1,  4526,    -1,
      -1,    -1,    -1,    -1,   355,    -1,  2348,    -1,    -1,   268,
      -1,    -1,   271,  4541,    -1,   293,    -1,    -1,  4546,    -1,
     371,    -1,    -1,    -1,   249,    -1,   251,    -1,    -1,    -1,
     289,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,  4571,    -1,   270,    -1,    -1,    -1,    -1,
      -1,  2393,  2394,    -1,    -1,    -1,   281,    -1,    -1,    -1,
     451,  2403,  4590,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   355,    -1,    -1,
     451,    -1,    -1,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,    -1,   319,  2437,   355,   322,   323,    -1,
     451,    -1,    -1,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,   350,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,  2476,    -1,    -1,    -1,  2480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2489,    32,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    22,    -1,  4696,    -1,
      -1,    -1,    28,   451,    -1,    -1,   454,   455,   456,    -1,
     458,   459,   460,   461,   462,   463,    -1,    71,    -1,   414,
      -1,  2533,   451,    -1,    -1,   454,   455,   456,    -1,   458,
     459,   460,   461,   462,   463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    69,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,  2571,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,  2587,    35,  2589,    -1,    -1,
      -1,    40,    -1,    -1,    -1,  2597,    -1,    -1,    47,  2601,
      -1,  4789,  2604,    -1,    -1,  2607,    -1,   123,    -1,    -1,
      -1,    -1,    -1,    -1,   130,  2617,    -1,   133,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,  2628,    -1,    -1,    -1,
      -1,  2633,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,   185,   158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2656,  2657,  2658,    -1,    -1,  2661,
      -1,    -1,   206,   207,    -1,    -1,    -1,  2669,  2670,  2671,
    2672,    -1,    -1,    -1,   190,  2677,    -1,   221,    -1,    -1,
    2682,  2683,    -1,  2685,    -1,  2687,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2698,  2699,    -1,    -1,
    2702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     254,    -1,    -1,    -1,  2716,    -1,  2718,    -1,  2720,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,
      -1,   180,    -1,   249,    -1,   251,   185,    -1,  2740,    -1,
      -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,  2751,
      -1,  2753,  2754,  2755,   270,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,    -1,   281,  2768,    -1,    -1,  2771,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2782,    -1,    -1,    -1,    -1,  2787,    -1,    -1,    -1,    -1,
      -1,  2793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2803,    -1,   319,    -1,   254,   322,   323,    -1,    -1,
      -1,   355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
    2822,    -1,   271,  2825,     8,  2827,    -1,    11,    -1,    22,
    2832,    15,    16,    17,   350,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2847,  2848,    -1,    32,    -1,
      -1,  2853,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,     8,    47,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,  2874,    -1,    -1,  2877,    69,    -1,    -1,  2881,
      -1,    -1,    -1,    -1,    -1,    -1,    32,    71,    -1,    35,
      -1,    -1,    -1,    -1,    40,    -1,  2898,    -1,   414,    -1,
      -1,    47,    -1,    -1,    -1,    -1,   355,   451,    -1,    -1,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
      -1,  2923,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,
     133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2958,  2959,  2960,    -1,
      -1,    -1,    -1,    -1,    -1,   158,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,
    2982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2992,    -1,  2994,    -1,    -1,    -1,   180,   190,    -1,    -1,
    3002,   185,   451,    -1,    -1,   454,   455,   456,    -1,   458,
     459,   460,   461,   462,   463,  3017,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   180,    -1,    -1,   221,    -1,   185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,   251,    -1,
     206,   207,    -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,
     254,    -1,    -1,  3075,    -1,   221,    -1,   270,    -1,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,   271,   281,    -1,
      -1,    -1,    -1,  3095,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3103,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,    -1,  3126,   271,   319,    -1,    -1,   322,
     323,  3133,  3134,    -1,     8,    -1,    -1,    11,  3140,    -1,
    3142,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3155,    -1,  3157,    -1,   350,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,   355,    -1,    47,    -1,    -1,    -1,  3179,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,  3203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,  3221,
      -1,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   198,
     199,    -1,  3234,    -1,    -1,    -1,    -1,    -1,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3268,   451,    -1,    -1,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
      -1,    -1,  3284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3306,   451,   180,  3309,   454,   455,
     456,   185,   458,   459,   460,   461,   462,   463,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3327,    -1,    -1,  3330,    -1,
      25,    -1,   206,   207,  3336,    -1,    -1,    -1,    -1,    -1,
    3342,    -1,  3344,    -1,    -1,  3347,    -1,   221,    -1,  3351,
    3352,  3353,  3354,  3355,    -1,    -1,  3358,  3359,  3360,  3361,
    3362,  3363,  3364,  3365,  3366,  3367,    -1,    -1,    -1,  3371,
    3372,    -1,    -1,    -1,  3376,    -1,    -1,    72,    -1,  3381,
     254,    -1,    -1,  3385,    -1,  3387,    -1,  3389,    -1,    -1,
      -1,    -1,    87,    -1,   268,  3397,    -1,   271,  3400,    -1,
    3402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3410,  3411,
     105,    -1,  3414,  3415,    -1,    -1,   111,  3419,  3420,    -1,
      -1,    -1,    -1,    -1,  3426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   128,  3436,    -1,    -1,  3439,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,     8,    -1,    -1,    11,
    3452,    -1,   147,    15,    16,    17,  3458,  3459,  3460,    -1,
      -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,    -1,   164,
      32,    -1,    -1,    35,    -1,    -1,   171,    -1,    40,    -1,
      -1,   355,  3484,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   188,    -1,    -1,    -1,    -1,  3500,    -1,
     199,    -1,    -1,    -1,  3506,    -1,    -1,    -1,   207,    71,
      -1,   385,    -1,    -1,    -1,    -1,  3518,    -1,   213,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3549,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,    -1,   451,    -1,    -1,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
      71,    -1,    -1,    -1,    -1,    -1,   291,  3599,    -1,    -1,
      -1,    -1,  3604,  3605,  3606,    -1,   301,    -1,    -1,   304,
      -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,   180,    -1,
      -1,   590,    -1,   185,    -1,    -1,  3628,  3629,    -1,    -1,
      -1,    -1,    -1,    -1,   603,   330,    -1,    -1,    -1,    -1,
     335,    -1,   337,  3645,   206,   207,    -1,    -1,    -1,   344,
     619,    -1,   347,    -1,    -1,    -1,    -1,    -1,  3660,   221,
      -1,  3663,    -1,    -1,    -1,   634,   635,    -1,    -1,    -1,
      -1,   366,    -1,   642,    -1,    -1,    -1,   372,    -1,    -1,
      -1,   376,   377,    -1,    -1,   380,   655,    -1,    -1,   384,
      -1,    -1,   254,    -1,    -1,    -1,   665,    -1,   393,   180,
      -1,    -1,    -1,   398,   185,    -1,   268,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3725,    -1,   206,   207,    -1,   423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3750,  3751,
      -1,    -1,  3754,    -1,    -1,    -1,    -1,    -1,  3760,    -1,
      -1,    -1,    -1,    -1,    -1,  3767,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,    -1,    -1,    -1,  3779,    -1,    -1,
      -1,    -1,    -1,    -1,   753,    -1,    -1,   268,    -1,    -1,
     271,    -1,    -1,   355,    22,    -1,    -1,    -1,    -1,    -1,
      28,    -1,  3804,  3805,  3806,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3851,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3872,    -1,    -1,    -1,   355,   103,    -1,    -1,    -1,    -1,
      -1,  3883,    -1,    -1,    -1,   584,    -1,    -1,    -1,   451,
      -1,   590,   454,   455,   456,   123,   458,   459,   460,   461,
     462,   463,   130,    -1,   603,   133,    -1,    -1,    -1,    -1,
      -1,  3913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     619,  3923,  3924,    -1,  3926,    -1,    -1,    -1,  3930,  3931,
     158,    -1,    -1,  3935,  3936,    -1,   635,    -1,  3940,    -1,
      -1,  3943,  3944,   642,    -1,    -1,  3948,    -1,    -1,    -1,
      -1,    -1,  3954,    -1,    -1,    -1,   655,    -1,    -1,   187,
      -1,    -1,   190,    -1,  3966,   934,   665,    -1,    -1,    -1,
     451,    -1,  3974,   454,   455,   456,  3978,   458,   459,   460,
     461,   462,   463,    -1,    -1,    -1,    -1,    -1,    -1,  3991,
      -1,    -1,    -1,    -1,  3996,    -1,    -1,    -1,    -1,    -1,
    4002,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
     238,    -1,    -1,    -1,    -1,  4017,    -1,    -1,    -1,    -1,
      -1,   249,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4043,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   280,   281,   753,    -1,    -1,    -1,    -1,  4061,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4078,    -1,    -1,    -1,
      -1,  4083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,    -1,    -1,   322,   323,   324,  4099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4115,    -1,    -1,   344,    -1,  4120,    -1,
    1089,    -1,   350,    -1,    -1,  4127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1103,    -1,   364,    -1,    -1,    -1,
      -1,  4143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1120,  4154,    -1,    -1,    -1,    -1,    -1,   630,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1148,
      -1,    -1,   654,  4185,    -1,    -1,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4209,    -1,    -1,
    1179,    -1,    -1,  1182,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4246,    -1,    -1,    -1,    -1,    -1,
      -1,  4253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   630,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   654,
      -1,    -1,  4294,    -1,  4296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4318,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1300,  4334,    -1,    -1,    -1,  4338,    -1,    -1,  1308,
    1309,  4343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4360,  4361,
      -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4379,    -1,    -1,
      -1,    -1,    -1,    -1,  4386,    -1,    -1,    -1,    -1,  4391,
    1089,    -1,  4394,  4395,    -1,    -1,    -1,    -1,    -1,    -1,
    4402,  4403,    -1,    -1,  1103,    -1,  1375,    -1,    -1,    20,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,  4420,    -1,
    4422,  1120,    -1,    -1,    -1,  4427,    37,  4429,    -1,    -1,
      -1,  4433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,  1148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   930,    -1,
      -1,    72,    -1,    -1,    -1,  1164,    -1,    -1,    -1,  4471,
    4472,    -1,    83,    -1,    -1,    -1,    87,    -1,    -1,  4481,
    1179,   953,    -1,  1182,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,   968,    -1,    -1,    -1,
     111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4517,    -1,   128,    -1,    -1,
      -1,  4523,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,    -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4578,   188,    -1,    -1,
    1052,    -1,    -1,    -1,    -1,    -1,    -1,  1556,   953,  4591,
      -1,  4593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1300,    -1,   968,    -1,    -1,    -1,    -1,    -1,  1308,
    1309,    -1,    -1,    -1,   225,  4617,  4618,    -1,  4620,  1318,
    4622,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1607,    -1,
    4642,    -1,    -1,    -1,    -1,    -1,  4648,    -1,    -1,    -1,
    4652,    -1,    -1,    -1,    -1,    -1,  4658,   268,    -1,    -1,
     271,  4663,  1631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1639,    -1,    -1,    -1,    -1,    -1,  1375,    -1,    -1,    -1,
     291,    -1,  1651,    -1,    -1,    -1,    -1,  1052,    -1,    -1,
    1162,    -1,    -1,   304,    -1,    -1,    -1,    -1,    -1,    -1,
     311,    -1,  4704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4712,    -1,    -1,    -1,    -1,  4717,  4718,    -1,    -1,   330,
    4722,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,    -1,  4740,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1722,  1723,   366,  1725,  1726,    -1,    -1,
      -1,   372,    -1,    -1,    -1,    -1,   377,  4769,  1737,   380,
     381,    -1,   383,   384,    -1,    -1,    -1,    -1,    -1,  1748,
    1749,    -1,   393,    -1,    -1,    -1,    -1,   398,    -1,    -1,
    4792,    -1,    -1,   404,    -1,  1764,   407,  1162,    -1,   410,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4826,  4827,    -1,  1796,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4847,    -1,    -1,  4850,    -1,
      -1,  4853,    -1,    -1,    -1,    -1,    -1,  1556,    -1,    -1,
      -1,    -1,  4864,    -1,    -1,    -1,    -1,  4869,    -1,  4871,
      -1,  4873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1368,  4899,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1607,    -1,
      -1,    -1,    -1,    -1,    -1,  1884,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4929,    -1,  4931,
      -1,    -1,  1631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   747,   748,
      -1,    -1,  1651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4981,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4989,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1474,  1368,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5014,  5015,    -1,    -1,    -1,    -1,    -1,    -1,
    5022,  5023,    -1,    -1,  5026,  1497,  1725,  1726,    -1,    -1,
    5032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1737,  5041,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1748,
    1749,    -1,  5054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1764,    -1,    -1,    -1,    -1,
    1435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5105,  1576,    -1,    -1,    -1,  5110,  1474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5119,    -1,  1591,
      -1,  2090,    -1,  5125,  5126,  5127,    -1,    -1,  1600,    -1,
      -1,    -1,  1497,    -1,  5136,    -1,    -1,    -1,    -1,  2108,
    1612,    -1,    -1,    -1,  2113,  2114,    -1,    -1,    -1,  2118,
      -1,  5153,    -1,    -1,    -1,    -1,    -1,  2126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1884,    -1,    -1,    -1,  5191,
      -1,    -1,    -1,    -1,    -1,  1667,    -1,  2166,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1681,
      -1,  1576,    -1,    -1,    -1,    -1,  5218,  5219,    -1,  2188,
      -1,  1693,    -1,    -1,    -1,    -1,  1591,    -1,    -1,    -1,
      -1,    -1,    -1,  1705,    -1,  1600,    -1,  2206,  2207,    -1,
      -1,  5243,    -1,    -1,    -1,    -1,    -1,  1612,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5260,    -1,
      -1,    -1,    -1,    -1,  5266,    -1,    -1,    -1,  2237,  2238,
      -1,    -1,  2241,  1745,  1746,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5290,    -1,
    5292,    -1,    -1,    -1,    -1,  2264,    -1,  2266,    -1,    -1,
      -1,    -1,  1667,  2272,    -1,  5307,  5308,  5309,    -1,    -1,
    2279,    -1,    -1,    -1,  2283,    -1,  1681,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1693,    -1,
      -1,    -1,    -1,    -1,  2303,    -1,    -1,    -1,    -1,  2308,
    1705,    -1,    -1,  2312,    -1,    -1,  2315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2338,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2348,
    1745,  1746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2090,    -1,    -1,    -1,  1194,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1879,    -1,  2108,
      -1,    -1,    -1,    -1,  2113,  2114,    -1,    -1,    -1,  2118,
      -1,    -1,    -1,    -1,    -1,  1224,    -1,  2126,    -1,    -1,
      -1,    -1,    -1,    -1,  2403,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1252,  1253,  1254,    -1,  1256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    -1,    -1,    -1,  1276,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2188,
      37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2206,  2207,    -1,
      -1,  2480,    59,    -1,  1879,    -1,    -1,    -1,  1317,    -1,
      -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2237,  2238,
      87,    -1,  2241,    -1,    -1,    -1,  1345,    -1,    -1,    -1,
    1349,  1350,  1917,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,  2533,  2264,    -1,  2266,    -1,    -1,
      -1,    -1,    -1,  2272,    -1,    -1,    -1,    -1,    -1,    -1,
    2279,   128,    -1,    -1,  2283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,    -1,  2571,    -1,  2303,    -1,    -1,    -1,    -1,  2308,
      -1,    -1,   159,  2312,    -1,    -1,  2315,   164,    -1,    -1,
    2589,    -1,    -1,    -1,   171,  2097,  2325,    -1,  2597,  2101,
    2102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2607,  2338,
      -1,   188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,  2163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2175,  2403,    -1,    -1,    -1,  2677,    -1,
      -1,    -1,    -1,    -1,  2683,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2097,   280,    -1,    -1,  2101,  2102,    -1,    -1,
      -1,    -1,    -1,  2215,   291,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   301,    -1,    -1,   304,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2480,    -1,   330,    -1,    -1,    -1,    -1,   335,    -1,
     337,    -1,    -1,    -1,    -1,    -1,    -1,   344,  2163,  2768,
     347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,
      -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,
     377,    -1,    -1,   380,  2533,    -1,    -1,   384,    -1,    -1,
      -1,    -1,    -1,    -1,   391,    -1,   393,    -1,    -1,    -1,
    2215,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2571,    -1,    -1,    -1,   423,    -1,  2847,  2848,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2597,    -1,
      -1,    -1,    -1,    -1,    -1,  2874,    -1,    -1,  2877,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    -1,  2394,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    72,    73,    -1,    -1,    -1,    -1,  2677,    -1,
      -1,    -1,    -1,    83,  2683,    -1,    -1,    87,    -1,  2958,
    2959,  2960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2476,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2982,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,  2394,
      -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,  1837,   139,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,  3017,    -1,
      -1,  1850,    -1,  1852,    -1,    -1,  1855,  1856,  1857,   159,
      -1,    -1,    -1,  1862,   164,    -1,  1865,    -1,    -1,  2768,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1880,  1881,  1882,  1883,    -1,    -1,    -1,   188,  1888,
      -1,    -1,    -1,  1892,    -1,    -1,  1895,    -1,    -1,  1898,
    1899,  1900,  1901,  1902,  1903,  1904,  1905,  1906,    -1,  1908,
      -1,  2476,    -1,   213,    -1,  2587,  1915,    -1,  1917,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3095,    -1,    -1,    -1,
      -1,    -1,  2604,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2617,    -1,    -1,  2847,  2848,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3133,    -1,    -1,    -1,   268,    -1,
      -1,  3140,    -1,  3142,    -1,  2874,    -1,    -1,  2877,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3155,    -1,  3157,    -1,
      -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   301,    -1,    -1,   304,    -1,    -1,    -1,    -1,    -1,
    3179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,    -1,    -1,    -1,    -1,   335,    -1,   337,    -1,  2604,
      -1,    -1,    -1,    -1,   344,    -1,  2045,   347,    -1,    -1,
      -1,  3220,  2617,    -1,    -1,   630,    -1,    -1,    -1,  2958,
    2959,  2960,    -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,    -1,   377,    -1,   654,
     380,    -1,    -1,  2982,   384,    -1,    -1,    -1,    -1,    -1,
      -1,   391,    -1,   393,    -1,    -1,    -1,    -1,   398,  3268,
      -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3284,    -1,    -1,  3017,    -1,
      -1,    -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3306,    -1,    -1,
    3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2147,    -1,
    2822,    -1,    -1,  2825,    -1,  2827,    -1,    -1,    -1,    -1,
    2832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,  2754,
    2755,    -1,    -1,    -1,    -1,    -1,  3095,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   630,    -1,    -1,    -1,  2881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3387,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2898,    -1,    -1,   654,
      -1,    -1,    -1,    -1,  3133,    -1,    -1,    -1,    -1,    -1,
      -1,  3140,    -1,  3142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2923,    -1,    -1,    -1,    -1,  3155,  2822,  3157,    -1,
    2825,    -1,  2827,    -1,    -1,    -1,    -1,  2832,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2881,    -1,    -1,    -1,
    2992,  3220,  2994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2898,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,  2923,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3268,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   953,    -1,
    3549,    -1,    -1,    -1,    -1,  3284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   968,  2393,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3075,    -1,    -1,    -1,  3306,    -1,    -1,
    3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2992,    -1,  2994,
    3599,  3103,    -1,    -1,    -1,  3604,    -1,  3606,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,    -1,  3628,
      -1,    -1,  3134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3645,  1052,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3387,    -1,
      -1,  3660,    -1,    -1,  3663,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,
    3075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   953,    -1,
      -1,  3203,    -1,    -1,    -1,    -1,    -1,    -1,  3103,    -1,
      -1,    -1,    -1,   968,    -1,    -1,    -1,    -1,    -1,  3221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3126,  3234,    -1,    -1,    -1,    -1,    -1,    -1,  3134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3750,  3751,    -1,    -1,    -1,    -1,  1162,    -1,    -1,
      -1,  3760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1052,   630,  2628,
      -1,    -1,    -1,    -1,  2633,    -1,    -1,    -1,  3203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3549,    -1,   654,    -1,    -1,    -1,  3221,    -1,  3330,  2658,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
    2669,    -1,  2671,  2672,    -1,    -1,    -1,    -1,    -1,  3351,
      -1,    -1,  3851,  2682,    -1,    -1,  2685,    -1,  2687,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3599,    -1,    -1,    -1,  3376,  3604,    -1,  3606,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2716,    -1,  2718,
      -1,  2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3628,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1162,  3410,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3645,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2753,  2754,  2755,    -1,    -1,    -1,
      -1,  3660,    -1,    -1,  3663,  3330,    -1,    -1,    -1,    -1,
      -1,    -1,  2771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2782,    -1,    -1,  3351,    -1,  2787,    -1,
      -1,    -1,    -1,  1368,  2793,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3410,    -1,    -1,    -1,    -1,
      -1,  3750,  3751,    -1,  2853,    -1,    -1,    -1,    -1,    -1,
    1435,  3760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3460,    -1,    -1,    -1,  1474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4078,
      -1,    -1,    -1,    -1,  4083,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1497,    -1,    -1,    -1,    -1,    -1,   930,    -1,
      -1,    -1,    -1,  3605,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3506,    -1,  1368,    -1,    -1,  4115,    -1,    -1,    -1,
      -1,   953,  3851,    -1,    -1,    -1,    -1,  3629,  4127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   968,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1435,    -1,    -1,    -1,    -1,    -1,  1591,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1600,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1612,    -1,    -1,
    3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1474,
    1052,    -1,    -1,    -1,    -1,   630,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3629,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1497,    -1,    -1,    -1,    -1,  4246,    -1,   654,
      -1,    -1,  3754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1681,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1693,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1705,    -1,  3804,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4318,
      -1,  1576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1162,    -1,    -1,    -1,    -1,    -1,  1591,    -1,    -1,    -1,
    1745,  1746,    -1,    -1,    -1,  1600,    -1,    -1,    -1,  4078,
      -1,    -1,    -1,    -1,  4083,    -1,    -1,  1612,    -1,  3754,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4115,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3804,
      -1,    -1,  1667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3926,  4154,  1681,    -1,  4427,    -1,
    4429,    -1,    -1,    -1,  3936,    -1,    -1,    -1,  1693,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4472,  1879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1745,  1746,    -1,    -1,    -1,    -1,    -1,    -1,  3327,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3336,    -1,    -1,
      -1,    -1,    -1,  3342,    -1,  3344,    -1,  4246,  4517,    -1,
      -1,    -1,    -1,    -1,  4523,   930,    -1,    -1,    -1,    -1,
      -1,  3926,    -1,    -1,    -1,    -1,  1368,    -1,    -1,    -1,
      -1,  3936,  3371,  3372,    -1,    -1,    -1,    -1,   953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4061,
    3389,    -1,    -1,   968,    -1,    -1,    -1,    -1,  3397,    -1,
      -1,  3400,    -1,  3402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3411,    -1,    -1,    -1,    -1,    -1,    -1,  4318,
    3419,  3420,    -1,    -1,    -1,    -1,  3991,  4099,    -1,    -1,
      -1,  3996,    -1,  1435,    -1,    -1,    -1,  4002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4120,    -1,
      -1,    -1,    -1,  3452,  1879,    -1,    -1,    -1,    -1,  3458,
    3459,  3460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1474,    -1,    -1,    -1,    -1,  1052,   630,    -1,
      -1,    -1,    -1,    -1,    -1,  3484,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1497,  4061,    -1,    -1,    -1,
      -1,  3500,   654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2097,    -1,    -1,    -1,  2101,  2102,  4427,    -1,
    4429,    -1,    -1,    -1,  4099,  4704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4740,    -1,  4472,  1576,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1162,  2163,  1591,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1600,    -1,
    2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4517,    -1,
    4185,    -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1667,  4338,    -1,    -1,    -1,
      -1,    -1,  2097,    -1,    -1,    -1,  2101,  2102,    -1,  1681,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1705,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4294,
      -1,  4296,    -1,    -1,    -1,    -1,    -1,    -1,  2163,    -1,
      -1,    -1,    -1,  1745,  1746,    -1,    -1,    -1,    -1,    -1,
    2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4929,    -1,  4931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4338,    -1,    -1,    -1,    -1,   930,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2215,    -1,    -1,  1368,    -1,    -1,    -1,    -1,    -1,  4471,
      -1,   953,    -1,    -1,    -1,  4704,  3805,  3806,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   968,    -1,    -1,  2394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5023,    -1,    -1,    -1,    -1,    -1,
    1435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5041,  3872,    -1,    -1,    -1,  1879,    -1,    -1,
      -1,    -1,    -1,    -1,  3883,  5054,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1474,
    1052,  2476,    -1,    -1,    -1,    -1,  4471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4593,  1497,    -1,  3923,  3924,    -1,    -1,    -1,    -1,
      -1,  3930,  3931,    -1,    -1,    -1,  3935,    -1,    -1,    -1,
      -1,  3940,    -1,    -1,  3943,  3944,  4618,    -1,    -1,  3948,
      -1,    -1,    -1,    -1,    -1,  3954,  5125,  5126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4658,    -1,    -1,    -1,
      -1,    -1,  3991,    -1,    -1,    -1,    -1,  3996,  5167,    -1,
      -1,  1576,    -1,  4002,    -1,    -1,    -1,    -1,    -1,    -1,
    1162,    -1,  2587,    -1,    -1,    -1,  1591,    -1,  4017,    -1,
      -1,    -1,    -1,    -1,    -1,  1600,    -1,    -1,  4593,  2604,
    4929,    -1,  4931,    -1,    -1,    -1,    -1,  1612,    -1,    -1,
    4712,    -1,  2617,    -1,  4043,  4717,  4718,    -1,    -1,    -1,
      -1,  2476,    -1,  4618,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1667,  4658,    -1,  2097,    -1,    -1,    -1,  2101,
    2102,    -1,    -1,    -1,    -1,    -1,  1681,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1693,    -1,
      -1,    -1,    -1,  5292,  5023,    -1,    -1,    -1,    -1,    -1,
    1705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5307,  5308,
    5309,    -1,  5041,    -1,  4143,    -1,    -1,  4712,    -1,    -1,
      -1,    -1,  4717,  4718,    -1,  4827,    -1,    -1,    -1,    -1,
      -1,  2163,  2587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1745,  1746,    -1,  2175,    -1,    -1,    -1,    -1,    -1,  2604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4209,    -1,    -1,  2215,    -1,    -1,  1368,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2822,    -1,    -1,
    2825,    -1,  2827,    -1,    -1,    -1,    -1,  2832,    -1,    -1,
      -1,  4826,  4827,    -1,    -1,    -1,    -1,    -1,  5167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1879,    -1,  2881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1474,  2898,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5243,  1497,    -1,    -1,  2923,    -1,
      -1,    -1,    -1,    -1,  5026,    -1,    -1,    -1,    -1,    -1,
      -1,  4360,  4361,    -1,    -1,  4364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2394,  5292,    -1,    -1,    -1,  2822,    -1,    -1,
    2825,    -1,  2827,  4402,  4403,    -1,    -1,  2832,  5307,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2992,    -1,  2994,
      -1,    -1,    -1,  4422,  1576,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1591,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1600,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2881,    -1,    -1,    -1,
    1612,  5026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2898,  2476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2923,    -1,
    3075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1667,    -1,    -1,    -1,    -1,
      -1,    -1,  2097,    -1,    -1,    -1,  2101,  2102,  3103,  1681,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3126,    -1,  1705,    -1,    -1,    -1,    -1,    -1,  3134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2992,    -1,  2994,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2587,    -1,    -1,  2163,    -1,
      -1,    -1,    -1,  1745,  1746,    -1,    -1,    -1,    -1,    -1,
    2175,    -1,  2604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2617,    -1,    -1,    -1,    -1,
      -1,  4620,    -1,    -1,    -1,    -1,    -1,    -1,  3203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2215,    -1,    -1,    -1,    -1,    -1,  3221,    -1,    -1,  4648,
    3075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
      -1,    -1,    -1,    -1,  4663,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4722,    -1,    -1,    -1,  1879,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3351,    -1,  3203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3221,    -1,    -1,    -1,
      -1,  3376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2394,
    2822,    -1,    -1,  2825,    -1,  2827,    -1,    -1,    -1,    -1,
    2832,    -1,    -1,    -1,    -1,  3410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4873,    -1,    -1,    -1,    -1,  2881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2898,    -1,    -1,    -1,
    4899,  2476,    -1,    -1,    -1,  3330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1268,    -1,    -1,
      -1,  2923,    -1,    -1,    -1,    -1,  3351,    -1,    -1,    -1,
      -1,  3506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2097,    -1,    -1,    -1,  2101,
    2102,  3376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1331,    -1,  4981,    -1,    -1,  3410,    -1,    -1,    -1,    -1,
    2992,    -1,  2994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2163,  2587,    -1,    -1,  5014,  5015,    -1,    -1,    -1,
      -1,    -1,    -1,  2175,    -1,    -1,    -1,    -1,    -1,  2604,
    3605,    -1,    -1,  5032,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3629,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2215,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3075,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,  5127,    -1,
      -1,    -1,  3134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3754,
    3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3203,    -1,    -1,  3629,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3804,
      -1,    -1,  3234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2394,    -1,    -1,    -1,    -1,  2822,    -1,    -1,
    2825,    -1,  2827,    -1,    -1,    -1,    -1,  2832,    -1,    -1,
      -1,  5260,    -1,    -1,    -1,    -1,    -1,  5266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2898,  2476,    -1,    -1,    -1,  3330,  3754,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2923,  3351,
      -1,  3926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3936,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3376,    -1,    -1,    -1,    -1,  3804,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3410,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2992,    -1,  2994,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2587,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2617,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1835,    -1,  4061,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1849,    -1,
    3075,  3926,  1853,    -1,  3506,    -1,    -1,    -1,    -1,    -1,
      -1,  3936,    -1,    -1,    -1,    -1,  1867,  1868,  1869,    -1,
    1871,    -1,    -1,    -1,  4099,    -1,    -1,    -1,  3103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4120,    -1,    -1,    -1,    -1,
      -1,  3126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3134,
      -1,    -1,  1913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1950,
      -1,    -1,    -1,  3605,    -1,    -1,    -1,    -1,    -1,    -1,
    4185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,  3203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4061,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2822,    -1,    -1,  2825,  4099,  2827,    -1,    -1,    -1,    -1,
    2832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2054,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2066,    -1,    -1,  2069,    -1,
      -1,  4296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2898,    -1,    -1,    -1,
      -1,    -1,  3754,    -1,    -1,  3330,    -1,    -1,    -1,    -1,
    4185,    -1,    -1,  4338,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2923,    -1,    -1,    -1,    -1,  3351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3376,  3804,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3410,    -1,    -1,    -1,    -1,
    2992,    -1,  2994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4338,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3075,  3926,    -1,    -1,    -1,    -1,    -1,
      -1,  3506,    -1,    -1,  3936,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4618,    -1,    -1,  4471,    -1,    -1,    -1,
      -1,  3203,    -1,    -1,  3629,    -1,    -1,    -1,    -1,  4061,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3234,  4658,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4712,    -1,    -1,
      -1,    -1,  4717,  4718,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3330,  3754,
      -1,    -1,    -1,  4185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,  3351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3376,    -1,    -1,    -1,    -1,  3804,
      -1,    -1,    -1,  4658,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4827,    -1,    -1,    -1,    -1,    -1,  3410,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2631,    -1,    -1,    -1,    -1,    -1,    -1,  4712,    -1,    -1,
      -1,    -1,  4717,  4718,  4296,    -1,    -1,    -1,    -1,    -1,
    2651,    -1,  2653,    -1,    -1,  2656,  2657,    -1,  2659,    -1,
    2661,    -1,    -1,    -1,  2665,    -1,    -1,  2668,    -1,    -1,
      -1,    -1,  2673,    -1,    -1,    -1,    -1,    -1,  2679,    -1,
      -1,    -1,    -1,  2684,    -1,    -1,  4338,    -1,    -1,    -1,
    2691,  2692,  2693,  2694,    -1,    -1,    -1,  2698,  2699,    -1,
    2701,  3926,    -1,    -1,  3506,    -1,    -1,    -1,    -1,    -1,
      -1,  3936,  2713,    -1,  2715,    -1,    -1,    -1,    -1,    -1,
      -1,  2722,  2723,  2724,  2725,  2726,  2727,  2728,  2729,  2730,
    2731,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4827,    -1,    -1,    -1,    -1,    -1,  2759,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2779,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5026,    -1,  3605,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4061,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2868,    -1,    -1,
      -1,    -1,    -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5026,  3754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4185,    -1,    -1,    -1,    -1,    -1,  4618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3804,    -1,    -1,    -1,  4658,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4712,    -1,    -1,    -1,    -1,  4717,  4718,    -1,    -1,    -1,
      -1,  4296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4338,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3926,    -1,    -1,    -1,  3129,    -1,
      -1,    -1,    -1,    -1,  3936,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4061,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4120,    -1,
      -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,
      -1,  3332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3348,  3349,    -1,
      -1,  3352,  3353,  3354,  3355,    -1,    -1,  3358,  3359,  3360,
    3361,  3362,  3363,  3364,  3365,  3366,  3367,  3368,  4593,    -1,
      -1,    -1,    -1,    -1,  5026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4185,    -1,    -1,    -1,    -1,    -1,  3390,
      -1,    -1,  3393,  4618,  3395,    -1,    -1,  3398,  3399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3413,  3414,  3415,  3416,    -1,  3418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4658,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4712,    -1,    -1,
      -1,    -1,  4717,  4718,  4296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3515,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4338,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3725,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4658,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3873,    -1,    -1,    -1,  3877,  3878,  3879,    -1,
      -1,    -1,    -1,    -1,  3885,  3886,  3887,  3888,    -1,    -1,
      -1,    -1,  3893,  3894,  3895,  3896,  3897,  3898,  3899,  3900,
    3901,  3902,  3903,  3904,    -1,    -1,    -1,    -1,    -1,    -1,
    4712,    -1,    -1,    -1,    -1,  4717,  4718,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3929,    -1,
      -1,  3932,    -1,  3934,    -1,    -1,    -1,  3938,    -1,    -1,
    3941,  3942,    -1,    -1,  3945,  3946,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3993,    -1,    -1,    -1,    -1,    -1,    -1,  4000,
    4001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4016,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,  4029,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4291,  4292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4328,    -1,    -1,
      -1,    -1,  4333,  4334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4348,    -1,  4350,
      -1,    -1,    -1,  4354,  4355,  4356,    -1,    -1,  4359,    -1,
      -1,  4362,  4363,    -1,    -1,    -1,  4367,    -1,    -1,    -1,
    4371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4528,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4616,  4617,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4632,  4633,  4634,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4670,
    4671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4839,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4853,    -1,    -1,  4856,    -1,    -1,    -1,  4860,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4910,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5020,
      -1,  5022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5189,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5218,  5219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,  5262,  5263,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,  5288,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,   460,    -1,
      -1,    -1,    -1,    -1,    -1,   467,   468,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,    -1,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,    -1,   453,    -1,    -1,
      -1,    -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   467,   468,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,    -1,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,    -1,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,    -1,    -1,    -1,    -1,    -1,    -1,   458,   459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,   468,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,    -1,    -1,
      -1,    -1,    -1,    -1,   458,   459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,   468,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,    -1,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,    -1,    -1,     3,    -1,    -1,    -1,
     458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
     468,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   468,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    -1,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,    -1,   290,   291,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,    -1,
     386,   387,    -1,    -1,   390,   391,    -1,   393,    -1,    -1,
     396,   397,   398,   399,   400,   401,   402,    -1,    -1,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,   449,   450,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,   468,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
      -1,   393,    -1,    -1,   396,   397,   398,   399,   400,   401,
     402,    -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,   448,   449,   450,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,   468,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,   453,    -1,    -1,    -1,
      -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
     162,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,   216,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,    -1,    -1,    -1,    -1,    -1,   465,   466,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,   460,    -1,
      -1,    -1,    -1,    -1,    -1,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
     162,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,    -1,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,
       3,     4,     5,     6,     7,   467,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
       3,     4,     5,     6,     7,    -1,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
       3,     4,     5,     6,     7,    -1,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,    -1,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
       3,    -1,    -1,    -1,    -1,   458,   459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
     453,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,    -1,    -1,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,    -1,    -1,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,    -1,    -1,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,    -1,    -1,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,     3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,     3,    -1,    -1,    -1,    -1,   458,   459,   460,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,    -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,    -1,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,   453,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   467,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
      -1,    -1,   453,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,    -1,    -1,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,    -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,    -1,    -1,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,    -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,    -1,    -1,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,    -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,    -1,    -1,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,    -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,
      -1,     8,     9,    -1,    -1,    -1,    -1,   467,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,    -1,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,   449,   450,    -1,    -1,    -1,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,     3,     4,     5,
      -1,    -1,     8,     9,    -1,    -1,    -1,    -1,    -1,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,   449,   450,    -1,     3,    -1,   454,   455,
     456,     8,   458,   459,   460,   461,   462,   463,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,     3,    -1,   454,   455,   456,
       8,   458,   459,   460,   461,   462,   463,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,    -1,    -1,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,     3,    -1,   454,   455,   456,     8,
     458,   459,   460,   461,   462,   463,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,    -1,     3,    -1,   454,   455,   456,     8,   458,
     459,   460,   461,   462,   463,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,    -1,    -1,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,    -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,     3,    -1,   454,   455,   456,     8,   458,   459,
     460,   461,   462,   463,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
      -1,     3,    -1,   454,   455,   456,     8,   458,   459,   460,
     461,   462,   463,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,    -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,    -1,
     422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
       3,    -1,   454,   455,   456,     8,   458,   459,   460,   461,
     462,   463,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,   454,   455,   456,    -1,   458,   459,   460,   461,   462,
     463,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   460,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   460,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   460,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,    -1,   393,    -1,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,   449,   450,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,   460,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,    -1,   393,    -1,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      -1,   448,   449,   450,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,   460,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,     4,
       5,    -1,    -1,    -1,     9,   458,   459,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,     4,     5,    -1,
      -1,    -1,     9,   458,   459,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,     5,    -1,    -1,    -1,
       9,   458,   459,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,     9,   458,
     459,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,   162,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,     4,     5,    -1,    -1,    -1,     9,   458,   459,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    35,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,    -1,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,    -1,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,    -1,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,    -1,   393,    -1,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,   449,   450,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
      -1,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    -1,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,    -1,
     393,    -1,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,   449,   450,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    -1,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,    -1,   393,    -1,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
     449,   450,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,    -1,   393,    -1,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,   449,   450,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,    -1,   393,    -1,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,   449,   450,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,   386,
     387,    -1,    -1,   390,   391,    -1,   393,    -1,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,   449,   450,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    -1,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,    -1,    -1,   390,   391,    -1,
     393,    -1,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,   449,   450,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    -1,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
      -1,   290,   291,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,    -1,
      -1,   390,   391,    -1,   393,    -1,    -1,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,    -1,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
     449,   450,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,    -1,   290,   291,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,    -1,    -1,   390,   391,    -1,   393,    -1,
      -1,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,    -1,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,   449,   450,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,    -1,   290,
     291,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,    -1,   386,   387,    -1,    -1,   390,
     391,    -1,   393,    -1,    -1,   396,   397,   398,   399,   400,
     401,   402,    -1,    -1,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,    -1,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,   449,   450,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    -1,    49,    -1,    -1,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    -1,    -1,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,    -1,    -1,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,    -1,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,   199,    -1,    -1,    -1,    -1,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,    -1,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,    -1,   290,   291,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,    -1,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,    -1,    -1,
      -1,    -1,    -1,   390,   391,    -1,   393,    -1,    -1,   396,
     397,   398,   399,   400,   401,   402,    -1,    -1,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,    -1,   420,   421,   422,   423,   424,   425,    -1,
      -1,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,   449,   450,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    -1,
      -1,    64,    -1,    66,    67,    68,    69,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,    -1,    -1,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,    -1,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,    -1,   196,   197,   198,   199,    -1,    -1,    -1,
      -1,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
     253,    -1,   255,    -1,    -1,   258,    -1,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,    -1,    -1,   276,    -1,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,    -1,   290,   291,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,    -1,   356,   357,    -1,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,    -1,    -1,    -1,    -1,   390,   391,    -1,
     393,    -1,    -1,   396,   397,   398,   399,   400,   401,   402,
      -1,    -1,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,    -1,   420,    -1,   422,
     423,   424,   425,    -1,    -1,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,   449,   450
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    66,    68,    69,    75,
      77,    88,    90,   107,   110,   124,   126,   130,   136,   144,
     146,   152,   168,   184,   223,   224,   229,   241,   253,   288,
     296,   309,   315,   316,   318,   323,   328,   331,   336,   342,
     343,   350,   354,   364,   377,   396,   406,   412,   417,   430,
     453,   467,   474,   475,   476,   477,   483,   484,   486,   487,
     488,   489,   491,   495,   507,   512,   513,   516,   517,   518,
     538,   541,   542,   558,   601,   602,   605,   608,   609,   610,
     618,   624,   626,   628,   629,   632,   635,   636,   640,   649,
     653,   654,   655,   656,   659,   661,   662,   663,   664,   672,
     673,   692,   696,   698,   699,   700,   710,   712,   719,   720,
     723,   724,   725,   726,   727,   735,   737,   741,   746,   750,
     751,   759,   760,   763,   768,   779,   806,   809,   810,   811,
     816,   819,   821,   823,   825,   826,   831,   832,   835,   836,
     837,   841,   842,   845,   846,   849,   850,   851,   858,   860,
     861,   862,   867,   869,   870,   876,   877,   878,   879,   880,
     881,   882,   884,   885,   887,   888,   890,   893,   894,   899,
     905,   908,   910,   911,   920,   922,   927,   932,   936,   937,
     938,   939,   940,   941,   944,   979,   390,   433,   863,    25,
      72,    87,   105,   111,   128,   139,   147,   159,   164,   171,
     188,   213,   234,   268,   291,   301,   304,   330,   335,   337,
     344,   347,   366,   372,   376,   377,   380,   384,   393,   398,
     410,   423,   625,   863,     3,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    37,    38,    40,
      41,    42,    44,    45,    46,    47,    48,    50,    51,    53,
      54,    55,    56,    57,    60,    61,    62,    63,    64,    66,
      67,    68,    69,    70,    74,    75,    76,    77,    78,    80,
      81,    82,    84,    85,    86,    87,    88,    89,    92,    93,
      94,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     112,   114,   115,   116,   117,   118,   119,   121,   122,   123,
     124,   127,   128,   129,   130,   131,   133,   134,   135,   137,
     138,   139,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   151,   153,   154,   155,   156,   158,   160,   164,   165,
     166,   167,   169,   170,   172,   173,   175,   176,   177,   178,
     179,   181,   182,   183,   184,   186,   187,   188,   189,   190,
     191,   193,   195,   196,   197,   198,   199,   200,   201,   203,
     205,   208,   210,   211,   212,   213,   214,   217,   218,   220,
     223,   224,   225,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     246,   247,   248,   249,   250,   252,   253,   255,   257,   258,
     259,   260,   261,   262,   264,   265,   268,   269,   270,   273,
     274,   276,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   290,   291,   292,   293,   294,   295,   296,   297,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   327,   328,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   344,   345,   346,   347,   348,   350,   351,   352,   353,
     354,   356,   357,   358,   359,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   375,   376,
     378,   380,   381,   382,   383,   384,   386,   387,   390,   391,
     392,   393,   394,   396,   397,   398,   399,   400,   401,   402,
     405,   406,   407,   408,   409,   412,   413,   414,   415,   416,
     417,   418,   420,   422,   423,   424,   425,   428,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   933,  1104,
    1118,  1122,  1123,   421,   895,   266,   297,   863,    49,   467,
     549,    20,    25,    37,    59,    72,    83,   105,   111,   128,
     139,   147,   159,   167,   171,   225,   268,   271,   291,   304,
     330,   337,   347,   366,   372,   380,   381,   383,   384,   393,
     398,   404,   407,   410,   559,   607,   715,   769,   780,    26,
     296,  1104,   933,    26,   290,   345,   381,   383,     5,   212,
     817,   818,  1113,    20,    25,    37,    59,    72,    87,   105,
     128,   139,   147,   159,   164,   171,   188,   234,   268,   280,
     291,   304,   330,   335,   337,   344,   347,   366,   372,   377,
     380,   384,   391,   393,   398,   410,   423,   625,   728,   729,
     730,   863,  1104,    90,   421,   467,   602,   605,   608,   894,
     900,   908,   911,   920,   927,   932,   936,     9,    19,    26,
      44,   154,   160,   162,   185,   214,   248,   299,   317,   458,
     459,   747,   748,   933,  1112,  1114,    26,    90,   313,   343,
     752,   753,   754,  1118,   159,  1118,  1109,  1113,   377,   947,
     747,  1118,   323,   350,   354,   390,  1104,   280,   234,   105,
     188,   337,   376,   377,   467,   827,   828,   336,  1118,    26,
     348,   386,   390,   499,   508,   509,  1118,    23,   168,   752,
     753,   297,   863,  1118,   211,    26,   125,   949,   950,    60,
      84,   225,   243,   330,   337,   348,   386,   390,   436,   496,
     497,   498,   499,    26,   348,   386,   390,   499,   390,   267,
     990,  1102,  1118,   947,   460,  1118,   163,   467,   896,   467,
     311,   942,   943,  1104,   942,   937,   938,   941,     0,   470,
     895,   140,   202,   272,   403,   951,   952,   937,   939,   940,
     116,   198,   409,   471,     3,    43,    49,    72,    79,    91,
      98,   161,   163,   180,   194,   206,   207,   209,   219,   221,
     245,   254,   275,   277,   329,   355,   379,   421,   796,  1110,
    1118,  1119,  1122,  1124,   732,  1118,   732,  1105,  1118,   300,
     732,   393,  1104,   104,   377,   784,  1110,  1118,  1124,     3,
     101,   349,  1115,  1116,  1120,  1122,  1123,  1124,    26,   179,
    1102,   260,   423,     8,    15,    16,    17,    67,   151,   454,
     455,   456,   458,   459,   460,   461,   462,   463,   813,   815,
    1066,  1067,  1118,   179,  1104,  1104,    26,  1115,  1116,  1104,
    1104,   179,  1102,  1104,   732,  1104,   323,   350,    26,   179,
     990,  1104,   340,  1104,   732,    26,   232,  1115,  1116,   179,
    1102,   212,   113,   208,   251,   307,   864,   865,   866,  1102,
    1108,  1118,    20,    25,    59,    72,    73,    83,    87,   105,
     128,   139,   147,   159,   164,   188,   213,   234,   268,   291,
     304,   330,   335,   337,   344,   347,   366,   372,   377,   380,
     384,   391,   393,   398,   423,   625,   738,   739,  1113,   907,
     911,   920,   927,   936,  1102,   236,  1110,  1104,   467,   179,
     732,   393,  1105,   732,   393,   179,  1104,   104,   377,   381,
     383,  1115,  1116,   381,   383,    67,   151,   813,   321,  1104,
    1104,  1115,   179,   492,  1118,   179,  1104,   179,   732,  1104,
    1104,   340,  1104,   732,   232,  1115,   311,   344,   377,   423,
     234,    87,   188,   164,   335,   391,   397,   619,    26,  1104,
     934,   506,  1113,  1120,   818,   236,   179,   796,   797,  1104,
     179,   822,   179,  1105,     3,    48,    50,    51,    62,    63,
     108,   109,   129,   155,   179,   200,   201,   203,   244,   246,
     259,   308,   352,   358,   386,   387,   418,   734,  1012,  1014,
    1016,  1018,  1020,  1022,  1023,  1024,  1026,  1027,  1028,  1030,
    1031,  1119,  1122,   393,   104,   377,   179,   783,   784,   179,
    1116,  1117,    79,   423,    67,   151,   179,   814,   815,    53,
     179,  1117,   179,  1104,   179,  1104,   340,   822,   179,   734,
     179,   232,  1117,   212,   179,   731,   732,   179,  1103,  1104,
     179,  1104,   467,   909,   559,   900,   417,   894,   901,   902,
     903,  1120,   895,  1114,   748,   749,    26,   749,  1114,   749,
      26,   749,  1114,   749,   749,   749,  1114,  1112,  1112,   933,
     749,   300,   467,   467,   579,   579,   579,   266,   388,   471,
     579,   337,   990,   991,   471,   859,   509,   497,   499,    26,
     499,  1113,   467,   906,    53,   423,   421,   829,   830,  1102,
    1104,  1118,    43,   450,   208,   469,   269,   269,   266,   162,
    1113,   388,   157,   742,   266,     4,     6,     7,     8,    10,
      34,    48,    50,    51,    58,    59,    62,    63,    70,    72,
      95,    96,    97,    98,    99,   100,   101,   108,   109,   111,
     145,   149,   150,   155,   170,   172,   200,   201,   203,   218,
     226,   227,   244,   246,   251,   256,   257,   259,   268,   278,
     292,   308,   333,   349,   358,   373,   386,   387,   392,   394,
     395,   404,   410,   418,   438,   439,   440,   441,   443,   444,
     445,   446,   451,   458,   459,   460,   467,   937,  1015,  1018,
    1021,  1022,  1023,  1025,  1026,  1027,  1030,  1031,  1035,  1037,
    1038,  1039,  1041,  1062,  1063,  1064,  1068,  1087,  1092,  1099,
    1100,  1110,  1111,  1112,  1113,  1118,  1098,  1099,  1113,    26,
     514,  1101,  1102,   348,   496,   111,   505,  1113,   506,  1113,
      43,    64,   496,   450,   359,   865,   269,   162,   388,   456,
      43,   450,   208,   866,   467,  1102,   460,   465,   469,  1093,
    1095,   991,     3,   161,   163,   421,   891,   892,   894,   161,
     897,  1035,  1071,   942,   471,   467,   898,   468,   468,   476,
    1102,    26,   125,   948,   948,    53,   948,   152,   157,   222,
     263,   955,   957,   958,   973,   975,   976,   977,   951,   952,
     162,   204,   990,   992,   467,   281,   319,   350,   467,   794,
    1095,   281,   315,   319,   350,   469,   733,   281,   319,   350,
       3,    82,   134,   228,   281,   288,   319,   350,   380,   382,
     430,   507,   510,   871,   872,   873,   874,   764,    22,   130,
     281,   319,   350,   414,   522,  1104,    22,   130,   350,   409,
     490,   434,   179,   990,    55,    89,   119,   148,   182,   217,
     251,   281,   282,   319,   327,   334,   342,   350,   362,   370,
     425,   507,   511,   799,   807,   467,   781,  1095,   319,   490,
     185,   145,    22,    28,    69,   119,   123,   130,   133,   158,
     190,   249,   251,   261,   270,   281,   319,   322,   323,   350,
     414,   519,   521,   643,     4,   458,   459,   616,  1114,    26,
     179,  1102,   732,   732,   467,   812,   281,   350,   469,   145,
     266,    22,   130,   281,   319,   350,   185,   485,   319,   430,
     453,   478,   485,   266,   281,   319,   145,    35,    54,   103,
     187,   235,   238,   249,   280,   319,   324,   344,   350,   364,
     519,   613,   614,   281,   319,   422,   643,   651,   281,   319,
     350,    82,   123,   133,   281,   315,   319,   350,   509,   497,
     185,   145,    41,   121,   319,   350,   519,   520,   281,   319,
     323,   350,    80,   122,   283,   382,   266,    22,    28,   130,
     281,   319,   350,   539,   540,   485,   157,   319,   478,   485,
     145,   319,   350,   519,  1104,   220,   113,   267,   435,   471,
     864,   411,   889,   266,   236,   796,   467,  1104,  1012,   393,
     104,   377,   784,   260,   423,    67,   151,   815,  1104,  1104,
     340,   157,  1104,  1012,   212,   732,  1104,   468,   579,  1104,
     467,   705,   794,    65,  1012,   251,   162,   467,   701,  1104,
     478,    35,   883,  1104,   251,   478,   434,   179,  1102,   478,
     732,   732,   701,   407,   559,   266,   157,   843,   844,   478,
     251,    43,   493,   251,   398,   650,   251,   898,    82,   281,
     627,    80,   122,   283,   382,    24,    45,   199,   674,    35,
     701,   157,   179,   478,   423,   179,  1102,   179,   603,  1102,
    1102,   423,   732,    79,   770,  1110,  1104,   157,   625,    49,
     102,   197,   249,   339,   145,    56,   325,   471,   523,   523,
     145,   467,   145,   420,  1029,  1029,  1029,   467,  1017,  1017,
     294,   467,  1019,   145,    62,    63,  1029,  1017,  1014,   432,
     453,   467,  1032,   467,  1032,   471,   523,    34,  1013,   467,
     106,   177,   237,   240,   341,   448,   467,  1033,  1034,   733,
    1017,   434,   145,   471,   523,   145,   471,   179,   731,   179,
     732,   179,   732,   145,   471,   523,  1117,   145,   145,   523,
     145,    80,   122,   283,   382,   157,   145,   523,   145,   157,
     179,   179,   506,   145,   471,   523,   145,   471,   523,   145,
     266,  1071,   377,   468,   471,   150,   266,   395,   503,   506,
     616,   904,   900,   749,   933,   749,   933,   749,   933,   749,
     933,   749,   933,   933,   933,   749,   933,   467,   580,   581,
    1118,   580,    26,   105,   128,   159,   164,   212,   213,   337,
     344,   377,   380,   398,   755,  1101,  1117,   754,  1104,   185,
     471,   923,  1113,  1012,  1074,    35,  1117,   770,   468,   471,
     220,  1118,   157,   157,   755,  1117,   336,  1118,   506,   266,
     467,  1096,   465,   937,  1075,  1035,  1091,   467,   467,   157,
     467,   467,   937,   467,   467,   467,   467,   467,   467,  1035,
     467,   467,   467,   467,   467,   467,   467,   467,   937,   467,
     467,   467,   467,   467,   467,   467,   467,  1035,  1035,  1035,
     937,  1035,  1071,  1095,  1113,   467,  1113,     3,     8,    11,
      15,    16,    17,    32,    35,    40,    47,    71,   180,   185,
     206,   207,   221,   254,   268,   271,   355,   451,   454,   455,
     456,   458,   459,   460,   461,   462,   463,  1066,  1068,  1070,
     431,  1050,   277,  1035,   204,   471,   945,   467,  1113,  1095,
     945,   114,   181,   515,   471,    64,   111,   506,    35,     3,
     111,   225,   504,   616,  1031,  1113,  1113,    85,   127,  1047,
      94,   111,   500,   501,   503,   616,   111,   500,   220,  1102,
    1035,  1094,     3,    26,    30,    31,    32,    33,    34,    35,
      36,    39,    52,    58,    59,    65,    71,    73,    83,    90,
      95,    96,    97,    99,   100,   101,   111,   113,   120,   125,
     126,   132,   136,   140,   150,   152,   157,   159,   162,   168,
     171,   174,   185,   192,   202,   204,   215,   216,   222,   226,
     227,   251,   256,   263,   266,   267,   271,   272,   289,   298,
     313,   326,   343,   349,   360,   374,   377,   385,   388,   389,
     395,   403,   404,   410,   411,   419,   426,   427,   429,   430,
     460,  1107,  1121,  1122,  1123,  1124,  1125,  1093,    86,   324,
     736,   468,   471,   895,   468,   471,   943,  1103,    35,   898,
     939,   939,   953,   954,  1035,   939,   154,   248,   964,   210,
     249,   307,   353,   409,    26,   959,  1035,   960,   962,  1035,
    1037,   973,   974,   958,   957,   955,   956,   157,   976,   261,
     978,   955,   973,   992,   912,  1102,    35,  1118,   350,  1071,
     388,   388,   337,   185,   195,   272,   274,   352,   419,   460,
     787,   788,   789,   791,   793,   795,  1012,  1119,   388,   422,
     388,   337,  1107,   469,   388,   388,   337,   222,   388,   388,
     380,   496,   281,   871,   873,   456,   875,   157,   168,   185,
     328,   765,   766,    65,    83,   141,   159,   298,   404,   576,
     577,    83,   111,   251,   388,    83,   388,   111,   251,   337,
      83,   123,   133,   281,   319,   697,   337,   633,    20,    25,
      59,    72,    87,   128,   139,   159,   164,   234,   268,   337,
     344,   347,   377,   384,   391,   398,   423,   625,  1104,   145,
     319,   350,   519,   266,   616,   266,   342,   217,   388,  1118,
     388,   256,   616,   115,   205,   337,   348,   390,   498,   325,
     350,   799,   808,   468,   782,   787,   388,   410,   380,  1102,
      73,   141,   179,   566,   576,  1118,    73,    83,   833,   266,
     266,   333,   335,   393,    83,   833,    29,   322,   333,   335,
     393,   333,  1102,   158,   190,   261,   732,   467,   388,   388,
     178,   467,   527,   231,   380,   407,   430,   432,   527,    83,
     471,     4,     4,   281,   185,   145,   119,   319,   350,   519,
     411,   411,   250,  1012,   388,   337,   467,   813,  1104,  1102,
     377,   377,   388,   388,   377,   701,   105,   350,   510,   388,
     480,   510,  1102,   388,   388,  1102,  1014,   616,    53,   615,
     616,   616,   103,   235,   238,    53,   388,   478,   242,   337,
     478,   249,   614,   388,   388,   256,  1113,   643,   388,   388,
     337,  1113,   388,   304,   388,   304,   701,   380,   990,   285,
     285,    83,   388,   833,   337,   388,   388,   527,   527,   732,
     732,   732,   732,  1102,    42,   416,    42,    42,   388,    42,
     388,   416,   337,   471,   510,   410,   660,  1116,   388,   480,
     510,  1102,   388,   337,   281,   319,   307,   320,   346,   502,
     864,  1108,  1118,  1102,   206,  1012,   266,   206,   434,   206,
     616,   732,   732,   206,   266,   266,    80,   122,   283,   382,
    1012,   266,   206,   206,   206,   388,   430,   550,   398,     3,
     706,   707,   701,   467,    35,   145,   732,   702,   703,  1121,
      24,   871,  1012,   266,   145,   630,  1104,   251,   285,   467,
     479,   715,   411,   311,   423,  1102,    26,   377,   430,   803,
     479,   145,  1116,    90,   168,   494,   558,   609,   673,   750,
     768,   867,   145,  1113,   651,   652,   145,   266,  1113,  1116,
     228,   732,   732,   732,   732,   261,   116,   198,   396,   409,
     675,   676,   137,   306,   467,   660,   251,   479,  1102,   251,
     611,   613,   251,    35,   261,   285,   467,   579,   579,   179,
     606,  1102,   157,   179,   771,  1108,   467,   785,    35,  1012,
     212,   430,   432,   935,   339,   797,   796,  1012,  1105,   467,
    1071,  1112,   734,  1029,  1029,    34,  1013,   386,   386,  1112,
    1112,  1012,   465,   465,  1112,   388,   388,   388,   467,   388,
    1112,  1017,   783,   784,  1117,  1116,   145,   523,   145,   411,
     145,   411,   814,   815,   523,  1117,  1104,  1104,  1012,   734,
    1117,   660,   145,   145,   523,   731,   732,  1103,  1104,  1104,
     732,   468,   179,  1102,   900,   902,   933,   933,   933,   933,
     933,   933,   580,   468,   471,   468,   165,   345,   378,  1103,
     731,   104,   347,   783,  1103,   260,  1103,  1101,  1101,  1103,
     731,   388,   430,   761,   140,   222,   657,   658,    20,   143,
     333,   353,   924,   990,   255,   925,   468,   471,   907,   388,
    1102,   827,   828,   830,   753,   752,   753,   162,   169,   762,
    1118,    25,    73,   105,   128,   139,   159,   164,   213,   234,
     304,   330,   337,   344,   372,   377,   380,   398,   423,   625,
     743,   744,  1071,  1093,   466,  1071,  1075,  1076,   426,  1088,
    1089,  1035,  1071,   467,  1112,  1112,     3,   106,   177,   237,
     240,   341,   448,  1077,  1078,  1113,  1071,  1071,  1071,  1112,
    1112,  1035,   813,  1035,  1079,   333,   458,   459,   467,  1036,
    1037,  1068,  1081,   468,  1071,  1035,  1071,  1082,  1035,    52,
     162,   216,   389,  1035,  1071,  1085,  1071,   242,  1037,  1035,
    1045,  1046,  1047,   242,  1035,  1047,   468,   471,  1112,  1033,
    1012,  1035,  1035,  1035,  1035,  1121,   386,    39,   374,  1097,
     732,  1035,   467,   937,  1086,   125,   127,   150,   251,   256,
     261,   395,   405,  1035,   467,  1035,   388,    47,   180,   185,
     221,   355,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,    26,    33,   360,  1065,   171,   153,  1051,   333,
     467,  1062,   167,   225,   377,   381,   383,   407,   946,  1102,
    1100,   162,   980,    26,   125,   419,   460,   468,   789,  1035,
    1072,  1073,  1119,   980,  1102,   390,   467,  1113,   471,   468,
     466,   472,   178,   178,   523,  1102,   892,   893,  1102,  1035,
     468,   467,   471,    36,   120,   411,   777,   467,   961,  1114,
     353,   210,   267,   471,   333,   334,   963,  1101,   255,   357,
     926,   974,   956,   411,   921,   111,   279,   467,   913,   936,
      35,  1118,   467,   928,   929,   930,  1118,   468,  1116,  1104,
    1104,   274,    53,  1119,   468,   789,   791,   788,   791,  1119,
     272,   468,   471,   733,  1116,  1104,  1104,  1107,  1116,  1104,
    1104,  1116,  1105,  1104,   111,   503,  1114,   330,   410,   752,
     337,   168,   752,   467,  1104,   411,   772,   210,   210,   411,
     467,   600,   179,  1104,   256,  1116,  1104,  1104,  1035,   256,
    1104,  1104,    29,   322,   388,   388,  1104,   388,   634,   236,
     796,   467,   732,   732,  1012,   393,   104,   377,   784,   423,
      67,   151,   815,  1104,   732,  1104,   732,   340,   157,  1012,
     732,   212,   173,   249,   281,   319,   415,   637,   638,   639,
     990,   388,   833,   337,   256,   147,   115,   205,  1116,  1104,
     266,  1104,   468,   471,  1115,  1117,  1104,   319,   519,   179,
     566,   251,  1012,  1104,  1118,  1104,   147,   220,  1104,    26,
     410,  1104,   179,  1104,   179,  1118,   335,   393,   335,   393,
     220,  1104,    26,   410,  1104,   220,   333,  1102,    22,   130,
     350,   644,   645,   646,   647,  1121,  1116,  1104,   111,   163,
     252,   411,   526,   529,   530,  1121,  1104,   264,    69,   264,
    1104,   521,   388,   380,  1102,   266,   388,   833,   337,  1106,
    1118,  1106,   471,   468,   471,  1116,  1104,   838,   839,  1121,
     266,   319,   388,   668,   991,   991,  1116,  1104,   991,  1105,
    1115,     3,    82,   135,   190,   287,   402,   410,   413,   481,
     319,  1116,  1104,   319,   350,   519,   613,   616,   732,  1104,
     616,   732,  1104,   616,  1116,  1104,  1116,  1104,  1104,  1116,
     803,  1104,   847,   848,  1121,  1104,   319,   350,   519,   520,
    1102,  1102,  1104,  1104,  1104,  1104,  1116,  1104,    22,    28,
     130,   281,   319,   350,   281,   319,   350,   701,   319,   350,
     319,   350,   119,   319,  1004,  1118,   179,   711,  1118,   179,
    1118,  1116,  1104,  1104,  1113,  1104,    22,   540,   347,  1115,
     319,   350,   519,  1104,  1104,   388,   388,    78,   401,   307,
     256,   740,  1113,    35,   128,   732,   740,   740,   206,   411,
     411,   740,   732,   732,   212,   732,   740,   740,   740,   303,
     544,   264,   162,   388,   543,   188,   456,   468,   471,  1035,
    1012,   732,   468,   471,   456,   675,   568,  1121,  1104,    56,
     162,   337,   422,   631,   638,   639,   145,   261,   221,   560,
     562,   564,   566,   573,   576,    23,   185,   330,   375,   481,
     482,   157,  1106,   423,  1102,    35,   669,   378,   991,   701,
     492,  1118,   493,   271,   559,  1104,   159,   732,  1071,   304,
    1113,   701,   701,   701,   701,   261,   266,   271,   467,   701,
    1002,  1003,  1004,   347,   145,   467,   145,   145,   144,   936,
     732,   261,   560,  1118,   430,   432,   596,   430,   528,   251,
      35,   579,  1113,   251,   266,   468,   786,   787,   792,    35,
     212,   327,   391,   429,   798,   799,   800,   266,   212,   506,
     176,   176,   157,   523,    35,  1071,   468,   468,   523,   465,
     450,   450,   468,   468,  1112,   466,  1112,   468,   177,   237,
    1034,   237,  1034,  1034,  1112,   240,   468,   523,   731,   732,
    1106,   732,  1106,   523,   523,   212,   523,   347,   157,   506,
     523,   523,   266,   523,   251,   468,   581,   185,   185,   185,
     434,  1103,   616,   617,   171,   756,   757,  1116,    23,   762,
     388,   467,   162,   143,   353,   143,   353,   333,   409,   239,
    1012,  1116,   430,   604,  1102,  1104,   162,   266,   756,    53,
     523,   796,  1012,   393,   377,   784,   260,   423,  1012,   212,
     732,  1104,   468,   466,   466,   471,  1035,   132,  1089,  1090,
      35,   468,  1035,   468,   468,   468,   162,   468,   468,   468,
     468,   468,   471,   468,   289,  1080,   468,   467,  1036,  1036,
    1071,    11,    15,    16,    17,   185,   206,   268,   454,   455,
     456,   458,   459,   460,   461,   462,   463,  1068,  1036,   468,
     468,   157,   162,  1083,  1084,   468,    35,  1085,  1071,  1085,
    1085,   162,   468,   468,  1121,   286,  1049,    35,   468,   471,
    1035,  1121,   471,  1035,  1096,  1035,   468,   450,  1036,  1036,
     138,  1071,   162,   125,   127,   150,   256,   261,   395,   405,
     467,   138,   813,  1035,   374,  1097,  1035,  1086,  1035,   388,
     467,   937,   467,   467,   276,  1055,   467,  1071,   381,   383,
     381,   383,  1102,   947,   947,   947,   215,   334,   447,   467,
     937,   981,   982,   983,   990,   995,  1005,  1038,  1040,  1041,
    1110,  1118,   427,  1000,  1072,  1072,  1073,   468,    13,    14,
     471,   951,   952,  1000,   865,  1112,  1033,   501,  1035,  1094,
     898,   907,   954,   268,  1066,  1069,   452,   778,  1035,   963,
     409,   960,   230,   981,   427,  1001,   417,   376,   410,   914,
     915,   916,  1118,   266,   917,  1118,   930,   931,   471,   980,
     456,  1096,   795,   733,   791,   791,    53,   793,   462,  1117,
    1117,   266,  1103,   269,   266,  1035,   577,  1106,   467,   467,
     467,   600,   188,   580,   690,   145,   523,   388,  1116,  1104,
     506,  1104,  1012,  1104,   434,   732,   732,   732,   732,    80,
     122,   283,   382,  1012,  1104,   620,  1104,   173,   415,   388,
     388,   620,   637,   643,   319,   350,   519,  1104,  1104,  1104,
     196,  1104,   256,   787,   280,   350,   388,   251,   145,   270,
     641,   690,    22,   130,   323,   324,   350,   522,   531,   532,
     643,   834,  1104,   342,   145,   523,   145,   523,  1104,  1104,
    1104,  1104,   342,   342,   220,   646,   647,   646,   468,   471,
     648,  1113,   188,   468,   471,   456,   469,  1116,  1104,   319,
     350,   519,   147,  1104,  1104,  1104,   281,   319,   350,    22,
     130,   281,   319,   350,  1012,   250,  1012,   468,   471,   456,
    1102,   388,  1117,   411,   665,   222,   287,   256,  1113,   287,
    1117,   408,   388,   388,   337,   471,   803,   280,   350,    83,
     388,   833,   337,   157,   533,   388,   388,   232,   232,   232,
     388,   388,   337,   388,   388,   337,   388,   337,   388,   337,
     266,   388,   523,  1012,   251,  1113,   350,   834,   145,   523,
     388,   388,  1104,   388,   337,  1116,  1104,  1012,   732,   206,
     740,  1106,  1106,   206,   206,  1104,   206,   367,   368,   545,
    1113,   544,   173,   250,   268,   458,   459,   616,   704,   791,
    1069,  1113,  1125,     3,   707,   468,   468,   162,   701,   703,
     704,   266,    65,    71,    83,   111,   113,   166,   192,   251,
     256,   298,   313,   404,   569,   570,   572,   144,   426,   478,
     506,  1104,   506,   641,  1102,  1102,  1102,   468,   471,  1117,
     171,   330,  1117,  1112,   398,  1102,   579,     3,   157,   670,
      43,   493,   321,   377,   650,   104,   898,   162,   847,   528,
     580,  1102,   676,   708,   709,  1113,   468,   471,  1104,   157,
     580,  1102,   603,  1102,  1104,   604,   467,   561,  1102,   468,
     264,   527,   264,   266,   597,   527,    35,   145,   936,   528,
     388,   145,  1102,   468,   471,   111,   456,   801,  1113,   506,
     377,   790,   791,   157,   802,   800,   803,   116,   198,   343,
     409,   856,  1104,   173,   936,  1012,   468,  1112,  1032,  1032,
     466,   466,   468,   523,   411,   523,   411,   523,  1104,  1104,
     660,   523,   732,   145,   337,   337,   337,  1103,   471,  1116,
     430,   471,   758,   269,   991,   347,   143,   143,   104,   249,
    1117,   755,   523,  1116,   206,   206,   206,   616,   206,   206,
     206,  1075,   385,  1035,   136,  1012,   468,  1035,  1035,  1035,
    1083,   468,  1071,   471,  1012,  1036,  1036,  1036,  1036,   125,
     127,   251,   261,  1036,  1036,  1036,  1036,  1036,  1036,  1036,
    1036,  1036,  1036,  1035,  1035,  1084,  1083,  1012,   468,   468,
     468,  1071,   468,   471,    53,  1037,   468,  1121,  1046,   295,
     371,  1048,   468,   471,   422,  1042,    35,   468,  1113,  1035,
      32,    32,  1035,   468,  1035,   162,   467,  1074,  1035,   468,
     138,  1036,  1036,   138,   138,  1035,  1035,   952,   427,   467,
    1056,  1118,   468,  1071,   471,   947,   947,   947,   947,  1102,
    1102,  1102,   937,   995,  1005,   162,   467,   937,   982,   983,
      35,   984,   985,  1118,   471,    91,   163,   194,   209,   219,
     245,   329,   987,   985,    35,   984,   986,  1118,   985,   453,
     999,   467,  1095,  1035,   171,   965,   471,   951,   951,   951,
    1035,  1035,   419,  1073,   468,   965,   468,   466,   468,   467,
     778,   154,   214,   468,   267,    94,  1035,   326,   919,   416,
     468,   471,  1096,    81,   919,   468,   471,   929,  1001,  1035,
     468,   462,   795,   398,   165,   338,   345,   378,   399,   767,
     157,   767,   468,   467,   583,   584,   774,  1040,  1118,   580,
     580,   690,  1108,   468,   113,   192,   249,   251,   691,  1104,
    1104,    35,  1104,   411,   411,   732,   732,   732,   732,   212,
     733,  1116,  1104,   388,   833,   337,   388,   196,    53,   380,
    1104,   145,   566,   467,   568,   166,   178,   251,   527,   478,
     104,   166,   251,   366,   369,   527,   614,   350,   532,   398,
    1104,  1118,   342,   645,  1104,   530,   704,  1121,   280,   350,
     388,   833,   337,  1104,   388,   388,   388,   337,   164,   268,
     369,   713,   714,   164,   268,   721,   722,   388,   388,   337,
     468,   468,   468,   839,   250,   616,   791,   840,  1069,  1113,
    1125,   319,  1104,   467,   430,   666,  1114,  1113,  1113,  1113,
    1104,  1104,  1104,   848,    53,   380,  1104,  1104,  1104,  1104,
     417,  1104,  1104,   157,   157,   321,   157,   179,  1116,  1104,
    1104,  1116,  1104,  1104,  1104,  1104,  1104,  1104,   147,  1104,
      71,   524,   145,    24,    45,   398,  1118,  1104,  1113,   643,
    1104,  1104,   468,   206,   740,   206,   206,   740,   740,   206,
     740,   478,   545,   620,   690,   430,   432,   732,  1102,   467,
     732,  1104,  1036,    29,    53,   571,   114,   181,   113,   256,
     210,  1102,   803,   302,   693,   694,  1118,   630,   285,   467,
     561,   574,   191,   590,   564,  1117,  1117,  1012,   467,   528,
      26,   116,   198,   343,   409,   671,   388,   667,  1116,   179,
    1102,   652,   434,   266,   981,   803,   314,   677,   468,   471,
    1004,   641,   660,   468,   611,    35,   261,   285,   467,   909,
     563,   565,   567,   576,  1118,   285,   591,   592,   561,   590,
      77,   380,   598,   936,   606,   604,   598,  1113,  1108,   772,
     792,  1035,  1035,   471,   467,   798,   398,   471,   388,   467,
     620,   468,   466,  1106,  1106,   523,   347,   523,  1103,  1103,
    1103,   616,   168,   757,   468,  1104,   104,   762,   162,   256,
     745,  1113,   745,   745,   206,   745,   745,   745,  1035,   468,
     468,  1084,   468,  1035,   162,   125,   127,   261,   467,   468,
     437,  1044,  1071,   312,    53,   428,   428,   468,  1035,   249,
    1035,   471,  1043,  1014,  1035,  1035,  1035,  1074,   468,  1035,
      32,    32,  1035,  1035,   138,   468,   468,  1035,  1057,  1118,
     468,  1035,  1102,  1102,  1102,  1102,   985,   986,   985,   467,
     442,  1037,   468,  1118,   467,   982,   209,   275,   988,   982,
     988,   209,   987,   988,   209,   379,   993,   467,  1118,   467,
     273,  1072,    53,   174,   972,   468,   468,   468,  1073,  1113,
     972,  1113,   813,   261,  1099,   936,   279,   936,   916,   266,
     467,   918,   456,   930,   919,   398,   468,   388,   752,   162,
     690,  1035,   468,   471,   430,    71,   775,   775,   468,   468,
     803,   114,   181,   190,   113,   413,   523,  1012,  1106,  1106,
    1104,  1104,  1104,  1104,  1104,  1117,  1104,   566,   642,   646,
     571,   179,   256,   616,   571,   256,  1114,  1118,  1012,   523,
     523,   456,    53,   380,  1104,  1104,  1104,  1104,  1116,  1104,
    1104,  1112,  1112,  1012,   471,  1112,  1112,   471,  1116,  1104,
    1104,   388,  1035,    65,  1117,  1104,   388,   388,   162,   185,
    1103,  1103,   732,  1103,   145,  1104,   732,  1113,  1113,  1012,
     523,   523,   206,   740,   740,   740,   740,   467,   546,   547,
     411,   551,   552,   164,   195,   164,   162,   689,  1035,   251,
     570,   111,    35,   803,   579,   411,   599,  1110,    32,   144,
     185,   261,   560,   533,   142,   186,   467,   347,   411,   580,
      35,  1117,   665,   493,   251,   467,   159,  1104,  1071,   247,
     265,   678,   679,   680,   157,   683,  1113,   347,   528,   936,
     732,   261,   560,   604,   468,   471,   430,   568,    53,   596,
     533,   591,   116,   130,   295,  1104,   430,   868,    35,   162,
     266,   467,  1113,   789,   804,   805,  1119,   803,  1012,   157,
    1102,   162,   388,   824,   193,   621,   523,   523,   523,  1104,
     269,   204,   523,   756,   745,   468,  1036,   162,   467,  1074,
     467,   468,   471,   468,  1037,   312,   468,   416,   363,   468,
     468,   468,  1035,  1035,  1035,   468,   285,  1058,   468,   996,
     997,  1040,   467,  1049,   984,   467,  1103,   982,   266,   411,
     989,   982,   209,   982,  1110,  1003,   467,  1003,  1118,   951,
      93,   172,   332,   467,   966,   967,   968,   969,   970,   971,
    1035,  1035,   429,  1052,   951,  1052,   468,   933,   914,    83,
     773,   774,   126,  1035,   756,   266,   756,   468,   803,   584,
     268,   813,   732,   732,   776,   776,   313,   803,   599,   468,
     388,   350,   925,   468,   471,    35,   145,   524,   704,  1117,
    1104,   388,   467,   784,   813,   815,   714,   467,   467,   722,
    1104,   468,   467,   350,   925,  1104,  1104,   467,   467,   430,
     453,   886,   321,   886,   886,   157,   524,   740,   553,   554,
    1121,    49,    92,   117,   134,   138,   158,   161,   175,   256,
     264,   305,   548,   478,   118,   784,    35,   820,   820,  1102,
     690,   468,   178,   599,   233,   582,   188,   467,   694,   302,
     467,  1102,   468,   347,    26,    76,    84,   112,   178,   189,
     369,   575,   575,  1101,  1104,  1106,   468,   936,   666,   145,
     104,   641,   162,   679,   333,   377,   681,   131,   684,   426,
     686,  1104,    35,   604,   561,  1102,   468,   565,   270,     3,
     593,  1122,   597,   591,   596,   334,   334,    57,    65,   225,
     936,   732,  1102,   773,   791,   468,   471,   398,  1000,   361,
     361,   468,   620,   249,   415,   622,   623,  1104,   523,  1036,
    1074,   468,  1045,  1071,    53,   249,   449,    53,   951,   468,
     471,    35,   998,   111,  1010,  1011,  1036,    74,  1103,   468,
    1035,   467,   982,   989,   467,   468,  1003,   468,   468,   467,
     351,   467,   468,   471,  1053,  1054,  1118,   468,   416,  1104,
     468,   471,   252,   409,   758,   767,   523,   775,   599,   467,
     777,   777,  1102,   599,   690,  1104,   380,   646,   178,   411,
     525,   350,   925,  1104,  1074,   157,   717,   717,  1074,  1074,
    1035,   380,   235,   238,   256,   534,   536,   537,   616,  1113,
     534,   535,   731,   732,   731,   732,  1103,   523,   468,   471,
     460,   467,   503,   555,   616,   883,  1113,   883,   251,   256,
     305,   883,   883,   546,  1113,   820,    38,   183,   157,   249,
     578,   467,   612,   163,   284,   356,   266,   586,   587,   588,
     380,   468,  1110,     5,   695,   561,   590,  1104,   468,   641,
     151,   716,   528,   868,  1102,   434,   981,   883,   333,   365,
     685,   467,   144,   641,   936,   591,   561,   590,   568,   467,
     598,   596,   597,    65,   269,    65,   604,   772,   468,   798,
     804,  1012,   126,   430,   430,   415,   620,   641,   468,   468,
     468,   312,   416,  1071,   306,   334,  1059,   999,   996,   467,
    1036,   468,   471,    35,  1006,  1007,  1118,   468,  1103,  1071,
     468,  1071,   467,  1071,   967,   471,    35,   936,  1000,   774,
     350,   162,   776,   427,   585,   813,   778,   778,   579,   690,
    1104,   612,  1035,   380,   468,   272,   340,   310,   718,   718,
     468,   468,   468,  1104,   468,   471,   468,   471,   886,   554,
     503,   556,   557,  1113,  1113,   256,   580,   460,   580,  1113,
    1113,   131,   190,   613,   116,   409,   266,   588,   266,   587,
    1104,   467,   468,   471,   533,   347,   641,   732,    35,    35,
     467,  1104,   682,  1118,  1035,   302,   868,   596,   533,   591,
     467,   594,   595,  1040,  1118,   597,   598,   269,   269,   467,
     528,   803,    27,   199,   857,   164,   164,    47,    94,   400,
    1035,  1060,  1061,  1060,   468,  1003,   471,  1011,  1121,   468,
     471,   157,  1012,   468,   468,   468,   966,   468,  1054,  1056,
     928,   756,   777,   467,   690,   468,   582,   925,  1104,   784,
      53,   925,   388,   537,   534,   732,   468,   471,   580,   333,
     468,    56,   249,   325,   350,   589,   589,   468,     5,   347,
    1104,   713,   936,   641,   468,  1110,   597,   591,   596,  1035,
     468,   471,   775,   775,   598,   773,   598,   252,   467,   852,
     854,   858,   911,   920,   927,   936,   784,   784,  1061,   333,
     156,   293,   156,   293,   468,  1037,  1007,   273,     3,   111,
     251,   256,  1008,  1009,   320,   994,   468,  1000,   523,   778,
    1035,   586,   925,   732,   467,   557,   686,    21,   111,   256,
    1104,   641,   868,   467,   598,   596,   597,   468,   595,   776,
     776,   468,  1000,   853,   854,   855,   937,   938,   471,   471,
      32,  1049,  1036,  1036,   256,  1009,   467,   468,   690,   536,
     144,   641,     4,   687,   688,  1112,  1113,  1121,   597,   598,
     775,   528,   468,   470,   388,   162,  1061,    74,  1035,   468,
     302,   468,   471,   598,   776,   598,   855,   361,   361,  1006,
     468,  1110,   688,  1000,   430,   430,   468,   467,   164,   164,
     687,   784,   784,   468
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))

/* Error token number */
#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (YYID (N))                                                     \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (YYID (0))
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

__attribute__((__unused__))
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
#else
static unsigned
yy_location_print_ (yyo, yylocp)
    FILE *yyo;
    YYLTYPE const * const yylocp;
#endif
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += fprintf (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += fprintf (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += fprintf (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += fprintf (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += fprintf (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */
#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
        break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULL, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULL;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULL, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
        break;
    }
}




/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;


#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
static YYSTYPE yyval_default;
# define YY_INITIAL_VALUE(Value) = Value
#endif
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval YY_INITIAL_VALUE(yyval_default);

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc = yyloc_default;


    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
/* Line 1792 of yacc.c  */
#line 813 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			}
    break;

  case 3:
/* Line 1792 of yacc.c  */
#line 829 "gram.y"
    {
					if ((yyvsp[(1) - (3)].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[(1) - (3)].list)), (yylsp[(2) - (3)]));
					}
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), makeRawStmt((yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]) + 1));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 4:
/* Line 1792 of yacc.c  */
#line 841 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[(1) - (1)].node), 0));
					else
						(yyval.list) = NIL;
				}
    break;

  case 128:
/* Line 1792 of yacc.c  */
#line 974 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 129:
/* Line 1792 of yacc.c  */
#line 985 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 130:
/* Line 1792 of yacc.c  */
#line 995 "gram.y"
    {}
    break;

  case 131:
/* Line 1792 of yacc.c  */
#line 996 "gram.y"
    {}
    break;

  case 132:
/* Line 1792 of yacc.c  */
#line 997 "gram.y"
    {}
    break;

  case 133:
/* Line 1792 of yacc.c  */
#line 1006 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 134:
/* Line 1792 of yacc.c  */
#line 1007 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 135:
/* Line 1792 of yacc.c  */
#line 1011 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 136:
/* Line 1792 of yacc.c  */
#line 1012 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 137:
/* Line 1792 of yacc.c  */
#line 1017 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)]));
				}
    break;

  case 138:
/* Line 1792 of yacc.c  */
#line 1022 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[(1) - (2)]));
				}
    break;

  case 139:
/* Line 1792 of yacc.c  */
#line 1026 "gram.y"
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(3) - (3)].str)), (yylsp[(1) - (3)]));
				}
    break;

  case 140:
/* Line 1792 of yacc.c  */
#line 1036 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[(1) - (3)]))));
				}
    break;

  case 141:
/* Line 1792 of yacc.c  */
#line 1044 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
				}
    break;

  case 142:
/* Line 1792 of yacc.c  */
#line 1048 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)), (yylsp[(1) - (3)]));
				}
    break;

  case 143:
/* Line 1792 of yacc.c  */
#line 1052 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)), (yylsp[(1) - (3)]));
				}
    break;

  case 144:
/* Line 1792 of yacc.c  */
#line 1057 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]));
				}
    break;

  case 145:
/* Line 1792 of yacc.c  */
#line 1061 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE), (yylsp[(1) - (1)]));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE), (yylsp[(1) - (1)]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				}
    break;

  case 146:
/* Line 1792 of yacc.c  */
#line 1108 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); }
    break;

  case 147:
/* Line 1792 of yacc.c  */
#line 1111 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)), (yylsp[(1) - (2)]));
				}
    break;

  case 148:
/* Line 1792 of yacc.c  */
#line 1115 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]));
				}
    break;

  case 149:
/* Line 1792 of yacc.c  */
#line 1119 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]));
				}
    break;

  case 150:
/* Line 1792 of yacc.c  */
#line 1123 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 151:
/* Line 1792 of yacc.c  */
#line 1127 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 152:
/* Line 1792 of yacc.c  */
#line 1141 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 153:
/* Line 1792 of yacc.c  */
#line 1159 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 154:
/* Line 1792 of yacc.c  */
#line 1167 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 155:
/* Line 1792 of yacc.c  */
#line 1177 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 156:
/* Line 1792 of yacc.c  */
#line 1178 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 157:
/* Line 1792 of yacc.c  */
#line 1183 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].rolespec);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 158:
/* Line 1792 of yacc.c  */
#line 1191 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 159:
/* Line 1792 of yacc.c  */
#line 1199 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].rolespec);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 160:
/* Line 1792 of yacc.c  */
#line 1207 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 161:
/* Line 1792 of yacc.c  */
#line 1228 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 162:
/* Line 1792 of yacc.c  */
#line 1235 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 163:
/* Line 1792 of yacc.c  */
#line 1242 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 164:
/* Line 1792 of yacc.c  */
#line 1249 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 165:
/* Line 1792 of yacc.c  */
#line 1256 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 166:
/* Line 1792 of yacc.c  */
#line 1263 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 167:
/* Line 1792 of yacc.c  */
#line 1280 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 168:
/* Line 1792 of yacc.c  */
#line 1298 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].rolespec);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list), (yylsp[(6) - (6)])));
					(yyval.node) = (Node *)n;
				}
    break;

  case 169:
/* Line 1792 of yacc.c  */
#line 1308 "gram.y"
    { (yyval.ival) = +1; }
    break;

  case 170:
/* Line 1792 of yacc.c  */
#line 1309 "gram.y"
    { (yyval.ival) = -1; }
    break;

  case 171:
/* Line 1792 of yacc.c  */
#line 1321 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[(3) - (6)].str);
					n->authrole = (yyvsp[(5) - (6)].rolespec);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 172:
/* Line 1792 of yacc.c  */
#line 1331 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 173:
/* Line 1792 of yacc.c  */
#line 1341 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[(6) - (9)].str);
					n->authrole = (yyvsp[(8) - (9)].rolespec);
					if ((yyvsp[(9) - (9)].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[(9) - (9)]))));
					n->schemaElts = (yyvsp[(9) - (9)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 174:
/* Line 1792 of yacc.c  */
#line 1356 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[(6) - (7)].str);
					n->authrole = NULL;
					if ((yyvsp[(7) - (7)].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[(7) - (7)]))));
					n->schemaElts = (yyvsp[(7) - (7)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 175:
/* Line 1792 of yacc.c  */
#line 1373 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 176:
/* Line 1792 of yacc.c  */
#line 1374 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 177:
/* Line 1792 of yacc.c  */
#line 1379 "gram.y"
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[(2) - (2)]);
					(yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node));
				}
    break;

  case 178:
/* Line 1792 of yacc.c  */
#line 1385 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 185:
/* Line 1792 of yacc.c  */
#line 1413 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->type = T_PgpoolVariableSetStmt; /* Hack to keep changes minumum */
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 186:
/* Line 1792 of yacc.c  */
#line 1420 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 187:
/* Line 1792 of yacc.c  */
#line 1426 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 188:
/* Line 1792 of yacc.c  */
#line 1432 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 189:
/* Line 1792 of yacc.c  */
#line 1441 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 190:
/* Line 1792 of yacc.c  */
#line 1449 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 192:
/* Line 1792 of yacc.c  */
#line 1461 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 193:
/* Line 1792 of yacc.c  */
#line 1469 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 194:
/* Line 1792 of yacc.c  */
#line 1477 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 195:
/* Line 1792 of yacc.c  */
#line 1484 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 196:
/* Line 1792 of yacc.c  */
#line 1492 "gram.y"
    {(yyval.vsetstmt) = (yyvsp[(1) - (1)].vsetstmt);}
    break;

  case 197:
/* Line 1792 of yacc.c  */
#line 1494 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 198:
/* Line 1792 of yacc.c  */
#line 1502 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 199:
/* Line 1792 of yacc.c  */
#line 1513 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
    break;

  case 200:
/* Line 1792 of yacc.c  */
#line 1521 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 201:
/* Line 1792 of yacc.c  */
#line 1529 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 202:
/* Line 1792 of yacc.c  */
#line 1540 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 203:
/* Line 1792 of yacc.c  */
#line 1548 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 204:
/* Line 1792 of yacc.c  */
#line 1556 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 205:
/* Line 1792 of yacc.c  */
#line 1563 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 206:
/* Line 1792 of yacc.c  */
#line 1572 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 207:
/* Line 1792 of yacc.c  */
#line 1581 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 208:
/* Line 1792 of yacc.c  */
#line 1583 "gram.y"
    { (yyval.str) = psprintf("%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 209:
/* Line 1792 of yacc.c  */
#line 1586 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 210:
/* Line 1792 of yacc.c  */
#line 1587 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 211:
/* Line 1792 of yacc.c  */
#line 1591 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 212:
/* Line 1792 of yacc.c  */
#line 1593 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 213:
/* Line 1792 of yacc.c  */
#line 1596 "gram.y"
    { (yyval.str) = "read uncommitted"; }
    break;

  case 214:
/* Line 1792 of yacc.c  */
#line 1597 "gram.y"
    { (yyval.str) = "read committed"; }
    break;

  case 215:
/* Line 1792 of yacc.c  */
#line 1598 "gram.y"
    { (yyval.str) = "repeatable read"; }
    break;

  case 216:
/* Line 1792 of yacc.c  */
#line 1599 "gram.y"
    { (yyval.str) = "serializable"; }
    break;

  case 217:
/* Line 1792 of yacc.c  */
#line 1603 "gram.y"
    { (yyval.str) = "true"; }
    break;

  case 218:
/* Line 1792 of yacc.c  */
#line 1604 "gram.y"
    { (yyval.str) = "false"; }
    break;

  case 219:
/* Line 1792 of yacc.c  */
#line 1605 "gram.y"
    { (yyval.str) = "on"; }
    break;

  case 220:
/* Line 1792 of yacc.c  */
#line 1611 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 221:
/* Line 1792 of yacc.c  */
#line 1624 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 222:
/* Line 1792 of yacc.c  */
#line 1628 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 223:
/* Line 1792 of yacc.c  */
#line 1632 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 224:
/* Line 1792 of yacc.c  */
#line 1647 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (5)].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				}
    break;

  case 225:
/* Line 1792 of yacc.c  */
#line 1653 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 226:
/* Line 1792 of yacc.c  */
#line 1654 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 227:
/* Line 1792 of yacc.c  */
#line 1655 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 228:
/* Line 1792 of yacc.c  */
#line 1659 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 229:
/* Line 1792 of yacc.c  */
#line 1660 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 230:
/* Line 1792 of yacc.c  */
#line 1661 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 231:
/* Line 1792 of yacc.c  */
#line 1665 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 232:
/* Line 1792 of yacc.c  */
#line 1666 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 233:
/* Line 1792 of yacc.c  */
#line 1670 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 234:
/* Line 1792 of yacc.c  */
#line 1672 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->type = T_PgpoolVariableSetStmt; /* Hack to keep the changes minumum */
					(yyval.node) = (Node *) n;
				}
    break;

  case 235:
/* Line 1792 of yacc.c  */
#line 1680 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(1) - (1)].vsetstmt); }
    break;

  case 236:
/* Line 1792 of yacc.c  */
#line 1682 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
    break;

  case 237:
/* Line 1792 of yacc.c  */
#line 1689 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
    break;

  case 238:
/* Line 1792 of yacc.c  */
#line 1696 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 239:
/* Line 1792 of yacc.c  */
#line 1706 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(1) - (1)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 240:
/* Line 1792 of yacc.c  */
#line 1713 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
    break;

  case 241:
/* Line 1792 of yacc.c  */
#line 1722 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 242:
/* Line 1792 of yacc.c  */
#line 1723 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 243:
/* Line 1792 of yacc.c  */
#line 1728 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 244:
/* Line 1792 of yacc.c  */
#line 1729 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 245:
/* Line 1792 of yacc.c  */
#line 1736 "gram.y"
    {
				VariableShowStmt *n = (VariableShowStmt *)newNode(sizeof(VariableShowStmt),T_PgpoolVariableShowStmt);
				n->name = (yyvsp[(3) - (3)].str);
				(yyval.node) = (Node *) n;
			}
    break;

  case 246:
/* Line 1792 of yacc.c  */
#line 1742 "gram.y"
    {
				VariableShowStmt *n = (VariableShowStmt *)newNode(sizeof(VariableShowStmt),T_PgpoolVariableShowStmt);
				n->name = "all";
				(yyval.node) = (Node *) n;
			}
    break;

  case 247:
/* Line 1792 of yacc.c  */
#line 1748 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 248:
/* Line 1792 of yacc.c  */
#line 1754 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 249:
/* Line 1792 of yacc.c  */
#line 1760 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 250:
/* Line 1792 of yacc.c  */
#line 1766 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 251:
/* Line 1792 of yacc.c  */
#line 1772 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
    break;

  case 252:
/* Line 1792 of yacc.c  */
#line 1782 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 253:
/* Line 1792 of yacc.c  */
#line 1791 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 254:
/* Line 1792 of yacc.c  */
#line 1792 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 255:
/* Line 1792 of yacc.c  */
#line 1796 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 256:
/* Line 1792 of yacc.c  */
#line 1797 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 257:
/* Line 1792 of yacc.c  */
#line 1806 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 258:
/* Line 1792 of yacc.c  */
#line 1821 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 259:
/* Line 1792 of yacc.c  */
#line 1827 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 260:
/* Line 1792 of yacc.c  */
#line 1833 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 261:
/* Line 1792 of yacc.c  */
#line 1839 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
    break;

  case 262:
/* Line 1792 of yacc.c  */
#line 1845 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
    break;

  case 263:
/* Line 1792 of yacc.c  */
#line 1864 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 264:
/* Line 1792 of yacc.c  */
#line 1873 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 265:
/* Line 1792 of yacc.c  */
#line 1882 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = list_make1((yyvsp[(4) - (4)].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 266:
/* Line 1792 of yacc.c  */
#line 1891 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = list_make1((yyvsp[(6) - (6)].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 267:
/* Line 1792 of yacc.c  */
#line 1900 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(6) - (10)].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(9) - (10)].str);
					n->nowait = (yyvsp[(10) - (10)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 268:
/* Line 1792 of yacc.c  */
#line 1911 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(6) - (13)].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[(9) - (13)].list);
					n->new_tablespacename = (yyvsp[(12) - (13)].str);
					n->nowait = (yyvsp[(13) - (13)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 269:
/* Line 1792 of yacc.c  */
#line 1922 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 270:
/* Line 1792 of yacc.c  */
#line 1931 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 271:
/* Line 1792 of yacc.c  */
#line 1940 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(6) - (10)].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(9) - (10)].str);
					n->nowait = (yyvsp[(10) - (10)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 272:
/* Line 1792 of yacc.c  */
#line 1951 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(6) - (13)].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[(9) - (13)].list);
					n->new_tablespacename = (yyvsp[(12) - (13)].str);
					n->nowait = (yyvsp[(13) - (13)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 273:
/* Line 1792 of yacc.c  */
#line 1962 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 274:
/* Line 1792 of yacc.c  */
#line 1971 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 275:
/* Line 1792 of yacc.c  */
#line 1980 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 276:
/* Line 1792 of yacc.c  */
#line 1989 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 277:
/* Line 1792 of yacc.c  */
#line 1998 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 278:
/* Line 1792 of yacc.c  */
#line 2007 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 279:
/* Line 1792 of yacc.c  */
#line 2016 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(7) - (11)].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(10) - (11)].str);
					n->nowait = (yyvsp[(11) - (11)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 280:
/* Line 1792 of yacc.c  */
#line 2027 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(7) - (14)].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[(10) - (14)].list);
					n->new_tablespacename = (yyvsp[(13) - (14)].str);
					n->nowait = (yyvsp[(14) - (14)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 281:
/* Line 1792 of yacc.c  */
#line 2040 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 282:
/* Line 1792 of yacc.c  */
#line 2041 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 283:
/* Line 1792 of yacc.c  */
#line 2047 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[(3) - (4)].range);
					cmd->bound = (yyvsp[(4) - (4)].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
    break;

  case 284:
/* Line 1792 of yacc.c  */
#line 2060 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[(3) - (3)].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
    break;

  case 285:
/* Line 1792 of yacc.c  */
#line 2076 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 286:
/* Line 1792 of yacc.c  */
#line 2085 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(5) - (5)].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 287:
/* Line 1792 of yacc.c  */
#line 2094 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 288:
/* Line 1792 of yacc.c  */
#line 2103 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(6) - (6)].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 289:
/* Line 1792 of yacc.c  */
#line 2112 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 290:
/* Line 1792 of yacc.c  */
#line 2121 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 291:
/* Line 1792 of yacc.c  */
#line 2129 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 292:
/* Line 1792 of yacc.c  */
#line 2137 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				}
    break;

  case 293:
/* Line 1792 of yacc.c  */
#line 2146 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 294:
/* Line 1792 of yacc.c  */
#line 2155 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 295:
/* Line 1792 of yacc.c  */
#line 2164 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 296:
/* Line 1792 of yacc.c  */
#line 2173 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[(6) - (9)].ival);
					c->options = (yyvsp[(9) - (9)].list);
					c->location = (yylsp[(5) - (9)]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[(3) - (9)].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
    break;

  case 297:
/* Line 1792 of yacc.c  */
#line 2190 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (Node *) (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 298:
/* Line 1792 of yacc.c  */
#line 2199 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[(3) - (5)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 299:
/* Line 1792 of yacc.c  */
#line 2208 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[(3) - (7)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 300:
/* Line 1792 of yacc.c  */
#line 2217 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 301:
/* Line 1792 of yacc.c  */
#line 2227 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 302:
/* Line 1792 of yacc.c  */
#line 2240 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					def->location = (yylsp[(3) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 303:
/* Line 1792 of yacc.c  */
#line 2255 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (Node *) (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 304:
/* Line 1792 of yacc.c  */
#line 2264 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 305:
/* Line 1792 of yacc.c  */
#line 2273 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[(3) - (4)].str);
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 306:
/* Line 1792 of yacc.c  */
#line 2288 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 307:
/* Line 1792 of yacc.c  */
#line 2296 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 308:
/* Line 1792 of yacc.c  */
#line 2306 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 309:
/* Line 1792 of yacc.c  */
#line 2316 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 310:
/* Line 1792 of yacc.c  */
#line 2323 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 311:
/* Line 1792 of yacc.c  */
#line 2330 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 312:
/* Line 1792 of yacc.c  */
#line 2338 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 313:
/* Line 1792 of yacc.c  */
#line 2346 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
    break;

  case 314:
/* Line 1792 of yacc.c  */
#line 2353 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
    break;

  case 315:
/* Line 1792 of yacc.c  */
#line 2360 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 316:
/* Line 1792 of yacc.c  */
#line 2368 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 317:
/* Line 1792 of yacc.c  */
#line 2376 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 318:
/* Line 1792 of yacc.c  */
#line 2384 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 319:
/* Line 1792 of yacc.c  */
#line 2391 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 320:
/* Line 1792 of yacc.c  */
#line 2398 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 321:
/* Line 1792 of yacc.c  */
#line 2406 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 322:
/* Line 1792 of yacc.c  */
#line 2413 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 323:
/* Line 1792 of yacc.c  */
#line 2420 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 324:
/* Line 1792 of yacc.c  */
#line 2428 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 325:
/* Line 1792 of yacc.c  */
#line 2436 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 326:
/* Line 1792 of yacc.c  */
#line 2444 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 327:
/* Line 1792 of yacc.c  */
#line 2452 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 328:
/* Line 1792 of yacc.c  */
#line 2460 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 329:
/* Line 1792 of yacc.c  */
#line 2468 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
    break;

  case 330:
/* Line 1792 of yacc.c  */
#line 2478 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
    break;

  case 331:
/* Line 1792 of yacc.c  */
#line 2485 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[(3) - (3)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 332:
/* Line 1792 of yacc.c  */
#line 2493 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 333:
/* Line 1792 of yacc.c  */
#line 2501 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 334:
/* Line 1792 of yacc.c  */
#line 2509 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 335:
/* Line 1792 of yacc.c  */
#line 2517 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 336:
/* Line 1792 of yacc.c  */
#line 2525 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
    break;

  case 337:
/* Line 1792 of yacc.c  */
#line 2532 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
    break;

  case 338:
/* Line 1792 of yacc.c  */
#line 2539 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
    break;

  case 339:
/* Line 1792 of yacc.c  */
#line 2546 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
    break;

  case 340:
/* Line 1792 of yacc.c  */
#line 2552 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 341:
/* Line 1792 of yacc.c  */
#line 2561 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); }
    break;

  case 342:
/* Line 1792 of yacc.c  */
#line 2562 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 343:
/* Line 1792 of yacc.c  */
#line 2566 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; }
    break;

  case 344:
/* Line 1792 of yacc.c  */
#line 2567 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; }
    break;

  case 345:
/* Line 1792 of yacc.c  */
#line 2568 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
    break;

  case 346:
/* Line 1792 of yacc.c  */
#line 2573 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 347:
/* Line 1792 of yacc.c  */
#line 2580 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 348:
/* Line 1792 of yacc.c  */
#line 2584 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 349:
/* Line 1792 of yacc.c  */
#line 2585 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 350:
/* Line 1792 of yacc.c  */
#line 2590 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 351:
/* Line 1792 of yacc.c  */
#line 2597 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 352:
/* Line 1792 of yacc.c  */
#line 2604 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 353:
/* Line 1792 of yacc.c  */
#line 2611 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 354:
/* Line 1792 of yacc.c  */
#line 2620 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 355:
/* Line 1792 of yacc.c  */
#line 2623 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 356:
/* Line 1792 of yacc.c  */
#line 2624 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 357:
/* Line 1792 of yacc.c  */
#line 2628 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 358:
/* Line 1792 of yacc.c  */
#line 2629 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 359:
/* Line 1792 of yacc.c  */
#line 2635 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node), (yylsp[(1) - (3)]));
				}
    break;

  case 360:
/* Line 1792 of yacc.c  */
#line 2639 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL, (yylsp[(1) - (1)]));
				}
    break;

  case 361:
/* Line 1792 of yacc.c  */
#line 2643 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC, (yylsp[(1) - (5)]));
				}
    break;

  case 362:
/* Line 1792 of yacc.c  */
#line 2648 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC, (yylsp[(1) - (3)]));
				}
    break;

  case 363:
/* Line 1792 of yacc.c  */
#line 2655 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 364:
/* Line 1792 of yacc.c  */
#line 2657 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 365:
/* Line 1792 of yacc.c  */
#line 2662 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[(1) - (1)]));
				}
    break;

  case 366:
/* Line 1792 of yacc.c  */
#line 2666 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value), (yylsp[(1) - (3)]));
				}
    break;

  case 367:
/* Line 1792 of yacc.c  */
#line 2670 "gram.y"
    {
					if (strcmp((yyvsp[(2) - (2)].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[(2) - (2)].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[(2) - (2)].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[(2) - (2)].defelt)->defname),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
				}
    break;

  case 368:
/* Line 1792 of yacc.c  */
#line 2681 "gram.y"
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[(3) - (3)].ival)), (yylsp[(1) - (3)]));
				}
    break;

  case 369:
/* Line 1792 of yacc.c  */
#line 2689 "gram.y"
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->listdatums = (yyvsp[(5) - (6)].list);
					n->location = (yylsp[(3) - (6)]);

					(yyval.partboundspec) = n;
				}
    break;

  case 370:
/* Line 1792 of yacc.c  */
#line 2701 "gram.y"
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->lowerdatums = (yyvsp[(5) - (10)].list);
					n->upperdatums = (yyvsp[(9) - (10)].list);
					n->location = (yylsp[(3) - (10)]);

					(yyval.partboundspec) = n;
				}
    break;

  case 371:
/* Line 1792 of yacc.c  */
#line 2714 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 372:
/* Line 1792 of yacc.c  */
#line 2715 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 373:
/* Line 1792 of yacc.c  */
#line 2716 "gram.y"
    { (yyval.node) = makeNullAConst((yylsp[(1) - (1)])); }
    break;

  case 374:
/* Line 1792 of yacc.c  */
#line 2720 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 375:
/* Line 1792 of yacc.c  */
#line 2722 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 376:
/* Line 1792 of yacc.c  */
#line 2726 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 377:
/* Line 1792 of yacc.c  */
#line 2728 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 378:
/* Line 1792 of yacc.c  */
#line 2733 "gram.y"
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MINVALUE;
					n->value = NULL;
					n->location = (yylsp[(1) - (1)]);

					(yyval.node) = (Node *) n;
				}
    break;

  case 379:
/* Line 1792 of yacc.c  */
#line 2743 "gram.y"
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MAXVALUE;
					n->value = NULL;
					n->location = (yylsp[(1) - (1)]);

					(yyval.node) = (Node *) n;
				}
    break;

  case 380:
/* Line 1792 of yacc.c  */
#line 2753 "gram.y"
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_VALUE;
					n->value = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);

					(yyval.node) = (Node *) n;
				}
    break;

  case 381:
/* Line 1792 of yacc.c  */
#line 2773 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 382:
/* Line 1792 of yacc.c  */
#line 2785 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 383:
/* Line 1792 of yacc.c  */
#line 2786 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 384:
/* Line 1792 of yacc.c  */
#line 2792 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 385:
/* Line 1792 of yacc.c  */
#line 2801 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 386:
/* Line 1792 of yacc.c  */
#line 2811 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 387:
/* Line 1792 of yacc.c  */
#line 2821 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					def->location = (yylsp[(3) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 388:
/* Line 1792 of yacc.c  */
#line 2847 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 389:
/* Line 1792 of yacc.c  */
#line 2853 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 390:
/* Line 1792 of yacc.c  */
#line 2887 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (11)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (11)].list);
					n->is_from = (yyvsp[(6) - (11)].boolean);
					n->is_program = (yyvsp[(7) - (11)].boolean);
					n->filename = (yyvsp[(8) - (11)].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[(8) - (11)]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (11)].defelt));
					if ((yyvsp[(5) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (11)].defelt));
					if ((yyvsp[(9) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(9) - (11)].defelt));
					if ((yyvsp[(11) - (11)].list))
						n->options = list_concat(n->options, (yyvsp[(11) - (11)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 391:
/* Line 1792 of yacc.c  */
#line 2915 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(3) - (9)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[(6) - (9)].boolean);
					n->filename = (yyvsp[(7) - (9)].str);
					n->options = (yyvsp[(9) - (9)].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[(5) - (9)]))));

					(yyval.node) = (Node *)n;
				}
    break;

  case 392:
/* Line 1792 of yacc.c  */
#line 2936 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 393:
/* Line 1792 of yacc.c  */
#line 2937 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 394:
/* Line 1792 of yacc.c  */
#line 2941 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 395:
/* Line 1792 of yacc.c  */
#line 2942 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 396:
/* Line 1792 of yacc.c  */
#line 2951 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 397:
/* Line 1792 of yacc.c  */
#line 2952 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 398:
/* Line 1792 of yacc.c  */
#line 2953 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 399:
/* Line 1792 of yacc.c  */
#line 2956 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 400:
/* Line 1792 of yacc.c  */
#line 2957 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 401:
/* Line 1792 of yacc.c  */
#line 2962 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 402:
/* Line 1792 of yacc.c  */
#line 2963 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 403:
/* Line 1792 of yacc.c  */
#line 2968 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[(1) - (1)]));
				}
    break;

  case 404:
/* Line 1792 of yacc.c  */
#line 2972 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
				}
    break;

  case 405:
/* Line 1792 of yacc.c  */
#line 2976 "gram.y"
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
				}
    break;

  case 406:
/* Line 1792 of yacc.c  */
#line 2980 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)), (yylsp[(1) - (3)]));
				}
    break;

  case 407:
/* Line 1792 of yacc.c  */
#line 2984 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)), (yylsp[(1) - (3)]));
				}
    break;

  case 408:
/* Line 1792 of yacc.c  */
#line 2988 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[(1) - (1)]));
				}
    break;

  case 409:
/* Line 1792 of yacc.c  */
#line 2992 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
				}
    break;

  case 410:
/* Line 1792 of yacc.c  */
#line 2996 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)), (yylsp[(1) - (3)]));
				}
    break;

  case 411:
/* Line 1792 of yacc.c  */
#line 3000 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)), (yylsp[(1) - (3)]));
				}
    break;

  case 412:
/* Line 1792 of yacc.c  */
#line 3004 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 413:
/* Line 1792 of yacc.c  */
#line 3008 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[(1) - (3)]));
				}
    break;

  case 414:
/* Line 1792 of yacc.c  */
#line 3012 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 415:
/* Line 1792 of yacc.c  */
#line 3016 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[(3) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 416:
/* Line 1792 of yacc.c  */
#line 3020 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)]));
				}
    break;

  case 417:
/* Line 1792 of yacc.c  */
#line 3029 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[(1) - (1)]));
				}
    break;

  case 418:
/* Line 1792 of yacc.c  */
#line 3032 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 419:
/* Line 1792 of yacc.c  */
#line 3037 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[(1) - (2)]));
				}
    break;

  case 420:
/* Line 1792 of yacc.c  */
#line 3040 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 421:
/* Line 1792 of yacc.c  */
#line 3045 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)), (yylsp[(2) - (3)]));
				}
    break;

  case 422:
/* Line 1792 of yacc.c  */
#line 3048 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 423:
/* Line 1792 of yacc.c  */
#line 3052 "gram.y"
    {}
    break;

  case 424:
/* Line 1792 of yacc.c  */
#line 3053 "gram.y"
    {}
    break;

  case 425:
/* Line 1792 of yacc.c  */
#line 3059 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 426:
/* Line 1792 of yacc.c  */
#line 3063 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 427:
/* Line 1792 of yacc.c  */
#line 3070 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)]));
				}
    break;

  case 428:
/* Line 1792 of yacc.c  */
#line 3076 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 429:
/* Line 1792 of yacc.c  */
#line 3077 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 430:
/* Line 1792 of yacc.c  */
#line 3078 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); }
    break;

  case 431:
/* Line 1792 of yacc.c  */
#line 3079 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); }
    break;

  case 432:
/* Line 1792 of yacc.c  */
#line 3080 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 433:
/* Line 1792 of yacc.c  */
#line 3085 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 434:
/* Line 1792 of yacc.c  */
#line 3089 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 435:
/* Line 1792 of yacc.c  */
#line 3096 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 436:
/* Line 1792 of yacc.c  */
#line 3109 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (12)].range)->relpersistence = (yyvsp[(2) - (12)].ival);
					n->relation = (yyvsp[(4) - (12)].range);
					n->tableElts = (yyvsp[(6) - (12)].list);
					n->inhRelations = (yyvsp[(8) - (12)].list);
					n->partspec = (yyvsp[(9) - (12)].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[(10) - (12)].list);
					n->oncommit = (yyvsp[(11) - (12)].oncommit);
					n->tablespacename = (yyvsp[(12) - (12)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 437:
/* Line 1792 of yacc.c  */
#line 3127 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (15)].range)->relpersistence = (yyvsp[(2) - (15)].ival);
					n->relation = (yyvsp[(7) - (15)].range);
					n->tableElts = (yyvsp[(9) - (15)].list);
					n->inhRelations = (yyvsp[(11) - (15)].list);
					n->partspec = (yyvsp[(12) - (15)].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[(13) - (15)].list);
					n->oncommit = (yyvsp[(14) - (15)].oncommit);
					n->tablespacename = (yyvsp[(15) - (15)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 438:
/* Line 1792 of yacc.c  */
#line 3145 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = (yyvsp[(2) - (11)].ival);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(7) - (11)].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[(8) - (11)].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (11)].list));
					n->ofTypename->location = (yylsp[(6) - (11)]);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 439:
/* Line 1792 of yacc.c  */
#line 3164 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = (yyvsp[(2) - (14)].ival);
					n->relation = (yyvsp[(7) - (14)].range);
					n->tableElts = (yyvsp[(10) - (14)].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[(11) - (14)].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (14)].list));
					n->ofTypename->location = (yylsp[(9) - (14)]);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (14)].list);
					n->oncommit = (yyvsp[(13) - (14)].oncommit);
					n->tablespacename = (yyvsp[(14) - (14)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 440:
/* Line 1792 of yacc.c  */
#line 3183 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(4) - (13)].range);
					n->tableElts = (yyvsp[(8) - (13)].list);
					n->inhRelations = list_make1((yyvsp[(7) - (13)].range));
					n->partbound = (yyvsp[(9) - (13)].partboundspec);
					n->partspec = (yyvsp[(10) - (13)].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (13)].list);
					n->oncommit = (yyvsp[(12) - (13)].oncommit);
					n->tablespacename = (yyvsp[(13) - (13)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 441:
/* Line 1792 of yacc.c  */
#line 3202 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (16)].range)->relpersistence = (yyvsp[(2) - (16)].ival);
					n->relation = (yyvsp[(7) - (16)].range);
					n->tableElts = (yyvsp[(11) - (16)].list);
					n->inhRelations = list_make1((yyvsp[(10) - (16)].range));
					n->partbound = (yyvsp[(12) - (16)].partboundspec);
					n->partspec = (yyvsp[(13) - (16)].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[(14) - (16)].list);
					n->oncommit = (yyvsp[(15) - (16)].oncommit);
					n->tablespacename = (yyvsp[(16) - (16)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 442:
/* Line 1792 of yacc.c  */
#line 3231 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 443:
/* Line 1792 of yacc.c  */
#line 3232 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 444:
/* Line 1792 of yacc.c  */
#line 3233 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 445:
/* Line 1792 of yacc.c  */
#line 3234 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 446:
/* Line 1792 of yacc.c  */
#line 3236 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
    break;

  case 447:
/* Line 1792 of yacc.c  */
#line 3243 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
    break;

  case 448:
/* Line 1792 of yacc.c  */
#line 3249 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
    break;

  case 449:
/* Line 1792 of yacc.c  */
#line 3250 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
    break;

  case 450:
/* Line 1792 of yacc.c  */
#line 3254 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 451:
/* Line 1792 of yacc.c  */
#line 3255 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 452:
/* Line 1792 of yacc.c  */
#line 3259 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 453:
/* Line 1792 of yacc.c  */
#line 3260 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 454:
/* Line 1792 of yacc.c  */
#line 3265 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 455:
/* Line 1792 of yacc.c  */
#line 3269 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 456:
/* Line 1792 of yacc.c  */
#line 3276 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 457:
/* Line 1792 of yacc.c  */
#line 3280 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 458:
/* Line 1792 of yacc.c  */
#line 3286 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 459:
/* Line 1792 of yacc.c  */
#line 3287 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 460:
/* Line 1792 of yacc.c  */
#line 3288 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 461:
/* Line 1792 of yacc.c  */
#line 3292 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 462:
/* Line 1792 of yacc.c  */
#line 3293 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 463:
/* Line 1792 of yacc.c  */
#line 3297 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = (yyvsp[(2) - (4)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[(3) - (4)].list);
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 464:
/* Line 1792 of yacc.c  */
#line 3319 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (2)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(2) - (2)].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 465:
/* Line 1792 of yacc.c  */
#line 3338 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 466:
/* Line 1792 of yacc.c  */
#line 3359 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 467:
/* Line 1792 of yacc.c  */
#line 3360 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 468:
/* Line 1792 of yacc.c  */
#line 3365 "gram.y"
    {
					Constraint *n = castNode(Constraint, (yyvsp[(3) - (3)].node));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 469:
/* Line 1792 of yacc.c  */
#line 3371 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 470:
/* Line 1792 of yacc.c  */
#line 3372 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 471:
/* Line 1792 of yacc.c  */
#line 3374 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 472:
/* Line 1792 of yacc.c  */
#line 3405 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 473:
/* Line 1792 of yacc.c  */
#line 3412 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 474:
/* Line 1792 of yacc.c  */
#line 3419 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 475:
/* Line 1792 of yacc.c  */
#line 3430 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 476:
/* Line 1792 of yacc.c  */
#line 3441 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->is_no_inherit = (yyvsp[(5) - (5)].boolean);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 477:
/* Line 1792 of yacc.c  */
#line 3453 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 478:
/* Line 1792 of yacc.c  */
#line 3464 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[(2) - (5)].ival);
					n->options = (yyvsp[(5) - (5)].list);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 479:
/* Line 1792 of yacc.c  */
#line 3473 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 480:
/* Line 1792 of yacc.c  */
#line 3490 "gram.y"
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
    break;

  case 481:
/* Line 1792 of yacc.c  */
#line 3491 "gram.y"
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
    break;

  case 482:
/* Line 1792 of yacc.c  */
#line 3511 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 483:
/* Line 1792 of yacc.c  */
#line 3518 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 484:
/* Line 1792 of yacc.c  */
#line 3525 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 485:
/* Line 1792 of yacc.c  */
#line 3532 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 486:
/* Line 1792 of yacc.c  */
#line 3543 "gram.y"
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 487:
/* Line 1792 of yacc.c  */
#line 3552 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 488:
/* Line 1792 of yacc.c  */
#line 3553 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); }
    break;

  case 489:
/* Line 1792 of yacc.c  */
#line 3554 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 490:
/* Line 1792 of yacc.c  */
#line 3558 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
    break;

  case 491:
/* Line 1792 of yacc.c  */
#line 3559 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
    break;

  case 492:
/* Line 1792 of yacc.c  */
#line 3560 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
    break;

  case 493:
/* Line 1792 of yacc.c  */
#line 3561 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
    break;

  case 494:
/* Line 1792 of yacc.c  */
#line 3562 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
    break;

  case 495:
/* Line 1792 of yacc.c  */
#line 3563 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
    break;

  case 496:
/* Line 1792 of yacc.c  */
#line 3564 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
    break;

  case 497:
/* Line 1792 of yacc.c  */
#line 3574 "gram.y"
    {
					Constraint *n = castNode(Constraint, (yyvsp[(3) - (3)].node));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 498:
/* Line 1792 of yacc.c  */
#line 3580 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 499:
/* Line 1792 of yacc.c  */
#line 3585 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 500:
/* Line 1792 of yacc.c  */
#line 3599 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 501:
/* Line 1792 of yacc.c  */
#line 3613 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 502:
/* Line 1792 of yacc.c  */
#line 3628 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 503:
/* Line 1792 of yacc.c  */
#line 3642 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 504:
/* Line 1792 of yacc.c  */
#line 3658 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 505:
/* Line 1792 of yacc.c  */
#line 3675 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 506:
/* Line 1792 of yacc.c  */
#line 3694 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 507:
/* Line 1792 of yacc.c  */
#line 3695 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 508:
/* Line 1792 of yacc.c  */
#line 3699 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 509:
/* Line 1792 of yacc.c  */
#line 3700 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 510:
/* Line 1792 of yacc.c  */
#line 3704 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 511:
/* Line 1792 of yacc.c  */
#line 3705 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 512:
/* Line 1792 of yacc.c  */
#line 3709 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				}
    break;

  case 513:
/* Line 1792 of yacc.c  */
#line 3715 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
    break;

  case 514:
/* Line 1792 of yacc.c  */
#line 3719 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
    break;

  case 515:
/* Line 1792 of yacc.c  */
#line 3727 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
    break;

  case 516:
/* Line 1792 of yacc.c  */
#line 3731 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
    break;

  case 517:
/* Line 1792 of yacc.c  */
#line 3737 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 518:
/* Line 1792 of yacc.c  */
#line 3739 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 519:
/* Line 1792 of yacc.c  */
#line 3743 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			}
    break;

  case 520:
/* Line 1792 of yacc.c  */
#line 3748 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			}
    break;

  case 521:
/* Line 1792 of yacc.c  */
#line 3754 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 522:
/* Line 1792 of yacc.c  */
#line 3755 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 523:
/* Line 1792 of yacc.c  */
#line 3766 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 524:
/* Line 1792 of yacc.c  */
#line 3768 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); }
    break;

  case 525:
/* Line 1792 of yacc.c  */
#line 3770 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); }
    break;

  case 526:
/* Line 1792 of yacc.c  */
#line 3772 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); }
    break;

  case 527:
/* Line 1792 of yacc.c  */
#line 3774 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 528:
/* Line 1792 of yacc.c  */
#line 3777 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 529:
/* Line 1792 of yacc.c  */
#line 3780 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 530:
/* Line 1792 of yacc.c  */
#line 3784 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
    break;

  case 531:
/* Line 1792 of yacc.c  */
#line 3785 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
    break;

  case 532:
/* Line 1792 of yacc.c  */
#line 3786 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
    break;

  case 533:
/* Line 1792 of yacc.c  */
#line 3787 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
    break;

  case 534:
/* Line 1792 of yacc.c  */
#line 3788 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
    break;

  case 535:
/* Line 1792 of yacc.c  */
#line 3791 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 536:
/* Line 1792 of yacc.c  */
#line 3792 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 537:
/* Line 1792 of yacc.c  */
#line 3796 "gram.y"
    { (yyval.partspec) = (yyvsp[(1) - (1)].partspec); }
    break;

  case 538:
/* Line 1792 of yacc.c  */
#line 3797 "gram.y"
    { (yyval.partspec) = NULL; }
    break;

  case 539:
/* Line 1792 of yacc.c  */
#line 3801 "gram.y"
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[(3) - (6)].str);
					n->partParams = (yyvsp[(5) - (6)].list);
					n->location = (yylsp[(1) - (6)]);

					(yyval.partspec) = n;
				}
    break;

  case 540:
/* Line 1792 of yacc.c  */
#line 3812 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 541:
/* Line 1792 of yacc.c  */
#line 3813 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 542:
/* Line 1792 of yacc.c  */
#line 3816 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].partelem)); }
    break;

  case 543:
/* Line 1792 of yacc.c  */
#line 3817 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].partelem)); }
    break;

  case 544:
/* Line 1792 of yacc.c  */
#line 3821 "gram.y"
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[(1) - (3)].str);
					n->expr = NULL;
					n->collation = (yyvsp[(2) - (3)].list);
					n->opclass = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(1) - (3)]);
					(yyval.partelem) = n;
				}
    break;

  case 545:
/* Line 1792 of yacc.c  */
#line 3832 "gram.y"
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[(1) - (3)].node);
					n->collation = (yyvsp[(2) - (3)].list);
					n->opclass = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(1) - (3)]);
					(yyval.partelem) = n;
				}
    break;

  case 546:
/* Line 1792 of yacc.c  */
#line 3843 "gram.y"
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[(2) - (5)].node);
					n->collation = (yyvsp[(4) - (5)].list);
					n->opclass = (yyvsp[(5) - (5)].list);
					n->location = (yylsp[(1) - (5)]);
					(yyval.partelem) = n;
				}
    break;

  case 547:
/* Line 1792 of yacc.c  */
#line 3856 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 548:
/* Line 1792 of yacc.c  */
#line 3857 "gram.y"
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(true), (yylsp[(1) - (2)]))); }
    break;

  case 549:
/* Line 1792 of yacc.c  */
#line 3858 "gram.y"
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(false), (yylsp[(1) - (2)]))); }
    break;

  case 550:
/* Line 1792 of yacc.c  */
#line 3859 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 551:
/* Line 1792 of yacc.c  */
#line 3862 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; }
    break;

  case 552:
/* Line 1792 of yacc.c  */
#line 3863 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
    break;

  case 553:
/* Line 1792 of yacc.c  */
#line 3864 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
    break;

  case 554:
/* Line 1792 of yacc.c  */
#line 3865 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
    break;

  case 555:
/* Line 1792 of yacc.c  */
#line 3868 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 556:
/* Line 1792 of yacc.c  */
#line 3869 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 557:
/* Line 1792 of yacc.c  */
#line 3872 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 558:
/* Line 1792 of yacc.c  */
#line 3873 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 559:
/* Line 1792 of yacc.c  */
#line 3876 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 560:
/* Line 1792 of yacc.c  */
#line 3896 "gram.y"
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[(3) - (8)].list);
					n->stat_types = (yyvsp[(4) - (8)].list);
					n->exprs = (yyvsp[(6) - (8)].list);
					n->relations = (yyvsp[(8) - (8)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 561:
/* Line 1792 of yacc.c  */
#line 3907 "gram.y"
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[(6) - (11)].list);
					n->stat_types = (yyvsp[(7) - (11)].list);
					n->exprs = (yyvsp[(9) - (11)].list);
					n->relations = (yyvsp[(11) - (11)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 562:
/* Line 1792 of yacc.c  */
#line 3930 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(6) - (7)].node);
					ctas->into = (yyvsp[(4) - (7)].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					(yyvsp[(4) - (7)].into)->skipData = !((yyvsp[(7) - (7)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 563:
/* Line 1792 of yacc.c  */
#line 3943 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(9) - (10)].node);
					ctas->into = (yyvsp[(7) - (10)].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[(7) - (10)].into)->rel->relpersistence = (yyvsp[(2) - (10)].ival);
					(yyvsp[(7) - (10)].into)->skipData = !((yyvsp[(10) - (10)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 564:
/* Line 1792 of yacc.c  */
#line 3959 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
    break;

  case 565:
/* Line 1792 of yacc.c  */
#line 3972 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 566:
/* Line 1792 of yacc.c  */
#line 3973 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 567:
/* Line 1792 of yacc.c  */
#line 3974 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 568:
/* Line 1792 of yacc.c  */
#line 3987 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(7) - (8)].node);
					ctas->into = (yyvsp[(5) - (8)].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(5) - (8)].into)->rel->relpersistence = (yyvsp[(2) - (8)].ival);
					(yyvsp[(5) - (8)].into)->skipData = !((yyvsp[(8) - (8)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 569:
/* Line 1792 of yacc.c  */
#line 4000 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(10) - (11)].node);
					ctas->into = (yyvsp[(8) - (11)].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[(8) - (11)].into)->rel->relpersistence = (yyvsp[(2) - (11)].ival);
					(yyvsp[(8) - (11)].into)->skipData = !((yyvsp[(11) - (11)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 570:
/* Line 1792 of yacc.c  */
#line 4016 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (4)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (4)].list);
					(yyval.into)->options = (yyvsp[(3) - (4)].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[(4) - (4)].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
    break;

  case 571:
/* Line 1792 of yacc.c  */
#line 4028 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
    break;

  case 572:
/* Line 1792 of yacc.c  */
#line 4029 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
    break;

  case 573:
/* Line 1792 of yacc.c  */
#line 4042 "gram.y"
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[(4) - (6)].boolean);
					n->relation = (yyvsp[(5) - (6)].range);
					n->skipData = !((yyvsp[(6) - (6)].boolean));
					(yyval.node) = (Node *) n;
				}
    break;

  case 574:
/* Line 1792 of yacc.c  */
#line 4062 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 575:
/* Line 1792 of yacc.c  */
#line 4072 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(7) - (8)].range)->relpersistence = (yyvsp[(2) - (8)].ival);
					n->sequence = (yyvsp[(7) - (8)].range);
					n->options = (yyvsp[(8) - (8)].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 576:
/* Line 1792 of yacc.c  */
#line 4085 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 577:
/* Line 1792 of yacc.c  */
#line 4093 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(5) - (6)].range);
					n->options = (yyvsp[(6) - (6)].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 578:
/* Line 1792 of yacc.c  */
#line 4103 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 579:
/* Line 1792 of yacc.c  */
#line 4104 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 580:
/* Line 1792 of yacc.c  */
#line 4107 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 581:
/* Line 1792 of yacc.c  */
#line 4108 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 582:
/* Line 1792 of yacc.c  */
#line 4111 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 583:
/* Line 1792 of yacc.c  */
#line 4112 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 584:
/* Line 1792 of yacc.c  */
#line 4116 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].typnam), (yylsp[(1) - (2)]));
				}
    break;

  case 585:
/* Line 1792 of yacc.c  */
#line 4120 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value), (yylsp[(1) - (2)]));
				}
    break;

  case 586:
/* Line 1792 of yacc.c  */
#line 4124 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
				}
    break;

  case 587:
/* Line 1792 of yacc.c  */
#line 4128 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE), (yylsp[(1) - (2)]));
				}
    break;

  case 588:
/* Line 1792 of yacc.c  */
#line 4132 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value), (yylsp[(1) - (3)]));
				}
    break;

  case 589:
/* Line 1792 of yacc.c  */
#line 4136 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value), (yylsp[(1) - (2)]));
				}
    break;

  case 590:
/* Line 1792 of yacc.c  */
#line 4140 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value), (yylsp[(1) - (2)]));
				}
    break;

  case 591:
/* Line 1792 of yacc.c  */
#line 4144 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[(1) - (2)]));
				}
    break;

  case 592:
/* Line 1792 of yacc.c  */
#line 4148 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[(1) - (2)]));
				}
    break;

  case 593:
/* Line 1792 of yacc.c  */
#line 4152 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 594:
/* Line 1792 of yacc.c  */
#line 4156 "gram.y"
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[(3) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 595:
/* Line 1792 of yacc.c  */
#line 4161 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value), (yylsp[(1) - (3)]));
				}
    break;

  case 596:
/* Line 1792 of yacc.c  */
#line 4165 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[(1) - (1)]));
				}
    break;

  case 597:
/* Line 1792 of yacc.c  */
#line 4169 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value), (yylsp[(1) - (3)]));
				}
    break;

  case 598:
/* Line 1792 of yacc.c  */
#line 4174 "gram.y"
    {}
    break;

  case 599:
/* Line 1792 of yacc.c  */
#line 4175 "gram.y"
    {}
    break;

  case 600:
/* Line 1792 of yacc.c  */
#line 4179 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); }
    break;

  case 601:
/* Line 1792 of yacc.c  */
#line 4180 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(2) - (2)].str)); }
    break;

  case 602:
/* Line 1792 of yacc.c  */
#line 4182 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				}
    break;

  case 603:
/* Line 1792 of yacc.c  */
#line 4186 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); }
    break;

  case 604:
/* Line 1792 of yacc.c  */
#line 4189 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 605:
/* Line 1792 of yacc.c  */
#line 4190 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 606:
/* Line 1792 of yacc.c  */
#line 4203 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
    break;

  case 607:
/* Line 1792 of yacc.c  */
#line 4216 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 608:
/* Line 1792 of yacc.c  */
#line 4229 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 609:
/* Line 1792 of yacc.c  */
#line 4230 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 610:
/* Line 1792 of yacc.c  */
#line 4238 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 611:
/* Line 1792 of yacc.c  */
#line 4239 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 612:
/* Line 1792 of yacc.c  */
#line 4243 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 613:
/* Line 1792 of yacc.c  */
#line 4244 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 614:
/* Line 1792 of yacc.c  */
#line 4248 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 615:
/* Line 1792 of yacc.c  */
#line 4249 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 616:
/* Line 1792 of yacc.c  */
#line 4253 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 617:
/* Line 1792 of yacc.c  */
#line 4254 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 618:
/* Line 1792 of yacc.c  */
#line 4259 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[(4) - (5)].str)));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 619:
/* Line 1792 of yacc.c  */
#line 4269 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[(6) - (7)].str)));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 620:
/* Line 1792 of yacc.c  */
#line 4281 "gram.y"
    {}
    break;

  case 621:
/* Line 1792 of yacc.c  */
#line 4282 "gram.y"
    {}
    break;

  case 622:
/* Line 1792 of yacc.c  */
#line 4293 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (7)].str);
					n->owner = (yyvsp[(4) - (7)].rolespec);
					n->location = (yyvsp[(6) - (7)].str);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 623:
/* Line 1792 of yacc.c  */
#line 4303 "gram.y"
    { (yyval.rolespec) = (yyvsp[(2) - (2)].rolespec); }
    break;

  case 624:
/* Line 1792 of yacc.c  */
#line 4304 "gram.y"
    { (yyval.rolespec) = NULL; }
    break;

  case 625:
/* Line 1792 of yacc.c  */
#line 4318 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 626:
/* Line 1792 of yacc.c  */
#line 4325 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 627:
/* Line 1792 of yacc.c  */
#line 4342 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 628:
/* Line 1792 of yacc.c  */
#line 4350 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 629:
/* Line 1792 of yacc.c  */
#line 4361 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 630:
/* Line 1792 of yacc.c  */
#line 4363 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 631:
/* Line 1792 of yacc.c  */
#line 4368 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)]));
				}
    break;

  case 632:
/* Line 1792 of yacc.c  */
#line 4372 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)]));
				}
    break;

  case 633:
/* Line 1792 of yacc.c  */
#line 4376 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)]));
				}
    break;

  case 634:
/* Line 1792 of yacc.c  */
#line 4380 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
				}
    break;

  case 635:
/* Line 1792 of yacc.c  */
#line 4392 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 636:
/* Line 1792 of yacc.c  */
#line 4402 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 637:
/* Line 1792 of yacc.c  */
#line 4404 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 638:
/* Line 1792 of yacc.c  */
#line 4409 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)]));
				}
    break;

  case 639:
/* Line 1792 of yacc.c  */
#line 4422 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[(7) - (7)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 640:
/* Line 1792 of yacc.c  */
#line 4431 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[(6) - (6)].objwithargs);
					(yyval.node) = (Node *)n;
				}
    break;

  case 641:
/* Line 1792 of yacc.c  */
#line 4440 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[(7) - (10)].typnam), (yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				}
    break;

  case 642:
/* Line 1792 of yacc.c  */
#line 4449 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 643:
/* Line 1792 of yacc.c  */
#line 4458 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 644:
/* Line 1792 of yacc.c  */
#line 4467 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[(6) - (6)].typnam);
					(yyval.node) = (Node *)n;
				}
    break;

  case 645:
/* Line 1792 of yacc.c  */
#line 4476 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[(6) - (6)].objwithargs);
					(yyval.node) = (Node *)n;
				}
    break;

  case 646:
/* Line 1792 of yacc.c  */
#line 4485 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[(7) - (7)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 647:
/* Line 1792 of yacc.c  */
#line 4494 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[(6) - (6)].objwithargs);
					(yyval.node) = (Node *)n;
				}
    break;

  case 648:
/* Line 1792 of yacc.c  */
#line 4503 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[(9) - (9)].str)), (yyvsp[(7) - (9)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 649:
/* Line 1792 of yacc.c  */
#line 4512 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[(9) - (9)].str)), (yyvsp[(7) - (9)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 650:
/* Line 1792 of yacc.c  */
#line 4521 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 651:
/* Line 1792 of yacc.c  */
#line 4530 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[(7) - (7)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 652:
/* Line 1792 of yacc.c  */
#line 4539 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 653:
/* Line 1792 of yacc.c  */
#line 4548 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 654:
/* Line 1792 of yacc.c  */
#line 4557 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 655:
/* Line 1792 of yacc.c  */
#line 4566 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 656:
/* Line 1792 of yacc.c  */
#line 4575 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 657:
/* Line 1792 of yacc.c  */
#line 4584 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 658:
/* Line 1792 of yacc.c  */
#line 4593 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 659:
/* Line 1792 of yacc.c  */
#line 4602 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 660:
/* Line 1792 of yacc.c  */
#line 4611 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 661:
/* Line 1792 of yacc.c  */
#line 4620 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[(8) - (8)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 662:
/* Line 1792 of yacc.c  */
#line 4629 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 663:
/* Line 1792 of yacc.c  */
#line 4638 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[(7) - (9)].typnam), makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 664:
/* Line 1792 of yacc.c  */
#line 4647 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[(6) - (6)].typnam);
					(yyval.node) = (Node *)n;
				}
    break;

  case 665:
/* Line 1792 of yacc.c  */
#line 4665 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 666:
/* Line 1792 of yacc.c  */
#line 4675 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list), (yylsp[(1) - (2)])); }
    break;

  case 667:
/* Line 1792 of yacc.c  */
#line 4676 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[(1) - (2)])); }
    break;

  case 668:
/* Line 1792 of yacc.c  */
#line 4677 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list), (yylsp[(1) - (2)])); }
    break;

  case 669:
/* Line 1792 of yacc.c  */
#line 4678 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[(1) - (2)])); }
    break;

  case 670:
/* Line 1792 of yacc.c  */
#line 4682 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 671:
/* Line 1792 of yacc.c  */
#line 4683 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 672:
/* Line 1792 of yacc.c  */
#line 4687 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 673:
/* Line 1792 of yacc.c  */
#line 4688 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 674:
/* Line 1792 of yacc.c  */
#line 4699 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 675:
/* Line 1792 of yacc.c  */
#line 4707 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 676:
/* Line 1792 of yacc.c  */
#line 4718 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 677:
/* Line 1792 of yacc.c  */
#line 4719 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 678:
/* Line 1792 of yacc.c  */
#line 4724 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 679:
/* Line 1792 of yacc.c  */
#line 4728 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 680:
/* Line 1792 of yacc.c  */
#line 4735 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 681:
/* Line 1792 of yacc.c  */
#line 4740 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 682:
/* Line 1792 of yacc.c  */
#line 4744 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 683:
/* Line 1792 of yacc.c  */
#line 4751 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 684:
/* Line 1792 of yacc.c  */
#line 4755 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
    break;

  case 685:
/* Line 1792 of yacc.c  */
#line 4760 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
    break;

  case 686:
/* Line 1792 of yacc.c  */
#line 4765 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP, (yylsp[(2) - (2)]));
				}
    break;

  case 687:
/* Line 1792 of yacc.c  */
#line 4772 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)]));
				}
    break;

  case 688:
/* Line 1792 of yacc.c  */
#line 4778 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 689:
/* Line 1792 of yacc.c  */
#line 4783 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 690:
/* Line 1792 of yacc.c  */
#line 4795 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 691:
/* Line 1792 of yacc.c  */
#line 4807 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(6) - (13)].str);
					n->servertype = (yyvsp[(7) - (13)].str);
					n->version = (yyvsp[(8) - (13)].str);
					n->fdwname = (yyvsp[(12) - (13)].str);
					n->options = (yyvsp[(13) - (13)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 692:
/* Line 1792 of yacc.c  */
#line 4820 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 693:
/* Line 1792 of yacc.c  */
#line 4821 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 694:
/* Line 1792 of yacc.c  */
#line 4826 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 695:
/* Line 1792 of yacc.c  */
#line 4827 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 696:
/* Line 1792 of yacc.c  */
#line 4831 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 697:
/* Line 1792 of yacc.c  */
#line 4832 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 698:
/* Line 1792 of yacc.c  */
#line 4843 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 699:
/* Line 1792 of yacc.c  */
#line 4852 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 700:
/* Line 1792 of yacc.c  */
#line 4860 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 701:
/* Line 1792 of yacc.c  */
#line 4879 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (11)].range);
					n->base.tableElts = (yyvsp[(6) - (11)].list);
					n->base.inhRelations = (yyvsp[(8) - (11)].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(10) - (11)].str);
					n->options = (yyvsp[(11) - (11)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 702:
/* Line 1792 of yacc.c  */
#line 4899 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (14)].range);
					n->base.tableElts = (yyvsp[(9) - (14)].list);
					n->base.inhRelations = (yyvsp[(11) - (14)].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(13) - (14)].str);
					n->options = (yyvsp[(14) - (14)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 703:
/* Line 1792 of yacc.c  */
#line 4919 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (12)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (12)].range);
					n->base.inhRelations = list_make1((yyvsp[(7) - (12)].range));
					n->base.tableElts = (yyvsp[(8) - (12)].list);
					n->base.partbound = (yyvsp[(9) - (12)].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(11) - (12)].str);
					n->options = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 704:
/* Line 1792 of yacc.c  */
#line 4940 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (15)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (15)].range);
					n->base.inhRelations = list_make1((yyvsp[(10) - (15)].range));
					n->base.tableElts = (yyvsp[(11) - (15)].list);
					n->base.partbound = (yyvsp[(12) - (15)].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(14) - (15)].str);
					n->options = (yyvsp[(15) - (15)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 705:
/* Line 1792 of yacc.c  */
#line 4969 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 706:
/* Line 1792 of yacc.c  */
#line 4978 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 707:
/* Line 1792 of yacc.c  */
#line 5000 "gram.y"
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[(8) - (11)].str);
				n->remote_schema = (yyvsp[(4) - (11)].str);
				n->local_schema = (yyvsp[(10) - (11)].str);
				n->list_type = (yyvsp[(5) - (11)].importqual)->type;
				n->table_list = (yyvsp[(5) - (11)].importqual)->table_names;
				n->options = (yyvsp[(11) - (11)].list);
				(yyval.node) = (Node *) n;
			}
    break;

  case 708:
/* Line 1792 of yacc.c  */
#line 5013 "gram.y"
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
    break;

  case 709:
/* Line 1792 of yacc.c  */
#line 5014 "gram.y"
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
    break;

  case 710:
/* Line 1792 of yacc.c  */
#line 5019 "gram.y"
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[(1) - (4)].ival);
				n->table_names = (yyvsp[(3) - (4)].list);
				(yyval.importqual) = n;
			}
    break;

  case 711:
/* Line 1792 of yacc.c  */
#line 5026 "gram.y"
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
    break;

  case 712:
/* Line 1792 of yacc.c  */
#line 5042 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[(5) - (8)].rolespec);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 713:
/* Line 1792 of yacc.c  */
#line 5051 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[(8) - (11)].rolespec);
					n->servername = (yyvsp[(10) - (11)].str);
					n->options = (yyvsp[(11) - (11)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 714:
/* Line 1792 of yacc.c  */
#line 5062 "gram.y"
    { (yyval.rolespec) = (yyvsp[(1) - (1)].rolespec); }
    break;

  case 715:
/* Line 1792 of yacc.c  */
#line 5063 "gram.y"
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[(1) - (1)])); }
    break;

  case 716:
/* Line 1792 of yacc.c  */
#line 5076 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[(5) - (7)].rolespec);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 717:
/* Line 1792 of yacc.c  */
#line 5084 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[(7) - (9)].rolespec);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 718:
/* Line 1792 of yacc.c  */
#line 5101 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[(5) - (8)].rolespec);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 719:
/* Line 1792 of yacc.c  */
#line 5127 "gram.y"
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[(3) - (10)].str);
					n->table = (yyvsp[(5) - (10)].range);
					n->permissive = (yyvsp[(6) - (10)].boolean);
					n->cmd_name = (yyvsp[(7) - (10)].str);
					n->roles = (yyvsp[(8) - (10)].list);
					n->qual = (yyvsp[(9) - (10)].node);
					n->with_check = (yyvsp[(10) - (10)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 720:
/* Line 1792 of yacc.c  */
#line 5143 "gram.y"
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[(3) - (8)].str);
					n->table = (yyvsp[(5) - (8)].range);
					n->roles = (yyvsp[(6) - (8)].list);
					n->qual = (yyvsp[(7) - (8)].node);
					n->with_check = (yyvsp[(8) - (8)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 721:
/* Line 1792 of yacc.c  */
#line 5155 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 722:
/* Line 1792 of yacc.c  */
#line 5156 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 723:
/* Line 1792 of yacc.c  */
#line 5160 "gram.y"
    { (yyval.node) = (yyvsp[(4) - (5)].node); }
    break;

  case 724:
/* Line 1792 of yacc.c  */
#line 5161 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 725:
/* Line 1792 of yacc.c  */
#line 5165 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 726:
/* Line 1792 of yacc.c  */
#line 5166 "gram.y"
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
    break;

  case 727:
/* Line 1792 of yacc.c  */
#line 5170 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 728:
/* Line 1792 of yacc.c  */
#line 5171 "gram.y"
    { (yyval.list) = NULL; }
    break;

  case 729:
/* Line 1792 of yacc.c  */
#line 5176 "gram.y"
    {
					if (strcmp((yyvsp[(2) - (2)].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[(2) - (2)].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[(2) - (2)].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[(2) - (2)]))));

				}
    break;

  case 730:
/* Line 1792 of yacc.c  */
#line 5189 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 731:
/* Line 1792 of yacc.c  */
#line 5193 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 732:
/* Line 1792 of yacc.c  */
#line 5194 "gram.y"
    { (yyval.str) = "all"; }
    break;

  case 733:
/* Line 1792 of yacc.c  */
#line 5198 "gram.y"
    { (yyval.str) = "all"; }
    break;

  case 734:
/* Line 1792 of yacc.c  */
#line 5199 "gram.y"
    { (yyval.str) = "select"; }
    break;

  case 735:
/* Line 1792 of yacc.c  */
#line 5200 "gram.y"
    { (yyval.str) = "insert"; }
    break;

  case 736:
/* Line 1792 of yacc.c  */
#line 5201 "gram.y"
    { (yyval.str) = "update"; }
    break;

  case 737:
/* Line 1792 of yacc.c  */
#line 5202 "gram.y"
    { (yyval.str) = "delete"; }
    break;

  case 738:
/* Line 1792 of yacc.c  */
#line 5213 "gram.y"
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[(4) - (8)].str);
					n->handler_name = (yyvsp[(8) - (8)].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
    break;

  case 739:
/* Line 1792 of yacc.c  */
#line 5233 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (16)].str);
					n->relation = (yyvsp[(7) - (16)].range);
					n->funcname = (yyvsp[(13) - (16)].list);
					n->args = (yyvsp[(15) - (16)].list);
					n->row = (yyvsp[(9) - (16)].boolean);
					n->timing = (yyvsp[(4) - (16)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (16)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (16)].list));
					n->whenClause = (yyvsp[(10) - (16)].node);
					n->transitionRels = (yyvsp[(8) - (16)].list);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 740:
/* Line 1792 of yacc.c  */
#line 5255 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->transitionRels = NIL;
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 741:
/* Line 1792 of yacc.c  */
#line 5277 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
    break;

  case 742:
/* Line 1792 of yacc.c  */
#line 5278 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
    break;

  case 743:
/* Line 1792 of yacc.c  */
#line 5279 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
    break;

  case 744:
/* Line 1792 of yacc.c  */
#line 5284 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 745:
/* Line 1792 of yacc.c  */
#line 5286 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
    break;

  case 746:
/* Line 1792 of yacc.c  */
#line 5308 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
    break;

  case 747:
/* Line 1792 of yacc.c  */
#line 5310 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
    break;

  case 748:
/* Line 1792 of yacc.c  */
#line 5312 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
    break;

  case 749:
/* Line 1792 of yacc.c  */
#line 5314 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); }
    break;

  case 750:
/* Line 1792 of yacc.c  */
#line 5316 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
    break;

  case 751:
/* Line 1792 of yacc.c  */
#line 5320 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 752:
/* Line 1792 of yacc.c  */
#line 5321 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 753:
/* Line 1792 of yacc.c  */
#line 5325 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 754:
/* Line 1792 of yacc.c  */
#line 5326 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 755:
/* Line 1792 of yacc.c  */
#line 5331 "gram.y"
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[(4) - (4)].str);
					n->isNew = (yyvsp[(1) - (4)].boolean);
					n->isTable = (yyvsp[(2) - (4)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 756:
/* Line 1792 of yacc.c  */
#line 5341 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 757:
/* Line 1792 of yacc.c  */
#line 5342 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 758:
/* Line 1792 of yacc.c  */
#line 5346 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 759:
/* Line 1792 of yacc.c  */
#line 5355 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 760:
/* Line 1792 of yacc.c  */
#line 5359 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 761:
/* Line 1792 of yacc.c  */
#line 5364 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				}
    break;

  case 762:
/* Line 1792 of yacc.c  */
#line 5368 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
    break;

  case 763:
/* Line 1792 of yacc.c  */
#line 5378 "gram.y"
    {}
    break;

  case 764:
/* Line 1792 of yacc.c  */
#line 5379 "gram.y"
    {}
    break;

  case 765:
/* Line 1792 of yacc.c  */
#line 5383 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 766:
/* Line 1792 of yacc.c  */
#line 5384 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 767:
/* Line 1792 of yacc.c  */
#line 5388 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 768:
/* Line 1792 of yacc.c  */
#line 5389 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 769:
/* Line 1792 of yacc.c  */
#line 5393 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 770:
/* Line 1792 of yacc.c  */
#line 5394 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 771:
/* Line 1792 of yacc.c  */
#line 5395 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 772:
/* Line 1792 of yacc.c  */
#line 5400 "gram.y"
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[(1) - (1)].ival)));
				}
    break;

  case 773:
/* Line 1792 of yacc.c  */
#line 5403 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 774:
/* Line 1792 of yacc.c  */
#line 5404 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 775:
/* Line 1792 of yacc.c  */
#line 5405 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 776:
/* Line 1792 of yacc.c  */
#line 5409 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); }
    break;

  case 777:
/* Line 1792 of yacc.c  */
#line 5410 "gram.y"
    { (yyval.range) = NULL; }
    break;

  case 778:
/* Line 1792 of yacc.c  */
#line 5415 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 779:
/* Line 1792 of yacc.c  */
#line 5417 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				}
    break;

  case 780:
/* Line 1792 of yacc.c  */
#line 5443 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
    break;

  case 781:
/* Line 1792 of yacc.c  */
#line 5444 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; }
    break;

  case 782:
/* Line 1792 of yacc.c  */
#line 5445 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
    break;

  case 783:
/* Line 1792 of yacc.c  */
#line 5446 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
    break;

  case 784:
/* Line 1792 of yacc.c  */
#line 5447 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; }
    break;

  case 785:
/* Line 1792 of yacc.c  */
#line 5448 "gram.y"
    { (yyval.ival) = CAS_NO_INHERIT; }
    break;

  case 786:
/* Line 1792 of yacc.c  */
#line 5463 "gram.y"
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[(4) - (11)].str);
					n->eventname = (yyvsp[(6) - (11)].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[(9) - (11)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 787:
/* Line 1792 of yacc.c  */
#line 5474 "gram.y"
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[(4) - (13)].str);
					n->eventname = (yyvsp[(6) - (13)].str);
					n->whenclause = (yyvsp[(8) - (13)].list);
					n->funcname = (yyvsp[(11) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 788:
/* Line 1792 of yacc.c  */
#line 5486 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 789:
/* Line 1792 of yacc.c  */
#line 5488 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 790:
/* Line 1792 of yacc.c  */
#line 5493 "gram.y"
    { (yyval.defelt) = makeDefElem((yyvsp[(1) - (5)].str), (Node *) (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)])); }
    break;

  case 791:
/* Line 1792 of yacc.c  */
#line 5498 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 792:
/* Line 1792 of yacc.c  */
#line 5500 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 793:
/* Line 1792 of yacc.c  */
#line 5505 "gram.y"
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[(4) - (5)].str);
					n->tgenabled = (yyvsp[(5) - (5)].chr);
					(yyval.node) = (Node *) n;
				}
    break;

  case 794:
/* Line 1792 of yacc.c  */
#line 5514 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
    break;

  case 795:
/* Line 1792 of yacc.c  */
#line 5515 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
    break;

  case 796:
/* Line 1792 of yacc.c  */
#line 5516 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
    break;

  case 797:
/* Line 1792 of yacc.c  */
#line 5517 "gram.y"
    { (yyval.chr) = TRIGGER_DISABLED; }
    break;

  case 798:
/* Line 1792 of yacc.c  */
#line 5531 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
    break;

  case 799:
/* Line 1792 of yacc.c  */
#line 5550 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
    break;

  case 800:
/* Line 1792 of yacc.c  */
#line 5572 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 801:
/* Line 1792 of yacc.c  */
#line 5582 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 802:
/* Line 1792 of yacc.c  */
#line 5593 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 803:
/* Line 1792 of yacc.c  */
#line 5603 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 804:
/* Line 1792 of yacc.c  */
#line 5613 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 805:
/* Line 1792 of yacc.c  */
#line 5624 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 806:
/* Line 1792 of yacc.c  */
#line 5633 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 807:
/* Line 1792 of yacc.c  */
#line 5640 "gram.y"
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[(3) - (6)].list);
					n->params	= (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 808:
/* Line 1792 of yacc.c  */
#line 5647 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 809:
/* Line 1792 of yacc.c  */
#line 5656 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 810:
/* Line 1792 of yacc.c  */
#line 5665 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 811:
/* Line 1792 of yacc.c  */
#line 5674 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 812:
/* Line 1792 of yacc.c  */
#line 5683 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 813:
/* Line 1792 of yacc.c  */
#line 5692 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(6) - (7)].list);
					n->definition = (yyvsp[(7) - (7)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 814:
/* Line 1792 of yacc.c  */
#line 5702 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list), (yylsp[(5) - (5)])));
					(yyval.node) = (Node *)n;
				}
    break;

  case 815:
/* Line 1792 of yacc.c  */
#line 5711 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(6) - (8)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(8) - (8)].list), (yylsp[(8) - (8)])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 816:
/* Line 1792 of yacc.c  */
#line 5722 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 817:
/* Line 1792 of yacc.c  */
#line 5725 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 818:
/* Line 1792 of yacc.c  */
#line 5726 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 819:
/* Line 1792 of yacc.c  */
#line 5730 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node), (yylsp[(1) - (3)]));
				}
    break;

  case 820:
/* Line 1792 of yacc.c  */
#line 5734 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL, (yylsp[(1) - (1)]));
				}
    break;

  case 821:
/* Line 1792 of yacc.c  */
#line 5740 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 822:
/* Line 1792 of yacc.c  */
#line 5741 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 823:
/* Line 1792 of yacc.c  */
#line 5742 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 824:
/* Line 1792 of yacc.c  */
#line 5743 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 825:
/* Line 1792 of yacc.c  */
#line 5744 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 826:
/* Line 1792 of yacc.c  */
#line 5745 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 827:
/* Line 1792 of yacc.c  */
#line 5748 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 828:
/* Line 1792 of yacc.c  */
#line 5751 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 829:
/* Line 1792 of yacc.c  */
#line 5752 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 830:
/* Line 1792 of yacc.c  */
#line 5761 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node), (yylsp[(1) - (3)]));
				}
    break;

  case 831:
/* Line 1792 of yacc.c  */
#line 5767 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 832:
/* Line 1792 of yacc.c  */
#line 5768 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 833:
/* Line 1792 of yacc.c  */
#line 5772 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 834:
/* Line 1792 of yacc.c  */
#line 5774 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 835:
/* Line 1792 of yacc.c  */
#line 5785 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (7)].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[(7) - (7)].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[(6) - (7)].boolean);
				(yyval.node) = (Node *) n;
			}
    break;

  case 836:
/* Line 1792 of yacc.c  */
#line 5796 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (9)].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[(7) - (9)].str);
				n->newValNeighbor = (yyvsp[(9) - (9)].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[(6) - (9)].boolean);
				(yyval.node) = (Node *) n;
			}
    break;

  case 837:
/* Line 1792 of yacc.c  */
#line 5807 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (9)].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[(7) - (9)].str);
				n->newValNeighbor = (yyvsp[(9) - (9)].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[(6) - (9)].boolean);
				(yyval.node) = (Node *) n;
			}
    break;

  case 838:
/* Line 1792 of yacc.c  */
#line 5818 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (8)].list);
				n->oldVal = (yyvsp[(6) - (8)].str);
				n->newVal = (yyvsp[(8) - (8)].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
    break;

  case 839:
/* Line 1792 of yacc.c  */
#line 5830 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 840:
/* Line 1792 of yacc.c  */
#line 5831 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 841:
/* Line 1792 of yacc.c  */
#line 5849 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 842:
/* Line 1792 of yacc.c  */
#line 5862 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 843:
/* Line 1792 of yacc.c  */
#line 5863 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 844:
/* Line 1792 of yacc.c  */
#line 5868 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[(3) - (5)].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 845:
/* Line 1792 of yacc.c  */
#line 5881 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].objwithargs);
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 846:
/* Line 1792 of yacc.c  */
#line 5890 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (3)].objwithargs);
					n->number = (yyvsp[(2) - (3)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 847:
/* Line 1792 of yacc.c  */
#line 5898 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (6)].objwithargs);
					n->number = (yyvsp[(2) - (6)].ival);
					n->class_args = (yyvsp[(4) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 848:
/* Line 1792 of yacc.c  */
#line 5907 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				}
    break;

  case 849:
/* Line 1792 of yacc.c  */
#line 5915 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 850:
/* Line 1792 of yacc.c  */
#line 5916 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 851:
/* Line 1792 of yacc.c  */
#line 5919 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 852:
/* Line 1792 of yacc.c  */
#line 5920 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 853:
/* Line 1792 of yacc.c  */
#line 5923 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 854:
/* Line 1792 of yacc.c  */
#line 5924 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); }
    break;

  case 855:
/* Line 1792 of yacc.c  */
#line 5925 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 856:
/* Line 1792 of yacc.c  */
#line 5929 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				}
    break;

  case 857:
/* Line 1792 of yacc.c  */
#line 5942 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 858:
/* Line 1792 of yacc.c  */
#line 5948 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 859:
/* Line 1792 of yacc.c  */
#line 5958 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 860:
/* Line 1792 of yacc.c  */
#line 5967 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 861:
/* Line 1792 of yacc.c  */
#line 5978 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 862:
/* Line 1792 of yacc.c  */
#line 5979 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 863:
/* Line 1792 of yacc.c  */
#line 5984 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->class_args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 864:
/* Line 1792 of yacc.c  */
#line 5992 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->class_args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 865:
/* Line 1792 of yacc.c  */
#line 6004 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[(6) - (7)].str)), (yyvsp[(4) - (7)].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 866:
/* Line 1792 of yacc.c  */
#line 6014 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[(8) - (9)].str)), (yyvsp[(6) - (9)].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 867:
/* Line 1792 of yacc.c  */
#line 6027 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[(6) - (7)].str)), (yyvsp[(4) - (7)].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 868:
/* Line 1792 of yacc.c  */
#line 6037 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[(8) - (9)].str)), (yyvsp[(6) - (9)].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 869:
/* Line 1792 of yacc.c  */
#line 6059 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 870:
/* Line 1792 of yacc.c  */
#line 6069 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 871:
/* Line 1792 of yacc.c  */
#line 6087 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 872:
/* Line 1792 of yacc.c  */
#line 6097 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 873:
/* Line 1792 of yacc.c  */
#line 6107 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 874:
/* Line 1792 of yacc.c  */
#line 6117 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 875:
/* Line 1792 of yacc.c  */
#line 6127 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 876:
/* Line 1792 of yacc.c  */
#line 6137 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (8)].objtype);
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 877:
/* Line 1792 of yacc.c  */
#line 6147 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 878:
/* Line 1792 of yacc.c  */
#line 6157 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 879:
/* Line 1792 of yacc.c  */
#line 6167 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 880:
/* Line 1792 of yacc.c  */
#line 6177 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 881:
/* Line 1792 of yacc.c  */
#line 6187 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 882:
/* Line 1792 of yacc.c  */
#line 6197 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 883:
/* Line 1792 of yacc.c  */
#line 6210 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 884:
/* Line 1792 of yacc.c  */
#line 6211 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 885:
/* Line 1792 of yacc.c  */
#line 6212 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 886:
/* Line 1792 of yacc.c  */
#line 6213 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; }
    break;

  case 887:
/* Line 1792 of yacc.c  */
#line 6214 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 888:
/* Line 1792 of yacc.c  */
#line 6215 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 889:
/* Line 1792 of yacc.c  */
#line 6216 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 890:
/* Line 1792 of yacc.c  */
#line 6217 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 891:
/* Line 1792 of yacc.c  */
#line 6218 "gram.y"
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
    break;

  case 892:
/* Line 1792 of yacc.c  */
#line 6219 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 893:
/* Line 1792 of yacc.c  */
#line 6220 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 894:
/* Line 1792 of yacc.c  */
#line 6221 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 895:
/* Line 1792 of yacc.c  */
#line 6222 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 896:
/* Line 1792 of yacc.c  */
#line 6227 "gram.y"
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
    break;

  case 897:
/* Line 1792 of yacc.c  */
#line 6228 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
    break;

  case 898:
/* Line 1792 of yacc.c  */
#line 6229 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 899:
/* Line 1792 of yacc.c  */
#line 6230 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; }
    break;

  case 900:
/* Line 1792 of yacc.c  */
#line 6231 "gram.y"
    { (yyval.objtype) = OBJECT_PUBLICATION; }
    break;

  case 901:
/* Line 1792 of yacc.c  */
#line 6232 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 902:
/* Line 1792 of yacc.c  */
#line 6233 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
    break;

  case 903:
/* Line 1792 of yacc.c  */
#line 6238 "gram.y"
    { (yyval.objtype) = OBJECT_POLICY; }
    break;

  case 904:
/* Line 1792 of yacc.c  */
#line 6239 "gram.y"
    { (yyval.objtype) = OBJECT_RULE; }
    break;

  case 905:
/* Line 1792 of yacc.c  */
#line 6240 "gram.y"
    { (yyval.objtype) = OBJECT_TRIGGER; }
    break;

  case 906:
/* Line 1792 of yacc.c  */
#line 6244 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 907:
/* Line 1792 of yacc.c  */
#line 6245 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 908:
/* Line 1792 of yacc.c  */
#line 6248 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 909:
/* Line 1792 of yacc.c  */
#line 6249 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 910:
/* Line 1792 of yacc.c  */
#line 6253 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); }
    break;

  case 911:
/* Line 1792 of yacc.c  */
#line 6255 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 912:
/* Line 1792 of yacc.c  */
#line 6259 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 913:
/* Line 1792 of yacc.c  */
#line 6260 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 914:
/* Line 1792 of yacc.c  */
#line 6271 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 915:
/* Line 1792 of yacc.c  */
#line 6281 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 916:
/* Line 1792 of yacc.c  */
#line 6282 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 917:
/* Line 1792 of yacc.c  */
#line 6283 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 918:
/* Line 1792 of yacc.c  */
#line 6318 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->object = (Node *) (yyvsp[(4) - (6)].list);
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 919:
/* Line 1792 of yacc.c  */
#line 6326 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->object = (Node *) makeString((yyvsp[(4) - (6)].str));
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 920:
/* Line 1792 of yacc.c  */
#line 6334 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[(4) - (6)].typnam);
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 921:
/* Line 1792 of yacc.c  */
#line 6342 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[(4) - (6)].typnam);
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 922:
/* Line 1792 of yacc.c  */
#line 6350 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[(4) - (6)].objwithargs);
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 923:
/* Line 1792 of yacc.c  */
#line 6358 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[(4) - (6)].objwithargs);
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 924:
/* Line 1792 of yacc.c  */
#line 6366 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[(4) - (6)].objwithargs);
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 925:
/* Line 1792 of yacc.c  */
#line 6374 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 926:
/* Line 1792 of yacc.c  */
#line 6382 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[(7) - (9)].list)), makeString((yyvsp[(4) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 927:
/* Line 1792 of yacc.c  */
#line 6395 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 928:
/* Line 1792 of yacc.c  */
#line 6403 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 929:
/* Line 1792 of yacc.c  */
#line 6411 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[(5) - (9)].typnam), makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 930:
/* Line 1792 of yacc.c  */
#line 6419 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 931:
/* Line 1792 of yacc.c  */
#line 6427 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[(7) - (9)].str)), (yyvsp[(5) - (9)].list));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 932:
/* Line 1792 of yacc.c  */
#line 6435 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[(7) - (9)].str)), (yyvsp[(5) - (9)].list));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 933:
/* Line 1792 of yacc.c  */
#line 6443 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[(5) - (7)].value);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 934:
/* Line 1792 of yacc.c  */
#line 6451 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[(5) - (10)].typnam), (yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 935:
/* Line 1792 of yacc.c  */
#line 6462 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 936:
/* Line 1792 of yacc.c  */
#line 6463 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 937:
/* Line 1792 of yacc.c  */
#line 6464 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 938:
/* Line 1792 of yacc.c  */
#line 6465 "gram.y"
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
    break;

  case 939:
/* Line 1792 of yacc.c  */
#line 6466 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 940:
/* Line 1792 of yacc.c  */
#line 6467 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 941:
/* Line 1792 of yacc.c  */
#line 6468 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; }
    break;

  case 942:
/* Line 1792 of yacc.c  */
#line 6469 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 943:
/* Line 1792 of yacc.c  */
#line 6470 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 944:
/* Line 1792 of yacc.c  */
#line 6471 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 945:
/* Line 1792 of yacc.c  */
#line 6472 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 946:
/* Line 1792 of yacc.c  */
#line 6473 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 947:
/* Line 1792 of yacc.c  */
#line 6474 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 948:
/* Line 1792 of yacc.c  */
#line 6475 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 949:
/* Line 1792 of yacc.c  */
#line 6480 "gram.y"
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
    break;

  case 950:
/* Line 1792 of yacc.c  */
#line 6481 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 951:
/* Line 1792 of yacc.c  */
#line 6482 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
    break;

  case 952:
/* Line 1792 of yacc.c  */
#line 6483 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 953:
/* Line 1792 of yacc.c  */
#line 6484 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; }
    break;

  case 954:
/* Line 1792 of yacc.c  */
#line 6485 "gram.y"
    { (yyval.objtype) = OBJECT_LANGUAGE; }
    break;

  case 955:
/* Line 1792 of yacc.c  */
#line 6486 "gram.y"
    { (yyval.objtype) = OBJECT_PUBLICATION; }
    break;

  case 956:
/* Line 1792 of yacc.c  */
#line 6487 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 957:
/* Line 1792 of yacc.c  */
#line 6488 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 958:
/* Line 1792 of yacc.c  */
#line 6489 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
    break;

  case 959:
/* Line 1792 of yacc.c  */
#line 6490 "gram.y"
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
    break;

  case 960:
/* Line 1792 of yacc.c  */
#line 6491 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 961:
/* Line 1792 of yacc.c  */
#line 6495 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 962:
/* Line 1792 of yacc.c  */
#line 6496 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 963:
/* Line 1792 of yacc.c  */
#line 6512 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->object = (Node *) (yyvsp[(6) - (8)].list);
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 964:
/* Line 1792 of yacc.c  */
#line 6522 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->object = (Node *) makeString((yyvsp[(6) - (8)].str));
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 965:
/* Line 1792 of yacc.c  */
#line 6532 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[(6) - (8)].typnam);
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 966:
/* Line 1792 of yacc.c  */
#line 6542 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[(6) - (8)].typnam);
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 967:
/* Line 1792 of yacc.c  */
#line 6552 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[(6) - (8)].objwithargs);
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 968:
/* Line 1792 of yacc.c  */
#line 6562 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[(6) - (8)].objwithargs);
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 969:
/* Line 1792 of yacc.c  */
#line 6572 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[(7) - (9)].value);
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 970:
/* Line 1792 of yacc.c  */
#line 6582 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 971:
/* Line 1792 of yacc.c  */
#line 6583 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 972:
/* Line 1792 of yacc.c  */
#line 6588 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 973:
/* Line 1792 of yacc.c  */
#line 6589 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 974:
/* Line 1792 of yacc.c  */
#line 6590 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 975:
/* Line 1792 of yacc.c  */
#line 6591 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 976:
/* Line 1792 of yacc.c  */
#line 6592 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 977:
/* Line 1792 of yacc.c  */
#line 6593 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; }
    break;

  case 978:
/* Line 1792 of yacc.c  */
#line 6598 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 979:
/* Line 1792 of yacc.c  */
#line 6599 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
    break;

  case 980:
/* Line 1792 of yacc.c  */
#line 6600 "gram.y"
    { (yyval.objtype) = OBJECT_LANGUAGE; }
    break;

  case 981:
/* Line 1792 of yacc.c  */
#line 6601 "gram.y"
    { (yyval.objtype) = OBJECT_PUBLICATION; }
    break;

  case 982:
/* Line 1792 of yacc.c  */
#line 6602 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 983:
/* Line 1792 of yacc.c  */
#line 6603 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 984:
/* Line 1792 of yacc.c  */
#line 6604 "gram.y"
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
    break;

  case 985:
/* Line 1792 of yacc.c  */
#line 6605 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 986:
/* Line 1792 of yacc.c  */
#line 6608 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 987:
/* Line 1792 of yacc.c  */
#line 6609 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 988:
/* Line 1792 of yacc.c  */
#line 6620 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 989:
/* Line 1792 of yacc.c  */
#line 6626 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 990:
/* Line 1792 of yacc.c  */
#line 6634 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 991:
/* Line 1792 of yacc.c  */
#line 6642 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 992:
/* Line 1792 of yacc.c  */
#line 6650 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 993:
/* Line 1792 of yacc.c  */
#line 6658 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 994:
/* Line 1792 of yacc.c  */
#line 6666 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 995:
/* Line 1792 of yacc.c  */
#line 6674 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 996:
/* Line 1792 of yacc.c  */
#line 6682 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 997:
/* Line 1792 of yacc.c  */
#line 6690 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 998:
/* Line 1792 of yacc.c  */
#line 6698 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 999:
/* Line 1792 of yacc.c  */
#line 6706 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1000:
/* Line 1792 of yacc.c  */
#line 6714 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1001:
/* Line 1792 of yacc.c  */
#line 6722 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1002:
/* Line 1792 of yacc.c  */
#line 6730 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1003:
/* Line 1792 of yacc.c  */
#line 6738 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1004:
/* Line 1792 of yacc.c  */
#line 6746 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1005:
/* Line 1792 of yacc.c  */
#line 6754 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1006:
/* Line 1792 of yacc.c  */
#line 6763 "gram.y"
    {}
    break;

  case 1007:
/* Line 1792 of yacc.c  */
#line 6764 "gram.y"
    {}
    break;

  case 1008:
/* Line 1792 of yacc.c  */
#line 6767 "gram.y"
    {}
    break;

  case 1009:
/* Line 1792 of yacc.c  */
#line 6768 "gram.y"
    {}
    break;

  case 1010:
/* Line 1792 of yacc.c  */
#line 6780 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1011:
/* Line 1792 of yacc.c  */
#line 6796 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1012:
/* Line 1792 of yacc.c  */
#line 6810 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1013:
/* Line 1792 of yacc.c  */
#line 6835 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1014:
/* Line 1792 of yacc.c  */
#line 6837 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1015:
/* Line 1792 of yacc.c  */
#line 6839 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1016:
/* Line 1792 of yacc.c  */
#line 6841 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 1017:
/* Line 1792 of yacc.c  */
#line 6848 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 1018:
/* Line 1792 of yacc.c  */
#line 6856 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); }
    break;

  case 1019:
/* Line 1792 of yacc.c  */
#line 6857 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); }
    break;

  case 1020:
/* Line 1792 of yacc.c  */
#line 6861 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 1021:
/* Line 1792 of yacc.c  */
#line 6868 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 1022:
/* Line 1792 of yacc.c  */
#line 6875 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 1023:
/* Line 1792 of yacc.c  */
#line 6882 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 1024:
/* Line 1792 of yacc.c  */
#line 6896 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1025:
/* Line 1792 of yacc.c  */
#line 6904 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1026:
/* Line 1792 of yacc.c  */
#line 6912 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1027:
/* Line 1792 of yacc.c  */
#line 6920 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1028:
/* Line 1792 of yacc.c  */
#line 6928 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1029:
/* Line 1792 of yacc.c  */
#line 6936 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1030:
/* Line 1792 of yacc.c  */
#line 6944 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1031:
/* Line 1792 of yacc.c  */
#line 6952 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1032:
/* Line 1792 of yacc.c  */
#line 6960 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1033:
/* Line 1792 of yacc.c  */
#line 6968 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1034:
/* Line 1792 of yacc.c  */
#line 6976 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1035:
/* Line 1792 of yacc.c  */
#line 6984 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1036:
/* Line 1792 of yacc.c  */
#line 6992 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1037:
/* Line 1792 of yacc.c  */
#line 7000 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1038:
/* Line 1792 of yacc.c  */
#line 7008 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1039:
/* Line 1792 of yacc.c  */
#line 7016 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 1040:
/* Line 1792 of yacc.c  */
#line 7027 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].rolespec)); }
    break;

  case 1041:
/* Line 1792 of yacc.c  */
#line 7028 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].rolespec)); }
    break;

  case 1042:
/* Line 1792 of yacc.c  */
#line 7032 "gram.y"
    { (yyval.rolespec) = (yyvsp[(1) - (1)].rolespec); }
    break;

  case 1043:
/* Line 1792 of yacc.c  */
#line 7033 "gram.y"
    { (yyval.rolespec) = (yyvsp[(2) - (2)].rolespec); }
    break;

  case 1044:
/* Line 1792 of yacc.c  */
#line 7038 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1045:
/* Line 1792 of yacc.c  */
#line 7039 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1046:
/* Line 1792 of yacc.c  */
#line 7050 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1047:
/* Line 1792 of yacc.c  */
#line 7063 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1048:
/* Line 1792 of yacc.c  */
#line 7073 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1049:
/* Line 1792 of yacc.c  */
#line 7084 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1050:
/* Line 1792 of yacc.c  */
#line 7085 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1051:
/* Line 1792 of yacc.c  */
#line 7088 "gram.y"
    { (yyval.rolespec) = (yyvsp[(3) - (3)].rolespec); }
    break;

  case 1052:
/* Line 1792 of yacc.c  */
#line 7089 "gram.y"
    { (yyval.rolespec) = NULL; }
    break;

  case 1053:
/* Line 1792 of yacc.c  */
#line 7100 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1054:
/* Line 1792 of yacc.c  */
#line 7109 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1055:
/* Line 1792 of yacc.c  */
#line 7110 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1056:
/* Line 1792 of yacc.c  */
#line 7115 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1057:
/* Line 1792 of yacc.c  */
#line 7119 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1058:
/* Line 1792 of yacc.c  */
#line 7123 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1059:
/* Line 1792 of yacc.c  */
#line 7135 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1060:
/* Line 1792 of yacc.c  */
#line 7148 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1061:
/* Line 1792 of yacc.c  */
#line 7162 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1062:
/* Line 1792 of yacc.c  */
#line 7177 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; }
    break;

  case 1063:
/* Line 1792 of yacc.c  */
#line 7178 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
    break;

  case 1064:
/* Line 1792 of yacc.c  */
#line 7179 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
    break;

  case 1065:
/* Line 1792 of yacc.c  */
#line 7180 "gram.y"
    { (yyval.ival) = ACL_OBJECT_TYPE; }
    break;

  case 1066:
/* Line 1792 of yacc.c  */
#line 7181 "gram.y"
    { (yyval.ival) = ACL_OBJECT_NAMESPACE; }
    break;

  case 1067:
/* Line 1792 of yacc.c  */
#line 7196 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1068:
/* Line 1792 of yacc.c  */
#line 7222 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (17)].boolean);
					n->concurrent = (yyvsp[(4) - (17)].boolean);
					n->idxname = (yyvsp[(8) - (17)].str);
					n->relation = (yyvsp[(10) - (17)].range);
					n->accessMethod = (yyvsp[(11) - (17)].str);
					n->indexParams = (yyvsp[(13) - (17)].list);
					n->options = (yyvsp[(15) - (17)].list);
					n->tableSpace = (yyvsp[(16) - (17)].str);
					n->whereClause = (yyvsp[(17) - (17)].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1069:
/* Line 1792 of yacc.c  */
#line 7248 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1070:
/* Line 1792 of yacc.c  */
#line 7249 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1071:
/* Line 1792 of yacc.c  */
#line 7253 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1072:
/* Line 1792 of yacc.c  */
#line 7254 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1073:
/* Line 1792 of yacc.c  */
#line 7258 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1074:
/* Line 1792 of yacc.c  */
#line 7259 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1075:
/* Line 1792 of yacc.c  */
#line 7263 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1076:
/* Line 1792 of yacc.c  */
#line 7264 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
    break;

  case 1077:
/* Line 1792 of yacc.c  */
#line 7267 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); }
    break;

  case 1078:
/* Line 1792 of yacc.c  */
#line 7268 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); }
    break;

  case 1079:
/* Line 1792 of yacc.c  */
#line 7277 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 1080:
/* Line 1792 of yacc.c  */
#line 7288 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 1081:
/* Line 1792 of yacc.c  */
#line 7299 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				}
    break;

  case 1082:
/* Line 1792 of yacc.c  */
#line 7311 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1083:
/* Line 1792 of yacc.c  */
#line 7312 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1084:
/* Line 1792 of yacc.c  */
#line 7315 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1085:
/* Line 1792 of yacc.c  */
#line 7316 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1086:
/* Line 1792 of yacc.c  */
#line 7319 "gram.y"
    { (yyval.ival) = SORTBY_ASC; }
    break;

  case 1087:
/* Line 1792 of yacc.c  */
#line 7320 "gram.y"
    { (yyval.ival) = SORTBY_DESC; }
    break;

  case 1088:
/* Line 1792 of yacc.c  */
#line 7321 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; }
    break;

  case 1089:
/* Line 1792 of yacc.c  */
#line 7324 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
    break;

  case 1090:
/* Line 1792 of yacc.c  */
#line 7325 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; }
    break;

  case 1091:
/* Line 1792 of yacc.c  */
#line 7326 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
    break;

  case 1092:
/* Line 1792 of yacc.c  */
#line 7344 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1093:
/* Line 1792 of yacc.c  */
#line 7356 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1094:
/* Line 1792 of yacc.c  */
#line 7369 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1095:
/* Line 1792 of yacc.c  */
#line 7382 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1096:
/* Line 1792 of yacc.c  */
#line 7383 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1097:
/* Line 1792 of yacc.c  */
#line 7386 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1098:
/* Line 1792 of yacc.c  */
#line 7387 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1099:
/* Line 1792 of yacc.c  */
#line 7391 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 1100:
/* Line 1792 of yacc.c  */
#line 7392 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 1101:
/* Line 1792 of yacc.c  */
#line 7396 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].objwithargs)); }
    break;

  case 1102:
/* Line 1792 of yacc.c  */
#line 7398 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].objwithargs)); }
    break;

  case 1103:
/* Line 1792 of yacc.c  */
#line 7403 "gram.y"
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[(1) - (2)].list);
					n->objargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.objwithargs) = n;
				}
    break;

  case 1104:
/* Line 1792 of yacc.c  */
#line 7415 "gram.y"
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[(1) - (1)].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
    break;

  case 1105:
/* Line 1792 of yacc.c  */
#line 7422 "gram.y"
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[(1) - (1)].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
    break;

  case 1106:
/* Line 1792 of yacc.c  */
#line 7429 "gram.y"
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
    break;

  case 1107:
/* Line 1792 of yacc.c  */
#line 7443 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1108:
/* Line 1792 of yacc.c  */
#line 7444 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1109:
/* Line 1792 of yacc.c  */
#line 7448 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 1110:
/* Line 1792 of yacc.c  */
#line 7450 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 1111:
/* Line 1792 of yacc.c  */
#line 7465 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 1112:
/* Line 1792 of yacc.c  */
#line 7474 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 1113:
/* Line 1792 of yacc.c  */
#line 7483 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 1114:
/* Line 1792 of yacc.c  */
#line 7492 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 1115:
/* Line 1792 of yacc.c  */
#line 7501 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 1116:
/* Line 1792 of yacc.c  */
#line 7512 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
    break;

  case 1117:
/* Line 1792 of yacc.c  */
#line 7513 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
    break;

  case 1118:
/* Line 1792 of yacc.c  */
#line 7514 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 1119:
/* Line 1792 of yacc.c  */
#line 7515 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 1120:
/* Line 1792 of yacc.c  */
#line 7516 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
    break;

  case 1122:
/* Line 1792 of yacc.c  */
#line 7527 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1123:
/* Line 1792 of yacc.c  */
#line 7541 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1124:
/* Line 1792 of yacc.c  */
#line 7543 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 1125:
/* Line 1792 of yacc.c  */
#line 7549 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				}
    break;

  case 1126:
/* Line 1792 of yacc.c  */
#line 7559 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				}
    break;

  case 1127:
/* Line 1792 of yacc.c  */
#line 7563 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				}
    break;

  case 1128:
/* Line 1792 of yacc.c  */
#line 7568 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				}
    break;

  case 1129:
/* Line 1792 of yacc.c  */
#line 7576 "gram.y"
    {
					if (!((yyvsp[(1) - (1)].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[(1) - (1)].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				}
    break;

  case 1130:
/* Line 1792 of yacc.c  */
#line 7617 "gram.y"
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
    break;

  case 1131:
/* Line 1792 of yacc.c  */
#line 7621 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(2) - (3)].list), makeInteger(-1));
				}
    break;

  case 1132:
/* Line 1792 of yacc.c  */
#line 7625 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(4) - (5)].list), makeInteger(0));
				}
    break;

  case 1133:
/* Line 1792 of yacc.c  */
#line 7629 "gram.y"
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[(2) - (6)].list), (yyvsp[(5) - (6)].list), yyscanner);
				}
    break;

  case 1134:
/* Line 1792 of yacc.c  */
#line 7636 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 1135:
/* Line 1792 of yacc.c  */
#line 7637 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 1136:
/* Line 1792 of yacc.c  */
#line 7642 "gram.y"
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[(1) - (2)].list);
					n->objargs = extractAggrArgTypes((yyvsp[(2) - (2)].list));
					(yyval.objwithargs) = n;
				}
    break;

  case 1137:
/* Line 1792 of yacc.c  */
#line 7651 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].objwithargs)); }
    break;

  case 1138:
/* Line 1792 of yacc.c  */
#line 7653 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].objwithargs)); }
    break;

  case 1139:
/* Line 1792 of yacc.c  */
#line 7658 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1140:
/* Line 1792 of yacc.c  */
#line 7659 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1141:
/* Line 1792 of yacc.c  */
#line 7667 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE), (yylsp[(1) - (4)]));
				}
    break;

  case 1142:
/* Line 1792 of yacc.c  */
#line 7671 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[(1) - (5)]));
				}
    break;

  case 1143:
/* Line 1792 of yacc.c  */
#line 7675 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
				}
    break;

  case 1144:
/* Line 1792 of yacc.c  */
#line 7679 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[(1) - (1)]));
				}
    break;

  case 1145:
/* Line 1792 of yacc.c  */
#line 7683 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[(1) - (1)]));
				}
    break;

  case 1146:
/* Line 1792 of yacc.c  */
#line 7687 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[(1) - (1)]));
				}
    break;

  case 1147:
/* Line 1792 of yacc.c  */
#line 7691 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[(1) - (3)]));
				}
    break;

  case 1148:
/* Line 1792 of yacc.c  */
#line 7695 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[(1) - (3)]));
				}
    break;

  case 1149:
/* Line 1792 of yacc.c  */
#line 7699 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[(1) - (2)]));
				}
    break;

  case 1150:
/* Line 1792 of yacc.c  */
#line 7703 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[(1) - (2)]));
				}
    break;

  case 1151:
/* Line 1792 of yacc.c  */
#line 7707 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
				}
    break;

  case 1152:
/* Line 1792 of yacc.c  */
#line 7711 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE), (yylsp[(1) - (2)]));
				}
    break;

  case 1153:
/* Line 1792 of yacc.c  */
#line 7715 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value), (yylsp[(1) - (2)]));
				}
    break;

  case 1154:
/* Line 1792 of yacc.c  */
#line 7719 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value), (yylsp[(1) - (2)]));
				}
    break;

  case 1155:
/* Line 1792 of yacc.c  */
#line 7723 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt), (yylsp[(1) - (1)]));
				}
    break;

  case 1156:
/* Line 1792 of yacc.c  */
#line 7728 "gram.y"
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)]));
				}
    break;

  case 1157:
/* Line 1792 of yacc.c  */
#line 7735 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]));
				}
    break;

  case 1158:
/* Line 1792 of yacc.c  */
#line 7739 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)]));
				}
    break;

  case 1159:
/* Line 1792 of yacc.c  */
#line 7743 "gram.y"
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]));
				}
    break;

  case 1160:
/* Line 1792 of yacc.c  */
#line 7747 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE), (yylsp[(1) - (1)]));
				}
    break;

  case 1161:
/* Line 1792 of yacc.c  */
#line 7751 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 1162:
/* Line 1792 of yacc.c  */
#line 7756 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1163:
/* Line 1792 of yacc.c  */
#line 7758 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1164:
/* Line 1792 of yacc.c  */
#line 7764 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(3) - (3)].typnam)); }
    break;

  case 1165:
/* Line 1792 of yacc.c  */
#line 7765 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (5)].list), (yyvsp[(5) - (5)].typnam)); }
    break;

  case 1166:
/* Line 1792 of yacc.c  */
#line 7769 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1167:
/* Line 1792 of yacc.c  */
#line 7770 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1168:
/* Line 1792 of yacc.c  */
#line 7774 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 1169:
/* Line 1792 of yacc.c  */
#line 7786 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				}
    break;

  case 1170:
/* Line 1792 of yacc.c  */
#line 7790 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				}
    break;

  case 1171:
/* Line 1792 of yacc.c  */
#line 7805 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].objwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1172:
/* Line 1792 of yacc.c  */
#line 7815 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1173:
/* Line 1792 of yacc.c  */
#line 7816 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1176:
/* Line 1792 of yacc.c  */
#line 7838 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1177:
/* Line 1792 of yacc.c  */
#line 7848 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1178:
/* Line 1792 of yacc.c  */
#line 7861 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1179:
/* Line 1792 of yacc.c  */
#line 7871 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1180:
/* Line 1792 of yacc.c  */
#line 7884 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1181:
/* Line 1792 of yacc.c  */
#line 7894 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1182:
/* Line 1792 of yacc.c  */
#line 7907 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				}
    break;

  case 1183:
/* Line 1792 of yacc.c  */
#line 7915 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); }
    break;

  case 1184:
/* Line 1792 of yacc.c  */
#line 7917 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); }
    break;

  case 1185:
/* Line 1792 of yacc.c  */
#line 7919 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); }
    break;

  case 1186:
/* Line 1792 of yacc.c  */
#line 7924 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1187:
/* Line 1792 of yacc.c  */
#line 7926 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); }
    break;

  case 1188:
/* Line 1792 of yacc.c  */
#line 7930 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].objwithargs)); }
    break;

  case 1189:
/* Line 1792 of yacc.c  */
#line 7932 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].objwithargs)); }
    break;

  case 1190:
/* Line 1792 of yacc.c  */
#line 7937 "gram.y"
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[(1) - (2)].list);
					n->objargs = (yyvsp[(2) - (2)].list);
					(yyval.objwithargs) = n;
				}
    break;

  case 1191:
/* Line 1792 of yacc.c  */
#line 7955 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1192:
/* Line 1792 of yacc.c  */
#line 7963 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1193:
/* Line 1792 of yacc.c  */
#line 7964 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1194:
/* Line 1792 of yacc.c  */
#line 7969 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)), (yylsp[(1) - (1)]));
				}
    break;

  case 1195:
/* Line 1792 of yacc.c  */
#line 7973 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)]));
				}
    break;

  case 1196:
/* Line 1792 of yacc.c  */
#line 7986 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].objwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1197:
/* Line 1792 of yacc.c  */
#line 7997 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1198:
/* Line 1792 of yacc.c  */
#line 8008 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1199:
/* Line 1792 of yacc.c  */
#line 8019 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; }
    break;

  case 1200:
/* Line 1792 of yacc.c  */
#line 8020 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; }
    break;

  case 1201:
/* Line 1792 of yacc.c  */
#line 8021 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; }
    break;

  case 1202:
/* Line 1792 of yacc.c  */
#line 8026 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[(5) - (9)].typnam), (yyvsp[(7) - (9)].typnam)));
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1203:
/* Line 1792 of yacc.c  */
#line 8037 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1204:
/* Line 1792 of yacc.c  */
#line 8038 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1205:
/* Line 1792 of yacc.c  */
#line 8049 "gram.y"
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[(2) - (10)].boolean);
					n->type_name = (yyvsp[(5) - (10)].typnam);
					n->lang = (yyvsp[(7) - (10)].str);
					n->fromsql = linitial((yyvsp[(9) - (10)].list));
					n->tosql = lsecond((yyvsp[(9) - (10)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1206:
/* Line 1792 of yacc.c  */
#line 8061 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(5) - (11)].objwithargs), (yyvsp[(11) - (11)].objwithargs));
				}
    break;

  case 1207:
/* Line 1792 of yacc.c  */
#line 8065 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(11) - (11)].objwithargs), (yyvsp[(5) - (11)].objwithargs));
				}
    break;

  case 1208:
/* Line 1792 of yacc.c  */
#line 8069 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(5) - (5)].objwithargs), NULL);
				}
    break;

  case 1209:
/* Line 1792 of yacc.c  */
#line 8073 "gram.y"
    {
					(yyval.list) = list_make2(NULL, (yyvsp[(5) - (5)].objwithargs));
				}
    break;

  case 1210:
/* Line 1792 of yacc.c  */
#line 8080 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[(5) - (8)].typnam), makeString((yyvsp[(7) - (8)].str))));
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (8)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1211:
/* Line 1792 of yacc.c  */
#line 8100 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (3)].ival);
					n->relation = (yyvsp[(3) - (3)].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1212:
/* Line 1792 of yacc.c  */
#line 8109 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (3)].ival);
					n->name = (yyvsp[(3) - (3)].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1213:
/* Line 1792 of yacc.c  */
#line 8118 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(5) - (6)].ival);
					n->relation = (yyvsp[(6) - (6)].range);
					n->name = NULL;
					n->options = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1214:
/* Line 1792 of yacc.c  */
#line 8127 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(5) - (6)].ival);
					n->name = (yyvsp[(6) - (6)].str);
					n->relation = NULL;
					n->options = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1215:
/* Line 1792 of yacc.c  */
#line 8137 "gram.y"
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
    break;

  case 1216:
/* Line 1792 of yacc.c  */
#line 8138 "gram.y"
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
    break;

  case 1217:
/* Line 1792 of yacc.c  */
#line 8141 "gram.y"
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
    break;

  case 1218:
/* Line 1792 of yacc.c  */
#line 8142 "gram.y"
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
    break;

  case 1219:
/* Line 1792 of yacc.c  */
#line 8143 "gram.y"
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
    break;

  case 1220:
/* Line 1792 of yacc.c  */
#line 8146 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1221:
/* Line 1792 of yacc.c  */
#line 8147 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 1222:
/* Line 1792 of yacc.c  */
#line 8150 "gram.y"
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
    break;

  case 1223:
/* Line 1792 of yacc.c  */
#line 8161 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1224:
/* Line 1792 of yacc.c  */
#line 8170 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1225:
/* Line 1792 of yacc.c  */
#line 8187 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[(3) - (6)].objwithargs);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1226:
/* Line 1792 of yacc.c  */
#line 8196 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1227:
/* Line 1792 of yacc.c  */
#line 8205 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1228:
/* Line 1792 of yacc.c  */
#line 8214 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1229:
/* Line 1792 of yacc.c  */
#line 8223 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1230:
/* Line 1792 of yacc.c  */
#line 8232 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[(3) - (8)].list);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1231:
/* Line 1792 of yacc.c  */
#line 8241 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[(5) - (8)].str));
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1232:
/* Line 1792 of yacc.c  */
#line 8250 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[(3) - (6)].objwithargs);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1233:
/* Line 1792 of yacc.c  */
#line 8259 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1234:
/* Line 1792 of yacc.c  */
#line 8268 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[(4) - (7)].str));
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1235:
/* Line 1792 of yacc.c  */
#line 8277 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[(6) - (9)].str)), (yyvsp[(4) - (9)].list));
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1236:
/* Line 1792 of yacc.c  */
#line 8286 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[(6) - (9)].str)), (yyvsp[(4) - (9)].list));
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1237:
/* Line 1792 of yacc.c  */
#line 8295 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1238:
/* Line 1792 of yacc.c  */
#line 8305 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[(7) - (10)].range);
					n->subname = (yyvsp[(5) - (10)].str);
					n->newname = (yyvsp[(10) - (10)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1239:
/* Line 1792 of yacc.c  */
#line 8315 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1240:
/* Line 1792 of yacc.c  */
#line 8324 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1241:
/* Line 1792 of yacc.c  */
#line 8333 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1242:
/* Line 1792 of yacc.c  */
#line 8342 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1243:
/* Line 1792 of yacc.c  */
#line 8351 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1244:
/* Line 1792 of yacc.c  */
#line 8361 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1245:
/* Line 1792 of yacc.c  */
#line 8371 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1246:
/* Line 1792 of yacc.c  */
#line 8381 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1247:
/* Line 1792 of yacc.c  */
#line 8391 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1248:
/* Line 1792 of yacc.c  */
#line 8401 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1249:
/* Line 1792 of yacc.c  */
#line 8411 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1250:
/* Line 1792 of yacc.c  */
#line 8421 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1251:
/* Line 1792 of yacc.c  */
#line 8431 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1252:
/* Line 1792 of yacc.c  */
#line 8441 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1253:
/* Line 1792 of yacc.c  */
#line 8451 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1254:
/* Line 1792 of yacc.c  */
#line 8461 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1255:
/* Line 1792 of yacc.c  */
#line 8471 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1256:
/* Line 1792 of yacc.c  */
#line 8482 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (10)].range);
					n->subname = (yyvsp[(8) - (10)].str);
					n->newname = (yyvsp[(10) - (10)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1257:
/* Line 1792 of yacc.c  */
#line 8493 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1258:
/* Line 1792 of yacc.c  */
#line 8504 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1259:
/* Line 1792 of yacc.c  */
#line 8515 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1260:
/* Line 1792 of yacc.c  */
#line 8525 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[(5) - (10)].range);
					n->subname = (yyvsp[(8) - (10)].str);
					n->newname = (yyvsp[(10) - (10)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1261:
/* Line 1792 of yacc.c  */
#line 8535 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1262:
/* Line 1792 of yacc.c  */
#line 8546 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1263:
/* Line 1792 of yacc.c  */
#line 8557 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1264:
/* Line 1792 of yacc.c  */
#line 8567 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1265:
/* Line 1792 of yacc.c  */
#line 8577 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[(4) - (7)].str));
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1266:
/* Line 1792 of yacc.c  */
#line 8585 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1267:
/* Line 1792 of yacc.c  */
#line 8594 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1268:
/* Line 1792 of yacc.c  */
#line 8603 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1269:
/* Line 1792 of yacc.c  */
#line 8612 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1270:
/* Line 1792 of yacc.c  */
#line 8621 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1271:
/* Line 1792 of yacc.c  */
#line 8630 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1272:
/* Line 1792 of yacc.c  */
#line 8639 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1273:
/* Line 1792 of yacc.c  */
#line 8648 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1274:
/* Line 1792 of yacc.c  */
#line 8657 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1275:
/* Line 1792 of yacc.c  */
#line 8666 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1276:
/* Line 1792 of yacc.c  */
#line 8679 "gram.y"
    { (yyval.ival) = COLUMN; }
    break;

  case 1277:
/* Line 1792 of yacc.c  */
#line 8680 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1278:
/* Line 1792 of yacc.c  */
#line 8683 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 1279:
/* Line 1792 of yacc.c  */
#line 8684 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1280:
/* Line 1792 of yacc.c  */
#line 8695 "gram.y"
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[(3) - (7)].objwithargs);
					n->extname = makeString((yyvsp[(7) - (7)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1281:
/* Line 1792 of yacc.c  */
#line 8703 "gram.y"
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (9)].range);
					n->object = (Node *) list_make1(makeString((yyvsp[(3) - (9)].str)));
					n->extname = makeString((yyvsp[(9) - (9)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1282:
/* Line 1792 of yacc.c  */
#line 8712 "gram.y"
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (8)].range);
					n->extname = makeString((yyvsp[(8) - (8)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1283:
/* Line 1792 of yacc.c  */
#line 8720 "gram.y"
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (7)].range);
					n->extname = makeString((yyvsp[(7) - (7)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1284:
/* Line 1792 of yacc.c  */
#line 8737 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[(3) - (6)].objwithargs);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1285:
/* Line 1792 of yacc.c  */
#line 8746 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1286:
/* Line 1792 of yacc.c  */
#line 8755 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1287:
/* Line 1792 of yacc.c  */
#line 8764 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1288:
/* Line 1792 of yacc.c  */
#line 8773 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1289:
/* Line 1792 of yacc.c  */
#line 8782 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[(3) - (6)].objwithargs);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1290:
/* Line 1792 of yacc.c  */
#line 8791 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[(3) - (6)].objwithargs);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1291:
/* Line 1792 of yacc.c  */
#line 8800 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[(6) - (9)].str)), (yyvsp[(4) - (9)].list));
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1292:
/* Line 1792 of yacc.c  */
#line 8809 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[(6) - (9)].str)), (yyvsp[(4) - (9)].list));
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1293:
/* Line 1792 of yacc.c  */
#line 8818 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1294:
/* Line 1792 of yacc.c  */
#line 8827 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1295:
/* Line 1792 of yacc.c  */
#line 8836 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1296:
/* Line 1792 of yacc.c  */
#line 8845 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1297:
/* Line 1792 of yacc.c  */
#line 8854 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1298:
/* Line 1792 of yacc.c  */
#line 8863 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1299:
/* Line 1792 of yacc.c  */
#line 8872 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1300:
/* Line 1792 of yacc.c  */
#line 8881 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1301:
/* Line 1792 of yacc.c  */
#line 8890 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1302:
/* Line 1792 of yacc.c  */
#line 8899 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1303:
/* Line 1792 of yacc.c  */
#line 8908 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1304:
/* Line 1792 of yacc.c  */
#line 8917 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1305:
/* Line 1792 of yacc.c  */
#line 8926 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1306:
/* Line 1792 of yacc.c  */
#line 8935 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1307:
/* Line 1792 of yacc.c  */
#line 8944 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1308:
/* Line 1792 of yacc.c  */
#line 8953 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1309:
/* Line 1792 of yacc.c  */
#line 8971 "gram.y"
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[(3) - (7)].objwithargs);
					n->options = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1310:
/* Line 1792 of yacc.c  */
#line 8979 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1311:
/* Line 1792 of yacc.c  */
#line 8980 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 1312:
/* Line 1792 of yacc.c  */
#line 8984 "gram.y"
    { (yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), NULL, (yylsp[(1) - (3)])); }
    break;

  case 1313:
/* Line 1792 of yacc.c  */
#line 8986 "gram.y"
    { (yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node), (yylsp[(1) - (3)])); }
    break;

  case 1314:
/* Line 1792 of yacc.c  */
#line 8991 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 1315:
/* Line 1792 of yacc.c  */
#line 8992 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 1316:
/* Line 1792 of yacc.c  */
#line 8993 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 1317:
/* Line 1792 of yacc.c  */
#line 8994 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 1318:
/* Line 1792 of yacc.c  */
#line 8995 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1319:
/* Line 1792 of yacc.c  */
#line 9005 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[(3) - (6)].objwithargs);
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1320:
/* Line 1792 of yacc.c  */
#line 9013 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1321:
/* Line 1792 of yacc.c  */
#line 9021 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1322:
/* Line 1792 of yacc.c  */
#line 9029 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1323:
/* Line 1792 of yacc.c  */
#line 9037 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1324:
/* Line 1792 of yacc.c  */
#line 9045 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[(3) - (6)].objwithargs);
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1325:
/* Line 1792 of yacc.c  */
#line 9053 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[(4) - (7)].str));
					n->newowner = (yyvsp[(7) - (7)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1326:
/* Line 1792 of yacc.c  */
#line 9061 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[(4) - (7)].value);
					n->newowner = (yyvsp[(7) - (7)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1327:
/* Line 1792 of yacc.c  */
#line 9069 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[(3) - (6)].objwithargs);
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1328:
/* Line 1792 of yacc.c  */
#line 9077 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[(6) - (9)].str)), (yyvsp[(4) - (9)].list));
					n->newowner = (yyvsp[(9) - (9)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1329:
/* Line 1792 of yacc.c  */
#line 9085 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[(6) - (9)].str)), (yyvsp[(4) - (9)].list));
					n->newowner = (yyvsp[(9) - (9)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1330:
/* Line 1792 of yacc.c  */
#line 9093 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1331:
/* Line 1792 of yacc.c  */
#line 9101 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1332:
/* Line 1792 of yacc.c  */
#line 9109 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1333:
/* Line 1792 of yacc.c  */
#line 9117 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1334:
/* Line 1792 of yacc.c  */
#line 9125 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1335:
/* Line 1792 of yacc.c  */
#line 9133 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1336:
/* Line 1792 of yacc.c  */
#line 9141 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[(5) - (8)].str));
					n->newowner = (yyvsp[(8) - (8)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1337:
/* Line 1792 of yacc.c  */
#line 9149 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1338:
/* Line 1792 of yacc.c  */
#line 9157 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[(4) - (7)].str));
					n->newowner = (yyvsp[(7) - (7)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1339:
/* Line 1792 of yacc.c  */
#line 9165 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1340:
/* Line 1792 of yacc.c  */
#line 9173 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[(3) - (6)].str));
					n->newowner = (yyvsp[(6) - (6)].rolespec);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1341:
/* Line 1792 of yacc.c  */
#line 9191 "gram.y"
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					if ((yyvsp[(4) - (5)].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[(4) - (5)].node), List))
							n->tables = (List *)(yyvsp[(4) - (5)].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = TRUE;
					}
					(yyval.node) = (Node *)n;
				}
    break;

  case 1342:
/* Line 1792 of yacc.c  */
#line 9209 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1343:
/* Line 1792 of yacc.c  */
#line 9210 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1344:
/* Line 1792 of yacc.c  */
#line 9215 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(3) - (3)].list);
				}
    break;

  case 1345:
/* Line 1792 of yacc.c  */
#line 9219 "gram.y"
    {
					(yyval.node) = (Node *) makeInteger(TRUE);
				}
    break;

  case 1346:
/* Line 1792 of yacc.c  */
#line 9239 "gram.y"
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1347:
/* Line 1792 of yacc.c  */
#line 9246 "gram.y"
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[(3) - (6)].str);
					n->tables = (yyvsp[(6) - (6)].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1348:
/* Line 1792 of yacc.c  */
#line 9254 "gram.y"
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[(3) - (6)].str);
					n->tables = (yyvsp[(6) - (6)].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1349:
/* Line 1792 of yacc.c  */
#line 9262 "gram.y"
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[(3) - (6)].str);
					n->tables = (yyvsp[(6) - (6)].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1350:
/* Line 1792 of yacc.c  */
#line 9279 "gram.y"
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[(3) - (8)].str);
					n->conninfo = (yyvsp[(5) - (8)].str);
					n->publication = (yyvsp[(7) - (8)].list);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1351:
/* Line 1792 of yacc.c  */
#line 9292 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].value));
				}
    break;

  case 1352:
/* Line 1792 of yacc.c  */
#line 9296 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value));
				}
    break;

  case 1353:
/* Line 1792 of yacc.c  */
#line 9302 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1354:
/* Line 1792 of yacc.c  */
#line 9312 "gram.y"
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1355:
/* Line 1792 of yacc.c  */
#line 9321 "gram.y"
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[(3) - (5)].str);
					n->conninfo = (yyvsp[(5) - (5)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1356:
/* Line 1792 of yacc.c  */
#line 9330 "gram.y"
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[(3) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1357:
/* Line 1792 of yacc.c  */
#line 9339 "gram.y"
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[(3) - (7)].str);
					n->publication = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1358:
/* Line 1792 of yacc.c  */
#line 9349 "gram.y"
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[(3) - (4)].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(TRUE), (yylsp[(1) - (4)])));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1359:
/* Line 1792 of yacc.c  */
#line 9359 "gram.y"
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[(3) - (4)].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(FALSE), (yylsp[(1) - (4)])));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1360:
/* Line 1792 of yacc.c  */
#line 9377 "gram.y"
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[(3) - (4)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1361:
/* Line 1792 of yacc.c  */
#line 9385 "gram.y"
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[(5) - (6)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1362:
/* Line 1792 of yacc.c  */
#line 9403 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1363:
/* Line 1792 of yacc.c  */
#line 9417 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1364:
/* Line 1792 of yacc.c  */
#line 9418 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1365:
/* Line 1792 of yacc.c  */
#line 9419 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1366:
/* Line 1792 of yacc.c  */
#line 9425 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 1367:
/* Line 1792 of yacc.c  */
#line 9431 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				}
    break;

  case 1373:
/* Line 1792 of yacc.c  */
#line 9447 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1374:
/* Line 1792 of yacc.c  */
#line 9448 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1375:
/* Line 1792 of yacc.c  */
#line 9451 "gram.y"
    { (yyval.ival) = CMD_SELECT; }
    break;

  case 1376:
/* Line 1792 of yacc.c  */
#line 9452 "gram.y"
    { (yyval.ival) = CMD_UPDATE; }
    break;

  case 1377:
/* Line 1792 of yacc.c  */
#line 9453 "gram.y"
    { (yyval.ival) = CMD_DELETE; }
    break;

  case 1378:
/* Line 1792 of yacc.c  */
#line 9454 "gram.y"
    { (yyval.ival) = CMD_INSERT; }
    break;

  case 1379:
/* Line 1792 of yacc.c  */
#line 9458 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1380:
/* Line 1792 of yacc.c  */
#line 9459 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1381:
/* Line 1792 of yacc.c  */
#line 9460 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1382:
/* Line 1792 of yacc.c  */
#line 9473 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1383:
/* Line 1792 of yacc.c  */
#line 9482 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1384:
/* Line 1792 of yacc.c  */
#line 9483 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1385:
/* Line 1792 of yacc.c  */
#line 9487 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1386:
/* Line 1792 of yacc.c  */
#line 9496 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1387:
/* Line 1792 of yacc.c  */
#line 9502 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1388:
/* Line 1792 of yacc.c  */
#line 9521 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1389:
/* Line 1792 of yacc.c  */
#line 9528 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1390:
/* Line 1792 of yacc.c  */
#line 9535 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1391:
/* Line 1792 of yacc.c  */
#line 9542 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1392:
/* Line 1792 of yacc.c  */
#line 9549 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1393:
/* Line 1792 of yacc.c  */
#line 9556 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1394:
/* Line 1792 of yacc.c  */
#line 9563 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)])));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1395:
/* Line 1792 of yacc.c  */
#line 9571 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str)), (yylsp[(1) - (3)])));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1396:
/* Line 1792 of yacc.c  */
#line 9579 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str)), (yylsp[(1) - (2)])));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1397:
/* Line 1792 of yacc.c  */
#line 9587 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str)), (yylsp[(1) - (5)])));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1398:
/* Line 1792 of yacc.c  */
#line 9595 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str)), (yylsp[(1) - (4)])));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1399:
/* Line 1792 of yacc.c  */
#line 9603 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1400:
/* Line 1792 of yacc.c  */
#line 9610 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1401:
/* Line 1792 of yacc.c  */
#line 9617 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1402:
/* Line 1792 of yacc.c  */
#line 9625 "gram.y"
    {}
    break;

  case 1403:
/* Line 1792 of yacc.c  */
#line 9626 "gram.y"
    {}
    break;

  case 1404:
/* Line 1792 of yacc.c  */
#line 9627 "gram.y"
    {}
    break;

  case 1405:
/* Line 1792 of yacc.c  */
#line 9632 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])), (yylsp[(1) - (3)])); }
    break;

  case 1406:
/* Line 1792 of yacc.c  */
#line 9635 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)])), (yylsp[(1) - (2)])); }
    break;

  case 1407:
/* Line 1792 of yacc.c  */
#line 9638 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)])), (yylsp[(1) - (2)])); }
    break;

  case 1408:
/* Line 1792 of yacc.c  */
#line 9641 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)])), (yylsp[(1) - (1)])); }
    break;

  case 1409:
/* Line 1792 of yacc.c  */
#line 9644 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)])), (yylsp[(1) - (2)])); }
    break;

  case 1410:
/* Line 1792 of yacc.c  */
#line 9651 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1411:
/* Line 1792 of yacc.c  */
#line 9653 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 1412:
/* Line 1792 of yacc.c  */
#line 9655 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1414:
/* Line 1792 of yacc.c  */
#line 9661 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1415:
/* Line 1792 of yacc.c  */
#line 9675 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (9)].range);
					n->view->relpersistence = (yyvsp[(2) - (9)].ival);
					n->aliases = (yyvsp[(5) - (9)].list);
					n->query = (yyvsp[(8) - (9)].node);
					n->replace = false;
					n->options = (yyvsp[(6) - (9)].list);
					n->withCheckOption = (yyvsp[(9) - (9)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1416:
/* Line 1792 of yacc.c  */
#line 9688 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (11)].range);
					n->view->relpersistence = (yyvsp[(4) - (11)].ival);
					n->aliases = (yyvsp[(7) - (11)].list);
					n->query = (yyvsp[(10) - (11)].node);
					n->replace = true;
					n->options = (yyvsp[(8) - (11)].list);
					n->withCheckOption = (yyvsp[(11) - (11)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1417:
/* Line 1792 of yacc.c  */
#line 9701 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(5) - (12)].range);
					n->view->relpersistence = (yyvsp[(2) - (12)].ival);
					n->aliases = (yyvsp[(7) - (12)].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[(11) - (12)].node));
					n->replace = false;
					n->options = (yyvsp[(9) - (12)].list);
					n->withCheckOption = (yyvsp[(12) - (12)].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[(12) - (12)]))));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1418:
/* Line 1792 of yacc.c  */
#line 9719 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(7) - (14)].range);
					n->view->relpersistence = (yyvsp[(4) - (14)].ival);
					n->aliases = (yyvsp[(9) - (14)].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[(13) - (14)].node));
					n->replace = true;
					n->options = (yyvsp[(11) - (14)].list);
					n->withCheckOption = (yyvsp[(14) - (14)].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[(14) - (14)]))));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1419:
/* Line 1792 of yacc.c  */
#line 9738 "gram.y"
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
    break;

  case 1420:
/* Line 1792 of yacc.c  */
#line 9739 "gram.y"
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
    break;

  case 1421:
/* Line 1792 of yacc.c  */
#line 9740 "gram.y"
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
    break;

  case 1422:
/* Line 1792 of yacc.c  */
#line 9741 "gram.y"
    { (yyval.ival) = NO_CHECK_OPTION; }
    break;

  case 1423:
/* Line 1792 of yacc.c  */
#line 9752 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1424:
/* Line 1792 of yacc.c  */
#line 9768 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1425:
/* Line 1792 of yacc.c  */
#line 9777 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1426:
/* Line 1792 of yacc.c  */
#line 9778 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1427:
/* Line 1792 of yacc.c  */
#line 9782 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1428:
/* Line 1792 of yacc.c  */
#line 9783 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1429:
/* Line 1792 of yacc.c  */
#line 9788 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)makeInteger((yyvsp[(3) - (3)].ival)), (yylsp[(1) - (3)]));
				}
    break;

  case 1430:
/* Line 1792 of yacc.c  */
#line 9792 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)makeString((yyvsp[(3) - (3)].str)), (yylsp[(1) - (3)]));
				}
    break;

  case 1431:
/* Line 1792 of yacc.c  */
#line 9796 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), NULL, (yylsp[(1) - (3)]));
				}
    break;

  case 1432:
/* Line 1792 of yacc.c  */
#line 9813 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1433:
/* Line 1792 of yacc.c  */
#line 9814 "gram.y"
    { (yyval.str) = pstrdup("connection_limit"); }
    break;

  case 1434:
/* Line 1792 of yacc.c  */
#line 9815 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1435:
/* Line 1792 of yacc.c  */
#line 9816 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1436:
/* Line 1792 of yacc.c  */
#line 9817 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1437:
/* Line 1792 of yacc.c  */
#line 9818 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1438:
/* Line 1792 of yacc.c  */
#line 9819 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1439:
/* Line 1792 of yacc.c  */
#line 9826 "gram.y"
    {}
    break;

  case 1440:
/* Line 1792 of yacc.c  */
#line 9827 "gram.y"
    {}
    break;

  case 1441:
/* Line 1792 of yacc.c  */
#line 9839 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1442:
/* Line 1792 of yacc.c  */
#line 9846 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1443:
/* Line 1792 of yacc.c  */
#line 9853 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[(6) - (6)].str)), (yylsp[(6) - (6)])));
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1444:
/* Line 1792 of yacc.c  */
#line 9864 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1445:
/* Line 1792 of yacc.c  */
#line 9881 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1446:
/* Line 1792 of yacc.c  */
#line 9888 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1447:
/* Line 1792 of yacc.c  */
#line 9904 "gram.y"
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1448:
/* Line 1792 of yacc.c  */
#line 9921 "gram.y"
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1449:
/* Line 1792 of yacc.c  */
#line 9927 "gram.y"
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1450:
/* Line 1792 of yacc.c  */
#line 9943 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1451:
/* Line 1792 of yacc.c  */
#line 9956 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1452:
/* Line 1792 of yacc.c  */
#line 9965 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1453:
/* Line 1792 of yacc.c  */
#line 9973 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1454:
/* Line 1792 of yacc.c  */
#line 9981 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1455:
/* Line 1792 of yacc.c  */
#line 9990 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1456:
/* Line 1792 of yacc.c  */
#line 10001 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (9)].list);
					n->name = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1457:
/* Line 1792 of yacc.c  */
#line 10012 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[(3) - (6)].list);
					n->name = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1458:
/* Line 1792 of yacc.c  */
#line 10021 "gram.y"
    {}
    break;

  case 1459:
/* Line 1792 of yacc.c  */
#line 10022 "gram.y"
    {}
    break;

  case 1460:
/* Line 1792 of yacc.c  */
#line 10034 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1461:
/* Line 1792 of yacc.c  */
#line 10044 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1462:
/* Line 1792 of yacc.c  */
#line 10055 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1463:
/* Line 1792 of yacc.c  */
#line 10066 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1464:
/* Line 1792 of yacc.c  */
#line 10077 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1465:
/* Line 1792 of yacc.c  */
#line 10088 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1466:
/* Line 1792 of yacc.c  */
#line 10097 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1467:
/* Line 1792 of yacc.c  */
#line 10108 "gram.y"
    {}
    break;

  case 1468:
/* Line 1792 of yacc.c  */
#line 10109 "gram.y"
    {}
    break;

  case 1469:
/* Line 1792 of yacc.c  */
#line 10125 "gram.y"
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[(4) - (10)].list);
				n->for_encoding_name = (yyvsp[(6) - (10)].str);
				n->to_encoding_name = (yyvsp[(8) - (10)].str);
				n->func_name = (yyvsp[(10) - (10)].list);
				n->def = (yyvsp[(2) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 1470:
/* Line 1792 of yacc.c  */
#line 10147 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->indexname = (yyvsp[(4) - (4)].str);
					n->verbose = (yyvsp[(2) - (4)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1471:
/* Line 1792 of yacc.c  */
#line 10155 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[(2) - (2)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1472:
/* Line 1792 of yacc.c  */
#line 10164 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(5) - (5)].range);
					n->indexname = (yyvsp[(3) - (5)].str);
					n->verbose = (yyvsp[(2) - (5)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1473:
/* Line 1792 of yacc.c  */
#line 10174 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1474:
/* Line 1792 of yacc.c  */
#line 10175 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1475:
/* Line 1792 of yacc.c  */
#line 10188 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(3) - (4)].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1476:
/* Line 1792 of yacc.c  */
#line 10202 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(3) - (5)].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1477:
/* Line 1792 of yacc.c  */
#line 10216 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(3) - (5)].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1478:
/* Line 1792 of yacc.c  */
#line 10228 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1479:
/* Line 1792 of yacc.c  */
#line 10236 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1480:
/* Line 1792 of yacc.c  */
#line 10248 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1481:
/* Line 1792 of yacc.c  */
#line 10249 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 1482:
/* Line 1792 of yacc.c  */
#line 10253 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; }
    break;

  case 1483:
/* Line 1792 of yacc.c  */
#line 10254 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; }
    break;

  case 1484:
/* Line 1792 of yacc.c  */
#line 10255 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; }
    break;

  case 1485:
/* Line 1792 of yacc.c  */
#line 10256 "gram.y"
    { (yyval.ival) = VACOPT_FULL; }
    break;

  case 1486:
/* Line 1792 of yacc.c  */
#line 10258 "gram.y"
    {
					if (strcmp((yyvsp[(1) - (1)].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				}
    break;

  case 1487:
/* Line 1792 of yacc.c  */
#line 10271 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1488:
/* Line 1792 of yacc.c  */
#line 10281 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1489:
/* Line 1792 of yacc.c  */
#line 10293 "gram.y"
    {}
    break;

  case 1490:
/* Line 1792 of yacc.c  */
#line 10294 "gram.y"
    {}
    break;

  case 1491:
/* Line 1792 of yacc.c  */
#line 10298 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1492:
/* Line 1792 of yacc.c  */
#line 10299 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1493:
/* Line 1792 of yacc.c  */
#line 10302 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1494:
/* Line 1792 of yacc.c  */
#line 10303 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1495:
/* Line 1792 of yacc.c  */
#line 10306 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1496:
/* Line 1792 of yacc.c  */
#line 10307 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1497:
/* Line 1792 of yacc.c  */
#line 10311 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1498:
/* Line 1792 of yacc.c  */
#line 10312 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1499:
/* Line 1792 of yacc.c  */
#line 10326 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1500:
/* Line 1792 of yacc.c  */
#line 10333 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[(2) - (4)])));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[(3) - (4)])));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1501:
/* Line 1792 of yacc.c  */
#line 10343 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[(2) - (3)])));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1502:
/* Line 1792 of yacc.c  */
#line 10350 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1512:
/* Line 1792 of yacc.c  */
#line 10372 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 1513:
/* Line 1792 of yacc.c  */
#line 10376 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 1514:
/* Line 1792 of yacc.c  */
#line 10383 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)]));
				}
    break;

  case 1515:
/* Line 1792 of yacc.c  */
#line 10389 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1516:
/* Line 1792 of yacc.c  */
#line 10390 "gram.y"
    { (yyval.str) = "analyze"; }
    break;

  case 1517:
/* Line 1792 of yacc.c  */
#line 10394 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1518:
/* Line 1792 of yacc.c  */
#line 10395 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 1519:
/* Line 1792 of yacc.c  */
#line 10396 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1520:
/* Line 1792 of yacc.c  */
#line 10407 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1521:
/* Line 1792 of yacc.c  */
#line 10416 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1522:
/* Line 1792 of yacc.c  */
#line 10417 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1527:
/* Line 1792 of yacc.c  */
#line 10435 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1528:
/* Line 1792 of yacc.c  */
#line 10443 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (9)].str);
					n->params = (yyvsp[(8) - (9)].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[(4) - (9)].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (9)].into)->rel->relpersistence = (yyvsp[(2) - (9)].ival);
					(yyvsp[(4) - (9)].into)->skipData = !((yyvsp[(9) - (9)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 1529:
/* Line 1792 of yacc.c  */
#line 10459 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1530:
/* Line 1792 of yacc.c  */
#line 10460 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1531:
/* Line 1792 of yacc.c  */
#line 10471 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1532:
/* Line 1792 of yacc.c  */
#line 10477 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1533:
/* Line 1792 of yacc.c  */
#line 10483 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1534:
/* Line 1792 of yacc.c  */
#line 10489 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1535:
/* Line 1792 of yacc.c  */
#line 10506 "gram.y"
    {
					(yyvsp[(5) - (7)].istmt)->relation = (yyvsp[(4) - (7)].range);
					(yyvsp[(5) - (7)].istmt)->onConflictClause = (yyvsp[(6) - (7)].onconflict);
					(yyvsp[(5) - (7)].istmt)->returningList = (yyvsp[(7) - (7)].list);
					(yyvsp[(5) - (7)].istmt)->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (7)].istmt);
				}
    break;

  case 1536:
/* Line 1792 of yacc.c  */
#line 10523 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1537:
/* Line 1792 of yacc.c  */
#line 10527 "gram.y"
    {
					(yyvsp[(1) - (3)].range)->alias = makeAlias((yyvsp[(3) - (3)].str), NIL);
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1538:
/* Line 1792 of yacc.c  */
#line 10535 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1539:
/* Line 1792 of yacc.c  */
#line 10541 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[(2) - (4)].ival);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1540:
/* Line 1792 of yacc.c  */
#line 10548 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1541:
/* Line 1792 of yacc.c  */
#line 10554 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (7)].list);
					(yyval.istmt)->override = (yyvsp[(5) - (7)].ival);
					(yyval.istmt)->selectStmt = (yyvsp[(7) - (7)].node);
				}
    break;

  case 1542:
/* Line 1792 of yacc.c  */
#line 10561 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
    break;

  case 1543:
/* Line 1792 of yacc.c  */
#line 10569 "gram.y"
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
    break;

  case 1544:
/* Line 1792 of yacc.c  */
#line 10570 "gram.y"
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
    break;

  case 1545:
/* Line 1792 of yacc.c  */
#line 10575 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1546:
/* Line 1792 of yacc.c  */
#line 10577 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1547:
/* Line 1792 of yacc.c  */
#line 10582 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1548:
/* Line 1792 of yacc.c  */
#line 10593 "gram.y"
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[(3) - (8)].infer);
					(yyval.onconflict)->targetList = (yyvsp[(7) - (8)].list);
					(yyval.onconflict)->whereClause = (yyvsp[(8) - (8)].node);
					(yyval.onconflict)->location = (yylsp[(1) - (8)]);
				}
    break;

  case 1549:
/* Line 1792 of yacc.c  */
#line 10603 "gram.y"
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[(3) - (5)].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1550:
/* Line 1792 of yacc.c  */
#line 10612 "gram.y"
    {
					(yyval.onconflict) = NULL;
				}
    break;

  case 1551:
/* Line 1792 of yacc.c  */
#line 10619 "gram.y"
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[(2) - (4)].list);
					(yyval.infer)->whereClause = (yyvsp[(4) - (4)].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 1552:
/* Line 1792 of yacc.c  */
#line 10628 "gram.y"
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[(3) - (3)].str);
					(yyval.infer)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1553:
/* Line 1792 of yacc.c  */
#line 10636 "gram.y"
    {
					(yyval.infer) = NULL;
				}
    break;

  case 1554:
/* Line 1792 of yacc.c  */
#line 10642 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1555:
/* Line 1792 of yacc.c  */
#line 10643 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1556:
/* Line 1792 of yacc.c  */
#line 10656 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1557:
/* Line 1792 of yacc.c  */
#line 10668 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1558:
/* Line 1792 of yacc.c  */
#line 10669 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1559:
/* Line 1792 of yacc.c  */
#line 10681 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1560:
/* Line 1792 of yacc.c  */
#line 10691 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); }
    break;

  case 1561:
/* Line 1792 of yacc.c  */
#line 10692 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1562:
/* Line 1792 of yacc.c  */
#line 10695 "gram.y"
    { (yyval.ival) = AccessShareLock; }
    break;

  case 1563:
/* Line 1792 of yacc.c  */
#line 10696 "gram.y"
    { (yyval.ival) = RowShareLock; }
    break;

  case 1564:
/* Line 1792 of yacc.c  */
#line 10697 "gram.y"
    { (yyval.ival) = RowExclusiveLock; }
    break;

  case 1565:
/* Line 1792 of yacc.c  */
#line 10698 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; }
    break;

  case 1566:
/* Line 1792 of yacc.c  */
#line 10699 "gram.y"
    { (yyval.ival) = ShareLock; }
    break;

  case 1567:
/* Line 1792 of yacc.c  */
#line 10700 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; }
    break;

  case 1568:
/* Line 1792 of yacc.c  */
#line 10701 "gram.y"
    { (yyval.ival) = ExclusiveLock; }
    break;

  case 1569:
/* Line 1792 of yacc.c  */
#line 10702 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1570:
/* Line 1792 of yacc.c  */
#line 10705 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1571:
/* Line 1792 of yacc.c  */
#line 10706 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1572:
/* Line 1792 of yacc.c  */
#line 10710 "gram.y"
    { (yyval.ival) = LockWaitError; }
    break;

  case 1573:
/* Line 1792 of yacc.c  */
#line 10711 "gram.y"
    { (yyval.ival) = LockWaitSkip; }
    break;

  case 1574:
/* Line 1792 of yacc.c  */
#line 10712 "gram.y"
    { (yyval.ival) = LockWaitBlock; }
    break;

  case 1575:
/* Line 1792 of yacc.c  */
#line 10728 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1576:
/* Line 1792 of yacc.c  */
#line 10741 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1577:
/* Line 1792 of yacc.c  */
#line 10742 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); }
    break;

  case 1578:
/* Line 1792 of yacc.c  */
#line 10747 "gram.y"
    {
					(yyvsp[(1) - (3)].target)->val = (Node *) (yyvsp[(3) - (3)].node);
					(yyval.list) = list_make1((yyvsp[(1) - (3)].target));
				}
    break;

  case 1579:
/* Line 1792 of yacc.c  */
#line 10752 "gram.y"
    {
					int ncolumns = list_length((yyvsp[(2) - (5)].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[(2) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[(5) - (5)].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				}
    break;

  case 1580:
/* Line 1792 of yacc.c  */
#line 10776 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1581:
/* Line 1792 of yacc.c  */
#line 10786 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1582:
/* Line 1792 of yacc.c  */
#line 10787 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); }
    break;

  case 1583:
/* Line 1792 of yacc.c  */
#line 10798 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1584:
/* Line 1792 of yacc.c  */
#line 10808 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1585:
/* Line 1792 of yacc.c  */
#line 10811 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1586:
/* Line 1792 of yacc.c  */
#line 10812 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; }
    break;

  case 1587:
/* Line 1792 of yacc.c  */
#line 10813 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; }
    break;

  case 1588:
/* Line 1792 of yacc.c  */
#line 10814 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; }
    break;

  case 1589:
/* Line 1792 of yacc.c  */
#line 10815 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; }
    break;

  case 1590:
/* Line 1792 of yacc.c  */
#line 10818 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1591:
/* Line 1792 of yacc.c  */
#line 10819 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; }
    break;

  case 1592:
/* Line 1792 of yacc.c  */
#line 10820 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1595:
/* Line 1792 of yacc.c  */
#line 10873 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1596:
/* Line 1792 of yacc.c  */
#line 10874 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1597:
/* Line 1792 of yacc.c  */
#line 10889 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1598:
/* Line 1792 of yacc.c  */
#line 10891 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				}
    break;

  case 1599:
/* Line 1792 of yacc.c  */
#line 10898 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1600:
/* Line 1792 of yacc.c  */
#line 10906 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1601:
/* Line 1792 of yacc.c  */
#line 10914 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1602:
/* Line 1792 of yacc.c  */
#line 10922 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				}
    break;

  case 1603:
/* Line 1792 of yacc.c  */
#line 10930 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1604:
/* Line 1792 of yacc.c  */
#line 10938 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1605:
/* Line 1792 of yacc.c  */
#line 10948 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1606:
/* Line 1792 of yacc.c  */
#line 10949 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1607:
/* Line 1792 of yacc.c  */
#line 10979 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1608:
/* Line 1792 of yacc.c  */
#line 10993 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1609:
/* Line 1792 of yacc.c  */
#line 11005 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1610:
/* Line 1792 of yacc.c  */
#line 11007 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1611:
/* Line 1792 of yacc.c  */
#line 11026 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1612:
/* Line 1792 of yacc.c  */
#line 11030 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1613:
/* Line 1792 of yacc.c  */
#line 11034 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1614:
/* Line 1792 of yacc.c  */
#line 11051 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1615:
/* Line 1792 of yacc.c  */
#line 11058 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1616:
/* Line 1792 of yacc.c  */
#line 11065 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			}
    break;

  case 1617:
/* Line 1792 of yacc.c  */
#line 11074 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1618:
/* Line 1792 of yacc.c  */
#line 11075 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1619:
/* Line 1792 of yacc.c  */
#line 11079 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			}
    break;

  case 1620:
/* Line 1792 of yacc.c  */
#line 11090 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); }
    break;

  case 1621:
/* Line 1792 of yacc.c  */
#line 11091 "gram.y"
    { (yyval.with) = NULL; }
    break;

  case 1622:
/* Line 1792 of yacc.c  */
#line 11096 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
    break;

  case 1623:
/* Line 1792 of yacc.c  */
#line 11107 "gram.y"
    { (yyval.into) = NULL; }
    break;

  case 1624:
/* Line 1792 of yacc.c  */
#line 11116 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1625:
/* Line 1792 of yacc.c  */
#line 11121 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1626:
/* Line 1792 of yacc.c  */
#line 11126 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1627:
/* Line 1792 of yacc.c  */
#line 11131 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1628:
/* Line 1792 of yacc.c  */
#line 11136 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1629:
/* Line 1792 of yacc.c  */
#line 11144 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1630:
/* Line 1792 of yacc.c  */
#line 11152 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
    break;

  case 1631:
/* Line 1792 of yacc.c  */
#line 11157 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1632:
/* Line 1792 of yacc.c  */
#line 11162 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1633:
/* Line 1792 of yacc.c  */
#line 11168 "gram.y"
    {}
    break;

  case 1634:
/* Line 1792 of yacc.c  */
#line 11169 "gram.y"
    {}
    break;

  case 1635:
/* Line 1792 of yacc.c  */
#line 11173 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1636:
/* Line 1792 of yacc.c  */
#line 11174 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1637:
/* Line 1792 of yacc.c  */
#line 11175 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1638:
/* Line 1792 of yacc.c  */
#line 11182 "gram.y"
    { (yyval.list) = list_make1(NIL); }
    break;

  case 1639:
/* Line 1792 of yacc.c  */
#line 11183 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1640:
/* Line 1792 of yacc.c  */
#line 11187 "gram.y"
    { (yyval.list) = NIL;}
    break;

  case 1641:
/* Line 1792 of yacc.c  */
#line 11188 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1642:
/* Line 1792 of yacc.c  */
#line 11192 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);}
    break;

  case 1643:
/* Line 1792 of yacc.c  */
#line 11193 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1644:
/* Line 1792 of yacc.c  */
#line 11197 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1645:
/* Line 1792 of yacc.c  */
#line 11201 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); }
    break;

  case 1646:
/* Line 1792 of yacc.c  */
#line 11202 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); }
    break;

  case 1647:
/* Line 1792 of yacc.c  */
#line 11206 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				}
    break;

  case 1648:
/* Line 1792 of yacc.c  */
#line 11215 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
    break;

  case 1649:
/* Line 1792 of yacc.c  */
#line 11227 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); }
    break;

  case 1650:
/* Line 1792 of yacc.c  */
#line 11228 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); }
    break;

  case 1651:
/* Line 1792 of yacc.c  */
#line 11229 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); }
    break;

  case 1652:
/* Line 1792 of yacc.c  */
#line 11230 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); }
    break;

  case 1653:
/* Line 1792 of yacc.c  */
#line 11234 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1654:
/* Line 1792 of yacc.c  */
#line 11235 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); }
    break;

  case 1655:
/* Line 1792 of yacc.c  */
#line 11240 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1656:
/* Line 1792 of yacc.c  */
#line 11242 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				}
    break;

  case 1657:
/* Line 1792 of yacc.c  */
#line 11252 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); }
    break;

  case 1658:
/* Line 1792 of yacc.c  */
#line 11257 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1659:
/* Line 1792 of yacc.c  */
#line 11260 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1660:
/* Line 1792 of yacc.c  */
#line 11264 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1661:
/* Line 1792 of yacc.c  */
#line 11266 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1662:
/* Line 1792 of yacc.c  */
#line 11273 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1663:
/* Line 1792 of yacc.c  */
#line 11283 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); }
    break;

  case 1664:
/* Line 1792 of yacc.c  */
#line 11284 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1665:
/* Line 1792 of yacc.c  */
#line 11285 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); }
    break;

  case 1666:
/* Line 1792 of yacc.c  */
#line 11293 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1667:
/* Line 1792 of yacc.c  */
#line 11297 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1668:
/* Line 1792 of yacc.c  */
#line 11298 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1669:
/* Line 1792 of yacc.c  */
#line 11301 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1670:
/* Line 1792 of yacc.c  */
#line 11302 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1671:
/* Line 1792 of yacc.c  */
#line 11327 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1672:
/* Line 1792 of yacc.c  */
#line 11328 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1673:
/* Line 1792 of yacc.c  */
#line 11332 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1674:
/* Line 1792 of yacc.c  */
#line 11333 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].node)); }
    break;

  case 1675:
/* Line 1792 of yacc.c  */
#line 11337 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1676:
/* Line 1792 of yacc.c  */
#line 11338 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1677:
/* Line 1792 of yacc.c  */
#line 11339 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1678:
/* Line 1792 of yacc.c  */
#line 11340 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1679:
/* Line 1792 of yacc.c  */
#line 11341 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1680:
/* Line 1792 of yacc.c  */
#line 11346 "gram.y"
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 1681:
/* Line 1792 of yacc.c  */
#line 11359 "gram.y"
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1682:
/* Line 1792 of yacc.c  */
#line 11366 "gram.y"
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1683:
/* Line 1792 of yacc.c  */
#line 11373 "gram.y"
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 1684:
/* Line 1792 of yacc.c  */
#line 11379 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1685:
/* Line 1792 of yacc.c  */
#line 11380 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1686:
/* Line 1792 of yacc.c  */
#line 11384 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1687:
/* Line 1792 of yacc.c  */
#line 11385 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1688:
/* Line 1792 of yacc.c  */
#line 11389 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1689:
/* Line 1792 of yacc.c  */
#line 11390 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1690:
/* Line 1792 of yacc.c  */
#line 11394 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1691:
/* Line 1792 of yacc.c  */
#line 11395 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1692:
/* Line 1792 of yacc.c  */
#line 11400 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(2) - (3)].list);
					n->strength = (yyvsp[(1) - (3)].ival);
					n->waitPolicy = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1693:
/* Line 1792 of yacc.c  */
#line 11410 "gram.y"
    { (yyval.ival) = LCS_FORUPDATE; }
    break;

  case 1694:
/* Line 1792 of yacc.c  */
#line 11411 "gram.y"
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
    break;

  case 1695:
/* Line 1792 of yacc.c  */
#line 11412 "gram.y"
    { (yyval.ival) = LCS_FORSHARE; }
    break;

  case 1696:
/* Line 1792 of yacc.c  */
#line 11413 "gram.y"
    { (yyval.ival) = LCS_FORKEYSHARE; }
    break;

  case 1697:
/* Line 1792 of yacc.c  */
#line 11417 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1698:
/* Line 1792 of yacc.c  */
#line 11418 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1699:
/* Line 1792 of yacc.c  */
#line 11429 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(3) - (4)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1700:
/* Line 1792 of yacc.c  */
#line 11435 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (5)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(4) - (5)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1701:
/* Line 1792 of yacc.c  */
#line 11452 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1702:
/* Line 1792 of yacc.c  */
#line 11453 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1703:
/* Line 1792 of yacc.c  */
#line 11457 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1704:
/* Line 1792 of yacc.c  */
#line 11458 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1705:
/* Line 1792 of yacc.c  */
#line 11465 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				}
    break;

  case 1706:
/* Line 1792 of yacc.c  */
#line 11470 "gram.y"
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[(3) - (3)].node);
					(yyvsp[(1) - (3)].range)->alias = (yyvsp[(2) - (3)].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[(1) - (3)].range);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1707:
/* Line 1792 of yacc.c  */
#line 11478 "gram.y"
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[(1) - (2)].node);
					n->alias = linitial((yyvsp[(2) - (2)].list));
					n->coldeflist = lsecond((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1708:
/* Line 1792 of yacc.c  */
#line 11485 "gram.y"
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[(2) - (3)].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[(3) - (3)].list));
					n->coldeflist = lsecond((yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1709:
/* Line 1792 of yacc.c  */
#line 11493 "gram.y"
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1710:
/* Line 1792 of yacc.c  */
#line 11499 "gram.y"
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[(2) - (3)].node);
					n->lateral = true;
					n->alias = (yyvsp[(3) - (3)].alias);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1711:
/* Line 1792 of yacc.c  */
#line 11506 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[(2) - (2)].alias) == NULL)
					{
						if (IsA((yyvsp[(1) - (2)].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[(1) - (2)].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[(1) - (2)]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[(1) - (2)]))));
					}
					(yyval.node) = (Node *) n;
				}
    break;

  case 1712:
/* Line 1792 of yacc.c  */
#line 11541 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[(2) - (3)].node);
					n->alias = (yyvsp[(3) - (3)].alias);
					/* same comment as above */
					if ((yyvsp[(3) - (3)].alias) == NULL)
					{
						if (IsA((yyvsp[(2) - (3)].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[(2) - (3)].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[(2) - (3)]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[(2) - (3)]))));
					}
					(yyval.node) = (Node *) n;
				}
    break;

  case 1713:
/* Line 1792 of yacc.c  */
#line 11566 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				}
    break;

  case 1714:
/* Line 1792 of yacc.c  */
#line 11570 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				}
    break;

  case 1715:
/* Line 1792 of yacc.c  */
#line 11596 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				}
    break;

  case 1716:
/* Line 1792 of yacc.c  */
#line 11600 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
    break;

  case 1717:
/* Line 1792 of yacc.c  */
#line 11612 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1718:
/* Line 1792 of yacc.c  */
#line 11625 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1719:
/* Line 1792 of yacc.c  */
#line 11639 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1720:
/* Line 1792 of yacc.c  */
#line 11650 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1721:
/* Line 1792 of yacc.c  */
#line 11665 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				}
    break;

  case 1722:
/* Line 1792 of yacc.c  */
#line 11671 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				}
    break;

  case 1723:
/* Line 1792 of yacc.c  */
#line 11676 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				}
    break;

  case 1724:
/* Line 1792 of yacc.c  */
#line 11682 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				}
    break;

  case 1725:
/* Line 1792 of yacc.c  */
#line 11688 "gram.y"
    { (yyval.alias) = (yyvsp[(1) - (1)].alias); }
    break;

  case 1726:
/* Line 1792 of yacc.c  */
#line 11689 "gram.y"
    { (yyval.alias) = NULL; }
    break;

  case 1727:
/* Line 1792 of yacc.c  */
#line 11698 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (1)].alias), NIL);
				}
    break;

  case 1728:
/* Line 1792 of yacc.c  */
#line 11702 "gram.y"
    {
					(yyval.list) = list_make2(NULL, (yyvsp[(3) - (4)].list));
				}
    break;

  case 1729:
/* Line 1792 of yacc.c  */
#line 11706 "gram.y"
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.list) = list_make2(a, (yyvsp[(4) - (5)].list));
				}
    break;

  case 1730:
/* Line 1792 of yacc.c  */
#line 11712 "gram.y"
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.list) = list_make2(a, (yyvsp[(3) - (4)].list));
				}
    break;

  case 1731:
/* Line 1792 of yacc.c  */
#line 11718 "gram.y"
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
    break;

  case 1732:
/* Line 1792 of yacc.c  */
#line 11723 "gram.y"
    { (yyval.jtype) = JOIN_FULL; }
    break;

  case 1733:
/* Line 1792 of yacc.c  */
#line 11724 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; }
    break;

  case 1734:
/* Line 1792 of yacc.c  */
#line 11725 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; }
    break;

  case 1735:
/* Line 1792 of yacc.c  */
#line 11726 "gram.y"
    { (yyval.jtype) = JOIN_INNER; }
    break;

  case 1736:
/* Line 1792 of yacc.c  */
#line 11730 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1737:
/* Line 1792 of yacc.c  */
#line 11731 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1738:
/* Line 1792 of yacc.c  */
#line 11743 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); }
    break;

  case 1739:
/* Line 1792 of yacc.c  */
#line 11744 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1740:
/* Line 1792 of yacc.c  */
#line 11750 "gram.y"
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1741:
/* Line 1792 of yacc.c  */
#line 11757 "gram.y"
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1742:
/* Line 1792 of yacc.c  */
#line 11764 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1743:
/* Line 1792 of yacc.c  */
#line 11771 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1744:
/* Line 1792 of yacc.c  */
#line 11781 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1745:
/* Line 1792 of yacc.c  */
#line 11782 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1746:
/* Line 1792 of yacc.c  */
#line 11796 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1747:
/* Line 1792 of yacc.c  */
#line 11800 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				}
    break;

  case 1748:
/* Line 1792 of yacc.c  */
#line 11807 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1749:
/* Line 1792 of yacc.c  */
#line 11820 "gram.y"
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[(2) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->repeatable = (yyvsp[(6) - (6)].node);
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1750:
/* Line 1792 of yacc.c  */
#line 11832 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].node); }
    break;

  case 1751:
/* Line 1792 of yacc.c  */
#line 11833 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1752:
/* Line 1792 of yacc.c  */
#line 11849 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[(2) - (2)].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[(1) - (2)].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1753:
/* Line 1792 of yacc.c  */
#line 11859 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[(6) - (6)].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[(4) - (6)].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1754:
/* Line 1792 of yacc.c  */
#line 11871 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list)); }
    break;

  case 1755:
/* Line 1792 of yacc.c  */
#line 11875 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 1756:
/* Line 1792 of yacc.c  */
#line 11876 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 1757:
/* Line 1792 of yacc.c  */
#line 11879 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1758:
/* Line 1792 of yacc.c  */
#line 11880 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1759:
/* Line 1792 of yacc.c  */
#line 11883 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 1760:
/* Line 1792 of yacc.c  */
#line 11884 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 1761:
/* Line 1792 of yacc.c  */
#line 11889 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1762:
/* Line 1792 of yacc.c  */
#line 11890 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1763:
/* Line 1792 of yacc.c  */
#line 11895 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1764:
/* Line 1792 of yacc.c  */
#line 11897 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1765:
/* Line 1792 of yacc.c  */
#line 11904 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1766:
/* Line 1792 of yacc.c  */
#line 11909 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1767:
/* Line 1792 of yacc.c  */
#line 11910 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1768:
/* Line 1792 of yacc.c  */
#line 11915 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1769:
/* Line 1792 of yacc.c  */
#line 11919 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1770:
/* Line 1792 of yacc.c  */
#line 11925 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1771:
/* Line 1792 of yacc.c  */
#line 11950 "gram.y"
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[(3) - (7)].node);
					n->docexpr = (yyvsp[(4) - (7)].node);
					n->columns = (yyvsp[(6) - (7)].list);
					n->namespaces = NIL;
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1772:
/* Line 1792 of yacc.c  */
#line 11961 "gram.y"
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[(8) - (12)].node);
					n->docexpr = (yyvsp[(9) - (12)].node);
					n->columns = (yyvsp[(11) - (12)].list);
					n->namespaces = (yyvsp[(5) - (12)].list);
					n->location = (yylsp[(1) - (12)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1773:
/* Line 1792 of yacc.c  */
#line 11972 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1774:
/* Line 1792 of yacc.c  */
#line 11973 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1775:
/* Line 1792 of yacc.c  */
#line 11978 "gram.y"
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[(1) - (2)].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[(2) - (2)].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[(1) - (2)]);

					(yyval.node) = (Node *) fc;
				}
    break;

  case 1776:
/* Line 1792 of yacc.c  */
#line 11992 "gram.y"
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[(1) - (3)].str);
					fc->typeName = (yyvsp[(2) - (3)].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[(1) - (3)]);

					foreach(option, (yyvsp[(3) - (3)].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
    break;

  case 1777:
/* Line 1792 of yacc.c  */
#line 12049 "gram.y"
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[(1) - (3)].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[(1) - (3)]);

					(yyval.node) = (Node *) fc;
				}
    break;

  case 1778:
/* Line 1792 of yacc.c  */
#line 12063 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1779:
/* Line 1792 of yacc.c  */
#line 12065 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1780:
/* Line 1792 of yacc.c  */
#line 12070 "gram.y"
    { (yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1781:
/* Line 1792 of yacc.c  */
#line 12072 "gram.y"
    { (yyval.defelt) = makeDefElem("default", (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1782:
/* Line 1792 of yacc.c  */
#line 12074 "gram.y"
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[(1) - (2)])); }
    break;

  case 1783:
/* Line 1792 of yacc.c  */
#line 12076 "gram.y"
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[(1) - (1)])); }
    break;

  case 1784:
/* Line 1792 of yacc.c  */
#line 12081 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1785:
/* Line 1792 of yacc.c  */
#line 12083 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1786:
/* Line 1792 of yacc.c  */
#line 12088 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1787:
/* Line 1792 of yacc.c  */
#line 12096 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[(2) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1788:
/* Line 1792 of yacc.c  */
#line 12116 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1789:
/* Line 1792 of yacc.c  */
#line 12121 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1790:
/* Line 1792 of yacc.c  */
#line 12128 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				}
    break;

  case 1791:
/* Line 1792 of yacc.c  */
#line 12133 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1792:
/* Line 1792 of yacc.c  */
#line 12139 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
    break;

  case 1793:
/* Line 1792 of yacc.c  */
#line 12144 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1794:
/* Line 1792 of yacc.c  */
#line 12153 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); }
    break;

  case 1795:
/* Line 1792 of yacc.c  */
#line 12155 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); }
    break;

  case 1796:
/* Line 1792 of yacc.c  */
#line 12157 "gram.y"
    {  (yyval.list) = NIL; }
    break;

  case 1797:
/* Line 1792 of yacc.c  */
#line 12161 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1798:
/* Line 1792 of yacc.c  */
#line 12162 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1799:
/* Line 1792 of yacc.c  */
#line 12163 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1800:
/* Line 1792 of yacc.c  */
#line 12164 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1801:
/* Line 1792 of yacc.c  */
#line 12165 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1802:
/* Line 1792 of yacc.c  */
#line 12167 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1803:
/* Line 1792 of yacc.c  */
#line 12172 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (4)].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1804:
/* Line 1792 of yacc.c  */
#line 12191 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1805:
/* Line 1792 of yacc.c  */
#line 12192 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1806:
/* Line 1792 of yacc.c  */
#line 12193 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1807:
/* Line 1792 of yacc.c  */
#line 12194 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1808:
/* Line 1792 of yacc.c  */
#line 12206 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1809:
/* Line 1792 of yacc.c  */
#line 12212 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1810:
/* Line 1792 of yacc.c  */
#line 12219 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1811:
/* Line 1792 of yacc.c  */
#line 12220 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1812:
/* Line 1792 of yacc.c  */
#line 12227 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1813:
/* Line 1792 of yacc.c  */
#line 12232 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1814:
/* Line 1792 of yacc.c  */
#line 12237 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1815:
/* Line 1792 of yacc.c  */
#line 12242 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1816:
/* Line 1792 of yacc.c  */
#line 12247 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1817:
/* Line 1792 of yacc.c  */
#line 12252 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1818:
/* Line 1792 of yacc.c  */
#line 12257 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1819:
/* Line 1792 of yacc.c  */
#line 12262 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1820:
/* Line 1792 of yacc.c  */
#line 12268 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1821:
/* Line 1792 of yacc.c  */
#line 12274 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1822:
/* Line 1792 of yacc.c  */
#line 12280 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1823:
/* Line 1792 of yacc.c  */
#line 12287 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				}
    break;

  case 1824:
/* Line 1792 of yacc.c  */
#line 12308 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
    break;

  case 1825:
/* Line 1792 of yacc.c  */
#line 12318 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1826:
/* Line 1792 of yacc.c  */
#line 12322 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1827:
/* Line 1792 of yacc.c  */
#line 12330 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1828:
/* Line 1792 of yacc.c  */
#line 12334 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1829:
/* Line 1792 of yacc.c  */
#line 12342 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1830:
/* Line 1792 of yacc.c  */
#line 12354 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1831:
/* Line 1792 of yacc.c  */
#line 12375 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1832:
/* Line 1792 of yacc.c  */
#line 12379 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1833:
/* Line 1792 of yacc.c  */
#line 12385 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1834:
/* Line 1792 of yacc.c  */
#line 12389 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1835:
/* Line 1792 of yacc.c  */
#line 12402 "gram.y"
    {
					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (4)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 1836:
/* Line 1792 of yacc.c  */
#line 12410 "gram.y"
    {
					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (1)].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (1)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1837:
/* Line 1792 of yacc.c  */
#line 12420 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1838:
/* Line 1792 of yacc.c  */
#line 12422 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1839:
/* Line 1792 of yacc.c  */
#line 12424 "gram.y"
    { (yyval.str) = "varchar"; }
    break;

  case 1840:
/* Line 1792 of yacc.c  */
#line 12426 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1841:
/* Line 1792 of yacc.c  */
#line 12428 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1842:
/* Line 1792 of yacc.c  */
#line 12430 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1843:
/* Line 1792 of yacc.c  */
#line 12434 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1844:
/* Line 1792 of yacc.c  */
#line 12435 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1845:
/* Line 1792 of yacc.c  */
#line 12443 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1846:
/* Line 1792 of yacc.c  */
#line 12452 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1847:
/* Line 1792 of yacc.c  */
#line 12460 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1848:
/* Line 1792 of yacc.c  */
#line 12469 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1849:
/* Line 1792 of yacc.c  */
#line 12480 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1850:
/* Line 1792 of yacc.c  */
#line 12487 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1851:
/* Line 1792 of yacc.c  */
#line 12488 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1852:
/* Line 1792 of yacc.c  */
#line 12489 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1853:
/* Line 1792 of yacc.c  */
#line 12494 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); }
    break;

  case 1854:
/* Line 1792 of yacc.c  */
#line 12496 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); }
    break;

  case 1855:
/* Line 1792 of yacc.c  */
#line 12498 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); }
    break;

  case 1856:
/* Line 1792 of yacc.c  */
#line 12500 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); }
    break;

  case 1857:
/* Line 1792 of yacc.c  */
#line 12502 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); }
    break;

  case 1858:
/* Line 1792 of yacc.c  */
#line 12504 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1859:
/* Line 1792 of yacc.c  */
#line 12506 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				}
    break;

  case 1860:
/* Line 1792 of yacc.c  */
#line 12511 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				}
    break;

  case 1861:
/* Line 1792 of yacc.c  */
#line 12516 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1862:
/* Line 1792 of yacc.c  */
#line 12522 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1863:
/* Line 1792 of yacc.c  */
#line 12530 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1864:
/* Line 1792 of yacc.c  */
#line 12535 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1865:
/* Line 1792 of yacc.c  */
#line 12542 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1866:
/* Line 1792 of yacc.c  */
#line 12548 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1867:
/* Line 1792 of yacc.c  */
#line 12553 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				}
    break;

  case 1868:
/* Line 1792 of yacc.c  */
#line 12557 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1869:
/* Line 1792 of yacc.c  */
#line 12592 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1870:
/* Line 1792 of yacc.c  */
#line 12594 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1871:
/* Line 1792 of yacc.c  */
#line 12596 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1872:
/* Line 1792 of yacc.c  */
#line 12604 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node)),
											   (yylsp[(2) - (5)]));
				}
    break;

  case 1873:
/* Line 1792 of yacc.c  */
#line 12619 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1874:
/* Line 1792 of yacc.c  */
#line 12621 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1875:
/* Line 1792 of yacc.c  */
#line 12623 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1876:
/* Line 1792 of yacc.c  */
#line 12625 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1877:
/* Line 1792 of yacc.c  */
#line 12627 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1878:
/* Line 1792 of yacc.c  */
#line 12629 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1879:
/* Line 1792 of yacc.c  */
#line 12631 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1880:
/* Line 1792 of yacc.c  */
#line 12633 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1881:
/* Line 1792 of yacc.c  */
#line 12635 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1882:
/* Line 1792 of yacc.c  */
#line 12637 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1883:
/* Line 1792 of yacc.c  */
#line 12639 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1884:
/* Line 1792 of yacc.c  */
#line 12641 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1885:
/* Line 1792 of yacc.c  */
#line 12643 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1886:
/* Line 1792 of yacc.c  */
#line 12645 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1887:
/* Line 1792 of yacc.c  */
#line 12648 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1888:
/* Line 1792 of yacc.c  */
#line 12650 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1889:
/* Line 1792 of yacc.c  */
#line 12652 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1890:
/* Line 1792 of yacc.c  */
#line 12655 "gram.y"
    { (yyval.node) = makeAndExpr((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1891:
/* Line 1792 of yacc.c  */
#line 12657 "gram.y"
    { (yyval.node) = makeOrExpr((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1892:
/* Line 1792 of yacc.c  */
#line 12659 "gram.y"
    { (yyval.node) = makeNotExpr((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1893:
/* Line 1792 of yacc.c  */
#line 12661 "gram.y"
    { (yyval.node) = makeNotExpr((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1894:
/* Line 1792 of yacc.c  */
#line 12664 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
				}
    break;

  case 1895:
/* Line 1792 of yacc.c  */
#line 12669 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node)),
											   (yylsp[(2) - (5)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1896:
/* Line 1792 of yacc.c  */
#line 12677 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
				}
    break;

  case 1897:
/* Line 1792 of yacc.c  */
#line 12682 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
											   (yylsp[(2) - (6)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1898:
/* Line 1792 of yacc.c  */
#line 12690 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
				}
    break;

  case 1899:
/* Line 1792 of yacc.c  */
#line 12695 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node)),
											   (yylsp[(2) - (5)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1900:
/* Line 1792 of yacc.c  */
#line 12703 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
				}
    break;

  case 1901:
/* Line 1792 of yacc.c  */
#line 12708 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
											   (yylsp[(2) - (6)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1902:
/* Line 1792 of yacc.c  */
#line 12717 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1)),
											   (yylsp[(2) - (4)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				}
    break;

  case 1903:
/* Line 1792 of yacc.c  */
#line 12725 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
											   (yylsp[(2) - (6)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1904:
/* Line 1792 of yacc.c  */
#line 12733 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1)),
											   (yylsp[(2) - (5)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1905:
/* Line 1792 of yacc.c  */
#line 12741 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node)),
											   (yylsp[(2) - (7)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				}
    break;

  case 1906:
/* Line 1792 of yacc.c  */
#line 12759 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1907:
/* Line 1792 of yacc.c  */
#line 12767 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1908:
/* Line 1792 of yacc.c  */
#line 12775 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1909:
/* Line 1792 of yacc.c  */
#line 12783 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1910:
/* Line 1792 of yacc.c  */
#line 12791 "gram.y"
    {
					if (list_length((yyvsp[(1) - (3)].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[(1) - (3)]))));
					if (list_length((yyvsp[(3) - (3)].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[(3) - (3)]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)),
											   (yylsp[(2) - (3)]));
				}
    break;

  case 1911:
/* Line 1792 of yacc.c  */
#line 12807 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *)b;
				}
    break;

  case 1912:
/* Line 1792 of yacc.c  */
#line 12815 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)b;
				}
    break;

  case 1913:
/* Line 1792 of yacc.c  */
#line 12823 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *)b;
				}
    break;

  case 1914:
/* Line 1792 of yacc.c  */
#line 12831 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)b;
				}
    break;

  case 1915:
/* Line 1792 of yacc.c  */
#line 12839 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *)b;
				}
    break;

  case 1916:
/* Line 1792 of yacc.c  */
#line 12847 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)b;
				}
    break;

  case 1917:
/* Line 1792 of yacc.c  */
#line 12855 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1918:
/* Line 1792 of yacc.c  */
#line 12859 "gram.y"
    {
                    (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1919:
/* Line 1792 of yacc.c  */
#line 12863 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1920:
/* Line 1792 of yacc.c  */
#line 12867 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1921:
/* Line 1792 of yacc.c  */
#line 12871 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[(1) - (6)].node),
												   (Node *) list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
												   (yylsp[(2) - (6)]));
				}
    break;

  case 1922:
/* Line 1792 of yacc.c  */
#line 12879 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[(1) - (7)].node),
												   (Node *) list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node)),
												   (yylsp[(2) - (7)]));
				}
    break;

  case 1923:
/* Line 1792 of yacc.c  */
#line 12887 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[(1) - (6)].node),
												   (Node *) list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
												   (yylsp[(2) - (6)]));
				}
    break;

  case 1924:
/* Line 1792 of yacc.c  */
#line 12895 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[(1) - (7)].node),
												   (Node *) list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node)),
												   (yylsp[(2) - (7)]));
				}
    break;

  case 1925:
/* Line 1792 of yacc.c  */
#line 12903 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				}
    break;

  case 1926:
/* Line 1792 of yacc.c  */
#line 12923 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[(2) - (4)]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				}
    break;

  case 1927:
/* Line 1792 of yacc.c  */
#line 12945 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1928:
/* Line 1792 of yacc.c  */
#line 12956 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1929:
/* Line 1792 of yacc.c  */
#line 12963 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				}
    break;

  case 1930:
/* Line 1792 of yacc.c  */
#line 12979 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1931:
/* Line 1792 of yacc.c  */
#line 12984 "gram.y"
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
									 (yylsp[(2) - (4)]));
				}
    break;

  case 1932:
/* Line 1792 of yacc.c  */
#line 12990 "gram.y"
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1933:
/* Line 1792 of yacc.c  */
#line 13015 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1934:
/* Line 1792 of yacc.c  */
#line 13017 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1935:
/* Line 1792 of yacc.c  */
#line 13019 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1936:
/* Line 1792 of yacc.c  */
#line 13021 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1937:
/* Line 1792 of yacc.c  */
#line 13023 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1938:
/* Line 1792 of yacc.c  */
#line 13025 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1939:
/* Line 1792 of yacc.c  */
#line 13027 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1940:
/* Line 1792 of yacc.c  */
#line 13029 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1941:
/* Line 1792 of yacc.c  */
#line 13031 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1942:
/* Line 1792 of yacc.c  */
#line 13033 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1943:
/* Line 1792 of yacc.c  */
#line 13035 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1944:
/* Line 1792 of yacc.c  */
#line 13037 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1945:
/* Line 1792 of yacc.c  */
#line 13039 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1946:
/* Line 1792 of yacc.c  */
#line 13041 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1947:
/* Line 1792 of yacc.c  */
#line 13043 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1948:
/* Line 1792 of yacc.c  */
#line 13045 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1949:
/* Line 1792 of yacc.c  */
#line 13047 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1950:
/* Line 1792 of yacc.c  */
#line 13049 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1951:
/* Line 1792 of yacc.c  */
#line 13051 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1952:
/* Line 1792 of yacc.c  */
#line 13053 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1953:
/* Line 1792 of yacc.c  */
#line 13057 "gram.y"
    {
                    (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1954:
/* Line 1792 of yacc.c  */
#line 13061 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1955:
/* Line 1792 of yacc.c  */
#line 13065 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1956:
/* Line 1792 of yacc.c  */
#line 13069 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1957:
/* Line 1792 of yacc.c  */
#line 13074 "gram.y"
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
									 (yylsp[(2) - (4)]));
				}
    break;

  case 1958:
/* Line 1792 of yacc.c  */
#line 13089 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1959:
/* Line 1792 of yacc.c  */
#line 13090 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1960:
/* Line 1792 of yacc.c  */
#line 13092 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
    break;

  case 1961:
/* Line 1792 of yacc.c  */
#line 13107 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[(2) - (4)].node), NULL,
												 exprLocation((yyvsp[(2) - (4)].node)));
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1962:
/* Line 1792 of yacc.c  */
#line 13141 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1963:
/* Line 1792 of yacc.c  */
#line 13143 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1964:
/* Line 1792 of yacc.c  */
#line 13145 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1965:
/* Line 1792 of yacc.c  */
#line 13156 "gram.y"
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
    break;

  case 1966:
/* Line 1792 of yacc.c  */
#line 13180 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1967:
/* Line 1792 of yacc.c  */
#line 13191 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1968:
/* Line 1792 of yacc.c  */
#line 13202 "gram.y"
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[(2) - (2)].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1969:
/* Line 1792 of yacc.c  */
#line 13209 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1970:
/* Line 1792 of yacc.c  */
#line 13219 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1971:
/* Line 1792 of yacc.c  */
#line 13229 "gram.y"
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[(3) - (4)].list);
				  g->location = (yylsp[(1) - (4)]);
				  (yyval.node) = (Node *)g;
			  }
    break;

  case 1972:
/* Line 1792 of yacc.c  */
#line 13238 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[(1) - (3)].list), NIL, (yylsp[(1) - (3)]));
				}
    break;

  case 1973:
/* Line 1792 of yacc.c  */
#line 13242 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (5)].list), (yyvsp[(3) - (5)].list), (yylsp[(1) - (5)]));
					n->agg_order = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1974:
/* Line 1792 of yacc.c  */
#line 13248 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (6)].list), list_make1((yyvsp[(4) - (6)].node)), (yylsp[(1) - (6)]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1975:
/* Line 1792 of yacc.c  */
#line 13255 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (8)].list), lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node)), (yylsp[(1) - (8)]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1976:
/* Line 1792 of yacc.c  */
#line 13262 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (6)].list), (yyvsp[(4) - (6)].list), (yylsp[(1) - (6)]));
					n->agg_order = (yyvsp[(5) - (6)].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1977:
/* Line 1792 of yacc.c  */
#line 13272 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (6)].list), (yyvsp[(4) - (6)].list), (yylsp[(1) - (6)]));
					n->agg_order = (yyvsp[(5) - (6)].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1978:
/* Line 1792 of yacc.c  */
#line 13279 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[(1) - (4)].list), NIL, (yylsp[(1) - (4)]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1979:
/* Line 1792 of yacc.c  */
#line 13307 "gram.y"
    {
					FuncCall *n = (FuncCall *) (yyvsp[(1) - (4)].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[(2) - (4)].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[(2) - (4)]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[(2) - (4)]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[(2) - (4)]))));
						n->agg_order = (yyvsp[(2) - (4)].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[(3) - (4)].node);
					n->over = (yyvsp[(4) - (4)].windef);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1980:
/* Line 1792 of yacc.c  */
#line 13342 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1981:
/* Line 1792 of yacc.c  */
#line 13352 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1982:
/* Line 1792 of yacc.c  */
#line 13353 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1983:
/* Line 1792 of yacc.c  */
#line 13361 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[(4) - (5)].node)),
											   (yylsp[(1) - (5)]));
				}
    break;

  case 1984:
/* Line 1792 of yacc.c  */
#line 13367 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1985:
/* Line 1792 of yacc.c  */
#line 13371 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1986:
/* Line 1792 of yacc.c  */
#line 13375 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[(3) - (4)].ival), (yylsp[(1) - (4)]));
				}
    break;

  case 1987:
/* Line 1792 of yacc.c  */
#line 13379 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1988:
/* Line 1792 of yacc.c  */
#line 13383 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[(3) - (4)].ival), (yylsp[(1) - (4)]));
				}
    break;

  case 1989:
/* Line 1792 of yacc.c  */
#line 13387 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1990:
/* Line 1792 of yacc.c  */
#line 13391 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[(3) - (4)].ival), (yylsp[(1) - (4)]));
				}
    break;

  case 1991:
/* Line 1792 of yacc.c  */
#line 13395 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1992:
/* Line 1792 of yacc.c  */
#line 13399 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[(3) - (4)].ival), (yylsp[(1) - (4)]));
				}
    break;

  case 1993:
/* Line 1792 of yacc.c  */
#line 13403 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1994:
/* Line 1792 of yacc.c  */
#line 13407 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1995:
/* Line 1792 of yacc.c  */
#line 13411 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1996:
/* Line 1792 of yacc.c  */
#line 13415 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1997:
/* Line 1792 of yacc.c  */
#line 13419 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1998:
/* Line 1792 of yacc.c  */
#line 13423 "gram.y"
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[(1) - (1)]));
				}
    break;

  case 1999:
/* Line 1792 of yacc.c  */
#line 13427 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); }
    break;

  case 2000:
/* Line 1792 of yacc.c  */
#line 13429 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 2001:
/* Line 1792 of yacc.c  */
#line 13433 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 2002:
/* Line 1792 of yacc.c  */
#line 13442 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 2003:
/* Line 1792 of yacc.c  */
#line 13447 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 2004:
/* Line 1792 of yacc.c  */
#line 13454 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str),
												list_make1((yyvsp[(3) - (6)].node)),
												(yylsp[(1) - (6)]));
				}
    break;

  case 2005:
/* Line 1792 of yacc.c  */
#line 13469 "gram.y"
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 2006:
/* Line 1792 of yacc.c  */
#line 13476 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 2007:
/* Line 1792 of yacc.c  */
#line 13480 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 2008:
/* Line 1792 of yacc.c  */
#line 13484 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 2009:
/* Line 1792 of yacc.c  */
#line 13488 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				}
    break;

  case 2010:
/* Line 1792 of yacc.c  */
#line 13492 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 2011:
/* Line 1792 of yacc.c  */
#line 13499 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 2012:
/* Line 1792 of yacc.c  */
#line 13507 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 2013:
/* Line 1792 of yacc.c  */
#line 13515 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 2014:
/* Line 1792 of yacc.c  */
#line 13519 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 2015:
/* Line 1792 of yacc.c  */
#line 13523 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				}
    break;

  case 2016:
/* Line 1792 of yacc.c  */
#line 13527 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				}
    break;

  case 2017:
/* Line 1792 of yacc.c  */
#line 13531 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				}
    break;

  case 2018:
/* Line 1792 of yacc.c  */
#line 13535 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node)), (yylsp[(1) - (5)]));
				}
    break;

  case 2019:
/* Line 1792 of yacc.c  */
#line 13541 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				}
    break;

  case 2020:
/* Line 1792 of yacc.c  */
#line 13545 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				}
    break;

  case 2021:
/* Line 1792 of yacc.c  */
#line 13554 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 2022:
/* Line 1792 of yacc.c  */
#line 13558 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 2023:
/* Line 1792 of yacc.c  */
#line 13562 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 2024:
/* Line 1792 of yacc.c  */
#line 13567 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 2025:
/* Line 1792 of yacc.c  */
#line 13581 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 2026:
/* Line 1792 of yacc.c  */
#line 13583 "gram.y"
    { (yyval.node) = makeNullAConst(-1); }
    break;

  case 2027:
/* Line 1792 of yacc.c  */
#line 13587 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
    break;

  case 2028:
/* Line 1792 of yacc.c  */
#line 13589 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
    break;

  case 2029:
/* Line 1792 of yacc.c  */
#line 13591 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
    break;

  case 2030:
/* Line 1792 of yacc.c  */
#line 13593 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
    break;

  case 2031:
/* Line 1792 of yacc.c  */
#line 13596 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 2032:
/* Line 1792 of yacc.c  */
#line 13599 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 2033:
/* Line 1792 of yacc.c  */
#line 13600 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 2034:
/* Line 1792 of yacc.c  */
#line 13604 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 2035:
/* Line 1792 of yacc.c  */
#line 13612 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 2036:
/* Line 1792 of yacc.c  */
#line 13621 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
    break;

  case 2037:
/* Line 1792 of yacc.c  */
#line 13622 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; }
    break;

  case 2038:
/* Line 1792 of yacc.c  */
#line 13625 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 2039:
/* Line 1792 of yacc.c  */
#line 13626 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 2040:
/* Line 1792 of yacc.c  */
#line 13627 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 2041:
/* Line 1792 of yacc.c  */
#line 13633 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 2042:
/* Line 1792 of yacc.c  */
#line 13637 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 2043:
/* Line 1792 of yacc.c  */
#line 13641 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				}
    break;

  case 2044:
/* Line 1792 of yacc.c  */
#line 13645 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				}
    break;

  case 2045:
/* Line 1792 of yacc.c  */
#line 13655 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 2046:
/* Line 1792 of yacc.c  */
#line 13656 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2047:
/* Line 1792 of yacc.c  */
#line 13660 "gram.y"
    { (yyval.node) = (yyvsp[(4) - (5)].node); }
    break;

  case 2048:
/* Line 1792 of yacc.c  */
#line 13661 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 2049:
/* Line 1792 of yacc.c  */
#line 13669 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 2050:
/* Line 1792 of yacc.c  */
#line 13670 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2051:
/* Line 1792 of yacc.c  */
#line 13674 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); }
    break;

  case 2052:
/* Line 1792 of yacc.c  */
#line 13676 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); }
    break;

  case 2053:
/* Line 1792 of yacc.c  */
#line 13681 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				}
    break;

  case 2054:
/* Line 1792 of yacc.c  */
#line 13689 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); }
    break;

  case 2055:
/* Line 1792 of yacc.c  */
#line 13691 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				}
    break;

  case 2056:
/* Line 1792 of yacc.c  */
#line 13704 "gram.y"
    { (yyval.windef) = NULL; }
    break;

  case 2057:
/* Line 1792 of yacc.c  */
#line 13709 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				}
    break;

  case 2058:
/* Line 1792 of yacc.c  */
#line 13734 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2059:
/* Line 1792 of yacc.c  */
#line 13735 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 2060:
/* Line 1792 of yacc.c  */
#line 13738 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 2061:
/* Line 1792 of yacc.c  */
#line 13739 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2062:
/* Line 1792 of yacc.c  */
#line 13751 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				}
    break;

  case 2063:
/* Line 1792 of yacc.c  */
#line 13769 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
    break;

  case 2064:
/* Line 1792 of yacc.c  */
#line 13775 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 2065:
/* Line 1792 of yacc.c  */
#line 13785 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
    break;

  case 2066:
/* Line 1792 of yacc.c  */
#line 13802 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
    break;

  case 2067:
/* Line 1792 of yacc.c  */
#line 13847 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 2068:
/* Line 1792 of yacc.c  */
#line 13855 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 2069:
/* Line 1792 of yacc.c  */
#line 13863 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 2070:
/* Line 1792 of yacc.c  */
#line 13871 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 2071:
/* Line 1792 of yacc.c  */
#line 13879 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 2072:
/* Line 1792 of yacc.c  */
#line 13899 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 2073:
/* Line 1792 of yacc.c  */
#line 13900 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2074:
/* Line 1792 of yacc.c  */
#line 13901 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 2075:
/* Line 1792 of yacc.c  */
#line 13904 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 2076:
/* Line 1792 of yacc.c  */
#line 13905 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2077:
/* Line 1792 of yacc.c  */
#line 13908 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 2078:
/* Line 1792 of yacc.c  */
#line 13911 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 2079:
/* Line 1792 of yacc.c  */
#line 13912 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 2080:
/* Line 1792 of yacc.c  */
#line 13913 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; }
    break;

  case 2081:
/* Line 1792 of yacc.c  */
#line 13916 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2082:
/* Line 1792 of yacc.c  */
#line 13917 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2083:
/* Line 1792 of yacc.c  */
#line 13920 "gram.y"
    { (yyval.str) = "+"; }
    break;

  case 2084:
/* Line 1792 of yacc.c  */
#line 13921 "gram.y"
    { (yyval.str) = "-"; }
    break;

  case 2085:
/* Line 1792 of yacc.c  */
#line 13922 "gram.y"
    { (yyval.str) = "*"; }
    break;

  case 2086:
/* Line 1792 of yacc.c  */
#line 13923 "gram.y"
    { (yyval.str) = "/"; }
    break;

  case 2087:
/* Line 1792 of yacc.c  */
#line 13924 "gram.y"
    { (yyval.str) = "%"; }
    break;

  case 2088:
/* Line 1792 of yacc.c  */
#line 13925 "gram.y"
    { (yyval.str) = "^"; }
    break;

  case 2089:
/* Line 1792 of yacc.c  */
#line 13926 "gram.y"
    { (yyval.str) = "<"; }
    break;

  case 2090:
/* Line 1792 of yacc.c  */
#line 13927 "gram.y"
    { (yyval.str) = ">"; }
    break;

  case 2091:
/* Line 1792 of yacc.c  */
#line 13928 "gram.y"
    { (yyval.str) = "="; }
    break;

  case 2092:
/* Line 1792 of yacc.c  */
#line 13929 "gram.y"
    { (yyval.str) = "<="; }
    break;

  case 2093:
/* Line 1792 of yacc.c  */
#line 13930 "gram.y"
    { (yyval.str) = ">="; }
    break;

  case 2094:
/* Line 1792 of yacc.c  */
#line 13931 "gram.y"
    { (yyval.str) = "<>"; }
    break;

  case 2095:
/* Line 1792 of yacc.c  */
#line 13935 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 2096:
/* Line 1792 of yacc.c  */
#line 13937 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 2097:
/* Line 1792 of yacc.c  */
#line 13942 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 2098:
/* Line 1792 of yacc.c  */
#line 13944 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 2099:
/* Line 1792 of yacc.c  */
#line 13949 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 2100:
/* Line 1792 of yacc.c  */
#line 13951 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 2101:
/* Line 1792 of yacc.c  */
#line 13953 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); }
    break;

  case 2102:
/* Line 1792 of yacc.c  */
#line 13955 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); }
    break;

  case 2103:
/* Line 1792 of yacc.c  */
#line 13957 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); }
    break;

  case 2104:
/* Line 1792 of yacc.c  */
#line 13959 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); }
    break;

  case 2105:
/* Line 1792 of yacc.c  */
#line 13971 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 2106:
/* Line 1792 of yacc.c  */
#line 13975 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 2107:
/* Line 1792 of yacc.c  */
#line 13982 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 2108:
/* Line 1792 of yacc.c  */
#line 13986 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 2109:
/* Line 1792 of yacc.c  */
#line 13992 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				}
    break;

  case 2110:
/* Line 1792 of yacc.c  */
#line 13996 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				}
    break;

  case 2111:
/* Line 1792 of yacc.c  */
#line 14005 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				}
    break;

  case 2112:
/* Line 1792 of yacc.c  */
#line 14015 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 2113:
/* Line 1792 of yacc.c  */
#line 14016 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 2114:
/* Line 1792 of yacc.c  */
#line 14020 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 2115:
/* Line 1792 of yacc.c  */
#line 14024 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 2116:
/* Line 1792 of yacc.c  */
#line 14028 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 2117:
/* Line 1792 of yacc.c  */
#line 14033 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 2118:
/* Line 1792 of yacc.c  */
#line 14034 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 2119:
/* Line 1792 of yacc.c  */
#line 14040 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				}
    break;

  case 2120:
/* Line 1792 of yacc.c  */
#line 14043 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2121:
/* Line 1792 of yacc.c  */
#line 14050 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2122:
/* Line 1792 of yacc.c  */
#line 14051 "gram.y"
    { (yyval.str) = "year"; }
    break;

  case 2123:
/* Line 1792 of yacc.c  */
#line 14052 "gram.y"
    { (yyval.str) = "month"; }
    break;

  case 2124:
/* Line 1792 of yacc.c  */
#line 14053 "gram.y"
    { (yyval.str) = "day"; }
    break;

  case 2125:
/* Line 1792 of yacc.c  */
#line 14054 "gram.y"
    { (yyval.str) = "hour"; }
    break;

  case 2126:
/* Line 1792 of yacc.c  */
#line 14055 "gram.y"
    { (yyval.str) = "minute"; }
    break;

  case 2127:
/* Line 1792 of yacc.c  */
#line 14056 "gram.y"
    { (yyval.str) = "second"; }
    break;

  case 2128:
/* Line 1792 of yacc.c  */
#line 14057 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2129:
/* Line 1792 of yacc.c  */
#line 14068 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 2130:
/* Line 1792 of yacc.c  */
#line 14072 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 2131:
/* Line 1792 of yacc.c  */
#line 14079 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 2132:
/* Line 1792 of yacc.c  */
#line 14085 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); }
    break;

  case 2133:
/* Line 1792 of yacc.c  */
#line 14086 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2134:
/* Line 1792 of yacc.c  */
#line 14103 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 2135:
/* Line 1792 of yacc.c  */
#line 14107 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				}
    break;

  case 2136:
/* Line 1792 of yacc.c  */
#line 14112 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				}
    break;

  case 2137:
/* Line 1792 of yacc.c  */
#line 14116 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				}
    break;

  case 2138:
/* Line 1792 of yacc.c  */
#line 14131 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				}
    break;

  case 2139:
/* Line 1792 of yacc.c  */
#line 14135 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2140:
/* Line 1792 of yacc.c  */
#line 14139 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 2141:
/* Line 1792 of yacc.c  */
#line 14142 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 2142:
/* Line 1792 of yacc.c  */
#line 14145 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); }
    break;

  case 2143:
/* Line 1792 of yacc.c  */
#line 14146 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 2144:
/* Line 1792 of yacc.c  */
#line 14147 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 2145:
/* Line 1792 of yacc.c  */
#line 14151 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
    break;

  case 2146:
/* Line 1792 of yacc.c  */
#line 14157 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); }
    break;

  case 2147:
/* Line 1792 of yacc.c  */
#line 14168 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 2148:
/* Line 1792 of yacc.c  */
#line 14181 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 2149:
/* Line 1792 of yacc.c  */
#line 14182 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 2150:
/* Line 1792 of yacc.c  */
#line 14187 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				}
    break;

  case 2151:
/* Line 1792 of yacc.c  */
#line 14197 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 2152:
/* Line 1792 of yacc.c  */
#line 14198 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 2153:
/* Line 1792 of yacc.c  */
#line 14201 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 2154:
/* Line 1792 of yacc.c  */
#line 14202 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 2155:
/* Line 1792 of yacc.c  */
#line 14206 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				}
    break;

  case 2156:
/* Line 1792 of yacc.c  */
#line 14210 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				}
    break;

  case 2157:
/* Line 1792 of yacc.c  */
#line 14217 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				}
    break;

  case 2158:
/* Line 1792 of yacc.c  */
#line 14221 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
    break;

  case 2159:
/* Line 1792 of yacc.c  */
#line 14225 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 2160:
/* Line 1792 of yacc.c  */
#line 14233 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 2161:
/* Line 1792 of yacc.c  */
#line 14243 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 2162:
/* Line 1792 of yacc.c  */
#line 14244 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 2163:
/* Line 1792 of yacc.c  */
#line 14248 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 2164:
/* Line 1792 of yacc.c  */
#line 14249 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 2165:
/* Line 1792 of yacc.c  */
#line 14253 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2166:
/* Line 1792 of yacc.c  */
#line 14254 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 2169:
/* Line 1792 of yacc.c  */
#line 14268 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 2170:
/* Line 1792 of yacc.c  */
#line 14269 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 2171:
/* Line 1792 of yacc.c  */
#line 14273 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 2172:
/* Line 1792 of yacc.c  */
#line 14274 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 2173:
/* Line 1792 of yacc.c  */
#line 14278 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 2174:
/* Line 1792 of yacc.c  */
#line 14294 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 2175:
/* Line 1792 of yacc.c  */
#line 14302 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 2176:
/* Line 1792 of yacc.c  */
#line 14310 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 2177:
/* Line 1792 of yacc.c  */
#line 14331 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 2178:
/* Line 1792 of yacc.c  */
#line 14332 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 2179:
/* Line 1792 of yacc.c  */
#line 14344 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 2180:
/* Line 1792 of yacc.c  */
#line 14348 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				}
    break;

  case 2181:
/* Line 1792 of yacc.c  */
#line 14375 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 2182:
/* Line 1792 of yacc.c  */
#line 14377 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 2183:
/* Line 1792 of yacc.c  */
#line 14381 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2184:
/* Line 1792 of yacc.c  */
#line 14384 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2185:
/* Line 1792 of yacc.c  */
#line 14387 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2186:
/* Line 1792 of yacc.c  */
#line 14389 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2187:
/* Line 1792 of yacc.c  */
#line 14391 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2188:
/* Line 1792 of yacc.c  */
#line 14393 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2189:
/* Line 1792 of yacc.c  */
#line 14404 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 2190:
/* Line 1792 of yacc.c  */
#line 14406 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					}
    break;

  case 2191:
/* Line 1792 of yacc.c  */
#line 14417 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				}
    break;

  case 2192:
/* Line 1792 of yacc.c  */
#line 14421 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 2193:
/* Line 1792 of yacc.c  */
#line 14425 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 2194:
/* Line 1792 of yacc.c  */
#line 14429 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 2195:
/* Line 1792 of yacc.c  */
#line 14433 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 2196:
/* Line 1792 of yacc.c  */
#line 14442 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				}
    break;

  case 2197:
/* Line 1792 of yacc.c  */
#line 14449 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (6)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[(3) - (6)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[(4) - (6)].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[(4) - (6)]))));

					t->typmods = (yyvsp[(3) - (6)].list);
					t->location = (yylsp[(1) - (6)]);
					(yyval.node) = makeStringConstCast((yyvsp[(6) - (6)].str), (yylsp[(6) - (6)]), t);
				}
    break;

  case 2198:
/* Line 1792 of yacc.c  */
#line 14481 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				}
    break;

  case 2199:
/* Line 1792 of yacc.c  */
#line 14485 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 2200:
/* Line 1792 of yacc.c  */
#line 14491 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (5)].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				}
    break;

  case 2201:
/* Line 1792 of yacc.c  */
#line 14498 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				}
    break;

  case 2202:
/* Line 1792 of yacc.c  */
#line 14502 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				}
    break;

  case 2203:
/* Line 1792 of yacc.c  */
#line 14506 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 2204:
/* Line 1792 of yacc.c  */
#line 14511 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 2205:
/* Line 1792 of yacc.c  */
#line 14512 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2206:
/* Line 1792 of yacc.c  */
#line 14514 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 2207:
/* Line 1792 of yacc.c  */
#line 14515 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); }
    break;

  case 2208:
/* Line 1792 of yacc.c  */
#line 14516 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); }
    break;

  case 2209:
/* Line 1792 of yacc.c  */
#line 14521 "gram.y"
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[(1) - (1)].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[(1) - (1)]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[(1) - (1)]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[(1) - (1)]))));
					}
				}
    break;

  case 2210:
/* Line 1792 of yacc.c  */
#line 14551 "gram.y"
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[(1) - (1)]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[(1) - (1)].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[(1) - (1)]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[(1) - (1)]));
							n->rolename = pstrdup((yyvsp[(1) - (1)].str));
						}
						(yyval.rolespec) = n;
					}
    break;

  case 2211:
/* Line 1792 of yacc.c  */
#line 14578 "gram.y"
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[(1) - (1)]));
					}
    break;

  case 2212:
/* Line 1792 of yacc.c  */
#line 14582 "gram.y"
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[(1) - (1)]));
					}
    break;

  case 2213:
/* Line 1792 of yacc.c  */
#line 14588 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].rolespec)); }
    break;

  case 2214:
/* Line 1792 of yacc.c  */
#line 14590 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].rolespec)); }
    break;

  case 2215:
/* Line 1792 of yacc.c  */
#line 14606 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2216:
/* Line 1792 of yacc.c  */
#line 14607 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2217:
/* Line 1792 of yacc.c  */
#line 14608 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2218:
/* Line 1792 of yacc.c  */
#line 14613 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2219:
/* Line 1792 of yacc.c  */
#line 14614 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2220:
/* Line 1792 of yacc.c  */
#line 14615 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2221:
/* Line 1792 of yacc.c  */
#line 14620 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2222:
/* Line 1792 of yacc.c  */
#line 14621 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2223:
/* Line 1792 of yacc.c  */
#line 14622 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2224:
/* Line 1792 of yacc.c  */
#line 14623 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2225:
/* Line 1792 of yacc.c  */
#line 14629 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2226:
/* Line 1792 of yacc.c  */
#line 14630 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2227:
/* Line 1792 of yacc.c  */
#line 14631 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2228:
/* Line 1792 of yacc.c  */
#line 14632 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 2229:
/* Line 1792 of yacc.c  */
#line 14633 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;


/* Line 1792 of yacc.c  */
#line 45525 "gram.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}


/* Line 2055 of yacc.c  */
#line 15122 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

